code
proc BG_ParseGametypePhotos 1048 16
file "../../game/bg_gametype.c"
line 20
;1:// Copyright (C) 2001-2002 Raven Software
;2://
;3:// bg_gametype.c -- dynamic gametype handling
;4:
;5:#include "q_shared.h"
;6:#include "bg_public.h"
;7:#include "bg_local.h"
;8:
;9:gametypeData_t	bg_gametypeData[MAX_GAMETYPES];
;10:int				bg_gametypeCount;
;11:
;12:/*
;13:===============
;14:BG_ParseGametypePhotos
;15:
;16:Parses the photo information for objectives dialog
;17:===============
;18:*/
;19:static qboolean BG_ParseGametypePhotos ( int gametypeIndex, TGPGroup group )
;20:{
line 26
;21:	TGPGroup photo;
;22:	int		 index;
;23:	char	 temp[MAX_TOKENLENGTH];
;24:
;25:	// Convienience check
;26:	if ( !group )
ADDRFP4 4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $55
line 27
;27:	{
line 28
;28:		return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $54
JUMPV
LABELV $55
line 31
;29:	}
;30:
;31:	index = 0;
ADDRLP4 1028
CNSTI4 0
ASGNI4
line 32
;32:	photo = trap_GPG_GetSubGroups ( group );
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 1032
ADDRGP4 trap_GPG_GetSubGroups
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1032
INDIRP4
ASGNP4
ADDRGP4 $58
JUMPV
LABELV $57
line 35
;33:
;34:	while ( photo )
;35:	{
line 36
;36:		trap_GPG_GetName ( photo, temp );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 trap_GPG_GetName
CALLI4
pop
line 37
;37:		bg_gametypeData[gametypeIndex].photos[index].name = trap_VM_LocalStringAlloc ( temp );
ADDRLP4 4
ARGP4
ADDRLP4 1036
ADDRGP4 trap_VM_LocalStringAlloc
CALLP4
ASGNP4
ADDRLP4 1028
INDIRI4
CNSTI4 3
LSHI4
CNSTI4 72
ADDRFP4 0
INDIRI4
MULI4
ADDRGP4 bg_gametypeData+40
ADDP4
ADDP4
ADDRLP4 1036
INDIRP4
ASGNP4
line 39
;38:
;39:		trap_GPG_FindPairValue ( photo, "displayname", "unknown", temp );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 $61
ARGP4
ADDRGP4 $62
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 40
;40:		bg_gametypeData[gametypeIndex].photos[index].displayName = trap_VM_LocalStringAlloc ( temp );
ADDRLP4 4
ARGP4
ADDRLP4 1040
ADDRGP4 trap_VM_LocalStringAlloc
CALLP4
ASGNP4
ADDRLP4 1028
INDIRI4
CNSTI4 3
LSHI4
CNSTI4 72
ADDRFP4 0
INDIRI4
MULI4
ADDRGP4 bg_gametypeData+40
ADDP4
ADDP4
CNSTI4 4
ADDP4
ADDRLP4 1040
INDIRP4
ASGNP4
line 42
;41:
;42:		index++;
ADDRLP4 1028
ADDRLP4 1028
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 44
;43:
;44:		photo = trap_GPG_GetNext ( photo );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1044
ADDRGP4 trap_GPG_GetNext
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1044
INDIRP4
ASGNP4
line 45
;45:	}
LABELV $58
line 34
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $57
line 47
;46:
;47:	return qtrue;
CNSTI4 1
RETI4
LABELV $54
endproc BG_ParseGametypePhotos 1048 16
proc BG_ParseGametypeInfo 1084 16
line 59
;48:}
;49:
;50:/*
;51:===============
;52:BG_ParseGametypeInfo
;53:
;54:Parses minimal information about the given gametype.  For the most part
;55:this information is the name of the gametype and some of its parameters.
;56:===============
;57:*/
;58:static qboolean BG_ParseGametypeInfo ( int gametypeIndex )
;59:{
line 67
;60:	gametypeData_t*		gametype;
;61:	TGenericParser2		GP2;
;62:	TGPGroup			topGroup;
;63:	TGPGroup			gtGroup;
;64:	char				temp[1024];
;65:
;66:	// Get the pointer for the gametype data
;67:	gametype = &bg_gametypeData[gametypeIndex];
ADDRLP4 1028
CNSTI4 72
ADDRFP4 0
INDIRI4
MULI4
ADDRGP4 bg_gametypeData
ADDP4
ASGNP4
line 70
;68:	
;69:	// Open the gametype's script file
;70:	GP2 = trap_GP_ParseFile( (char*)gametype->script, qtrue, qfalse);
ADDRLP4 1028
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ARGP4
CNSTI4 1
ARGI4
CNSTI4 0
ARGI4
ADDRLP4 1040
ADDRGP4 trap_GP_ParseFile
CALLP4
ASGNP4
ADDRLP4 1032
ADDRLP4 1040
INDIRP4
ASGNP4
line 71
;71:	if (!GP2)
ADDRLP4 1032
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $65
line 72
;72:	{
line 73
;73:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $64
JUMPV
LABELV $65
line 77
;74:	}
;75:
;76:	// Top group should only contain the "gametype" sub group
;77:	topGroup = trap_GP_GetBaseParseGroup(GP2);
ADDRLP4 1032
INDIRP4
ARGP4
ADDRLP4 1044
ADDRGP4 trap_GP_GetBaseParseGroup
CALLP4
ASGNP4
ADDRLP4 1036
ADDRLP4 1044
INDIRP4
ASGNP4
line 78
;78:	if ( !topGroup )
ADDRLP4 1036
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $67
line 79
;79:	{
line 80
;80:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $64
JUMPV
LABELV $67
line 84
;81:	}
;82:
;83:	// Grab the gametype sub group
;84:	gtGroup = trap_GPG_FindSubGroup ( topGroup, "gametype" );
ADDRLP4 1036
INDIRP4
ARGP4
ADDRGP4 $69
ARGP4
ADDRLP4 1048
ADDRGP4 trap_GPG_FindSubGroup
CALLP4
ASGNP4
ADDRLP4 1024
ADDRLP4 1048
INDIRP4
ASGNP4
line 85
;85:	if ( !gtGroup )
ADDRLP4 1024
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $70
line 86
;86:	{
line 87
;87:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $64
JUMPV
LABELV $70
line 91
;88:	}
;89:
;90:	// Parse out the name of the gametype
;91:	trap_GPG_FindPairValue ( gtGroup, "displayname", "", temp );
ADDRLP4 1024
INDIRP4
ARGP4
ADDRGP4 $61
ARGP4
ADDRGP4 $72
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 92
;92:	if ( !temp[0] )
ADDRLP4 0
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $73
line 93
;93:	{
line 94
;94:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $64
JUMPV
LABELV $73
line 96
;95:	}
;96:	gametype->displayName = trap_VM_LocalStringAlloc ( temp );
ADDRLP4 0
ARGP4
ADDRLP4 1052
ADDRGP4 trap_VM_LocalStringAlloc
CALLP4
ASGNP4
ADDRLP4 1028
INDIRP4
CNSTI4 4
ADDP4
ADDRLP4 1052
INDIRP4
ASGNP4
line 99
;97:
;98:	// Description
;99:	trap_GPG_FindPairValue ( gtGroup, "description", "", temp );
ADDRLP4 1024
INDIRP4
ARGP4
ADDRGP4 $75
ARGP4
ADDRGP4 $72
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 100
;100:	if ( temp[0] )
ADDRLP4 0
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $76
line 101
;101:	{
line 102
;102:		gametype->description = trap_VM_LocalStringAlloc ( temp );
ADDRLP4 0
ARGP4
ADDRLP4 1056
ADDRGP4 trap_VM_LocalStringAlloc
CALLP4
ASGNP4
ADDRLP4 1028
INDIRP4
CNSTI4 12
ADDP4
ADDRLP4 1056
INDIRP4
ASGNP4
line 103
;103:	}
LABELV $76
line 106
;104:
;105:	// Are pickups enabled?
;106:	trap_GPG_FindPairValue ( gtGroup, "pickups", "yes", temp );
ADDRLP4 1024
INDIRP4
ARGP4
ADDRGP4 $78
ARGP4
ADDRGP4 $79
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 107
;107:	if ( !Q_stricmp ( temp, "no" ) )
ADDRLP4 0
ARGP4
ADDRGP4 $82
ARGP4
ADDRLP4 1056
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 1056
INDIRI4
CNSTI4 0
NEI4 $80
line 108
;108:	{
line 109
;109:		gametype->pickupsDisabled = qtrue;
ADDRLP4 1028
INDIRP4
CNSTI4 24
ADDP4
CNSTI4 1
ASGNI4
line 110
;110:	}
LABELV $80
line 113
;111:
;112:	// Are teams enabled?
;113:	trap_GPG_FindPairValue ( gtGroup, "teams", "yes", temp );
ADDRLP4 1024
INDIRP4
ARGP4
ADDRGP4 $83
ARGP4
ADDRGP4 $79
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 114
;114:	if ( !Q_stricmp ( temp, "yes" ) )
ADDRLP4 0
ARGP4
ADDRGP4 $79
ARGP4
ADDRLP4 1060
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 1060
INDIRI4
CNSTI4 0
NEI4 $84
line 115
;115:	{
line 116
;116:		gametype->teams = qtrue;
ADDRLP4 1028
INDIRP4
CNSTI4 28
ADDP4
CNSTI4 1
ASGNI4
line 117
;117:	}
LABELV $84
line 120
;118:
;119:	// Display kills
;120:	trap_GPG_FindPairValue ( gtGroup, "showkills", "no", temp );
ADDRLP4 1024
INDIRP4
ARGP4
ADDRGP4 $86
ARGP4
ADDRGP4 $82
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 121
;121:	if ( !Q_stricmp ( temp, "yes" ) )
ADDRLP4 0
ARGP4
ADDRGP4 $79
ARGP4
ADDRLP4 1064
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 1064
INDIRI4
CNSTI4 0
NEI4 $87
line 122
;122:	{
line 123
;123:		gametype->showKills = qtrue;
ADDRLP4 1028
INDIRP4
CNSTI4 32
ADDP4
CNSTI4 1
ASGNI4
line 124
;124:	}
LABELV $87
line 127
;125:
;126:	// Look for the respawn type
;127:	trap_GPG_FindPairValue ( gtGroup, "respawn", "normal", temp );
ADDRLP4 1024
INDIRP4
ARGP4
ADDRGP4 $89
ARGP4
ADDRGP4 $90
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 128
;128:	if ( !Q_stricmp ( temp, "none" ) )
ADDRLP4 0
ARGP4
ADDRGP4 $93
ARGP4
ADDRLP4 1068
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 1068
INDIRI4
CNSTI4 0
NEI4 $91
line 129
;129:	{
line 130
;130:		gametype->respawnType = RT_NONE;
ADDRLP4 1028
INDIRP4
CNSTI4 20
ADDP4
CNSTI4 3
ASGNI4
line 131
;131:	}
ADDRGP4 $92
JUMPV
LABELV $91
line 132
;132:	else if ( !Q_stricmp ( temp, "interval" ) )
ADDRLP4 0
ARGP4
ADDRGP4 $96
ARGP4
ADDRLP4 1072
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 1072
INDIRI4
CNSTI4 0
NEI4 $94
line 133
;133:	{
line 134
;134:		gametype->respawnType = RT_INTERVAL;
ADDRLP4 1028
INDIRP4
CNSTI4 20
ADDP4
CNSTI4 2
ASGNI4
line 135
;135:	}
ADDRGP4 $95
JUMPV
LABELV $94
line 137
;136:	else
;137:	{
line 138
;138:		gametype->respawnType = RT_NORMAL;
ADDRLP4 1028
INDIRP4
CNSTI4 20
ADDP4
CNSTI4 0
ASGNI4
line 139
;139:	}
LABELV $95
LABELV $92
line 142
;140:
;141:	// A gametype can be based off another gametype which means it uses all the gametypes entities
;142:	trap_GPG_FindPairValue ( gtGroup, "basegametype", "", temp );
ADDRLP4 1024
INDIRP4
ARGP4
ADDRGP4 $97
ARGP4
ADDRGP4 $72
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 143
;143:	if ( temp[0] )
ADDRLP4 0
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $98
line 144
;144:	{
line 145
;145:		gametype->basegametype = trap_VM_LocalStringAlloc ( temp );
ADDRLP4 0
ARGP4
ADDRLP4 1076
ADDRGP4 trap_VM_LocalStringAlloc
CALLP4
ASGNP4
ADDRLP4 1028
INDIRP4
CNSTI4 16
ADDP4
ADDRLP4 1076
INDIRP4
ASGNP4
line 146
;146:	}
LABELV $98
line 149
;147:
;148:	// What percentage doest he backpack replenish?
;149:	trap_GPG_FindPairValue ( gtGroup, "backpack", "0", temp );
ADDRLP4 1024
INDIRP4
ARGP4
ADDRGP4 $100
ARGP4
ADDRGP4 $101
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 150
;150:	gametype->backpack = atoi(temp);
ADDRLP4 0
ARGP4
ADDRLP4 1076
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 1028
INDIRP4
CNSTI4 36
ADDP4
ADDRLP4 1076
INDIRI4
ASGNI4
line 153
;151:
;152:	// Get the photo information for objectives dialog
;153:	BG_ParseGametypePhotos ( gametypeIndex, trap_GPG_FindSubGroup ( gtGroup, "photos" ) );
ADDRLP4 1024
INDIRP4
ARGP4
ADDRGP4 $102
ARGP4
ADDRLP4 1080
ADDRGP4 trap_GPG_FindSubGroup
CALLP4
ASGNP4
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 1080
INDIRP4
ARGP4
ADDRGP4 BG_ParseGametypePhotos
CALLI4
pop
line 156
;154:
;155:	// Cleanup the generic parser
;156:	trap_GP_Delete ( &GP2 );
ADDRLP4 1032
ARGP4
ADDRGP4 trap_GP_Delete
CALLV
pop
line 158
;157:
;158:	return qtrue;
CNSTI4 1
RETI4
LABELV $64
endproc BG_ParseGametypeInfo 1084 16
export BG_BuildGametypeList
proc BG_BuildGametypeList 4208 16
line 171
;159:
;160:}
;161:
;162:/*
;163:===============
;164:BG_BuildGametypeList
;165:
;166:Builds a list of the gametypes that are available and parses minimal
;167:information about those gametypes.
;168:===============
;169:*/
;170:qboolean BG_BuildGametypeList ( void )
;171:{
line 180
;172:	char		filename[MAX_QPATH];
;173:	char		filelist[4096];
;174:	char*		fileptr;
;175:	char*		s;
;176:	int			filelen;
;177:	int			filecount;
;178:	int			i;
;179:
;180:	bg_gametypeCount = 0;
ADDRGP4 bg_gametypeCount
CNSTI4 0
ASGNI4
line 184
;181:
;182:	// Retrieve the list of gametype files.  The returned list is a 
;183:	// null separated list with the number of entries returned by the call
;184:	filecount = trap_FS_GetFileList("scripts", ".gametype", filelist, 4096 );
ADDRGP4 $104
ARGP4
ADDRGP4 $105
ARGP4
ADDRLP4 84
ARGP4
CNSTI4 4096
ARGI4
ADDRLP4 4180
ADDRGP4 trap_FS_GetFileList
CALLI4
ASGNI4
ADDRLP4 80
ADDRLP4 4180
INDIRI4
ASGNI4
line 185
;185:	fileptr   = filelist;
ADDRLP4 0
ADDRLP4 84
ASGNP4
line 187
;186:	
;187:	for ( i = 0; i < filecount; i++, fileptr += filelen+1) 
ADDRLP4 68
CNSTI4 0
ASGNI4
ADDRGP4 $109
JUMPV
LABELV $106
line 188
;188:	{
line 190
;189:		// Grab the length so we can skip this file later
;190:		filelen = strlen(fileptr);
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 4184
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 76
ADDRLP4 4184
INDIRI4
ASGNI4
line 193
;191:
;192:		// Build the full filename
;193:		strcpy(filename, "scripts/");
ADDRLP4 4
ARGP4
ADDRGP4 $110
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 194
;194:		strcat(filename, fileptr );
ADDRLP4 4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 strcat
CALLP4
pop
line 197
;195:
;196:		// Fill in what we know so far
;197:		bg_gametypeData[bg_gametypeCount].script = trap_VM_LocalStringAlloc ( filename );
ADDRLP4 4
ARGP4
ADDRLP4 4188
ADDRGP4 trap_VM_LocalStringAlloc
CALLP4
ASGNP4
CNSTI4 72
ADDRGP4 bg_gametypeCount
INDIRI4
MULI4
ADDRGP4 bg_gametypeData+8
ADDP4
ADDRLP4 4188
INDIRP4
ASGNP4
line 200
;198:
;199:		// Kill the dot so we can use the filename as the short name
;200:		s  = strchr ( fileptr, '.' );
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 46
ARGI4
ADDRLP4 4192
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 72
ADDRLP4 4192
INDIRP4
ASGNP4
line 201
;201:		*s = '\0';
ADDRLP4 72
INDIRP4
CNSTI1 0
ASGNI1
line 202
;202:		bg_gametypeData[bg_gametypeCount].name   = trap_VM_LocalStringAlloc ( fileptr );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 4196
ADDRGP4 trap_VM_LocalStringAlloc
CALLP4
ASGNP4
CNSTI4 72
ADDRGP4 bg_gametypeCount
INDIRI4
MULI4
ADDRGP4 bg_gametypeData
ADDP4
ADDRLP4 4196
INDIRP4
ASGNP4
line 205
;203:		
;204:		// TODO: Parse the gametype file
;205:		BG_ParseGametypeInfo ( bg_gametypeCount++ );
ADDRLP4 4204
ADDRGP4 bg_gametypeCount
ASGNP4
ADDRLP4 4200
ADDRLP4 4204
INDIRP4
INDIRI4
ASGNI4
ADDRLP4 4204
INDIRP4
ADDRLP4 4200
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 4200
INDIRI4
ARGI4
ADDRGP4 BG_ParseGametypeInfo
CALLI4
pop
line 206
;206:	}
LABELV $107
line 187
ADDRLP4 4184
CNSTI4 1
ASGNI4
ADDRLP4 68
ADDRLP4 68
INDIRI4
ADDRLP4 4184
INDIRI4
ADDI4
ASGNI4
ADDRLP4 0
ADDRLP4 76
INDIRI4
ADDRLP4 4184
INDIRI4
ADDI4
ADDRLP4 0
INDIRP4
ADDP4
ASGNP4
LABELV $109
ADDRLP4 68
INDIRI4
ADDRLP4 80
INDIRI4
LTI4 $106
line 208
;207:
;208:	return qtrue;
CNSTI4 1
RETI4
LABELV $103
endproc BG_BuildGametypeList 4208 16
export BG_FindGametype
proc BG_FindGametype 8 8
line 220
;209:}
;210:
;211:/*
;212:===============
;213:BG_FindGametype
;214:
;215:Returns the gametype index using the given name. If the gametype isnt found
;216:then -1 will be returned (and this is bad)
;217:===============
;218:*/
;219:int BG_FindGametype ( const char* name )
;220:{
line 225
;221:	int i;
;222:
;223:	// Loop through the known gametypes and compare their names to 
;224:	// the name given
;225:	for ( i = 0; i < bg_gametypeCount; i ++ )
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $116
JUMPV
LABELV $113
line 226
;226:	{
line 228
;227:		// Do the names match?
;228:		if ( !Q_stricmp ( bg_gametypeData[i].name, name )  )
CNSTI4 72
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 bg_gametypeData
ADDP4
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $117
line 229
;229:		{
line 230
;230:			return i;
ADDRLP4 0
INDIRI4
RETI4
ADDRGP4 $112
JUMPV
LABELV $117
line 232
;231:		}
;232:	}
LABELV $114
line 225
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $116
ADDRLP4 0
INDIRI4
ADDRGP4 bg_gametypeCount
INDIRI4
LTI4 $113
line 234
;233:
;234:	return -1;
CNSTI4 -1
RETI4
LABELV $112
endproc BG_FindGametype 8 8
export BG_FindGametypeItem
proc BG_FindGametypeItem 0 0
line 246
;235:}
;236:
;237:/*
;238:==============
;239:BG_FindGametypeItem
;240:
;241:Search through the item list for the gametype item with
;242:the given index.
;243:==============
;244:*/
;245:gitem_t	*BG_FindGametypeItem ( int index ) 
;246:{
line 247
;247:	return &bg_itemlist[index + MODELINDEX_GAMETYPE_ITEM];
ADDRFP4 0
INDIRI4
CNSTI4 6
LSHI4
ADDRGP4 bg_itemlist+2176
ADDP4
RETP4
LABELV $119
endproc BG_FindGametypeItem 0 0
export BG_FindGametypeItemByID
proc BG_FindGametypeItemByID 4 0
line 260
;248:}
;249:
;250:/*
;251:==============
;252:BG_FindGametypeItemByID
;253:
;254:Gametype will assign ids to the gametype items for them for future reference, the 
;255:id is crammed into the quantity field of the gametype item.  This function will
;256:find the gametype item with the given item id.
;257:==============
;258:*/
;259:gitem_t *BG_FindGametypeItemByID ( int itemid )
;260:{
line 263
;261:	int i;
;262:	
;263:	for ( i = 0; i < MAX_GAMETYPE_ITEMS; i ++ )
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $122
line 264
;264:	{
line 265
;265:		if ( bg_itemlist[i + MODELINDEX_GAMETYPE_ITEM].quantity == itemid )
ADDRLP4 0
INDIRI4
CNSTI4 6
LSHI4
ADDRGP4 bg_itemlist+2176+40
ADDP4
INDIRI4
ADDRFP4 0
INDIRI4
NEI4 $126
line 266
;266:		{
line 267
;267:			return &bg_itemlist[i + MODELINDEX_GAMETYPE_ITEM];
ADDRLP4 0
INDIRI4
CNSTI4 6
LSHI4
ADDRGP4 bg_itemlist+2176
ADDP4
RETP4
ADDRGP4 $121
JUMPV
LABELV $126
line 269
;268:		}
;269:	}
LABELV $123
line 263
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 5
LTI4 $122
line 271
;270:
;271:	return NULL;
CNSTP4 0
RETP4
LABELV $121
endproc BG_FindGametypeItemByID 4 0
import PM_SetAnim
import PM_TorsoAnimation
import PM_ForceLegsAnim
import PM_ContinueLegsAnim
import PM_StartTorsoAnim
import PM_StepSlideMove
import PM_SlideMove
import PM_AddEventWithParm
import PM_AddEvent
import PM_AddTouchEnt
import PM_ClipVelocity
import c_pmove
import pm_flightfriction
import pm_waterfriction
import pm_friction
import pm_flyaccelerate
import pm_wateraccelerate
import pm_airaccelerate
import pm_accelerate
import pm_wadeScale
import pm_swimScale
import pm_duckScale
import pm_stopspeed
import pml
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
bss
export bg_gametypeCount
align 4
LABELV bg_gametypeCount
skip 4
export bg_gametypeData
align 4
LABELV bg_gametypeData
skip 9216
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $110
char 1 115
char 1 99
char 1 114
char 1 105
char 1 112
char 1 116
char 1 115
char 1 47
char 1 0
align 1
LABELV $105
char 1 46
char 1 103
char 1 97
char 1 109
char 1 101
char 1 116
char 1 121
char 1 112
char 1 101
char 1 0
align 1
LABELV $104
char 1 115
char 1 99
char 1 114
char 1 105
char 1 112
char 1 116
char 1 115
char 1 0
align 1
LABELV $102
char 1 112
char 1 104
char 1 111
char 1 116
char 1 111
char 1 115
char 1 0
align 1
LABELV $101
char 1 48
char 1 0
align 1
LABELV $100
char 1 98
char 1 97
char 1 99
char 1 107
char 1 112
char 1 97
char 1 99
char 1 107
char 1 0
align 1
LABELV $97
char 1 98
char 1 97
char 1 115
char 1 101
char 1 103
char 1 97
char 1 109
char 1 101
char 1 116
char 1 121
char 1 112
char 1 101
char 1 0
align 1
LABELV $96
char 1 105
char 1 110
char 1 116
char 1 101
char 1 114
char 1 118
char 1 97
char 1 108
char 1 0
align 1
LABELV $93
char 1 110
char 1 111
char 1 110
char 1 101
char 1 0
align 1
LABELV $90
char 1 110
char 1 111
char 1 114
char 1 109
char 1 97
char 1 108
char 1 0
align 1
LABELV $89
char 1 114
char 1 101
char 1 115
char 1 112
char 1 97
char 1 119
char 1 110
char 1 0
align 1
LABELV $86
char 1 115
char 1 104
char 1 111
char 1 119
char 1 107
char 1 105
char 1 108
char 1 108
char 1 115
char 1 0
align 1
LABELV $83
char 1 116
char 1 101
char 1 97
char 1 109
char 1 115
char 1 0
align 1
LABELV $82
char 1 110
char 1 111
char 1 0
align 1
LABELV $79
char 1 121
char 1 101
char 1 115
char 1 0
align 1
LABELV $78
char 1 112
char 1 105
char 1 99
char 1 107
char 1 117
char 1 112
char 1 115
char 1 0
align 1
LABELV $75
char 1 100
char 1 101
char 1 115
char 1 99
char 1 114
char 1 105
char 1 112
char 1 116
char 1 105
char 1 111
char 1 110
char 1 0
align 1
LABELV $72
char 1 0
align 1
LABELV $69
char 1 103
char 1 97
char 1 109
char 1 101
char 1 116
char 1 121
char 1 112
char 1 101
char 1 0
align 1
LABELV $62
char 1 117
char 1 110
char 1 107
char 1 110
char 1 111
char 1 119
char 1 110
char 1 0
align 1
LABELV $61
char 1 100
char 1 105
char 1 115
char 1 112
char 1 108
char 1 97
char 1 121
char 1 110
char 1 97
char 1 109
char 1 101
char 1 0
