code
proc CG_Viewpos_f 0 20
file "../cg_consolecmds.c"
line 18
;1:// Copyright (C) 2001-2002 Raven Software.
;2://
;3:// cg_consolecmds.c -- text commands typed in at the local console, or
;4:// executed by a key binding
;5:
;6:#include "cg_local.h"
;7:#include "../ui/ui_shared.h"
;8:#include "../ui/ui_public.h"
;9:
;10:/*
;11:=============
;12:CG_Viewpos_f
;13:
;14:Debugging command to print the current position
;15:=============
;16:*/
;17:static void CG_Viewpos_f (void) 
;18:{
line 19
;19:	Com_Printf ("(%i %i %i) : %i\n", (int)cg.refdef.vieworg[0],
ADDRGP4 $106
ARGP4
ADDRGP4 cg+1200+24
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 cg+1200+24+4
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 cg+1200+24+8
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 cg+1200+368+4
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 Com_Printf
CALLV
pop
line 22
;20:		(int)cg.refdef.vieworg[1], (int)cg.refdef.vieworg[2], 
;21:		(int)cg.refdef.viewangles[YAW]);
;22:}
LABELV $105
endproc CG_Viewpos_f 0 20
proc CG_StatsDown_f 0 4
line 30
;23:
;24:/*
;25:=============
;26:CG_StatsDown_f
;27:=============
;28:*/
;29:static void CG_StatsDown_f( void ) 
;30:{
line 31
;31:	if ( cg.playerStatsShowingRequestTime + 2000 < cg.time ) 
ADDRGP4 cg+7504
INDIRI4
CNSTI4 2000
ADDI4
ADDRGP4 cg+68
INDIRI4
GEI4 $119
line 32
;32:	{
line 33
;33:		cg.playerStatsShowingRequestTime = cg.time;
ADDRGP4 cg+7504
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 34
;34:		trap_SendClientCommand( "stats" );
ADDRGP4 $125
ARGP4
ADDRGP4 trap_SendClientCommand
CALLV
pop
line 35
;35:		cg.playerStatsShowing = qtrue;
ADDRGP4 cg+7500
CNSTI4 1
ASGNI4
line 36
;36:	} 
ADDRGP4 $120
JUMPV
LABELV $119
line 38
;37:	else 
;38:	{
line 39
;39:		cg.playerStatsShowing = qtrue;
ADDRGP4 cg+7500
CNSTI4 1
ASGNI4
line 40
;40:	}
LABELV $120
line 41
;41:}
LABELV $118
endproc CG_StatsDown_f 0 4
proc CG_StatsUp_f 0 0
line 49
;42:
;43:/*
;44:=============
;45:CG_StatsUp_f
;46:=============
;47:*/
;48:static void CG_StatsUp_f( void ) 
;49:{
line 50
;50:	if ( cg.playerStatsShowing ) 
ADDRGP4 cg+7500
INDIRI4
CNSTI4 0
EQI4 $129
line 51
;51:	{
line 52
;52:		cg.playerStatsShowing = qfalse;
ADDRGP4 cg+7500
CNSTI4 0
ASGNI4
line 53
;53:	}
LABELV $129
line 54
;54:}
LABELV $128
endproc CG_StatsUp_f 0 0
proc CG_ScoresDown_f 0 4
line 62
;55:
;56:/*
;57:=============
;58:CG_ScoresDown_f
;59:=============
;60:*/
;61:static void CG_ScoresDown_f( void ) 
;62:{
line 63
;63:	if ( cg.scoresRequestTime + 2000 < cg.time ) 
ADDRGP4 cg+2612
INDIRI4
CNSTI4 2000
ADDI4
ADDRGP4 cg+68
INDIRI4
GEI4 $134
line 64
;64:	{
line 67
;65:		// the scores are more than two seconds out of data,
;66:		// so request new ones
;67:		cg.scoresRequestTime = cg.time;
ADDRGP4 cg+2612
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 68
;68:		trap_SendClientCommand( "score" );
ADDRGP4 $140
ARGP4
ADDRGP4 trap_SendClientCommand
CALLV
pop
line 72
;69:
;70:		// leave the current scores up if they were already
;71:		// displayed, but if this is the first hit, clear them out
;72:		if ( !cg.showScores ) 
ADDRGP4 cg+7492
INDIRI4
CNSTI4 0
NEI4 $135
line 73
;73:		{
line 74
;74:			cg.showScores = qtrue;
ADDRGP4 cg+7492
CNSTI4 1
ASGNI4
line 75
;75:			cg.numScores = 0;
ADDRGP4 cg+2616
CNSTI4 0
ASGNI4
line 76
;76:		}
line 77
;77:	} 
ADDRGP4 $135
JUMPV
LABELV $134
line 79
;78:	else 
;79:	{
line 82
;80:		// show the cached contents even if they just pressed if it
;81:		// is within two seconds
;82:		cg.showScores = qtrue;
ADDRGP4 cg+7492
CNSTI4 1
ASGNI4
line 83
;83:	}
LABELV $135
line 84
;84:}
LABELV $133
endproc CG_ScoresDown_f 0 4
proc CG_ScoresUp_f 0 0
line 92
;85:
;86:/*
;87:=============
;88:CG_ScoresUp_f
;89:=============
;90:*/
;91:static void CG_ScoresUp_f( void ) 
;92:{
line 93
;93:	if ( cg.showScores ) 
ADDRGP4 cg+7492
INDIRI4
CNSTI4 0
EQI4 $148
line 94
;94:	{
line 95
;95:		cg.showScores = qfalse;
ADDRGP4 cg+7492
CNSTI4 0
ASGNI4
line 96
;96:		cg.scoreFadeTime = cg.time;
ADDRGP4 cg+8536
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 97
;97:	}
LABELV $148
line 98
;98:}
LABELV $147
endproc CG_ScoresUp_f 0 0
proc CG_AutomapDown_f 0 0
line 106
;99:
;100:/*
;101:=============
;102:CG_AutomapDown_f
;103:=============
;104:*/
;105:static void CG_AutomapDown_f( void ) 
;106:{
line 107
;107:	cg.showAutomap = qtrue;
ADDRGP4 cg+8540
CNSTI4 1
ASGNI4
line 108
;108:}
LABELV $154
endproc CG_AutomapDown_f 0 0
proc CG_AutomapUp_f 0 0
line 116
;109:
;110:/*
;111:=============
;112:CG_AutomapUp_f
;113:=============
;114:*/
;115:static void CG_AutomapUp_f( void ) 
;116:{
line 117
;117:	cg.showAutomap = qfalse;
ADDRGP4 cg+8540
CNSTI4 0
ASGNI4
line 118
;118:}
LABELV $156
endproc CG_AutomapUp_f 0 0
proc CG_ReloadHud_f 0 4
line 126
;119:
;120:/*
;121:=============
;122:CG_ReloadHud_f
;123:=============
;124:*/
;125:static void CG_ReloadHud_f ( void )
;126:{
line 128
;127:	// Reset the string table used for menus  
;128:	String_Init();
ADDRGP4 String_Init
CALLV
pop
line 131
;129:
;130:	// Clear all menus
;131:	Menu_Reset();
ADDRGP4 Menu_Reset
CALLV
pop
line 134
;132:	
;133:	// Reload the menus
;134:	CG_LoadMenus( cg_hudFiles.string );
ADDRGP4 cg_hudFiles+16
ARGP4
ADDRGP4 CG_LoadMenus
CALLV
pop
line 135
;135:}
LABELV $158
endproc CG_ReloadHud_f 0 4
proc CG_Radio_f 0 4
line 145
;136:
;137:/*
;138:=============
;139:CG_Radio_f
;140:
;141:Bring up the radio menu if all the conditions are met
;142:=============
;143:*/
;144:static void CG_Radio_f ( void )
;145:{
line 147
;146:	// Only in team games
;147:	if ( !cgs.gametypeData->teams )
ADDRGP4 cgs+33020
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 0
NEI4 $161
line 148
;148:	{
line 149
;149:		return;
ADDRGP4 $160
JUMPV
LABELV $161
line 153
;150:	}
;151:
;152:	// Not when ghosting or following
;153:	if ( cg.snap->ps.pm_flags & (PMF_FOLLOW|PMF_GHOST) )
ADDRGP4 cg+36
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
CNSTI4 2560
BANDI4
CNSTI4 0
EQI4 $164
line 154
;154:	{
line 155
;155:		return;
ADDRGP4 $160
JUMPV
LABELV $164
line 159
;156:	}
;157:
;158:	// Not when a spectator
;159:	if ( cg.snap->ps.pm_type == PM_SPECTATOR )
ADDRGP4 cg+36
INDIRP4
CNSTI4 48
ADDP4
INDIRI4
CNSTI4 2
NEI4 $167
line 160
;160:	{
line 161
;161:		return;
ADDRGP4 $160
JUMPV
LABELV $167
line 164
;162:	}
;163:
;164:	trap_UI_SetActiveMenu ( UIMENU_RADIO );
CNSTI4 7
ARGI4
ADDRGP4 trap_UI_SetActiveMenu
CALLV
pop
line 165
;165:}
LABELV $160
endproc CG_Radio_f 0 4
proc CG_Objectives_f 0 4
line 175
;166:
;167:/*
;168:=============
;169:CG_Objectives_f
;170:
;171:Bring up the objectives menu if all the conditions are met
;172:=============
;173:*/
;174:static void CG_Objectives_f ( void )
;175:{
line 178
;176:	// Dont bother popping up the objectives dialog if there is
;177:	// no objective text
;178:	if ( !cgs.gametypeData->description )
ADDRGP4 cgs+33020
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $171
line 179
;179:	{
line 180
;180:		return;
ADDRGP4 $170
JUMPV
LABELV $171
line 183
;181:	}
;182:
;183:	trap_UI_SetActiveMenu ( UIMENU_OBJECTIVES );
CNSTI4 5
ARGI4
ADDRGP4 trap_UI_SetActiveMenu
CALLV
pop
line 184
;184:}
LABELV $170
endproc CG_Objectives_f 0 4
proc CG_Outfitting_f 0 4
line 194
;185:
;186:/*
;187:=============
;188:CG_Outfitting_f
;189:
;190:Bring up the outfitting menu if all the conditions are met
;191:=============
;192:*/
;193:static void CG_Outfitting_f ( void )
;194:{
line 196
;195:	// Only allow outfitting when pickups are disabled
;196:	if ( !cgs.pickupsDisabled )
ADDRGP4 cgs+33180
INDIRI4
CNSTI4 0
NEI4 $175
line 197
;197:	{
line 198
;198:		return;
ADDRGP4 $174
JUMPV
LABELV $175
line 201
;199:	}
;200:
;201:	trap_UI_SetActiveMenu ( UIMENU_OUTFITTING );
CNSTI4 6
ARGI4
ADDRGP4 trap_UI_SetActiveMenu
CALLV
pop
line 202
;202:}
LABELV $174
endproc CG_Outfitting_f 0 4
proc CG_Team_f 8 8
line 212
;203:
;204:/*
;205:=============
;206:CG_Team_f
;207:
;208:bring up the team selection user interface
;209:=============
;210:*/
;211:static void CG_Team_f ( void )
;212:{
line 214
;213:	// No team menu in non-team games
;214:	if ( !cgs.gametypeData->teams )
ADDRGP4 cgs+33020
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 0
NEI4 $179
line 215
;215:	{
line 216
;216:		return;
ADDRGP4 $178
JUMPV
LABELV $179
line 221
;217:	}
;218:
;219:	// Special case which only brings up the team menu if its the clients first
;220:	// time to the objectives dialog
;221:	if ( atoi ( CG_Argv(1) ) )
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 CG_Argv
CALLP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $182
line 222
;222:	{
line 223
;223:		if ( ui_info_seenobjectives.integer )
ADDRGP4 ui_info_seenobjectives+12
INDIRI4
CNSTI4 0
EQI4 $184
line 224
;224:		{
line 225
;225:			return;
ADDRGP4 $178
JUMPV
LABELV $184
line 227
;226:		}
;227:	}
LABELV $182
line 229
;228:
;229:	CG_UpdateTeamCountCvars ( );
ADDRGP4 CG_UpdateTeamCountCvars
CALLV
pop
line 231
;230:
;231:	trap_Cvar_Set ( "ui_info_seenobjectives", "1" );
ADDRGP4 $187
ARGP4
ADDRGP4 $188
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 232
;232:	trap_UI_SetActiveMenu ( UIMENU_TEAM );
CNSTI4 4
ARGI4
ADDRGP4 trap_UI_SetActiveMenu
CALLV
pop
line 233
;233:}
LABELV $178
endproc CG_Team_f 8 8
export CG_Drop_f
proc CG_Drop_f 132 16
line 243
;234:
;235:/*
;236:=============
;237:CG_Drop_f
;238:
;239:Drops the selected weapon
;240:=============
;241:*/
;242:void CG_Drop_f ( void ) 
;243:{
line 248
;244:	char	cmd[128];
;245:	int		exclude;
;246:
;247:	// Cant drop when following or a ghost
;248:	if ( cg.snap->ps.pm_flags & (PMF_FOLLOW|PMF_GHOST) )
ADDRGP4 cg+36
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
CNSTI4 2560
BANDI4
CNSTI4 0
EQI4 $190
line 249
;249:	{
line 250
;250:		return;
ADDRGP4 $189
JUMPV
LABELV $190
line 254
;251:	}
;252:
;253:	// Either dead or spectating if not normal
;254:	if ( cg.predictedPlayerState.pm_type != PM_NORMAL )
ADDRGP4 cg+100+4
INDIRI4
CNSTI4 0
EQI4 $193
line 255
;255:	{
line 256
;256:		return;
ADDRGP4 $189
JUMPV
LABELV $193
line 260
;257:	}
;258:
;259:	// Can only drop a weapon when in ready state
;260:	if ( cg.predictedPlayerState.weaponstate != WEAPON_READY )
ADDRGP4 cg+100+176
INDIRI4
CNSTI4 0
EQI4 $197
line 261
;261:	{
line 262
;262:		return;
ADDRGP4 $189
JUMPV
LABELV $197
line 266
;263:	}
;264:
;265:	// Cant drop the knife
;266:	if( cg.weaponSelect == WP_KNIFE )
ADDRGP4 cg+1084
INDIRI4
CNSTI4 1
NEI4 $201
line 267
;267:	{
line 268
;268:		return;
ADDRGP4 $189
JUMPV
LABELV $201
line 272
;269:	}
;270:
;271:	// Close the menu since a weapon is being dropped
;272:	cg.weaponMenuUp = qfalse;
ADDRGP4 cg+1100
CNSTI4 0
ASGNI4
line 275
;273:
;274:	// Build the server command		
;275:	Com_sprintf( cmd, 128, "drop %i", cg.weaponSelect );
ADDRLP4 0
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 $205
ARGP4
ADDRGP4 cg+1084
INDIRI4
ARGI4
ADDRGP4 Com_sprintf
CALLI4
pop
line 278
;276:
;277:	// Go to next weapon before the current drops
;278:	exclude = cg.weaponSelect;
ADDRLP4 128
ADDRGP4 cg+1084
INDIRI4
ASGNI4
line 279
;279:	cg.weaponSelect = WP_M84_GRENADE;
ADDRGP4 cg+1084
CNSTI4 17
ASGNI4
line 280
;280:	CG_PrevWeapon ( qfalse, exclude );
CNSTI4 0
ARGI4
ADDRLP4 128
INDIRI4
ARGI4
ADDRGP4 CG_PrevWeapon
CALLV
pop
line 283
;281:
;282:	// Send server comand
;283:	trap_SendClientCommand( cmd );
ADDRLP4 0
ARGP4
ADDRGP4 trap_SendClientCommand
CALLV
pop
line 284
;284:}
LABELV $189
endproc CG_Drop_f 132 16
proc CG_GetOutfittingGroupFromString 20 8
line 294
;285:
;286:/*
;287:=============
;288:CG_GetOutfittingGroupFromString
;289:
;290:Converts the given string into an outfitting group id
;291:=============
;292:*/
;293:static int CG_GetOutfittingGroupFromString ( const char* str )
;294:{
line 295
;295:	if ( Q_stricmp ( str, "primary" ) == 0 )
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $212
ARGP4
ADDRLP4 0
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
NEI4 $210
line 296
;296:	{
line 297
;297:		return OUTFITTING_GROUP_PRIMARY;
CNSTI4 0
RETI4
ADDRGP4 $209
JUMPV
LABELV $210
line 299
;298:	}
;299:	else if ( Q_stricmp ( str, "secondary" ) == 0 )
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $215
ARGP4
ADDRLP4 4
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $213
line 300
;300:	{
line 301
;301:		return OUTFITTING_GROUP_SECONDARY;
CNSTI4 1
RETI4
ADDRGP4 $209
JUMPV
LABELV $213
line 303
;302:	}
;303:	else if ( Q_stricmp ( str, "pistol" ) == 0 )
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $218
ARGP4
ADDRLP4 8
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 0
NEI4 $216
line 304
;304:	{
line 305
;305:		return OUTFITTING_GROUP_PISTOL;
CNSTI4 2
RETI4
ADDRGP4 $209
JUMPV
LABELV $216
line 307
;306:	}
;307:	else if ( Q_stricmp ( str, "grenade" ) == 0 )
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $221
ARGP4
ADDRLP4 12
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $219
line 308
;308:	{
line 309
;309:		return OUTFITTING_GROUP_GRENADE;
CNSTI4 3
RETI4
ADDRGP4 $209
JUMPV
LABELV $219
line 311
;310:	}
;311:	else if ( Q_stricmp ( str, "knife" ) == 0 )
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $224
ARGP4
ADDRLP4 16
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 0
NEI4 $222
line 312
;312:	{
line 313
;313:		return OUTFITTING_GROUP_KNIFE;
CNSTI4 6
RETI4
ADDRGP4 $209
JUMPV
LABELV $222
line 316
;314:	}
;315:
;316:	return -1;
CNSTI4 -1
RETI4
LABELV $209
endproc CG_GetOutfittingGroupFromString 20 8
proc CG_WeaponToggle_f 48 8
line 327
;317:}
;318:
;319:/*
;320:=============
;321:CG_WeaponToggle_f
;322:
;323:toggles between multiple weapons
;324:=============
;325:*/
;326:static void CG_WeaponToggle_f ( void )
;327:{
line 335
;328:	int			group1;
;329:	int			group2;
;330:	int			weapon1;
;331:	int			weapon2;
;332:	gitem_t*	item;
;333:	int			i;
;334:
;335:	if ( !cg.snap ) 
ADDRGP4 cg+36
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $226
line 336
;336:	{
line 337
;337:		return;
ADDRGP4 $225
JUMPV
LABELV $226
line 340
;338:	}
;339:	
;340:	if ( cg.predictedPlayerState.stats[STAT_USEWEAPONDROP] )
ADDRGP4 cg+100+220+52
INDIRI4
CNSTI4 0
EQI4 $229
line 341
;341:	{
line 342
;342:		return;
ADDRGP4 $225
JUMPV
LABELV $229
line 345
;343:	}
;344:
;345:	if ( cg.snap->ps.pm_flags & PMF_FOLLOW ) 
ADDRGP4 cg+36
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
CNSTI4 512
BANDI4
CNSTI4 0
EQI4 $234
line 346
;346:	{
line 347
;347:		return;
ADDRGP4 $225
JUMPV
LABELV $234
line 350
;348:	}
;349:
;350:	if ( cg.predictedPlayerState.weaponstate == WEAPON_CHARGING     || 
ADDRGP4 cg+100+176
INDIRI4
CNSTI4 8
EQI4 $243
ADDRGP4 cg+100+176
INDIRI4
CNSTI4 9
NEI4 $237
LABELV $243
line 352
;351:	     cg.predictedPlayerState.weaponstate == WEAPON_CHARGING_ALT    ) 
;352:	{
line 353
;353:		return;
ADDRGP4 $225
JUMPV
LABELV $237
line 357
;354:	}
;355:
;356:	// Get the toggle groups
;357:	group1 = CG_GetOutfittingGroupFromString ( CG_Argv(1) );
CNSTI4 1
ARGI4
ADDRLP4 24
ADDRGP4 CG_Argv
CALLP4
ASGNP4
ADDRLP4 24
INDIRP4
ARGP4
ADDRLP4 28
ADDRGP4 CG_GetOutfittingGroupFromString
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 28
INDIRI4
ASGNI4
line 358
;358:	group2 = CG_GetOutfittingGroupFromString ( CG_Argv(2) );
CNSTI4 2
ARGI4
ADDRLP4 32
ADDRGP4 CG_Argv
CALLP4
ASGNP4
ADDRLP4 32
INDIRP4
ARGP4
ADDRLP4 36
ADDRGP4 CG_GetOutfittingGroupFromString
CALLI4
ASGNI4
ADDRLP4 16
ADDRLP4 36
INDIRI4
ASGNI4
line 361
;359:
;360:	// Invalid toggle if either is -1
;361:	if ( group1 == -1 ) // || group2 == -1 )
ADDRLP4 8
INDIRI4
CNSTI4 -1
NEI4 $244
line 362
;362:	{
line 363
;363:		return;
ADDRGP4 $225
JUMPV
LABELV $244
line 367
;364:	}
;365:
;366:	// Make sure they have something from both of the groups
;367:	weapon1 = WP_NONE;
ADDRLP4 12
CNSTI4 0
ASGNI4
line 368
;368:	weapon2 = WP_NONE;
ADDRLP4 20
CNSTI4 0
ASGNI4
line 369
;369:	for ( i = WP_KNIFE; i < WP_NUM_WEAPONS; i ++ )
ADDRLP4 0
CNSTI4 1
ASGNI4
LABELV $246
line 370
;370:	{	
line 372
;371:		// Make sure this weapon is selectable.
;372:		if ( !CG_WeaponSelectable ( i, qtrue ) )
ADDRLP4 0
INDIRI4
ARGI4
CNSTI4 1
ARGI4
ADDRLP4 40
ADDRGP4 CG_WeaponSelectable
CALLI4
ASGNI4
ADDRLP4 40
INDIRI4
CNSTI4 0
NEI4 $250
line 373
;373:		{
line 374
;374:			continue;
ADDRGP4 $247
JUMPV
LABELV $250
line 377
;375:		}
;376:
;377:		item = BG_FindWeaponItem ( i );
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 44
ADDRGP4 BG_FindWeaponItem
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 44
INDIRP4
ASGNP4
line 378
;378:		if ( item->outfittingGroup == group1 )
ADDRLP4 4
INDIRP4
CNSTI4 60
ADDP4
INDIRI4
ADDRLP4 8
INDIRI4
NEI4 $252
line 379
;379:		{
line 380
;380:			weapon1 = i;
ADDRLP4 12
ADDRLP4 0
INDIRI4
ASGNI4
line 381
;381:		}
ADDRGP4 $253
JUMPV
LABELV $252
line 382
;382:		else if ( item->outfittingGroup == group2 )
ADDRLP4 4
INDIRP4
CNSTI4 60
ADDP4
INDIRI4
ADDRLP4 16
INDIRI4
NEI4 $254
line 383
;383:		{
line 384
;384:			weapon2 = i;
ADDRLP4 20
ADDRLP4 0
INDIRI4
ASGNI4
line 385
;385:		}
LABELV $254
LABELV $253
line 386
;386:	}
LABELV $247
line 369
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 21
LTI4 $246
line 389
;387:	
;388:	// IF only one of the two weapons is available then go to it
;389:	if ( weapon1 == WP_NONE && weapon2 == WP_NONE )
ADDRLP4 40
CNSTI4 0
ASGNI4
ADDRLP4 12
INDIRI4
ADDRLP4 40
INDIRI4
NEI4 $256
ADDRLP4 20
INDIRI4
ADDRLP4 40
INDIRI4
NEI4 $256
line 390
;390:	{
line 391
;391:		return;
ADDRGP4 $225
JUMPV
LABELV $256
line 393
;392:	}
;393:	else if ( weapon1 == WP_NONE )
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $258
line 394
;394:	{
line 395
;395:		cg.weaponSelect = weapon2;
ADDRGP4 cg+1084
ADDRLP4 20
INDIRI4
ASGNI4
line 396
;396:		return;
ADDRGP4 $225
JUMPV
LABELV $258
line 398
;397:	}
;398:	else if ( weapon2 == WP_NONE )
ADDRLP4 20
INDIRI4
CNSTI4 0
NEI4 $261
line 399
;399:	{
line 400
;400:		cg.weaponSelect = weapon1;
ADDRGP4 cg+1084
ADDRLP4 12
INDIRI4
ASGNI4
line 401
;401:		return;
ADDRGP4 $225
JUMPV
LABELV $261
line 405
;402:	}
;403:		
;404:	// They have both weapons, so figure out which to go to
;405:	item = BG_FindWeaponItem ( cg.weaponSelect );
ADDRGP4 cg+1084
INDIRI4
ARGI4
ADDRLP4 44
ADDRGP4 BG_FindWeaponItem
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 44
INDIRP4
ASGNP4
line 407
;406:
;407:	if ( item->outfittingGroup == group1 )
ADDRLP4 4
INDIRP4
CNSTI4 60
ADDP4
INDIRI4
ADDRLP4 8
INDIRI4
NEI4 $265
line 408
;408:	{
line 409
;409:		cg.weaponSelect = weapon2;
ADDRGP4 cg+1084
ADDRLP4 20
INDIRI4
ASGNI4
line 410
;410:	}
ADDRGP4 $266
JUMPV
LABELV $265
line 412
;411:	else
;412:	{
line 413
;413:		cg.weaponSelect = weapon1;
ADDRGP4 cg+1084
ADDRLP4 12
INDIRI4
ASGNI4
line 414
;414:	}
LABELV $266
line 415
;415:}
LABELV $225
endproc CG_WeaponToggle_f 48 8
proc CG_NextWeapon_f 4 8
line 426
;416:
;417:/*
;418:=============
;419:CG_NextWeapon_f
;420:
;421:selects next weapon in inventory and allows empty weapons to
;422:be selected
;423:=============
;424:*/
;425:static void CG_NextWeapon_f ( void )
;426:{
line 427
;427:	if ( cg_zoomWeaponChange.integer && (cg.predictedPlayerState.pm_flags & PMF_ZOOMED ) )
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 cg_zoomWeaponChange+12
INDIRI4
ADDRLP4 0
INDIRI4
EQI4 $270
ADDRGP4 cg+100+12
INDIRI4
CNSTI4 16384
BANDI4
ADDRLP4 0
INDIRI4
EQI4 $270
line 428
;428:	{
line 429
;429:		trap_SendConsoleCommand ( "+zoomin; wait; -zoomin;" );
ADDRGP4 $275
ARGP4
ADDRGP4 trap_SendConsoleCommand
CALLV
pop
line 430
;430:		return;
ADDRGP4 $269
JUMPV
LABELV $270
line 433
;431:	}
;432:
;433:	CG_NextWeapon ( qtrue, -1 );
CNSTI4 1
ARGI4
CNSTI4 -1
ARGI4
ADDRGP4 CG_NextWeapon
CALLV
pop
line 434
;434:}
LABELV $269
endproc CG_NextWeapon_f 4 8
proc CG_PrevWeapon_f 4 8
line 445
;435:
;436:/*
;437:=============
;438:CG_PrevWeapon_f
;439:
;440:selects previous weapon in inventory and allows empty weapons
;441:to be selectd
;442:=============
;443:*/
;444:static void CG_PrevWeapon_f ( void )
;445:{
line 446
;446:	if ( cg_zoomWeaponChange.integer && (cg.predictedPlayerState.pm_flags & PMF_ZOOMED) )
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 cg_zoomWeaponChange+12
INDIRI4
ADDRLP4 0
INDIRI4
EQI4 $277
ADDRGP4 cg+100+12
INDIRI4
CNSTI4 16384
BANDI4
ADDRLP4 0
INDIRI4
EQI4 $277
line 447
;447:	{
line 448
;448:		trap_SendConsoleCommand ( "+zoomout; wait; -zoomout;" );
ADDRGP4 $282
ARGP4
ADDRGP4 trap_SendConsoleCommand
CALLV
pop
line 449
;449:		return;
ADDRGP4 $276
JUMPV
LABELV $277
line 452
;450:	}
;451:
;452:	CG_PrevWeapon ( qtrue, -1 );
CNSTI4 1
ARGI4
CNSTI4 -1
ARGI4
ADDRGP4 CG_PrevWeapon
CALLV
pop
line 453
;453:}
LABELV $276
endproc CG_PrevWeapon_f 4 8
proc CG_LastWeapon_f 8 8
line 463
;454:
;455:/*
;456:=============
;457:CG_LastWeapon_f
;458:
;459:Selects the last weapon that was selected
;460:=============
;461:*/
;462:static void CG_LastWeapon_f ( void )
;463:{
line 464
;464:	if ( CG_WeaponSelectable ( cg.weaponLastSelect, qtrue ) )
ADDRGP4 cg+1088
INDIRI4
ARGI4
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 CG_WeaponSelectable
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
EQI4 $284
line 465
;465:	{
line 466
;466:		int swap = cg.weaponSelect;
ADDRLP4 4
ADDRGP4 cg+1084
INDIRI4
ASGNI4
line 467
;467:		cg.weaponSelect = cg.weaponLastSelect;
ADDRGP4 cg+1084
ADDRGP4 cg+1088
INDIRI4
ASGNI4
line 468
;468:		cg.weaponLastSelect = swap;
ADDRGP4 cg+1088
ADDRLP4 4
INDIRI4
ASGNI4
line 469
;469:	}
LABELV $284
line 470
;470:}
LABELV $283
endproc CG_LastWeapon_f 8 8
proc CG_TellTarget_f 264 20
line 473
;471:
;472:
;473:static void CG_TellTarget_f( void ) {
line 478
;474:	int		clientNum;
;475:	char	command[128];
;476:	char	message[128];
;477:
;478:	clientNum = CG_CrosshairPlayer();
ADDRLP4 260
ADDRGP4 CG_CrosshairPlayer
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 260
INDIRI4
ASGNI4
line 479
;479:	if ( clientNum == -1 ) {
ADDRLP4 0
INDIRI4
CNSTI4 -1
NEI4 $292
line 480
;480:		return;
ADDRGP4 $291
JUMPV
LABELV $292
line 483
;481:	}
;482:
;483:	trap_Args( message, 128 );
ADDRLP4 132
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 trap_Args
CALLV
pop
line 484
;484:	Com_sprintf( command, 128, "tell %i %s", clientNum, message );
ADDRLP4 4
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 $294
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 132
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 485
;485:	trap_SendClientCommand( command );
ADDRLP4 4
ARGP4
ADDRGP4 trap_SendClientCommand
CALLV
pop
line 486
;486:}
LABELV $291
endproc CG_TellTarget_f 264 20
proc CG_TellAttacker_f 264 20
line 488
;487:
;488:static void CG_TellAttacker_f( void ) {
line 493
;489:	int		clientNum;
;490:	char	command[128];
;491:	char	message[128];
;492:
;493:	clientNum = CG_LastAttacker();
ADDRLP4 260
ADDRGP4 CG_LastAttacker
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 260
INDIRI4
ASGNI4
line 494
;494:	if ( clientNum == -1 ) {
ADDRLP4 0
INDIRI4
CNSTI4 -1
NEI4 $296
line 495
;495:		return;
ADDRGP4 $295
JUMPV
LABELV $296
line 498
;496:	}
;497:
;498:	trap_Args( message, 128 );
ADDRLP4 132
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 trap_Args
CALLV
pop
line 499
;499:	Com_sprintf( command, 128, "tell %i %s", clientNum, message );
ADDRLP4 4
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 $294
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 132
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 500
;500:	trap_SendClientCommand( command );
ADDRLP4 4
ARGP4
ADDRGP4 trap_SendClientCommand
CALLV
pop
line 501
;501:}
LABELV $295
endproc CG_TellAttacker_f 264 20
proc CG_StartOrbit_f 1028 12
line 509
;502:
;503:/*
;504:==================
;505:CG_StartOrbit_f
;506:==================
;507:*/
;508:
;509:static void CG_StartOrbit_f( void ) {
line 512
;510:	char var[MAX_TOKEN_CHARS];
;511:
;512:	trap_Cvar_VariableStringBuffer( "developer", var, sizeof( var ) );
ADDRGP4 $299
ARGP4
ADDRLP4 0
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 513
;513:	if ( !atoi(var) ) {
ADDRLP4 0
ARGP4
ADDRLP4 1024
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 1024
INDIRI4
CNSTI4 0
NEI4 $300
line 514
;514:		return;
ADDRGP4 $298
JUMPV
LABELV $300
line 516
;515:	}
;516:	if (cg_cameraOrbit.value != 0) {
ADDRGP4 cg_cameraOrbit+8
INDIRF4
CNSTF4 0
EQF4 $302
line 517
;517:		trap_Cvar_Set ("cg_cameraOrbit", "0");
ADDRGP4 $305
ARGP4
ADDRGP4 $306
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 518
;518:		trap_Cvar_Set("cg_thirdPerson", "0");
ADDRGP4 $307
ARGP4
ADDRGP4 $306
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 519
;519:	} else {
ADDRGP4 $303
JUMPV
LABELV $302
line 520
;520:		trap_Cvar_Set("cg_cameraOrbit", "5");
ADDRGP4 $305
ARGP4
ADDRGP4 $308
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 521
;521:		trap_Cvar_Set("cg_thirdPerson", "1");
ADDRGP4 $307
ARGP4
ADDRGP4 $188
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 522
;522:		trap_Cvar_Set("cg_thirdPersonAngle", "0");
ADDRGP4 $309
ARGP4
ADDRGP4 $306
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 523
;523:		trap_Cvar_Set("cg_thirdPersonRange", "100");
ADDRGP4 $310
ARGP4
ADDRGP4 $311
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 524
;524:	}
LABELV $303
line 525
;525:}
LABELV $298
endproc CG_StartOrbit_f 1028 12
data
align 4
LABELV commands
address $313
address CG_TestModel_f
address $314
address CG_TestModelNextFrame_f
address $315
address CG_TestModelPrevFrame_f
address $316
address CG_TestModelNextSkin_f
address $317
address CG_TestModelPrevSkin_f
address $318
address CG_Viewpos_f
address $319
address CG_ScoresDown_f
address $320
address CG_ScoresUp_f
address $321
address CG_StatsDown_f
address $322
address CG_StatsUp_f
address $323
address CG_AutomapDown_f
address $324
address CG_AutomapUp_f
address $325
address CG_NextWeapon_f
address $326
address CG_PrevWeapon_f
address $327
address CG_LastWeapon_f
address $328
address CG_Weapon_f
address $329
address CG_TellTarget_f
address $330
address CG_TellAttacker_f
address $331
address CG_ReloadHud_f
address $332
address CG_StartOrbit_f
address $333
address CG_LoadDeferredPlayers
address $334
address CG_Drop_f
address $335
address CG_WeaponToggle_f
address $336
address CG_Radio_f
address $337
address CG_Objectives_f
address $338
address CG_Outfitting_f
address $339
address CG_Team_f
export CG_ConsoleCommand
code
proc CG_ConsoleCommand 16 8
line 576
;526:
;527:typedef struct 
;528:{
;529:	char	*cmd;
;530:	void	(*function)(void);
;531:
;532:} consoleCommand_t;
;533:
;534:static consoleCommand_t	commands[] = 
;535:{
;536:	{ "testmodel",		CG_TestModel_f			},
;537:	{ "nextframe",		CG_TestModelNextFrame_f },
;538:	{ "prevframe",		CG_TestModelPrevFrame_f },
;539:	{ "nextskin",		CG_TestModelNextSkin_f	},
;540:	{ "prevskin",		CG_TestModelPrevSkin_f	},
;541:	{ "viewpos",		CG_Viewpos_f			},
;542:	{ "+scores",		CG_ScoresDown_f			},
;543:	{ "-scores",		CG_ScoresUp_f			},
;544:	{ "+stats",		CG_StatsDown_f			},
;545:	{ "-stats",		CG_StatsUp_f			},
;546:	{ "+automap",		CG_AutomapDown_f		},
;547:	{ "-automap",		CG_AutomapUp_f			},
;548:	{ "weapnext",		CG_NextWeapon_f			},
;549:	{ "weapprev",		CG_PrevWeapon_f			},
;550:	{ "weaplast",		CG_LastWeapon_f			},
;551:	{ "weapon",			CG_Weapon_f				},
;552:	{ "tell_target",	CG_TellTarget_f			},
;553:	{ "tell_attacker",	CG_TellAttacker_f		},
;554:	{ "reloadhud",		CG_ReloadHud_f			},
;555:	{ "startOrbit",		CG_StartOrbit_f			},
;556:	{ "loaddeferred",	CG_LoadDeferredPlayers	},
;557:	{ "drop",			CG_Drop_f				},
;558:
;559:	{ "weaptoggle",		CG_WeaponToggle_f		},
;560:
;561:	{ "ui_radio",		CG_Radio_f },
;562:	{ "ui_objectives",	CG_Objectives_f },
;563:	{ "ui_outfitting",	CG_Outfitting_f },
;564:	{ "ui_team",		CG_Team_f },
;565:};
;566:
;567:/*
;568:=================
;569:CG_ConsoleCommand
;570:
;571:The string has been tokenized and can be retrieved with
;572:Cmd_Argc() / Cmd_Argv()
;573:=================
;574:*/
;575:qboolean CG_ConsoleCommand( void ) 
;576:{
line 581
;577:	const char	*cmd;
;578:	int		i;
;579:
;580:	// No console commands when a map is changing
;581:	if ( cg.mMapChange )
ADDRGP4 cg+52
INDIRI4
CNSTI4 0
EQI4 $341
line 582
;582:	{
line 583
;583:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $340
JUMPV
LABELV $341
line 586
;584:	}
;585:
;586:	cmd = CG_Argv(0);
CNSTI4 0
ARGI4
ADDRLP4 8
ADDRGP4 CG_Argv
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 8
INDIRP4
ASGNP4
line 588
;587:
;588:	for ( i = 0 ; i < sizeof( commands ) / sizeof( commands[0] ) ; i++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $347
JUMPV
LABELV $344
line 589
;589:	{
line 590
;590:		if ( !Q_stricmp( cmd, commands[i].cmd ) ) 
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 commands
ADDP4
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $348
line 591
;591:		{
line 592
;592:			commands[i].function();
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 commands+4
ADDP4
INDIRP4
CALLV
pop
line 593
;593:			return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $340
JUMPV
LABELV $348
line 595
;594:		}
;595:	}
LABELV $345
line 588
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $347
ADDRLP4 0
INDIRI4
CVIU4 4
CNSTU4 27
LTU4 $344
line 597
;596:
;597:	return qfalse;
CNSTI4 0
RETI4
LABELV $340
endproc CG_ConsoleCommand 16 8
export CG_InitConsoleCommands
proc CG_InitConsoleCommands 4 4
line 609
;598:}
;599:
;600:/*
;601:=================
;602:CG_InitConsoleCommands
;603:
;604:Let the client system know about all of our commands
;605:so it can perform tab completion
;606:=================
;607:*/
;608:void CG_InitConsoleCommands( void ) 
;609:{
line 612
;610:	int		i;
;611:
;612:	for ( i = 0 ; i < sizeof( commands ) / sizeof( commands[0] ) ; i++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $355
JUMPV
LABELV $352
line 613
;613:	{
line 614
;614:		trap_AddCommand( commands[i].cmd );
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 commands
ADDP4
INDIRP4
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 615
;615:	}
LABELV $353
line 612
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $355
ADDRLP4 0
INDIRI4
CVIU4 4
CNSTU4 27
LTU4 $352
line 621
;616:
;617:	//
;618:	// the game server will interpret these commands, which will be automatically
;619:	// forwarded to the server after they are not recognized locally
;620:	//
;621:	trap_AddCommand ("kill");
ADDRGP4 $356
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 622
;622:	trap_AddCommand ("say");
ADDRGP4 $357
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 623
;623:	trap_AddCommand ("ignore");
ADDRGP4 $358
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 624
;624:	trap_AddCommand ("say_team");
ADDRGP4 $359
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 625
;625:	trap_AddCommand ("tell");
ADDRGP4 $360
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 626
;626:	trap_AddCommand ("vsay_team");
ADDRGP4 $361
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 627
;627:	trap_AddCommand ("give");
ADDRGP4 $362
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 628
;628:	trap_AddCommand ("god");
ADDRGP4 $363
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 629
;629:	trap_AddCommand ("notarget");
ADDRGP4 $364
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 630
;630:	trap_AddCommand ("noclip");
ADDRGP4 $365
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 631
;631:	trap_AddCommand ("team");
ADDRGP4 $366
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 632
;632:	trap_AddCommand ("follow");
ADDRGP4 $367
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 633
;633:	trap_AddCommand ("levelshot");
ADDRGP4 $368
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 635
;634:#ifdef _SOF2_BOTS
;635:	trap_AddCommand ("addbot");
ADDRGP4 $369
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 637
;636:#endif
;637:	trap_AddCommand ("setviewpos");
ADDRGP4 $370
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 638
;638:	trap_AddCommand ("callvote");
ADDRGP4 $371
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 639
;639:	trap_AddCommand ("vote");
ADDRGP4 $372
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 640
;640:	trap_AddCommand ("stats");
ADDRGP4 $125
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 641
;641:	trap_AddCommand ("teamtask");
ADDRGP4 $373
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 642
;642:	trap_AddCommand ("loaddeferred");
ADDRGP4 $333
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 643
;643:	trap_AddCommand ("gametype_restart");
ADDRGP4 $374
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 644
;644:}
LABELV $351
endproc CG_InitConsoleCommands 4 4
import trap_PC_RemoveAllGlobalDefines
import trap_PC_LoadGlobalDefines
import trap_PC_SourceFileAndLine
import trap_PC_ReadToken
import trap_PC_FreeSource
import trap_PC_LoadSource
import trap_PC_AddGlobalDefine
import Tooltip_Paint
import Controls_SetDefaults
import Controls_SetConfig
import Controls_GetConfig
import Display_CacheAll
import Menu_SetFeederSelection
import Menu_Paint
import Menus_CloseAll
import LerpColor
import Display_HandleKey
import Menus_CloseByName
import Menus_ShowByName
import Menus_FindByName
import Menus_OpenByName
import Display_KeyBindPending
import Display_CursorType
import Display_MouseMove
import Display_CaptureItem
import Display_GetContext
import Menus_Activate
import Menus_AnyFullScreenVisible
import Menu_Reset
import Menus_ActivateByName
import Menu_PaintAll
import Menu_New
import Menu_Count
import PC_Script_Parse
import PC_String_Parse
import PC_Rect_Parse
import PC_Int_Parse
import PC_Color_Parse
import PC_Float_Parse
import Script_Parse
import String_Parse
import Rect_Parse
import Int_Parse
import Color_Parse
import Float_Parse
import Menu_ScrollFeeder
import Menu_HandleMouseMove
import Menu_HandleKey
import Menu_GetItemByName
import Menu_GetFocused
import Menu_PostParse
import Item_Action
import Item_Init
import Menu_Init
import Display_ExpandMacros
import Init_Display
import String_Report
import String_Init
import String_Alloc
import CG_ParseGametypeFile
import CG_DrawMiscEnts
import CG_MiscEnt
import G2_PositionEntityOnBolt
import CG_PredictedProcGore
import CG_AddProcGore
import CG_SetGhoul2Info
import CG_Init_CGents
import CG_Init_CG
import trap_UI_SetActiveMenu
import trap_UI_CloseAll
import trap_CG_RegisterSharedMemory
import trap_RE_InitRendererTerrain
import trap_CM_RegisterTerrain
import trap_CM_TM_ConvertPosition
import trap_CM_TM_Upload
import trap_CM_TM_AddTarget
import trap_CM_TM_AddSpot
import trap_CM_TM_AddBuilding
import trap_CM_TM_Create
import trap_MAT_GetDebrisScale
import trap_MAT_GetDebris
import trap_MAT_GetEffect
import trap_MAT_GetDecalScale
import trap_MAT_GetDecal
import trap_MAT_GetSound
import trap_MAT_Reset
import trap_MAT_Init
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_GetBoltIndex
import trap_G2API_FindBoltIndex
import trap_G2API_GetNumModels
import trap_G2API_GetGhoul2ModelFlagsByIndex
import trap_G2API_SetGhoul2ModelFlagsByIndex
import trap_G2API_GetGhoul2ModelFlags
import trap_G2API_SetGhoul2ModelFlags
import trap_G2API_ClearSkinGore
import trap_G2API_AddSkinGore
import trap_G2API_SetNewOrigin
import trap_G2API_SetRootSurface
import trap_G2API_SetSurfaceOnOff
import trap_G2API_GetBoneAnim
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_CleanGhoul2Models
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_DetachG2Model
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_CollisionDetect
import trap_R_inPVS
import trap_GetEntityToken
import trap_SnapVector
import trap_RMG_Init
import trap_Key_GetKey
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_IsDown
import trap_MemoryRemaining
import trap_FX_AddLine
import trap_FX_Reset
import trap_FX_AdjustTime
import trap_FX_FreeSystem
import trap_FX_Draw2DEffects
import trap_FX_AddScheduledEffects
import trap_FX_PlayBoltedEffectID
import trap_FX_PlayEntityEffectID
import trap_FX_PlayEffectID
import trap_FX_PlaySimpleEffectID
import trap_FX_PlayEntityEffect
import trap_FX_PlayEffect
import trap_FX_PlaySimpleEffect
import trap_FX_RegisterEffect
import trap_FX_InitSystem
import trap_CIN_SetExtents
import trap_CIN_DrawCinematic
import trap_CIN_RunCinematic
import trap_CIN_StopCinematic
import trap_CIN_PlayCinematic
import testPrintFloat
import testPrintInt
import trap_ResetAutorun
import trap_RW_SetTeam
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetDefaultState
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_SetLightStyle
import trap_R_GetLightStyle
import trap_R_RemapShader
import trap_R_DrawRotatePic2
import trap_R_DrawRotatePic
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_DrawVisualOverlay
import trap_R_RenderScene
import trap_R_LightForPoint
import trap_R_AddLightToScene
import trap_R_AddDecalToScene
import trap_R_AddPolysToScene
import trap_R_AddPolyToScene
import trap_R_DrawTextWithCursor
import trap_R_DrawText
import trap_R_GetTextHeight
import trap_R_GetTextWidth
import trap_R_AddRefEntityToScene
import trap_R_ClearDecals
import trap_R_ClearScene
import trap_R_RegisterFont
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_AS_GetBModelSound
import trap_AS_AddLocalSet
import trap_AS_UpdateAmbientSet
import trap_AS_ParseSets
import trap_AS_AddPrecacheEntry
import trap_S_StopBackgroundTrack
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddRealLoopingSound
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StopLoopingSound
import trap_S_StartSound
import trap_S_StopAllSounds
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import CG_ApplyGore
import CG_ParseGore
import CG_ParseAnimationFile
import CG_CheckChangedPredictableEvents
import CG_TransitionPlayerState
import CG_Respawn
import CG_PlayBufferedVoiceChats
import CG_VoiceChatLocal
import CG_ShaderStateChanged
import CG_LoadVoiceChats
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_MapRestart
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingStage
import CG_LoadingString
import CG_ProcessSnapshots
import CG_TestLine
import CG_GlassShatter
import CG_BulletFlyBySound
import CG_BubbleTrail
import CG_AddLocalEntities
import CG_AllocLocalEntity
import CG_FreeLocalEntity
import CG_InitLocalEntities
import CG_WeaponCallback
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_PlayerWeaponEffects
import CG_AddViewWeapon
import CG_AnimateViewWeapon
import CG_Bullet
import CG_HandleStickyMissile
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_ProjectileThink
import CG_FireWeapon
import CG_SetWeaponAnim
import CG_UpdateViewWeaponSurfaces
import CG_RegisterItemVisuals
import CG_ShutDownWeapons
import CG_RegisterWeapon
import CG_WeaponSelectable
import CG_Weapon_f
import CG_PrevWeapon
import CG_NextWeapon
import CG_ScaleModelAxis
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_InitHitModel
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_PlayerTrace
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_PlayerShadow
import CG_RemoveIdentityItemsOnBack
import CG_RegisterIdentity
import CG_UpdatePlayerModel
import CG_CustomPlayerSound
import CG_CustomSound
import CG_NewClientInfo
import CG_ResetPlayerEntity
import CG_Player
import CG_DrawMapChange
import CG_GameTypeString
import CG_Text_PaintChar
import CG_Draw3DG2Model
import CG_Draw3DModel
import CG_GetGameStatusText
import CG_GetTeamColor
import CG_RunMenuScript
import CG_OwnerDrawDisabled
import CG_OwnerDrawVisible
import CG_GetValue
import CG_OwnerDraw
import CG_DrawActive
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import CG_DrawTimer
import CG_DrawTextWithCursor
import CG_DrawText
import CG_GetColorForHealth
import CG_DrawTopBottom
import CG_DrawSides
import CG_DrawRect
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawRotatePic2
import CG_DrawRotatePic
import CG_DrawStretchPic
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_UpdateCameraShake
import CG_CameraShake
import CG_DrawActiveFrame
import CG_AddBufferedSound
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_TeamCount
import CG_EventHandling
import CG_MouseEvent
import CG_KeyEvent
import CG_LoadMenus
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateTeamCountCvars
import CG_UpdateCvars
import CG_StartMusic
import CG_GetEntity
import CG_Argv
import CG_ConfigString
import cg_temp4
import cg_temp3
import cg_temp2
import cg_temp1
import cg_drawSmile
import cg_crosshairInfo
import cg_drawClock
import cg_drawWeaponType
import cg_drawTeamInfo
import cg_hudOpacity
import cg_hudBackGround
import cg_hudFiles
import cg_defaultHud
import cg_zoomWeaponChange
import rw_enabled
import cg_bodyTime
import cg_weaponMenuFast
import cg_soundFrag
import cg_soundGlobal
import cg_voiceGlobal
import cg_voiceRadio
import ui_info_seenobjectives
import ui_info_pickupsdisabled
import ui_info_freecount
import ui_info_speccount
import ui_info_bluecount
import ui_info_redcount
import cg_automap_a
import cg_automap_h
import cg_automap_w
import cg_automap_y
import cg_automap_x
import cg_animBlend
import cg_tracerChance
import cg_damageindicator
import RMG_distancecull
import cg_lockDeaths
import cg_lockBlood
import cg_lockSever
import cg_DebugGore
import cg_currentSelectedPlayerName
import cg_currentSelectedPlayer
import cg_noProjectileTrail
import cg_noTaunt
import cg_cameraMode
import cg_timescale
import cg_cameraOrbitDelay
import cg_cameraOrbit
import pmove_msec
import pmove_fixed
import cg_smoothClients
import cg_noVoiceText
import cg_teamChatsOnly
import cg_drawFriend
import cg_deferPlayers
import cg_autoReload
import cg_impactPrediction
import cg_antiLag
import cg_predictItems
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_stats
import cg_chatHeight
import cg_chatTime
import cg_synchronousClients
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPersonHorzOffset
import cg_thirdPersonPitch
import cg_thirdPersonYaw
import cg_thirdPersonRange
import cg_thirdPerson
import cg_goreDetail
import cg_shellEjection
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_footsteps
import cg_showmiss
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_draw2D
import cg_crosshairFriendRGBA
import cg_crosshairRGBA
import cg_crosshairGrow
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_drawHUDIcons
import cg_drawTeamScores
import cg_drawRadar
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_shadows
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centerY
import cg_centertime
import con_notifyTime
import cg_items
import cg_weapons
import cg
import cgs
import cg_numpermanents
import cg_permanents
import cg_entities
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $374
char 1 103
char 1 97
char 1 109
char 1 101
char 1 116
char 1 121
char 1 112
char 1 101
char 1 95
char 1 114
char 1 101
char 1 115
char 1 116
char 1 97
char 1 114
char 1 116
char 1 0
align 1
LABELV $373
char 1 116
char 1 101
char 1 97
char 1 109
char 1 116
char 1 97
char 1 115
char 1 107
char 1 0
align 1
LABELV $372
char 1 118
char 1 111
char 1 116
char 1 101
char 1 0
align 1
LABELV $371
char 1 99
char 1 97
char 1 108
char 1 108
char 1 118
char 1 111
char 1 116
char 1 101
char 1 0
align 1
LABELV $370
char 1 115
char 1 101
char 1 116
char 1 118
char 1 105
char 1 101
char 1 119
char 1 112
char 1 111
char 1 115
char 1 0
align 1
LABELV $369
char 1 97
char 1 100
char 1 100
char 1 98
char 1 111
char 1 116
char 1 0
align 1
LABELV $368
char 1 108
char 1 101
char 1 118
char 1 101
char 1 108
char 1 115
char 1 104
char 1 111
char 1 116
char 1 0
align 1
LABELV $367
char 1 102
char 1 111
char 1 108
char 1 108
char 1 111
char 1 119
char 1 0
align 1
LABELV $366
char 1 116
char 1 101
char 1 97
char 1 109
char 1 0
align 1
LABELV $365
char 1 110
char 1 111
char 1 99
char 1 108
char 1 105
char 1 112
char 1 0
align 1
LABELV $364
char 1 110
char 1 111
char 1 116
char 1 97
char 1 114
char 1 103
char 1 101
char 1 116
char 1 0
align 1
LABELV $363
char 1 103
char 1 111
char 1 100
char 1 0
align 1
LABELV $362
char 1 103
char 1 105
char 1 118
char 1 101
char 1 0
align 1
LABELV $361
char 1 118
char 1 115
char 1 97
char 1 121
char 1 95
char 1 116
char 1 101
char 1 97
char 1 109
char 1 0
align 1
LABELV $360
char 1 116
char 1 101
char 1 108
char 1 108
char 1 0
align 1
LABELV $359
char 1 115
char 1 97
char 1 121
char 1 95
char 1 116
char 1 101
char 1 97
char 1 109
char 1 0
align 1
LABELV $358
char 1 105
char 1 103
char 1 110
char 1 111
char 1 114
char 1 101
char 1 0
align 1
LABELV $357
char 1 115
char 1 97
char 1 121
char 1 0
align 1
LABELV $356
char 1 107
char 1 105
char 1 108
char 1 108
char 1 0
align 1
LABELV $339
char 1 117
char 1 105
char 1 95
char 1 116
char 1 101
char 1 97
char 1 109
char 1 0
align 1
LABELV $338
char 1 117
char 1 105
char 1 95
char 1 111
char 1 117
char 1 116
char 1 102
char 1 105
char 1 116
char 1 116
char 1 105
char 1 110
char 1 103
char 1 0
align 1
LABELV $337
char 1 117
char 1 105
char 1 95
char 1 111
char 1 98
char 1 106
char 1 101
char 1 99
char 1 116
char 1 105
char 1 118
char 1 101
char 1 115
char 1 0
align 1
LABELV $336
char 1 117
char 1 105
char 1 95
char 1 114
char 1 97
char 1 100
char 1 105
char 1 111
char 1 0
align 1
LABELV $335
char 1 119
char 1 101
char 1 97
char 1 112
char 1 116
char 1 111
char 1 103
char 1 103
char 1 108
char 1 101
char 1 0
align 1
LABELV $334
char 1 100
char 1 114
char 1 111
char 1 112
char 1 0
align 1
LABELV $333
char 1 108
char 1 111
char 1 97
char 1 100
char 1 100
char 1 101
char 1 102
char 1 101
char 1 114
char 1 114
char 1 101
char 1 100
char 1 0
align 1
LABELV $332
char 1 115
char 1 116
char 1 97
char 1 114
char 1 116
char 1 79
char 1 114
char 1 98
char 1 105
char 1 116
char 1 0
align 1
LABELV $331
char 1 114
char 1 101
char 1 108
char 1 111
char 1 97
char 1 100
char 1 104
char 1 117
char 1 100
char 1 0
align 1
LABELV $330
char 1 116
char 1 101
char 1 108
char 1 108
char 1 95
char 1 97
char 1 116
char 1 116
char 1 97
char 1 99
char 1 107
char 1 101
char 1 114
char 1 0
align 1
LABELV $329
char 1 116
char 1 101
char 1 108
char 1 108
char 1 95
char 1 116
char 1 97
char 1 114
char 1 103
char 1 101
char 1 116
char 1 0
align 1
LABELV $328
char 1 119
char 1 101
char 1 97
char 1 112
char 1 111
char 1 110
char 1 0
align 1
LABELV $327
char 1 119
char 1 101
char 1 97
char 1 112
char 1 108
char 1 97
char 1 115
char 1 116
char 1 0
align 1
LABELV $326
char 1 119
char 1 101
char 1 97
char 1 112
char 1 112
char 1 114
char 1 101
char 1 118
char 1 0
align 1
LABELV $325
char 1 119
char 1 101
char 1 97
char 1 112
char 1 110
char 1 101
char 1 120
char 1 116
char 1 0
align 1
LABELV $324
char 1 45
char 1 97
char 1 117
char 1 116
char 1 111
char 1 109
char 1 97
char 1 112
char 1 0
align 1
LABELV $323
char 1 43
char 1 97
char 1 117
char 1 116
char 1 111
char 1 109
char 1 97
char 1 112
char 1 0
align 1
LABELV $322
char 1 45
char 1 115
char 1 116
char 1 97
char 1 116
char 1 115
char 1 0
align 1
LABELV $321
char 1 43
char 1 115
char 1 116
char 1 97
char 1 116
char 1 115
char 1 0
align 1
LABELV $320
char 1 45
char 1 115
char 1 99
char 1 111
char 1 114
char 1 101
char 1 115
char 1 0
align 1
LABELV $319
char 1 43
char 1 115
char 1 99
char 1 111
char 1 114
char 1 101
char 1 115
char 1 0
align 1
LABELV $318
char 1 118
char 1 105
char 1 101
char 1 119
char 1 112
char 1 111
char 1 115
char 1 0
align 1
LABELV $317
char 1 112
char 1 114
char 1 101
char 1 118
char 1 115
char 1 107
char 1 105
char 1 110
char 1 0
align 1
LABELV $316
char 1 110
char 1 101
char 1 120
char 1 116
char 1 115
char 1 107
char 1 105
char 1 110
char 1 0
align 1
LABELV $315
char 1 112
char 1 114
char 1 101
char 1 118
char 1 102
char 1 114
char 1 97
char 1 109
char 1 101
char 1 0
align 1
LABELV $314
char 1 110
char 1 101
char 1 120
char 1 116
char 1 102
char 1 114
char 1 97
char 1 109
char 1 101
char 1 0
align 1
LABELV $313
char 1 116
char 1 101
char 1 115
char 1 116
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 0
align 1
LABELV $311
char 1 49
char 1 48
char 1 48
char 1 0
align 1
LABELV $310
char 1 99
char 1 103
char 1 95
char 1 116
char 1 104
char 1 105
char 1 114
char 1 100
char 1 80
char 1 101
char 1 114
char 1 115
char 1 111
char 1 110
char 1 82
char 1 97
char 1 110
char 1 103
char 1 101
char 1 0
align 1
LABELV $309
char 1 99
char 1 103
char 1 95
char 1 116
char 1 104
char 1 105
char 1 114
char 1 100
char 1 80
char 1 101
char 1 114
char 1 115
char 1 111
char 1 110
char 1 65
char 1 110
char 1 103
char 1 108
char 1 101
char 1 0
align 1
LABELV $308
char 1 53
char 1 0
align 1
LABELV $307
char 1 99
char 1 103
char 1 95
char 1 116
char 1 104
char 1 105
char 1 114
char 1 100
char 1 80
char 1 101
char 1 114
char 1 115
char 1 111
char 1 110
char 1 0
align 1
LABELV $306
char 1 48
char 1 0
align 1
LABELV $305
char 1 99
char 1 103
char 1 95
char 1 99
char 1 97
char 1 109
char 1 101
char 1 114
char 1 97
char 1 79
char 1 114
char 1 98
char 1 105
char 1 116
char 1 0
align 1
LABELV $299
char 1 100
char 1 101
char 1 118
char 1 101
char 1 108
char 1 111
char 1 112
char 1 101
char 1 114
char 1 0
align 1
LABELV $294
char 1 116
char 1 101
char 1 108
char 1 108
char 1 32
char 1 37
char 1 105
char 1 32
char 1 37
char 1 115
char 1 0
align 1
LABELV $282
char 1 43
char 1 122
char 1 111
char 1 111
char 1 109
char 1 111
char 1 117
char 1 116
char 1 59
char 1 32
char 1 119
char 1 97
char 1 105
char 1 116
char 1 59
char 1 32
char 1 45
char 1 122
char 1 111
char 1 111
char 1 109
char 1 111
char 1 117
char 1 116
char 1 59
char 1 0
align 1
LABELV $275
char 1 43
char 1 122
char 1 111
char 1 111
char 1 109
char 1 105
char 1 110
char 1 59
char 1 32
char 1 119
char 1 97
char 1 105
char 1 116
char 1 59
char 1 32
char 1 45
char 1 122
char 1 111
char 1 111
char 1 109
char 1 105
char 1 110
char 1 59
char 1 0
align 1
LABELV $224
char 1 107
char 1 110
char 1 105
char 1 102
char 1 101
char 1 0
align 1
LABELV $221
char 1 103
char 1 114
char 1 101
char 1 110
char 1 97
char 1 100
char 1 101
char 1 0
align 1
LABELV $218
char 1 112
char 1 105
char 1 115
char 1 116
char 1 111
char 1 108
char 1 0
align 1
LABELV $215
char 1 115
char 1 101
char 1 99
char 1 111
char 1 110
char 1 100
char 1 97
char 1 114
char 1 121
char 1 0
align 1
LABELV $212
char 1 112
char 1 114
char 1 105
char 1 109
char 1 97
char 1 114
char 1 121
char 1 0
align 1
LABELV $205
char 1 100
char 1 114
char 1 111
char 1 112
char 1 32
char 1 37
char 1 105
char 1 0
align 1
LABELV $188
char 1 49
char 1 0
align 1
LABELV $187
char 1 117
char 1 105
char 1 95
char 1 105
char 1 110
char 1 102
char 1 111
char 1 95
char 1 115
char 1 101
char 1 101
char 1 110
char 1 111
char 1 98
char 1 106
char 1 101
char 1 99
char 1 116
char 1 105
char 1 118
char 1 101
char 1 115
char 1 0
align 1
LABELV $140
char 1 115
char 1 99
char 1 111
char 1 114
char 1 101
char 1 0
align 1
LABELV $125
char 1 115
char 1 116
char 1 97
char 1 116
char 1 115
char 1 0
align 1
LABELV $106
char 1 40
char 1 37
char 1 105
char 1 32
char 1 37
char 1 105
char 1 32
char 1 37
char 1 105
char 1 41
char 1 32
char 1 58
char 1 32
char 1 37
char 1 105
char 1 10
char 1 0
