export CG_BubbleTrail
code
proc CG_BubbleTrail 96 4
file "../cg_effects.c"
line 15
;1:// Copyright (C) 2001-2002 Raven Software.
;2://
;3:// cg_effects.c -- these functions generate localentities, usually as a result
;4:// of event processing
;5:
;6:#include "cg_local.h"
;7:
;8:/*
;9:==================
;10:CG_BubbleTrail
;11:
;12:Bullets shot underwater
;13:==================
;14:*/
;15:void CG_BubbleTrail( vec3_t start, vec3_t end, float spacing ) {
line 21
;16:	vec3_t		move;
;17:	vec3_t		vec;
;18:	float		len;
;19:	int			i;
;20:
;21:	if ( cg_noProjectileTrail.integer ) {
ADDRGP4 cg_noProjectileTrail+12
INDIRI4
CNSTI4 0
EQI4 $93
line 22
;22:		return;
ADDRGP4 $92
JUMPV
LABELV $93
line 25
;23:	}
;24:
;25:	VectorCopy (start, move);
ADDRLP4 0
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 26
;26:	VectorSubtract (end, start, vec);
ADDRLP4 32
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 36
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
ADDRLP4 32
INDIRP4
INDIRF4
ADDRLP4 36
INDIRP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 40
CNSTI4 4
ASGNI4
ADDRLP4 12+4
ADDRLP4 32
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
ADDRLP4 36
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 44
CNSTI4 8
ASGNI4
ADDRLP4 12+8
ADDRFP4 4
INDIRP4
ADDRLP4 44
INDIRI4
ADDP4
INDIRF4
ADDRFP4 0
INDIRP4
ADDRLP4 44
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 27
;27:	len = VectorNormalize (vec);
ADDRLP4 12
ARGP4
ADDRLP4 48
ADDRGP4 VectorNormalize
CALLF4
ASGNF4
ADDRLP4 28
ADDRLP4 48
INDIRF4
ASGNF4
line 30
;28:
;29:	// advance a random amount first
;30:	i = rand() % (int)spacing;
ADDRLP4 52
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 24
ADDRLP4 52
INDIRI4
ADDRFP4 8
INDIRF4
CVFI4 4
MODI4
ASGNI4
line 31
;31:	VectorMA( move, i, vec, move );
ADDRLP4 56
ADDRLP4 24
INDIRI4
CVIF4 4
ASGNF4
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 12
INDIRF4
ADDRLP4 56
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 12+4
INDIRF4
ADDRLP4 56
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 12+8
INDIRF4
ADDRLP4 24
INDIRI4
CVIF4 4
MULF4
ADDF4
ASGNF4
line 33
;32:
;33:	VectorScale (vec, spacing, vec);
ADDRLP4 60
ADDRFP4 8
INDIRF4
ASGNF4
ADDRLP4 12
ADDRLP4 12
INDIRF4
ADDRLP4 60
INDIRF4
MULF4
ASGNF4
ADDRLP4 12+4
ADDRLP4 12+4
INDIRF4
ADDRLP4 60
INDIRF4
MULF4
ASGNF4
ADDRLP4 12+8
ADDRLP4 12+8
INDIRF4
ADDRFP4 8
INDIRF4
MULF4
ASGNF4
line 35
;34:
;35:	for ( ; i < len; i += spacing ) {
ADDRGP4 $111
JUMPV
LABELV $108
line 39
;36:		localEntity_t	*le;
;37:		refEntity_t		*re;
;38:
;39:		le = CG_AllocLocalEntity();
ADDRLP4 72
ADDRGP4 CG_AllocLocalEntity
CALLP4
ASGNP4
ADDRLP4 64
ADDRLP4 72
INDIRP4
ASGNP4
line 40
;40:		le->leFlags = LEF_PUFF_DONT_SCALE;
ADDRLP4 64
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 1
ASGNI4
line 41
;41:		le->leType = LE_MOVE_SCALE_FADE;
ADDRLP4 64
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 1
ASGNI4
line 42
;42:		le->startTime = cg.time;
ADDRLP4 64
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 43
;43:		le->endTime = cg.time + 1000 + random() * 250;
ADDRLP4 76
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 64
INDIRP4
CNSTI4 20
ADDP4
ADDRGP4 cg+68
INDIRI4
CNSTI4 1000
ADDI4
CVIF4 4
CNSTF4 1132068864
ADDRLP4 76
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
ADDF4
CVFI4 4
ASGNI4
line 44
;44:		le->lifeRate = 1.0 / ( le->endTime - le->startTime );
ADDRLP4 64
INDIRP4
CNSTI4 28
ADDP4
CNSTF4 1065353216
ADDRLP4 64
INDIRP4
CNSTI4 20
ADDP4
INDIRI4
ADDRLP4 64
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
SUBI4
CVIF4 4
DIVF4
ASGNF4
line 46
;45:
;46:		re = &le->refEntity;
ADDRLP4 68
ADDRLP4 64
INDIRP4
CNSTI4 164
ADDP4
ASGNP4
line 47
;47:		re->shaderTime = cg.time / 1000.0f;
ADDRLP4 68
INDIRP4
CNSTI4 100
ADDP4
ADDRGP4 cg+68
INDIRI4
CVIF4 4
CNSTF4 1148846080
DIVF4
ASGNF4
line 49
;48:
;49:		re->reType = RT_SPRITE;
ADDRLP4 68
INDIRP4
CNSTI4 2
ASGNI4
line 50
;50:		re->rotation = 0;
ADDRLP4 68
INDIRP4
CNSTI4 96
ADDP4
CNSTF4 0
ASGNF4
line 51
;51:		re->radius = 3;
ADDRLP4 68
INDIRP4
CNSTI4 92
ADDP4
CNSTF4 1077936128
ASGNF4
line 52
;52:		re->customShader = cgs.media.waterBubbleShader;
ADDRLP4 68
INDIRP4
CNSTI4 76
ADDP4
ADDRGP4 cgs+243476+128
INDIRI4
ASGNI4
line 53
;53:		re->shaderRGBA[0] = 0xff;
ADDRLP4 68
INDIRP4
CNSTI4 80
ADDP4
CNSTU1 255
ASGNU1
line 54
;54:		re->shaderRGBA[1] = 0xff;
ADDRLP4 68
INDIRP4
CNSTI4 81
ADDP4
CNSTU1 255
ASGNU1
line 55
;55:		re->shaderRGBA[2] = 0xff;
ADDRLP4 68
INDIRP4
CNSTI4 82
ADDP4
CNSTU1 255
ASGNU1
line 56
;56:		re->shaderRGBA[3] = 0xff;
ADDRLP4 68
INDIRP4
CNSTI4 83
ADDP4
CNSTU1 255
ASGNU1
line 58
;57:
;58:		le->color[3] = 1.0;
ADDRLP4 64
INDIRP4
CNSTI4 128
ADDP4
CNSTF4 1065353216
ASGNF4
line 60
;59:
;60:		le->pos.trType = TR_LINEAR;
ADDRLP4 64
INDIRP4
CNSTI4 32
ADDP4
CNSTI4 2
ASGNI4
line 61
;61:		le->pos.trTime = cg.time;
ADDRLP4 64
INDIRP4
CNSTI4 36
ADDP4
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 62
;62:		VectorCopy( move, le->pos.trBase );
ADDRLP4 64
INDIRP4
CNSTI4 44
ADDP4
ADDRLP4 0
INDIRB
ASGNB 12
line 63
;63:		le->pos.trDelta[0] = crandom()*5;
ADDRLP4 84
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 64
INDIRP4
CNSTI4 56
ADDP4
CNSTF4 1084227584
CNSTF4 1073741824
ADDRLP4 84
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
ASGNF4
line 64
;64:		le->pos.trDelta[1] = crandom()*5;
ADDRLP4 88
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 64
INDIRP4
CNSTI4 60
ADDP4
CNSTF4 1084227584
CNSTF4 1073741824
ADDRLP4 88
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
ASGNF4
line 65
;65:		le->pos.trDelta[2] = crandom()*5 + 6;
ADDRLP4 92
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 64
INDIRP4
CNSTI4 64
ADDP4
CNSTF4 1084227584
CNSTF4 1073741824
ADDRLP4 92
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
CNSTF4 1086324736
ADDF4
ASGNF4
line 67
;66:
;67:		VectorAdd (move, vec, move);
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 12
INDIRF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 12+4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 12+8
INDIRF4
ADDF4
ASGNF4
line 68
;68:	}
LABELV $109
line 35
ADDRLP4 24
ADDRLP4 24
INDIRI4
CVIF4 4
ADDRFP4 8
INDIRF4
ADDF4
CVFI4 4
ASGNI4
LABELV $111
ADDRLP4 24
INDIRI4
CVIF4 4
ADDRLP4 28
INDIRF4
LTF4 $108
line 69
;69:}
LABELV $92
endproc CG_BubbleTrail 96 4
export CG_TestLine
proc CG_TestLine 29 0
line 73
;70:
;71:
;72:void CG_TestLine( vec3_t start, vec3_t end, int time, unsigned int color, int radius) 
;73:{
line 77
;74:	localEntity_t	*le;
;75:	refEntity_t		*re;
;76:
;77:	le = CG_AllocLocalEntity();
ADDRLP4 8
ADDRGP4 CG_AllocLocalEntity
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 8
INDIRP4
ASGNP4
line 78
;78:	le->leType = LE_LINE;
ADDRLP4 4
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 6
ASGNI4
line 79
;79:	le->startTime = cg.time;
ADDRLP4 4
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 80
;80:	le->endTime = cg.time + time;
ADDRLP4 4
INDIRP4
CNSTI4 20
ADDP4
ADDRGP4 cg+68
INDIRI4
ADDRFP4 8
INDIRI4
ADDI4
ASGNI4
line 81
;81:	le->lifeRate = 1.0 / ( le->endTime - le->startTime );
ADDRLP4 4
INDIRP4
CNSTI4 28
ADDP4
CNSTF4 1065353216
ADDRLP4 4
INDIRP4
CNSTI4 20
ADDP4
INDIRI4
ADDRLP4 4
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
SUBI4
CVIF4 4
DIVF4
ASGNF4
line 83
;82:
;83:	re = &le->refEntity;
ADDRLP4 0
ADDRLP4 4
INDIRP4
CNSTI4 164
ADDP4
ASGNP4
line 84
;84:	VectorCopy( start, re->origin );
ADDRLP4 0
INDIRP4
CNSTI4 52
ADDP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 85
;85:	VectorCopy( end, re->oldorigin);
ADDRLP4 0
INDIRP4
CNSTI4 64
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 86
;86:	re->shaderTime = cg.time / 1000.0f;
ADDRLP4 0
INDIRP4
CNSTI4 100
ADDP4
ADDRGP4 cg+68
INDIRI4
CVIF4 4
CNSTF4 1148846080
DIVF4
ASGNF4
line 88
;87:
;88:	re->reType = RT_LINE;
ADDRLP4 0
INDIRP4
CNSTI4 7
ASGNI4
line 89
;89:	re->radius = 0.5*radius;
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
CNSTF4 1056964608
ADDRFP4 16
INDIRI4
CVIF4 4
MULF4
ASGNF4
line 90
;90:	re->customShader = cgs.media.whiteShader; //trap_R_RegisterShaderNoMip("textures/colombia/canvas_doublesided");
ADDRLP4 0
INDIRP4
CNSTI4 76
ADDP4
ADDRGP4 cgs+243476
INDIRI4
ASGNI4
line 92
;91:
;92:	re->shaderTexCoord[0] = re->shaderTexCoord[1] = 1.0f;
ADDRLP4 20
CNSTF4 1065353216
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 88
ADDP4
ADDRLP4 20
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 84
ADDP4
ADDRLP4 20
INDIRF4
ASGNF4
line 94
;93:
;94:	if (color==0)
ADDRFP4 12
INDIRU4
CNSTU4 0
NEU4 $129
line 95
;95:	{
line 96
;96:		re->shaderRGBA[0] = re->shaderRGBA[1] = re->shaderRGBA[2] = re->shaderRGBA[3] = 0xff;
ADDRLP4 28
CNSTU1 255
ASGNU1
ADDRLP4 0
INDIRP4
CNSTI4 83
ADDP4
ADDRLP4 28
INDIRU1
ASGNU1
ADDRLP4 0
INDIRP4
CNSTI4 82
ADDP4
ADDRLP4 28
INDIRU1
ASGNU1
ADDRLP4 0
INDIRP4
CNSTI4 81
ADDP4
ADDRLP4 28
INDIRU1
ASGNU1
ADDRLP4 0
INDIRP4
CNSTI4 80
ADDP4
ADDRLP4 28
INDIRU1
ASGNU1
line 97
;97:	}
ADDRGP4 $130
JUMPV
LABELV $129
line 99
;98:	else
;99:	{
line 100
;100:		re->shaderRGBA[0] = color & 0xff;
ADDRLP4 0
INDIRP4
CNSTI4 80
ADDP4
ADDRFP4 12
INDIRU4
CNSTU4 255
BANDU4
CVUU1 4
ASGNU1
line 101
;101:		color >>= 8;
ADDRFP4 12
ADDRFP4 12
INDIRU4
CNSTI4 8
RSHU4
ASGNU4
line 102
;102:		re->shaderRGBA[1] = color & 0xff;
ADDRLP4 0
INDIRP4
CNSTI4 81
ADDP4
ADDRFP4 12
INDIRU4
CNSTU4 255
BANDU4
CVUU1 4
ASGNU1
line 103
;103:		color >>= 8;
ADDRFP4 12
ADDRFP4 12
INDIRU4
CNSTI4 8
RSHU4
ASGNU4
line 104
;104:		re->shaderRGBA[2] = color & 0xff;
ADDRLP4 0
INDIRP4
CNSTI4 82
ADDP4
ADDRFP4 12
INDIRU4
CNSTU4 255
BANDU4
CVUU1 4
ASGNU1
line 105
;105:		re->shaderRGBA[3] = 0xff;
ADDRLP4 0
INDIRP4
CNSTI4 83
ADDP4
CNSTU1 255
ASGNU1
line 106
;106:	}
LABELV $130
line 108
;107:
;108:	le->color[3] = 1.0;
ADDRLP4 4
INDIRP4
CNSTI4 128
ADDP4
CNSTF4 1065353216
ASGNF4
line 109
;109:}
LABELV $124
endproc CG_TestLine 29 0
export CG_ThrowShard
proc CG_ThrowShard 20 8
line 116
;110:
;111:/*
;112:==================
;113:CG_ThrowShard
;114:==================
;115:*/
;116:void CG_ThrowShard( vec3_t origin, vec3_t velocity, qhandle_t hModel ) {
line 120
;117:	localEntity_t	*le;
;118:	refEntity_t		*re;
;119:
;120:	le = CG_AllocLocalEntity();
ADDRLP4 8
ADDRGP4 CG_AllocLocalEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
ASGNP4
line 121
;121:	re = &le->refEntity;
ADDRLP4 4
ADDRLP4 0
INDIRP4
CNSTI4 164
ADDP4
ASGNP4
line 123
;122:
;123:	le->leType = LE_FRAGMENT;
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 0
ASGNI4
line 124
;124:	le->startTime = cg.time;
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 125
;125:	le->endTime = le->startTime + 5000 + random() * 3000;
ADDRLP4 12
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 20
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
CNSTI4 5000
ADDI4
CVIF4 4
CNSTF4 1161527296
ADDRLP4 12
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
ADDF4
CVFI4 4
ASGNI4
line 127
;126:
;127:	VectorCopy( origin, re->origin );
ADDRLP4 4
INDIRP4
CNSTI4 52
ADDP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 128
;128:	AxisCopy( axisDefault, re->axis );
ADDRGP4 axisDefault
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 AxisCopy
CALLV
pop
line 129
;129:	re->hModel = hModel;
ADDRLP4 4
INDIRP4
CNSTI4 8
ADDP4
ADDRFP4 8
INDIRI4
ASGNI4
line 131
;130:
;131:	le->pos.trType = TR_GRAVITY;
ADDRLP4 0
INDIRP4
CNSTI4 32
ADDP4
CNSTI4 5
ASGNI4
line 132
;132:	le->angles.trType = TR_GRAVITY;
ADDRLP4 0
INDIRP4
CNSTI4 68
ADDP4
CNSTI4 5
ASGNI4
line 133
;133:	VectorCopy( origin, le->pos.trBase );
ADDRLP4 0
INDIRP4
CNSTI4 44
ADDP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 134
;134:	VectorCopy( velocity, le->pos.trDelta );
ADDRLP4 0
INDIRP4
CNSTI4 56
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 135
;135:	VectorSet(le->angles.trBase, 20, 20, 20);
ADDRLP4 0
INDIRP4
CNSTI4 80
ADDP4
CNSTF4 1101004800
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 84
ADDP4
CNSTF4 1101004800
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 88
ADDP4
CNSTF4 1101004800
ASGNF4
line 136
;136:	VectorCopy( velocity, le->angles.trDelta );
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 137
;137:	le->pos.trTime = cg.time;
ADDRLP4 0
INDIRP4
CNSTI4 36
ADDP4
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 138
;138:	le->angles.trTime = cg.time;
ADDRLP4 0
INDIRP4
CNSTI4 72
ADDP4
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 140
;139:
;140:	le->leFlags = LEF_TUMBLE;
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 2
ASGNI4
line 142
;141:
;142:	le->angles.trBase[YAW] = 180;
ADDRLP4 0
INDIRP4
CNSTI4 84
ADDP4
CNSTF4 1127481344
ASGNF4
line 144
;143:
;144:	le->bounceFactor = 0.3f;
ADDRLP4 0
INDIRP4
CNSTI4 104
ADDP4
CNSTF4 1050253722
ASGNF4
line 145
;145:}
LABELV $131
endproc CG_ThrowShard 20 8
export CG_GlassShatter
proc CG_GlassShatter 128 24
line 154
;146:
;147:/*
;148:==================
;149:CG_GlassShatter
;150:Throws glass shards from within a given bounding box in the world
;151:==================
;152:*/
;153:void CG_GlassShatter(int entnum, vec3_t org, vec3_t mins, vec3_t maxs)
;154:{
line 157
;155:	vec3_t velocity, a, shardorg, dif, difx;
;156:	float windowmass;
;157:	float shardsthrow = 0;
ADDRLP4 48
CNSTF4 0
ASGNF4
line 159
;158:
;159:	trap_S_StartSound(org, entnum, CHAN_BODY, cgs.media.glassBreakSound, -1, -1 );
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 0
INDIRI4
ARGI4
CNSTI4 5
ARGI4
ADDRGP4 cgs+243476+224
INDIRI4
ARGI4
ADDRLP4 68
CNSTI4 -1
ASGNI4
ADDRLP4 68
INDIRI4
ARGI4
ADDRLP4 68
INDIRI4
ARGI4
ADDRGP4 trap_S_StartSound
CALLV
pop
line 161
;160:
;161:	VectorSubtract(maxs, mins, a);
ADDRLP4 72
ADDRFP4 12
INDIRP4
ASGNP4
ADDRLP4 76
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 56
ADDRLP4 72
INDIRP4
INDIRF4
ADDRLP4 76
INDIRP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 80
CNSTI4 4
ASGNI4
ADDRLP4 56+4
ADDRLP4 72
INDIRP4
ADDRLP4 80
INDIRI4
ADDP4
INDIRF4
ADDRLP4 76
INDIRP4
ADDRLP4 80
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 84
CNSTI4 8
ASGNI4
ADDRLP4 56+8
ADDRFP4 12
INDIRP4
ADDRLP4 84
INDIRI4
ADDP4
INDIRF4
ADDRFP4 8
INDIRP4
ADDRLP4 84
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 163
;162:
;163:	windowmass = VectorLength(a); //should give us some idea of how big the chunk of glass is
ADDRLP4 56
ARGP4
ADDRLP4 88
ADDRGP4 VectorLength
CALLF4
ASGNF4
ADDRLP4 52
ADDRLP4 88
INDIRF4
ASGNF4
ADDRGP4 $141
JUMPV
LABELV $140
line 166
;164:
;165:	while (shardsthrow < windowmass)
;166:	{
line 167
;167:		velocity[0] = crandom()*150;
ADDRLP4 92
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 36
CNSTF4 1125515264
CNSTF4 1073741824
ADDRLP4 92
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
ASGNF4
line 168
;168:		velocity[1] = crandom()*150;
ADDRLP4 96
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 36+4
CNSTF4 1125515264
CNSTF4 1073741824
ADDRLP4 96
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
ASGNF4
line 169
;169:		velocity[2] = 150 + crandom()*75;
ADDRLP4 100
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 36+8
CNSTF4 1117126656
CNSTF4 1073741824
ADDRLP4 100
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
CNSTF4 1125515264
ADDF4
ASGNF4
line 171
;170:
;171:		VectorCopy(org, shardorg);
ADDRLP4 24
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 173
;172:	
;173:		dif[0] = (maxs[0]-mins[0])/2;
ADDRLP4 0
ADDRFP4 12
INDIRP4
INDIRF4
ADDRFP4 8
INDIRP4
INDIRF4
SUBF4
CNSTF4 1073741824
DIVF4
ASGNF4
line 174
;174:		dif[1] = (maxs[1]-mins[1])/2;
ADDRLP4 104
CNSTI4 4
ASGNI4
ADDRLP4 0+4
ADDRFP4 12
INDIRP4
ADDRLP4 104
INDIRI4
ADDP4
INDIRF4
ADDRFP4 8
INDIRP4
ADDRLP4 104
INDIRI4
ADDP4
INDIRF4
SUBF4
CNSTF4 1073741824
DIVF4
ASGNF4
line 175
;175:		dif[2] = (maxs[2]-mins[2])/2;
ADDRLP4 108
CNSTI4 8
ASGNI4
ADDRLP4 0+8
ADDRFP4 12
INDIRP4
ADDRLP4 108
INDIRI4
ADDP4
INDIRF4
ADDRFP4 8
INDIRP4
ADDRLP4 108
INDIRI4
ADDP4
INDIRF4
SUBF4
CNSTF4 1073741824
DIVF4
ASGNF4
line 177
;176:
;177:		if (dif[0] < 2)
ADDRLP4 0
INDIRF4
CNSTF4 1073741824
GEF4 $147
line 178
;178:		{
line 179
;179:			dif[0] = 2;
ADDRLP4 0
CNSTF4 1073741824
ASGNF4
line 180
;180:		}
LABELV $147
line 181
;181:		if (dif[1] < 2)
ADDRLP4 0+4
INDIRF4
CNSTF4 1073741824
GEF4 $149
line 182
;182:		{
line 183
;183:			dif[1] = 2;
ADDRLP4 0+4
CNSTF4 1073741824
ASGNF4
line 184
;184:		}
LABELV $149
line 185
;185:		if (dif[2] < 2)
ADDRLP4 0+8
INDIRF4
CNSTF4 1073741824
GEF4 $153
line 186
;186:		{
line 187
;187:			dif[2] = 2;
ADDRLP4 0+8
CNSTF4 1073741824
ASGNF4
line 188
;188:		}
LABELV $153
line 190
;189:
;190:		difx[0] = (float) Q_irand(1, (int)((dif[0]*0.9)*2));
CNSTI4 1
ARGI4
CNSTF4 1073741824
CNSTF4 1063675494
ADDRLP4 0
INDIRF4
MULF4
MULF4
CVFI4 4
ARGI4
ADDRLP4 112
ADDRGP4 Q_irand
CALLI4
ASGNI4
ADDRLP4 12
ADDRLP4 112
INDIRI4
CVIF4 4
ASGNF4
line 191
;191:		difx[1] = (float) Q_irand(1, (int)((dif[1]*0.9)*2));
CNSTI4 1
ARGI4
CNSTF4 1073741824
CNSTF4 1063675494
ADDRLP4 0+4
INDIRF4
MULF4
MULF4
CVFI4 4
ARGI4
ADDRLP4 116
ADDRGP4 Q_irand
CALLI4
ASGNI4
ADDRLP4 12+4
ADDRLP4 116
INDIRI4
CVIF4 4
ASGNF4
line 192
;192:		difx[2] = (float) Q_irand(1, (int)((dif[2]*0.9)*2));
CNSTI4 1
ARGI4
CNSTF4 1073741824
CNSTF4 1063675494
ADDRLP4 0+8
INDIRF4
MULF4
MULF4
CVFI4 4
ARGI4
ADDRLP4 120
ADDRGP4 Q_irand
CALLI4
ASGNI4
ADDRLP4 12+8
ADDRLP4 120
INDIRI4
CVIF4 4
ASGNF4
line 194
;193:
;194:		if (difx[0] > dif[0])
ADDRLP4 12
INDIRF4
ADDRLP4 0
INDIRF4
LEF4 $161
line 195
;195:		{
line 196
;196:			shardorg[0] += difx[0]-(dif[0]);
ADDRLP4 24
ADDRLP4 24
INDIRF4
ADDRLP4 12
INDIRF4
ADDRLP4 0
INDIRF4
SUBF4
ADDF4
ASGNF4
line 197
;197:		}
ADDRGP4 $162
JUMPV
LABELV $161
line 199
;198:		else
;199:		{
line 200
;200:			shardorg[0] -= difx[0];
ADDRLP4 24
ADDRLP4 24
INDIRF4
ADDRLP4 12
INDIRF4
SUBF4
ASGNF4
line 201
;201:		}
LABELV $162
line 202
;202:		if (difx[1] > dif[1])
ADDRLP4 12+4
INDIRF4
ADDRLP4 0+4
INDIRF4
LEF4 $163
line 203
;203:		{
line 204
;204:			shardorg[1] += difx[1]-(dif[1]);
ADDRLP4 24+4
ADDRLP4 24+4
INDIRF4
ADDRLP4 12+4
INDIRF4
ADDRLP4 0+4
INDIRF4
SUBF4
ADDF4
ASGNF4
line 205
;205:		}
ADDRGP4 $164
JUMPV
LABELV $163
line 207
;206:		else
;207:		{
line 208
;208:			shardorg[1] -= difx[1];
ADDRLP4 24+4
ADDRLP4 24+4
INDIRF4
ADDRLP4 12+4
INDIRF4
SUBF4
ASGNF4
line 209
;209:		}
LABELV $164
line 210
;210:		if (difx[2] > dif[2])
ADDRLP4 12+8
INDIRF4
ADDRLP4 0+8
INDIRF4
LEF4 $172
line 211
;211:		{
line 212
;212:			shardorg[2] += difx[2]-(dif[2]);
ADDRLP4 24+8
ADDRLP4 24+8
INDIRF4
ADDRLP4 12+8
INDIRF4
ADDRLP4 0+8
INDIRF4
SUBF4
ADDF4
ASGNF4
line 213
;213:		}
ADDRGP4 $173
JUMPV
LABELV $172
line 215
;214:		else
;215:		{
line 216
;216:			shardorg[2] -= difx[2];
ADDRLP4 24+8
ADDRLP4 24+8
INDIRF4
ADDRLP4 12+8
INDIRF4
SUBF4
ASGNF4
line 217
;217:		}
LABELV $173
line 219
;218:
;219:		trap_FX_PlayEffectID( cgs.media.glassChunkEffect, shardorg, velocity, -1, -1 );
ADDRGP4 cgs+243476+296
INDIRI4
ARGI4
ADDRLP4 24
ARGP4
ADDRLP4 36
ARGP4
ADDRLP4 124
CNSTI4 -1
ASGNI4
ADDRLP4 124
INDIRI4
ARGI4
ADDRLP4 124
INDIRI4
ARGI4
ADDRGP4 trap_FX_PlayEffectID
CALLV
pop
line 221
;220:
;221:		shardsthrow += 20;
ADDRLP4 48
ADDRLP4 48
INDIRF4
CNSTF4 1101004800
ADDF4
ASGNF4
line 222
;222:	}
LABELV $141
line 165
ADDRLP4 48
INDIRF4
ADDRLP4 52
INDIRF4
LTF4 $140
line 223
;223:}
LABELV $135
endproc CG_GlassShatter 128 24
export CG_PointLineIntersect
proc CG_PointLineIntersect 128 4
line 226
;224:
;225:qboolean CG_PointLineIntersect ( vec3_t start, vec3_t end, vec3_t point, float rad, vec3_t intersection )
;226:{
line 232
;227:	vec3_t dir;
;228:	vec3_t distance;
;229:	float  len;
;230:	float  lineSize;
;231:
;232:	VectorSubtract ( end, start, dir );
ADDRLP4 32
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 36
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
ADDRLP4 32
INDIRP4
INDIRF4
ADDRLP4 36
INDIRP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 40
CNSTI4 4
ASGNI4
ADDRLP4 12+4
ADDRLP4 32
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
ADDRLP4 36
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 44
CNSTI4 8
ASGNI4
ADDRLP4 12+8
ADDRFP4 4
INDIRP4
ADDRLP4 44
INDIRI4
ADDP4
INDIRF4
ADDRFP4 0
INDIRP4
ADDRLP4 44
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 233
;233:	lineSize = VectorNormalize ( dir );
ADDRLP4 12
ARGP4
ADDRLP4 48
ADDRGP4 VectorNormalize
CALLF4
ASGNF4
ADDRLP4 28
ADDRLP4 48
INDIRF4
ASGNF4
line 236
;234:
;235:	// Calculate the distnace from the shooter to the target
;236:	VectorSubtract ( point, start, distance );
ADDRLP4 52
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 56
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 52
INDIRP4
INDIRF4
ADDRLP4 56
INDIRP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 60
CNSTI4 4
ASGNI4
ADDRLP4 0+4
ADDRLP4 52
INDIRP4
ADDRLP4 60
INDIRI4
ADDP4
INDIRF4
ADDRLP4 56
INDIRP4
ADDRLP4 60
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 64
CNSTI4 8
ASGNI4
ADDRLP4 0+8
ADDRFP4 8
INDIRP4
ADDRLP4 64
INDIRI4
ADDP4
INDIRF4
ADDRFP4 0
INDIRP4
ADDRLP4 64
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 240
;237:
;238:	// Use that distnace to determine the point of tangent in relation to
;239:	// the center of the player entity
;240:	VectorMA ( start, DotProduct ( dir, distance ), dir, intersection );
ADDRLP4 68
ADDRLP4 12
INDIRF4
ASGNF4
ADDRFP4 16
INDIRP4
ADDRFP4 0
INDIRP4
INDIRF4
ADDRLP4 68
INDIRF4
ADDRLP4 68
INDIRF4
ADDRLP4 0
INDIRF4
MULF4
ADDRLP4 12+4
INDIRF4
ADDRLP4 0+4
INDIRF4
MULF4
ADDF4
ADDRLP4 12+8
INDIRF4
ADDRLP4 0+8
INDIRF4
MULF4
ADDF4
MULF4
ADDF4
ASGNF4
ADDRLP4 72
CNSTI4 4
ASGNI4
ADDRFP4 16
INDIRP4
ADDRLP4 72
INDIRI4
ADDP4
ADDRFP4 0
INDIRP4
ADDRLP4 72
INDIRI4
ADDP4
INDIRF4
ADDRLP4 12+4
INDIRF4
ADDRLP4 12
INDIRF4
ADDRLP4 0
INDIRF4
MULF4
ADDRLP4 12+4
INDIRF4
ADDRLP4 0+4
INDIRF4
MULF4
ADDF4
ADDRLP4 12+8
INDIRF4
ADDRLP4 0+8
INDIRF4
MULF4
ADDF4
MULF4
ADDF4
ASGNF4
ADDRLP4 76
CNSTI4 8
ASGNI4
ADDRFP4 16
INDIRP4
ADDRLP4 76
INDIRI4
ADDP4
ADDRFP4 0
INDIRP4
ADDRLP4 76
INDIRI4
ADDP4
INDIRF4
ADDRLP4 12+8
INDIRF4
ADDRLP4 12
INDIRF4
ADDRLP4 0
INDIRF4
MULF4
ADDRLP4 12+4
INDIRF4
ADDRLP4 0+4
INDIRF4
MULF4
ADDF4
ADDRLP4 12+8
INDIRF4
ADDRLP4 0+8
INDIRF4
MULF4
ADDF4
MULF4
ADDF4
ASGNF4
line 242
;241:
;242:	VectorSubtract ( intersection, point, distance );
ADDRLP4 80
ADDRFP4 16
INDIRP4
ASGNP4
ADDRLP4 84
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 80
INDIRP4
INDIRF4
ADDRLP4 84
INDIRP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 88
CNSTI4 4
ASGNI4
ADDRLP4 0+4
ADDRLP4 80
INDIRP4
ADDRLP4 88
INDIRI4
ADDP4
INDIRF4
ADDRLP4 84
INDIRP4
ADDRLP4 88
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 92
CNSTI4 8
ASGNI4
ADDRLP4 0+8
ADDRFP4 16
INDIRP4
ADDRLP4 92
INDIRI4
ADDP4
INDIRF4
ADDRFP4 8
INDIRP4
ADDRLP4 92
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 243
;243:	len = VectorLengthSquared ( distance );
ADDRLP4 0
ARGP4
ADDRLP4 96
ADDRGP4 VectorLengthSquared
CALLF4
ASGNF4
ADDRLP4 24
ADDRLP4 96
INDIRF4
ASGNF4
line 246
;244:
;245:	// Is the intersection point within the given radius requirements?
;246:	if ( len < rad * rad )
ADDRLP4 100
ADDRFP4 12
INDIRF4
ASGNF4
ADDRLP4 24
INDIRF4
ADDRLP4 100
INDIRF4
ADDRLP4 100
INDIRF4
MULF4
GEF4 $204
line 247
;247:	{
line 249
;248:		// Make sure its not past the end of the given line
;249:		VectorSubtract ( intersection, start, distance );
ADDRLP4 104
ADDRFP4 16
INDIRP4
ASGNP4
ADDRLP4 108
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 104
INDIRP4
INDIRF4
ADDRLP4 108
INDIRP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 112
CNSTI4 4
ASGNI4
ADDRLP4 0+4
ADDRLP4 104
INDIRP4
ADDRLP4 112
INDIRI4
ADDP4
INDIRF4
ADDRLP4 108
INDIRP4
ADDRLP4 112
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 116
CNSTI4 8
ASGNI4
ADDRLP4 0+8
ADDRFP4 16
INDIRP4
ADDRLP4 116
INDIRI4
ADDP4
INDIRF4
ADDRFP4 0
INDIRP4
ADDRLP4 116
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 250
;250:		len = VectorLengthSquared ( distance );
ADDRLP4 0
ARGP4
ADDRLP4 120
ADDRGP4 VectorLengthSquared
CALLF4
ASGNF4
ADDRLP4 24
ADDRLP4 120
INDIRF4
ASGNF4
line 253
;251:
;252:		// If the len
;253:		if ( len < lineSize * lineSize )
ADDRLP4 124
ADDRLP4 28
INDIRF4
ASGNF4
ADDRLP4 24
INDIRF4
ADDRLP4 124
INDIRF4
ADDRLP4 124
INDIRF4
MULF4
GEF4 $208
line 254
;254:		{
line 255
;255:			return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $183
JUMPV
LABELV $208
line 257
;256:		}
;257:	}
LABELV $204
line 259
;258:
;259:	return qfalse;
CNSTI4 0
RETI4
LABELV $183
endproc CG_PointLineIntersect 128 4
export CG_BulletFlyBySound
proc CG_BulletFlyBySound 32 24
line 263
;260:}
;261:
;262:void CG_BulletFlyBySound ( vec3_t start, vec3_t end )
;263:{
line 266
;264:	// make the incidental sounds - all of these should already be precached on the server
;265:	vec3_t	soundPoint;
;266:	if( CG_PointLineIntersect(start, end, cg.refdef.vieworg, 100, soundPoint ) )
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 cg+1200+24
ARGP4
CNSTF4 1120403456
ARGF4
ADDRLP4 0
ARGP4
ADDRLP4 12
ADDRGP4 CG_PointLineIntersect
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
EQI4 $211
line 267
;267:	{
line 268
;268:		if (irand(1, 10) < 5)
CNSTI4 1
ARGI4
CNSTI4 10
ARGI4
ADDRLP4 16
ADDRGP4 irand
CALLI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 5
GEI4 $215
line 269
;269:		{
line 270
;270:			int which = irand(0, NUMFLYBYS - 1);
CNSTI4 0
ARGI4
CNSTI4 3
ARGI4
ADDRLP4 24
ADDRGP4 irand
CALLI4
ASGNI4
ADDRLP4 20
ADDRLP4 24
INDIRI4
ASGNI4
line 272
;271:			
;272:			trap_S_StartSound (soundPoint, cg.predictedPlayerState.clientNum, CHAN_AUTO, cgs.media.flybySounds[which], -1, -1 );
ADDRLP4 0
ARGP4
ADDRGP4 cg+100+168
INDIRI4
ARGI4
CNSTI4 0
ARGI4
ADDRLP4 20
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 cgs+243476+260
ADDP4
INDIRI4
ARGI4
ADDRLP4 28
CNSTI4 -1
ASGNI4
ADDRLP4 28
INDIRI4
ARGI4
ADDRLP4 28
INDIRI4
ARGI4
ADDRGP4 trap_S_StartSound
CALLV
pop
line 273
;273:		}
LABELV $215
line 274
;274:	}
LABELV $211
line 275
;275:}
LABELV $210
endproc CG_BulletFlyBySound 32 24
import CG_ParseGametypeFile
import CG_DrawMiscEnts
import CG_MiscEnt
import G2_PositionEntityOnBolt
import CG_PredictedProcGore
import CG_AddProcGore
import CG_SetGhoul2Info
import CG_Init_CGents
import CG_Init_CG
import trap_UI_SetActiveMenu
import trap_UI_CloseAll
import trap_CG_RegisterSharedMemory
import trap_RE_InitRendererTerrain
import trap_CM_RegisterTerrain
import trap_CM_TM_ConvertPosition
import trap_CM_TM_Upload
import trap_CM_TM_AddTarget
import trap_CM_TM_AddSpot
import trap_CM_TM_AddBuilding
import trap_CM_TM_Create
import trap_MAT_GetDebrisScale
import trap_MAT_GetDebris
import trap_MAT_GetEffect
import trap_MAT_GetDecalScale
import trap_MAT_GetDecal
import trap_MAT_GetSound
import trap_MAT_Reset
import trap_MAT_Init
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_GetBoltIndex
import trap_G2API_FindBoltIndex
import trap_G2API_GetNumModels
import trap_G2API_GetGhoul2ModelFlagsByIndex
import trap_G2API_SetGhoul2ModelFlagsByIndex
import trap_G2API_GetGhoul2ModelFlags
import trap_G2API_SetGhoul2ModelFlags
import trap_G2API_ClearSkinGore
import trap_G2API_AddSkinGore
import trap_G2API_SetNewOrigin
import trap_G2API_SetRootSurface
import trap_G2API_SetSurfaceOnOff
import trap_G2API_GetBoneAnim
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_CleanGhoul2Models
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_DetachG2Model
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_CollisionDetect
import trap_R_inPVS
import trap_GetEntityToken
import trap_SnapVector
import trap_RMG_Init
import trap_Key_GetKey
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_IsDown
import trap_MemoryRemaining
import trap_FX_AddLine
import trap_FX_Reset
import trap_FX_AdjustTime
import trap_FX_FreeSystem
import trap_FX_Draw2DEffects
import trap_FX_AddScheduledEffects
import trap_FX_PlayBoltedEffectID
import trap_FX_PlayEntityEffectID
import trap_FX_PlayEffectID
import trap_FX_PlaySimpleEffectID
import trap_FX_PlayEntityEffect
import trap_FX_PlayEffect
import trap_FX_PlaySimpleEffect
import trap_FX_RegisterEffect
import trap_FX_InitSystem
import trap_CIN_SetExtents
import trap_CIN_DrawCinematic
import trap_CIN_RunCinematic
import trap_CIN_StopCinematic
import trap_CIN_PlayCinematic
import testPrintFloat
import testPrintInt
import trap_ResetAutorun
import trap_RW_SetTeam
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetDefaultState
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_SetLightStyle
import trap_R_GetLightStyle
import trap_R_RemapShader
import trap_R_DrawRotatePic2
import trap_R_DrawRotatePic
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_DrawVisualOverlay
import trap_R_RenderScene
import trap_R_LightForPoint
import trap_R_AddLightToScene
import trap_R_AddDecalToScene
import trap_R_AddPolysToScene
import trap_R_AddPolyToScene
import trap_R_DrawTextWithCursor
import trap_R_DrawText
import trap_R_GetTextHeight
import trap_R_GetTextWidth
import trap_R_AddRefEntityToScene
import trap_R_ClearDecals
import trap_R_ClearScene
import trap_R_RegisterFont
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_AS_GetBModelSound
import trap_AS_AddLocalSet
import trap_AS_UpdateAmbientSet
import trap_AS_ParseSets
import trap_AS_AddPrecacheEntry
import trap_S_StopBackgroundTrack
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddRealLoopingSound
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StopLoopingSound
import trap_S_StartSound
import trap_S_StopAllSounds
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import CG_ApplyGore
import CG_ParseGore
import CG_ParseAnimationFile
import CG_CheckChangedPredictableEvents
import CG_TransitionPlayerState
import CG_Respawn
import CG_PlayBufferedVoiceChats
import CG_VoiceChatLocal
import CG_ShaderStateChanged
import CG_LoadVoiceChats
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_MapRestart
import CG_InitConsoleCommands
import CG_ConsoleCommand
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingStage
import CG_LoadingString
import CG_ProcessSnapshots
import CG_AddLocalEntities
import CG_AllocLocalEntity
import CG_FreeLocalEntity
import CG_InitLocalEntities
import CG_WeaponCallback
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_PlayerWeaponEffects
import CG_AddViewWeapon
import CG_AnimateViewWeapon
import CG_Bullet
import CG_HandleStickyMissile
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_ProjectileThink
import CG_FireWeapon
import CG_SetWeaponAnim
import CG_UpdateViewWeaponSurfaces
import CG_RegisterItemVisuals
import CG_ShutDownWeapons
import CG_RegisterWeapon
import CG_WeaponSelectable
import CG_Weapon_f
import CG_PrevWeapon
import CG_NextWeapon
import CG_ScaleModelAxis
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_InitHitModel
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_PlayerTrace
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_PlayerShadow
import CG_RemoveIdentityItemsOnBack
import CG_RegisterIdentity
import CG_UpdatePlayerModel
import CG_CustomPlayerSound
import CG_CustomSound
import CG_NewClientInfo
import CG_ResetPlayerEntity
import CG_Player
import CG_DrawMapChange
import CG_GameTypeString
import CG_Text_PaintChar
import CG_Draw3DG2Model
import CG_Draw3DModel
import CG_GetGameStatusText
import CG_GetTeamColor
import CG_RunMenuScript
import CG_OwnerDrawDisabled
import CG_OwnerDrawVisible
import CG_GetValue
import CG_OwnerDraw
import CG_DrawActive
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import CG_DrawTimer
import CG_DrawTextWithCursor
import CG_DrawText
import CG_GetColorForHealth
import CG_DrawTopBottom
import CG_DrawSides
import CG_DrawRect
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawRotatePic2
import CG_DrawRotatePic
import CG_DrawStretchPic
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_UpdateCameraShake
import CG_CameraShake
import CG_DrawActiveFrame
import CG_AddBufferedSound
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_TeamCount
import CG_EventHandling
import CG_MouseEvent
import CG_KeyEvent
import CG_LoadMenus
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateTeamCountCvars
import CG_UpdateCvars
import CG_StartMusic
import CG_GetEntity
import CG_Argv
import CG_ConfigString
import cg_temp4
import cg_temp3
import cg_temp2
import cg_temp1
import cg_drawSmile
import cg_crosshairInfo
import cg_drawClock
import cg_drawWeaponType
import cg_drawTeamInfo
import cg_hudOpacity
import cg_hudBackGround
import cg_hudFiles
import cg_defaultHud
import cg_zoomWeaponChange
import rw_enabled
import cg_bodyTime
import cg_weaponMenuFast
import cg_soundFrag
import cg_soundGlobal
import cg_voiceGlobal
import cg_voiceRadio
import ui_info_seenobjectives
import ui_info_pickupsdisabled
import ui_info_freecount
import ui_info_speccount
import ui_info_bluecount
import ui_info_redcount
import cg_automap_a
import cg_automap_h
import cg_automap_w
import cg_automap_y
import cg_automap_x
import cg_animBlend
import cg_tracerChance
import cg_damageindicator
import RMG_distancecull
import cg_lockDeaths
import cg_lockBlood
import cg_lockSever
import cg_DebugGore
import cg_currentSelectedPlayerName
import cg_currentSelectedPlayer
import cg_noProjectileTrail
import cg_noTaunt
import cg_cameraMode
import cg_timescale
import cg_cameraOrbitDelay
import cg_cameraOrbit
import pmove_msec
import pmove_fixed
import cg_smoothClients
import cg_noVoiceText
import cg_teamChatsOnly
import cg_drawFriend
import cg_deferPlayers
import cg_autoReload
import cg_impactPrediction
import cg_antiLag
import cg_predictItems
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_stats
import cg_chatHeight
import cg_chatTime
import cg_synchronousClients
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPersonHorzOffset
import cg_thirdPersonPitch
import cg_thirdPersonYaw
import cg_thirdPersonRange
import cg_thirdPerson
import cg_goreDetail
import cg_shellEjection
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_footsteps
import cg_showmiss
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_draw2D
import cg_crosshairFriendRGBA
import cg_crosshairRGBA
import cg_crosshairGrow
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_drawHUDIcons
import cg_drawTeamScores
import cg_drawRadar
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_shadows
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centerY
import cg_centertime
import con_notifyTime
import cg_items
import cg_weapons
import cg
import cgs
import cg_numpermanents
import cg_permanents
import cg_entities
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
