export CG_DamageFeedback
code
proc CG_DamageFeedback 60 16
file "../cg_playerstate.c"
line 16
;1:// Copyright (C) 2001-2002 Raven Software.
;2://
;3:// cg_playerstate.c -- this file acts on changes in a new playerState_t
;4:// With normal play, this will be done after local prediction, but when
;5:// following another player or playing back a demo, it will be checked
;6:// when the snapshot transitions like all the other entities
;7:
;8:#include "cg_local.h"
;9:
;10:/*
;11:==============
;12:CG_DamageFeedback
;13:==============
;14:*/
;15:void CG_DamageFeedback( int yawByte, int pitchByte, int damage ) 
;16:{
line 24
;17:	float		kick;
;18:	int			health;
;19:	float		scale;
;20:	vec3_t		dir;
;21:	vec3_t		angles;
;22:
;23:	// show the attacking player's head and name in corner
;24:	cg.attackerTime = cg.time;
ADDRGP4 cg+9664
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 27
;25:
;26:	// the lower on health you are, the greater the view kick will be
;27:	health = cg.snap->ps.stats[STAT_HEALTH];
ADDRLP4 28
ADDRGP4 cg+36
INDIRP4
CNSTI4 264
ADDP4
INDIRI4
ASGNI4
line 28
;28:	if ( health < 40 ) 
ADDRLP4 28
INDIRI4
CNSTI4 40
GEI4 $96
line 29
;29:	{
line 30
;30:		scale = 1;
ADDRLP4 32
CNSTF4 1065353216
ASGNF4
line 31
;31:	} 
ADDRGP4 $97
JUMPV
LABELV $96
line 33
;32:	else 
;33:	{
line 34
;34:		scale = 40.0 / health;
ADDRLP4 32
CNSTF4 1109393408
ADDRLP4 28
INDIRI4
CVIF4 4
DIVF4
ASGNF4
line 35
;35:	}
LABELV $97
line 37
;36:
;37:	kick = damage * scale;
ADDRLP4 0
ADDRFP4 8
INDIRI4
CVIF4 4
ADDRLP4 32
INDIRF4
MULF4
ASGNF4
line 39
;38:
;39:	if (kick < 5)
ADDRLP4 0
INDIRF4
CNSTF4 1084227584
GEF4 $98
line 40
;40:		kick = 5;
ADDRLP4 0
CNSTF4 1084227584
ASGNF4
LABELV $98
line 41
;41:	if (kick > 10)
ADDRLP4 0
INDIRF4
CNSTF4 1092616192
LEF4 $100
line 42
;42:		kick = 10;
ADDRLP4 0
CNSTF4 1092616192
ASGNF4
LABELV $100
line 45
;43:
;44:	// if yaw and pitch are both 255, make the damage always centered (falling, etc)
;45:	if ( yawByte == 255 && pitchByte == 255 ) 
ADDRLP4 36
CNSTI4 255
ASGNI4
ADDRFP4 0
INDIRI4
ADDRLP4 36
INDIRI4
NEI4 $102
ADDRFP4 4
INDIRI4
ADDRLP4 36
INDIRI4
NEI4 $102
line 46
;46:	{
line 47
;47:		cg.damageX = 0;
ADDRGP4 cg+9804
CNSTF4 0
ASGNF4
line 48
;48:		cg.damageY = 0;
ADDRGP4 cg+9808
CNSTF4 0
ASGNF4
line 49
;49:		cg.v_dmg_roll = 255;
ADDRGP4 cg+9816
CNSTF4 1132396544
ASGNF4
line 50
;50:		cg.v_dmg_pitch = -kick;
ADDRGP4 cg+9812
ADDRLP4 0
INDIRF4
NEGF4
ASGNF4
line 51
;51:	} 
ADDRGP4 $103
JUMPV
LABELV $102
line 53
;52:	else 
;53:	{
line 57
;54:		float front;
;55:		float left;
;56:
;57:		angles[PITCH] = (float)pitchByte / 255.0f * 360.0f;
ADDRLP4 16
CNSTF4 1135869952
ADDRFP4 4
INDIRI4
CVIF4 4
CNSTF4 1132396544
DIVF4
MULF4
ASGNF4
line 58
;58:		angles[YAW]   = (float)yawByte / 255.0f * 360.0f;
ADDRLP4 16+4
CNSTF4 1135869952
ADDRFP4 0
INDIRI4
CVIF4 4
CNSTF4 1132396544
DIVF4
MULF4
ASGNF4
line 59
;59:		angles[ROLL]  = 0;
ADDRLP4 16+8
CNSTF4 0
ASGNF4
line 61
;60:
;61:		AngleVectors( angles, dir, NULL, NULL );
ADDRLP4 16
ARGP4
ADDRLP4 4
ARGP4
ADDRLP4 48
CNSTP4 0
ASGNP4
ADDRLP4 48
INDIRP4
ARGP4
ADDRLP4 48
INDIRP4
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 62
;62:		VectorSubtract( vec3_origin, dir, dir );
ADDRLP4 4
ADDRGP4 vec3_origin
INDIRF4
ADDRLP4 4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 4+4
ADDRGP4 vec3_origin+4
INDIRF4
ADDRLP4 4+4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 4+8
ADDRGP4 vec3_origin+8
INDIRF4
ADDRLP4 4+8
INDIRF4
SUBF4
ASGNF4
line 64
;63:
;64:		front = DotProduct (dir, cg.refdef.viewaxis[0] );
ADDRLP4 40
ADDRLP4 4
INDIRF4
ADDRGP4 cg+1200+36
INDIRF4
MULF4
ADDRLP4 4+4
INDIRF4
ADDRGP4 cg+1200+36+4
INDIRF4
MULF4
ADDF4
ADDRLP4 4+8
INDIRF4
ADDRGP4 cg+1200+36+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 65
;65:		left = DotProduct (dir, cg.refdef.viewaxis[1] );
ADDRLP4 44
ADDRLP4 4
INDIRF4
ADDRGP4 cg+1200+36+12
INDIRF4
MULF4
ADDRLP4 4+4
INDIRF4
ADDRGP4 cg+1200+36+12+4
INDIRF4
MULF4
ADDF4
ADDRLP4 4+8
INDIRF4
ADDRGP4 cg+1200+36+12+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 67
;66:
;67:		cg.v_dmg_roll = kick * left;		
ADDRGP4 cg+9816
ADDRLP4 0
INDIRF4
ADDRLP4 44
INDIRF4
MULF4
ASGNF4
line 68
;68:		cg.v_dmg_pitch = -kick * front;
ADDRGP4 cg+9812
ADDRLP4 0
INDIRF4
NEGF4
ADDRLP4 40
INDIRF4
MULF4
ASGNF4
line 70
;69:
;70:		cg.damageY = -AngleNormalize180(angles[PITCH]);
ADDRLP4 16
INDIRF4
ARGF4
ADDRLP4 52
ADDRGP4 AngleNormalize180
CALLF4
ASGNF4
ADDRGP4 cg+9808
ADDRLP4 52
INDIRF4
NEGF4
ASGNF4
line 71
;71:		cg.damageX = AngleNormalize180(angles[YAW] - cg.predictedPlayerState.viewangles[YAW] + 180);
ADDRLP4 16+4
INDIRF4
ADDRGP4 cg+100+180+4
INDIRF4
SUBF4
CNSTF4 1127481344
ADDF4
ARGF4
ADDRLP4 56
ADDRGP4 AngleNormalize180
CALLF4
ASGNF4
ADDRGP4 cg+9804
ADDRLP4 56
INDIRF4
ASGNF4
line 72
;72:	}
LABELV $103
line 75
;73:
;74:	// don't let the screen flashes vary as much
;75:	if ( kick > 10 ) 
ADDRLP4 0
INDIRF4
CNSTF4 1092616192
LEF4 $147
line 76
;76:	{
line 77
;77:		kick = 10;
ADDRLP4 0
CNSTF4 1092616192
ASGNF4
line 78
;78:	}
LABELV $147
line 80
;79:
;80:	cg.damageTime = cg.snap->serverTime;
ADDRGP4 cg+9800
ADDRGP4 cg+36
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CVIF4 4
ASGNF4
line 81
;81:}
LABELV $92
endproc CG_DamageFeedback 60 16
export CG_Respawn
proc CG_Respawn 0 8
line 94
;82:
;83:
;84:
;85:
;86:/*
;87:================
;88:CG_Respawn
;89:
;90:A respawn happened this snapshot
;91:================
;92:*/
;93:void CG_Respawn( void ) 
;94:{
line 96
;95:	// no error decay on player movement
;96:	cg.thisFrameTeleport = qtrue;
ADDRGP4 cg+56
CNSTI4 1
ASGNI4
line 99
;97:
;98:	// display weapons available
;99:	cg.weaponSelectTime = cg.time;
ADDRGP4 cg+9788
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 102
;100:
;101:	// select the weapon the server says we are using
;102:	cg.weaponSelect = cg.snap->ps.weapon;
ADDRGP4 cg+1084
ADDRGP4 cg+36
INDIRP4
CNSTI4 216
ADDP4
INDIRI4
ASGNI4
line 105
;103:
;104:	// no more camera shake
;105:	cg.shakeStart = 0;
ADDRGP4 cg+178896
CNSTI4 0
ASGNI4
line 108
;106:
;107:	// Make sure the weapon selection menu isnt up
;108:	cg.weaponMenuUp = qfalse;
ADDRGP4 cg+1100
CNSTI4 0
ASGNI4
line 111
;109:
;110:	// clear any left over flash grenades
;111:	cg.flashbangTime = 0;
ADDRGP4 cg+181228
CNSTI4 0
ASGNI4
line 114
;112:
;113:	// Reset the animation
;114:	CG_SetWeaponAnim( cg.snap->ps.weaponAnimId&(~ANIM_TOGGLEBIT), &cg.snap->ps );
ADDRGP4 cg+36
INDIRP4
CNSTI4 100
ADDP4
INDIRI4
CNSTI4 -2049
BANDI4
ARGI4
ADDRGP4 cg+36
INDIRP4
CNSTI4 44
ADDP4
ARGP4
ADDRGP4 CG_SetWeaponAnim
CALLV
pop
line 117
;115:
;116:	// Update the view weapon surfaces
;117:	CG_UpdateViewWeaponSurfaces ( &cg.snap->ps );
ADDRGP4 cg+36
INDIRP4
CNSTI4 44
ADDP4
ARGP4
ADDRGP4 CG_UpdateViewWeaponSurfaces
CALLV
pop
line 119
;118:
;119:	trap_ResetAutorun ( );
ADDRGP4 trap_ResetAutorun
CALLV
pop
line 120
;120:}
LABELV $151
endproc CG_Respawn 0 8
export CG_CheckPlayerstateEvents
proc CG_CheckPlayerstateEvents 48 8
line 130
;121:
;122:extern char *eventnames[];
;123:
;124:/*
;125:==============
;126:CG_CheckPlayerstateEvents
;127:==============
;128:*/
;129:void CG_CheckPlayerstateEvents( playerState_t *ps, playerState_t *ops ) 
;130:{
line 135
;131:	int			i;
;132:	int			event;
;133:	centity_t	*cent;
;134:
;135:	if ( ps->externalEvent && ps->externalEvent != ops->externalEvent ) 
ADDRLP4 12
CNSTI4 156
ASGNI4
ADDRLP4 16
ADDRFP4 0
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 0
EQI4 $164
ADDRLP4 16
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
EQI4 $164
line 136
;136:	{
line 137
;137:		cent = CG_GetEntity ( ps->clientNum );
ADDRFP4 0
INDIRP4
CNSTI4 168
ADDP4
INDIRI4
ARGI4
ADDRLP4 20
ADDRGP4 CG_GetEntity
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 20
INDIRP4
ASGNP4
line 138
;138:		cent->currentState.event = ps->externalEvent;
ADDRLP4 4
INDIRP4
CNSTI4 180
ADDP4
ADDRFP4 0
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
ASGNI4
line 139
;139:		cent->currentState.eventParm = ps->externalEventParm;
ADDRLP4 4
INDIRP4
CNSTI4 184
ADDP4
ADDRFP4 0
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
ASGNI4
line 140
;140:		CG_EntityEvent( cent, cent->lerpOrigin );
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 660
ADDP4
ARGP4
ADDRGP4 CG_EntityEvent
CALLV
pop
line 141
;141:	}
LABELV $164
line 143
;142:
;143:	cent = &cg_entities[ ps->clientNum ];
ADDRLP4 4
CNSTI4 880
ADDRFP4 0
INDIRP4
CNSTI4 168
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_entities
ADDP4
ASGNP4
line 146
;144:
;145:	// go through the predictable events buffer
;146:	for ( i = ps->eventSequence - MAX_PS_EVENTS ; i < ps->eventSequence ; i++ ) {
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 120
ADDP4
INDIRI4
CNSTI4 4
SUBI4
ASGNI4
ADDRGP4 $169
JUMPV
LABELV $166
line 148
;147:		// if we have a new predictable event
;148:		if ( i >= ops->eventSequence
ADDRLP4 24
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 28
ADDRLP4 24
INDIRP4
CNSTI4 120
ADDP4
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 28
INDIRI4
GEI4 $172
ADDRLP4 0
INDIRI4
ADDRLP4 28
INDIRI4
CNSTI4 4
SUBI4
LEI4 $170
ADDRLP4 32
ADDRLP4 0
INDIRI4
CNSTI4 3
BANDI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 36
CNSTI4 124
ASGNI4
ADDRLP4 32
INDIRI4
ADDRFP4 0
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
ADDP4
INDIRI4
ADDRLP4 32
INDIRI4
ADDRLP4 24
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
ADDP4
INDIRI4
EQI4 $170
LABELV $172
line 151
;149:			// or the server told us to play another event instead of a predicted event we already issued
;150:			// or something the server told us changed our prediction causing a different event
;151:			|| (i > ops->eventSequence - MAX_PS_EVENTS && ps->events[i & (MAX_PS_EVENTS-1)] != ops->events[i & (MAX_PS_EVENTS-1)]) ) {
line 153
;152:
;153:			event = ps->events[ i & (MAX_PS_EVENTS-1) ];
ADDRLP4 8
ADDRLP4 0
INDIRI4
CNSTI4 3
BANDI4
CNSTI4 2
LSHI4
ADDRFP4 0
INDIRP4
CNSTI4 124
ADDP4
ADDP4
INDIRI4
ASGNI4
line 154
;154:			cent->currentState.event = event;
ADDRLP4 4
INDIRP4
CNSTI4 180
ADDP4
ADDRLP4 8
INDIRI4
ASGNI4
line 155
;155:			cent->currentState.eventParm = ps->eventParms[ i & (MAX_PS_EVENTS-1) ];
ADDRLP4 4
INDIRP4
CNSTI4 184
ADDP4
ADDRLP4 0
INDIRI4
CNSTI4 3
BANDI4
CNSTI4 2
LSHI4
ADDRFP4 0
INDIRP4
CNSTI4 140
ADDP4
ADDP4
INDIRI4
ASGNI4
line 156
;156:			CG_EntityEvent( cent, cent->lerpOrigin );
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 660
ADDP4
ARGP4
ADDRGP4 CG_EntityEvent
CALLV
pop
line 158
;157:
;158:			cg.predictableEvents[ i & (MAX_PREDICTED_EVENTS-1) ] = event;
ADDRLP4 0
INDIRI4
CNSTI4 15
BANDI4
CNSTI4 2
LSHI4
ADDRGP4 cg+992
ADDP4
ADDRLP4 8
INDIRI4
ASGNI4
line 160
;159:
;160:			cg.eventSequence++;
ADDRLP4 44
ADDRGP4 cg+988
ASGNP4
ADDRLP4 44
INDIRP4
ADDRLP4 44
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 161
;161:		}
LABELV $170
line 162
;162:	}
LABELV $167
line 146
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $169
ADDRLP4 0
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 120
ADDP4
INDIRI4
LTI4 $166
line 163
;163:}
LABELV $163
endproc CG_CheckPlayerstateEvents 48 8
export CG_CheckChangedPredictableEvents
proc CG_CheckChangedPredictableEvents 24 8
line 171
;164:
;165:/*
;166:==================
;167:CG_CheckChangedPredictableEvents
;168:==================
;169:*/
;170:void CG_CheckChangedPredictableEvents( playerState_t *ps ) 
;171:{
line 176
;172:	int			i;
;173:	int			event;
;174:	centity_t	*cent;
;175:
;176:	cent = &cg_entities[ps->clientNum];
ADDRLP4 4
CNSTI4 880
ADDRFP4 0
INDIRP4
CNSTI4 168
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_entities
ADDP4
ASGNP4
line 177
;177:	for ( i = ps->eventSequence - MAX_PS_EVENTS ; i < ps->eventSequence ; i++ ) 
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 120
ADDP4
INDIRI4
CNSTI4 4
SUBI4
ASGNI4
ADDRGP4 $179
JUMPV
LABELV $176
line 178
;178:	{
line 180
;179:		//
;180:		if (i >= cg.eventSequence) 
ADDRLP4 0
INDIRI4
ADDRGP4 cg+988
INDIRI4
LTI4 $180
line 181
;181:		{
line 182
;182:			continue;
ADDRGP4 $177
JUMPV
LABELV $180
line 185
;183:		}
;184:		// if this event is not further back in than the maximum predictable events we remember
;185:		if (i > cg.eventSequence - MAX_PREDICTED_EVENTS) 
ADDRLP4 0
INDIRI4
ADDRGP4 cg+988
INDIRI4
CNSTI4 16
SUBI4
LEI4 $183
line 186
;186:		{
line 188
;187:			// if the new playerstate event is different from a previously predicted one
;188:			if ( ps->events[i & (MAX_PS_EVENTS-1)] != cg.predictableEvents[i & (MAX_PREDICTED_EVENTS-1) ] ) 
ADDRLP4 16
CNSTI4 2
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
BANDI4
ADDRLP4 16
INDIRI4
LSHI4
ADDRFP4 0
INDIRP4
CNSTI4 124
ADDP4
ADDP4
INDIRI4
ADDRLP4 0
INDIRI4
CNSTI4 15
BANDI4
ADDRLP4 16
INDIRI4
LSHI4
ADDRGP4 cg+992
ADDP4
INDIRI4
EQI4 $186
line 189
;189:			{
line 190
;190:				event = ps->events[ i & (MAX_PS_EVENTS-1) ];
ADDRLP4 8
ADDRLP4 0
INDIRI4
CNSTI4 3
BANDI4
CNSTI4 2
LSHI4
ADDRFP4 0
INDIRP4
CNSTI4 124
ADDP4
ADDP4
INDIRI4
ASGNI4
line 191
;191:				cent->currentState.event = event;
ADDRLP4 4
INDIRP4
CNSTI4 180
ADDP4
ADDRLP4 8
INDIRI4
ASGNI4
line 192
;192:				cent->currentState.eventParm = ps->eventParms[ i & (MAX_PS_EVENTS-1) ];
ADDRLP4 4
INDIRP4
CNSTI4 184
ADDP4
ADDRLP4 0
INDIRI4
CNSTI4 3
BANDI4
CNSTI4 2
LSHI4
ADDRFP4 0
INDIRP4
CNSTI4 140
ADDP4
ADDP4
INDIRI4
ASGNI4
line 193
;193:				CG_EntityEvent( cent, cent->lerpOrigin );
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 660
ADDP4
ARGP4
ADDRGP4 CG_EntityEvent
CALLV
pop
line 195
;194:
;195:				cg.predictableEvents[ i & (MAX_PREDICTED_EVENTS-1) ] = event;
ADDRLP4 0
INDIRI4
CNSTI4 15
BANDI4
CNSTI4 2
LSHI4
ADDRGP4 cg+992
ADDP4
ADDRLP4 8
INDIRI4
ASGNI4
line 197
;196:
;197:				if ( cg_showmiss.integer ) 
ADDRGP4 cg_showmiss+12
INDIRI4
CNSTI4 0
EQI4 $190
line 198
;198:				{
line 199
;199:					Com_Printf("WARNING: changed predicted event\n");
ADDRGP4 $193
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 200
;200:				}
LABELV $190
line 201
;201:			}
LABELV $186
line 202
;202:		}
LABELV $183
line 203
;203:	}
LABELV $177
line 177
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $179
ADDRLP4 0
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 120
ADDP4
INDIRI4
LTI4 $176
line 204
;204:}
LABELV $175
endproc CG_CheckChangedPredictableEvents 24 8
export CG_CheckLocalSounds
proc CG_CheckLocalSounds 40 8
line 212
;205:
;206:/*
;207:==================
;208:CG_CheckLocalSounds
;209:==================
;210:*/
;211:void CG_CheckLocalSounds( playerState_t *ps, playerState_t *ops ) 
;212:{
line 214
;213:	// don't play the sounds if the player just changed teams
;214:	if ( ps->persistant[PERS_TEAM] != ops->persistant[PERS_TEAM] ) 
ADDRLP4 0
CNSTI4 292
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRI4
EQI4 $195
line 215
;215:	{
line 216
;216:		return;
ADDRGP4 $194
JUMPV
LABELV $195
line 220
;217:	}
;218:
;219:	// health changes of more than -1 should make pain sounds
;220:	if ( ps->stats[STAT_HEALTH] < ops->stats[STAT_HEALTH] - 1 ) 
ADDRLP4 4
CNSTI4 220
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 4
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 4
INDIRI4
ADDP4
INDIRI4
CNSTI4 1
SUBI4
GEI4 $197
line 221
;221:	{
line 222
;222:		if ( ps->stats[STAT_HEALTH] > 0 ) 
ADDRFP4 0
INDIRP4
CNSTI4 220
ADDP4
INDIRI4
CNSTI4 0
LEI4 $199
line 223
;223:		{
line 224
;224:			CG_PainEvent( &cg_entities[ps->clientNum], ps->stats[STAT_HEALTH] );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
CNSTI4 880
ADDRLP4 8
INDIRP4
CNSTI4 168
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_entities
ADDP4
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 220
ADDP4
INDIRI4
ARGI4
ADDRGP4 CG_PainEvent
CALLV
pop
line 225
;225:		}
LABELV $199
line 226
;226:	}
LABELV $197
line 229
;227:
;228:	// Look for a zoom transition that isnt the first zoom in
;229:	if ( weaponData[ops->weapon].zoom[ops->zoomFov].fov && (weaponData[ps->weapon].zoom[ps->zoomFov].fov != weaponData[ops->weapon].zoom[ops->zoomFov].fov) )
ADDRLP4 8
CNSTI4 12
ASGNI4
ADDRLP4 12
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 16
CNSTI4 848
ASGNI4
ADDRLP4 20
ADDRLP4 8
INDIRI4
ADDRLP4 12
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
MULI4
ASGNI4
ADDRLP4 24
CNSTI4 1828
ASGNI4
ADDRLP4 28
CNSTI4 172
ASGNI4
ADDRLP4 32
ADDRLP4 24
INDIRI4
ADDRLP4 12
INDIRP4
ADDRLP4 28
INDIRI4
ADDP4
INDIRI4
MULI4
ASGNI4
ADDRLP4 20
INDIRI4
ADDRLP4 32
INDIRI4
ADDRGP4 weaponData+1792
ADDP4
ADDP4
INDIRI4
CNSTI4 0
EQI4 $201
ADDRLP4 36
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRI4
ADDRLP4 36
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
MULI4
ADDRLP4 24
INDIRI4
ADDRLP4 36
INDIRP4
ADDRLP4 28
INDIRI4
ADDP4
INDIRI4
MULI4
ADDRGP4 weaponData+1792
ADDP4
ADDP4
INDIRI4
ADDRLP4 20
INDIRI4
ADDRLP4 32
INDIRI4
ADDRGP4 weaponData+1792
ADDP4
ADDP4
INDIRI4
EQI4 $201
line 230
;230:	{
line 231
;231:		trap_S_StartLocalSound ( cgs.media.zoomSound, CHAN_AUTO );
ADDRGP4 cgs+243476+248
INDIRI4
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 232
;232:	}
LABELV $201
line 233
;233:}
LABELV $194
endproc CG_CheckLocalSounds 40 8
export CG_TransitionPlayerState
proc CG_TransitionPlayerState 44 12
line 241
;234:
;235:/*
;236:===============
;237:CG_TransitionPlayerState
;238:===============
;239:*/
;240:void CG_TransitionPlayerState( playerState_t *ps, playerState_t *ops ) 
;241:{
line 244
;242:	// respawning.  This is done before the follow mode check because spawn count is 
;243:	// maintained into the following client
;244:	if ( ps->persistant[PERS_SPAWN_COUNT] != ops->persistant[PERS_SPAWN_COUNT] ) 
ADDRLP4 0
CNSTI4 296
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRI4
EQI4 $209
line 245
;245:	{
line 246
;246:		CG_Respawn();
ADDRGP4 CG_Respawn
CALLV
pop
line 247
;247:	}
LABELV $209
line 250
;248:
;249:	// check for changing follow mode
;250:	if ( ps->clientNum != ops->clientNum ) 
ADDRLP4 4
CNSTI4 168
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 4
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 4
INDIRI4
ADDP4
INDIRI4
EQI4 $211
line 251
;251:	{
line 252
;252:		cg.thisFrameTeleport = qtrue;
ADDRGP4 cg+56
CNSTI4 1
ASGNI4
line 254
;253:		// make sure we don't get any unwanted transition effects
;254:		*ops = *ps;
ADDRFP4 4
INDIRP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 868
line 256
;255:
;256:		CG_SetWeaponAnim(ps->weaponAnimId&(~ANIM_TOGGLEBIT),ps);
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
CNSTI4 -2049
BANDI4
ARGI4
ADDRLP4 8
INDIRP4
ARGP4
ADDRGP4 CG_SetWeaponAnim
CALLV
pop
line 257
;257:		CG_UpdateViewWeaponSurfaces ( ps );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_UpdateViewWeaponSurfaces
CALLV
pop
line 258
;258:	}
LABELV $211
line 261
;259:
;260:	// damage events (player is getting wounded)
;261:	if ( ps->damageEvent != ops->damageEvent && ps->damageCount ) 
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
CNSTI4 196
ASGNI4
ADDRLP4 8
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
EQI4 $214
ADDRLP4 8
INDIRP4
CNSTI4 208
ADDP4
INDIRI4
CNSTI4 0
EQI4 $214
line 262
;262:	{
line 263
;263:		CG_DamageFeedback( ps->damageYaw, ps->damagePitch, ps->damageCount );
ADDRLP4 16
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
ARGI4
ADDRLP4 16
INDIRP4
CNSTI4 204
ADDP4
INDIRI4
ARGI4
ADDRLP4 16
INDIRP4
CNSTI4 208
ADDP4
INDIRI4
ARGI4
ADDRGP4 CG_DamageFeedback
CALLV
pop
line 264
;264:	}
LABELV $214
line 267
;265:
;266:	// Make sure we clear the weapon menu when we die
;267:	if ( ps->stats[STAT_HEALTH] != ops->stats[STAT_HEALTH] )
ADDRLP4 16
CNSTI4 220
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
EQI4 $216
line 268
;268:	{
line 269
;269:		if ( ps->stats[STAT_HEALTH] <= 0 )
ADDRFP4 0
INDIRP4
CNSTI4 220
ADDP4
INDIRI4
CNSTI4 0
GTI4 $218
line 270
;270:		{
line 271
;271:			cg.weaponMenuUp = qfalse;
ADDRGP4 cg+1100
CNSTI4 0
ASGNI4
line 272
;272:			cg.deathTime = cg.time;
ADDRGP4 cg+1080
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 273
;273:			trap_ResetAutorun ( );
ADDRGP4 trap_ResetAutorun
CALLV
pop
line 274
;274:		}
LABELV $218
line 275
;275:	}
LABELV $216
line 277
;276:
;277:	if ( cg.mapRestart ) 
ADDRGP4 cg+80
INDIRI4
CNSTI4 0
EQI4 $223
line 278
;278:	{
line 279
;279:		CG_Respawn();
ADDRGP4 CG_Respawn
CALLV
pop
line 280
;280:		cg.mapRestart = qfalse;
ADDRGP4 cg+80
CNSTI4 0
ASGNI4
line 281
;281:	}
LABELV $223
line 283
;282:
;283:	if ( cg.snap->ps.pm_type != PM_INTERMISSION && ps->persistant[PERS_TEAM] != TEAM_SPECTATOR ) 
ADDRGP4 cg+36
INDIRP4
CNSTI4 48
ADDP4
INDIRI4
CNSTI4 5
EQI4 $227
ADDRFP4 0
INDIRP4
CNSTI4 292
ADDP4
INDIRI4
CNSTI4 3
EQI4 $227
line 284
;284:	{
line 285
;285:		CG_CheckLocalSounds( ps, ops );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 CG_CheckLocalSounds
CALLV
pop
line 286
;286:	}
LABELV $227
line 289
;287:
;288:	// Always use the weapon from the player state when following
;289:	if( (ps->pm_flags & PMF_FOLLOW) || (ps->weapon != ops->weapon) )
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 20
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CNSTI4 512
BANDI4
CNSTI4 0
NEI4 $232
ADDRLP4 24
CNSTI4 172
ASGNI4
ADDRLP4 20
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
EQI4 $230
LABELV $232
line 290
;290:	{
line 291
;291:		cg.weaponSelect = ps->weapon;
ADDRGP4 cg+1084
ADDRFP4 0
INDIRP4
CNSTI4 172
ADDP4
INDIRI4
ASGNI4
line 292
;292:	}
LABELV $230
line 295
;293:
;294:	// Check for weapon animation change.
;295:	if(ps->weaponAnimId!=ops->weaponAnimId )
ADDRLP4 28
CNSTI4 56
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 28
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 28
INDIRI4
ADDP4
INDIRI4
EQI4 $234
line 296
;296:	{
line 297
;297:		CG_SetWeaponAnim(ps->weaponAnimId&(~ANIM_TOGGLEBIT),ps);
ADDRLP4 32
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 32
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
CNSTI4 -2049
BANDI4
ARGI4
ADDRLP4 32
INDIRP4
ARGP4
ADDRGP4 CG_SetWeaponAnim
CALLV
pop
line 298
;298:	}
LABELV $234
line 301
;299:
;300:	// run events
;301:	CG_CheckPlayerstateEvents( ps, ops );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 CG_CheckPlayerstateEvents
CALLV
pop
line 304
;302:
;303:	// smooth the ducking viewheight change and not crouch jumping
;304:	if ( ps->viewheight != ops->viewheight && !(ps->pm_flags & PMF_CROUCH_JUMP) ) 
ADDRLP4 32
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 36
CNSTI4 192
ASGNI4
ADDRLP4 32
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRI4
EQI4 $236
ADDRLP4 32
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CNSTI4 524288
BANDI4
CNSTI4 0
NEI4 $236
line 305
;305:	{
line 306
;306:		cg.duckChange = ps->viewheight - ops->viewheight;
ADDRLP4 40
CNSTI4 192
ASGNI4
ADDRGP4 cg+1064
ADDRFP4 0
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRI4
SUBI4
CVIF4 4
ASGNF4
line 307
;307:		cg.duckTime = cg.time;
ADDRGP4 cg+1068
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 308
;308:	}
LABELV $236
line 311
;309:
;310:	// Need to update the view weapon surfaces when weapon states change
;311:	if ( ps->weaponstate != ops->weaponstate )
ADDRLP4 40
CNSTI4 176
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRI4
EQI4 $241
line 312
;312:	{
line 313
;313:		CG_UpdateViewWeaponSurfaces ( ps );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_UpdateViewWeaponSurfaces
CALLV
pop
line 314
;314:	}
LABELV $241
line 315
;315:}
LABELV $208
endproc CG_TransitionPlayerState 44 12
import eventnames
import CG_ParseGametypeFile
import CG_DrawMiscEnts
import CG_MiscEnt
import G2_PositionEntityOnBolt
import CG_PredictedProcGore
import CG_AddProcGore
import CG_SetGhoul2Info
import CG_Init_CGents
import CG_Init_CG
import trap_UI_SetActiveMenu
import trap_UI_CloseAll
import trap_CG_RegisterSharedMemory
import trap_RE_InitRendererTerrain
import trap_CM_RegisterTerrain
import trap_CM_TM_ConvertPosition
import trap_CM_TM_Upload
import trap_CM_TM_AddTarget
import trap_CM_TM_AddSpot
import trap_CM_TM_AddBuilding
import trap_CM_TM_Create
import trap_MAT_GetDebrisScale
import trap_MAT_GetDebris
import trap_MAT_GetEffect
import trap_MAT_GetDecalScale
import trap_MAT_GetDecal
import trap_MAT_GetSound
import trap_MAT_Reset
import trap_MAT_Init
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_GetBoltIndex
import trap_G2API_FindBoltIndex
import trap_G2API_GetNumModels
import trap_G2API_GetGhoul2ModelFlagsByIndex
import trap_G2API_SetGhoul2ModelFlagsByIndex
import trap_G2API_GetGhoul2ModelFlags
import trap_G2API_SetGhoul2ModelFlags
import trap_G2API_ClearSkinGore
import trap_G2API_AddSkinGore
import trap_G2API_SetNewOrigin
import trap_G2API_SetRootSurface
import trap_G2API_SetSurfaceOnOff
import trap_G2API_GetBoneAnim
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_CleanGhoul2Models
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_DetachG2Model
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_CollisionDetect
import trap_R_inPVS
import trap_GetEntityToken
import trap_SnapVector
import trap_RMG_Init
import trap_Key_GetKey
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_IsDown
import trap_MemoryRemaining
import trap_FX_AddLine
import trap_FX_Reset
import trap_FX_AdjustTime
import trap_FX_FreeSystem
import trap_FX_Draw2DEffects
import trap_FX_AddScheduledEffects
import trap_FX_PlayBoltedEffectID
import trap_FX_PlayEntityEffectID
import trap_FX_PlayEffectID
import trap_FX_PlaySimpleEffectID
import trap_FX_PlayEntityEffect
import trap_FX_PlayEffect
import trap_FX_PlaySimpleEffect
import trap_FX_RegisterEffect
import trap_FX_InitSystem
import trap_CIN_SetExtents
import trap_CIN_DrawCinematic
import trap_CIN_RunCinematic
import trap_CIN_StopCinematic
import trap_CIN_PlayCinematic
import testPrintFloat
import testPrintInt
import trap_ResetAutorun
import trap_RW_SetTeam
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetDefaultState
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_SetLightStyle
import trap_R_GetLightStyle
import trap_R_RemapShader
import trap_R_DrawRotatePic2
import trap_R_DrawRotatePic
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_DrawVisualOverlay
import trap_R_RenderScene
import trap_R_LightForPoint
import trap_R_AddLightToScene
import trap_R_AddDecalToScene
import trap_R_AddPolysToScene
import trap_R_AddPolyToScene
import trap_R_DrawTextWithCursor
import trap_R_DrawText
import trap_R_GetTextHeight
import trap_R_GetTextWidth
import trap_R_AddRefEntityToScene
import trap_R_ClearDecals
import trap_R_ClearScene
import trap_R_RegisterFont
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_AS_GetBModelSound
import trap_AS_AddLocalSet
import trap_AS_UpdateAmbientSet
import trap_AS_ParseSets
import trap_AS_AddPrecacheEntry
import trap_S_StopBackgroundTrack
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddRealLoopingSound
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StopLoopingSound
import trap_S_StartSound
import trap_S_StopAllSounds
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import CG_ApplyGore
import CG_ParseGore
import CG_ParseAnimationFile
import CG_PlayBufferedVoiceChats
import CG_VoiceChatLocal
import CG_ShaderStateChanged
import CG_LoadVoiceChats
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_MapRestart
import CG_InitConsoleCommands
import CG_ConsoleCommand
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingStage
import CG_LoadingString
import CG_ProcessSnapshots
import CG_TestLine
import CG_GlassShatter
import CG_BulletFlyBySound
import CG_BubbleTrail
import CG_AddLocalEntities
import CG_AllocLocalEntity
import CG_FreeLocalEntity
import CG_InitLocalEntities
import CG_WeaponCallback
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_PlayerWeaponEffects
import CG_AddViewWeapon
import CG_AnimateViewWeapon
import CG_Bullet
import CG_HandleStickyMissile
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_ProjectileThink
import CG_FireWeapon
import CG_SetWeaponAnim
import CG_UpdateViewWeaponSurfaces
import CG_RegisterItemVisuals
import CG_ShutDownWeapons
import CG_RegisterWeapon
import CG_WeaponSelectable
import CG_Weapon_f
import CG_PrevWeapon
import CG_NextWeapon
import CG_ScaleModelAxis
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_InitHitModel
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_PlayerTrace
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_PlayerShadow
import CG_RemoveIdentityItemsOnBack
import CG_RegisterIdentity
import CG_UpdatePlayerModel
import CG_CustomPlayerSound
import CG_CustomSound
import CG_NewClientInfo
import CG_ResetPlayerEntity
import CG_Player
import CG_DrawMapChange
import CG_GameTypeString
import CG_Text_PaintChar
import CG_Draw3DG2Model
import CG_Draw3DModel
import CG_GetGameStatusText
import CG_GetTeamColor
import CG_RunMenuScript
import CG_OwnerDrawDisabled
import CG_OwnerDrawVisible
import CG_GetValue
import CG_OwnerDraw
import CG_DrawActive
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import CG_DrawTimer
import CG_DrawTextWithCursor
import CG_DrawText
import CG_GetColorForHealth
import CG_DrawTopBottom
import CG_DrawSides
import CG_DrawRect
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawRotatePic2
import CG_DrawRotatePic
import CG_DrawStretchPic
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_UpdateCameraShake
import CG_CameraShake
import CG_DrawActiveFrame
import CG_AddBufferedSound
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_TeamCount
import CG_EventHandling
import CG_MouseEvent
import CG_KeyEvent
import CG_LoadMenus
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateTeamCountCvars
import CG_UpdateCvars
import CG_StartMusic
import CG_GetEntity
import CG_Argv
import CG_ConfigString
import cg_temp4
import cg_temp3
import cg_temp2
import cg_temp1
import cg_drawSmile
import cg_crosshairInfo
import cg_drawClock
import cg_drawWeaponType
import cg_drawTeamInfo
import cg_hudOpacity
import cg_hudBackGround
import cg_hudFiles
import cg_defaultHud
import cg_zoomWeaponChange
import rw_enabled
import cg_bodyTime
import cg_weaponMenuFast
import cg_soundFrag
import cg_soundGlobal
import cg_voiceGlobal
import cg_voiceRadio
import ui_info_seenobjectives
import ui_info_pickupsdisabled
import ui_info_freecount
import ui_info_speccount
import ui_info_bluecount
import ui_info_redcount
import cg_automap_a
import cg_automap_h
import cg_automap_w
import cg_automap_y
import cg_automap_x
import cg_animBlend
import cg_tracerChance
import cg_damageindicator
import RMG_distancecull
import cg_lockDeaths
import cg_lockBlood
import cg_lockSever
import cg_DebugGore
import cg_currentSelectedPlayerName
import cg_currentSelectedPlayer
import cg_noProjectileTrail
import cg_noTaunt
import cg_cameraMode
import cg_timescale
import cg_cameraOrbitDelay
import cg_cameraOrbit
import pmove_msec
import pmove_fixed
import cg_smoothClients
import cg_noVoiceText
import cg_teamChatsOnly
import cg_drawFriend
import cg_deferPlayers
import cg_autoReload
import cg_impactPrediction
import cg_antiLag
import cg_predictItems
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_stats
import cg_chatHeight
import cg_chatTime
import cg_synchronousClients
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPersonHorzOffset
import cg_thirdPersonPitch
import cg_thirdPersonYaw
import cg_thirdPersonRange
import cg_thirdPerson
import cg_goreDetail
import cg_shellEjection
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_footsteps
import cg_showmiss
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_draw2D
import cg_crosshairFriendRGBA
import cg_crosshairRGBA
import cg_crosshairGrow
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_drawHUDIcons
import cg_drawTeamScores
import cg_drawRadar
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_shadows
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centerY
import cg_centertime
import con_notifyTime
import cg_items
import cg_weapons
import cg
import cgs
import cg_numpermanents
import cg_permanents
import cg_entities
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $193
char 1 87
char 1 65
char 1 82
char 1 78
char 1 73
char 1 78
char 1 71
char 1 58
char 1 32
char 1 99
char 1 104
char 1 97
char 1 110
char 1 103
char 1 101
char 1 100
char 1 32
char 1 112
char 1 114
char 1 101
char 1 100
char 1 105
char 1 99
char 1 116
char 1 101
char 1 100
char 1 32
char 1 101
char 1 118
char 1 101
char 1 110
char 1 116
char 1 10
char 1 0
