export G_BounceMissile
code
proc G_BounceMissile 56 16
file "../g_missile.c"
line 16
;1:// Copyright (C) 2001-2002 Raven Software
;2://
;3:#include "g_local.h"
;4:
;5:int G_MultipleDamageLocations(int hitLocation);
;6:
;7:#define	MISSILE_PRESTEP_TIME	50
;8:
;9:/*
;10:================
;11:G_BounceMissile
;12:
;13:================
;14:*/
;15:void G_BounceMissile( gentity_t *ent, trace_t *trace ) 
;16:{
line 22
;17:	vec3_t	velocity;
;18:	float	dot;
;19:	int		hitTime;
;20:
;21:	// nothing to do if already stationary
;22:	if ( ent->s.pos.trType == TR_STATIONARY )
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CNSTI4 0
NEI4 $70
line 23
;23:	{
line 24
;24:		return;
ADDRGP4 $69
JUMPV
LABELV $70
line 28
;25:	}
;26:
;27:	// reflect the velocity on the trace plane
;28:	hitTime = level.previousTime + ( level.time - level.previousTime ) * trace->fraction;
ADDRLP4 16
ADDRGP4 level+84
INDIRI4
CVIF4 4
ADDRGP4 level+64
INDIRI4
ADDRGP4 level+84
INDIRI4
SUBI4
CVIF4 4
ADDRFP4 4
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
MULF4
ADDF4
CVFI4 4
ASGNI4
line 29
;29:	BG_EvaluateTrajectoryDelta( &ent->s.pos, hitTime, velocity );
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 16
INDIRI4
ARGI4
ADDRLP4 0
ARGP4
ADDRGP4 BG_EvaluateTrajectoryDelta
CALLV
pop
line 30
;30:	dot = DotProduct( velocity, trace->plane.normal );
ADDRLP4 20
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 12
ADDRLP4 0
INDIRF4
ADDRLP4 20
INDIRP4
CNSTI4 24
ADDP4
INDIRF4
MULF4
ADDRLP4 0+4
INDIRF4
ADDRLP4 20
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
MULF4
ADDF4
ADDRLP4 0+8
INDIRF4
ADDRLP4 20
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 31
;31:	VectorMA( velocity, -2*dot, trace->plane.normal, ent->s.pos.trDelta );
ADDRFP4 0
INDIRP4
CNSTI4 36
ADDP4
ADDRLP4 0
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 24
ADDP4
INDIRF4
CNSTF4 3221225472
ADDRLP4 12
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 40
ADDP4
ADDRLP4 0+4
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
CNSTF4 3221225472
ADDRLP4 12
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 44
ADDP4
ADDRLP4 0+8
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
CNSTF4 3221225472
ADDRLP4 12
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
line 33
;32:
;33:	if ( ent->s.eFlags & EF_BOUNCE_HALF ) 
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 16
BANDI4
CNSTI4 0
EQI4 $79
line 34
;34:	{
line 35
;35:		VectorScale( ent->s.pos.trDelta, 0.65, ent->s.pos.trDelta );
ADDRLP4 24
ADDRFP4 0
INDIRP4
CNSTI4 36
ADDP4
ASGNP4
ADDRLP4 24
INDIRP4
CNSTF4 1059481190
ADDRLP4 24
INDIRP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 28
ADDRFP4 0
INDIRP4
CNSTI4 40
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
CNSTF4 1059481190
ADDRLP4 28
INDIRP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 32
ADDRFP4 0
INDIRP4
CNSTI4 44
ADDP4
ASGNP4
ADDRLP4 32
INDIRP4
CNSTF4 1059481190
ADDRLP4 32
INDIRP4
INDIRF4
MULF4
ASGNF4
line 37
;36:		// check for stop
;37:		if ( trace->plane.normal[2] > 0.2 && VectorLength( ent->s.pos.trDelta ) < 40 ) 
ADDRFP4 4
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
CNSTF4 1045220557
LEF4 $80
ADDRFP4 0
INDIRP4
CNSTI4 36
ADDP4
ARGP4
ADDRLP4 36
ADDRGP4 VectorLength
CALLF4
ASGNF4
ADDRLP4 36
INDIRF4
CNSTF4 1109393408
GEF4 $80
line 38
;38:		{
line 39
;39:			G_SetOrigin( ent, trace->endpos );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 40
;40:			return;
ADDRGP4 $69
JUMPV
line 42
;41:		}
;42:	}
LABELV $79
line 43
;43:	else if ( ent->s.eFlags & EF_BOUNCE_SCALE ) 
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 32
BANDI4
CNSTI4 0
EQI4 $83
line 44
;44:	{
line 46
;45:		// IF it hit a client then barely bounce off of them since they are "soft"
;46:		if ( trace->entityNum < MAX_CLIENTS )
ADDRFP4 4
INDIRP4
CNSTI4 52
ADDP4
INDIRI4
CNSTI4 64
GEI4 $85
line 47
;47:		{
line 48
;48:			VectorScale( ent->s.pos.trDelta, 0.04f, ent->s.pos.trDelta );
ADDRLP4 24
ADDRFP4 0
INDIRP4
CNSTI4 36
ADDP4
ASGNP4
ADDRLP4 24
INDIRP4
CNSTF4 1025758986
ADDRLP4 24
INDIRP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 28
ADDRFP4 0
INDIRP4
CNSTI4 40
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
CNSTF4 1025758986
ADDRLP4 28
INDIRP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 32
ADDRFP4 0
INDIRP4
CNSTI4 44
ADDP4
ASGNP4
ADDRLP4 32
INDIRP4
CNSTF4 1025758986
ADDRLP4 32
INDIRP4
INDIRF4
MULF4
ASGNF4
line 51
;49:
;50:			// Make sure the grenade doesnt continuously collide with teh player it hit
;51:			ent->target_ent = &g_entities[trace->entityNum];
ADDRFP4 0
INDIRP4
CNSTI4 476
ADDP4
CNSTI4 636
ADDRFP4 4
INDIRP4
CNSTI4 52
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 52
;52:		}
ADDRGP4 $86
JUMPV
LABELV $85
line 54
;53:		else
;54:		{
line 55
;55:			VectorScale( ent->s.pos.trDelta, ent->bounceScale, ent->s.pos.trDelta );
ADDRLP4 24
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 28
ADDRLP4 24
INDIRP4
CNSTI4 36
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRF4
ADDRLP4 24
INDIRP4
CNSTI4 584
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 32
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 36
ADDRLP4 32
INDIRP4
CNSTI4 40
ADDP4
ASGNP4
ADDRLP4 36
INDIRP4
ADDRLP4 36
INDIRP4
INDIRF4
ADDRLP4 32
INDIRP4
CNSTI4 584
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 40
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 44
ADDRLP4 40
INDIRP4
CNSTI4 44
ADDP4
ASGNP4
ADDRLP4 44
INDIRP4
ADDRLP4 44
INDIRP4
INDIRF4
ADDRLP4 40
INDIRP4
CNSTI4 584
ADDP4
INDIRF4
MULF4
ASGNF4
line 56
;56:		}
LABELV $86
line 59
;57:
;58:		// check for stop
;59:		if ( trace->plane.normal[2] > 0.2 && VectorLength( ent->s.pos.trDelta ) < 40 ) 
ADDRFP4 4
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
CNSTF4 1045220557
LEF4 $87
ADDRFP4 0
INDIRP4
CNSTI4 36
ADDP4
ARGP4
ADDRLP4 24
ADDRGP4 VectorLength
CALLF4
ASGNF4
ADDRLP4 24
INDIRF4
CNSTF4 1109393408
GEF4 $87
line 60
;60:		{
line 61
;61:			G_SetOrigin( ent, trace->endpos );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 63
;62:
;63:			if ( ent->parent && ent->parent->client )
ADDRLP4 28
ADDRFP4 0
INDIRP4
CNSTI4 412
ADDP4
INDIRP4
ASGNP4
ADDRLP4 32
CNSTU4 0
ASGNU4
ADDRLP4 28
INDIRP4
CVPU4 4
ADDRLP4 32
INDIRU4
EQU4 $69
ADDRLP4 28
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 32
INDIRU4
EQU4 $69
line 64
;64:			{
line 68
;65:				gentity_t* nearby;
;66:				
;67:				// Find someone on the opposite team near wher ethe grenade landed
;68:				nearby = G_FindNearbyClient ( trace->endpos, ent->parent->client->sess.team==TEAM_RED?TEAM_BLUE:TEAM_RED, 800, NULL );				
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 412
ADDP4
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 1332
ADDP4
INDIRI4
CNSTI4 1
NEI4 $92
ADDRLP4 40
CNSTI4 2
ASGNI4
ADDRGP4 $93
JUMPV
LABELV $92
ADDRLP4 40
CNSTI4 1
ASGNI4
LABELV $93
ADDRLP4 40
INDIRI4
ARGI4
CNSTF4 1145569280
ARGF4
CNSTP4 0
ARGP4
ADDRLP4 44
ADDRGP4 G_FindNearbyClient
CALLP4
ASGNP4
ADDRLP4 36
ADDRLP4 44
INDIRP4
ASGNP4
line 70
;69:
;70:				if ( nearby )
ADDRLP4 36
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $69
line 71
;71:				{
line 73
;72:					// Make sure there is someone around to hear them scream
;73:					nearby = G_FindNearbyClient ( trace->endpos, nearby->client->sess.team, 800, nearby );				
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 48
ADDRLP4 36
INDIRP4
ASGNP4
ADDRLP4 48
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 1332
ADDP4
INDIRI4
ARGI4
CNSTF4 1145569280
ARGF4
ADDRLP4 48
INDIRP4
ARGP4
ADDRLP4 52
ADDRGP4 G_FindNearbyClient
CALLP4
ASGNP4
ADDRLP4 36
ADDRLP4 52
INDIRP4
ASGNP4
line 74
;74:					G_VoiceGlobal ( nearby, "grenade", qtrue );
ADDRLP4 36
INDIRP4
ARGP4
ADDRGP4 $96
ARGP4
CNSTI4 1
ARGI4
ADDRGP4 G_VoiceGlobal
CALLV
pop
line 75
;75:				}
line 76
;76:			}
line 78
;77:
;78:			return;
ADDRGP4 $69
JUMPV
LABELV $87
line 80
;79:		}
;80: 	}
LABELV $83
LABELV $80
line 82
;81:
;82:	VectorAdd( ent->r.currentOrigin, trace->plane.normal, ent->r.currentOrigin);
ADDRLP4 24
ADDRFP4 0
INDIRP4
CNSTI4 288
ADDP4
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 24
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 28
ADDRFP4 0
INDIRP4
CNSTI4 292
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 32
ADDRFP4 0
INDIRP4
CNSTI4 296
ADDP4
ASGNP4
ADDRLP4 32
INDIRP4
ADDRLP4 32
INDIRP4
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
ADDF4
ASGNF4
line 83
;83:	VectorCopy( ent->r.currentOrigin, ent->s.pos.trBase );
ADDRLP4 36
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 36
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 36
INDIRP4
CNSTI4 288
ADDP4
INDIRB
ASGNB 12
line 84
;84:	ent->s.pos.trTime = level.time;
ADDRFP4 0
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 level+64
INDIRI4
ASGNI4
line 86
;85:
;86:	G_AddEvent( ent, EV_GRENADE_BOUNCE, trace->surfaceFlags& MATERIAL_MASK );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 29
ARGI4
ADDRFP4 4
INDIRP4
CNSTI4 44
ADDP4
INDIRI4
CNSTI4 31
BANDI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 87
;87:}
LABELV $69
endproc G_BounceMissile 56 16
export G_ExplodeMissile
proc G_ExplodeMissile 44 32
line 96
;88:
;89:/*
;90:================
;91:G_ExplodeMissile
;92:
;93:Explode a missile without an impact
;94:================
;95:*/
;96:void G_ExplodeMissile( gentity_t *ent ) {
line 100
;97:	vec3_t		dir;
;98:	vec3_t		origin;
;99:
;100:	BG_EvaluateTrajectory( &ent->s.pos, level.time, origin );
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 level+64
INDIRI4
ARGI4
ADDRLP4 0
ARGP4
ADDRGP4 BG_EvaluateTrajectory
CALLV
pop
line 101
;101:	SnapVector( origin );
ADDRLP4 0
ADDRLP4 0
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 102
;102:	G_SetOrigin( ent, origin );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 105
;103:
;104:	// we don't have a valid direction, so just point straight up
;105:	dir[0] = dir[1] = 0;
ADDRLP4 24
CNSTF4 0
ASGNF4
ADDRLP4 12+4
ADDRLP4 24
INDIRF4
ASGNF4
ADDRLP4 12
ADDRLP4 24
INDIRF4
ASGNF4
line 106
;106:	dir[2] = 1;
ADDRLP4 12+8
CNSTF4 1065353216
ASGNF4
line 108
;107:
;108:	ent->s.eType = ET_GENERAL;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 0
ASGNI4
line 109
;109:	G_AddEvent( ent, EV_MISSILE_MISS, (DirToByte( dir ) << MATERIAL_BITS) | MATERIAL_NONE);
ADDRLP4 12
ARGP4
ADDRLP4 28
ADDRGP4 DirToByte
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 36
ARGI4
ADDRLP4 28
INDIRI4
CNSTI4 5
LSHI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 111
;110:
;111:	ent->freeAfterEvent = qtrue;
ADDRFP4 0
INDIRP4
CNSTI4 368
ADDP4
CNSTI4 1
ASGNI4
line 114
;112:
;113:	// All grenade explosions are now broadcast to ensure that fire and smoke is always seen
;114:	ent->r.svFlags |= SVF_BROADCAST;
ADDRLP4 32
ADDRFP4 0
INDIRP4
CNSTI4 224
ADDP4
ASGNP4
ADDRLP4 32
INDIRP4
ADDRLP4 32
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 117
;115:
;116:	// splash damage
;117:	if ( ent->splashDamage ) 
ADDRFP4 0
INDIRP4
CNSTI4 564
ADDP4
INDIRI4
CNSTI4 0
EQI4 $106
line 118
;118:	{
line 119
;119:		if (ent->dflags & DAMAGE_AREA_DAMAGE)
ADDRFP4 0
INDIRP4
CNSTI4 560
ADDP4
INDIRI4
CNSTI4 1024
BANDI4
CNSTI4 0
EQI4 $108
line 120
;120:		{	
line 122
;121:			// do damage over time rather than instantly
;122:			G_CreateDamageArea ( ent->r.currentOrigin, ent->parent, ent->splashDamage*0.06f,ent->splashRadius, 8000,ent->methodOfDeath );
ADDRLP4 36
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 36
INDIRP4
CNSTI4 288
ADDP4
ARGP4
ADDRLP4 36
INDIRP4
CNSTI4 412
ADDP4
INDIRP4
ARGP4
CNSTF4 1031127695
ADDRLP4 36
INDIRP4
CNSTI4 564
ADDP4
INDIRI4
CVIF4 4
MULF4
ARGF4
ADDRLP4 36
INDIRP4
CNSTI4 568
ADDP4
INDIRI4
CVIF4 4
ARGF4
CNSTI4 8000
ARGI4
ADDRLP4 36
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_CreateDamageArea
CALLP4
pop
line 125
;123:
;124:			// do some instant damage
;125:			G_RadiusDamage( ent->r.currentOrigin, ent->parent, ent->damage, ent->splashRadius, ent, 
ADDRLP4 40
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 40
INDIRP4
CNSTI4 288
ADDP4
ARGP4
ADDRLP4 40
INDIRP4
CNSTI4 412
ADDP4
INDIRP4
ARGP4
ADDRLP4 40
INDIRP4
CNSTI4 556
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 40
INDIRP4
CNSTI4 568
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 40
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRLP4 40
INDIRP4
CNSTI4 560
ADDP4
INDIRI4
ARGI4
ADDRLP4 40
INDIRP4
CNSTI4 576
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_RadiusDamage
CALLI4
pop
line 127
;126:							1, ent->dflags, ent->splashMethodOfDeath );
;127:		}
ADDRGP4 $109
JUMPV
LABELV $108
line 129
;128:		else
;129:		{	// normal radius of effect damage
line 130
;130:			G_RadiusDamage( ent->r.currentOrigin, ent->parent, ent->splashDamage, ent->splashRadius, ent, 
ADDRLP4 36
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 36
INDIRP4
CNSTI4 288
ADDP4
ARGP4
ADDRLP4 36
INDIRP4
CNSTI4 412
ADDP4
INDIRP4
ARGP4
ADDRLP4 36
INDIRP4
CNSTI4 564
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 36
INDIRP4
CNSTI4 568
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 36
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRLP4 36
INDIRP4
CNSTI4 560
ADDP4
INDIRI4
ARGI4
ADDRLP4 36
INDIRP4
CNSTI4 576
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_RadiusDamage
CALLI4
pop
line 132
;131:							1, ent->dflags, ent->splashMethodOfDeath );
;132:		}
LABELV $109
line 133
;133:	}
LABELV $106
line 135
;134:
;135:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 136
;136:}
LABELV $98
endproc G_ExplodeMissile 44 32
export G_GrenadeThink
proc G_GrenadeThink 4 0
line 146
;137:
;138:/*
;139:================
;140:G_GrenadeThink
;141:
;142:Marks the grenade ready to explode
;143:================
;144:*/
;145:void G_GrenadeThink ( gentity_t* ent )
;146:{
line 147
;147:	ent->s.eFlags |= EF_EXPLODE;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 2
BORI4
ASGNI4
line 148
;148:}
LABELV $110
endproc G_GrenadeThink 4 0
export G_RunStuckMissile
proc G_RunStuckMissile 36 36
line 151
;149:
;150:void G_RunStuckMissile( gentity_t *ent )
;151:{
line 152
;152:	if ( ent->takedamage )
ADDRFP4 0
INDIRP4
CNSTI4 552
ADDP4
INDIRI4
CNSTI4 0
EQI4 $112
line 153
;153:	{
line 154
;154:		if ( ent->s.groundEntityNum >= 0 && ent->s.groundEntityNum < ENTITYNUM_WORLD )
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 148
ADDP4
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
LTI4 $114
ADDRLP4 0
INDIRI4
CNSTI4 1022
GEI4 $114
line 155
;155:		{
line 156
;156:			gentity_t *other = &g_entities[ent->s.groundEntityNum];
ADDRLP4 4
CNSTI4 636
ADDRFP4 0
INDIRP4
CNSTI4 148
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 158
;157:
;158:			if ( (!VectorCompare( vec3_origin, other->s.pos.trDelta ) && other->s.pos.trType != TR_STATIONARY) || 
ADDRGP4 vec3_origin
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 36
ADDP4
ARGP4
ADDRLP4 8
ADDRGP4 VectorCompare
CALLI4
ASGNI4
ADDRLP4 12
CNSTI4 0
ASGNI4
ADDRLP4 8
INDIRI4
ADDRLP4 12
INDIRI4
NEI4 $119
ADDRLP4 4
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
ADDRLP4 12
INDIRI4
NEI4 $118
LABELV $119
ADDRGP4 vec3_origin
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 72
ADDP4
ARGP4
ADDRLP4 16
ADDRGP4 VectorCompare
CALLI4
ASGNI4
ADDRLP4 20
CNSTI4 0
ASGNI4
ADDRLP4 16
INDIRI4
ADDRLP4 20
INDIRI4
NEI4 $116
ADDRLP4 4
INDIRP4
CNSTI4 48
ADDP4
INDIRI4
ADDRLP4 20
INDIRI4
EQI4 $116
LABELV $118
line 160
;159:				(!VectorCompare( vec3_origin, other->s.apos.trDelta ) && other->s.apos.trType != TR_STATIONARY) )
;160:			{//thing I stuck to is moving or rotating now, kill me
line 161
;161:				G_Damage( ent, other, other, NULL, NULL, 99999, 0, MOD_CRUSH, HL_NONE );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 24
ADDRLP4 4
INDIRP4
ASGNP4
ADDRLP4 24
INDIRP4
ARGP4
ADDRLP4 24
INDIRP4
ARGP4
ADDRLP4 28
CNSTP4 0
ASGNP4
ADDRLP4 28
INDIRP4
ARGP4
ADDRLP4 28
INDIRP4
ARGP4
CNSTI4 99999
ARGI4
ADDRLP4 32
CNSTI4 0
ASGNI4
ADDRLP4 32
INDIRI4
ARGI4
CNSTI4 22
ARGI4
ADDRLP4 32
INDIRI4
ARGI4
ADDRGP4 G_Damage
CALLI4
pop
line 162
;162:				return;
ADDRGP4 $111
JUMPV
LABELV $116
line 164
;163:			}
;164:		}
LABELV $114
line 165
;165:	}
LABELV $112
line 167
;166:	// check think function
;167:	G_RunThink( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_RunThink
CALLV
pop
line 168
;168:}
LABELV $111
endproc G_RunStuckMissile 36 36
export G_BounceProjectile
proc G_BounceProjectile 64 4
line 175
;169:
;170:/*
;171:================
;172:G_BounceProjectile
;173:================
;174:*/
;175:void G_BounceProjectile( vec3_t start, vec3_t impact, vec3_t dir, vec3_t endout ) {
line 179
;176:	vec3_t v, newv;
;177:	float dot;
;178:
;179:	VectorSubtract( impact, start, v );
ADDRLP4 28
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 32
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 28
INDIRP4
INDIRF4
ADDRLP4 32
INDIRP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 36
CNSTI4 4
ASGNI4
ADDRLP4 0+4
ADDRLP4 28
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
ADDRLP4 32
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 40
CNSTI4 8
ASGNI4
ADDRLP4 0+8
ADDRFP4 4
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
ADDRFP4 0
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 180
;180:	dot = DotProduct( v, dir );
ADDRLP4 44
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 24
ADDRLP4 0
INDIRF4
ADDRLP4 44
INDIRP4
INDIRF4
MULF4
ADDRLP4 0+4
INDIRF4
ADDRLP4 44
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
MULF4
ADDF4
ADDRLP4 0+8
INDIRF4
ADDRLP4 44
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 181
;181:	VectorMA( v, -2*dot, dir, newv );
ADDRLP4 48
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 52
CNSTF4 3221225472
ADDRLP4 24
INDIRF4
MULF4
ASGNF4
ADDRLP4 12
ADDRLP4 0
INDIRF4
ADDRLP4 48
INDIRP4
INDIRF4
ADDRLP4 52
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 12+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 48
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ADDRLP4 52
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 12+8
ADDRLP4 0+8
INDIRF4
ADDRFP4 8
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
CNSTF4 3221225472
ADDRLP4 24
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
line 183
;182:
;183:	VectorNormalize(newv);
ADDRLP4 12
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 184
;184:	VectorMA(impact, 8192, newv, endout);
ADDRFP4 12
INDIRP4
ADDRFP4 4
INDIRP4
INDIRF4
CNSTF4 1174405120
ADDRLP4 12
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 56
CNSTI4 4
ASGNI4
ADDRFP4 12
INDIRP4
ADDRLP4 56
INDIRI4
ADDP4
ADDRFP4 4
INDIRP4
ADDRLP4 56
INDIRI4
ADDP4
INDIRF4
CNSTF4 1174405120
ADDRLP4 12+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 60
CNSTI4 8
ASGNI4
ADDRFP4 12
INDIRP4
ADDRLP4 60
INDIRI4
ADDP4
ADDRFP4 4
INDIRP4
ADDRLP4 60
INDIRI4
ADDP4
INDIRF4
CNSTF4 1174405120
ADDRLP4 12+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 185
;185:}
LABELV $120
endproc G_BounceProjectile 64 4
export G_CreateMissile
proc G_CreateMissile 20 0
line 194
;186:
;187:
;188:/*
;189:================
;190:G_CreateMissile
;191:================
;192:*/
;193:gentity_t* G_CreateMissile( vec3_t org, vec3_t dir, float vel, int life, gentity_t *owner, attackType_t attack  )
;194:{
line 197
;195:	gentity_t	*missile;
;196:
;197:	missile = G_Spawn();
ADDRLP4 4
ADDRGP4 G_Spawn
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 199
;198:	
;199:	missile->nextthink = level.time + life;
ADDRLP4 0
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
ADDRFP4 12
INDIRI4
ADDI4
ASGNI4
line 200
;200:	missile->think = G_FreeEntity;
ADDRLP4 0
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 G_FreeEntity
ASGNP4
line 201
;201:	missile->s.eType = ET_MISSILE;
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 3
ASGNI4
line 202
;202:	missile->r.svFlags = SVF_USE_CURRENT_ORIGIN;
ADDRLP4 0
INDIRP4
CNSTI4 224
ADDP4
CNSTI4 128
ASGNI4
line 203
;203:	missile->parent = owner;
ADDRLP4 0
INDIRP4
CNSTI4 412
ADDP4
ADDRFP4 16
INDIRP4
ASGNP4
line 204
;204:	missile->r.ownerNum = owner->s.number;
ADDRLP4 0
INDIRP4
CNSTI4 312
ADDP4
ADDRFP4 16
INDIRP4
INDIRI4
ASGNI4
line 206
;205:
;206:	if ( attack == ATTACK_ALTERNATE )
ADDRFP4 20
INDIRI4
CNSTI4 1
NEI4 $133
line 207
;207:	{
line 208
;208:		missile->s.eFlags |= EF_ALT_FIRING;
ADDRLP4 8
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 256
BORI4
ASGNI4
line 209
;209:	}
LABELV $133
line 211
;210:
;211:	missile->s.pos.trType = TR_LINEAR;
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 2
ASGNI4
line 212
;212:	missile->s.pos.trTime = level.time;// - MISSILE_PRESTEP_TIME;	// NOTENOTE This is a Quake 3 addition over JK2
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 level+64
INDIRI4
ASGNI4
line 213
;213:	missile->target_ent = NULL;
ADDRLP4 0
INDIRP4
CNSTI4 476
ADDP4
CNSTP4 0
ASGNP4
line 215
;214:
;215:	SnapVector(org);
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 12
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 16
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 16
INDIRP4
ADDRLP4 16
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 216
;216:	VectorCopy( org, missile->s.pos.trBase );
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 217
;217:	VectorScale( dir, vel, missile->s.pos.trDelta );
ADDRLP4 0
INDIRP4
CNSTI4 36
ADDP4
ADDRFP4 4
INDIRP4
INDIRF4
ADDRFP4 8
INDIRF4
MULF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 40
ADDP4
ADDRFP4 4
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ADDRFP4 8
INDIRF4
MULF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 44
ADDP4
ADDRFP4 4
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
ADDRFP4 8
INDIRF4
MULF4
ASGNF4
line 218
;218:	VectorCopy( org, missile->r.currentOrigin);
ADDRLP4 0
INDIRP4
CNSTI4 288
ADDP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 219
;219:	SnapVector(missile->s.pos.trDelta);
ADDRLP4 8
ADDRLP4 0
INDIRP4
CNSTI4 36
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 12
ADDRLP4 0
INDIRP4
CNSTI4 40
ADDP4
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 16
ADDRLP4 0
INDIRP4
CNSTI4 44
ADDP4
ASGNP4
ADDRLP4 16
INDIRP4
ADDRLP4 16
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 221
;220:
;221:	return missile;
ADDRLP4 0
INDIRP4
RETP4
LABELV $131
endproc G_CreateMissile 20 0
export G_CauseAreaDamage
proc G_CauseAreaDamage 8 32
line 230
;222:}
;223:
;224:/*
;225:================
;226:G_CauseAreaDamage
;227:================
;228:*/
;229:void G_CauseAreaDamage( gentity_t *ent ) 
;230:{
line 231
;231:	G_RadiusDamage ( ent->r.currentOrigin, ent->parent, ent->splashDamage, ent->splashRadius, ent, 3, DAMAGE_NO_TEAMKILL, ent->methodOfDeath );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 288
ADDP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 412
ADDP4
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 564
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 0
INDIRP4
CNSTI4 568
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 3
ARGI4
CNSTI4 8192
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_RadiusDamage
CALLI4
pop
line 233
;232:
;233:	ent->s.time2--;
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 88
ADDP4
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 235
;234:
;235:	if ( ent->s.time2 <= 0 )
ADDRFP4 0
INDIRP4
CNSTI4 88
ADDP4
INDIRI4
CNSTI4 0
GTI4 $137
line 236
;236:	{	
line 237
;237:		G_FreeEntity ( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 238
;238:		return;
ADDRGP4 $136
JUMPV
LABELV $137
line 241
;239:	}
;240:
;241:	ent->nextthink = level.time + 350;
ADDRFP4 0
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
CNSTI4 350
ADDI4
ASGNI4
line 242
;242:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 243
;243:}
LABELV $136
endproc G_CauseAreaDamage 8 32
export G_CreateDamageArea
proc G_CreateDamageArea 32 0
line 251
;244:
;245:/*
;246:================
;247:G_CreateDamageArea
;248:================
;249:*/
;250:gentity_t* G_CreateDamageArea ( vec3_t origin, gentity_t* attacker, float damage, float radius, int duration, int mod )
;251:{
line 254
;252:	gentity_t	*damageArea;
;253:
;254:	damageArea = G_Spawn();
ADDRLP4 4
ADDRGP4 G_Spawn
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 256
;255:	
;256:	damageArea->nextthink = level.time + 350;
ADDRLP4 0
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
CNSTI4 350
ADDI4
ASGNI4
line 257
;257:	damageArea->think = G_CauseAreaDamage;
ADDRLP4 0
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 G_CauseAreaDamage
ASGNP4
line 258
;258:	damageArea->s.eType = ET_DAMAGEAREA;
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 13
ASGNI4
line 259
;259:	damageArea->r.svFlags = SVF_USE_CURRENT_ORIGIN;
ADDRLP4 0
INDIRP4
CNSTI4 224
ADDP4
CNSTI4 128
ASGNI4
line 260
;260:	damageArea->parent = attacker;
ADDRLP4 0
INDIRP4
CNSTI4 412
ADDP4
ADDRFP4 4
INDIRP4
ASGNP4
line 261
;261:	damageArea->r.ownerNum = attacker->s.number;
ADDRLP4 0
INDIRP4
CNSTI4 312
ADDP4
ADDRFP4 4
INDIRP4
INDIRI4
ASGNI4
line 263
;262:
;263:	damageArea->s.pos.trType = TR_STATIONARY;
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 0
ASGNI4
line 264
;264:	damageArea->s.pos.trTime = level.time;
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 level+64
INDIRI4
ASGNI4
line 265
;265:	damageArea->s.time2 = duration / 350;
ADDRLP4 0
INDIRP4
CNSTI4 88
ADDP4
ADDRFP4 16
INDIRI4
CNSTI4 350
DIVI4
ASGNI4
line 266
;266:	damageArea->target_ent = NULL;
ADDRLP4 0
INDIRP4
CNSTI4 476
ADDP4
CNSTP4 0
ASGNP4
line 268
;267:
;268:	damageArea->classname = "DamageArea";
ADDRLP4 0
INDIRP4
CNSTI4 336
ADDP4
ADDRGP4 $143
ASGNP4
line 270
;269:
;270:	VectorSet( damageArea->r.maxs, 1, 1, 1 );
ADDRLP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTF4 1065353216
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 252
ADDP4
CNSTF4 1065353216
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 256
ADDP4
CNSTF4 1065353216
ASGNF4
line 271
;271:	VectorScale( damageArea->r.maxs, -1, damageArea->r.mins );
ADDRLP4 0
INDIRP4
CNSTI4 236
ADDP4
CNSTF4 3212836864
ADDRLP4 0
INDIRP4
CNSTI4 248
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 240
ADDP4
CNSTF4 3212836864
ADDRLP4 0
INDIRP4
CNSTI4 252
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 244
ADDP4
CNSTF4 3212836864
ADDRLP4 0
INDIRP4
CNSTI4 256
ADDP4
INDIRF4
MULF4
ASGNF4
line 273
;272:
;273:	damageArea->splashDamage = damage;
ADDRLP4 0
INDIRP4
CNSTI4 564
ADDP4
ADDRFP4 8
INDIRF4
CVFI4 4
ASGNI4
line 274
;274:	damageArea->splashRadius = radius;
ADDRLP4 0
INDIRP4
CNSTI4 568
ADDP4
ADDRFP4 12
INDIRF4
CVFI4 4
ASGNI4
line 275
;275:	damageArea->methodOfDeath = mod;
ADDRLP4 0
INDIRP4
CNSTI4 572
ADDP4
ADDRFP4 20
INDIRI4
ASGNI4
line 277
;276:
;277:	damageArea->dflags = DAMAGE_RADIUS;
ADDRLP4 0
INDIRP4
CNSTI4 560
ADDP4
CNSTI4 1
ASGNI4
line 278
;278:	damageArea->clipmask = MASK_SHOT;
ADDRLP4 0
INDIRP4
CNSTI4 384
ADDP4
CNSTI4 4481
ASGNI4
line 280
;279:
;280:	VectorCopy( origin, damageArea->s.pos.trBase );
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 281
;281:	VectorCopy( origin, damageArea->r.currentOrigin);
ADDRLP4 0
INDIRP4
CNSTI4 288
ADDP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 282
;282:	SnapVector( damageArea->r.currentOrigin  );
ADDRLP4 20
ADDRLP4 0
INDIRP4
CNSTI4 288
ADDP4
ASGNP4
ADDRLP4 20
INDIRP4
ADDRLP4 20
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 24
ADDRLP4 0
INDIRP4
CNSTI4 292
ADDP4
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 28
ADDRLP4 0
INDIRP4
CNSTI4 296
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 284
;283:
;284:	return damageArea;
ADDRLP4 0
INDIRP4
RETP4
LABELV $140
endproc G_CreateDamageArea 32 0
export G_MissileImpact
proc G_MissileImpact 100 36
line 295
;285:}
;286:
;287:/*
;288:================
;289:G_MissileImpact
;290:================
;291:*/
;292:extern gentity_t *CreateWeaponPickup(vec3_t pos,weapon_t weapon);
;293:extern int G_GetHitLocation(gentity_t *target, vec3_t ppoint, vec3_t dir );
;294:void G_MissileImpact( gentity_t *ent, trace_t *trace ) 
;295:{
line 299
;296:	gentity_t		*other;
;297:	vec3_t	velocity;
;298:	int d;
;299:	other = &g_entities[trace->entityNum];
ADDRLP4 0
CNSTI4 636
ADDRFP4 4
INDIRP4
CNSTI4 52
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 301
;300:
;301:	d = 0;
ADDRLP4 4
CNSTI4 0
ASGNI4
line 304
;302:
;303:	// check for bounce
;304:	if ( ( ent->s.eFlags & ( EF_BOUNCE | EF_BOUNCE_HALF | EF_BOUNCE_SCALE ) ) ) 
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 56
BANDI4
CNSTI4 0
EQI4 $145
line 305
;305:	{
line 306
;306:		G_BounceMissile( ent, trace );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 G_BounceMissile
CALLV
pop
line 307
;307:		return;
ADDRGP4 $144
JUMPV
LABELV $145
line 311
;308:	}
;309:	
;310:	// impact damage
;311:	if (other->takedamage)
ADDRLP4 0
INDIRP4
CNSTI4 552
ADDP4
INDIRI4
CNSTI4 0
EQI4 $147
line 312
;312:	{
line 314
;313:		// FIXME: wrong damage direction?
;314:		BG_EvaluateTrajectoryDelta( &ent->s.pos, level.time, velocity );
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 level+64
INDIRI4
ARGI4
ADDRLP4 8
ARGP4
ADDRGP4 BG_EvaluateTrajectoryDelta
CALLV
pop
line 315
;315:		if ( VectorLength( velocity ) == 0 )
ADDRLP4 8
ARGP4
ADDRLP4 20
ADDRGP4 VectorLength
CALLF4
ASGNF4
ADDRLP4 20
INDIRF4
CNSTF4 0
NEF4 $150
line 316
;316:		{
line 317
;317:			velocity[2] = 1;	// stepped on a grenade
ADDRLP4 8+8
CNSTF4 1065353216
ASGNF4
line 318
;318:		}
LABELV $150
line 319
;319:		if ( ent->damage )
ADDRFP4 0
INDIRP4
CNSTI4 556
ADDP4
INDIRI4
CNSTI4 0
EQI4 $153
line 320
;320:		{
line 323
;321:			int location;
;322:
;323:			location = HL_NONE;
ADDRLP4 24
CNSTI4 0
ASGNI4
line 324
;324:			if ( other->client )
ADDRLP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $155
line 325
;325:			{
line 326
;326:				VectorNormalize ( velocity );
ADDRLP4 8
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 327
;327:				location = G_GetHitLocation ( other, ent->r.currentOrigin, velocity );
ADDRLP4 0
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 288
ADDP4
ARGP4
ADDRLP4 8
ARGP4
ADDRLP4 28
ADDRGP4 G_GetHitLocation
CALLI4
ASGNI4
ADDRLP4 24
ADDRLP4 28
INDIRI4
ASGNI4
line 328
;328:				if ( ent->splashDamage ) 
ADDRFP4 0
INDIRP4
CNSTI4 564
ADDP4
INDIRI4
CNSTI4 0
EQI4 $157
line 329
;329:				{
line 330
;330:					location = G_MultipleDamageLocations(location);
ADDRLP4 24
INDIRI4
ARGI4
ADDRLP4 32
ADDRGP4 G_MultipleDamageLocations
CALLI4
ASGNI4
ADDRLP4 24
ADDRLP4 32
INDIRI4
ASGNI4
line 331
;331:				}
LABELV $157
line 332
;332:			}
LABELV $155
line 334
;333:		
;334:			d = G_Damage(other, ent, &g_entities[ent->r.ownerNum], velocity, 
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 28
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 28
INDIRP4
ARGP4
CNSTI4 636
ADDRLP4 28
INDIRP4
CNSTI4 312
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ARGP4
ADDRLP4 8
ARGP4
ADDRLP4 28
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 28
INDIRP4
CNSTI4 556
ADDP4
INDIRI4
ARGI4
ADDRLP4 28
INDIRP4
CNSTI4 560
ADDP4
INDIRI4
ARGI4
ADDRLP4 28
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
ARGI4
ADDRLP4 24
INDIRI4
ARGI4
ADDRLP4 32
ADDRGP4 G_Damage
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 32
INDIRI4
ASGNI4
line 338
;335:					 ent->s.origin, ent->damage, ent->dflags, 
;336:					 ent->methodOfDeath, location );
;337:
;338:			if ( d && other->client )
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $159
ADDRLP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $159
line 339
;339:			{
line 344
;340:				gentity_t *tent;
;341:				vec3_t hitdir;
;342:
;343:				// Put some procedural gore on the target.
;344:				tent = G_TempEntity( ent->r.currentOrigin, EV_EXPLOSION_HIT_FLESH );
ADDRFP4 0
INDIRP4
CNSTI4 288
ADDP4
ARGP4
CNSTI4 40
ARGI4
ADDRLP4 52
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 36
ADDRLP4 52
INDIRP4
ASGNP4
line 347
;345:				
;346:				// send entity and direction
;347:				VectorSubtract(other->r.currentOrigin, ent->r.currentOrigin, hitdir);
ADDRLP4 60
CNSTI4 288
ASGNI4
ADDRLP4 64
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 40
ADDRLP4 0
INDIRP4
ADDRLP4 60
INDIRI4
ADDP4
INDIRF4
ADDRLP4 64
INDIRP4
ADDRLP4 60
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 68
CNSTI4 292
ASGNI4
ADDRLP4 40+4
ADDRLP4 0
INDIRP4
ADDRLP4 68
INDIRI4
ADDP4
INDIRF4
ADDRLP4 64
INDIRP4
ADDRLP4 68
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 72
CNSTI4 296
ASGNI4
ADDRLP4 40+8
ADDRLP4 0
INDIRP4
ADDRLP4 72
INDIRI4
ADDP4
INDIRF4
ADDRFP4 0
INDIRP4
ADDRLP4 72
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 348
;348:				VectorNormalize(hitdir);
ADDRLP4 40
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 349
;349:				tent->s.eventParm = DirToByte( hitdir );
ADDRLP4 40
ARGP4
ADDRLP4 76
ADDRGP4 DirToByte
CALLI4
ASGNI4
ADDRLP4 36
INDIRP4
CNSTI4 184
ADDP4
ADDRLP4 76
INDIRI4
ASGNI4
line 350
;350:				tent->s.otherEntityNum2 = other->s.number;			// Victim entity number
ADDRLP4 36
INDIRP4
CNSTI4 144
ADDP4
ADDRLP4 0
INDIRP4
INDIRI4
ASGNI4
line 353
;351:
;352:				// Pack the shot info into the temp end for gore
;353:				tent->s.time  = ent->s.weapon + ((((int)other->s.apos.trBase[YAW]&0x7FFF) % 360) << 16);		
ADDRLP4 36
INDIRP4
CNSTI4 84
ADDP4
ADDRFP4 0
INDIRP4
CNSTI4 196
ADDP4
INDIRI4
ADDRLP4 0
INDIRP4
CNSTI4 64
ADDP4
INDIRF4
CVFI4 4
CNSTI4 32767
BANDI4
CNSTI4 360
MODI4
CNSTI4 16
LSHI4
ADDI4
ASGNI4
line 354
;354:				if ( ent->s.eFlags & EF_ALT_FIRING )
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 256
BANDI4
CNSTI4 0
EQI4 $163
line 355
;355:				{
line 356
;356:					tent->s.time += (ATTACK_ALTERNATE<<8);
ADDRLP4 80
ADDRLP4 36
INDIRP4
CNSTI4 84
ADDP4
ASGNP4
ADDRLP4 80
INDIRP4
ADDRLP4 80
INDIRP4
INDIRI4
CNSTI4 256
ADDI4
ASGNI4
line 357
;357:				}
LABELV $163
line 359
;358:
;359:				VectorCopy ( other->r.currentOrigin, tent->s.angles );
ADDRLP4 36
INDIRP4
CNSTI4 116
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 288
ADDP4
INDIRB
ASGNB 12
line 360
;360:				SnapVector ( tent->s.angles );
ADDRLP4 80
ADDRLP4 36
INDIRP4
CNSTI4 116
ADDP4
ASGNP4
ADDRLP4 80
INDIRP4
ADDRLP4 80
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 84
ADDRLP4 36
INDIRP4
CNSTI4 120
ADDP4
ASGNP4
ADDRLP4 84
INDIRP4
ADDRLP4 84
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 88
ADDRLP4 36
INDIRP4
CNSTI4 124
ADDP4
ASGNP4
ADDRLP4 88
INDIRP4
ADDRLP4 88
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 361
;361:			}
LABELV $159
line 362
;362:		}
LABELV $153
line 363
;363:	}
LABELV $147
line 368
;364:
;365:	// is it cheaper in bandwidth to just remove this ent and create a new
;366:	// one, rather than changing the missile into the explosion?
;367:
;368:	if ( d && other->client ) 
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $165
ADDRLP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $165
line 369
;369:	{
line 370
;370:		G_AddEvent( ent, EV_MISSILE_HIT, 
ADDRFP4 4
INDIRP4
CNSTI4 24
ADDP4
ARGP4
ADDRLP4 20
ADDRGP4 DirToByte
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 35
ARGI4
ADDRLP4 20
INDIRI4
CNSTI4 5
LSHI4
ADDRFP4 4
INDIRP4
CNSTI4 44
ADDP4
INDIRI4
CNSTI4 31
BANDI4
BORI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 372
;371:					(DirToByte( trace->plane.normal ) << MATERIAL_BITS) | (trace->surfaceFlags & MATERIAL_MASK));
;372:		ent->s.otherEntityNum = other->s.number;
ADDRFP4 0
INDIRP4
CNSTI4 140
ADDP4
ADDRLP4 0
INDIRP4
INDIRI4
ASGNI4
line 373
;373:		if( ent->damage )
ADDRFP4 0
INDIRP4
CNSTI4 556
ADDP4
INDIRI4
CNSTI4 0
EQI4 $166
line 374
;374:		{
line 376
;375:			// FIXME: might be able to use the value from inside G_Damage to avoid recalc???
;376:			ent->s.otherEntityNum2 = G_GetHitLocation ( other, g_entities[ent->r.ownerNum].r.currentOrigin, velocity );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 24
ADDRFP4 0
INDIRP4
ASGNP4
CNSTI4 636
ADDRLP4 24
INDIRP4
CNSTI4 312
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities+216+72
ADDP4
ARGP4
ADDRLP4 8
ARGP4
ADDRLP4 28
ADDRGP4 G_GetHitLocation
CALLI4
ASGNI4
ADDRLP4 24
INDIRP4
CNSTI4 144
ADDP4
ADDRLP4 28
INDIRI4
ASGNI4
line 377
;377:		}
line 378
;378:	} 
ADDRGP4 $166
JUMPV
LABELV $165
line 380
;379:	else 
;380:	{
line 381
;381:		G_AddEvent( ent, EV_MISSILE_MISS, 
ADDRFP4 4
INDIRP4
CNSTI4 24
ADDP4
ARGP4
ADDRLP4 20
ADDRGP4 DirToByte
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 36
ARGI4
ADDRLP4 20
INDIRI4
CNSTI4 5
LSHI4
ADDRFP4 4
INDIRP4
CNSTI4 44
ADDP4
INDIRI4
CNSTI4 31
BANDI4
BORI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 385
;382:					(DirToByte( trace->plane.normal ) << MATERIAL_BITS) | (trace->surfaceFlags & MATERIAL_MASK));
;383:
;384:		// If missile should stick into impact point (e.g. a thrown knife).
;385:		if(!Q_stricmp(ent->classname,"Knife"))
ADDRFP4 0
INDIRP4
CNSTI4 336
ADDP4
INDIRP4
ARGP4
ADDRGP4 $173
ARGP4
ADDRLP4 24
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 24
INDIRI4
CNSTI4 0
NEI4 $171
line 386
;386:		{
line 391
;387:			// Create a pickup where we impacted.
;388:			vec3_t		pickupPos;
;389:			gentity_t	*pickupEnt;
;390:
;391:			VectorMA(trace->endpos,1,trace->plane.normal,pickupPos);
ADDRLP4 44
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 48
CNSTF4 1065353216
ASGNF4
ADDRLP4 32
ADDRLP4 44
INDIRP4
CNSTI4 12
ADDP4
INDIRF4
ADDRLP4 48
INDIRF4
ADDRLP4 44
INDIRP4
CNSTI4 24
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 32+4
ADDRLP4 44
INDIRP4
CNSTI4 16
ADDP4
INDIRF4
ADDRLP4 48
INDIRF4
ADDRLP4 44
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 52
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 32+8
ADDRLP4 52
INDIRP4
CNSTI4 20
ADDP4
INDIRF4
CNSTF4 1065353216
ADDRLP4 52
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 393
;392:
;393:			pickupEnt=CreateWeaponPickup(pickupPos,WP_KNIFE);
ADDRLP4 32
ARGP4
CNSTI4 1
ARGI4
ADDRLP4 56
ADDRGP4 CreateWeaponPickup
CALLP4
ASGNP4
ADDRLP4 28
ADDRLP4 56
INDIRP4
ASGNP4
line 394
;394:			if(pickupEnt)
ADDRLP4 28
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $176
line 395
;395:			{
line 398
;396:				vec3_t knifeDir,knifeAngles;
;397:
;398:				BG_EvaluateTrajectoryDelta( &ent->s.pos, level.time, knifeDir );
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 level+64
INDIRI4
ARGI4
ADDRLP4 72
ARGP4
ADDRGP4 BG_EvaluateTrajectoryDelta
CALLV
pop
line 401
;399:
;400:				//FIXME: needs work to set model angles!
;401:				VectorNormalize ( knifeDir );
ADDRLP4 72
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 402
;402:				vectoangles(knifeDir,knifeAngles);
ADDRLP4 72
ARGP4
ADDRLP4 60
ARGP4
ADDRGP4 vectoangles
CALLV
pop
line 403
;403:				knifeAngles[YAW] += 90;
ADDRLP4 60+4
ADDRLP4 60+4
INDIRF4
CNSTF4 1119092736
ADDF4
ASGNF4
line 404
;404:				knifeAngles[ROLL] = knifeAngles[PITCH];
ADDRLP4 60+8
ADDRLP4 60
INDIRF4
ASGNF4
line 405
;405:				knifeAngles[PITCH] = 0;
ADDRLP4 60
CNSTF4 0
ASGNF4
line 407
;406:
;407:				pickupEnt->s.angles[0]=knifeAngles[0];
ADDRLP4 28
INDIRP4
CNSTI4 116
ADDP4
ADDRLP4 60
INDIRF4
ASGNF4
line 408
;408:				pickupEnt->s.angles[1]=knifeAngles[1];
ADDRLP4 28
INDIRP4
CNSTI4 120
ADDP4
ADDRLP4 60+4
INDIRF4
ASGNF4
line 409
;409:				pickupEnt->s.angles[2]=knifeAngles[2];
ADDRLP4 28
INDIRP4
CNSTI4 124
ADDP4
ADDRLP4 60+8
INDIRF4
ASGNF4
line 411
;410:
;411:				pickupEnt->think = G_FreeEntity;
ADDRLP4 28
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 G_FreeEntity
ASGNP4
line 412
;412:				pickupEnt->nextthink = level.time + 30000;  // Stick around for 30 seconds
ADDRLP4 28
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
CNSTI4 30000
ADDI4
ASGNI4
line 414
;413:
;414:				pickupEnt->count = 1;
ADDRLP4 28
INDIRP4
CNSTI4 580
ADDP4
CNSTI4 1
ASGNI4
line 416
;415:	
;416:				pickupEnt->s.eFlags |= EF_ANGLE_OVERRIDE;
ADDRLP4 84
ADDRLP4 28
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 84
INDIRP4
ADDRLP4 84
INDIRP4
INDIRI4
CNSTI4 8192
BORI4
ASGNI4
line 417
;417:				VectorCopy(pickupEnt->s.angles,pickupEnt->r.currentAngles);
ADDRLP4 88
ADDRLP4 28
INDIRP4
ASGNP4
ADDRLP4 88
INDIRP4
CNSTI4 300
ADDP4
ADDRLP4 88
INDIRP4
CNSTI4 116
ADDP4
INDIRB
ASGNB 12
line 418
;418:				VectorCopy(pickupEnt->s.angles,pickupEnt->s.apos.trBase);
ADDRLP4 92
ADDRLP4 28
INDIRP4
ASGNP4
ADDRLP4 92
INDIRP4
CNSTI4 60
ADDP4
ADDRLP4 92
INDIRP4
CNSTI4 116
ADDP4
INDIRB
ASGNB 12
line 419
;419:				pickupEnt->s.pos.trType=TR_STATIONARY;
ADDRLP4 28
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 0
ASGNI4
line 420
;420:				pickupEnt->s.apos.trTime=level.time;
ADDRLP4 28
INDIRP4
CNSTI4 52
ADDP4
ADDRGP4 level+64
INDIRI4
ASGNI4
line 421
;421:				pickupEnt->clipmask = ent->clipmask;
ADDRLP4 96
CNSTI4 384
ASGNI4
ADDRLP4 28
INDIRP4
ADDRLP4 96
INDIRI4
ADDP4
ADDRFP4 0
INDIRP4
ADDRLP4 96
INDIRI4
ADDP4
INDIRI4
ASGNI4
line 422
;422:				pickupEnt->s.groundEntityNum = trace->entityNum;
ADDRLP4 28
INDIRP4
CNSTI4 148
ADDP4
ADDRFP4 4
INDIRP4
CNSTI4 52
ADDP4
INDIRI4
ASGNI4
line 423
;423:				trap_LinkEntity(pickupEnt);			
ADDRLP4 28
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 424
;424:			}
LABELV $176
line 425
;425:		}
LABELV $171
line 426
;426:	}
LABELV $166
line 428
;427:
;428:	ent->freeAfterEvent = qtrue;
ADDRFP4 0
INDIRP4
CNSTI4 368
ADDP4
CNSTI4 1
ASGNI4
line 431
;429:
;430:	// All grenade explosions are now broadcast to ensure that fire and smoke is always seen
;431:	ent->r.svFlags |= SVF_BROADCAST;
ADDRLP4 20
ADDRFP4 0
INDIRP4
CNSTI4 224
ADDP4
ASGNP4
ADDRLP4 20
INDIRP4
ADDRLP4 20
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 434
;432:
;433:	// change over to a normal entity right at the point of impact
;434:	ent->s.eType = ET_GENERAL;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 0
ASGNI4
line 436
;435:
;436:	SnapVectorTowards( trace->endpos, ent->s.pos.trBase );	// save net bandwidth
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 24
ADDP4
ARGP4
ADDRGP4 SnapVectorTowards
CALLV
pop
line 438
;437:
;438:	G_SetOrigin( ent, trace->endpos );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 441
;439:
;440:	// splash damage (doesn't apply to person directly hit)
;441:	if ( ent->splashDamage ) 
ADDRFP4 0
INDIRP4
CNSTI4 564
ADDP4
INDIRI4
CNSTI4 0
EQI4 $185
line 442
;442:	{
line 443
;443:		if (ent->dflags & DAMAGE_AREA_DAMAGE)
ADDRFP4 0
INDIRP4
CNSTI4 560
ADDP4
INDIRI4
CNSTI4 1024
BANDI4
CNSTI4 0
EQI4 $187
line 444
;444:		{	
line 446
;445:			// do damage over time rather than instantly
;446:			G_CreateDamageArea ( trace->endpos, ent->parent, ent->splashDamage*0.06f,ent->splashRadius*2, 8000,ent->methodOfDeath );
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 24
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 24
INDIRP4
CNSTI4 412
ADDP4
INDIRP4
ARGP4
CNSTF4 1031127695
ADDRLP4 24
INDIRP4
CNSTI4 564
ADDP4
INDIRI4
CVIF4 4
MULF4
ARGF4
ADDRLP4 24
INDIRP4
CNSTI4 568
ADDP4
INDIRI4
CNSTI4 1
LSHI4
CVIF4 4
ARGF4
CNSTI4 8000
ARGI4
ADDRLP4 24
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_CreateDamageArea
CALLP4
pop
line 449
;447:
;448:			// do some instant damage
;449:			G_RadiusDamage( trace->endpos, ent->parent, ent->damage, ent->splashRadius, other, 
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 28
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 28
INDIRP4
CNSTI4 412
ADDP4
INDIRP4
ARGP4
ADDRLP4 28
INDIRP4
CNSTI4 556
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 28
INDIRP4
CNSTI4 568
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRLP4 28
INDIRP4
CNSTI4 560
ADDP4
INDIRI4
ARGI4
ADDRLP4 28
INDIRP4
CNSTI4 576
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_RadiusDamage
CALLI4
pop
line 451
;450:							1, ent->dflags, ent->splashMethodOfDeath );
;451:		}
ADDRGP4 $188
JUMPV
LABELV $187
line 453
;452:		else
;453:		{	// normal radius of effect damage
line 454
;454:			G_RadiusDamage( trace->endpos, ent->parent, ent->splashDamage, ent->splashRadius, 
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 24
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 24
INDIRP4
CNSTI4 412
ADDP4
INDIRP4
ARGP4
ADDRLP4 24
INDIRP4
CNSTI4 564
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 24
INDIRP4
CNSTI4 568
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRLP4 24
INDIRP4
CNSTI4 560
ADDP4
INDIRI4
ARGI4
ADDRLP4 24
INDIRP4
CNSTI4 576
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_RadiusDamage
CALLI4
pop
line 456
;455:							other, 1, ent->dflags, ent->splashMethodOfDeath );
;456:		}
LABELV $188
line 457
;457:	}
LABELV $185
line 459
;458:
;459:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 460
;460:}
LABELV $144
endproc G_MissileImpact 100 36
export G_RunMissile
proc G_RunMissile 88 28
line 468
;461:
;462:/*
;463:================
;464:G_RunMissile
;465:================
;466:*/
;467:void G_RunMissile( gentity_t *ent ) 
;468:{
line 474
;469:	vec3_t		origin;
;470:	trace_t		tr;
;471:	int			passent;
;472:
;473:	// get current position
;474:	BG_EvaluateTrajectory( &ent->s.pos, level.time, origin );
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 level+64
INDIRI4
ARGI4
ADDRLP4 56
ARGP4
ADDRGP4 BG_EvaluateTrajectory
CALLV
pop
line 477
;475:
;476:	// if this missile bounced off an invulnerability sphere
;477:	if ( ent->target_ent ) 
ADDRFP4 0
INDIRP4
CNSTI4 476
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $191
line 478
;478:	{
line 479
;479:		passent = ent->target_ent->s.number;
ADDRLP4 68
ADDRFP4 0
INDIRP4
CNSTI4 476
ADDP4
INDIRP4
INDIRI4
ASGNI4
line 480
;480:	}
ADDRGP4 $192
JUMPV
LABELV $191
line 482
;481:	else 
;482:	{
line 484
;483:		// ignore interactions with the missile owner
;484:		passent = ent->r.ownerNum;
ADDRLP4 68
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
INDIRI4
ASGNI4
line 485
;485:	}
LABELV $192
line 488
;486:
;487:	// Special case where the grenade has gone up into the sky
;488:	if ( ent->s.eFlags & EF_INSKY )
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 262144
BANDI4
CNSTI4 0
EQI4 $221
line 489
;489:	{
line 492
;490:		// Check to see if its out of the world on the X,Y plane
;491:		// or below it (above is a special case)
;492:		if ( origin[0] < level.worldMins[0] ||
ADDRLP4 72
ADDRLP4 56
INDIRF4
ASGNF4
ADDRLP4 72
INDIRF4
ADDRGP4 level+28
INDIRF4
LTF4 $211
ADDRLP4 56+4
INDIRF4
ADDRGP4 level+28+4
INDIRF4
LTF4 $211
ADDRLP4 72
INDIRF4
ADDRGP4 level+40
INDIRF4
GTF4 $211
ADDRLP4 56+4
INDIRF4
ADDRGP4 level+40+4
INDIRF4
GTF4 $211
ADDRLP4 56+8
INDIRF4
ADDRGP4 level+28+8
INDIRF4
GEF4 $195
LABELV $211
line 497
;493:			 origin[1] < level.worldMins[1] ||
;494:			 origin[0] > level.worldMaxs[0] ||
;495:			 origin[1] > level.worldMaxs[1] ||
;496:			 origin[2] < level.worldMins[2]    )
;497:		{
line 498
;498:			G_FreeEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 499
;499:			return;
ADDRGP4 $189
JUMPV
LABELV $195
line 503
;500:		}
;501:
;502:		// Above it only kills it if the item has no gravity
;503:		if ( origin[2] > level.worldMaxs[2] && ent->s.pos.trType != TR_GRAVITY && ent->s.pos.trType != TR_LIGHTGRAVITY)
ADDRLP4 56+8
INDIRF4
ADDRGP4 level+40+8
INDIRF4
LEF4 $212
ADDRLP4 76
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
ASGNI4
ADDRLP4 76
INDIRI4
CNSTI4 5
EQI4 $212
ADDRLP4 76
INDIRI4
CNSTI4 7
EQI4 $212
line 504
;504:		{
line 505
;505:			G_FreeEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 506
;506:			return;				
ADDRGP4 $189
JUMPV
LABELV $212
line 509
;507:		}
;508:
;509:		trap_Trace( &tr, ent->r.currentOrigin, ent->r.mins, ent->r.maxs, origin, passent, ent->clipmask );
ADDRLP4 0
ARGP4
ADDRLP4 80
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 80
INDIRP4
CNSTI4 288
ADDP4
ARGP4
ADDRLP4 80
INDIRP4
CNSTI4 236
ADDP4
ARGP4
ADDRLP4 80
INDIRP4
CNSTI4 248
ADDP4
ARGP4
ADDRLP4 56
ARGP4
ADDRLP4 68
INDIRI4
ARGI4
ADDRLP4 80
INDIRP4
CNSTI4 384
ADDP4
INDIRI4
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 512
;510:
;511:		// Hit another sky, must be reentering
;512:		if ( tr.fraction == 1.0f )
ADDRLP4 0+8
INDIRF4
CNSTF4 1065353216
NEF4 $217
line 513
;513:		{
line 514
;514:			ent->s.eFlags &= ~EF_INSKY;
ADDRLP4 84
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 84
INDIRP4
ADDRLP4 84
INDIRP4
INDIRI4
CNSTI4 -262145
BANDI4
ASGNI4
line 515
;515:			VectorCopy ( origin, ent->r.currentOrigin );
ADDRFP4 0
INDIRP4
CNSTI4 288
ADDP4
ADDRLP4 56
INDIRB
ASGNB 12
line 516
;516:		}
LABELV $217
line 518
;517:
;518:		VectorCopy ( origin, ent->r.currentOrigin );
ADDRFP4 0
INDIRP4
CNSTI4 288
ADDP4
ADDRLP4 56
INDIRB
ASGNB 12
line 519
;519:		trap_LinkEntity ( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 520
;520:	}
ADDRGP4 $194
JUMPV
line 522
;521:	else
;522:	{
LABELV $220
line 527
;523:		// Run the same test again because the condition may have changed as a result
;524:		// of the greande falling below the sky again
;525:		// Loop this trace so we can break windows
;526:		while ( 1 )
;527:		{
line 529
;528:			// trace a line from the previous position to the current position
;529:			trap_Trace( &tr, ent->r.currentOrigin, ent->r.mins, ent->r.maxs, origin, passent, ent->clipmask );
ADDRLP4 0
ARGP4
ADDRLP4 72
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 72
INDIRP4
CNSTI4 288
ADDP4
ARGP4
ADDRLP4 72
INDIRP4
CNSTI4 236
ADDP4
ARGP4
ADDRLP4 72
INDIRP4
CNSTI4 248
ADDP4
ARGP4
ADDRLP4 56
ARGP4
ADDRLP4 68
INDIRI4
ARGI4
ADDRLP4 72
INDIRP4
CNSTI4 384
ADDP4
INDIRI4
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 532
;530:
;531:			// If its glass then redo the trace after breaking the glass
;532:			if ( tr.fraction != 1 && !Q_stricmp ( g_entities[tr.entityNum].classname, "func_glass" ) )
ADDRLP4 0+8
INDIRF4
CNSTF4 1065353216
EQF4 $222
CNSTI4 636
ADDRLP4 0+52
INDIRI4
MULI4
ADDRGP4 g_entities+336
ADDP4
INDIRP4
ARGP4
ADDRGP4 $228
ARGP4
ADDRLP4 76
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 76
INDIRI4
CNSTI4 0
NEI4 $222
line 533
;533:			{
line 534
;534:				g_entities[tr.entityNum].use ( &g_entities[tr.entityNum], ent, ent );
ADDRLP4 80
CNSTI4 636
ASGNI4
ADDRLP4 80
INDIRI4
ADDRLP4 0+52
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ARGP4
ADDRLP4 84
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 84
INDIRP4
ARGP4
ADDRLP4 84
INDIRP4
ARGP4
ADDRLP4 80
INDIRI4
ADDRLP4 0+52
INDIRI4
MULI4
ADDRGP4 g_entities+524
ADDP4
INDIRP4
CALLV
pop
line 535
;535:				continue;
line 538
;536:			}
;537:
;538:			break;
LABELV $221
line 526
ADDRGP4 $220
JUMPV
LABELV $222
line 541
;539:		}
;540:		
;541:		if ( tr.startsolid || tr.allsolid ) 
ADDRLP4 72
CNSTI4 0
ASGNI4
ADDRLP4 0+4
INDIRI4
ADDRLP4 72
INDIRI4
NEI4 $235
ADDRLP4 0
INDIRI4
ADDRLP4 72
INDIRI4
EQI4 $232
LABELV $235
line 542
;542:		{
line 544
;543:			// make sure the tr.entityNum is set to the entity we're stuck in
;544:			trap_Trace( &tr, ent->r.currentOrigin, ent->r.mins, ent->r.maxs, ent->r.currentOrigin, passent, ent->clipmask );
ADDRLP4 0
ARGP4
ADDRLP4 76
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 80
ADDRLP4 76
INDIRP4
CNSTI4 288
ADDP4
ASGNP4
ADDRLP4 80
INDIRP4
ARGP4
ADDRLP4 76
INDIRP4
CNSTI4 236
ADDP4
ARGP4
ADDRLP4 76
INDIRP4
CNSTI4 248
ADDP4
ARGP4
ADDRLP4 80
INDIRP4
ARGP4
ADDRLP4 68
INDIRI4
ARGI4
ADDRLP4 76
INDIRP4
CNSTI4 384
ADDP4
INDIRI4
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 545
;545:			tr.fraction = 0;
ADDRLP4 0+8
CNSTF4 0
ASGNF4
line 546
;546:		}
ADDRGP4 $233
JUMPV
LABELV $232
line 548
;547:		else 
;548:		{
line 549
;549:			VectorCopy( tr.endpos, ent->r.currentOrigin );
ADDRFP4 0
INDIRP4
CNSTI4 288
ADDP4
ADDRLP4 0+12
INDIRB
ASGNB 12
line 550
;550:		}
LABELV $233
line 552
;551:
;552:		trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 554
;553:
;554:		if ( tr.fraction != 1 ) 
ADDRLP4 0+8
INDIRF4
CNSTF4 1065353216
EQF4 $238
line 555
;555:		{
line 557
;556:			// Hit the sky or moving through something
;557:			if ( (tr.surfaceFlags & SURF_NOIMPACT) && (tr.surfaceFlags & SURF_SKY) ) 
ADDRLP4 76
CNSTI4 0
ASGNI4
ADDRLP4 0+44
INDIRI4
CNSTI4 524288
BANDI4
ADDRLP4 76
INDIRI4
EQI4 $241
ADDRLP4 0+44
INDIRI4
CNSTI4 8192
BANDI4
ADDRLP4 76
INDIRI4
EQI4 $241
line 558
;558:			{
line 560
;559:				// Dont kill a missle that hits the sky and has gravity
;560:				ent->s.eFlags |= EF_INSKY;
ADDRLP4 80
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 80
INDIRP4
ADDRLP4 80
INDIRP4
INDIRI4
CNSTI4 262144
BORI4
ASGNI4
line 561
;561:				ent->r.svFlags |= SVF_BROADCAST;
ADDRLP4 84
ADDRFP4 0
INDIRP4
CNSTI4 224
ADDP4
ASGNP4
ADDRLP4 84
INDIRP4
ADDRLP4 84
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 562
;562:				VectorCopy ( origin, ent->r.currentOrigin );
ADDRFP4 0
INDIRP4
CNSTI4 288
ADDP4
ADDRLP4 56
INDIRB
ASGNB 12
line 563
;563:				trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 564
;564:			}
ADDRGP4 $239
JUMPV
LABELV $241
line 566
;565:			else
;566:			{
line 567
;567:				G_MissileImpact( ent, &tr );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 G_MissileImpact
CALLV
pop
line 570
;568:
;569:				// Is it time to explode
;570:				if ( ent->s.eFlags & EF_EXPLODE )
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
EQI4 $245
line 571
;571:				{
line 572
;572:					ent->s.eFlags &= (~EF_EXPLODE);
ADDRLP4 80
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 80
INDIRP4
ADDRLP4 80
INDIRP4
INDIRI4
CNSTI4 -3
BANDI4
ASGNI4
line 573
;573:					G_ExplodeMissile ( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_ExplodeMissile
CALLV
pop
line 574
;574:					return;
ADDRGP4 $189
JUMPV
LABELV $245
line 578
;575:				}
;576:
;577:				// Exploded
;578:				if ( ent->s.eType != ET_MISSILE ) 
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 3
EQI4 $239
line 579
;579:				{
line 580
;580:					return;
ADDRGP4 $189
JUMPV
line 582
;581:				}
;582:			}
line 583
;583:		}
LABELV $238
line 585
;584:		// Is it time to explode
;585:		else if ( ent->s.pos.trType == TR_STATIONARY && (ent->s.eFlags & EF_EXPLODE) )
ADDRLP4 76
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 80
CNSTI4 0
ASGNI4
ADDRLP4 76
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
ADDRLP4 80
INDIRI4
NEI4 $249
ADDRLP4 76
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 2
BANDI4
ADDRLP4 80
INDIRI4
EQI4 $249
line 586
;586:		{
line 587
;587:			ent->s.eFlags &= (~EF_EXPLODE);
ADDRLP4 84
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 84
INDIRP4
ADDRLP4 84
INDIRP4
INDIRI4
CNSTI4 -3
BANDI4
ASGNI4
line 588
;588:			G_ExplodeMissile ( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_ExplodeMissile
CALLV
pop
line 589
;589:			return;
ADDRGP4 $189
JUMPV
LABELV $249
LABELV $239
line 591
;590:		}
;591:	}
LABELV $194
line 594
;592:	
;593:	// If this is a knife then reorient its angles
;594:	if ( ent->s.weapon == WP_KNIFE )
ADDRFP4 0
INDIRP4
CNSTI4 196
ADDP4
INDIRI4
CNSTI4 1
NEI4 $251
line 595
;595:	{
line 598
;596:		vec3_t vel;
;597:
;598:		BG_EvaluateTrajectoryDelta( &ent->s.pos, level.time, vel );
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 level+64
INDIRI4
ARGI4
ADDRLP4 72
ARGP4
ADDRGP4 BG_EvaluateTrajectoryDelta
CALLV
pop
line 599
;599:		vectoangles( vel, ent->s.angles );
ADDRLP4 72
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRGP4 vectoangles
CALLV
pop
line 601
;600:
;601:		ent->s.angles[YAW] += 90;
ADDRLP4 84
ADDRFP4 0
INDIRP4
CNSTI4 120
ADDP4
ASGNP4
ADDRLP4 84
INDIRP4
ADDRLP4 84
INDIRP4
INDIRF4
CNSTF4 1119092736
ADDF4
ASGNF4
line 603
;602://		ent->s.angles[ROLL] = ent->s.angles[PITCH];
;603:		ent->s.angles[ROLL] = 0;
ADDRFP4 0
INDIRP4
CNSTI4 124
ADDP4
CNSTF4 0
ASGNF4
line 604
;604:		ent->s.angles[PITCH] = 0;
ADDRFP4 0
INDIRP4
CNSTI4 116
ADDP4
CNSTF4 0
ASGNF4
line 605
;605:	}
LABELV $251
line 608
;606:	
;607:	// check think function after bouncing
;608:	G_RunThink( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_RunThink
CALLV
pop
line 609
;609:}
LABELV $189
endproc G_RunMissile 88 28
import CreateWeaponPickup
import G_MultipleDamageLocations
import G_DoGameTypeMessage
import G_GlobalSound
import G_ClientSound
import G_ApplyAntiLag
import G_UndoAntiLag
import G_UpdateClientAntiLag
import trap_GT_SendEvent
import trap_GT_Start
import trap_GT_RunFrame
import trap_GT_Init
import trap_CM_RegisterTerrain
import trap_SnapVector
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotAddAvoidSpot
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotSetAvoidGoalTime
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_ForcePower
import trap_EA_Alt_Attack
import trap_EA_View
import trap_EA_Move
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_SelectWeapon
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_Gesture
import trap_EA_Action
import trap_EA_Command
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AlternativeRouteGoals
import trap_AAS_PredictRoute
import trap_AAS_EnableRoutingArea
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointReachabilityAreaIndex
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_AAS_AreaInfo
import trap_AAS_BBoxAreas
import trap_BotUserCommand
import trap_BotGetServerCommand
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_BotFreeMemoryGame
import trap_BotGetMemoryGame
import trap_GetWorldBounds
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetActiveSubBSP
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_RMG_Init
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_suddenDeath
import g_voiceTalkingGhosts
import g_voiceFloodPenalty
import g_voiceFloodCount
import g_teamkillNoExcuseMultiplier
import g_teamkillNoExcuseTime
import g_teamkillBanTime
import g_teamkillDamageForgive
import g_teamkillDamageMax
import g_teamkillPenalty
import g_suicidePenalty
import g_pickupsDisabled
import g_mapcycle
import g_followEnemy
import g_forceFollow
import g_availableWeapons
import g_roundstartdelay
import g_timeextension
import g_roundjointime
import g_roundtimelimit
import g_timeouttospec
import g_debugRMG
import RMG
import g_respawnInvulnerability
import g_respawnInterval
import g_rankings
import pmove_msec
import pmove_fixed
import g_smoothClients
import g_teamForceBalance
import g_teamAutoJoin
import g_failedVoteDelay
import g_voteKickBanTime
import g_voteDuration
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_backpackRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_timelimit
import g_scorelimit
import g_dmflags
import g_logHits
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_addBotsFast
import g_cloneChecker
import g_compMode
import g_useColorInNames
import g_onFireUntilDeath
import g_headshotMessage
import g_announceKillSpree
import g_botHeadLock
import g_entities
import level
import Team_GetLocationMsg
import Team_GetLocation
import G_AddTeamScore
import TeamColorString
import OtherTeamName
import TeamSkins
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import OrgVisible
import G_DropGametypeItems
import gametype_item_use
import G_ResetGametypeItem
import G_CanGametypeTriggerBeUsed
import G_ResetGametype
import G_ExecuteGametypeScript
import G_ParseGametypeFile
import G_SelectRandomGametypeSpawnPoint
import G_SpawnGametypeItem
import G_SelectGametypeSpawnPoint
import G_LoadArenas
import G_DoesMapExist
import G_DoesMapSupportGametype
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_RemoveQueuedBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Team_CheckDroppedItem
import OnSameTeam
import G_RunClient
import ClientEndFrame
import ClientThink
import G_CheckClientTeamkill
import G_CheckClientTimeouts
import G_GametypeCommand
import G_SelectRandomSpawnPoint
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import CheckGametype
import SendScoreboardMessageToAllClients
import G_LogPrintf
import G_RunThink
import SetLeader
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import ProDeathmatchScoreboardMessage
import MoveClientToIntermission
import G_FireProjectile
import G_FireWeapon
import ConsoleCommand
import G_IgnoreClientChat
import G_IsClientChatIgnored
import G_AddClientSpawn
import G_FindNearbyClient
import G_SetRespawnTimer
import G_UpdateClientAnimations
import G_SpotWouldTelefrag
import CalculateRanks
import G_AddScore
import G_InitBodyQueue
import player_die
import ClientSpawn
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import CopyToBodyQue
import SetClientViewAngle
import PickTeam
import G_GhostCount
import TeamCount
import G_ClientCleanName
import G_IsClientDead
import G_IsClientSpectating
import G_InitHitModels
import SnapVectorTowards
import TeleportPlayer
import InitTrigger
import trigger_teleporter_touch
import G_ResetGlass
import Touch_DoorTrigger
import G_RunMover
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import G_GetHitLocation
import CanDamage
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_CollisionDetect
import trap_G2API_CleanGhoul2Models
import BuildShaderStateConfig
import AddRemap
import G_SetOrigin
import G_AddEvent
import G_AddPredictableEvent
import vectoyaw
import vtos
import tv
import G_RunObject
import G_TouchSolids
import G_TouchTriggers
import G_EntitiesFree
import G_FreeEnitityChildren
import G_FreeEntity
import G_EntitySound
import G_SoundAtLoc
import G_Sound
import G_SetHUDIcon
import G_PlayEffect
import G_TempEntity
import G_Spawn
import G_InitGentity
import G_SetAngles
import G_SetMovedir
import G_UseTargetsByName
import G_UseTargets
import G_PickTarget
import G_RadiusList
import G_Find
import G_KillBox
import G_TeamCommand
import G_EffectIndex
import G_IconIndex
import G_BSPIndex
import G_AmbientSoundSetIndex
import G_SoundIndex
import G_ModelIndex
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import G_DropWeapon
import LaunchItem
import G_DropItem
import PrecacheItem
import RespawnItem
import G_RunItem
import ItemUse_MedPack
import ItemUse_Seeker
import ItemUse_Sentry
import ItemUse_Shield
import G_CanVoiceGlobal
import G_VoiceGlobal
import G_Voice
import G_SpawnDebugCylinder
import CheatsOk
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import G_StartGhosting
import G_StopGhosting
import G_StopFollowing
import Cmd_Score_f
import AddSpawnField
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnGEntityFromSpawnVars
import G_ParseSpawnVars
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $228
char 1 102
char 1 117
char 1 110
char 1 99
char 1 95
char 1 103
char 1 108
char 1 97
char 1 115
char 1 115
char 1 0
align 1
LABELV $173
char 1 75
char 1 110
char 1 105
char 1 102
char 1 101
char 1 0
align 1
LABELV $143
char 1 68
char 1 97
char 1 109
char 1 97
char 1 103
char 1 101
char 1 65
char 1 114
char 1 101
char 1 97
char 1 0
align 1
LABELV $96
char 1 103
char 1 114
char 1 101
char 1 110
char 1 97
char 1 100
char 1 101
char 1 0
