export G_WriteClientSessionData
code
proc G_WriteClientSessionData 16 8
file "../g_session.c"
line 21
;1:// Copyright (C) 2001-2002 Raven Software
;2://
;3:#include "g_local.h"
;4:
;5:/*
;6:=======================================================================
;7:  SESSION DATA
;8:Session data is the only data that stays persistant across level loads
;9:and map restarts.
;10:=======================================================================
;11:*/
;12:
;13:/*
;14:================
;15:G_WriteClientSessionData
;16:
;17:Called on game shutdown
;18:================
;19:*/
;20:void G_WriteClientSessionData( gclient_t *client ) 
;21:{
line 25
;22:	const char	*s;
;23:	const char	*var;
;24:
;25:	s = va("%i", client->sess.team );
ADDRGP4 $70
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 1332
ADDP4
INDIRI4
ARGI4
ADDRLP4 8
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
ASGNP4
line 27
;26:
;27:	var = va( "session%i", client - level.clients );
ADDRGP4 $71
ARGP4
ADDRFP4 0
INDIRP4
CVPU4 4
ADDRGP4 level
INDIRP4
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 6720
DIVI4
ARGI4
ADDRLP4 12
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 12
INDIRP4
ASGNP4
line 29
;28:
;29:	trap_Cvar_Set( var, s );
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 30
;30:}
LABELV $69
endproc G_WriteClientSessionData 16 8
export G_ReadSessionData
proc G_ReadSessionData 1036 12
line 40
;31:
;32:/*
;33:================
;34:G_ReadSessionData
;35:
;36:Called on a reconnect
;37:================
;38:*/
;39:void G_ReadSessionData( gclient_t *client ) 
;40:{
line 45
;41:	char		s[MAX_STRING_CHARS];
;42:	const char	*var;
;43:	int			sessionTeam;
;44:
;45:	var = va( "session%i", client - level.clients );
ADDRGP4 $71
ARGP4
ADDRFP4 0
INDIRP4
CVPU4 4
ADDRGP4 level
INDIRP4
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 6720
DIVI4
ARGI4
ADDRLP4 1032
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 1024
ADDRLP4 1032
INDIRP4
ASGNP4
line 46
;46:	trap_Cvar_VariableStringBuffer( var, s, sizeof(s) );
ADDRLP4 1024
INDIRP4
ARGP4
ADDRLP4 0
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 48
;47:
;48:	sscanf( s, "%i", &sessionTeam );
ADDRLP4 0
ARGP4
ADDRGP4 $70
ARGP4
ADDRLP4 1028
ARGP4
ADDRGP4 sscanf
CALLI4
pop
line 51
;49:
;50:	// bk001205 - format issues
;51:	client->sess.team = (team_t)sessionTeam;
ADDRFP4 0
INDIRP4
CNSTI4 1332
ADDP4
ADDRLP4 1028
INDIRI4
ASGNI4
line 52
;52:}
LABELV $72
endproc G_ReadSessionData 1036 12
export G_InitSessionData
proc G_InitSessionData 12 8
line 63
;53:
;54:
;55:/*
;56:================
;57:G_InitSessionData
;58:
;59:Called on a first-time connect
;60:================
;61:*/
;62:void G_InitSessionData( gclient_t *client, char *userinfo ) 
;63:{
line 67
;64:	clientSession_t	*sess;
;65:	const char		*value;
;66:
;67:	sess = &client->sess;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 1332
ADDP4
ASGNP4
line 70
;68:
;69:	// initial team determination
;70:	if ( level.gametypeData->teams ) 
ADDRGP4 level+24
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 0
EQI4 $74
line 71
;71:	{
line 72
;72:		if ( g_teamAutoJoin.integer ) 
ADDRGP4 g_teamAutoJoin+12
INDIRI4
CNSTI4 0
EQI4 $77
line 73
;73:		{
line 74
;74: 			sess->team = PickTeam( -1 );
CNSTI4 -1
ARGI4
ADDRLP4 8
ADDRGP4 PickTeam
CALLI4
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 8
INDIRI4
ASGNI4
line 75
;75:		} 
ADDRGP4 $75
JUMPV
LABELV $77
line 77
;76:		else 
;77:		{
line 79
;78:			// always spawn as spectator in team games
;79:			sess->team = TEAM_SPECTATOR;	
ADDRLP4 0
INDIRP4
CNSTI4 3
ASGNI4
line 80
;80:		}
line 81
;81:	} 
ADDRGP4 $75
JUMPV
LABELV $74
line 83
;82:	else 
;83:	{
line 84
;84:		value = Info_ValueForKey( userinfo, "team" );
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 $80
ARGP4
ADDRLP4 8
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 8
INDIRP4
ASGNP4
line 85
;85:		if ( value[0] == 's' ) 
ADDRLP4 4
INDIRP4
INDIRI1
CVII4 1
CNSTI4 115
NEI4 $81
line 86
;86:		{
line 88
;87:			// a willing spectator, not a waiting-in-line
;88:			sess->team = TEAM_SPECTATOR;
ADDRLP4 0
INDIRP4
CNSTI4 3
ASGNI4
line 89
;89:		} 
ADDRGP4 $82
JUMPV
LABELV $81
line 91
;90:		else 
;91:		{
line 92
;92:			if ( g_maxGameClients.integer > 0 && level.numNonSpectatorClients >= g_maxGameClients.integer ) 
ADDRGP4 g_maxGameClients+12
INDIRI4
CNSTI4 0
LEI4 $83
ADDRGP4 level+148
INDIRI4
ADDRGP4 g_maxGameClients+12
INDIRI4
LTI4 $83
line 93
;93:			{
line 94
;94:				sess->team = TEAM_SPECTATOR;
ADDRLP4 0
INDIRP4
CNSTI4 3
ASGNI4
line 95
;95:			} 
ADDRGP4 $84
JUMPV
LABELV $83
line 97
;96:			else 
;97:			{
line 98
;98:				sess->team = TEAM_FREE;
ADDRLP4 0
INDIRP4
CNSTI4 0
ASGNI4
line 99
;99:			}
LABELV $84
line 100
;100:		}
LABELV $82
line 101
;101:	}
LABELV $75
line 103
;102:
;103:	sess->spectatorState = SPECTATOR_FREE;
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 1
ASGNI4
line 104
;104:	sess->spectatorTime = level.time;
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
ADDRGP4 level+64
INDIRI4
ASGNI4
line 106
;105:
;106:	G_WriteClientSessionData( client );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_WriteClientSessionData
CALLV
pop
line 107
;107:}
LABELV $73
endproc G_InitSessionData 12 8
export G_InitWorldSession
proc G_InitWorldSession 1032 12
line 117
;108:
;109:
;110:/*
;111:==================
;112:G_InitWorldSession
;113:
;114:==================
;115:*/
;116:void G_InitWorldSession( void ) 
;117:{
line 121
;118:	char	s[MAX_STRING_CHARS];
;119:	int		gt;
;120:
;121:	trap_Cvar_VariableStringBuffer( "session", s, sizeof(s) );
ADDRGP4 $90
ARGP4
ADDRLP4 0
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 123
;122:	
;123:	gt = BG_FindGametype ( s );
ADDRLP4 0
ARGP4
ADDRLP4 1028
ADDRGP4 BG_FindGametype
CALLI4
ASGNI4
ADDRLP4 1024
ADDRLP4 1028
INDIRI4
ASGNI4
line 127
;124:	
;125:	// if the gametype changed since the last session, don't use any
;126:	// client sessions
;127:	if ( level.gametype != gt ) 
ADDRGP4 level+20
INDIRI4
ADDRLP4 1024
INDIRI4
EQI4 $91
line 128
;128:	{
line 129
;129:		level.newSession = qtrue;
ADDRGP4 level+136
CNSTI4 1
ASGNI4
line 130
;130:		Com_Printf( "Gametype changed, clearing session data.\n" );
ADDRGP4 $95
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 131
;131:	}
LABELV $91
line 132
;132:}
LABELV $89
endproc G_InitWorldSession 1032 12
export G_WriteSessionData
proc G_WriteSessionData 4 8
line 140
;133:
;134:/*
;135:==================
;136:G_WriteSessionData
;137:==================
;138:*/
;139:void G_WriteSessionData( void ) 
;140:{
line 143
;141:	int		i;
;142:
;143:	trap_Cvar_Set( "session", level.gametypeData->name );
ADDRGP4 $90
ARGP4
ADDRGP4 level+24
INDIRP4
INDIRP4
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 145
;144:
;145:	for ( i = 0 ; i < level.maxclients ; i++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $101
JUMPV
LABELV $98
line 146
;146:	{
line 147
;147:		if ( level.clients[i].pers.connected == CON_CONNECTED ) 
CNSTI4 6720
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
CNSTI4 868
ADDP4
INDIRI4
CNSTI4 2
NEI4 $103
line 148
;148:		{
line 149
;149:			G_WriteClientSessionData( &level.clients[i] );
CNSTI4 6720
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
ARGP4
ADDRGP4 G_WriteClientSessionData
CALLV
pop
line 150
;150:		}
LABELV $103
line 151
;151:	}
LABELV $99
line 145
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $101
ADDRLP4 0
INDIRI4
ADDRGP4 level+56
INDIRI4
LTI4 $98
line 152
;152:}
LABELV $96
endproc G_WriteSessionData 4 8
import G_DoGameTypeMessage
import G_GlobalSound
import G_ClientSound
import G_ApplyAntiLag
import G_UndoAntiLag
import G_UpdateClientAntiLag
import trap_GT_SendEvent
import trap_GT_Start
import trap_GT_RunFrame
import trap_GT_Init
import trap_CM_RegisterTerrain
import trap_SnapVector
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotAddAvoidSpot
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotSetAvoidGoalTime
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_ForcePower
import trap_EA_Alt_Attack
import trap_EA_View
import trap_EA_Move
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_SelectWeapon
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_Gesture
import trap_EA_Action
import trap_EA_Command
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AlternativeRouteGoals
import trap_AAS_PredictRoute
import trap_AAS_EnableRoutingArea
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointReachabilityAreaIndex
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_AAS_AreaInfo
import trap_AAS_BBoxAreas
import trap_BotUserCommand
import trap_BotGetServerCommand
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_BotFreeMemoryGame
import trap_BotGetMemoryGame
import trap_GetWorldBounds
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetActiveSubBSP
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_RMG_Init
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_suddenDeath
import g_voiceTalkingGhosts
import g_voiceFloodPenalty
import g_voiceFloodCount
import g_teamkillNoExcuseMultiplier
import g_teamkillNoExcuseTime
import g_teamkillBanTime
import g_teamkillDamageForgive
import g_teamkillDamageMax
import g_teamkillPenalty
import g_suicidePenalty
import g_pickupsDisabled
import g_mapcycle
import g_followEnemy
import g_forceFollow
import g_availableWeapons
import g_roundstartdelay
import g_timeextension
import g_roundjointime
import g_roundtimelimit
import g_timeouttospec
import g_debugRMG
import RMG
import g_respawnInvulnerability
import g_respawnInterval
import g_rankings
import pmove_msec
import pmove_fixed
import g_smoothClients
import g_teamForceBalance
import g_teamAutoJoin
import g_failedVoteDelay
import g_voteKickBanTime
import g_voteDuration
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_backpackRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_timelimit
import g_scorelimit
import g_dmflags
import g_logHits
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_addBotsFast
import g_cloneChecker
import g_compMode
import g_useColorInNames
import g_onFireUntilDeath
import g_headshotMessage
import g_announceKillSpree
import g_botHeadLock
import g_entities
import level
import Team_GetLocationMsg
import Team_GetLocation
import G_AddTeamScore
import TeamColorString
import OtherTeamName
import TeamSkins
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import OrgVisible
import G_DropGametypeItems
import gametype_item_use
import G_ResetGametypeItem
import G_CanGametypeTriggerBeUsed
import G_ResetGametype
import G_ExecuteGametypeScript
import G_ParseGametypeFile
import G_SelectRandomGametypeSpawnPoint
import G_SpawnGametypeItem
import G_SelectGametypeSpawnPoint
import G_LoadArenas
import G_DoesMapExist
import G_DoesMapSupportGametype
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_RemoveQueuedBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import Team_CheckDroppedItem
import OnSameTeam
import G_RunClient
import ClientEndFrame
import ClientThink
import G_CheckClientTeamkill
import G_CheckClientTimeouts
import G_GametypeCommand
import G_SelectRandomSpawnPoint
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import CheckGametype
import SendScoreboardMessageToAllClients
import G_LogPrintf
import G_RunThink
import SetLeader
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import ProDeathmatchScoreboardMessage
import MoveClientToIntermission
import G_FireProjectile
import G_FireWeapon
import ConsoleCommand
import G_IgnoreClientChat
import G_IsClientChatIgnored
import G_AddClientSpawn
import G_FindNearbyClient
import G_SetRespawnTimer
import G_UpdateClientAnimations
import G_SpotWouldTelefrag
import CalculateRanks
import G_AddScore
import G_InitBodyQueue
import player_die
import ClientSpawn
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import CopyToBodyQue
import SetClientViewAngle
import PickTeam
import G_GhostCount
import TeamCount
import G_ClientCleanName
import G_IsClientDead
import G_IsClientSpectating
import G_InitHitModels
import SnapVectorTowards
import TeleportPlayer
import InitTrigger
import trigger_teleporter_touch
import G_ResetGlass
import Touch_DoorTrigger
import G_RunMover
import G_GrenadeThink
import G_ExplodeMissile
import G_BounceProjectile
import G_CreateDamageArea
import G_CreateMissile
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import G_GetHitLocation
import CanDamage
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_CollisionDetect
import trap_G2API_CleanGhoul2Models
import BuildShaderStateConfig
import AddRemap
import G_SetOrigin
import G_AddEvent
import G_AddPredictableEvent
import vectoyaw
import vtos
import tv
import G_RunObject
import G_TouchSolids
import G_TouchTriggers
import G_EntitiesFree
import G_FreeEnitityChildren
import G_FreeEntity
import G_EntitySound
import G_SoundAtLoc
import G_Sound
import G_SetHUDIcon
import G_PlayEffect
import G_TempEntity
import G_Spawn
import G_InitGentity
import G_SetAngles
import G_SetMovedir
import G_UseTargetsByName
import G_UseTargets
import G_PickTarget
import G_RadiusList
import G_Find
import G_KillBox
import G_TeamCommand
import G_EffectIndex
import G_IconIndex
import G_BSPIndex
import G_AmbientSoundSetIndex
import G_SoundIndex
import G_ModelIndex
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import G_DropWeapon
import LaunchItem
import G_DropItem
import PrecacheItem
import RespawnItem
import G_RunItem
import ItemUse_MedPack
import ItemUse_Seeker
import ItemUse_Sentry
import ItemUse_Shield
import G_CanVoiceGlobal
import G_VoiceGlobal
import G_Voice
import G_SpawnDebugCylinder
import CheatsOk
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import G_StartGhosting
import G_StopGhosting
import G_StopFollowing
import Cmd_Score_f
import AddSpawnField
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnGEntityFromSpawnVars
import G_ParseSpawnVars
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $95
char 1 71
char 1 97
char 1 109
char 1 101
char 1 116
char 1 121
char 1 112
char 1 101
char 1 32
char 1 99
char 1 104
char 1 97
char 1 110
char 1 103
char 1 101
char 1 100
char 1 44
char 1 32
char 1 99
char 1 108
char 1 101
char 1 97
char 1 114
char 1 105
char 1 110
char 1 103
char 1 32
char 1 115
char 1 101
char 1 115
char 1 115
char 1 105
char 1 111
char 1 110
char 1 32
char 1 100
char 1 97
char 1 116
char 1 97
char 1 46
char 1 10
char 1 0
align 1
LABELV $90
char 1 115
char 1 101
char 1 115
char 1 115
char 1 105
char 1 111
char 1 110
char 1 0
align 1
LABELV $80
char 1 116
char 1 101
char 1 97
char 1 109
char 1 0
align 1
LABELV $71
char 1 115
char 1 101
char 1 115
char 1 115
char 1 105
char 1 111
char 1 110
char 1 37
char 1 105
char 1 0
align 1
LABELV $70
char 1 37
char 1 105
char 1 0
