data
export remapCount
align 4
LABELV remapCount
byte 4 0
export AddRemap
code
proc AddRemap 8 8
file "../g_utils.c"
line 21
;1:// Copyright (C) 2001-2002 Raven Software.
;2://
;3:// g_utils.c -- misc utility functions for game module
;4:
;5:#include "g_local.h"
;6:
;7:typedef struct 
;8:{
;9:	char	oldShader[MAX_QPATH];
;10:	char	newShader[MAX_QPATH];
;11:	float	timeOffset;
;12:
;13:} shaderRemap_t;
;14:
;15:#define MAX_SHADER_REMAPS 128
;16:
;17:int remapCount = 0;
;18:shaderRemap_t remappedShaders[MAX_SHADER_REMAPS];
;19:
;20:void AddRemap(const char *oldShader, const char *newShader, float timeOffset) 
;21:{
line 24
;22:	int i;
;23:
;24:	for (i = 0; i < remapCount; i++) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $74
JUMPV
LABELV $71
line 25
;25:	{
line 26
;26:		if (Q_stricmp(oldShader, remappedShaders[i].oldShader) == 0) 
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 132
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 remappedShaders
ADDP4
ARGP4
ADDRLP4 4
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $75
line 27
;27:		{
line 29
;28:			// found it, just update this one
;29:			strcpy(remappedShaders[i].newShader,newShader);
CNSTI4 132
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 remappedShaders+64
ADDP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 30
;30:			remappedShaders[i].timeOffset = timeOffset;
CNSTI4 132
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 remappedShaders+128
ADDP4
ADDRFP4 8
INDIRF4
ASGNF4
line 31
;31:			return;
ADDRGP4 $70
JUMPV
LABELV $75
line 33
;32:		}
;33:	}
LABELV $72
line 24
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $74
ADDRLP4 0
INDIRI4
ADDRGP4 remapCount
INDIRI4
LTI4 $71
line 35
;34:	
;35:	if (remapCount < MAX_SHADER_REMAPS) 
ADDRGP4 remapCount
INDIRI4
CNSTI4 128
GEI4 $79
line 36
;36:	{
line 37
;37:		strcpy(remappedShaders[remapCount].newShader,newShader);
CNSTI4 132
ADDRGP4 remapCount
INDIRI4
MULI4
ADDRGP4 remappedShaders+64
ADDP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 38
;38:		strcpy(remappedShaders[remapCount].oldShader,oldShader);
CNSTI4 132
ADDRGP4 remapCount
INDIRI4
MULI4
ADDRGP4 remappedShaders
ADDP4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 39
;39:		remappedShaders[remapCount].timeOffset = timeOffset;
CNSTI4 132
ADDRGP4 remapCount
INDIRI4
MULI4
ADDRGP4 remappedShaders+128
ADDP4
ADDRFP4 8
INDIRF4
ASGNF4
line 40
;40:		remapCount++;
ADDRLP4 4
ADDRGP4 remapCount
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 41
;41:	}
LABELV $79
line 42
;42:}
LABELV $70
endproc AddRemap 8 8
bss
align 1
LABELV $84
skip 4096
export BuildShaderStateConfig
code
proc BuildShaderStateConfig 144 24
line 45
;43:
;44:const char *BuildShaderStateConfig(void) 
;45:{
line 50
;46:	static char	buff[MAX_STRING_CHARS*4];
;47:	char out[(MAX_QPATH * 2) + 5];
;48:	int i;
;49:  
;50:	memset(buff, 0, MAX_STRING_CHARS);
ADDRGP4 $84
ARGP4
CNSTI4 0
ARGI4
CNSTI4 1024
ARGI4
ADDRGP4 memset
CALLP4
pop
line 51
;51:	for (i = 0; i < remapCount; i++) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $88
JUMPV
LABELV $85
line 52
;52:		Com_sprintf(out, (MAX_QPATH * 2) + 5, "%s=%s:%5.2f@", remappedShaders[i].oldShader, remappedShaders[i].newShader, remappedShaders[i].timeOffset);
ADDRLP4 4
ARGP4
CNSTI4 133
ARGI4
ADDRGP4 $89
ARGP4
ADDRLP4 140
CNSTI4 132
ADDRLP4 0
INDIRI4
MULI4
ASGNI4
ADDRLP4 140
INDIRI4
ADDRGP4 remappedShaders
ADDP4
ARGP4
ADDRLP4 140
INDIRI4
ADDRGP4 remappedShaders+64
ADDP4
ARGP4
ADDRLP4 140
INDIRI4
ADDRGP4 remappedShaders+128
ADDP4
INDIRF4
ARGF4
ADDRGP4 Com_sprintf
CALLI4
pop
line 53
;53:		Q_strcat( buff, sizeof( buff ), out);
ADDRGP4 $84
ARGP4
CNSTI4 4096
ARGI4
ADDRLP4 4
ARGP4
ADDRGP4 Q_strcat
CALLV
pop
line 54
;54:	}
LABELV $86
line 51
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $88
ADDRLP4 0
INDIRI4
ADDRGP4 remapCount
INDIRI4
LTI4 $85
line 55
;55:	return buff;
ADDRGP4 $84
RETP4
LABELV $83
endproc BuildShaderStateConfig 144 24
export G_FindConfigstringIndex
proc G_FindConfigstringIndex 1036 12
line 64
;56:}
;57:
;58:/*
;59:================
;60:G_FindConfigstringIndex
;61:================
;62:*/
;63:int G_FindConfigstringIndex( char *name, int start, int max, qboolean create ) 
;64:{
line 68
;65:	int		i;
;66:	char	s[MAX_STRING_CHARS];
;67:
;68:	if ( !name || !name[0] ) 
ADDRLP4 1028
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 1028
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $95
ADDRLP4 1028
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $93
LABELV $95
line 69
;69:	{
line 70
;70:		return 0;
CNSTI4 0
RETI4
ADDRGP4 $92
JUMPV
LABELV $93
line 73
;71:	}
;72:
;73:	for ( i=1 ; i<max ; i++ ) 
ADDRLP4 1024
CNSTI4 1
ASGNI4
ADDRGP4 $99
JUMPV
LABELV $96
line 74
;74:	{
line 75
;75:		trap_GetConfigstring( start + i, s, sizeof( s ) );
ADDRFP4 4
INDIRI4
ADDRLP4 1024
INDIRI4
ADDI4
ARGI4
ADDRLP4 0
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_GetConfigstring
CALLV
pop
line 76
;76:		if ( !s[0] ) 
ADDRLP4 0
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $100
line 77
;77:		{
line 78
;78:			break;
ADDRGP4 $98
JUMPV
LABELV $100
line 80
;79:		}
;80:		if ( !strcmp( s, name ) ) 
ADDRLP4 0
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 1032
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 1032
INDIRI4
CNSTI4 0
NEI4 $102
line 81
;81:		{
line 82
;82:			return i;
ADDRLP4 1024
INDIRI4
RETI4
ADDRGP4 $92
JUMPV
LABELV $102
line 84
;83:		}
;84:	}
LABELV $97
line 73
ADDRLP4 1024
ADDRLP4 1024
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $99
ADDRLP4 1024
INDIRI4
ADDRFP4 8
INDIRI4
LTI4 $96
LABELV $98
line 86
;85:
;86:	if ( !create ) 
ADDRFP4 12
INDIRI4
CNSTI4 0
NEI4 $104
line 87
;87:	{
line 88
;88:		return 0;
CNSTI4 0
RETI4
ADDRGP4 $92
JUMPV
LABELV $104
line 91
;89:	}
;90:
;91:	if ( i == max ) 
ADDRLP4 1024
INDIRI4
ADDRFP4 8
INDIRI4
NEI4 $106
line 92
;92:	{
line 93
;93:		Com_Error( ERR_FATAL, "G_FindConfigstringIndex: overflow" );
CNSTI4 0
ARGI4
ADDRGP4 $108
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 94
;94:	}
LABELV $106
line 96
;95:
;96:	trap_SetConfigstring( start + i, name );
ADDRFP4 4
INDIRI4
ADDRLP4 1024
INDIRI4
ADDI4
ARGI4
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 98
;97:
;98:	return i;
ADDRLP4 1024
INDIRI4
RETI4
LABELV $92
endproc G_FindConfigstringIndex 1036 12
export G_ModelIndex
proc G_ModelIndex 4 16
line 102
;99:}
;100:
;101:int G_ModelIndex( char *name ) 
;102:{
line 103
;103:	return G_FindConfigstringIndex (name, CS_MODELS, MAX_MODELS, qtrue);
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 87
ARGI4
CNSTI4 256
ARGI4
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 G_FindConfigstringIndex
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
RETI4
LABELV $109
endproc G_ModelIndex 4 16
export G_SoundIndex
proc G_SoundIndex 4 16
line 107
;104:}
;105:
;106:int G_SoundIndex( char *name ) 
;107:{
line 108
;108:	return G_FindConfigstringIndex (name, CS_SOUNDS, MAX_SOUNDS, qtrue);
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 343
ARGI4
CNSTI4 256
ARGI4
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 G_FindConfigstringIndex
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
RETI4
LABELV $110
endproc G_SoundIndex 4 16
export G_AmbientSoundSetIndex
proc G_AmbientSoundSetIndex 4 16
line 112
;109:}
;110:
;111:int G_AmbientSoundSetIndex( char *name ) 
;112:{
line 113
;113:	return G_FindConfigstringIndex (name, CS_AMBIENT_SOUNDSETS, MAX_AMBIENT_SOUNDSETS, qtrue);
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 1083
ARGI4
CNSTI4 64
ARGI4
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 G_FindConfigstringIndex
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
RETI4
LABELV $111
endproc G_AmbientSoundSetIndex 4 16
export G_IconIndex
proc G_IconIndex 4 16
line 118
;114:}
;115:
;116:
;117:int G_IconIndex( char *name ) 
;118:{
line 119
;119:	return G_FindConfigstringIndex (name, CS_ICONS, MAX_ICONS, qtrue);
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 1047
ARGI4
CNSTI4 32
ARGI4
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 G_FindConfigstringIndex
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
RETI4
LABELV $112
endproc G_IconIndex 4 16
export G_EffectIndex
proc G_EffectIndex 4 16
line 123
;120:}
;121:
;122:int G_EffectIndex( char *name ) 
;123:{
line 124
;124:	return G_FindConfigstringIndex (name, CS_EFFECTS, MAX_FX, qtrue);
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 791
ARGI4
CNSTI4 64
ARGI4
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 G_FindConfigstringIndex
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
RETI4
LABELV $113
endproc G_EffectIndex 4 16
export G_BSPIndex
proc G_BSPIndex 4 16
line 128
;125:}
;126:
;127:int G_BSPIndex( char *name )
;128:{
line 129
;129:	return G_FindConfigstringIndex (name, CS_BSP_MODELS, MAX_SUB_BSP, qtrue);
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 727
ARGI4
CNSTI4 32
ARGI4
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 G_FindConfigstringIndex
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
RETI4
LABELV $114
endproc G_BSPIndex 4 16
export G_TeamCommand
proc G_TeamCommand 8 8
line 140
;130:}
;131:
;132:/*
;133:================
;134:G_TeamCommand
;135:
;136:Broadcasts a command to only a specific team
;137:================
;138:*/
;139:void G_TeamCommand( team_t team, char *cmd ) 
;140:{
line 143
;141:	int		i;
;142:
;143:	for ( i = 0 ; i < level.maxclients ; i++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $119
JUMPV
LABELV $116
line 144
;144:	{
line 145
;145:		if ( level.clients[i].pers.connected == CON_CONNECTED ) 
CNSTI4 6720
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
CNSTI4 868
ADDP4
INDIRI4
CNSTI4 2
NEI4 $121
line 146
;146:		{
line 147
;147:			if ( level.clients[i].sess.team == team ) 
CNSTI4 6720
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
CNSTI4 1332
ADDP4
INDIRI4
ADDRFP4 0
INDIRI4
NEI4 $123
line 148
;148:			{
line 149
;149:				trap_SendServerCommand( i, va("%s", cmd ));
ADDRGP4 $125
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 trap_SendServerCommand
CALLV
pop
line 150
;150:			}
LABELV $123
line 151
;151:		}
LABELV $121
line 152
;152:	}
LABELV $117
line 143
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $119
ADDRLP4 0
INDIRI4
ADDRGP4 level+56
INDIRI4
LTI4 $116
line 153
;153:}
LABELV $115
endproc G_TeamCommand 8 8
export G_Find
proc G_Find 8 8
line 168
;154:
;155:/*
;156:=============
;157:G_Find
;158:
;159:Searches all active entities for the next one that holds
;160:the matching string at fieldofs (use the FOFS() macro) in the structure.
;161:
;162:Searches beginning at the entity after from, or the beginning if NULL
;163:NULL will be returned if the end of the list is reached.
;164:
;165:=============
;166:*/
;167:gentity_t *G_Find (gentity_t *from, int fieldofs, const char *match)
;168:{
line 171
;169:	char	*s;
;170:
;171:	if (!from)
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $127
line 172
;172:		from = g_entities;
ADDRFP4 0
ADDRGP4 g_entities
ASGNP4
ADDRGP4 $132
JUMPV
LABELV $127
line 174
;173:	else
;174:		from++;
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 636
ADDP4
ASGNP4
line 176
;175:
;176:	for ( ; from < &g_entities[level.num_entities] ; from++)
ADDRGP4 $132
JUMPV
LABELV $129
line 177
;177:	{
line 178
;178:		if (!from->inuse)
ADDRFP4 0
INDIRP4
CNSTI4 332
ADDP4
INDIRI4
CNSTI4 0
NEI4 $134
line 179
;179:			continue;
ADDRGP4 $130
JUMPV
LABELV $134
line 180
;180:		s = *(char **) ((byte *)from + fieldofs);
ADDRLP4 0
ADDRFP4 4
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRP4
ASGNP4
line 181
;181:		if (!s)
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $136
line 182
;182:			continue;
ADDRGP4 $130
JUMPV
LABELV $136
line 183
;183:		if (!Q_stricmp (s, match))
ADDRLP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $138
line 184
;184:			return from;
ADDRFP4 0
INDIRP4
RETP4
ADDRGP4 $126
JUMPV
LABELV $138
line 185
;185:	}
LABELV $130
line 176
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 636
ADDP4
ASGNP4
LABELV $132
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTI4 636
ADDRGP4 level+12
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
CVPU4 4
LTU4 $129
line 187
;186:
;187:	return NULL;
CNSTP4 0
RETP4
LABELV $126
endproc G_Find 8 8
export G_PickTarget
proc G_PickTarget 144 12
line 200
;188:}
;189:
;190:/*
;191:=============
;192:G_PickTarget
;193:
;194:Selects a random entity from among the targets
;195:=============
;196:*/
;197:#define MAXCHOICES	32
;198:
;199:gentity_t *G_PickTarget (char *targetname)
;200:{
line 201
;201:	gentity_t	*ent = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 202
;202:	int		num_choices = 0;
ADDRLP4 4
CNSTI4 0
ASGNI4
line 205
;203:	gentity_t	*choice[MAXCHOICES];
;204:
;205:	if (!targetname)
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $145
line 206
;206:	{
line 207
;207:		Com_Printf("G_PickTarget called with NULL targetname\n");
ADDRGP4 $143
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 208
;208:		return NULL;
CNSTP4 0
RETP4
ADDRGP4 $140
JUMPV
LABELV $144
line 212
;209:	}
;210:
;211:	while(1)
;212:	{
line 213
;213:		ent = G_Find (ent, FOFS(targetname), targetname);
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 460
ARGI4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 136
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 136
INDIRP4
ASGNP4
line 214
;214:		if (!ent)
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $147
line 215
;215:		{
line 216
;216:			break;
ADDRGP4 $146
JUMPV
LABELV $147
line 219
;217:		}
;218:
;219:		choice[num_choices++] = ent;
ADDRLP4 140
ADDRLP4 4
INDIRI4
ASGNI4
ADDRLP4 4
ADDRLP4 140
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 140
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 8
ADDP4
ADDRLP4 0
INDIRP4
ASGNP4
line 220
;220:		if (num_choices == MAXCHOICES)
ADDRLP4 4
INDIRI4
CNSTI4 32
NEI4 $149
line 221
;221:		{
line 222
;222:			break;
ADDRGP4 $146
JUMPV
LABELV $149
line 224
;223:		}
;224:	}
LABELV $145
line 211
ADDRGP4 $144
JUMPV
LABELV $146
line 226
;225:
;226:	if (!num_choices)
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $151
line 227
;227:	{
line 228
;228:		Com_Printf("G_PickTarget: target %s not found\n", targetname);
ADDRGP4 $153
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 229
;229:		return NULL;
CNSTP4 0
RETP4
ADDRGP4 $140
JUMPV
LABELV $151
line 232
;230:	}
;231:
;232:	return choice[rand() % num_choices];
ADDRLP4 136
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 136
INDIRI4
ADDRLP4 4
INDIRI4
MODI4
CNSTI4 2
LSHI4
ADDRLP4 8
ADDP4
INDIRP4
RETP4
LABELV $140
endproc G_PickTarget 144 12
export G_UseTargetsByName
proc G_UseTargetsByName 8 12
line 236
;233:}
;234:
;235:void G_UseTargetsByName( const char* name, gentity_t* other, gentity_t *activator ) 
;236:{
line 240
;237:	gentity_t* t;
;238:
;239:	// Look for an entity
;240:	t = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
ADDRGP4 $156
JUMPV
LABELV $155
line 242
;241:	while ( (t = G_Find (t, FOFS(targetname), name)) != NULL ) 
;242:	{
line 243
;243:		if ( t == other ) 
ADDRLP4 0
INDIRP4
CVPU4 4
ADDRFP4 4
INDIRP4
CVPU4 4
NEU4 $158
line 244
;244:		{
line 245
;245:			Com_Printf ("WARNING: Entity used itself.\n");
ADDRGP4 $160
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 246
;246:		} 
ADDRGP4 $159
JUMPV
LABELV $158
line 248
;247:		else 
;248:		{
line 249
;249:			if ( t->use ) 
ADDRLP4 0
INDIRP4
CNSTI4 524
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $161
line 250
;250:			{
line 251
;251:				t->use (t, other, activator);
ADDRLP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 524
ADDP4
INDIRP4
CALLV
pop
line 252
;252:			}
LABELV $161
line 253
;253:		}
LABELV $159
line 255
;254:		
;255:		if ( other && !other->inuse ) 
ADDRLP4 4
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $163
ADDRLP4 4
INDIRP4
CNSTI4 332
ADDP4
INDIRI4
CNSTI4 0
NEI4 $163
line 256
;256:		{
line 257
;257:			Com_Printf("entity was removed while using targets\n");
ADDRGP4 $165
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 258
;258:			return;
ADDRGP4 $154
JUMPV
LABELV $163
line 260
;259:		}
;260:	}
LABELV $156
line 241
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 460
ARGI4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $155
line 261
;261:}
LABELV $154
endproc G_UseTargetsByName 8 12
export G_UseTargets
proc G_UseTargets 20 12
line 275
;262:
;263:/*
;264:==============================
;265:G_UseTargets
;266:
;267:"activator" should be set to the entity that initiated the firing.
;268:
;269:Search for (string)targetname in all entities that
;270:match (string)self.target and call their .use function
;271:
;272:==============================
;273:*/
;274:void G_UseTargets( gentity_t *ent, gentity_t *activator ) 
;275:{
line 276
;276:	if ( !ent ) 
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $167
line 277
;277:	{
line 278
;278:		return;
ADDRGP4 $166
JUMPV
LABELV $167
line 281
;279:	}
;280:
;281:	if (ent->targetShaderName && ent->targetShaderNewName) 
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
CNSTU4 0
ASGNU4
ADDRLP4 0
INDIRP4
CNSTI4 468
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 4
INDIRU4
EQU4 $169
ADDRLP4 0
INDIRP4
CNSTI4 472
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 4
INDIRU4
EQU4 $169
line 282
;282:	{
line 283
;283:		float f = level.time * 0.001;
ADDRLP4 8
CNSTF4 981668463
ADDRGP4 level+64
INDIRI4
CVIF4 4
MULF4
ASGNF4
line 284
;284:		AddRemap(ent->targetShaderName, ent->targetShaderNewName, f);
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
CNSTI4 468
ADDP4
INDIRP4
ARGP4
ADDRLP4 12
INDIRP4
CNSTI4 472
ADDP4
INDIRP4
ARGP4
ADDRLP4 8
INDIRF4
ARGF4
ADDRGP4 AddRemap
CALLV
pop
line 285
;285:		trap_SetConfigstring(CS_SHADERSTATE, BuildShaderStateConfig());
ADDRLP4 16
ADDRGP4 BuildShaderStateConfig
CALLP4
ASGNP4
CNSTI4 79
ARGI4
ADDRLP4 16
INDIRP4
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 286
;286:	}
LABELV $169
line 288
;287:
;288:	if ( !ent->target ) 
ADDRFP4 0
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $172
line 289
;289:	{
line 290
;290:		return;
ADDRGP4 $166
JUMPV
LABELV $172
line 293
;291:	}
;292:
;293:	G_UseTargetsByName ( ent->target, ent, activator );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 G_UseTargetsByName
CALLV
pop
line 294
;294:}
LABELV $166
endproc G_UseTargets 20 12
bss
align 4
LABELV $175
skip 4
align 4
LABELV $176
skip 96
export tv
code
proc tv 8 0
line 305
;295:
;296:
;297:/*
;298:=============
;299:TempVector
;300:
;301:This is just a convenience function
;302:for making temporary vectors for function calls
;303:=============
;304:*/
;305:float	*tv( float x, float y, float z ) {
line 312
;306:	static	int		index;
;307:	static	vec3_t	vecs[8];
;308:	float	*v;
;309:
;310:	// use an array so that multiple tempvectors won't collide
;311:	// for a while
;312:	v = vecs[index];
ADDRLP4 0
CNSTI4 12
ADDRGP4 $175
INDIRI4
MULI4
ADDRGP4 $176
ADDP4
ASGNP4
line 313
;313:	index = (index + 1)&7;
ADDRLP4 4
ADDRGP4 $175
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
CNSTI4 7
BANDI4
ASGNI4
line 315
;314:
;315:	v[0] = x;
ADDRLP4 0
INDIRP4
ADDRFP4 0
INDIRF4
ASGNF4
line 316
;316:	v[1] = y;
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
ADDRFP4 4
INDIRF4
ASGNF4
line 317
;317:	v[2] = z;
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
ADDRFP4 8
INDIRF4
ASGNF4
line 319
;318:
;319:	return v;
ADDRLP4 0
INDIRP4
RETP4
LABELV $174
endproc tv 8 0
bss
align 4
LABELV $178
skip 4
align 1
LABELV $179
skip 256
export vtos
code
proc vtos 12 24
line 331
;320:}
;321:
;322:
;323:/*
;324:=============
;325:VectorToString
;326:
;327:This is just a convenience function
;328:for printing vectors
;329:=============
;330:*/
;331:char	*vtos( const vec3_t v ) {
line 337
;332:	static	int		index;
;333:	static	char	str[8][32];
;334:	char	*s;
;335:
;336:	// use an array so that multiple vtos won't collide
;337:	s = str[index];
ADDRLP4 0
ADDRGP4 $178
INDIRI4
CNSTI4 5
LSHI4
ADDRGP4 $179
ADDP4
ASGNP4
line 338
;338:	index = (index + 1)&7;
ADDRLP4 4
ADDRGP4 $178
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
CNSTI4 7
BANDI4
ASGNI4
line 340
;339:
;340:	Com_sprintf (s, 32, "(%i %i %i)", (int)v[0], (int)v[1], (int)v[2]);
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 32
ARGI4
ADDRGP4 $180
ARGP4
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
INDIRF4
CVFI4 4
ARGI4
ADDRLP4 8
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
CVFI4 4
ARGI4
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 Com_sprintf
CALLI4
pop
line 342
;341:
;342:	return s;
ADDRLP4 0
INDIRP4
RETP4
LABELV $177
endproc vtos 12 24
data
align 4
LABELV $182
byte 4 0
byte 4 3212836864
byte 4 0
align 4
LABELV $183
byte 4 0
byte 4 0
byte 4 1065353216
align 4
LABELV $184
byte 4 0
byte 4 3221225472
byte 4 0
align 4
LABELV $185
byte 4 0
byte 4 0
byte 4 3212836864
export G_SetMovedir
code
proc G_SetMovedir 16 16
line 356
;343:}
;344:
;345:
;346:/*
;347:===============
;348:G_SetMovedir
;349:
;350:The editor only specifies a single value for angles (yaw),
;351:but we have special constants to generate an up or down direction.
;352:Angles will be cleared, because it is being used to represent a direction
;353:instead of an orientation.
;354:===============
;355:*/
;356:void G_SetMovedir( vec3_t angles, vec3_t movedir ) {
line 362
;357:	static vec3_t VEC_UP		= {0, -1, 0};
;358:	static vec3_t MOVEDIR_UP	= {0, 0, 1};
;359:	static vec3_t VEC_DOWN		= {0, -2, 0};
;360:	static vec3_t MOVEDIR_DOWN	= {0, 0, -1};
;361:
;362:	if ( VectorCompare (angles, VEC_UP) ) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $182
ARGP4
ADDRLP4 0
ADDRGP4 VectorCompare
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
EQI4 $186
line 363
;363:		VectorCopy (MOVEDIR_UP, movedir);
ADDRFP4 4
INDIRP4
ADDRGP4 $183
INDIRB
ASGNB 12
line 364
;364:	} else if ( VectorCompare (angles, VEC_DOWN) ) {
ADDRGP4 $187
JUMPV
LABELV $186
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $184
ARGP4
ADDRLP4 4
ADDRGP4 VectorCompare
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $188
line 365
;365:		VectorCopy (MOVEDIR_DOWN, movedir);
ADDRFP4 4
INDIRP4
ADDRGP4 $185
INDIRB
ASGNB 12
line 366
;366:	} else {
ADDRGP4 $189
JUMPV
LABELV $188
line 367
;367:		AngleVectors (angles, movedir, NULL, NULL);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 8
CNSTP4 0
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 368
;368:	}
LABELV $189
LABELV $187
line 369
;369:	VectorClear( angles );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
CNSTF4 0
ASGNF4
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
ADDRLP4 12
INDIRF4
ASGNF4
ADDRLP4 8
INDIRP4
CNSTI4 4
ADDP4
ADDRLP4 12
INDIRF4
ASGNF4
ADDRLP4 8
INDIRP4
ADDRLP4 12
INDIRF4
ASGNF4
line 370
;370:}
LABELV $181
endproc G_SetMovedir 16 16
export vectoyaw
proc vectoyaw 20 8
line 373
;371:
;372:
;373:float vectoyaw( const vec3_t vec ) {
line 376
;374:	float	yaw;
;375:	
;376:	if (vec[YAW] == 0 && vec[PITCH] == 0) {
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
CNSTF4 0
ASGNF4
ADDRLP4 4
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ADDRLP4 8
INDIRF4
NEF4 $191
ADDRLP4 4
INDIRP4
INDIRF4
ADDRLP4 8
INDIRF4
NEF4 $191
line 377
;377:		yaw = 0;
ADDRLP4 0
CNSTF4 0
ASGNF4
line 378
;378:	} else {
ADDRGP4 $192
JUMPV
LABELV $191
line 379
;379:		if (vec[PITCH]) {
ADDRFP4 0
INDIRP4
INDIRF4
CNSTF4 0
EQF4 $193
line 380
;380:			yaw = ( atan2( vec[YAW], vec[PITCH]) * 180 / M_PI );
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ARGF4
ADDRLP4 12
INDIRP4
INDIRF4
ARGF4
ADDRLP4 16
ADDRGP4 atan2
CALLF4
ASGNF4
ADDRLP4 0
CNSTF4 1127481344
ADDRLP4 16
INDIRF4
MULF4
CNSTF4 1078530011
DIVF4
ASGNF4
line 381
;381:		} else if (vec[YAW] > 0) {
ADDRGP4 $194
JUMPV
LABELV $193
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
CNSTF4 0
LEF4 $195
line 382
;382:			yaw = 90;
ADDRLP4 0
CNSTF4 1119092736
ASGNF4
line 383
;383:		} else {
ADDRGP4 $196
JUMPV
LABELV $195
line 384
;384:			yaw = 270;
ADDRLP4 0
CNSTF4 1132920832
ASGNF4
line 385
;385:		}
LABELV $196
LABELV $194
line 386
;386:		if (yaw < 0) {
ADDRLP4 0
INDIRF4
CNSTF4 0
GEF4 $197
line 387
;387:			yaw += 360;
ADDRLP4 0
ADDRLP4 0
INDIRF4
CNSTF4 1135869952
ADDF4
ASGNF4
line 388
;388:		}
LABELV $197
line 389
;389:	}
LABELV $192
line 391
;390:
;391:	return yaw;
ADDRLP4 0
INDIRF4
RETF4
LABELV $190
endproc vectoyaw 20 8
export G_InitGentity
proc G_InitGentity 4 0
line 395
;392:}
;393:
;394:void G_InitGentity( gentity_t *e ) 
;395:{
line 396
;396:	e->inuse = qtrue;
ADDRFP4 0
INDIRP4
CNSTI4 332
ADDP4
CNSTI4 1
ASGNI4
line 397
;397:	e->classname = "noclass";
ADDRFP4 0
INDIRP4
CNSTI4 336
ADDP4
ADDRGP4 $200
ASGNP4
line 398
;398:	e->s.number = e - g_entities;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
CVPU4 4
ADDRGP4 g_entities
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 636
DIVI4
ASGNI4
line 399
;399:	e->r.ownerNum = ENTITYNUM_NONE;
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
CNSTI4 1023
ASGNI4
line 400
;400:}
LABELV $199
endproc G_InitGentity 4 0
export G_Spawn
proc G_Spawn 16 20
line 418
;401:
;402:/*
;403:=================
;404:G_Spawn
;405:
;406:Either finds a free entity, or allocates a new one.
;407:
;408:  The slots from 0 to MAX_CLIENTS-1 are always reserved for clients, and will
;409:never be used by anything else.
;410:
;411:Try to avoid reusing an entity that was recently freed, because it
;412:can cause the client to think the entity morphed into something else
;413:instead of being removed and recreated, which can cause interpolated
;414:angles and bad trails.
;415:=================
;416:*/
;417:gentity_t* G_Spawn( void ) 
;418:{
line 422
;419:	int			i, force;
;420:	gentity_t	*e;
;421:
;422:	e = NULL;	// shut up warning
ADDRLP4 0
CNSTP4 0
ASGNP4
line 423
;423:	i = 0;		// shut up warning
ADDRLP4 4
CNSTI4 0
ASGNI4
line 424
;424:	for ( force = 0 ; force < 2 ; force++ ) 
ADDRLP4 8
CNSTI4 0
ASGNI4
LABELV $202
line 425
;425:	{
line 428
;426:		// if we go through all entities and can't find one to free,
;427:		// override the normal minimum times before use
;428:		e = &g_entities[MAX_CLIENTS];
ADDRLP4 0
ADDRGP4 g_entities+40704
ASGNP4
line 429
;429:		for ( i = MAX_CLIENTS ; i<level.num_entities ; i++, e++) 
ADDRLP4 4
CNSTI4 64
ASGNI4
ADDRGP4 $210
JUMPV
LABELV $207
line 430
;430:		{
line 431
;431:			if ( e->inuse ) 
ADDRLP4 0
INDIRP4
CNSTI4 332
ADDP4
INDIRI4
CNSTI4 0
EQI4 $212
line 432
;432:			{
line 433
;433:				continue;
ADDRGP4 $208
JUMPV
LABELV $212
line 438
;434:			}
;435:
;436:			// the first couple seconds of server time can involve a lot of
;437:			// freeing and allocating, so relax the replacement policy
;438:			if ( !force && e->freetime > level.startTime + 2000 && level.time - e->freetime < 1000 ) 
ADDRLP4 8
INDIRI4
CNSTI4 0
NEI4 $214
ADDRLP4 12
ADDRLP4 0
INDIRP4
CNSTI4 360
ADDP4
INDIRI4
ASGNI4
ADDRLP4 12
INDIRI4
ADDRGP4 level+92
INDIRI4
CNSTI4 2000
ADDI4
LEI4 $214
ADDRGP4 level+64
INDIRI4
ADDRLP4 12
INDIRI4
SUBI4
CNSTI4 1000
GEI4 $214
line 439
;439:			{
line 440
;440:				continue;
ADDRGP4 $208
JUMPV
LABELV $214
line 444
;441:			}
;442:
;443:			// reuse this slot
;444:			G_InitGentity( e );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 G_InitGentity
CALLV
pop
line 445
;445:			return e;
ADDRLP4 0
INDIRP4
RETP4
ADDRGP4 $201
JUMPV
LABELV $208
line 429
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 636
ADDP4
ASGNP4
LABELV $210
ADDRLP4 4
INDIRI4
ADDRGP4 level+12
INDIRI4
LTI4 $207
line 448
;446:		}
;447:		
;448:		if ( i != MAX_GENTITIES ) 
ADDRLP4 4
INDIRI4
CNSTI4 1024
EQI4 $218
line 449
;449:		{
line 450
;450:			break;
ADDRGP4 $204
JUMPV
LABELV $218
line 452
;451:		}
;452:	}
LABELV $203
line 424
ADDRLP4 8
ADDRLP4 8
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 2
LTI4 $202
LABELV $204
line 454
;453:	
;454:	if ( i == ENTITYNUM_MAX_NORMAL ) 
ADDRLP4 4
INDIRI4
CNSTI4 1022
NEI4 $220
line 455
;455:	{
line 456
;456:		for (i = 0; i < MAX_GENTITIES; i++) 
ADDRLP4 4
CNSTI4 0
ASGNI4
LABELV $222
line 457
;457:		{
line 458
;458:			Com_Printf("%4i: %s\n", i, g_entities[i].classname);
ADDRGP4 $226
ARGP4
ADDRLP4 4
INDIRI4
ARGI4
CNSTI4 636
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 g_entities+336
ADDP4
INDIRP4
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 459
;459:		}
LABELV $223
line 456
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 1024
LTI4 $222
line 461
;460:
;461:		Com_Error( ERR_FATAL, "G_Spawn: no free entities" );
CNSTI4 0
ARGI4
ADDRGP4 $228
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 462
;462:	}
LABELV $220
line 465
;463:	
;464:	// open up a new slot
;465:	level.num_entities++;
ADDRLP4 12
ADDRGP4 level+12
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 468
;466:
;467:	// let the server system know that there are more entities
;468:	trap_LocateGameData( level.gentities, level.num_entities, sizeof( gentity_t ), 
ADDRGP4 level+4
INDIRP4
ARGP4
ADDRGP4 level+12
INDIRI4
ARGI4
CNSTI4 636
ARGI4
ADDRGP4 level
INDIRP4
ARGP4
CNSTI4 6720
ARGI4
ADDRGP4 trap_LocateGameData
CALLV
pop
line 471
;469:						 &level.clients[0].ps, sizeof( level.clients[0] ) );
;470:
;471:	G_InitGentity( e );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 G_InitGentity
CALLV
pop
line 472
;472:	return e;
ADDRLP4 0
INDIRP4
RETP4
LABELV $201
endproc G_Spawn 16 20
export G_EntitiesFree
proc G_EntitiesFree 8 0
line 481
;473:}
;474:
;475:/*
;476:=================
;477:G_EntitiesFree
;478:=================
;479:*/
;480:qboolean G_EntitiesFree( void ) 
;481:{
line 485
;482:	int			i;
;483:	gentity_t	*e;
;484:
;485:	e = &g_entities[MAX_CLIENTS];
ADDRLP4 4
ADDRGP4 g_entities+40704
ASGNP4
line 486
;486:	for ( i = MAX_CLIENTS; i < level.num_entities; i++, e++) 
ADDRLP4 0
CNSTI4 64
ASGNI4
ADDRGP4 $237
JUMPV
LABELV $234
line 487
;487:	{
line 488
;488:		if ( e->inuse ) 
ADDRLP4 4
INDIRP4
CNSTI4 332
ADDP4
INDIRI4
CNSTI4 0
EQI4 $239
line 489
;489:		{
line 490
;490:			continue;
ADDRGP4 $235
JUMPV
LABELV $239
line 494
;491:		}
;492:		
;493:		// slot available
;494:		return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $232
JUMPV
LABELV $235
line 486
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 4
ADDRLP4 4
INDIRP4
CNSTI4 636
ADDP4
ASGNP4
LABELV $237
ADDRLP4 0
INDIRI4
ADDRGP4 level+12
INDIRI4
LTI4 $234
line 496
;495:	}
;496:	return qfalse;
CNSTI4 0
RETI4
LABELV $232
endproc G_EntitiesFree 8 0
export G_FreeEntity
proc G_FreeEntity 0 12
line 507
;497:}
;498:
;499:/*
;500:=================
;501:G_FreeEntity
;502:
;503:Marks the entity as free
;504:=================
;505:*/
;506:void G_FreeEntity( gentity_t *ed ) 
;507:{
line 508
;508:	trap_UnlinkEntity (ed);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_UnlinkEntity
CALLV
pop
line 510
;509:
;510:	if ( ed->neverFree ) 
ADDRFP4 0
INDIRP4
CNSTI4 344
ADDP4
INDIRI4
CNSTI4 0
EQI4 $242
line 511
;511:	{
line 512
;512:		return;
ADDRGP4 $241
JUMPV
LABELV $242
line 515
;513:	}
;514:
;515:	memset (ed, 0, sizeof(*ed));
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 0
ARGI4
CNSTI4 636
ARGI4
ADDRGP4 memset
CALLP4
pop
line 516
;516:	ed->classname = "freed";
ADDRFP4 0
INDIRP4
CNSTI4 336
ADDP4
ADDRGP4 $244
ASGNP4
line 517
;517:	ed->freetime = level.time;
ADDRFP4 0
INDIRP4
CNSTI4 360
ADDP4
ADDRGP4 level+64
INDIRI4
ASGNI4
line 518
;518:	ed->inuse = qfalse;
ADDRFP4 0
INDIRP4
CNSTI4 332
ADDP4
CNSTI4 0
ASGNI4
line 519
;519:}
LABELV $241
endproc G_FreeEntity 0 12
export G_FreeEnitityChildren
proc G_FreeEnitityChildren 4 4
line 529
;520:
;521:/*
;522:=================
;523:G_FreeEnitityChildren
;524:
;525:Frees any entity that is a child of the given entity
;526:=================
;527:*/
;528:void G_FreeEnitityChildren( gentity_t* ent )
;529:{
line 532
;530:	gentity_t* from;
;531:
;532:	for ( from = g_entities; from < &g_entities[level.num_entities] ; from++)
ADDRLP4 0
ADDRGP4 g_entities
ASGNP4
ADDRGP4 $250
JUMPV
LABELV $247
line 533
;533:	{
line 534
;534:		if ( !from->inuse )
ADDRLP4 0
INDIRP4
CNSTI4 332
ADDP4
INDIRI4
CNSTI4 0
NEI4 $252
line 535
;535:		{
line 536
;536:			continue;
ADDRGP4 $248
JUMPV
LABELV $252
line 539
;537:		}
;538:
;539:		if ( from->parent != ent )
ADDRLP4 0
INDIRP4
CNSTI4 412
ADDP4
INDIRP4
CVPU4 4
ADDRFP4 0
INDIRP4
CVPU4 4
EQU4 $254
line 540
;540:		{
line 541
;541:			continue;
ADDRGP4 $248
JUMPV
LABELV $254
line 544
;542:		}
;543:
;544:		G_FreeEntity ( from );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 545
;545:	}
LABELV $248
line 532
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 636
ADDP4
ASGNP4
LABELV $250
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTI4 636
ADDRGP4 level+12
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
CVPU4 4
LTU4 $247
line 546
;546:}
LABELV $246
endproc G_FreeEnitityChildren 4 4
export G_TempEntity
proc G_TempEntity 20 8
line 558
;547:
;548:/*
;549:=================
;550:G_TempEntity
;551:
;552:Spawns an event entity that will be auto-removed
;553:The origin will be snapped to save net bandwidth, so care
;554:must be taken if the origin is right on a surface (snap towards start vector first)
;555:=================
;556:*/
;557:gentity_t *G_TempEntity( vec3_t origin, int event ) 
;558:{
line 562
;559:	gentity_t		*e;
;560:	vec3_t		snapped;
;561:
;562:	e = G_Spawn();
ADDRLP4 16
ADDRGP4 G_Spawn
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 16
INDIRP4
ASGNP4
line 563
;563:	e->s.eType = ET_EVENTS + event;
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
ADDRFP4 4
INDIRI4
CNSTI4 18
ADDI4
ASGNI4
line 565
;564:
;565:	e->classname = "tempEntity";
ADDRLP4 0
INDIRP4
CNSTI4 336
ADDP4
ADDRGP4 $257
ASGNP4
line 566
;566:	e->eventTime = level.time;
ADDRLP4 0
INDIRP4
CNSTI4 364
ADDP4
ADDRGP4 level+64
INDIRI4
ASGNI4
line 567
;567:	e->freeAfterEvent = qtrue;
ADDRLP4 0
INDIRP4
CNSTI4 368
ADDP4
CNSTI4 1
ASGNI4
line 569
;568:
;569:	VectorCopy( origin, snapped );
ADDRLP4 4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 570
;570:	SnapVector( snapped );		// save network bandwidth
ADDRLP4 4
ADDRLP4 4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 4+4
ADDRLP4 4+4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 4+8
ADDRLP4 4+8
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 571
;571:	G_SetOrigin( e, snapped );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 574
;572:
;573:	// find cluster for PVS
;574:	trap_LinkEntity( e );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 576
;575:
;576:	return e;
ADDRLP4 0
INDIRP4
RETP4
LABELV $256
endproc G_TempEntity 20 8
export G_KillBox
proc G_KillBox 4168 36
line 597
;577:}
;578:
;579:
;580:
;581:/*
;582:==============================================================================
;583:
;584:Kill box
;585:
;586:==============================================================================
;587:*/
;588:
;589:/*
;590:=================
;591:G_KillBox
;592:
;593:Kills all entities that would touch the proposed new positioning
;594:of ent.  Ent should be unlinked before calling this!
;595:=================
;596:*/
;597:void G_KillBox (gentity_t *ent) {
line 603
;598:	int			i, num;
;599:	int			touch[MAX_GENTITIES];
;600:	gentity_t	*hit;
;601:	vec3_t		mins, maxs;
;602:
;603:	VectorAdd( ent->client->ps.origin, ent->r.mins, mins );
ADDRLP4 4132
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4136
ADDRLP4 4132
INDIRP4
CNSTI4 328
ADDP4
ASGNP4
ADDRLP4 4108
ADDRLP4 4136
INDIRP4
INDIRP4
CNSTI4 24
ADDP4
INDIRF4
ADDRLP4 4132
INDIRP4
CNSTI4 236
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 4108+4
ADDRLP4 4136
INDIRP4
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
ADDRLP4 4132
INDIRP4
CNSTI4 240
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 4140
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4108+8
ADDRLP4 4140
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
ADDRLP4 4140
INDIRP4
CNSTI4 244
ADDP4
INDIRF4
ADDF4
ASGNF4
line 604
;604:	VectorAdd( ent->client->ps.origin, ent->r.maxs, maxs );
ADDRLP4 4144
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4148
ADDRLP4 4144
INDIRP4
CNSTI4 328
ADDP4
ASGNP4
ADDRLP4 4120
ADDRLP4 4148
INDIRP4
INDIRP4
CNSTI4 24
ADDP4
INDIRF4
ADDRLP4 4144
INDIRP4
CNSTI4 248
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 4120+4
ADDRLP4 4148
INDIRP4
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
ADDRLP4 4144
INDIRP4
CNSTI4 252
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 4152
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4120+8
ADDRLP4 4152
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
ADDRLP4 4152
INDIRP4
CNSTI4 256
ADDP4
INDIRF4
ADDF4
ASGNF4
line 605
;605:	num = trap_EntitiesInBox( mins, maxs, touch, MAX_GENTITIES );
ADDRLP4 4108
ARGP4
ADDRLP4 4120
ARGP4
ADDRLP4 12
ARGP4
CNSTI4 1024
ARGI4
ADDRLP4 4156
ADDRGP4 trap_EntitiesInBox
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 4156
INDIRI4
ASGNI4
line 607
;606:
;607:	for ( i = 0; i < num ; i++ ) 
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $271
JUMPV
LABELV $268
line 608
;608:	{
line 609
;609:		hit = &g_entities[touch[i]];
ADDRLP4 0
CNSTI4 636
ADDRLP4 4
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 12
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 610
;610:		if ( !hit->client ) 
ADDRLP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $272
line 611
;611:		{
line 612
;612:			continue;
ADDRGP4 $269
JUMPV
LABELV $272
line 616
;613:		}
;614:
;615:		// Dont kill yourself if this should ever happen
;616:		if ( hit == ent )
ADDRLP4 0
INDIRP4
CVPU4 4
ADDRFP4 0
INDIRP4
CVPU4 4
NEU4 $274
line 617
;617:		{
line 618
;618:			continue;
ADDRGP4 $269
JUMPV
LABELV $274
line 622
;619:		}
;620:
;621:		// nail it
;622:		G_Damage ( hit, ent, ent, NULL, NULL, 100000, DAMAGE_NO_PROTECTION, MOD_TELEFRAG, HL_NONE );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 4160
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4160
INDIRP4
ARGP4
ADDRLP4 4160
INDIRP4
ARGP4
ADDRLP4 4164
CNSTP4 0
ASGNP4
ADDRLP4 4164
INDIRP4
ARGP4
ADDRLP4 4164
INDIRP4
ARGP4
CNSTI4 100000
ARGI4
CNSTI4 8
ARGI4
CNSTI4 23
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 G_Damage
CALLI4
pop
line 623
;623:	}
LABELV $269
line 607
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $271
ADDRLP4 4
INDIRI4
ADDRLP4 8
INDIRI4
LTI4 $268
line 625
;624:
;625:}
LABELV $263
endproc G_KillBox 4168 36
export G_AddPredictableEvent
proc G_AddPredictableEvent 0 12
line 638
;626:
;627://==============================================================================
;628:
;629:/*
;630:===============
;631:G_AddPredictableEvent
;632:
;633:Use for non-pmove events that would also be predicted on the
;634:client side: jumppads and item pickups
;635:Adds an event+parm and twiddles the event counter
;636:===============
;637:*/
;638:void G_AddPredictableEvent( gentity_t *ent, int event, int eventParm ) {
line 639
;639:	if ( !ent->client ) {
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $277
line 640
;640:		return;
ADDRGP4 $276
JUMPV
LABELV $277
line 642
;641:	}
;642:	BG_AddPredictableEventToPlayerstate( event, eventParm, &ent->client->ps );
ADDRFP4 4
INDIRI4
ARGI4
ADDRFP4 8
INDIRI4
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
ARGP4
ADDRGP4 BG_AddPredictableEventToPlayerstate
CALLV
pop
line 643
;643:}
LABELV $276
endproc G_AddPredictableEvent 0 12
export G_AddEvent
proc G_AddEvent 4 8
line 653
;644:
;645:
;646:/*
;647:===============
;648:G_AddEvent
;649:
;650:Adds an event+parm and twiddles the event counter
;651:===============
;652:*/
;653:void G_AddEvent( gentity_t *ent, int event, int eventParm ) {
line 656
;654:	int		bits;
;655:
;656:	if ( !event ) {
ADDRFP4 4
INDIRI4
CNSTI4 0
NEI4 $280
line 657
;657:		Com_Printf( "G_AddEvent: zero event added for entity %i\n", ent->s.number );
ADDRGP4 $282
ARGP4
ADDRFP4 0
INDIRP4
INDIRI4
ARGI4
ADDRGP4 Com_Printf
CALLV
pop
line 658
;658:		return;
ADDRGP4 $279
JUMPV
LABELV $280
line 662
;659:	}
;660:
;661:	// clients need to add the event in playerState_t instead of entityState_t
;662:	if ( ent->client ) {
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $283
line 663
;663:		bits = ent->client->ps.externalEvent & EV_EVENT_BITS;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
CNSTI4 768
BANDI4
ASGNI4
line 664
;664:		bits = ( bits + EV_EVENT_BIT1 ) & EV_EVENT_BITS;
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 256
ADDI4
CNSTI4 768
BANDI4
ASGNI4
line 665
;665:		ent->client->ps.externalEvent = event | bits;
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 156
ADDP4
ADDRFP4 4
INDIRI4
ADDRLP4 0
INDIRI4
BORI4
ASGNI4
line 666
;666:		ent->client->ps.externalEventParm = eventParm;
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 160
ADDP4
ADDRFP4 8
INDIRI4
ASGNI4
line 667
;667:		ent->client->ps.externalEventTime = level.time;
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 164
ADDP4
ADDRGP4 level+64
INDIRI4
ASGNI4
line 668
;668:	} else {
ADDRGP4 $284
JUMPV
LABELV $283
line 669
;669:		bits = ent->s.event & EV_EVENT_BITS;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 180
ADDP4
INDIRI4
CNSTI4 768
BANDI4
ASGNI4
line 670
;670:		bits = ( bits + EV_EVENT_BIT1 ) & EV_EVENT_BITS;
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 256
ADDI4
CNSTI4 768
BANDI4
ASGNI4
line 671
;671:		ent->s.event = event | bits;
ADDRFP4 0
INDIRP4
CNSTI4 180
ADDP4
ADDRFP4 4
INDIRI4
ADDRLP4 0
INDIRI4
BORI4
ASGNI4
line 672
;672:		ent->s.eventParm = eventParm;
ADDRFP4 0
INDIRP4
CNSTI4 184
ADDP4
ADDRFP4 8
INDIRI4
ASGNI4
line 673
;673:	}
LABELV $284
line 674
;674:	ent->eventTime = level.time;
ADDRFP4 0
INDIRP4
CNSTI4 364
ADDP4
ADDRGP4 level+64
INDIRI4
ASGNI4
line 675
;675:}
LABELV $279
endproc G_AddEvent 4 8
export G_PlayEffect
proc G_PlayEffect 8 8
line 683
;676:
;677:/*
;678:=============
;679:G_PlayEffect
;680:=============
;681:*/
;682:void G_PlayEffect(int fxID, vec3_t org, vec3_t ang)
;683:{
line 686
;684:	gentity_t	*te;
;685:
;686:	te = G_TempEntity( org, EV_PLAY_EFFECT );
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 30
ARGI4
ADDRLP4 4
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 687
;687:	VectorCopy(ang, te->s.angles);
ADDRLP4 0
INDIRP4
CNSTI4 116
ADDP4
ADDRFP4 8
INDIRP4
INDIRB
ASGNB 12
line 688
;688:	VectorCopy(org, te->s.origin);
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 689
;689:	te->s.eventParm = fxID;
ADDRLP4 0
INDIRP4
CNSTI4 184
ADDP4
ADDRFP4 0
INDIRI4
ASGNI4
line 690
;690:}
LABELV $287
endproc G_PlayEffect 8 8
export G_SetHUDIcon
proc G_SetHUDIcon 4 8
line 698
;691:
;692:/*
;693:=============
;694:G_SetHUDIcon
;695:=============
;696:*/
;697:void G_SetHUDIcon ( int index, int icon )
;698:{
line 699
;699:	trap_SetConfigstring ( CS_HUDICONS + index, va("%i", icon ) );
ADDRGP4 $289
ARGP4
ADDRFP4 4
INDIRI4
ARGI4
ADDRLP4 0
ADDRGP4 va
CALLP4
ASGNP4
ADDRFP4 0
INDIRI4
CNSTI4 1147
ADDI4
ARGI4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 700
;700:}
LABELV $288
endproc G_SetHUDIcon 4 8
export G_Sound
proc G_Sound 8 8
line 707
;701:
;702:/*
;703:=============
;704:G_Sound
;705:=============
;706:*/
;707:void G_Sound( gentity_t *ent, int channel, int soundIndex ) {
line 710
;708:	gentity_t	*te;
;709:
;710:	te = G_TempEntity( ent->r.currentOrigin, EV_GENERAL_SOUND );
ADDRFP4 0
INDIRP4
CNSTI4 288
ADDP4
ARGP4
CNSTI4 31
ARGI4
ADDRLP4 4
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 711
;711:	te->s.eventParm = soundIndex;
ADDRLP4 0
INDIRP4
CNSTI4 184
ADDP4
ADDRFP4 8
INDIRI4
ASGNI4
line 712
;712:	te->s.otherEntityNum = channel;
ADDRLP4 0
INDIRP4
CNSTI4 140
ADDP4
ADDRFP4 4
INDIRI4
ASGNI4
line 713
;713:}
LABELV $290
endproc G_Sound 8 8
export G_SoundAtLoc
proc G_SoundAtLoc 12 8
line 720
;714:
;715:/*
;716:=============
;717:G_SoundAtLoc
;718:=============
;719:*/
;720:void G_SoundAtLoc( vec3_t loc, int channel, int soundIndex ) {
line 723
;721:	gentity_t	*te;
;722:
;723:	te = G_TempEntity( loc, EV_GENERAL_SOUND );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 31
ARGI4
ADDRLP4 4
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 724
;724:	te->s.eventParm = soundIndex;
ADDRLP4 0
INDIRP4
CNSTI4 184
ADDP4
ADDRFP4 8
INDIRI4
ASGNI4
line 725
;725:	te->r.svFlags |= SVF_BROADCAST;
ADDRLP4 8
ADDRLP4 0
INDIRP4
CNSTI4 224
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 726
;726:}
LABELV $291
endproc G_SoundAtLoc 12 8
export G_EntitySound
proc G_EntitySound 8 8
line 733
;727:
;728:/*
;729:=============
;730:G_EntitySound
;731:=============
;732:*/
;733:void G_EntitySound( gentity_t *ent, int channel, int soundIndex ) {
line 736
;734:	gentity_t	*te;
;735:
;736:	te = G_TempEntity( ent->r.currentOrigin, EV_ENTITY_SOUND );
ADDRFP4 0
INDIRP4
CNSTI4 288
ADDP4
ARGP4
CNSTI4 33
ARGI4
ADDRLP4 4
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 737
;737:	te->s.eventParm = soundIndex;
ADDRLP4 0
INDIRP4
CNSTI4 184
ADDP4
ADDRFP4 8
INDIRI4
ASGNI4
line 738
;738:	te->s.weapon = ent->s.number;
ADDRLP4 0
INDIRP4
CNSTI4 196
ADDP4
ADDRFP4 0
INDIRP4
INDIRI4
ASGNI4
line 739
;739:}
LABELV $292
endproc G_EntitySound 8 8
export G_PointInBounds
proc G_PointInBounds 12 0
line 745
;740:
;741:
;742://==============================================================================
;743:
;744:qboolean G_PointInBounds( vec3_t point, vec3_t mins, vec3_t maxs )
;745:{
line 748
;746:	int i;
;747:
;748:	for(i = 0; i < 3; i++ )
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $294
line 749
;749:	{
line 750
;750:		if ( point[i] < mins[i] )
ADDRLP4 4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 4
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRF4
ADDRLP4 4
INDIRI4
ADDRFP4 4
INDIRP4
ADDP4
INDIRF4
GEF4 $298
line 751
;751:		{
line 752
;752:			return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $293
JUMPV
LABELV $298
line 754
;753:		}
;754:		if ( point[i] > maxs[i] )
ADDRLP4 8
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 8
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRF4
ADDRLP4 8
INDIRI4
ADDRFP4 8
INDIRP4
ADDP4
INDIRF4
LEF4 $300
line 755
;755:		{
line 756
;756:			return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $293
JUMPV
LABELV $300
line 758
;757:		}
;758:	}
LABELV $295
line 748
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $294
line 760
;759:
;760:	return qtrue;
CNSTI4 1
RETI4
LABELV $293
endproc G_PointInBounds 12 0
export G_BoxInBounds
proc G_BoxInBounds 56 0
line 764
;761:}
;762:
;763:qboolean G_BoxInBounds( vec3_t point, vec3_t mins, vec3_t maxs, vec3_t boundsMins, vec3_t boundsMaxs )
;764:{
line 768
;765:	vec3_t boxMins;
;766:	vec3_t boxMaxs;
;767:
;768:	VectorAdd( point, mins, boxMins );
ADDRLP4 24
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 28
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 24
INDIRP4
INDIRF4
ADDRLP4 28
INDIRP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 32
CNSTI4 4
ASGNI4
ADDRLP4 0+4
ADDRLP4 24
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
ADDRLP4 28
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 36
CNSTI4 8
ASGNI4
ADDRLP4 0+8
ADDRFP4 0
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
ADDRFP4 4
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
ADDF4
ASGNF4
line 769
;769:	VectorAdd( point, maxs, boxMaxs );
ADDRLP4 40
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 44
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 12
ADDRLP4 40
INDIRP4
INDIRF4
ADDRLP4 44
INDIRP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 48
CNSTI4 4
ASGNI4
ADDRLP4 12+4
ADDRLP4 40
INDIRP4
ADDRLP4 48
INDIRI4
ADDP4
INDIRF4
ADDRLP4 44
INDIRP4
ADDRLP4 48
INDIRI4
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 52
CNSTI4 8
ASGNI4
ADDRLP4 12+8
ADDRFP4 0
INDIRP4
ADDRLP4 52
INDIRI4
ADDP4
INDIRF4
ADDRFP4 8
INDIRP4
ADDRLP4 52
INDIRI4
ADDP4
INDIRF4
ADDF4
ASGNF4
line 771
;770:
;771:	if(boxMaxs[0]>boundsMaxs[0])
ADDRLP4 12
INDIRF4
ADDRFP4 16
INDIRP4
INDIRF4
LEF4 $307
line 772
;772:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $302
JUMPV
LABELV $307
line 774
;773:
;774:	if(boxMaxs[1]>boundsMaxs[1])
ADDRLP4 12+4
INDIRF4
ADDRFP4 16
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
LEF4 $309
line 775
;775:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $302
JUMPV
LABELV $309
line 777
;776:
;777:	if(boxMaxs[2]>boundsMaxs[2])
ADDRLP4 12+8
INDIRF4
ADDRFP4 16
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
LEF4 $312
line 778
;778:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $302
JUMPV
LABELV $312
line 780
;779:
;780:	if(boxMins[0]<boundsMins[0])
ADDRLP4 0
INDIRF4
ADDRFP4 12
INDIRP4
INDIRF4
GEF4 $315
line 781
;781:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $302
JUMPV
LABELV $315
line 783
;782:
;783:	if(boxMins[1]<boundsMins[1])
ADDRLP4 0+4
INDIRF4
ADDRFP4 12
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
GEF4 $317
line 784
;784:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $302
JUMPV
LABELV $317
line 786
;785:
;786:	if(boxMins[2]<boundsMins[2])
ADDRLP4 0+8
INDIRF4
ADDRFP4 12
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
GEF4 $320
line 787
;787:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $302
JUMPV
LABELV $320
line 790
;788:
;789:	//box is completely contained within bounds
;790:	return qtrue;
CNSTI4 1
RETI4
LABELV $302
endproc G_BoxInBounds 56 0
export G_SetAngles
proc G_SetAngles 0 0
line 795
;791:}
;792:
;793:
;794:void G_SetAngles( gentity_t *ent, vec3_t angles )
;795:{
line 796
;796:	VectorCopy( angles, ent->r.currentAngles );
ADDRFP4 0
INDIRP4
CNSTI4 300
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 797
;797:	VectorCopy( angles, ent->s.angles );
ADDRFP4 0
INDIRP4
CNSTI4 116
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 798
;798:	VectorCopy( angles, ent->s.apos.trBase );
ADDRFP4 0
INDIRP4
CNSTI4 60
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 799
;799:}
LABELV $323
endproc G_SetAngles 0 0
bss
align 4
LABELV $325
skip 56
export G_ClearTrace
code
proc G_ClearTrace 4 28
line 802
;800:
;801:qboolean G_ClearTrace( vec3_t start, vec3_t mins, vec3_t maxs, vec3_t end, int ignore, int clipmask )
;802:{
line 805
;803:	static	trace_t	tr;
;804:
;805:	trap_Trace( &tr, start, mins, maxs, end, ignore, clipmask );
ADDRGP4 $325
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRFP4 12
INDIRP4
ARGP4
ADDRFP4 16
INDIRI4
ARGI4
ADDRFP4 20
INDIRI4
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 807
;806:
;807:	if ( tr.allsolid || tr.startsolid || tr.fraction < 1.0 )
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $325
INDIRI4
ADDRLP4 0
INDIRI4
NEI4 $331
ADDRGP4 $325+4
INDIRI4
ADDRLP4 0
INDIRI4
NEI4 $331
ADDRGP4 $325+8
INDIRF4
CNSTF4 1065353216
GEF4 $326
LABELV $331
line 808
;808:	{
line 809
;809:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $324
JUMPV
LABELV $326
line 812
;810:	}
;811:
;812:	return qtrue;
CNSTI4 1
RETI4
LABELV $324
endproc G_ClearTrace 4 28
export G_SetOrigin
proc G_SetOrigin 8 0
line 823
;813:}
;814:
;815:
;816:/*
;817:================
;818:G_SetOrigin
;819:
;820:Sets the pos trajectory for a fixed position
;821:================
;822:*/
;823:void G_SetOrigin( gentity_t *ent, vec3_t origin ) {
line 824
;824:	VectorCopy( origin, ent->s.pos.trBase );
ADDRFP4 0
INDIRP4
CNSTI4 24
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 825
;825:	ent->s.pos.trType = TR_STATIONARY;
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 0
ASGNI4
line 826
;826:	ent->s.pos.trTime = 0;
ADDRFP4 0
INDIRP4
CNSTI4 16
ADDP4
CNSTI4 0
ASGNI4
line 827
;827:	ent->s.pos.trDuration = 0;
ADDRFP4 0
INDIRP4
CNSTI4 20
ADDP4
CNSTI4 0
ASGNI4
line 828
;828:	VectorClear( ent->s.pos.trDelta );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
CNSTF4 0
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 44
ADDP4
ADDRLP4 4
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 40
ADDP4
ADDRLP4 4
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 36
ADDP4
ADDRLP4 4
INDIRF4
ASGNF4
line 830
;829:
;830:	VectorCopy( origin, ent->r.currentOrigin );
ADDRFP4 0
INDIRP4
CNSTI4 288
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 831
;831:}
LABELV $332
endproc G_SetOrigin 8 0
lit
align 4
LABELV $334
byte 4 0
byte 4 0
byte 4 1065353216
export DebugLine
code
proc DebugLine 116 12
line 841
;832:
;833:/*
;834:================
;835:DebugLine
;836:
;837:  debug polygons only work when running a local game
;838:  with r_debugSurface set to 2
;839:================
;840:*/
;841:int DebugLine(vec3_t start, vec3_t end, int color) {
line 842
;842:	vec3_t points[4], dir, cross, up = {0, 0, 1};
ADDRLP4 72
ADDRGP4 $334
INDIRB
ASGNB 12
line 845
;843:	float dot;
;844:
;845:	VectorCopy(start, points[0]);
ADDRLP4 0
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 846
;846:	VectorCopy(start, points[1]);
ADDRLP4 0+12
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 848
;847:	//points[1][2] -= 2;
;848:	VectorCopy(end, points[2]);
ADDRLP4 0+24
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 850
;849:	//points[2][2] -= 2;
;850:	VectorCopy(end, points[3]);
ADDRLP4 0+36
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 853
;851:
;852:
;853:	VectorSubtract(end, start, dir);
ADDRLP4 88
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 92
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 60
ADDRLP4 88
INDIRP4
INDIRF4
ADDRLP4 92
INDIRP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 96
CNSTI4 4
ASGNI4
ADDRLP4 60+4
ADDRLP4 88
INDIRP4
ADDRLP4 96
INDIRI4
ADDP4
INDIRF4
ADDRLP4 92
INDIRP4
ADDRLP4 96
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 100
CNSTI4 8
ASGNI4
ADDRLP4 60+8
ADDRFP4 4
INDIRP4
ADDRLP4 100
INDIRI4
ADDP4
INDIRF4
ADDRFP4 0
INDIRP4
ADDRLP4 100
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 854
;854:	VectorNormalize(dir);
ADDRLP4 60
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 855
;855:	dot = DotProduct(dir, up);
ADDRLP4 84
ADDRLP4 60
INDIRF4
ADDRLP4 72
INDIRF4
MULF4
ADDRLP4 60+4
INDIRF4
ADDRLP4 72+4
INDIRF4
MULF4
ADDF4
ADDRLP4 60+8
INDIRF4
ADDRLP4 72+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 856
;856:	if (dot > 0.99 || dot < -0.99) VectorSet(cross, 1, 0, 0);
ADDRLP4 84
INDIRF4
CNSTF4 1065185444
GTF4 $346
ADDRLP4 84
INDIRF4
CNSTF4 3212669092
GEF4 $344
LABELV $346
ADDRLP4 48
CNSTF4 1065353216
ASGNF4
ADDRLP4 48+4
CNSTF4 0
ASGNF4
ADDRLP4 48+8
CNSTF4 0
ASGNF4
ADDRGP4 $345
JUMPV
LABELV $344
line 857
;857:	else CrossProduct(dir, up, cross);
ADDRLP4 60
ARGP4
ADDRLP4 72
ARGP4
ADDRLP4 48
ARGP4
ADDRGP4 CrossProduct
CALLV
pop
LABELV $345
line 859
;858:
;859:	VectorNormalize(cross);
ADDRLP4 48
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 861
;860:
;861:	VectorMA(points[0], 2, cross, points[0]);
ADDRLP4 108
CNSTF4 1073741824
ASGNF4
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 108
INDIRF4
ADDRLP4 48
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 108
INDIRF4
ADDRLP4 48+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
CNSTF4 1073741824
ADDRLP4 48+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 862
;862:	VectorMA(points[1], -2, cross, points[1]);
ADDRLP4 0+12
ADDRLP4 0+12
INDIRF4
CNSTF4 3221225472
ADDRLP4 48
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+12+4
ADDRLP4 0+12+4
INDIRF4
CNSTF4 3221225472
ADDRLP4 48+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+12+8
ADDRLP4 0+12+8
INDIRF4
CNSTF4 3221225472
ADDRLP4 48+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 863
;863:	VectorMA(points[2], -2, cross, points[2]);
ADDRLP4 0+24
ADDRLP4 0+24
INDIRF4
CNSTF4 3221225472
ADDRLP4 48
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+24+4
ADDRLP4 0+24+4
INDIRF4
CNSTF4 3221225472
ADDRLP4 48+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+24+8
ADDRLP4 0+24+8
INDIRF4
CNSTF4 3221225472
ADDRLP4 48+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 864
;864:	VectorMA(points[3], 2, cross, points[3]);
ADDRLP4 0+36
ADDRLP4 0+36
INDIRF4
CNSTF4 1073741824
ADDRLP4 48
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+36+4
ADDRLP4 0+36+4
INDIRF4
CNSTF4 1073741824
ADDRLP4 48+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+36+8
ADDRLP4 0+36+8
INDIRF4
CNSTF4 1073741824
ADDRLP4 48+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 866
;865:
;866:	return trap_DebugPolygonCreate(color, 4, points);
ADDRFP4 8
INDIRI4
ARGI4
CNSTI4 4
ARGI4
ADDRLP4 0
ARGP4
ADDRLP4 112
ADDRGP4 trap_DebugPolygonCreate
CALLI4
ASGNI4
ADDRLP4 112
INDIRI4
RETI4
LABELV $333
endproc DebugLine 116 12
bss
export remappedShaders
align 4
LABELV remappedShaders
skip 16896
import G_DoGameTypeMessage
import G_GlobalSound
import G_ClientSound
import G_ApplyAntiLag
import G_UndoAntiLag
import G_UpdateClientAntiLag
import trap_GT_SendEvent
import trap_GT_Start
import trap_GT_RunFrame
import trap_GT_Init
import trap_CM_RegisterTerrain
import trap_SnapVector
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotAddAvoidSpot
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotSetAvoidGoalTime
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_ForcePower
import trap_EA_Alt_Attack
import trap_EA_View
import trap_EA_Move
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_SelectWeapon
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_Gesture
import trap_EA_Action
import trap_EA_Command
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AlternativeRouteGoals
import trap_AAS_PredictRoute
import trap_AAS_EnableRoutingArea
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointReachabilityAreaIndex
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_AAS_AreaInfo
import trap_AAS_BBoxAreas
import trap_BotUserCommand
import trap_BotGetServerCommand
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_BotFreeMemoryGame
import trap_BotGetMemoryGame
import trap_GetWorldBounds
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetActiveSubBSP
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_RMG_Init
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_suddenDeath
import g_voiceTalkingGhosts
import g_voiceFloodPenalty
import g_voiceFloodCount
import g_teamkillNoExcuseMultiplier
import g_teamkillNoExcuseTime
import g_teamkillBanTime
import g_teamkillDamageForgive
import g_teamkillDamageMax
import g_teamkillPenalty
import g_suicidePenalty
import g_pickupsDisabled
import g_mapcycle
import g_followEnemy
import g_forceFollow
import g_availableWeapons
import g_roundstartdelay
import g_timeextension
import g_roundjointime
import g_roundtimelimit
import g_timeouttospec
import g_debugRMG
import RMG
import g_respawnInvulnerability
import g_respawnInterval
import g_rankings
import pmove_msec
import pmove_fixed
import g_smoothClients
import g_teamForceBalance
import g_teamAutoJoin
import g_failedVoteDelay
import g_voteKickBanTime
import g_voteDuration
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_backpackRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_timelimit
import g_scorelimit
import g_dmflags
import g_logHits
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_addBotsFast
import g_cloneChecker
import g_compMode
import g_useColorInNames
import g_onFireUntilDeath
import g_headshotMessage
import g_announceKillSpree
import g_botHeadLock
import g_entities
import level
import Team_GetLocationMsg
import Team_GetLocation
import G_AddTeamScore
import TeamColorString
import OtherTeamName
import TeamSkins
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import OrgVisible
import G_DropGametypeItems
import gametype_item_use
import G_ResetGametypeItem
import G_CanGametypeTriggerBeUsed
import G_ResetGametype
import G_ExecuteGametypeScript
import G_ParseGametypeFile
import G_SelectRandomGametypeSpawnPoint
import G_SpawnGametypeItem
import G_SelectGametypeSpawnPoint
import G_LoadArenas
import G_DoesMapExist
import G_DoesMapSupportGametype
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_RemoveQueuedBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Team_CheckDroppedItem
import OnSameTeam
import G_RunClient
import ClientEndFrame
import ClientThink
import G_CheckClientTeamkill
import G_CheckClientTimeouts
import G_GametypeCommand
import G_SelectRandomSpawnPoint
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import CheckGametype
import SendScoreboardMessageToAllClients
import G_LogPrintf
import G_RunThink
import SetLeader
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import ProDeathmatchScoreboardMessage
import MoveClientToIntermission
import G_FireProjectile
import G_FireWeapon
import ConsoleCommand
import G_IgnoreClientChat
import G_IsClientChatIgnored
import G_AddClientSpawn
import G_FindNearbyClient
import G_SetRespawnTimer
import G_UpdateClientAnimations
import G_SpotWouldTelefrag
import CalculateRanks
import G_AddScore
import G_InitBodyQueue
import player_die
import ClientSpawn
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import CopyToBodyQue
import SetClientViewAngle
import PickTeam
import G_GhostCount
import TeamCount
import G_ClientCleanName
import G_IsClientDead
import G_IsClientSpectating
import G_InitHitModels
import SnapVectorTowards
import TeleportPlayer
import InitTrigger
import trigger_teleporter_touch
import G_ResetGlass
import Touch_DoorTrigger
import G_RunMover
import G_GrenadeThink
import G_ExplodeMissile
import G_BounceProjectile
import G_CreateDamageArea
import G_CreateMissile
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import G_GetHitLocation
import CanDamage
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_CollisionDetect
import trap_G2API_CleanGhoul2Models
import G_RunObject
import G_TouchSolids
import G_TouchTriggers
import G_RadiusList
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import G_DropWeapon
import LaunchItem
import G_DropItem
import PrecacheItem
import RespawnItem
import G_RunItem
import ItemUse_MedPack
import ItemUse_Seeker
import ItemUse_Sentry
import ItemUse_Shield
import G_CanVoiceGlobal
import G_VoiceGlobal
import G_Voice
import G_SpawnDebugCylinder
import CheatsOk
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import G_StartGhosting
import G_StopGhosting
import G_StopFollowing
import Cmd_Score_f
import AddSpawnField
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnGEntityFromSpawnVars
import G_ParseSpawnVars
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $289
char 1 37
char 1 105
char 1 0
align 1
LABELV $282
char 1 71
char 1 95
char 1 65
char 1 100
char 1 100
char 1 69
char 1 118
char 1 101
char 1 110
char 1 116
char 1 58
char 1 32
char 1 122
char 1 101
char 1 114
char 1 111
char 1 32
char 1 101
char 1 118
char 1 101
char 1 110
char 1 116
char 1 32
char 1 97
char 1 100
char 1 100
char 1 101
char 1 100
char 1 32
char 1 102
char 1 111
char 1 114
char 1 32
char 1 101
char 1 110
char 1 116
char 1 105
char 1 116
char 1 121
char 1 32
char 1 37
char 1 105
char 1 10
char 1 0
align 1
LABELV $257
char 1 116
char 1 101
char 1 109
char 1 112
char 1 69
char 1 110
char 1 116
char 1 105
char 1 116
char 1 121
char 1 0
align 1
LABELV $244
char 1 102
char 1 114
char 1 101
char 1 101
char 1 100
char 1 0
align 1
LABELV $228
char 1 71
char 1 95
char 1 83
char 1 112
char 1 97
char 1 119
char 1 110
char 1 58
char 1 32
char 1 110
char 1 111
char 1 32
char 1 102
char 1 114
char 1 101
char 1 101
char 1 32
char 1 101
char 1 110
char 1 116
char 1 105
char 1 116
char 1 105
char 1 101
char 1 115
char 1 0
align 1
LABELV $226
char 1 37
char 1 52
char 1 105
char 1 58
char 1 32
char 1 37
char 1 115
char 1 10
char 1 0
align 1
LABELV $200
char 1 110
char 1 111
char 1 99
char 1 108
char 1 97
char 1 115
char 1 115
char 1 0
align 1
LABELV $180
char 1 40
char 1 37
char 1 105
char 1 32
char 1 37
char 1 105
char 1 32
char 1 37
char 1 105
char 1 41
char 1 0
align 1
LABELV $165
char 1 101
char 1 110
char 1 116
char 1 105
char 1 116
char 1 121
char 1 32
char 1 119
char 1 97
char 1 115
char 1 32
char 1 114
char 1 101
char 1 109
char 1 111
char 1 118
char 1 101
char 1 100
char 1 32
char 1 119
char 1 104
char 1 105
char 1 108
char 1 101
char 1 32
char 1 117
char 1 115
char 1 105
char 1 110
char 1 103
char 1 32
char 1 116
char 1 97
char 1 114
char 1 103
char 1 101
char 1 116
char 1 115
char 1 10
char 1 0
align 1
LABELV $160
char 1 87
char 1 65
char 1 82
char 1 78
char 1 73
char 1 78
char 1 71
char 1 58
char 1 32
char 1 69
char 1 110
char 1 116
char 1 105
char 1 116
char 1 121
char 1 32
char 1 117
char 1 115
char 1 101
char 1 100
char 1 32
char 1 105
char 1 116
char 1 115
char 1 101
char 1 108
char 1 102
char 1 46
char 1 10
char 1 0
align 1
LABELV $153
char 1 71
char 1 95
char 1 80
char 1 105
char 1 99
char 1 107
char 1 84
char 1 97
char 1 114
char 1 103
char 1 101
char 1 116
char 1 58
char 1 32
char 1 116
char 1 97
char 1 114
char 1 103
char 1 101
char 1 116
char 1 32
char 1 37
char 1 115
char 1 32
char 1 110
char 1 111
char 1 116
char 1 32
char 1 102
char 1 111
char 1 117
char 1 110
char 1 100
char 1 10
char 1 0
align 1
LABELV $143
char 1 71
char 1 95
char 1 80
char 1 105
char 1 99
char 1 107
char 1 84
char 1 97
char 1 114
char 1 103
char 1 101
char 1 116
char 1 32
char 1 99
char 1 97
char 1 108
char 1 108
char 1 101
char 1 100
char 1 32
char 1 119
char 1 105
char 1 116
char 1 104
char 1 32
char 1 78
char 1 85
char 1 76
char 1 76
char 1 32
char 1 116
char 1 97
char 1 114
char 1 103
char 1 101
char 1 116
char 1 110
char 1 97
char 1 109
char 1 101
char 1 10
char 1 0
align 1
LABELV $125
char 1 37
char 1 115
char 1 0
align 1
LABELV $108
char 1 71
char 1 95
char 1 70
char 1 105
char 1 110
char 1 100
char 1 67
char 1 111
char 1 110
char 1 102
char 1 105
char 1 103
char 1 115
char 1 116
char 1 114
char 1 105
char 1 110
char 1 103
char 1 73
char 1 110
char 1 100
char 1 101
char 1 120
char 1 58
char 1 32
char 1 111
char 1 118
char 1 101
char 1 114
char 1 102
char 1 108
char 1 111
char 1 119
char 1 0
align 1
LABELV $89
char 1 37
char 1 115
char 1 61
char 1 37
char 1 115
char 1 58
char 1 37
char 1 53
char 1 46
char 1 50
char 1 102
char 1 64
char 1 0
