data
export hitLocationConversion
align 4
LABELV hitLocationConversion
byte 4 -1
byte 4 0
byte 4 0
byte 4 0
byte 4 1024
byte 4 3212836864
byte 4 1
byte 4 16
byte 4 1060320051
byte 4 4
byte 4 262144
byte 4 3221225472
byte 4 8
byte 4 131072
byte 4 1065353216
byte 4 12
byte 4 2
byte 4 1053609165
byte 4 16
byte 4 65536
byte 4 1065353216
byte 4 20
byte 4 512
byte 4 1060320051
byte 4 24
byte 4 128
byte 4 1053609165
byte 4 28
byte 4 32768
byte 4 1065353216
byte 4 32
byte 4 256
byte 4 1060320051
byte 4 36
byte 4 64
byte 4 1053609165
byte 4 40
byte 4 2048
byte 4 1065353216
byte 4 44
byte 4 2048
byte 4 1065353216
byte 4 48
byte 4 8
byte 4 1060320051
byte 4 52
byte 4 32
byte 4 1060320051
byte 4 56
byte 4 1
byte 4 1053609165
byte 4 60
byte 4 4
byte 4 1060320051
export G_CheckSniperCall
code
proc G_CheckSniperCall 56 16
file "../g_weapon.c"
line 53
;1:// Copyright (C) 2001-2002 Raven Software
;2://
;3:// g_weapon.c 
;4:// perform the server side effects of a weapon firing
;5:
;6:#include "g_local.h"
;7:#include "be_aas.h"
;8:
;9:extern qboolean G_BoxInBounds( vec3_t point, vec3_t mins, vec3_t maxs, vec3_t boundsMins, vec3_t boundsMaxs );
;10:
;11:typedef struct hitLocationConversion_s
;12:{
;13:	int		SOF2poses;
;14:	int		hitLocation;
;15:	float	damageMultiplier;
;16:} hitLocationConversion_t;
;17:
;18:#define HITLOC_HEAD_DM -1.0f
;19:#define HITLOC_NECK_DM -2.0f
;20:
;21:#define HL_CONV_MAX			18
;22:
;23:hitLocationConversion_t	hitLocationConversion[HL_CONV_MAX] =
;24:{
;25:	{-1,	HL_NONE			,0	},				// UNKNOWN
;26:	{0,		HL_HEAD			,HITLOC_HEAD_DM	},	// "HEAD"
;27:	{1,		HL_LEG_LOWER_RT	,0.7f},				// "RIGHT LEG"
;28:	{4,		HL_NECK			,HITLOC_NECK_DM},	// "NECK"
;29:	{8,		HL_CHEST		,1.0f},				// "CHEST"
;30:	{12,	HL_FOOT_LT		,0.4f},				// "RIGHT FOOT"
;31:	{16,	HL_CHEST_LT		,1.0f},				// "LEFT SHOULDER"
;32:	{20,	HL_ARM_LT		,0.7f},				// "LEFT ARM"
;33:	{24,	HL_HAND_LT		,0.4f},				// "LEFT HAND"
;34:	{28,	HL_CHEST_RT		,1.0f},				// "RIGHT SHOULDER"
;35:	{32,	HL_ARM_RT		,0.7f},				// "RIGHT ARM"
;36:	{36,	HL_HAND_RT		,0.4f},				// "RIGHT HAND"
;37:	{40,	HL_WAIST		,1.0f},				// "GUT"
;38:	{44,	HL_WAIST		,1.0f},				// "GROIN"
;39:	{48,	HL_LEG_UPPER_LT	,0.7f},				// "LEFT THIGH"
;40:	{52,	HL_LEG_LOWER_LT	,0.7f},				// "LEFT LEG"
;41:	{56,	HL_FOOT_RT		,0.4f},				// "LEFT FOOT"
;42:	{60,	HL_LEG_UPPER_RT	,0.7f},				// "RIGHT THIGH"
;43:};
;44:
;45:/*
;46:===============
;47:G_CheckSniperCall
;48:
;49:Checks to see if the client or someone near him should yell "sniper"
;50:===============
;51:*/
;52:void G_CheckSniperCall ( weapon_t weapon, gentity_t* attacker, gentity_t* target, qboolean miss )
;53:{
line 57
;54:	vec3_t diff;
;55:
;56:	// If it was a sniper that shot this guy then play the sniper voice
;57:	if ( !G_CanVoiceGlobal ( ) )
ADDRLP4 12
ADDRGP4 G_CanVoiceGlobal
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $71
line 58
;58:	{
line 59
;59:		return;
ADDRGP4 $70
JUMPV
LABELV $71
line 63
;60:	}
;61:
;62:	// Needs to have been a snipe rifle and an enemy
;63:	if ( weapon != WP_MSG90A1 || OnSameTeam ( attacker, target ) )
ADDRFP4 0
INDIRI4
CNSTI4 13
NEI4 $75
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 16
ADDRGP4 OnSameTeam
CALLI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 0
EQI4 $73
LABELV $75
line 64
;64:	{
line 65
;65:		return;
ADDRGP4 $70
JUMPV
LABELV $73
line 69
;66:	}
;67:
;68:	// Make sure hes not close
;69:	VectorSubtract ( attacker->r.currentOrigin, target->r.currentOrigin, diff );
ADDRLP4 20
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 24
CNSTI4 288
ASGNI4
ADDRLP4 28
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 20
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRF4
ADDRLP4 28
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 32
CNSTI4 292
ASGNI4
ADDRLP4 0+4
ADDRLP4 20
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
ADDRLP4 28
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 36
CNSTI4 296
ASGNI4
ADDRLP4 0+8
ADDRFP4 4
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
ADDRFP4 8
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 70
;70:	if ( VectorLengthSquared ( diff ) > 1500 * 1500 )
ADDRLP4 0
ARGP4
ADDRLP4 40
ADDRGP4 VectorLengthSquared
CALLF4
ASGNF4
ADDRLP4 40
INDIRF4
CNSTF4 1242125376
LEF4 $78
line 71
;71:	{
line 75
;72:		gentity_t* nearby;
;73:
;74:		// Find someone close
;75:		nearby = G_FindNearbyClient ( target->r.currentOrigin, target->client->sess.team, 800, target );
ADDRLP4 48
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 48
INDIRP4
CNSTI4 288
ADDP4
ARGP4
ADDRLP4 48
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 1332
ADDP4
INDIRI4
ARGI4
CNSTF4 1145569280
ARGF4
ADDRLP4 48
INDIRP4
ARGP4
ADDRLP4 52
ADDRGP4 G_FindNearbyClient
CALLP4
ASGNP4
ADDRLP4 44
ADDRLP4 52
INDIRP4
ASGNP4
line 78
;76:
;77:		// if it was a miss have the guy that was shot at say it
;78:		if ( miss )
ADDRFP4 12
INDIRI4
CNSTI4 0
EQI4 $80
line 79
;79:		{
line 80
;80:			if ( nearby )
ADDRLP4 44
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $81
line 81
;81:			{
line 82
;82:				G_VoiceGlobal ( target, "sniper", qfalse );
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 $84
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 G_VoiceGlobal
CALLV
pop
line 83
;83:			}
line 84
;84:		}
ADDRGP4 $81
JUMPV
LABELV $80
line 86
;85:		// Look for someone around the guy being shot at to say sniper
;86:		else if ( nearby )
ADDRLP4 44
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $85
line 87
;87:		{
line 88
;88:			G_VoiceGlobal ( nearby, "sniper", qfalse );
ADDRLP4 44
INDIRP4
ARGP4
ADDRGP4 $84
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 G_VoiceGlobal
CALLV
pop
line 89
;89:		}
LABELV $85
LABELV $81
line 90
;90:	}
LABELV $78
line 91
;91:}
LABELV $70
endproc G_CheckSniperCall 56 16
export G_TraceBullet
proc G_TraceBullet 224 44
line 101
;92:
;93:/*
;94:===============
;95:G_TraceBullet
;96:
;97:Runs a trace for a fired bullet
;98:===============
;99:*/
;100:void G_TraceBullet ( weapon_t weapon, trace_t* tr, G2Trace_t G2Trace, vec3_t start, vec3_t end, int passent, int mask, qboolean detailed )
;101:{
line 105
;102:	int			unlinkCount;
;103:	gentity_t*	unlinked[20];
;104:
;105:	unlinkCount = 0;
ADDRLP4 0
CNSTI4 0
ASGNI4
line 107
;106:
;107:	G2Trace[0].mEntityNum = -1;
ADDRFP4 8
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 -1
ASGNI4
ADDRGP4 $89
JUMPV
LABELV $88
line 110
;108:
;109:	while ( 1 )
;110:	{
line 112
;111:		// Run the trace as is
;112:		trap_Trace ( tr, start, NULL, NULL, end, passent, mask );
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 12
INDIRP4
ARGP4
ADDRLP4 84
CNSTP4 0
ASGNP4
ADDRLP4 84
INDIRP4
ARGP4
ADDRLP4 84
INDIRP4
ARGP4
ADDRFP4 16
INDIRP4
ARGP4
ADDRFP4 20
INDIRI4
ARGI4
ADDRFP4 24
INDIRI4
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 115
;113:
;114:		// If the bullet hit glass then break it completely for now
;115:		if ( tr->fraction != 1 && !Q_stricmp ( g_entities[ tr->entityNum ].classname, "func_glass" ) )
ADDRLP4 88
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 88
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
CNSTF4 1065353216
EQF4 $91
CNSTI4 636
ADDRLP4 88
INDIRP4
CNSTI4 52
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities+336
ADDP4
INDIRP4
ARGP4
ADDRGP4 $94
ARGP4
ADDRLP4 92
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 92
INDIRI4
CNSTI4 0
NEI4 $91
line 116
;116:		{
line 118
;117:			// break the glass
;118:			g_entities[ tr->entityNum ].use ( &g_entities[ tr->entityNum ], &g_entities[ tr->entityNum ], &g_entities[ tr->entityNum ] );
ADDRLP4 96
CNSTI4 636
ADDRFP4 4
INDIRP4
CNSTI4 52
ADDP4
INDIRI4
MULI4
ASGNI4
ADDRLP4 100
ADDRLP4 96
INDIRI4
ADDRGP4 g_entities
ADDP4
ASGNP4
ADDRLP4 100
INDIRP4
ARGP4
ADDRLP4 100
INDIRP4
ARGP4
ADDRLP4 100
INDIRP4
ARGP4
ADDRLP4 96
INDIRI4
ADDRGP4 g_entities+524
ADDP4
INDIRP4
CALLV
pop
line 119
;119:			continue;
ADDRGP4 $89
JUMPV
LABELV $91
line 123
;120:		}
;121:
;122:		// If we hit a client, do a detailed trace
;123:		if ( detailed && tr->fraction != 1 && g_entities[ tr->entityNum ].client )
ADDRFP4 28
INDIRI4
CNSTI4 0
EQI4 $127
ADDRLP4 96
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 96
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
CNSTF4 1065353216
EQF4 $127
CNSTI4 636
ADDRLP4 96
INDIRP4
CNSTI4 52
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities+328
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $127
line 124
;124:		{
line 129
;125:			animation_t*	anim;
;126:			gentity_t*		traceEnt;
;127:			trace_t			vtr;
;128:
;129:			traceEnt = &g_entities[ tr->entityNum ];
ADDRLP4 100
CNSTI4 636
ADDRFP4 4
INDIRP4
CNSTI4 52
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 131
;130:
;131:			anim = &level.ghoulAnimations[traceEnt->client->legs.anim&(~ANIM_TOGGLEBIT)];
ADDRLP4 104
CNSTI4 28
ADDRLP4 100
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 6632
ADDP4
INDIRI4
CNSTI4 -2049
BANDI4
MULI4
ADDRGP4 level+7864
ADDP4
ASGNP4
line 132
;132:			trap_G2API_SetBoneAnim(level.serverGhoul2, 0, "model_root", anim->firstFrame, anim->firstFrame + anim->numFrames, BONE_ANIM_OVERRIDE_LOOP, 50.0f / anim->frameLerp, traceEnt->client->legs.animTime, -1, 0);
ADDRGP4 level+7860
INDIRP4
ARGP4
ADDRLP4 164
CNSTI4 0
ASGNI4
ADDRLP4 164
INDIRI4
ARGI4
ADDRGP4 $101
ARGP4
ADDRLP4 172
ADDRLP4 104
INDIRP4
INDIRI4
ASGNI4
ADDRLP4 172
INDIRI4
ARGI4
ADDRLP4 172
INDIRI4
ADDRLP4 104
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ADDI4
ARGI4
CNSTI4 16
ARGI4
CNSTF4 1112014848
ADDRLP4 104
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CVIF4 4
DIVF4
ARGF4
ADDRLP4 100
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 6636
ADDP4
INDIRI4
ARGI4
CNSTF4 3212836864
ARGF4
ADDRLP4 164
INDIRI4
ARGI4
ADDRGP4 trap_G2API_SetBoneAnim
CALLI4
pop
line 134
;133:
;134:			anim = &level.ghoulAnimations[traceEnt->client->torso.anim&(~ANIM_TOGGLEBIT)];
ADDRLP4 104
CNSTI4 28
ADDRLP4 100
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 6608
ADDP4
INDIRI4
CNSTI4 -2049
BANDI4
MULI4
ADDRGP4 level+7864
ADDP4
ASGNP4
line 135
;135:			trap_G2API_SetBoneAnim(level.serverGhoul2, 0, "lower_lumbar", anim->firstFrame, anim->firstFrame + anim->numFrames, BONE_ANIM_OVERRIDE_LOOP, 50.0f / anim->frameLerp, traceEnt->client->torso.animTime, -1, 0);
ADDRGP4 level+7860
INDIRP4
ARGP4
ADDRLP4 176
CNSTI4 0
ASGNI4
ADDRLP4 176
INDIRI4
ARGI4
ADDRGP4 $104
ARGP4
ADDRLP4 184
ADDRLP4 104
INDIRP4
INDIRI4
ASGNI4
ADDRLP4 184
INDIRI4
ARGI4
ADDRLP4 184
INDIRI4
ADDRLP4 104
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ADDI4
ARGI4
CNSTI4 16
ARGI4
CNSTF4 1112014848
ADDRLP4 104
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CVIF4 4
DIVF4
ARGF4
ADDRLP4 100
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 6612
ADDP4
INDIRI4
ARGI4
CNSTF4 3212836864
ARGF4
ADDRLP4 176
INDIRI4
ARGI4
ADDRGP4 trap_G2API_SetBoneAnim
CALLI4
pop
line 137
;136:
;137:			trap_G2API_SetBoneAngles( level.serverGhoul2, 0, "upper_lumbar", traceEnt->client->ghoulUpperTorsoAngles, BONE_ANGLES_POSTMULT, POSITIVE_X, NEGATIVE_Y, NEGATIVE_Z, 0, 0, level.time ); 
ADDRGP4 level+7860
INDIRP4
ARGP4
ADDRLP4 188
CNSTI4 0
ASGNI4
ADDRLP4 188
INDIRI4
ARGI4
ADDRGP4 $106
ARGP4
ADDRLP4 100
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 6664
ADDP4
ARGP4
CNSTI4 2
ARGI4
CNSTI4 1
ARGI4
CNSTI4 6
ARGI4
CNSTI4 5
ARGI4
CNSTP4 0
ARGP4
ADDRLP4 188
INDIRI4
ARGI4
ADDRGP4 level+64
INDIRI4
ARGI4
ADDRGP4 trap_G2API_SetBoneAngles
CALLI4
pop
line 138
;138:			trap_G2API_SetBoneAngles( level.serverGhoul2, 0, "lower_lumbar", traceEnt->client->ghoulLowerTorsoAngles, BONE_ANGLES_POSTMULT, POSITIVE_X, NEGATIVE_Y, NEGATIVE_Z, 0, 0, level.time ); 
ADDRGP4 level+7860
INDIRP4
ARGP4
ADDRLP4 192
CNSTI4 0
ASGNI4
ADDRLP4 192
INDIRI4
ARGI4
ADDRGP4 $104
ARGP4
ADDRLP4 100
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 6652
ADDP4
ARGP4
CNSTI4 2
ARGI4
CNSTI4 1
ARGI4
CNSTI4 6
ARGI4
CNSTI4 5
ARGI4
CNSTP4 0
ARGP4
ADDRLP4 192
INDIRI4
ARGI4
ADDRGP4 level+64
INDIRI4
ARGI4
ADDRGP4 trap_G2API_SetBoneAngles
CALLI4
pop
line 139
;139:			trap_G2API_SetBoneAngles( level.serverGhoul2, 0, "cranium",		 traceEnt->client->ghoulHeadAngles, BONE_ANGLES_POSTMULT, POSITIVE_Z, NEGATIVE_Y, POSITIVE_X, 0,0, level.time ); 
ADDRGP4 level+7860
INDIRP4
ARGP4
ADDRLP4 196
CNSTI4 0
ASGNI4
ADDRLP4 196
INDIRI4
ARGI4
ADDRGP4 $111
ARGP4
ADDRLP4 100
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 6676
ADDP4
ARGP4
ADDRLP4 200
CNSTI4 2
ASGNI4
ADDRLP4 200
INDIRI4
ARGI4
ADDRLP4 200
INDIRI4
ARGI4
CNSTI4 6
ARGI4
CNSTI4 1
ARGI4
CNSTP4 0
ARGP4
ADDRLP4 196
INDIRI4
ARGI4
ADDRGP4 level+64
INDIRI4
ARGI4
ADDRGP4 trap_G2API_SetBoneAngles
CALLI4
pop
line 141
;140:
;141:			trap_G2API_CollisionDetect ( G2Trace, level.serverGhoul2, traceEnt->client->ghoulLegsAngles, traceEnt->r.currentOrigin, level.time, traceEnt->s.number, start, end, vec3_identity, 0, 2 );
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 level+7860
INDIRP4
ARGP4
ADDRLP4 100
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 6640
ADDP4
ARGP4
ADDRLP4 100
INDIRP4
CNSTI4 288
ADDP4
ARGP4
ADDRGP4 level+64
INDIRI4
ARGI4
ADDRLP4 100
INDIRP4
INDIRI4
ARGI4
ADDRFP4 12
INDIRP4
ARGP4
ADDRFP4 16
INDIRP4
ARGP4
ADDRGP4 vec3_identity
ARGP4
CNSTI4 0
ARGI4
CNSTI4 2
ARGI4
ADDRGP4 trap_G2API_CollisionDetect
CALLV
pop
line 144
;142:
;143:			// Check to see if anyone should yell SNIPER!
;144:			G_CheckSniperCall ( weapon, &g_entities[passent], traceEnt, G2Trace[0].mEntityNum != traceEnt->s.number ? qtrue : qfalse );
ADDRFP4 0
INDIRI4
ARGI4
CNSTI4 636
ADDRFP4 20
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ARGP4
ADDRLP4 100
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ADDRLP4 100
INDIRP4
INDIRI4
EQI4 $116
ADDRLP4 208
CNSTI4 1
ASGNI4
ADDRGP4 $117
JUMPV
LABELV $116
ADDRLP4 208
CNSTI4 0
ASGNI4
LABELV $117
ADDRLP4 208
INDIRI4
ARGI4
ADDRGP4 G_CheckSniperCall
CALLV
pop
line 147
;145:
;146:			// Did we hit?
;147:			if ( G2Trace[0].mEntityNum == -1 )
ADDRFP4 8
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 -1
NEI4 $118
line 148
;148:			{
line 149
;149:				unlinked[unlinkCount++] = traceEnt;
ADDRLP4 216
ADDRLP4 0
INDIRI4
ASGNI4
ADDRLP4 0
ADDRLP4 216
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 216
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
ADDRLP4 100
INDIRP4
ASGNP4
line 150
;150:				trap_UnlinkEntity ( traceEnt );
ADDRLP4 100
INDIRP4
ARGP4
ADDRGP4 trap_UnlinkEntity
CALLV
pop
line 151
;151:				continue;
ADDRGP4 $89
JUMPV
LABELV $118
line 154
;152:			}
;153:
;154:			trap_UnlinkEntity ( traceEnt );
ADDRLP4 100
INDIRP4
ARGP4
ADDRGP4 trap_UnlinkEntity
CALLV
pop
line 162
;155:
;156:			// Unfortunately because the players bounding box is doubled we have to run 
;157:			// on more trace to make sure the player is actually able to be hit where they
;158:			// were hit.  The bounding box is doubled to ensure that the entire ghoul model
;159:			// is accounted for, but that means the player will stick through walls too.  To check
;160:			// for this we run a trace from the hit location on the big bounding box to the 
;161:			// hit location of the ghoul model and make sure there is nothing solid in the way
;162:			trap_Trace ( &vtr, tr->endpos, NULL, NULL, G2Trace[0].mCollisionPosition, passent, MASK_SHOT&(~CONTENTS_BODY) );
ADDRLP4 108
ARGP4
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 216
CNSTP4 0
ASGNP4
ADDRLP4 216
INDIRP4
ARGP4
ADDRLP4 216
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
CNSTI4 20
ADDP4
ARGP4
ADDRFP4 20
INDIRI4
ARGI4
CNSTI4 4225
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 163
;163:			if ( vtr.entityNum != G2Trace[0].mEntityNum )
ADDRLP4 108+52
INDIRI4
ADDRFP4 8
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
EQI4 $120
line 164
;164:			{
line 165
;165:				if ( vtr.entityNum != ENTITYNUM_NONE )
ADDRLP4 108+52
INDIRI4
CNSTI4 1023
EQI4 $123
line 166
;166:				{
line 168
;167:					// Must have hit something, discount the trace
;168:					unlinked[unlinkCount++] = traceEnt;
ADDRLP4 220
ADDRLP4 0
INDIRI4
ASGNI4
ADDRLP4 0
ADDRLP4 220
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 220
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
ADDRLP4 100
INDIRP4
ASGNP4
line 169
;169:					continue;
ADDRGP4 $89
JUMPV
LABELV $123
line 171
;170:				}
;171:			}
LABELV $120
line 173
;172:
;173:			trap_LinkEntity ( traceEnt );
ADDRLP4 100
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 174
;174:		}
line 176
;175:
;176:		break;
ADDRGP4 $127
JUMPV
LABELV $89
line 109
ADDRGP4 $88
JUMPV
ADDRGP4 $127
JUMPV
LABELV $126
line 181
;177:	}
;178:
;179:	// Relink all the unlinked entities
;180:	while ( unlinkCount > 0 )
;181:	{
line 182
;182:		trap_LinkEntity ( unlinked[--unlinkCount] );
ADDRLP4 84
ADDRLP4 0
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
ADDRLP4 0
ADDRLP4 84
INDIRI4
ASGNI4
ADDRLP4 84
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 183
;183:	}
LABELV $127
line 180
ADDRLP4 0
INDIRI4
CNSTI4 0
GTI4 $126
line 184
;184:}
LABELV $87
endproc G_TraceBullet 224 44
export G_FireBullet
proc G_FireBullet 1792 36
line 205
;185:
;186:#define MAX_HITS	20
;187:
;188:typedef struct gbullethit_s
;189:{
;190:	gentity_t*	ent;
;191:	vec3_t		origin;
;192:	int			damage;
;193:	int			location;
;194:
;195:} gbullethit_t;
;196:
;197:/*
;198:===============
;199:G_FireBullet
;200:
;201:Fires a bullet from the given player entity using the given weapon and attack
;202:===============
;203:*/
;204:void G_FireBullet ( gentity_t* ent, int weapon, int attack )
;205:{
line 230
;206:	trace_t		tr;
;207:	vec3_t		end;
;208:	gentity_t	*tent;
;209:	gentity_t	*traceEnt;
;210:	int			i;
;211:	vec3_t		muzzlePoint;
;212:	vec3_t		fwd;
;213:	vec3_t		right;
;214:	vec3_t		up;
;215:	vec3_t		fireAngs;
;216:	float		damageMult;
;217:	int			hitcount;
;218:	G2Trace_t	G2Trace;
;219:	
;220:	int				maxFx;
;221:	weaponData_t*	weaponDat;
;222:	attackData_t*	attackDat;
;223:	float			inaccuracy;
;224:	qboolean		detailed;
;225:	int				seed;
;226:
;227:	gbullethit_t	hit[MAX_HITS];
;228:
;229:	// Grab the firing info
;230:	weaponDat = &weaponData[ent->s.weapon];
ADDRLP4 1648
CNSTI4 1828
ADDRFP4 0
INDIRP4
CNSTI4 196
ADDP4
INDIRI4
MULI4
ADDRGP4 weaponData
ADDP4
ASGNP4
line 231
;231:	attackDat = &weaponDat->attack[attack];
ADDRLP4 56
CNSTI4 812
ADDRFP4 8
INDIRI4
MULI4
ADDRLP4 1648
INDIRP4
CNSTI4 168
ADDP4
ADDP4
ASGNP4
line 234
;232:
;233:	// Maximum effects that can be spawned from this bullet
;234:	maxFx = (attackDat->pellets / 2) + 1;
ADDRLP4 1640
ADDRLP4 56
INDIRP4
CNSTI4 172
ADDP4
INDIRI4
CNSTI4 2
DIVI4
CNSTI4 1
ADDI4
ASGNI4
line 235
;235:	hitcount  = 0;
ADDRLP4 1604
CNSTI4 0
ASGNI4
line 238
;236:
;237:	// Detailed trace or not?
;238:	detailed = (attackDat->pellets > 1 || attackDat->melee) ? qfalse : qtrue;
ADDRLP4 56
INDIRP4
CNSTI4 172
ADDP4
INDIRI4
CNSTI4 1
GTI4 $133
ADDRLP4 56
INDIRP4
CNSTI4 128
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $131
LABELV $133
ADDRLP4 1676
CNSTI4 0
ASGNI4
ADDRGP4 $132
JUMPV
LABELV $131
ADDRLP4 1676
CNSTI4 1
ASGNI4
LABELV $132
ADDRLP4 1608
ADDRLP4 1676
INDIRI4
ASGNI4
line 241
;239:
;240:	// Current inaccuracy
;241:	inaccuracy = (float)ent->client->ps.inaccuracy / 1000.0f;
ADDRLP4 1624
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 804
ADDP4
INDIRI4
CVIF4 4
CNSTF4 1148846080
DIVF4
ASGNF4
line 242
;242:	if ( detailed )
ADDRLP4 1608
INDIRI4
CNSTI4 0
EQI4 $134
line 243
;243:	{
line 244
;244:		if ( ent->client->ps.pm_flags & PMF_JUMPING )
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $136
line 245
;245:		{
line 246
;246:			inaccuracy *= JUMP_ACCURACY_MODIFIER;
ADDRLP4 1624
CNSTF4 1073741824
ADDRLP4 1624
INDIRF4
MULF4
ASGNF4
line 247
;247:		}
ADDRGP4 $137
JUMPV
LABELV $136
line 248
;248:		else if ( ent->client->ps.pm_flags & PMF_DUCKED )
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $138
line 249
;249:		{
line 250
;250:			inaccuracy *= DUCK_ACCURACY_MODIFIER;
ADDRLP4 1624
CNSTF4 1061158912
ADDRLP4 1624
INDIRF4
MULF4
ASGNF4
line 251
;251:		}
LABELV $138
LABELV $137
line 252
;252:	}
LABELV $134
line 255
;253:
;254:	// Anti-lag
;255:	G_ApplyAntiLag ( ent, detailed );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 1608
INDIRI4
ARGI4
ADDRGP4 G_ApplyAntiLag
CALLV
pop
line 258
;256:
;257:	// where is gun muzzle?
;258:	VectorCopy( ent->client->ps.origin, muzzlePoint );
ADDRLP4 64
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 24
ADDP4
INDIRB
ASGNB 12
line 259
;259:	muzzlePoint[2] += ent->client->ps.viewheight;
ADDRLP4 64+8
ADDRLP4 64+8
INDIRF4
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 192
ADDP4
INDIRI4
CVIF4 4
ADDF4
ASGNF4
line 262
;260:
;261:	// Handle leaning
;262:	VectorCopy(ent->client->ps.viewangles, fireAngs);
ADDRLP4 1612
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 180
ADDP4
INDIRB
ASGNB 12
line 264
;263:
;264:	AngleVectors( fireAngs, fwd, right, up);
ADDRLP4 1612
ARGP4
ADDRLP4 1628
ARGP4
ADDRLP4 1652
ARGP4
ADDRLP4 1664
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 266
;265:
;266:	if ( ent->client->ps.pm_flags & PMF_LEANING )
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CNSTI4 2097152
BANDI4
CNSTI4 0
EQI4 $141
line 267
;267:	{
line 268
;268:		BG_ApplyLeanOffset ( &ent->client->ps, muzzlePoint );
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
ARGP4
ADDRLP4 64
ARGP4
ADDRGP4 BG_ApplyLeanOffset
CALLV
pop
line 269
;269:	}
LABELV $141
line 272
;270:
;271:	// Move the start trace back a bit to account for bumping up against someone
;272:	VectorMA ( muzzlePoint, -15, fwd, muzzlePoint );
ADDRLP4 1684
CNSTF4 3245342720
ASGNF4
ADDRLP4 64
ADDRLP4 64
INDIRF4
ADDRLP4 1684
INDIRF4
ADDRLP4 1628
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 64+4
ADDRLP4 64+4
INDIRF4
ADDRLP4 1684
INDIRF4
ADDRLP4 1628+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 64+8
ADDRLP4 64+8
INDIRF4
CNSTF4 3245342720
ADDRLP4 1628+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 274
;273:
;274:	seed = ent->client->ps.stats[STAT_SEED];
ADDRLP4 1644
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 252
ADDP4
INDIRI4
ASGNI4
line 277
;275:
;276:	// Run a trace for each pellet being fired
;277:	for (i = 0; i < attackDat->pellets; i++) 
ADDRLP4 1108
CNSTI4 0
ASGNI4
ADDRGP4 $152
JUMPV
LABELV $149
line 278
;278:	{
line 279
;279:		int location = HL_NONE;
ADDRLP4 1688
CNSTI4 0
ASGNI4
line 282
;280:
;281:		// Determine the endpoint for the bullet
;282:		BG_CalculateBulletEndpoint ( muzzlePoint, fireAngs, inaccuracy, attackDat->rV.range + 15, end, &seed );
ADDRLP4 64
ARGP4
ADDRLP4 1612
ARGP4
ADDRLP4 1624
INDIRF4
ARGF4
ADDRLP4 56
INDIRP4
CNSTI4 140
ADDP4
INDIRI4
CNSTI4 15
ADDI4
CVIF4 4
ARGF4
ADDRLP4 1592
ARGP4
ADDRLP4 1644
ARGP4
ADDRGP4 BG_CalculateBulletEndpoint
CALLV
pop
line 285
;283:
;284:		// Trace the bullet
;285:		G_TraceBullet ( weapon, &tr, G2Trace, muzzlePoint, end, ent->s.number, MASK_SHOT, detailed );
ADDRFP4 4
INDIRI4
ARGI4
ADDRLP4 0
ARGP4
ADDRLP4 84
ARGP4
ADDRLP4 64
ARGP4
ADDRLP4 1592
ARGP4
ADDRFP4 0
INDIRP4
INDIRI4
ARGI4
CNSTI4 4481
ARGI4
ADDRLP4 1608
INDIRI4
ARGI4
ADDRGP4 G_TraceBullet
CALLV
pop
line 288
;286:
;287:		// xyz 26/10/04 [ player accuracy ]
;288:		switch(weapon){
ADDRLP4 1692
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 1692
INDIRI4
CNSTI4 8
LTI4 $153
ADDRLP4 1692
INDIRI4
CNSTI4 16
GTI4 $153
ADDRLP4 1692
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $156-32
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $156
address $155
address $155
address $155
address $155
address $155
address $155
address $155
address $155
address $155
code
LABELV $155
line 298
;289:			case WP_AK74_ASSAULT_RIFLE:
;290:			case WP_M4_ASSAULT_RIFLE:
;291:			case WP_M60_MACHINEGUN:
;292:			case WP_MP5:
;293:			case WP_SIG551:
;294:			case WP_MSG90A1:
;295:			case WP_USAS_12_SHOTGUN:
;296:			case WP_MM1_GRENADE_LAUNCHER:
;297:			case WP_RPG7_LAUNCHER:
;298:				ent->client->sess.shots++;
ADDRLP4 1696
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 1436
ADDP4
ASGNP4
ADDRLP4 1696
INDIRP4
ADDRLP4 1696
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 299
;299:				break;
LABELV $153
LABELV $154
line 301
;300:		}
;301:		ent->client->sess.playerPoints--;
ADDRLP4 1696
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 1472
ADDP4
ASGNP4
ADDRLP4 1696
INDIRP4
ADDRLP4 1696
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 302
;302:		if ( (tr.surfaceFlags & SURF_NOIMPACT) || tr.entityNum == ENTITYNUM_NONE ) 
ADDRLP4 0+44
INDIRI4
CNSTI4 524288
BANDI4
CNSTI4 0
NEI4 $162
ADDRLP4 0+52
INDIRI4
CNSTI4 1023
NEI4 $158
LABELV $162
line 303
;303:		{	
line 305
;304:			// a big miss
;305:			continue;
ADDRGP4 $150
JUMPV
LABELV $158
line 308
;306:		}
;307:
;308:		traceEnt = &g_entities[ tr.entityNum ];
ADDRLP4 80
CNSTI4 636
ADDRLP4 0+52
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 311
;309:
;310:		// snap the endpos to integers, but nudged towards the line
;311:		SnapVectorTowards( tr.endpos, muzzlePoint );
ADDRLP4 0+12
ARGP4
ADDRLP4 64
ARGP4
ADDRGP4 SnapVectorTowards
CALLV
pop
line 313
;312:
;313:		damageMult = 1.0f;
ADDRLP4 76
CNSTF4 1065353216
ASGNF4
line 314
;314:		if ( traceEnt->takedamage ) 
ADDRLP4 80
INDIRP4
CNSTI4 552
ADDP4
INDIRI4
CNSTI4 0
EQI4 $165
line 315
;315:		{	
line 317
;316:			// Where did the bullet hit?
;317:			if ( ent->client && traceEnt->client )
ADDRLP4 1700
CNSTI4 328
ASGNI4
ADDRLP4 1704
CNSTU4 0
ASGNU4
ADDRFP4 0
INDIRP4
ADDRLP4 1700
INDIRI4
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 1704
INDIRU4
EQU4 $167
ADDRLP4 80
INDIRP4
ADDRLP4 1700
INDIRI4
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 1704
INDIRU4
EQU4 $167
line 318
;318:			{
line 320
;319:				// Add or subtract some damage depending on where it hits
;320:				if ( G2Trace[0].mEntityNum == -1 )
ADDRLP4 84+4
INDIRI4
CNSTI4 -1
NEI4 $169
line 321
;321:				{
line 324
;322:					vec3_t dir;
;323:
;324:					VectorSubtract ( end, muzzlePoint, dir );
ADDRLP4 1708
ADDRLP4 1592
INDIRF4
ADDRLP4 64
INDIRF4
SUBF4
ASGNF4
ADDRLP4 1708+4
ADDRLP4 1592+4
INDIRF4
ADDRLP4 64+4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 1708+8
ADDRLP4 1592+8
INDIRF4
ADDRLP4 64+8
INDIRF4
SUBF4
ASGNF4
line 325
;325:					VectorNormalize ( dir );
ADDRLP4 1708
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 327
;326:
;327:					location = G_GetHitLocation ( traceEnt, muzzlePoint, dir );
ADDRLP4 80
INDIRP4
ARGP4
ADDRLP4 64
ARGP4
ADDRLP4 1708
ARGP4
ADDRLP4 1720
ADDRGP4 G_GetHitLocation
CALLI4
ASGNI4
ADDRLP4 1688
ADDRLP4 1720
INDIRI4
ASGNI4
line 329
;328:
;329:					switch ( location )
ADDRLP4 1728
CNSTI4 1024
ASGNI4
ADDRLP4 1688
INDIRI4
ADDRLP4 1728
INDIRI4
EQI4 $182
ADDRLP4 1688
INDIRI4
ADDRLP4 1728
INDIRI4
GTI4 $186
LABELV $185
ADDRLP4 1736
CNSTI4 64
ASGNI4
ADDRLP4 1688
INDIRI4
ADDRLP4 1736
INDIRI4
EQI4 $180
ADDRLP4 1688
INDIRI4
ADDRLP4 1736
INDIRI4
GTI4 $188
LABELV $187
ADDRLP4 1744
CNSTI4 16
ASGNI4
ADDRLP4 1688
INDIRI4
ADDRLP4 1744
INDIRI4
EQI4 $181
ADDRLP4 1688
INDIRI4
ADDRLP4 1744
INDIRI4
GTI4 $190
LABELV $189
ADDRLP4 1688
INDIRI4
CNSTI4 0
LTI4 $178
ADDRLP4 1688
INDIRI4
CNSTI4 8
GTI4 $178
ADDRLP4 1688
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $191
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $191
address $184
address $180
address $180
address $178
address $181
address $178
address $178
address $178
address $181
code
LABELV $190
ADDRLP4 1688
INDIRI4
CNSTI4 32
EQI4 $181
ADDRGP4 $178
JUMPV
LABELV $188
ADDRLP4 1756
CNSTI4 256
ASGNI4
ADDRLP4 1688
INDIRI4
ADDRLP4 1756
INDIRI4
EQI4 $181
ADDRLP4 1688
INDIRI4
ADDRLP4 1756
INDIRI4
GTI4 $193
LABELV $192
ADDRLP4 1688
INDIRI4
CNSTI4 128
EQI4 $180
ADDRGP4 $178
JUMPV
LABELV $193
ADDRLP4 1688
INDIRI4
CNSTI4 512
EQI4 $181
ADDRGP4 $178
JUMPV
LABELV $186
ADDRLP4 1764
CNSTI4 16384
ASGNI4
ADDRLP4 1688
INDIRI4
ADDRLP4 1764
INDIRI4
EQI4 $183
ADDRLP4 1688
INDIRI4
ADDRLP4 1764
INDIRI4
GTI4 $195
LABELV $194
ADDRLP4 1772
CNSTI4 4096
ASGNI4
ADDRLP4 1688
INDIRI4
ADDRLP4 1772
INDIRI4
EQI4 $183
ADDRLP4 1688
INDIRI4
ADDRLP4 1772
INDIRI4
GTI4 $197
LABELV $196
ADDRLP4 1688
INDIRI4
CNSTI4 2048
EQI4 $183
ADDRGP4 $178
JUMPV
LABELV $197
ADDRLP4 1688
INDIRI4
CNSTI4 8192
EQI4 $183
ADDRGP4 $178
JUMPV
LABELV $195
ADDRLP4 1780
CNSTI4 65536
ASGNI4
ADDRLP4 1688
INDIRI4
ADDRLP4 1780
INDIRI4
EQI4 $183
ADDRLP4 1688
INDIRI4
ADDRLP4 1780
INDIRI4
GTI4 $199
LABELV $198
ADDRLP4 1688
INDIRI4
CNSTI4 32768
EQI4 $183
ADDRGP4 $178
JUMPV
LABELV $199
ADDRLP4 1788
CNSTI4 131072
ASGNI4
ADDRLP4 1688
INDIRI4
ADDRLP4 1788
INDIRI4
EQI4 $183
ADDRLP4 1688
INDIRI4
ADDRLP4 1788
INDIRI4
LTI4 $178
LABELV $200
ADDRLP4 1688
INDIRI4
CNSTI4 262144
EQI4 $182
ADDRGP4 $178
JUMPV
line 330
;330:					{
LABELV $180
line 335
;331:						case HL_FOOT_RT:
;332:						case HL_FOOT_LT:
;333:						case HL_HAND_RT:
;334:						case HL_HAND_LT:
;335:							damageMult = 0.3f;
ADDRLP4 76
CNSTF4 1050253722
ASGNF4
line 336
;336:							break;
ADDRGP4 $170
JUMPV
LABELV $181
line 344
;337:
;338:						case HL_ARM_RT:
;339:						case HL_ARM_LT:
;340:						case HL_LEG_UPPER_RT:
;341:						case HL_LEG_UPPER_LT:
;342:						case HL_LEG_LOWER_RT:
;343:						case HL_LEG_LOWER_LT:
;344:							damageMult = 0.7f;
ADDRLP4 76
CNSTF4 1060320051
ASGNF4
line 345
;345:							break;
ADDRGP4 $170
JUMPV
LABELV $182
line 349
;346:
;347:						case HL_HEAD:
;348:						case HL_NECK:
;349:							damageMult = 1.75f;
ADDRLP4 76
CNSTF4 1071644672
ASGNF4
line 350
;350:							break;
ADDRGP4 $170
JUMPV
LABELV $178
LABELV $183
line 360
;351:
;352:						default:
;353:						case HL_BACK_RT:
;354:						case HL_BACK_LT:
;355:						case HL_BACK:
;356:						case HL_CHEST_RT:
;357:						case HL_CHEST_LT:
;358:						case HL_CHEST:
;359:						case HL_WAIST:
;360:							damageMult = 1.0f;
ADDRLP4 76
CNSTF4 1065353216
ASGNF4
line 361
;361:							break;
ADDRGP4 $170
JUMPV
LABELV $184
line 364
;362:
;363:						case HL_NONE:
;364:							damageMult = 0.0f;
ADDRLP4 76
CNSTF4 0
ASGNF4
line 365
;365:							break;
line 367
;366:					}
;367:				}
ADDRGP4 $170
JUMPV
LABELV $169
line 369
;368:				else
;369:				{
line 375
;370:					int		z;
;371:					float	accuracyRatio;
;372:					float	maxinaccuracy;
;373:					float	addinaccuracy;
;374:					
;375:					location	  = HL_NONE;
ADDRLP4 1688
CNSTI4 0
ASGNI4
line 376
;376:					damageMult	  = 0;
ADDRLP4 76
CNSTF4 0
ASGNF4
line 377
;377:					accuracyRatio = 1.0f;
ADDRLP4 1712
CNSTF4 1065353216
ASGNF4
line 378
;378:					maxinaccuracy = attackDat->maxInaccuracy / 1000.0f;
ADDRLP4 1716
ADDRLP4 56
INDIRP4
CNSTI4 168
ADDP4
INDIRF4
CNSTF4 1148846080
DIVF4
ASGNF4
line 379
;379:					addinaccuracy = attackDat->inaccuracy / 1000.0f;
ADDRLP4 1720
ADDRLP4 56
INDIRP4
CNSTI4 160
ADDP4
INDIRF4
CNSTF4 1148846080
DIVF4
ASGNF4
line 381
;380:
;381:					if ( maxinaccuracy )
ADDRLP4 1716
INDIRF4
CNSTF4 0
EQF4 $201
line 382
;382:					{
line 384
;383:						// Calculate the ratio of how far along the inaccuracy spread they are
;384:						accuracyRatio = 1.0f - ((inaccuracy - addinaccuracy) / (maxinaccuracy));
ADDRLP4 1712
CNSTF4 1065353216
ADDRLP4 1624
INDIRF4
ADDRLP4 1720
INDIRF4
SUBF4
ADDRLP4 1716
INDIRF4
DIVF4
SUBF4
ASGNF4
line 385
;385:						accuracyRatio = Com_Clampf ( 0.0f, 1.0f, accuracyRatio );
CNSTF4 0
ARGF4
CNSTF4 1065353216
ARGF4
ADDRLP4 1712
INDIRF4
ARGF4
ADDRLP4 1724
ADDRGP4 Com_Clampf
CALLF4
ASGNF4
ADDRLP4 1712
ADDRLP4 1724
INDIRF4
ASGNF4
line 386
;386:					}
LABELV $201
line 388
;387:
;388:					for ( z = 0; z < MAX_G2_COLLISIONS && G2Trace[z].mEntityNum != -1; z ++ )
ADDRLP4 1708
CNSTI4 0
ASGNI4
ADDRGP4 $206
JUMPV
LABELV $203
line 389
;389:					{
line 395
;390:						int			 temp_location;
;391:						float		  temp_damageMult;
;392:						int			  pose;
;393:						int			  l;
;394:
;395:						pose			= ( G2Trace[z].mLocation >> 2 );
ADDRLP4 1732
ADDRLP4 1708
INDIRI4
CNSTI4 6
LSHI4
ADDRLP4 84+52
ADDP4
INDIRI4
CNSTI4 2
RSHI4
ASGNI4
line 396
;396:						temp_damageMult = 0.0f;
ADDRLP4 1736
CNSTF4 0
ASGNF4
line 397
;397:						temp_location   = HL_NONE;
ADDRLP4 1728
CNSTI4 0
ASGNI4
line 400
;398:
;399:						// Convert hitregions (SOF2.poses) to hitlocation
;400:						for ( l=0; l < HL_CONV_MAX; l++)
ADDRLP4 1724
CNSTI4 0
ASGNI4
LABELV $209
line 401
;401:						{
line 403
;402:							// Found the SOF2pose
;403:							if (hitLocationConversion[l].SOF2poses == pose )
CNSTI4 12
ADDRLP4 1724
INDIRI4
MULI4
ADDRGP4 hitLocationConversion
ADDP4
INDIRI4
ADDRLP4 1732
INDIRI4
NEI4 $213
line 404
;404:							{
line 405
;405:								temp_location = hitLocationConversion[l].hitLocation;
ADDRLP4 1728
CNSTI4 12
ADDRLP4 1724
INDIRI4
MULI4
ADDRGP4 hitLocationConversion+4
ADDP4
INDIRI4
ASGNI4
line 408
;406:
;407:								// Special cases 
;408:								if (hitLocationConversion[l].damageMultiplier==HITLOC_HEAD_DM)	// Head
CNSTI4 12
ADDRLP4 1724
INDIRI4
MULI4
ADDRGP4 hitLocationConversion+8
ADDP4
INDIRF4
CNSTF4 3212836864
NEF4 $216
line 409
;409:								{
line 410
;410:									temp_damageMult = 1.0f + 2.0f * accuracyRatio;
ADDRLP4 1736
CNSTF4 1073741824
ADDRLP4 1712
INDIRF4
MULF4
CNSTF4 1065353216
ADDF4
ASGNF4
line 411
;411:								}
ADDRGP4 $211
JUMPV
LABELV $216
line 412
;412:								else if (hitLocationConversion[l].damageMultiplier==HITLOC_NECK_DM)	// Neck
CNSTI4 12
ADDRLP4 1724
INDIRI4
MULI4
ADDRGP4 hitLocationConversion+8
ADDP4
INDIRF4
CNSTF4 3221225472
NEF4 $219
line 413
;413:								{
line 414
;414:									temp_damageMult = 1.0f + 0.75f * accuracyRatio;
ADDRLP4 1736
CNSTF4 1061158912
ADDRLP4 1712
INDIRF4
MULF4
CNSTF4 1065353216
ADDF4
ASGNF4
line 415
;415:								}
ADDRGP4 $211
JUMPV
LABELV $219
line 417
;416:								else 
;417:								{
line 418
;418:									temp_damageMult = hitLocationConversion[l].damageMultiplier;
ADDRLP4 1736
CNSTI4 12
ADDRLP4 1724
INDIRI4
MULI4
ADDRGP4 hitLocationConversion+8
ADDP4
INDIRF4
ASGNF4
line 419
;419:								}
line 420
;420:								break;
ADDRGP4 $211
JUMPV
LABELV $213
line 422
;421:							}
;422:						}
LABELV $210
line 400
ADDRLP4 1724
ADDRLP4 1724
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 1724
INDIRI4
CNSTI4 18
LTI4 $209
LABELV $211
line 425
;423:
;424:						// Didn't find it? Default to waist
;425:						if (temp_location == HL_NONE)
ADDRLP4 1728
INDIRI4
CNSTI4 0
NEI4 $223
line 426
;426:						{
line 427
;427:							temp_location = HL_WAIST;
ADDRLP4 1728
CNSTI4 2048
ASGNI4
line 430
;428:
;429:							// Search to find waist damageMultiplier
;430:							for ( l=0; l < HL_CONV_MAX; l++)
ADDRLP4 1724
CNSTI4 0
ASGNI4
LABELV $225
line 431
;431:							{
line 432
;432:								if (temp_location == hitLocationConversion[l].hitLocation)
ADDRLP4 1728
INDIRI4
CNSTI4 12
ADDRLP4 1724
INDIRI4
MULI4
ADDRGP4 hitLocationConversion+4
ADDP4
INDIRI4
NEI4 $229
line 433
;433:								{
line 434
;434:									temp_damageMult = hitLocationConversion[l].damageMultiplier;
ADDRLP4 1736
CNSTI4 12
ADDRLP4 1724
INDIRI4
MULI4
ADDRGP4 hitLocationConversion+8
ADDP4
INDIRF4
ASGNF4
line 435
;435:									break;
ADDRGP4 $227
JUMPV
LABELV $229
line 437
;436:								}
;437:							}
LABELV $226
line 430
ADDRLP4 1724
ADDRLP4 1724
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 1724
INDIRI4
CNSTI4 18
LTI4 $225
LABELV $227
line 438
;438:						}
LABELV $223
line 440
;439:
;440:						if ( temp_damageMult > damageMult )
ADDRLP4 1736
INDIRF4
ADDRLP4 76
INDIRF4
LEF4 $233
line 441
;441:						{
line 442
;442:							location = temp_location;
ADDRLP4 1688
ADDRLP4 1728
INDIRI4
ASGNI4
line 443
;443:							damageMult = temp_damageMult;
ADDRLP4 76
ADDRLP4 1736
INDIRF4
ASGNF4
line 444
;444:						}
LABELV $233
line 445
;445:					}
LABELV $204
line 388
ADDRLP4 1708
ADDRLP4 1708
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $206
ADDRLP4 1708
INDIRI4
CNSTI4 16
GEI4 $235
ADDRLP4 1708
INDIRI4
CNSTI4 6
LSHI4
ADDRLP4 84+4
ADDP4
INDIRI4
CNSTI4 -1
NEI4 $203
LABELV $235
line 446
;446:				}
LABELV $170
line 447
;447:			}
LABELV $167
line 450
;448:
;449:			// If a range attack then do distance affected damage, but exclude close range attacks
;450:			if ( attackDat->rV.range > 100 )
ADDRLP4 56
INDIRP4
CNSTI4 140
ADDP4
INDIRI4
CNSTI4 100
LEI4 $236
line 451
;451:			{
line 456
;452:				vec3_t diff;
;453:				float  dist;
;454:				float  checkrange;
;455:
;456:				VectorSubtract ( muzzlePoint, tr.endpos, diff );
ADDRLP4 1708
ADDRLP4 64
INDIRF4
ADDRLP4 0+12
INDIRF4
SUBF4
ASGNF4
ADDRLP4 1708+4
ADDRLP4 64+4
INDIRF4
ADDRLP4 0+12+4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 1708+8
ADDRLP4 64+8
INDIRF4
ADDRLP4 0+12+8
INDIRF4
SUBF4
ASGNF4
line 458
;457:
;458:				dist   = VectorLength ( diff );
ADDRLP4 1708
ARGP4
ADDRLP4 1728
ADDRGP4 VectorLength
CALLF4
ASGNF4
ADDRLP4 1720
ADDRLP4 1728
INDIRF4
ASGNF4
line 459
;459:				checkrange = attackDat->rV.range * 0.5f;
ADDRLP4 1724
CNSTF4 1056964608
ADDRLP4 56
INDIRP4
CNSTI4 140
ADDP4
INDIRI4
CVIF4 4
MULF4
ASGNF4
line 462
;460:
;461:				// If half the way through its range then start falling off the damage to 1 quarter damage
;462:				if ( dist > attackDat->rV.range * 0.5f )
ADDRLP4 1720
INDIRF4
CNSTF4 1056964608
ADDRLP4 56
INDIRP4
CNSTI4 140
ADDP4
INDIRI4
CVIF4 4
MULF4
LEF4 $247
line 463
;463:				{
line 464
;464:					dist -= (attackDat->rV.range * 0.5f);
ADDRLP4 1720
ADDRLP4 1720
INDIRF4
CNSTF4 1056964608
ADDRLP4 56
INDIRP4
CNSTI4 140
ADDP4
INDIRI4
CVIF4 4
MULF4
SUBF4
ASGNF4
line 467
;465:					
;466:					// Scale oof the damage
;467:					damageMult *= (1.0f - (dist / (float)checkrange));
ADDRLP4 76
ADDRLP4 76
INDIRF4
CNSTF4 1065353216
ADDRLP4 1720
INDIRF4
ADDRLP4 1724
INDIRF4
DIVF4
SUBF4
MULF4
ASGNF4
line 468
;468:				}
LABELV $247
line 469
;469:			}
LABELV $236
line 472
;470:
;471:			// we hit something that noticed, so that is enough pellets
;472:			if ( (int)(attackDat->damage * damageMult) > 0 )
ADDRLP4 56
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
CVIF4 4
ADDRLP4 76
INDIRF4
MULF4
CVFI4 4
CNSTI4 0
LEI4 $249
line 473
;473:			{
line 474
;474:				if ( !attackDat->melee )
ADDRLP4 56
INDIRP4
CNSTI4 128
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $251
line 475
;475:				{
line 476
;476:					damageMult *= 1.15f;
ADDRLP4 76
CNSTF4 1066611507
ADDRLP4 76
INDIRF4
MULF4
ASGNF4
line 477
;477:				}
LABELV $251
line 479
;478:
;479:				hit[hitcount].ent = traceEnt;
CNSTI4 24
ADDRLP4 1604
INDIRI4
MULI4
ADDRLP4 1112
ADDP4
ADDRLP4 80
INDIRP4
ASGNP4
line 480
;480:				hit[hitcount].damage = attackDat->damage * damageMult;
CNSTI4 24
ADDRLP4 1604
INDIRI4
MULI4
ADDRLP4 1112+16
ADDP4
ADDRLP4 56
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
CVIF4 4
ADDRLP4 76
INDIRF4
MULF4
CVFI4 4
ASGNI4
line 481
;481:				hit[hitcount].location = location;
CNSTI4 24
ADDRLP4 1604
INDIRI4
MULI4
ADDRLP4 1112+20
ADDP4
ADDRLP4 1688
INDIRI4
ASGNI4
line 482
;482:				VectorCopy ( tr.endpos, hit[hitcount].origin );
CNSTI4 24
ADDRLP4 1604
INDIRI4
MULI4
ADDRLP4 1112+4
ADDP4
ADDRLP4 0+12
INDIRB
ASGNB 12
line 484
;483:
;484:				hitcount++;
ADDRLP4 1604
ADDRLP4 1604
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 485
;485:			}
LABELV $249
line 486
;486:		}
LABELV $165
line 489
;487:
;488:		// send bullet impact
;489:		if (i < maxFx && attackDat->damage * damageMult > 0.0f )
ADDRLP4 1108
INDIRI4
ADDRLP4 1640
INDIRI4
GEI4 $257
ADDRLP4 56
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
CVIF4 4
ADDRLP4 76
INDIRF4
MULF4
CNSTF4 0
LEF4 $257
line 490
;490:		{
line 491
;491:			qboolean flesh = qfalse;
ADDRLP4 1700
CNSTI4 0
ASGNI4
line 494
;492:
;493:			// Are they are a client?
;494:			if ( traceEnt->client )
ADDRLP4 80
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $259
line 495
;495:			{
line 496
;496:				tr.surfaceFlags = 0;
ADDRLP4 0+44
CNSTI4 0
ASGNI4
line 499
;497:
;498:				// Invulnerable?
;499:				if ( level.time - traceEnt->client->invulnerableTime >= g_respawnInvulnerability.integer * 1000 )
ADDRGP4 level+64
INDIRI4
ADDRLP4 80
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 1608
ADDP4
INDIRI4
SUBI4
CNSTI4 1000
ADDRGP4 g_respawnInvulnerability+12
INDIRI4
MULI4
LTI4 $262
line 500
;500:				{
line 502
;501:					// Shot my a teammate with ff off?
;502:					if ( !level.gametypeData->teams || (ent->client && !(OnSameTeam(ent,traceEnt) && (!g_friendlyFire.integer || level.warmupTime) ) ) )
ADDRGP4 level+24
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 0
EQI4 $272
ADDRLP4 1704
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 1704
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $266
ADDRLP4 1704
INDIRP4
ARGP4
ADDRLP4 80
INDIRP4
ARGP4
ADDRLP4 1708
ADDRGP4 OnSameTeam
CALLI4
ASGNI4
ADDRLP4 1712
CNSTI4 0
ASGNI4
ADDRLP4 1708
INDIRI4
ADDRLP4 1712
INDIRI4
EQI4 $272
ADDRGP4 g_friendlyFire+12
INDIRI4
ADDRLP4 1712
INDIRI4
EQI4 $266
ADDRGP4 level+16
INDIRI4
ADDRLP4 1712
INDIRI4
NEI4 $266
LABELV $272
line 503
;503:					{
line 504
;504:						flesh = qtrue;
ADDRLP4 1700
CNSTI4 1
ASGNI4
line 505
;505:					}
LABELV $266
line 507
;506:					// xyz 26/10/04 [ player accuracy ]
;507:					if ( !OnSameTeam(ent,traceEnt) ) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 80
INDIRP4
ARGP4
ADDRLP4 1716
ADDRGP4 OnSameTeam
CALLI4
ASGNI4
ADDRLP4 1716
INDIRI4
CNSTI4 0
NEI4 $273
line 508
;508:						switch(weapon){
ADDRLP4 1720
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 1720
INDIRI4
CNSTI4 8
LTI4 $275
ADDRLP4 1720
INDIRI4
CNSTI4 16
GTI4 $275
ADDRLP4 1720
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $278-32
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $278
address $277
address $277
address $277
address $277
address $277
address $277
address $277
address $277
address $277
code
LABELV $277
line 518
;509:							case WP_AK74_ASSAULT_RIFLE:
;510:							case WP_M4_ASSAULT_RIFLE:
;511:							case WP_M60_MACHINEGUN:
;512:							case WP_MP5:
;513:							case WP_SIG551:
;514:							case WP_MSG90A1:
;515:							case WP_USAS_12_SHOTGUN:
;516:							case WP_MM1_GRENADE_LAUNCHER:
;517:							case WP_RPG7_LAUNCHER:
;518:								ent->client->sess.hits++;
ADDRLP4 1724
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 1440
ADDP4
ASGNP4
ADDRLP4 1724
INDIRP4
ADDRLP4 1724
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 519
;519:								break;
LABELV $275
LABELV $276
line 521
;520:						}
;521:					}
LABELV $273
line 522
;522:				}
LABELV $262
line 523
;523:			}
LABELV $259
line 526
;524:
;525:			// If it was a client that was hit and it wasnt by a teammate when friendly fire is off then send blood!
;526:			if ( flesh  ) 
ADDRLP4 1700
INDIRI4
CNSTI4 0
EQI4 $280
line 527
;527:			{			
line 528
;528:				tent = G_TempEntity( tr.endpos, EV_BULLET_HIT_FLESH );
ADDRLP4 0+12
ARGP4
CNSTI4 38
ARGI4
ADDRLP4 1704
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 60
ADDRLP4 1704
INDIRP4
ASGNP4
line 531
;529:				
;530:				// send entity and direction
;531:				tent->s.eventParm = DirToByte( fwd );
ADDRLP4 1628
ARGP4
ADDRLP4 1708
ADDRGP4 DirToByte
CALLI4
ASGNI4
ADDRLP4 60
INDIRP4
CNSTI4 184
ADDP4
ADDRLP4 1708
INDIRI4
ASGNI4
line 532
;532:				tent->s.otherEntityNum = ent->s.number;
ADDRLP4 60
INDIRP4
CNSTI4 140
ADDP4
ADDRFP4 0
INDIRP4
INDIRI4
ASGNI4
line 533
;533:				tent->s.otherEntityNum2 = traceEnt->s.number;
ADDRLP4 60
INDIRP4
CNSTI4 144
ADDP4
ADDRLP4 80
INDIRP4
INDIRI4
ASGNI4
line 536
;534:
;535:				// Pack the shot info into the temp end for gore
;536:				tent->s.time  = weapon + ((attack&0xFF)<<8) + ((((int)traceEnt->s.apos.trBase[YAW]&0x7FFF) % 360) << 16);		
ADDRLP4 60
INDIRP4
CNSTI4 84
ADDP4
ADDRFP4 4
INDIRI4
ADDRFP4 8
INDIRI4
CNSTI4 255
BANDI4
CNSTI4 8
LSHI4
ADDI4
ADDRLP4 80
INDIRP4
CNSTI4 64
ADDP4
INDIRF4
CVFI4 4
CNSTI4 32767
BANDI4
CNSTI4 360
MODI4
CNSTI4 16
LSHI4
ADDI4
ASGNI4
line 537
;537:				VectorCopy ( traceEnt->r.currentOrigin, tent->s.angles );
ADDRLP4 60
INDIRP4
CNSTI4 116
ADDP4
ADDRLP4 80
INDIRP4
CNSTI4 288
ADDP4
INDIRB
ASGNB 12
line 538
;538:				SnapVector ( tent->s.angles );
ADDRLP4 1712
ADDRLP4 60
INDIRP4
CNSTI4 116
ADDP4
ASGNP4
ADDRLP4 1712
INDIRP4
ADDRLP4 1712
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 1716
ADDRLP4 60
INDIRP4
CNSTI4 120
ADDP4
ASGNP4
ADDRLP4 1716
INDIRP4
ADDRLP4 1716
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 1720
ADDRLP4 60
INDIRP4
CNSTI4 124
ADDP4
ASGNP4
ADDRLP4 1720
INDIRP4
ADDRLP4 1720
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 542
;539:
;540:				// Some procedural gore should be ignored because it would look odd on the player. For 
;541:				// example, if someone gets shot in the head but doesnt die from it.
;542:				if ( traceEnt->client->ps.stats[STAT_HEALTH] > 0 )
ADDRLP4 80
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 220
ADDP4
INDIRI4
CNSTI4 0
LEI4 $281
line 543
;543:				{
line 544
;544:					if ( location & (HL_HEAD) )
ADDRLP4 1688
INDIRI4
CNSTI4 1024
BANDI4
CNSTI4 0
EQI4 $281
line 545
;545:					{
line 546
;546:						tent->s.time |= GORE_NONE;
ADDRLP4 1712
ADDRLP4 60
INDIRP4
CNSTI4 84
ADDP4
ASGNP4
ADDRLP4 1712
INDIRP4
ADDRLP4 1712
INDIRP4
INDIRI4
CVIU4 4
CNSTU4 2147483648
BORU4
CVUI4 4
ASGNI4
line 547
;547:					}
line 548
;548:				}
line 549
;549:			} 
ADDRGP4 $281
JUMPV
LABELV $280
line 551
;550:			else 
;551:			{
line 552
;552:				tent = G_TempEntity( tr.endpos, EV_BULLET_HIT_WALL );
ADDRLP4 0+12
ARGP4
CNSTI4 37
ARGI4
ADDRLP4 1704
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 60
ADDRLP4 1704
INDIRP4
ASGNP4
line 554
;553:				// send direction and material
;554:				tent->s.eventParm = DirToByte( tr.plane.normal );
ADDRLP4 0+24
ARGP4
ADDRLP4 1708
ADDRGP4 DirToByte
CALLI4
ASGNI4
ADDRLP4 60
INDIRP4
CNSTI4 184
ADDP4
ADDRLP4 1708
INDIRI4
ASGNI4
line 555
;555:				tent->s.eventParm <<= MATERIAL_BITS;
ADDRLP4 1712
ADDRLP4 60
INDIRP4
CNSTI4 184
ADDP4
ASGNP4
ADDRLP4 1712
INDIRP4
ADDRLP4 1712
INDIRP4
INDIRI4
CNSTI4 5
LSHI4
ASGNI4
line 556
;556:				tent->s.eventParm |= (tr.surfaceFlags & MATERIAL_MASK);
ADDRLP4 1716
ADDRLP4 60
INDIRP4
CNSTI4 184
ADDP4
ASGNP4
ADDRLP4 1716
INDIRP4
ADDRLP4 1716
INDIRP4
INDIRI4
ADDRLP4 0+44
INDIRI4
CNSTI4 31
BANDI4
BORI4
ASGNI4
line 557
;557:				tent->s.time = weapon + ((attack&0xFF)<<8);
ADDRLP4 60
INDIRP4
CNSTI4 84
ADDP4
ADDRFP4 4
INDIRI4
ADDRFP4 8
INDIRI4
CNSTI4 255
BANDI4
CNSTI4 8
LSHI4
ADDI4
ASGNI4
line 558
;558:				tent->r.detailTime = level.time + rand() % 1000;
ADDRLP4 1720
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 60
INDIRP4
CNSTI4 324
ADDP4
ADDRGP4 level+64
INDIRI4
ADDRLP4 1720
INDIRI4
CNSTI4 1000
MODI4
ADDI4
ASGNI4
line 559
;559:				tent->r.svFlags |= SVF_DETAIL;
ADDRLP4 1724
ADDRLP4 60
INDIRP4
CNSTI4 224
ADDP4
ASGNP4
ADDRLP4 1724
INDIRP4
ADDRLP4 1724
INDIRP4
INDIRI4
CNSTI4 536870912
BORI4
ASGNI4
line 560
;560:			}
LABELV $281
line 562
;561:
;562:			tent->s.otherEntityNum = ent->s.number;
ADDRLP4 60
INDIRP4
CNSTI4 140
ADDP4
ADDRFP4 0
INDIRP4
INDIRI4
ASGNI4
line 563
;563:		}
LABELV $257
line 564
;564:	}
LABELV $150
line 277
ADDRLP4 1108
ADDRLP4 1108
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $152
ADDRLP4 1108
INDIRI4
ADDRLP4 56
INDIRP4
CNSTI4 172
ADDP4
INDIRI4
LTI4 $149
line 569
;565:
;566:	// Push all the clients back to the real timeframe.  We need to do this
;567:	// before damaging the client so the real bounding box and location are stored in
;568:	// the body
;569:	G_UndoAntiLag ( );
ADDRGP4 G_UndoAntiLag
CALLV
pop
line 571
;570:
;571:	if ( hitcount )
ADDRLP4 1604
INDIRI4
CNSTI4 0
EQI4 $291
line 572
;572:	{
line 576
;573:		int flags;
;574:		int	h;
;575:
;576:		flags  = 0;
ADDRLP4 1692
CNSTI4 0
ASGNI4
line 577
;577:		flags |= (attackDat->gore ? 0 : DAMAGE_NO_GORE);
ADDRLP4 56
INDIRP4
CNSTI4 192
ADDP4
INDIRI4
CNSTI4 0
EQI4 $294
ADDRLP4 1696
CNSTI4 0
ASGNI4
ADDRGP4 $295
JUMPV
LABELV $294
ADDRLP4 1696
CNSTI4 2048
ASGNI4
LABELV $295
ADDRLP4 1692
ADDRLP4 1692
INDIRI4
ADDRLP4 1696
INDIRI4
BORI4
ASGNI4
line 578
;578:		flags |= (attackDat->melee ? DAMAGE_NO_ARMOR : 0);
ADDRLP4 56
INDIRP4
CNSTI4 128
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $297
ADDRLP4 1700
CNSTI4 2
ASGNI4
ADDRGP4 $298
JUMPV
LABELV $297
ADDRLP4 1700
CNSTI4 0
ASGNI4
LABELV $298
ADDRLP4 1692
ADDRLP4 1692
INDIRI4
ADDRLP4 1700
INDIRI4
BORI4
ASGNI4
line 579
;579:		flags |= (hitcount > 2 ? DAMAGE_FORCE_GORE : 0 );
ADDRLP4 1604
INDIRI4
CNSTI4 2
LEI4 $300
ADDRLP4 1704
CNSTI4 4096
ASGNI4
ADDRGP4 $301
JUMPV
LABELV $300
ADDRLP4 1704
CNSTI4 0
ASGNI4
LABELV $301
ADDRLP4 1692
ADDRLP4 1692
INDIRI4
ADDRLP4 1704
INDIRI4
BORI4
ASGNI4
line 581
;580:
;581:		for ( h = 0; h < hitcount; h ++ )
ADDRLP4 1688
CNSTI4 0
ASGNI4
ADDRGP4 $305
JUMPV
LABELV $302
line 582
;582:		{	
line 583
;583:			G_Damage( hit[h].ent, ent, ent, fwd, hit[h].origin, hit[h].damage, flags, attackDat->mod + (attack<<8), hit[h].location );
ADDRLP4 1708
CNSTI4 24
ADDRLP4 1688
INDIRI4
MULI4
ASGNI4
ADDRLP4 1708
INDIRI4
ADDRLP4 1112
ADDP4
INDIRP4
ARGP4
ADDRLP4 1712
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 1712
INDIRP4
ARGP4
ADDRLP4 1712
INDIRP4
ARGP4
ADDRLP4 1628
ARGP4
ADDRLP4 1708
INDIRI4
ADDRLP4 1112+4
ADDP4
ARGP4
ADDRLP4 1708
INDIRI4
ADDRLP4 1112+16
ADDP4
INDIRI4
ARGI4
ADDRLP4 1692
INDIRI4
ARGI4
ADDRLP4 56
INDIRP4
CNSTI4 132
ADDP4
INDIRI4
ADDRFP4 8
INDIRI4
CNSTI4 8
LSHI4
ADDI4
ARGI4
ADDRLP4 1708
INDIRI4
ADDRLP4 1112+20
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_Damage
CALLI4
pop
line 584
;584:		}
LABELV $303
line 581
ADDRLP4 1688
ADDRLP4 1688
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $305
ADDRLP4 1688
INDIRI4
ADDRLP4 1604
INDIRI4
LTI4 $302
line 585
;585:	}
LABELV $291
line 588
;586:
;587:	// xyz 26/10/04 [ player accuracy ]
;588:	switch(weapon){
ADDRLP4 1688
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 1688
INDIRI4
CNSTI4 8
LTI4 $309
ADDRLP4 1688
INDIRI4
CNSTI4 16
GTI4 $309
ADDRLP4 1688
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $314-32
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $314
address $311
address $311
address $311
address $311
address $311
address $311
address $311
address $311
address $311
code
LABELV $311
line 598
;589:		case WP_AK74_ASSAULT_RIFLE:
;590:		case WP_M4_ASSAULT_RIFLE:
;591:		case WP_M60_MACHINEGUN:
;592:		case WP_MP5:
;593:		case WP_SIG551:
;594:		case WP_MSG90A1:
;595:		case WP_USAS_12_SHOTGUN:
;596:		case WP_MM1_GRENADE_LAUNCHER:
;597:		case WP_RPG7_LAUNCHER:
;598:			if (ent->client->sess.shots > 0)
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 1436
ADDP4
INDIRI4
CNSTI4 0
LEI4 $310
line 599
;599:				ent->client->sess.accuracy=ent->client->sess.hits*100/ ent->client->sess.shots;
ADDRLP4 1692
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
ASGNP4
ADDRLP4 1692
INDIRP4
CNSTI4 1432
ADDP4
CNSTI4 100
ADDRLP4 1692
INDIRP4
CNSTI4 1440
ADDP4
INDIRI4
MULI4
ADDRLP4 1692
INDIRP4
CNSTI4 1436
ADDP4
INDIRI4
DIVI4
ASGNI4
line 600
;600:			break;
LABELV $309
LABELV $310
line 602
;601:	}
;602:}
LABELV $129
endproc G_FireBullet 1792 36
export G_FireProjectile
proc G_FireProjectile 136 24
line 612
;603:
;604:/*
;605:===============
;606:G_FireProjectile
;607:
;608:Fires a projectile from the given client entity
;609:===============
;610:*/
;611:gentity_t* G_FireProjectile ( gentity_t *ent, weapon_t weapon, attackType_t attack, int projectileLifetime, int flags )
;612:{
line 616
;613:	int			i;
;614:	vec3_t		muzzlePoint;
;615:	vec3_t		fwd, right, up, fireAngs;
;616:	gentity_t*		missile = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 622
;617:	weaponData_t*	weaponDat;
;618:	attackData_t*	attackDat;
;619:	float			inaccuracy;
;620:
;621:	// Grab the firing info
;622:	weaponDat = &weaponData[ent->s.weapon];
ADDRLP4 52
CNSTI4 1828
ADDRFP4 0
INDIRP4
CNSTI4 196
ADDP4
INDIRI4
MULI4
ADDRGP4 weaponData
ADDP4
ASGNP4
line 623
;623:	attackDat = &weaponDat->attack[attack];
ADDRLP4 4
CNSTI4 812
ADDRFP4 8
INDIRI4
MULI4
ADDRLP4 52
INDIRP4
CNSTI4 168
ADDP4
ADDP4
ASGNP4
line 625
;624:
;625:	inaccuracy = attackDat->inaccuracy / 1000.0f;
ADDRLP4 8
ADDRLP4 4
INDIRP4
CNSTI4 160
ADDP4
INDIRF4
CNSTF4 1148846080
DIVF4
ASGNF4
line 628
;626:
;627:	// where is gun muzzle?
;628:	VectorCopy( ent->client->ps.origin, muzzlePoint );
ADDRLP4 16
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 24
ADDP4
INDIRB
ASGNB 12
line 629
;629:	muzzlePoint[2] += ent->client->ps.viewheight;
ADDRLP4 16+8
ADDRLP4 16+8
INDIRF4
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 192
ADDP4
INDIRI4
CVIF4 4
ADDF4
ASGNF4
line 632
;630:
;631:	// Inform of the grenade toss if its a timed grenade
;632:	if ( weapon >= WP_M84_GRENADE && weapon < WP_M15_GRENADE && (flags&PROJECTILE_TIMED) && (ent->client->ps.pm_type == PM_NORMAL) )
ADDRLP4 80
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 80
INDIRI4
CNSTI4 17
LTI4 $318
ADDRLP4 80
INDIRI4
CNSTI4 20
GEI4 $318
ADDRLP4 84
CNSTI4 0
ASGNI4
ADDRFP4 16
INDIRI4
CNSTI4 32
BANDI4
ADDRLP4 84
INDIRI4
EQI4 $318
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ADDRLP4 84
INDIRI4
NEI4 $318
line 633
;633:	{
line 637
;634:		gentity_t* nearby;
;635:		
;636:		// Make sure there is someone nearby to hear you yell
;637:		nearby = G_FindNearbyClient ( ent->r.currentOrigin, ent->client->sess.team, 1200, ent );
ADDRLP4 92
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 92
INDIRP4
CNSTI4 288
ADDP4
ARGP4
ADDRLP4 92
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 1332
ADDP4
INDIRI4
ARGI4
CNSTF4 1150681088
ARGF4
ADDRLP4 92
INDIRP4
ARGP4
ADDRLP4 96
ADDRGP4 G_FindNearbyClient
CALLP4
ASGNP4
ADDRLP4 88
ADDRLP4 96
INDIRP4
ASGNP4
line 638
;638:		if ( nearby )
ADDRLP4 88
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $320
line 639
;639:		{
line 640
;640:			G_VoiceGlobal ( ent, "fire_hole", qtrue );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $322
ARGP4
CNSTI4 1
ARGI4
ADDRGP4 G_VoiceGlobal
CALLV
pop
line 641
;641:		}
LABELV $320
line 642
;642:	}
LABELV $318
line 645
;643:
;644:	// snap to integer coordinates for more efficient network bandwidth usage
;645:	SnapVector( muzzlePoint );
ADDRLP4 16
ADDRLP4 16
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 16+4
ADDRLP4 16+4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 16+8
ADDRLP4 16+8
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 647
;646:	
;647:	VectorCopy(ent->client->ps.viewangles, fireAngs);
ADDRLP4 40
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 180
ADDP4
INDIRB
ASGNB 12
line 649
;648:
;649:	if ( ent->client->ps.pm_flags & PMF_LEANING )
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CNSTI4 2097152
BANDI4
CNSTI4 0
EQI4 $327
line 650
;650:	{
line 651
;651:		BG_ApplyLeanOffset ( &ent->client->ps, muzzlePoint );
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
ARGP4
ADDRLP4 16
ARGP4
ADDRGP4 BG_ApplyLeanOffset
CALLV
pop
line 652
;652:	}
LABELV $327
line 654
;653:
;654:	AngleVectors( fireAngs, fwd, right, up );
ADDRLP4 40
ARGP4
ADDRLP4 28
ARGP4
ADDRLP4 56
ARGP4
ADDRLP4 68
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 656
;655:
;656:	for (i = 0; i < attackDat->pellets; i++) 
ADDRLP4 12
CNSTI4 0
ASGNI4
ADDRGP4 $332
JUMPV
LABELV $329
line 657
;657:	{
line 659
;658:		vec3_t		dir;
;659:		VectorCopy( fwd, dir );
ADDRLP4 88
ADDRLP4 28
INDIRB
ASGNB 12
line 660
;660:		if ( inaccuracy != 0)
ADDRLP4 8
INDIRF4
CNSTF4 0
EQF4 $333
line 661
;661:		{	// add in some spread / scatter
line 662
;662:			dir[0] += flrand(-0.1 * inaccuracy, 0.1 * inaccuracy);
CNSTF4 3184315597
ADDRLP4 8
INDIRF4
MULF4
ARGF4
CNSTF4 1036831949
ADDRLP4 8
INDIRF4
MULF4
ARGF4
ADDRLP4 104
ADDRGP4 flrand
CALLF4
ASGNF4
ADDRLP4 88
ADDRLP4 88
INDIRF4
ADDRLP4 104
INDIRF4
ADDF4
ASGNF4
line 663
;663:			dir[1] += flrand(-0.1 * inaccuracy, 0.1 * inaccuracy);
CNSTF4 3184315597
ADDRLP4 8
INDIRF4
MULF4
ARGF4
CNSTF4 1036831949
ADDRLP4 8
INDIRF4
MULF4
ARGF4
ADDRLP4 112
ADDRGP4 flrand
CALLF4
ASGNF4
ADDRLP4 88+4
ADDRLP4 88+4
INDIRF4
ADDRLP4 112
INDIRF4
ADDF4
ASGNF4
line 664
;664:			dir[2] += flrand(-0.1 * inaccuracy, 0.1 * inaccuracy);
CNSTF4 3184315597
ADDRLP4 8
INDIRF4
MULF4
ARGF4
CNSTF4 1036831949
ADDRLP4 8
INDIRF4
MULF4
ARGF4
ADDRLP4 120
ADDRGP4 flrand
CALLF4
ASGNF4
ADDRLP4 88+8
ADDRLP4 88+8
INDIRF4
ADDRLP4 120
INDIRF4
ADDF4
ASGNF4
line 665
;665:		}
LABELV $333
line 667
;666:
;667:		missile = G_CreateMissile( muzzlePoint, dir, attackDat->rV.velocity, min(projectileLifetime, 10000), ent, attack );
ADDRLP4 16
ARGP4
ADDRLP4 88
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 140
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRFP4 12
INDIRI4
CNSTI4 10000
GEI4 $338
ADDRLP4 100
ADDRFP4 12
INDIRI4
ASGNI4
ADDRGP4 $339
JUMPV
LABELV $338
ADDRLP4 100
CNSTI4 10000
ASGNI4
LABELV $339
ADDRLP4 100
INDIRI4
ARGI4
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 104
ADDRGP4 G_CreateMissile
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 104
INDIRP4
ASGNP4
line 669
;668:
;669:		missile->classname = ammoData[attackDat->ammoIndex].name;
ADDRLP4 0
INDIRP4
CNSTI4 336
ADDP4
CNSTI4 44
ADDRLP4 4
INDIRP4
CNSTI4 136
ADDP4
INDIRI4
MULI4
ADDRGP4 ammoData
ADDP4
INDIRP4
ASGNP4
line 670
;670:		missile->s.weapon = weapon;
ADDRLP4 0
INDIRP4
CNSTI4 196
ADDP4
ADDRFP4 4
INDIRI4
ASGNI4
line 672
;671:
;672:		VectorSet( missile->r.maxs, 1, 1, 1 );
ADDRLP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTF4 1065353216
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 252
ADDP4
CNSTF4 1065353216
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 256
ADDP4
CNSTF4 1065353216
ASGNF4
line 673
;673:		VectorScale( missile->r.maxs, -1, missile->r.mins );
ADDRLP4 0
INDIRP4
CNSTI4 236
ADDP4
CNSTF4 3212836864
ADDRLP4 0
INDIRP4
CNSTI4 248
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 240
ADDP4
CNSTF4 3212836864
ADDRLP4 0
INDIRP4
CNSTI4 252
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 244
ADDP4
CNSTF4 3212836864
ADDRLP4 0
INDIRP4
CNSTI4 256
ADDP4
INDIRF4
MULF4
ASGNF4
line 675
;674:
;675:		missile->damage = attackDat->damage;
ADDRLP4 0
INDIRP4
CNSTI4 556
ADDP4
ADDRLP4 4
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
ASGNI4
line 676
;676:		missile->dflags = DAMAGE_DEATH_KNOCKBACK|DAMAGE_NO_ARMOR;
ADDRLP4 0
INDIRP4
CNSTI4 560
ADDP4
CNSTI4 130
ASGNI4
line 677
;677:		missile->dflags |= (attackDat->gore ? 0 : DAMAGE_NO_GORE);
ADDRLP4 4
INDIRP4
CNSTI4 192
ADDP4
INDIRI4
CNSTI4 0
EQI4 $341
ADDRLP4 120
CNSTI4 0
ASGNI4
ADDRGP4 $342
JUMPV
LABELV $341
ADDRLP4 120
CNSTI4 2048
ASGNI4
LABELV $342
ADDRLP4 124
ADDRLP4 0
INDIRP4
CNSTI4 560
ADDP4
ASGNP4
ADDRLP4 124
INDIRP4
ADDRLP4 124
INDIRP4
INDIRI4
ADDRLP4 120
INDIRI4
BORI4
ASGNI4
line 678
;678:		missile->methodOfDeath = attackDat->mod + (attack<<8);
ADDRLP4 0
INDIRP4
CNSTI4 572
ADDP4
ADDRLP4 4
INDIRP4
CNSTI4 132
ADDP4
INDIRI4
ADDRFP4 8
INDIRI4
CNSTI4 8
LSHI4
ADDI4
ASGNI4
line 679
;679:		missile->clipmask = MASK_SHOT | CONTENTS_MISSILECLIP;
ADDRLP4 0
INDIRP4
CNSTI4 384
ADDP4
CNSTI4 135553
ASGNI4
line 680
;680:		if(attackDat->splashRadius)
ADDRLP4 4
INDIRP4
CNSTI4 184
ADDP4
INDIRI4
CNSTI4 0
EQI4 $343
line 681
;681:		{
line 682
;682:			missile->splashDamage = attackDat->damage;
ADDRLP4 0
INDIRP4
CNSTI4 564
ADDP4
ADDRLP4 4
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
ASGNI4
line 683
;683:			missile->splashRadius = attackDat->splashRadius;
ADDRLP4 0
INDIRP4
CNSTI4 568
ADDP4
ADDRLP4 4
INDIRP4
CNSTI4 184
ADDP4
INDIRI4
ASGNI4
line 684
;684:			missile->splashMethodOfDeath = missile->methodOfDeath;
ADDRLP4 0
INDIRP4
CNSTI4 576
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
ASGNI4
line 685
;685:		}
ADDRGP4 $344
JUMPV
LABELV $343
line 687
;686:		else
;687:		{
line 688
;688:			missile->splashDamage = 0;
ADDRLP4 0
INDIRP4
CNSTI4 564
ADDP4
CNSTI4 0
ASGNI4
line 689
;689:			missile->splashRadius = 0;
ADDRLP4 0
INDIRP4
CNSTI4 568
ADDP4
CNSTI4 0
ASGNI4
line 690
;690:			missile->splashMethodOfDeath = MOD_UNKNOWN;	//??
ADDRLP4 0
INDIRP4
CNSTI4 576
ADDP4
CNSTI4 0
ASGNI4
line 691
;691:		}
LABELV $344
line 693
;692:
;693:		if (flags & PROJECTILE_GRAVITY)
ADDRFP4 16
INDIRI4
CNSTI4 64
BANDI4
CNSTI4 0
EQI4 $345
line 694
;694:		{
line 695
;695:			missile->s.pos.trType = TR_GRAVITY;
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 5
ASGNI4
line 696
;696:		}
ADDRGP4 $346
JUMPV
LABELV $345
line 697
;697:		else if (flags & PROJECTILE_LIGHTGRAVITY)
ADDRFP4 16
INDIRI4
CNSTI4 512
BANDI4
CNSTI4 0
EQI4 $347
line 698
;698:		{
line 699
;699:			missile->s.pos.trType = TR_LIGHTGRAVITY;
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 7
ASGNI4
line 700
;700:		}
LABELV $347
LABELV $346
line 702
;701:
;702:		if (flags & PROJECTILE_TIMED)
ADDRFP4 16
INDIRI4
CNSTI4 32
BANDI4
CNSTI4 0
EQI4 $349
line 703
;703:		{	
line 704
;704:			missile->s.eFlags |= EF_BOUNCE_SCALE;
ADDRLP4 128
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 128
INDIRP4
ADDRLP4 128
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 705
;705:			missile->think = G_GrenadeThink;
ADDRLP4 0
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 G_GrenadeThink
ASGNP4
line 706
;706:			missile->bounceScale = attackDat->bounceScale;
ADDRLP4 0
INDIRP4
CNSTI4 584
ADDP4
ADDRLP4 4
INDIRP4
CNSTI4 200
ADDP4
INDIRF4
ASGNF4
line 707
;707:		}
ADDRGP4 $350
JUMPV
LABELV $349
line 709
;708:		else
;709:		{	
line 711
;710:			// we don't want it to bounce, just blow up
;711:			missile->bounceScale = 0;
ADDRLP4 0
INDIRP4
CNSTI4 584
ADDP4
CNSTF4 0
ASGNF4
line 712
;712:			missile->think = G_ExplodeMissile;
ADDRLP4 0
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 G_ExplodeMissile
ASGNP4
line 713
;713:		}
LABELV $350
line 715
;714:
;715:		if (flags & PROJECTILE_DAMAGE_AREA)
ADDRFP4 16
INDIRI4
CNSTI4 128
BANDI4
CNSTI4 0
EQI4 $351
line 716
;716:		{	// add area damage over time
line 717
;717:			missile->damage /= 2;
ADDRLP4 128
ADDRLP4 0
INDIRP4
CNSTI4 556
ADDP4
ASGNP4
ADDRLP4 128
INDIRP4
ADDRLP4 128
INDIRP4
INDIRI4
CNSTI4 2
DIVI4
ASGNI4
line 718
;718:			missile->dflags |= DAMAGE_AREA_DAMAGE;
ADDRLP4 132
ADDRLP4 0
INDIRP4
CNSTI4 560
ADDP4
ASGNP4
ADDRLP4 132
INDIRP4
ADDRLP4 132
INDIRP4
INDIRI4
CNSTI4 1024
BORI4
ASGNI4
line 719
;719:		}
LABELV $351
line 720
;720:	}
LABELV $330
line 656
ADDRLP4 12
ADDRLP4 12
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $332
ADDRLP4 12
INDIRI4
ADDRLP4 4
INDIRP4
CNSTI4 172
ADDP4
INDIRI4
LTI4 $329
line 723
;721:
;722:	// Angle override on the knife
;723:	if ( weapon == WP_KNIFE )
ADDRFP4 4
INDIRI4
CNSTI4 1
NEI4 $353
line 724
;724:	{
line 725
;725:		missile->s.eFlags |= EF_ANGLE_OVERRIDE;
ADDRLP4 88
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 88
INDIRP4
ADDRLP4 88
INDIRP4
INDIRI4
CNSTI4 8192
BORI4
ASGNI4
line 726
;726:	}
LABELV $353
line 728
;727:
;728:	return missile;
ADDRLP4 0
INDIRP4
RETP4
LABELV $316
endproc G_FireProjectile 136 24
export SnapVectorTowards
proc SnapVectorTowards 12 0
line 741
;729:}
;730:
;731:/*
;732:======================
;733:SnapVectorTowards
;734:
;735:Round a vector to integers for more efficient network
;736:transmission, but make sure that it rounds towards a given point
;737:rather than blindly truncating.  This prevents it from truncating 
;738:into a wall.
;739:======================
;740:*/
;741:void SnapVectorTowards( vec3_t v, vec3_t to ) {
line 744
;742:	int		i;
;743:
;744:	for ( i = 0 ; i < 3 ; i++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $356
line 745
;745:		if ( to[i] <= v[i] ) {
ADDRLP4 4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 4
INDIRI4
ADDRFP4 4
INDIRP4
ADDP4
INDIRF4
ADDRLP4 4
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRF4
GTF4 $360
line 746
;746:			v[i] = (int)v[i];
ADDRLP4 8
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 0
INDIRP4
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 747
;747:		} else {
ADDRGP4 $361
JUMPV
LABELV $360
line 748
;748:			v[i] = (int)v[i] + 1;
ADDRLP4 8
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 0
INDIRP4
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
CVFI4 4
CNSTI4 1
ADDI4
CVIF4 4
ASGNF4
line 749
;749:		}
LABELV $361
line 750
;750:	}
LABELV $357
line 744
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $356
line 751
;751:}
LABELV $355
endproc SnapVectorTowards 12 0
export G_FireWeapon
proc G_FireWeapon 24 20
line 761
;752:
;753:/*
;754:===============
;755:G_FireWeapon
;756:
;757:Fires either a bullet or a projectile
;758:===============
;759:*/
;760:gentity_t* G_FireWeapon( gentity_t *ent, attackType_t attack ) 
;761:{
line 767
;762:	weaponData_t *weaponDat;
;763:	attackData_t *attackDat;
;764:	int			 projectileLifetime;
;765:	int			 flags;
;766:
;767:	weaponDat = &weaponData[ent->s.weapon];
ADDRLP4 4
CNSTI4 1828
ADDRFP4 0
INDIRP4
CNSTI4 196
ADDP4
INDIRI4
MULI4
ADDRGP4 weaponData
ADDP4
ASGNP4
line 768
;768:	attackDat = &weaponDat->attack[attack];
ADDRLP4 0
CNSTI4 812
ADDRFP4 4
INDIRI4
MULI4
ADDRLP4 4
INDIRP4
CNSTI4 168
ADDP4
ADDP4
ASGNP4
line 769
;769:	flags     = attackDat->weaponFlags;
ADDRLP4 12
ADDRLP4 0
INDIRP4
CNSTI4 176
ADDP4
INDIRI4
ASGNI4
line 772
;770:
;771:	// Determine lifetime of projectile. Modified by how long we've been holding it!
;772:	if( !ent->client->ps.grenadeTimer )
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 860
ADDP4
INDIRI4
CNSTI4 0
NEI4 $363
line 773
;773:	{
line 774
;774:		projectileLifetime = attackDat->projectileLifetime;
ADDRLP4 8
ADDRLP4 0
INDIRP4
CNSTI4 180
ADDP4
INDIRI4
ASGNI4
line 775
;775:	}
ADDRGP4 $364
JUMPV
LABELV $363
line 777
;776:	else
;777:	{
line 778
;778:		projectileLifetime = ent->client->ps.grenadeTimer;
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 860
ADDP4
INDIRI4
ASGNI4
line 781
;779:
;780:		// Less than 50 milliseconds will just cause it to blow up in your hand
;781:		if ( projectileLifetime < 50 )
ADDRLP4 8
INDIRI4
CNSTI4 50
GEI4 $365
line 782
;782:		{
line 783
;783:			flags &= ~PROJECTILE_TIMED;
ADDRLP4 12
ADDRLP4 12
INDIRI4
CNSTI4 -33
BANDI4
ASGNI4
line 784
;784:		}
LABELV $365
line 785
;785:	}
LABELV $364
line 788
;786:
;787:	// Clear the grenade timer
;788:	ent->client->ps.grenadeTimer = 0;
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 860
ADDP4
CNSTI4 0
ASGNI4
line 790
;789:
;790:	if ( attackDat->weaponFlags & PROJECTILE_FIRE)
ADDRLP4 0
INDIRP4
CNSTI4 176
ADDP4
INDIRI4
CNSTI4 16
BANDI4
CNSTI4 0
EQI4 $367
line 791
;791:	{
line 792
;792:		return G_FireProjectile ( ent, ent->s.weapon, attack, projectileLifetime, flags );
ADDRLP4 16
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
ARGP4
ADDRLP4 16
INDIRP4
CNSTI4 196
ADDP4
INDIRI4
ARGI4
ADDRFP4 4
INDIRI4
ARGI4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 12
INDIRI4
ARGI4
ADDRLP4 20
ADDRGP4 G_FireProjectile
CALLP4
ASGNP4
ADDRLP4 20
INDIRP4
RETP4
ADDRGP4 $362
JUMPV
LABELV $367
line 795
;793:	}
;794:	else
;795:	{
line 796
;796:		G_FireBullet ( ent, ent->s.weapon, attack );
ADDRLP4 16
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
ARGP4
ADDRLP4 16
INDIRP4
CNSTI4 196
ADDP4
INDIRI4
ARGI4
ADDRFP4 4
INDIRI4
ARGI4
ADDRGP4 G_FireBullet
CALLV
pop
line 797
;797:	}
line 799
;798:
;799:	return NULL;
CNSTP4 0
RETP4
LABELV $362
endproc G_FireWeapon 24 20
export G_InitHitModel
proc G_InitHitModel 20508 28
line 808
;800:}
;801:
;802:/*
;803:===============
;804:G_InitHitModel
;805:===============
;806:*/
;807:void* G_InitHitModel ( void )
;808:{
line 814
;809:	void*		ghoul2;
;810:	char		temp[20480];
;811:	int			numPairs;
;812:	qhandle_t	handle;
;813:
;814:	ghoul2 = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 817
;815:
;816:	// Initialize the ghoul2 model
;817:	trap_G2API_InitGhoul2Model ( &ghoul2, 
ADDRLP4 0
ARGP4
ADDRGP4 $370
ARGP4
ADDRLP4 20492
CNSTI4 0
ASGNI4
ADDRLP4 20492
INDIRI4
ARGI4
ADDRLP4 20492
INDIRI4
ARGI4
ADDRLP4 20492
INDIRI4
ARGI4
CNSTI4 16
ARGI4
CNSTI4 2
ARGI4
ADDRGP4 trap_G2API_InitGhoul2Model
CALLI4
pop
line 822
;818:								 "models/characters/average_sleeves/average_sleeves.glm", 
;819:								 0, 0, 0, (1<<4), 2 );
;820:
;821:	// Verify it
;822:	if ( !ghoul2 )
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $371
line 823
;823:	{
line 824
;824:		return ghoul2;
ADDRLP4 0
INDIRP4
RETP4
ADDRGP4 $369
JUMPV
LABELV $371
line 828
;825:	}
;826:
;827:	//  Parse the skin file that will be used for hit information
;828:	numPairs = BG_ParseSkin ( "models/characters/skins/col_rebel_h1.g2skin", temp, sizeof(temp) );
ADDRGP4 $373
ARGP4
ADDRLP4 4
ARGP4
CNSTI4 20480
ARGI4
ADDRLP4 20496
ADDRGP4 BG_ParseSkin
CALLI4
ASGNI4
ADDRLP4 20484
ADDRLP4 20496
INDIRI4
ASGNI4
line 829
;829:	if ( !numPairs )
ADDRLP4 20484
INDIRI4
CNSTI4 0
NEI4 $374
line 830
;830:	{
line 831
;831:		trap_G2API_CleanGhoul2Models ( &ghoul2 );
ADDRLP4 0
ARGP4
ADDRGP4 trap_G2API_CleanGhoul2Models
CALLV
pop
line 832
;832:		return NULL;
CNSTP4 0
RETP4
ADDRGP4 $369
JUMPV
LABELV $374
line 836
;833:	}
;834:
;835:	// Register the skin and attach it to the ghoul model
;836:	handle = trap_G2API_RegisterSkin( "hitmodel", numPairs, temp );
ADDRGP4 $376
ARGP4
ADDRLP4 20484
INDIRI4
ARGI4
ADDRLP4 4
ARGP4
ADDRLP4 20500
ADDRGP4 trap_G2API_RegisterSkin
CALLI4
ASGNI4
ADDRLP4 20488
ADDRLP4 20500
INDIRI4
ASGNI4
line 837
;837:	trap_G2API_SetSkin( ghoul2, 0, handle );
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 0
ARGI4
ADDRLP4 20488
INDIRI4
ARGI4
ADDRGP4 trap_G2API_SetSkin
CALLI4
pop
line 840
;838:
;839:	// Read in the animations for this model
;840:	trap_G2API_GetAnimFileNameIndex( ghoul2, 0, temp );
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 0
ARGI4
ADDRLP4 4
ARGP4
ADDRGP4 trap_G2API_GetAnimFileNameIndex
CALLI4
pop
line 841
;841:	BG_ParseAnimationFile ( va("%s_mp.cfg", temp), level.ghoulAnimations );
ADDRGP4 $377
ARGP4
ADDRLP4 4
ARGP4
ADDRLP4 20504
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 20504
INDIRP4
ARGP4
ADDRGP4 level+7864
ARGP4
ADDRGP4 BG_ParseAnimationFile
CALLI4
pop
line 844
;842:
;843:	// Hand the hit model back
;844:	return ghoul2;
ADDRLP4 0
INDIRP4
RETP4
LABELV $369
endproc G_InitHitModel 20508 28
export G_InitHitModels
proc G_InitHitModels 4 0
line 853
;845:}
;846:
;847:/*
;848:===============
;849:G_InitHitModels
;850:===============
;851:*/
;852:void G_InitHitModels ( void )
;853:{
line 854
;854:	level.serverGhoul2 = G_InitHitModel ( );
ADDRLP4 0
ADDRGP4 G_InitHitModel
CALLP4
ASGNP4
ADDRGP4 level+7860
ADDRLP4 0
INDIRP4
ASGNP4
line 855
;855:}
LABELV $379
endproc G_InitHitModels 4 0
import G_BoxInBounds
import G_DoGameTypeMessage
import G_GlobalSound
import G_ClientSound
import G_ApplyAntiLag
import G_UndoAntiLag
import G_UpdateClientAntiLag
import trap_GT_SendEvent
import trap_GT_Start
import trap_GT_RunFrame
import trap_GT_Init
import trap_CM_RegisterTerrain
import trap_SnapVector
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotAddAvoidSpot
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotSetAvoidGoalTime
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_ForcePower
import trap_EA_Alt_Attack
import trap_EA_View
import trap_EA_Move
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_SelectWeapon
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_Gesture
import trap_EA_Action
import trap_EA_Command
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AlternativeRouteGoals
import trap_AAS_PredictRoute
import trap_AAS_EnableRoutingArea
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointReachabilityAreaIndex
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_AAS_AreaInfo
import trap_AAS_BBoxAreas
import trap_BotUserCommand
import trap_BotGetServerCommand
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_BotFreeMemoryGame
import trap_BotGetMemoryGame
import trap_GetWorldBounds
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetActiveSubBSP
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_RMG_Init
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_suddenDeath
import g_voiceTalkingGhosts
import g_voiceFloodPenalty
import g_voiceFloodCount
import g_teamkillNoExcuseMultiplier
import g_teamkillNoExcuseTime
import g_teamkillBanTime
import g_teamkillDamageForgive
import g_teamkillDamageMax
import g_teamkillPenalty
import g_suicidePenalty
import g_pickupsDisabled
import g_mapcycle
import g_followEnemy
import g_forceFollow
import g_availableWeapons
import g_roundstartdelay
import g_timeextension
import g_roundjointime
import g_roundtimelimit
import g_timeouttospec
import g_debugRMG
import RMG
import g_respawnInvulnerability
import g_respawnInterval
import g_rankings
import pmove_msec
import pmove_fixed
import g_smoothClients
import g_teamForceBalance
import g_teamAutoJoin
import g_failedVoteDelay
import g_voteKickBanTime
import g_voteDuration
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_backpackRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_timelimit
import g_scorelimit
import g_dmflags
import g_logHits
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_addBotsFast
import g_cloneChecker
import g_compMode
import g_useColorInNames
import g_onFireUntilDeath
import g_headshotMessage
import g_announceKillSpree
import g_botHeadLock
import g_entities
import level
import Team_GetLocationMsg
import Team_GetLocation
import G_AddTeamScore
import TeamColorString
import OtherTeamName
import TeamSkins
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import OrgVisible
import G_DropGametypeItems
import gametype_item_use
import G_ResetGametypeItem
import G_CanGametypeTriggerBeUsed
import G_ResetGametype
import G_ExecuteGametypeScript
import G_ParseGametypeFile
import G_SelectRandomGametypeSpawnPoint
import G_SpawnGametypeItem
import G_SelectGametypeSpawnPoint
import G_LoadArenas
import G_DoesMapExist
import G_DoesMapSupportGametype
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_RemoveQueuedBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Team_CheckDroppedItem
import OnSameTeam
import G_RunClient
import ClientEndFrame
import ClientThink
import G_CheckClientTeamkill
import G_CheckClientTimeouts
import G_GametypeCommand
import G_SelectRandomSpawnPoint
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import CheckGametype
import SendScoreboardMessageToAllClients
import G_LogPrintf
import G_RunThink
import SetLeader
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import ProDeathmatchScoreboardMessage
import MoveClientToIntermission
import ConsoleCommand
import G_IgnoreClientChat
import G_IsClientChatIgnored
import G_AddClientSpawn
import G_FindNearbyClient
import G_SetRespawnTimer
import G_UpdateClientAnimations
import G_SpotWouldTelefrag
import CalculateRanks
import G_AddScore
import G_InitBodyQueue
import player_die
import ClientSpawn
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import CopyToBodyQue
import SetClientViewAngle
import PickTeam
import G_GhostCount
import TeamCount
import G_ClientCleanName
import G_IsClientDead
import G_IsClientSpectating
import TeleportPlayer
import InitTrigger
import trigger_teleporter_touch
import G_ResetGlass
import Touch_DoorTrigger
import G_RunMover
import G_GrenadeThink
import G_ExplodeMissile
import G_BounceProjectile
import G_CreateDamageArea
import G_CreateMissile
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import G_GetHitLocation
import CanDamage
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_CollisionDetect
import trap_G2API_CleanGhoul2Models
import BuildShaderStateConfig
import AddRemap
import G_SetOrigin
import G_AddEvent
import G_AddPredictableEvent
import vectoyaw
import vtos
import tv
import G_RunObject
import G_TouchSolids
import G_TouchTriggers
import G_EntitiesFree
import G_FreeEnitityChildren
import G_FreeEntity
import G_EntitySound
import G_SoundAtLoc
import G_Sound
import G_SetHUDIcon
import G_PlayEffect
import G_TempEntity
import G_Spawn
import G_InitGentity
import G_SetAngles
import G_SetMovedir
import G_UseTargetsByName
import G_UseTargets
import G_PickTarget
import G_RadiusList
import G_Find
import G_KillBox
import G_TeamCommand
import G_EffectIndex
import G_IconIndex
import G_BSPIndex
import G_AmbientSoundSetIndex
import G_SoundIndex
import G_ModelIndex
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import G_DropWeapon
import LaunchItem
import G_DropItem
import PrecacheItem
import RespawnItem
import G_RunItem
import ItemUse_MedPack
import ItemUse_Seeker
import ItemUse_Sentry
import ItemUse_Shield
import G_CanVoiceGlobal
import G_VoiceGlobal
import G_Voice
import G_SpawnDebugCylinder
import CheatsOk
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import G_StartGhosting
import G_StopGhosting
import G_StopFollowing
import Cmd_Score_f
import AddSpawnField
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnGEntityFromSpawnVars
import G_ParseSpawnVars
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $377
char 1 37
char 1 115
char 1 95
char 1 109
char 1 112
char 1 46
char 1 99
char 1 102
char 1 103
char 1 0
align 1
LABELV $376
char 1 104
char 1 105
char 1 116
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 0
align 1
LABELV $373
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 115
char 1 47
char 1 99
char 1 104
char 1 97
char 1 114
char 1 97
char 1 99
char 1 116
char 1 101
char 1 114
char 1 115
char 1 47
char 1 115
char 1 107
char 1 105
char 1 110
char 1 115
char 1 47
char 1 99
char 1 111
char 1 108
char 1 95
char 1 114
char 1 101
char 1 98
char 1 101
char 1 108
char 1 95
char 1 104
char 1 49
char 1 46
char 1 103
char 1 50
char 1 115
char 1 107
char 1 105
char 1 110
char 1 0
align 1
LABELV $370
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 115
char 1 47
char 1 99
char 1 104
char 1 97
char 1 114
char 1 97
char 1 99
char 1 116
char 1 101
char 1 114
char 1 115
char 1 47
char 1 97
char 1 118
char 1 101
char 1 114
char 1 97
char 1 103
char 1 101
char 1 95
char 1 115
char 1 108
char 1 101
char 1 101
char 1 118
char 1 101
char 1 115
char 1 47
char 1 97
char 1 118
char 1 101
char 1 114
char 1 97
char 1 103
char 1 101
char 1 95
char 1 115
char 1 108
char 1 101
char 1 101
char 1 118
char 1 101
char 1 115
char 1 46
char 1 103
char 1 108
char 1 109
char 1 0
align 1
LABELV $322
char 1 102
char 1 105
char 1 114
char 1 101
char 1 95
char 1 104
char 1 111
char 1 108
char 1 101
char 1 0
align 1
LABELV $111
char 1 99
char 1 114
char 1 97
char 1 110
char 1 105
char 1 117
char 1 109
char 1 0
align 1
LABELV $106
char 1 117
char 1 112
char 1 112
char 1 101
char 1 114
char 1 95
char 1 108
char 1 117
char 1 109
char 1 98
char 1 97
char 1 114
char 1 0
align 1
LABELV $104
char 1 108
char 1 111
char 1 119
char 1 101
char 1 114
char 1 95
char 1 108
char 1 117
char 1 109
char 1 98
char 1 97
char 1 114
char 1 0
align 1
LABELV $101
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 95
char 1 114
char 1 111
char 1 111
char 1 116
char 1 0
align 1
LABELV $94
char 1 102
char 1 117
char 1 110
char 1 99
char 1 95
char 1 103
char 1 108
char 1 97
char 1 115
char 1 115
char 1 0
align 1
LABELV $84
char 1 115
char 1 110
char 1 105
char 1 112
char 1 101
char 1 114
char 1 0
