export PM_SlideMove
code
proc PM_SlideMove 308 28
file "../../game/bg_slidemove.c"
line 19
;1:// Copyright (C) 2001-2002 Raven Software
;2://
;3:// bg_slidemove.c -- part of bg_pmove functionality
;4:
;5:#include "q_shared.h"
;6:#include "bg_public.h"
;7:#include "bg_local.h"
;8:
;9:/*
;10:==================
;11:PM_SlideMove
;12:
;13:Returns qtrue if the velocity was clipped in some way
;14:==================
;15:*/
;16:#define	MAX_CLIP_PLANES	5
;17:
;18:qboolean	PM_SlideMove( qboolean gravity ) 
;19:{
line 35
;20:	int			bumpcount, numbumps;
;21:	vec3_t		dir;
;22:	float		d;
;23:	int			numplanes;
;24:	vec3_t		planes[MAX_CLIP_PLANES];
;25:	vec3_t		primal_velocity;
;26:	vec3_t		clipVelocity;
;27:	int			i, j, k;
;28:	trace_t		trace;
;29:	vec3_t		end;
;30:	float		time_left;
;31:	float		into;
;32:	vec3_t		endVelocity;
;33:	vec3_t		endClipVelocity;
;34:	
;35:	numbumps = 4;
ADDRLP4 208
CNSTI4 4
ASGNI4
line 37
;36:
;37:	VectorCopy (pm->ps->velocity, primal_velocity);
ADDRLP4 212
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
INDIRB
ASGNB 12
line 39
;38:
;39:	if ( gravity ) 
ADDRFP4 0
INDIRI4
CNSTI4 0
EQI4 $54
line 40
;40:	{
line 41
;41:		VectorCopy( pm->ps->velocity, endVelocity );
ADDRLP4 116
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
INDIRB
ASGNB 12
line 42
;42:		endVelocity[2] -= pm->ps->gravity * pml.frametime;
ADDRLP4 116+8
ADDRLP4 116+8
INDIRF4
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 76
ADDP4
INDIRI4
CVIF4 4
ADDRGP4 pml+36
INDIRF4
MULF4
SUBF4
ASGNF4
line 43
;43:		pm->ps->velocity[2] = ( pm->ps->velocity[2] + endVelocity[2] ) * 0.5;
ADDRLP4 224
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 44
ADDP4
ASGNP4
ADDRLP4 224
INDIRP4
CNSTF4 1056964608
ADDRLP4 224
INDIRP4
INDIRF4
ADDRLP4 116+8
INDIRF4
ADDF4
MULF4
ASGNF4
line 44
;44:		primal_velocity[2] = endVelocity[2];
ADDRLP4 212+8
ADDRLP4 116+8
INDIRF4
ASGNF4
line 46
;45:		
;46:		if ( pml.groundPlane ) 
ADDRGP4 pml+48
INDIRI4
CNSTI4 0
EQI4 $61
line 47
;47:		{
line 49
;48:			// slide along the ground plane
;49:			PM_ClipVelocity (pm->ps->velocity, pml.groundTrace.plane.normal, 
ADDRLP4 228
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
ASGNP4
ADDRLP4 228
INDIRP4
ARGP4
ADDRGP4 pml+52+24
ARGP4
ADDRLP4 228
INDIRP4
ARGP4
CNSTF4 1065361605
ARGF4
ADDRGP4 PM_ClipVelocity
CALLV
pop
line 51
;50:				pm->ps->velocity, OVERCLIP );
;51:		}
LABELV $61
line 52
;52:	}
LABELV $54
line 54
;53:
;54:	time_left = pml.frametime;
ADDRLP4 188
ADDRGP4 pml+36
INDIRF4
ASGNF4
line 57
;55:
;56:	// never turn against the ground plane
;57:	if ( pml.groundPlane ) 
ADDRGP4 pml+48
INDIRI4
CNSTI4 0
EQI4 $67
line 58
;58:	{
line 59
;59:		numplanes = 1;
ADDRLP4 96
CNSTI4 1
ASGNI4
line 60
;60:		VectorCopy( pml.groundTrace.plane.normal, planes[0] );
ADDRLP4 4
ADDRGP4 pml+52+24
INDIRB
ASGNB 12
line 61
;61:	} 
ADDRGP4 $68
JUMPV
LABELV $67
line 63
;62:	else 
;63:	{
line 64
;64:		numplanes = 0;
ADDRLP4 96
CNSTI4 0
ASGNI4
line 65
;65:	}
LABELV $68
line 68
;66:
;67:	// never turn against original velocity
;68:	VectorNormalize2( pm->ps->velocity, planes[numplanes] );
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
ARGP4
CNSTI4 12
ADDRLP4 96
INDIRI4
MULI4
ADDRLP4 4
ADDP4
ARGP4
ADDRGP4 VectorNormalize2
CALLF4
pop
line 69
;69:	numplanes++;
ADDRLP4 96
ADDRLP4 96
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 71
;70:
;71:	for ( bumpcount=0 ; bumpcount < numbumps ; bumpcount++ ) 
ADDRLP4 204
CNSTI4 0
ASGNI4
ADDRGP4 $75
JUMPV
LABELV $72
line 72
;72:	{
line 74
;73:		// calculate position we are trying to move to
;74:		VectorMA( pm->ps->origin, time_left, pm->ps->velocity, end );
ADDRLP4 224
ADDRGP4 pm
INDIRP4
ASGNP4
ADDRLP4 228
ADDRLP4 224
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 192
ADDRLP4 228
INDIRP4
CNSTI4 24
ADDP4
INDIRF4
ADDRLP4 228
INDIRP4
CNSTI4 36
ADDP4
INDIRF4
ADDRLP4 188
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 236
ADDRLP4 224
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 192+4
ADDRLP4 236
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
ADDRLP4 236
INDIRP4
CNSTI4 40
ADDP4
INDIRF4
ADDRLP4 188
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 240
ADDRGP4 pm
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 192+8
ADDRLP4 240
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
ADDRLP4 240
INDIRP4
CNSTI4 44
ADDP4
INDIRF4
ADDRLP4 188
INDIRF4
MULF4
ADDF4
ASGNF4
line 77
;75:
;76:		// see if we can make it there
;77:		pm->trace ( &trace, pm->ps->origin, pm->mins, pm->maxs, end, pm->ps->clientNum, pm->tracemask);
ADDRLP4 128
ARGP4
ADDRLP4 244
ADDRGP4 pm
INDIRP4
ASGNP4
ADDRLP4 248
ADDRLP4 244
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 248
INDIRP4
CNSTI4 24
ADDP4
ARGP4
ADDRLP4 244
INDIRP4
CNSTI4 184
ADDP4
ARGP4
ADDRLP4 244
INDIRP4
CNSTI4 196
ADDP4
ARGP4
ADDRLP4 192
ARGP4
ADDRLP4 248
INDIRP4
CNSTI4 168
ADDP4
INDIRI4
ARGI4
ADDRLP4 244
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
ARGI4
ADDRLP4 244
INDIRP4
CNSTI4 232
ADDP4
INDIRP4
CALLV
pop
line 79
;78:
;79:		if (trace.allsolid) 
ADDRLP4 128
INDIRI4
CNSTI4 0
EQI4 $78
line 80
;80:		{
line 82
;81:			// entity is completely trapped in another solid
;82:			pm->ps->velocity[2] = 0;	// don't build up falling damage, but allow sideways acceleration
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 44
ADDP4
CNSTF4 0
ASGNF4
line 83
;83:			return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $53
JUMPV
LABELV $78
line 86
;84:		}
;85:
;86:		if (trace.fraction > 0) 
ADDRLP4 128+8
INDIRF4
CNSTF4 0
LEF4 $80
line 87
;87:		{
line 89
;88:			// actually covered some distance
;89:			VectorCopy (trace.endpos, pm->ps->origin);
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 128+12
INDIRB
ASGNB 12
line 90
;90:		}
LABELV $80
line 92
;91:
;92:		if (trace.fraction == 1) 
ADDRLP4 128+8
INDIRF4
CNSTF4 1065353216
NEF4 $84
line 93
;93:		{
line 94
;94:			 break;		// moved the entire distance
ADDRGP4 $74
JUMPV
LABELV $84
line 98
;95:		}
;96:
;97:		// save entity for contact
;98:		PM_AddTouchEnt( trace.entityNum );
ADDRLP4 128+52
INDIRI4
ARGI4
ADDRGP4 PM_AddTouchEnt
CALLV
pop
line 100
;99:
;100:		time_left -= time_left * trace.fraction;
ADDRLP4 188
ADDRLP4 188
INDIRF4
ADDRLP4 188
INDIRF4
ADDRLP4 128+8
INDIRF4
MULF4
SUBF4
ASGNF4
line 102
;101:
;102:		if (numplanes >= MAX_CLIP_PLANES) 
ADDRLP4 96
INDIRI4
CNSTI4 5
LTI4 $89
line 103
;103:		{
line 105
;104:			// this shouldn't really happen
;105:			VectorClear( pm->ps->velocity );
ADDRLP4 256
ADDRGP4 pm
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 260
CNSTF4 0
ASGNF4
ADDRLP4 256
INDIRP4
CNSTI4 44
ADDP4
ADDRLP4 260
INDIRF4
ASGNF4
ADDRLP4 256
INDIRP4
CNSTI4 40
ADDP4
ADDRLP4 260
INDIRF4
ASGNF4
ADDRLP4 256
INDIRP4
CNSTI4 36
ADDP4
ADDRLP4 260
INDIRF4
ASGNF4
line 106
;106:			return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $53
JUMPV
LABELV $89
line 114
;107:		}
;108:
;109:		//
;110:		// if this is the same plane we hit before, nudge velocity
;111:		// out along it, which fixes some epsilon issues with
;112:		// non-axial planes
;113:		//
;114:		for ( i = 0 ; i < numplanes ; i++ ) 
ADDRLP4 80
CNSTI4 0
ASGNI4
ADDRGP4 $94
JUMPV
LABELV $91
line 115
;115:		{
line 116
;116:			if ( DotProduct( trace.plane.normal, planes[i] ) > 0.99 ) 
ADDRLP4 256
CNSTI4 12
ADDRLP4 80
INDIRI4
MULI4
ASGNI4
ADDRLP4 128+24
INDIRF4
ADDRLP4 256
INDIRI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDRLP4 128+24+4
INDIRF4
ADDRLP4 256
INDIRI4
ADDRLP4 4+4
ADDP4
INDIRF4
MULF4
ADDF4
ADDRLP4 128+24+8
INDIRF4
ADDRLP4 256
INDIRI4
ADDRLP4 4+8
ADDP4
INDIRF4
MULF4
ADDF4
CNSTF4 1065185444
LEF4 $95
line 117
;117:			{
line 118
;118:				VectorAdd( trace.plane.normal, pm->ps->velocity, pm->ps->velocity );
ADDRLP4 260
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
ASGNP4
ADDRLP4 260
INDIRP4
ADDRLP4 128+24
INDIRF4
ADDRLP4 260
INDIRP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 264
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 40
ADDP4
ASGNP4
ADDRLP4 264
INDIRP4
ADDRLP4 128+24+4
INDIRF4
ADDRLP4 264
INDIRP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 268
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 44
ADDP4
ASGNP4
ADDRLP4 268
INDIRP4
ADDRLP4 128+24+8
INDIRF4
ADDRLP4 268
INDIRP4
INDIRF4
ADDF4
ASGNF4
line 119
;119:				break;
ADDRGP4 $93
JUMPV
LABELV $95
line 121
;120:			}
;121:		}
LABELV $92
line 114
ADDRLP4 80
ADDRLP4 80
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $94
ADDRLP4 80
INDIRI4
ADDRLP4 96
INDIRI4
LTI4 $91
LABELV $93
line 123
;122:
;123:		if ( i < numplanes ) 
ADDRLP4 80
INDIRI4
ADDRLP4 96
INDIRI4
GEI4 $109
line 124
;124:		{
line 125
;125:			continue;
ADDRGP4 $73
JUMPV
LABELV $109
line 128
;126:		}
;127:
;128:		VectorCopy (trace.plane.normal, planes[numplanes]);
CNSTI4 12
ADDRLP4 96
INDIRI4
MULI4
ADDRLP4 4
ADDP4
ADDRLP4 128+24
INDIRB
ASGNB 12
line 129
;129:		numplanes++;
ADDRLP4 96
ADDRLP4 96
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 136
;130:
;131:		//
;132:		// modify velocity so it parallels all of the clip planes
;133:		//
;134:
;135:		// find a plane that it enters
;136:		for ( i = 0 ; i < numplanes ; i++ ) 
ADDRLP4 80
CNSTI4 0
ASGNI4
ADDRGP4 $115
JUMPV
LABELV $112
line 137
;137:		{
line 138
;138:			into = DotProduct( pm->ps->velocity, planes[i] );
ADDRLP4 256
ADDRGP4 pm
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 260
CNSTI4 12
ADDRLP4 80
INDIRI4
MULI4
ASGNI4
ADDRLP4 184
ADDRLP4 256
INDIRP4
CNSTI4 36
ADDP4
INDIRF4
ADDRLP4 260
INDIRI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDRLP4 256
INDIRP4
CNSTI4 40
ADDP4
INDIRF4
ADDRLP4 260
INDIRI4
ADDRLP4 4+4
ADDP4
INDIRF4
MULF4
ADDF4
ADDRLP4 256
INDIRP4
CNSTI4 44
ADDP4
INDIRF4
ADDRLP4 260
INDIRI4
ADDRLP4 4+8
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 139
;139:			if ( into >= 0.1 ) 
ADDRLP4 184
INDIRF4
CNSTF4 1036831949
LTF4 $118
line 140
;140:			{
line 141
;141:				continue;		// move doesn't interact with the plane
ADDRGP4 $113
JUMPV
LABELV $118
line 145
;142:			}
;143:
;144:			// see how hard we are hitting things
;145:			if ( -into > pml.impactSpeed ) 
ADDRLP4 184
INDIRF4
NEGF4
ADDRGP4 pml+108
INDIRF4
LEF4 $120
line 146
;146:			{
line 147
;147:				pml.impactSpeed = -into;
ADDRGP4 pml+108
ADDRLP4 184
INDIRF4
NEGF4
ASGNF4
line 148
;148:			}
LABELV $120
line 151
;149:
;150:			// slide along the plane
;151:			PM_ClipVelocity (pm->ps->velocity, planes[i], clipVelocity, OVERCLIP );
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
ARGP4
CNSTI4 12
ADDRLP4 80
INDIRI4
MULI4
ADDRLP4 4
ADDP4
ARGP4
ADDRLP4 64
ARGP4
CNSTF4 1065361605
ARGF4
ADDRGP4 PM_ClipVelocity
CALLV
pop
line 154
;152:
;153:			// slide along the plane
;154:			PM_ClipVelocity (endVelocity, planes[i], endClipVelocity, OVERCLIP );
ADDRLP4 116
ARGP4
CNSTI4 12
ADDRLP4 80
INDIRI4
MULI4
ADDRLP4 4
ADDP4
ARGP4
ADDRLP4 104
ARGP4
CNSTF4 1065361605
ARGF4
ADDRGP4 PM_ClipVelocity
CALLV
pop
line 157
;155:
;156:			// see if there is a second plane that the new move enters
;157:			for ( j = 0 ; j < numplanes ; j++ ) 
ADDRLP4 76
CNSTI4 0
ASGNI4
ADDRGP4 $127
JUMPV
LABELV $124
line 158
;158:			{
line 159
;159:				if ( j == i ) 
ADDRLP4 76
INDIRI4
ADDRLP4 80
INDIRI4
NEI4 $128
line 160
;160:				{
line 161
;161:					continue;
ADDRGP4 $125
JUMPV
LABELV $128
line 163
;162:				}
;163:				if ( DotProduct( clipVelocity, planes[j] ) >= 0.1 ) 
ADDRLP4 264
CNSTI4 12
ADDRLP4 76
INDIRI4
MULI4
ASGNI4
ADDRLP4 64
INDIRF4
ADDRLP4 264
INDIRI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDRLP4 64+4
INDIRF4
ADDRLP4 264
INDIRI4
ADDRLP4 4+4
ADDP4
INDIRF4
MULF4
ADDF4
ADDRLP4 64+8
INDIRF4
ADDRLP4 264
INDIRI4
ADDRLP4 4+8
ADDP4
INDIRF4
MULF4
ADDF4
CNSTF4 1036831949
LTF4 $130
line 164
;164:				{
line 165
;165:					continue;		// move doesn't interact with the plane
ADDRGP4 $125
JUMPV
LABELV $130
line 169
;166:				}
;167:
;168:				// try clipping the move to the plane
;169:				PM_ClipVelocity( clipVelocity, planes[j], clipVelocity, OVERCLIP );
ADDRLP4 64
ARGP4
CNSTI4 12
ADDRLP4 76
INDIRI4
MULI4
ADDRLP4 4
ADDP4
ARGP4
ADDRLP4 64
ARGP4
CNSTF4 1065361605
ARGF4
ADDRGP4 PM_ClipVelocity
CALLV
pop
line 170
;170:				PM_ClipVelocity( endClipVelocity, planes[j], endClipVelocity, OVERCLIP );
ADDRLP4 104
ARGP4
CNSTI4 12
ADDRLP4 76
INDIRI4
MULI4
ADDRLP4 4
ADDP4
ARGP4
ADDRLP4 104
ARGP4
CNSTF4 1065361605
ARGF4
ADDRGP4 PM_ClipVelocity
CALLV
pop
line 173
;171:
;172:				// see if it goes back into the first clip plane
;173:				if ( DotProduct( clipVelocity, planes[i] ) >= 0 ) 
ADDRLP4 268
CNSTI4 12
ADDRLP4 80
INDIRI4
MULI4
ASGNI4
ADDRLP4 64
INDIRF4
ADDRLP4 268
INDIRI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDRLP4 64+4
INDIRF4
ADDRLP4 268
INDIRI4
ADDRLP4 4+4
ADDP4
INDIRF4
MULF4
ADDF4
ADDRLP4 64+8
INDIRF4
ADDRLP4 268
INDIRI4
ADDRLP4 4+8
ADDP4
INDIRF4
MULF4
ADDF4
CNSTF4 0
LTF4 $136
line 174
;174:				{
line 175
;175:					continue;
ADDRGP4 $125
JUMPV
LABELV $136
line 179
;176:				}
;177:
;178:				// slide the original velocity along the crease
;179:				CrossProduct (planes[i], planes[j], dir);
ADDRLP4 272
CNSTI4 12
ASGNI4
ADDRLP4 272
INDIRI4
ADDRLP4 80
INDIRI4
MULI4
ADDRLP4 4
ADDP4
ARGP4
ADDRLP4 272
INDIRI4
ADDRLP4 76
INDIRI4
MULI4
ADDRLP4 4
ADDP4
ARGP4
ADDRLP4 84
ARGP4
ADDRGP4 CrossProduct
CALLV
pop
line 180
;180:				VectorNormalize( dir );
ADDRLP4 84
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 181
;181:				d = DotProduct( dir, pm->ps->velocity );
ADDRLP4 276
ADDRGP4 pm
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 100
ADDRLP4 84
INDIRF4
ADDRLP4 276
INDIRP4
CNSTI4 36
ADDP4
INDIRF4
MULF4
ADDRLP4 84+4
INDIRF4
ADDRLP4 276
INDIRP4
CNSTI4 40
ADDP4
INDIRF4
MULF4
ADDF4
ADDRLP4 84+8
INDIRF4
ADDRLP4 276
INDIRP4
CNSTI4 44
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 182
;182:				VectorScale( dir, d, clipVelocity );
ADDRLP4 64
ADDRLP4 84
INDIRF4
ADDRLP4 100
INDIRF4
MULF4
ASGNF4
ADDRLP4 64+4
ADDRLP4 84+4
INDIRF4
ADDRLP4 100
INDIRF4
MULF4
ASGNF4
ADDRLP4 64+8
ADDRLP4 84+8
INDIRF4
ADDRLP4 100
INDIRF4
MULF4
ASGNF4
line 184
;183:
;184:				CrossProduct (planes[i], planes[j], dir);
ADDRLP4 284
CNSTI4 12
ASGNI4
ADDRLP4 284
INDIRI4
ADDRLP4 80
INDIRI4
MULI4
ADDRLP4 4
ADDP4
ARGP4
ADDRLP4 284
INDIRI4
ADDRLP4 76
INDIRI4
MULI4
ADDRLP4 4
ADDP4
ARGP4
ADDRLP4 84
ARGP4
ADDRGP4 CrossProduct
CALLV
pop
line 185
;185:				VectorNormalize( dir );
ADDRLP4 84
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 186
;186:				d = DotProduct( dir, endVelocity );
ADDRLP4 100
ADDRLP4 84
INDIRF4
ADDRLP4 116
INDIRF4
MULF4
ADDRLP4 84+4
INDIRF4
ADDRLP4 116+4
INDIRF4
MULF4
ADDF4
ADDRLP4 84+8
INDIRF4
ADDRLP4 116+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 187
;187:				VectorScale( dir, d, endClipVelocity );
ADDRLP4 104
ADDRLP4 84
INDIRF4
ADDRLP4 100
INDIRF4
MULF4
ASGNF4
ADDRLP4 104+4
ADDRLP4 84+4
INDIRF4
ADDRLP4 100
INDIRF4
MULF4
ASGNF4
ADDRLP4 104+8
ADDRLP4 84+8
INDIRF4
ADDRLP4 100
INDIRF4
MULF4
ASGNF4
line 190
;188:
;189:				// see if there is a third plane the the new move enters
;190:				for ( k = 0 ; k < numplanes ; k++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $159
JUMPV
LABELV $156
line 191
;191:				{
line 192
;192:					if ( k == i || k == j ) 
ADDRLP4 0
INDIRI4
ADDRLP4 80
INDIRI4
EQI4 $162
ADDRLP4 0
INDIRI4
ADDRLP4 76
INDIRI4
NEI4 $160
LABELV $162
line 193
;193:					{
line 194
;194:						continue;
ADDRGP4 $157
JUMPV
LABELV $160
line 196
;195:					}
;196:					if ( DotProduct( clipVelocity, planes[k] ) >= 0.1 ) 
ADDRLP4 296
CNSTI4 12
ADDRLP4 0
INDIRI4
MULI4
ASGNI4
ADDRLP4 64
INDIRF4
ADDRLP4 296
INDIRI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDRLP4 64+4
INDIRF4
ADDRLP4 296
INDIRI4
ADDRLP4 4+4
ADDP4
INDIRF4
MULF4
ADDF4
ADDRLP4 64+8
INDIRF4
ADDRLP4 296
INDIRI4
ADDRLP4 4+8
ADDP4
INDIRF4
MULF4
ADDF4
CNSTF4 1036831949
LTF4 $163
line 197
;197:					{
line 198
;198:						continue;		// move doesn't interact with the plane
ADDRGP4 $157
JUMPV
LABELV $163
line 202
;199:					}
;200:
;201:					// stop dead at a tripple plane interaction
;202:					VectorClear( pm->ps->velocity );
ADDRLP4 300
ADDRGP4 pm
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 304
CNSTF4 0
ASGNF4
ADDRLP4 300
INDIRP4
CNSTI4 44
ADDP4
ADDRLP4 304
INDIRF4
ASGNF4
ADDRLP4 300
INDIRP4
CNSTI4 40
ADDP4
ADDRLP4 304
INDIRF4
ASGNF4
ADDRLP4 300
INDIRP4
CNSTI4 36
ADDP4
ADDRLP4 304
INDIRF4
ASGNF4
line 203
;203:					return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $53
JUMPV
LABELV $157
line 190
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $159
ADDRLP4 0
INDIRI4
ADDRLP4 96
INDIRI4
LTI4 $156
line 205
;204:				}
;205:			}
LABELV $125
line 157
ADDRLP4 76
ADDRLP4 76
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $127
ADDRLP4 76
INDIRI4
ADDRLP4 96
INDIRI4
LTI4 $124
line 208
;206:
;207:			// if we have fixed all interactions, try another move
;208:			VectorCopy( clipVelocity, pm->ps->velocity );
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
ADDRLP4 64
INDIRB
ASGNB 12
line 209
;209:			VectorCopy( endClipVelocity, endVelocity );
ADDRLP4 116
ADDRLP4 104
INDIRB
ASGNB 12
line 210
;210:			break;
ADDRGP4 $114
JUMPV
LABELV $113
line 136
ADDRLP4 80
ADDRLP4 80
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $115
ADDRLP4 80
INDIRI4
ADDRLP4 96
INDIRI4
LTI4 $112
LABELV $114
line 212
;211:		}
;212:	}
LABELV $73
line 71
ADDRLP4 204
ADDRLP4 204
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $75
ADDRLP4 204
INDIRI4
ADDRLP4 208
INDIRI4
LTI4 $72
LABELV $74
line 214
;213:
;214:	if ( gravity ) 
ADDRFP4 0
INDIRI4
CNSTI4 0
EQI4 $169
line 215
;215:	{
line 216
;216:		VectorCopy( endVelocity, pm->ps->velocity );
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
ADDRLP4 116
INDIRB
ASGNB 12
line 217
;217:	}
LABELV $169
line 220
;218:
;219:	// don't change velocity if in a timer (FIXME: is this correct?)
;220:	if ( pm->ps->pm_time ) 
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 20
ADDP4
INDIRI4
CNSTI4 0
EQI4 $171
line 221
;221:	{
line 222
;222:		VectorCopy( primal_velocity, pm->ps->velocity );
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
ADDRLP4 212
INDIRB
ASGNB 12
line 223
;223:	}
LABELV $171
line 225
;224:
;225:	return (qboolean)( bumpcount != 0 );
ADDRLP4 204
INDIRI4
CNSTI4 0
EQI4 $174
ADDRLP4 224
CNSTI4 1
ASGNI4
ADDRGP4 $175
JUMPV
LABELV $174
ADDRLP4 224
CNSTI4 0
ASGNI4
LABELV $175
ADDRLP4 224
INDIRI4
RETI4
LABELV $53
endproc PM_SlideMove 308 28
lit
align 4
LABELV $177
byte 4 0
byte 4 0
byte 4 1065353216
export PM_StepSlideMove
code
proc PM_StepSlideMove 192 28
line 235
;226:}
;227:
;228:/*
;229:==================
;230:PM_StepSlideMove
;231:
;232:==================
;233:*/
;234:void PM_StepSlideMove( qboolean gravity ) 
;235:{
line 238
;236:	trace_t		trace;
;237:	vec3_t		down;
;238:	vec3_t		up = {0, 0, 1};
ADDRLP4 60
ADDRGP4 $177
INDIRB
ASGNB 12
line 239
;239:	qboolean	result = qtrue;
ADDRLP4 100
CNSTI4 1
ASGNI4
line 247
;240:	vec3_t		start_o;
;241:	vec3_t		start_v;
;242:	vec3_t		save_o;
;243:	vec3_t		save_v;
;244:	int			stepsize;
;245:	float		delta;
;246:
;247:	VectorCopy (pm->ps->origin, start_o);
ADDRLP4 84
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 24
ADDP4
INDIRB
ASGNB 12
line 248
;248:	VectorCopy (pm->ps->velocity, start_v);
ADDRLP4 104
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
INDIRB
ASGNB 12
line 250
;249:
;250:	if ( PM_SlideMove( gravity ) == 0 ) 
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 140
ADDRGP4 PM_SlideMove
CALLI4
ASGNI4
ADDRLP4 140
INDIRI4
CNSTI4 0
NEI4 $178
line 251
;251:	{
line 253
;252:		// we got exactly where we wanted to go on the first try	
;253:		return;		
ADDRGP4 $176
JUMPV
LABELV $178
line 257
;254:	}
;255:
;256:	// Set the standard stepsize
;257:	stepsize = STEPSIZE;
ADDRLP4 56
CNSTI4 18
ASGNI4
line 260
;258:
;259:	// Add to the step size if we are crouched when jumping
;260:	if ( pm->ps->pm_flags & PMF_CROUCH_JUMP )
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CNSTI4 524288
BANDI4
CNSTI4 0
EQI4 $180
line 261
;261:	{
line 262
;262:		stepsize += (DEFAULT_VIEWHEIGHT-CROUCH_VIEWHEIGHT);
ADDRLP4 56
ADDRLP4 56
INDIRI4
CNSTI4 29
ADDI4
ASGNI4
line 263
;263:	}
LABELV $180
line 266
;264:
;265:	// Save the origin and velocity in case we have to undo
;266:	VectorCopy ( pm->ps->origin, save_o );
ADDRLP4 116
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 24
ADDP4
INDIRB
ASGNB 12
line 267
;267:	VectorCopy ( pm->ps->velocity, save_v );
ADDRLP4 128
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
INDIRB
ASGNB 12
line 270
;268:
;269:	// First lets see if there is any hope of steping up
;270:	pm->maxs[2] -= stepsize;
ADDRLP4 144
ADDRGP4 pm
INDIRP4
CNSTI4 204
ADDP4
ASGNP4
ADDRLP4 144
INDIRP4
ADDRLP4 144
INDIRP4
INDIRF4
ADDRLP4 56
INDIRI4
CVIF4 4
SUBF4
ASGNF4
line 272
;271:
;272:	VectorCopy ( start_o, pm->ps->origin );
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 84
INDIRB
ASGNB 12
line 273
;273:	VectorCopy ( start_v, pm->ps->velocity );
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
ADDRLP4 104
INDIRB
ASGNB 12
line 275
;274:
;275:	pm->ps->origin[2] += stepsize;
ADDRLP4 148
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 32
ADDP4
ASGNP4
ADDRLP4 148
INDIRP4
ADDRLP4 148
INDIRP4
INDIRF4
ADDRLP4 56
INDIRI4
CVIF4 4
ADDF4
ASGNF4
line 278
;276:
;277:	// try the move with the altered hit box
;278:	if ( PM_SlideMove( gravity ))
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 152
ADDRGP4 PM_SlideMove
CALLI4
ASGNI4
ADDRLP4 152
INDIRI4
CNSTI4 0
EQI4 $182
line 279
;279:	{
line 280
;280:	}
LABELV $182
line 283
;281:
;282:	// See how far down now
;283:	VectorCopy ( pm->ps->origin, down );
ADDRLP4 72
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 24
ADDP4
INDIRB
ASGNB 12
line 284
;284:	down[2] -= stepsize;
ADDRLP4 72+8
ADDRLP4 72+8
INDIRF4
ADDRLP4 56
INDIRI4
CVIF4 4
SUBF4
ASGNF4
line 287
;285:
;286:	// Trace it
;287:	pm->trace (&trace, pm->ps->origin, pm->mins, pm->maxs, down, pm->ps->clientNum, pm->tracemask);
ADDRLP4 0
ARGP4
ADDRLP4 156
ADDRGP4 pm
INDIRP4
ASGNP4
ADDRLP4 160
ADDRLP4 156
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 160
INDIRP4
CNSTI4 24
ADDP4
ARGP4
ADDRLP4 156
INDIRP4
CNSTI4 184
ADDP4
ARGP4
ADDRLP4 156
INDIRP4
CNSTI4 196
ADDP4
ARGP4
ADDRLP4 72
ARGP4
ADDRLP4 160
INDIRP4
CNSTI4 168
ADDP4
INDIRI4
ARGI4
ADDRLP4 156
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
ARGI4
ADDRLP4 156
INDIRP4
CNSTI4 232
ADDP4
INDIRP4
CALLV
pop
line 290
;288:
;289:	// Return the players hitbox to normal
;290:	pm->maxs[2] += stepsize;
ADDRLP4 164
ADDRGP4 pm
INDIRP4
CNSTI4 204
ADDP4
ASGNP4
ADDRLP4 164
INDIRP4
ADDRLP4 164
INDIRP4
INDIRF4
ADDRLP4 56
INDIRI4
CVIF4 4
ADDF4
ASGNF4
line 293
;291:
;292:	// No stepping up if you have upward velocity
;293:	if ( pm->ps->velocity[2] > 0 && (trace.fraction == 1.0 || DotProduct(trace.plane.normal, up) < 0.7)) 
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 44
ADDP4
INDIRF4
CNSTF4 0
LEF4 $185
ADDRLP4 0+8
INDIRF4
CNSTF4 1065353216
EQF4 $195
ADDRLP4 0+24
INDIRF4
ADDRLP4 60
INDIRF4
MULF4
ADDRLP4 0+24+4
INDIRF4
ADDRLP4 60+4
INDIRF4
MULF4
ADDF4
ADDRLP4 0+24+8
INDIRF4
ADDRLP4 60+8
INDIRF4
MULF4
ADDF4
CNSTF4 1060320051
GEF4 $185
LABELV $195
line 294
;294:	{
line 295
;295:		VectorCopy ( save_o, pm->ps->origin );
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 116
INDIRB
ASGNB 12
line 296
;296:		VectorCopy ( save_v, pm->ps->velocity );
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
ADDRLP4 128
INDIRB
ASGNB 12
line 297
;297:		return;
ADDRGP4 $176
JUMPV
LABELV $185
line 300
;298:	}
;299:
;300:	if ( trace.allsolid || trace.startsolid ) 
ADDRLP4 168
CNSTI4 0
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 168
INDIRI4
NEI4 $199
ADDRLP4 0+4
INDIRI4
ADDRLP4 168
INDIRI4
EQI4 $196
LABELV $199
line 301
;301:	{
line 302
;302:		result = qfalse;
ADDRLP4 100
CNSTI4 0
ASGNI4
line 303
;303:	}
ADDRGP4 $197
JUMPV
LABELV $196
line 305
;304:	else
;305:	{
line 306
;306:		if ( trace.fraction < 1.0 )
ADDRLP4 0+8
INDIRF4
CNSTF4 1065353216
GEF4 $200
line 307
;307:			PM_ClipVelocity( pm->ps->velocity, trace.plane.normal, pm->ps->velocity, OVERCLIP );
ADDRLP4 172
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
ASGNP4
ADDRLP4 172
INDIRP4
ARGP4
ADDRLP4 0+24
ARGP4
ADDRLP4 172
INDIRP4
ARGP4
CNSTF4 1065361605
ARGF4
ADDRGP4 PM_ClipVelocity
CALLV
pop
LABELV $200
line 310
;308:
;309:		// Now double check not stuck
;310:		VectorCopy ( trace.endpos, pm->ps->origin );
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 0+12
INDIRB
ASGNB 12
line 311
;311:		pm->trace (&trace, pm->ps->origin, pm->mins, pm->maxs, pm->ps->origin, pm->ps->clientNum, pm->tracemask);
ADDRLP4 0
ARGP4
ADDRLP4 176
ADDRGP4 pm
INDIRP4
ASGNP4
ADDRLP4 180
ADDRLP4 176
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 184
ADDRLP4 180
INDIRP4
CNSTI4 24
ADDP4
ASGNP4
ADDRLP4 184
INDIRP4
ARGP4
ADDRLP4 176
INDIRP4
CNSTI4 184
ADDP4
ARGP4
ADDRLP4 176
INDIRP4
CNSTI4 196
ADDP4
ARGP4
ADDRLP4 184
INDIRP4
ARGP4
ADDRLP4 180
INDIRP4
CNSTI4 168
ADDP4
INDIRI4
ARGI4
ADDRLP4 176
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
ARGI4
ADDRLP4 176
INDIRP4
CNSTI4 232
ADDP4
INDIRP4
CALLV
pop
line 313
;312:
;313:		if ( trace.allsolid || trace.startsolid )
ADDRLP4 188
CNSTI4 0
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 188
INDIRI4
NEI4 $208
ADDRLP4 0+4
INDIRI4
ADDRLP4 188
INDIRI4
EQI4 $205
LABELV $208
line 314
;314:			result = qfalse;
ADDRLP4 100
CNSTI4 0
ASGNI4
LABELV $205
line 315
;315:	}
LABELV $197
line 317
;316:	
;317:	if ( !result )
ADDRLP4 100
INDIRI4
CNSTI4 0
NEI4 $209
line 318
;318:	{
line 319
;319:		VectorCopy ( save_o, pm->ps->origin );
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 116
INDIRB
ASGNB 12
line 320
;320:		VectorCopy ( save_v, pm->ps->velocity );
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 36
ADDP4
ADDRLP4 128
INDIRB
ASGNB 12
line 321
;321:	}
LABELV $209
line 324
;322:
;323:	// use the step move
;324:	delta = pm->ps->origin[2] - start_o[2];
ADDRLP4 96
ADDRGP4 pm
INDIRP4
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
ADDRLP4 84+8
INDIRF4
SUBF4
ASGNF4
line 327
;325:
;326:	// Shoould we send a step event?
;327:	if ( delta > 2 ) 
ADDRLP4 96
INDIRF4
CNSTF4 1073741824
LEF4 $212
line 328
;328:	{
line 329
;329:		if ( delta < 7 ) 
ADDRLP4 96
INDIRF4
CNSTF4 1088421888
GEF4 $214
line 330
;330:		{
line 331
;331:			PM_AddEvent( EV_STEP_4 );
CNSTI4 4
ARGI4
ADDRGP4 PM_AddEvent
CALLV
pop
line 332
;332:		} 
ADDRGP4 $215
JUMPV
LABELV $214
line 333
;333:		else if ( delta < 11 ) 
ADDRLP4 96
INDIRF4
CNSTF4 1093664768
GEF4 $216
line 334
;334:		{
line 335
;335:			PM_AddEvent( EV_STEP_8 );
CNSTI4 5
ARGI4
ADDRGP4 PM_AddEvent
CALLV
pop
line 336
;336:		} 
ADDRGP4 $217
JUMPV
LABELV $216
line 337
;337:		else if ( delta < 15 ) 
ADDRLP4 96
INDIRF4
CNSTF4 1097859072
GEF4 $218
line 338
;338:		{
line 339
;339:			PM_AddEvent( EV_STEP_12 );
CNSTI4 6
ARGI4
ADDRGP4 PM_AddEvent
CALLV
pop
line 340
;340:		} 
ADDRGP4 $219
JUMPV
LABELV $218
line 342
;341:		else 
;342:		{
line 343
;343:			PM_AddEvent( EV_STEP_16 );
CNSTI4 7
ARGI4
ADDRGP4 PM_AddEvent
CALLV
pop
line 344
;344:		}
LABELV $219
LABELV $217
LABELV $215
line 345
;345:	}
LABELV $212
line 347
;346:	
;347:	if ( pm->debugLevel ) 
ADDRGP4 pm
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 0
EQI4 $220
line 348
;348:	{
line 349
;349:		Com_Printf("%i:stepped\n", c_pmove);
ADDRGP4 $222
ARGP4
ADDRGP4 c_pmove
INDIRI4
ARGI4
ADDRGP4 Com_Printf
CALLV
pop
line 350
;350:	}
LABELV $220
line 351
;351:}
LABELV $176
endproc PM_StepSlideMove 192 28
import PM_SetAnim
import PM_TorsoAnimation
import PM_ForceLegsAnim
import PM_ContinueLegsAnim
import PM_StartTorsoAnim
import PM_AddEventWithParm
import PM_AddEvent
import PM_AddTouchEnt
import PM_ClipVelocity
import c_pmove
import pm_flightfriction
import pm_waterfriction
import pm_friction
import pm_flyaccelerate
import pm_wateraccelerate
import pm_airaccelerate
import pm_accelerate
import pm_wadeScale
import pm_swimScale
import pm_duckScale
import pm_stopspeed
import pml
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $222
char 1 37
char 1 105
char 1 58
char 1 115
char 1 116
char 1 101
char 1 112
char 1 112
char 1 101
char 1 100
char 1 10
char 1 0
