code
proc CG_Viewpos_f 0 20
file "../cg_consolecmds.c"
line 18
;1:// Copyright (C) 2001-2002 Raven Software.
;2://
;3:// cg_consolecmds.c -- text commands typed in at the local console, or
;4:// executed by a key binding
;5:
;6:#include "cg_local.h"
;7:#include "../ui/ui_shared.h"
;8:#include "../ui/ui_public.h"
;9:
;10:/*
;11:=============
;12:CG_Viewpos_f
;13:
;14:Debugging command to print the current position
;15:=============
;16:*/
;17:static void CG_Viewpos_f (void) 
;18:{
line 19
;19:	Com_Printf ("(%i %i %i) : %i\n", (int)cg.refdef.vieworg[0],
ADDRGP4 $105
ARGP4
ADDRGP4 cg+1200+24
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 cg+1200+24+4
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 cg+1200+24+8
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 cg+1200+368+4
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 Com_Printf
CALLV
pop
line 22
;20:		(int)cg.refdef.vieworg[1], (int)cg.refdef.vieworg[2], 
;21:		(int)cg.refdef.viewangles[YAW]);
;22:}
LABELV $104
endproc CG_Viewpos_f 0 20
proc CG_ScoresDown_f 0 4
line 30
;23:
;24:/*
;25:=============
;26:CG_ScoresDown_f
;27:=============
;28:*/
;29:static void CG_ScoresDown_f( void ) 
;30:{
line 31
;31:	if ( cg.scoresRequestTime + 2000 < cg.time ) 
ADDRGP4 cg+2612
INDIRI4
CNSTI4 2000
ADDI4
ADDRGP4 cg+68
INDIRI4
GEI4 $118
line 32
;32:	{
line 35
;33:		// the scores are more than two seconds out of data,
;34:		// so request new ones
;35:		cg.scoresRequestTime = cg.time;
ADDRGP4 cg+2612
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 36
;36:		trap_SendClientCommand( "score" );
ADDRGP4 $124
ARGP4
ADDRGP4 trap_SendClientCommand
CALLV
pop
line 40
;37:
;38:		// leave the current scores up if they were already
;39:		// displayed, but if this is the first hit, clear them out
;40:		if ( !cg.showScores ) 
ADDRGP4 cg+5188
INDIRI4
CNSTI4 0
NEI4 $119
line 41
;41:		{
line 42
;42:			cg.showScores = qtrue;
ADDRGP4 cg+5188
CNSTI4 1
ASGNI4
line 43
;43:			cg.numScores = 0;
ADDRGP4 cg+2616
CNSTI4 0
ASGNI4
line 44
;44:		}
line 45
;45:	} 
ADDRGP4 $119
JUMPV
LABELV $118
line 47
;46:	else 
;47:	{
line 50
;48:		// show the cached contents even if they just pressed if it
;49:		// is within two seconds
;50:		cg.showScores = qtrue;
ADDRGP4 cg+5188
CNSTI4 1
ASGNI4
line 51
;51:	}
LABELV $119
line 52
;52:}
LABELV $117
endproc CG_ScoresDown_f 0 4
proc CG_ScoresUp_f 0 0
line 60
;53:
;54:/*
;55:=============
;56:CG_ScoresUp_f
;57:=============
;58:*/
;59:static void CG_ScoresUp_f( void ) 
;60:{
line 61
;61:	if ( cg.showScores ) 
ADDRGP4 cg+5188
INDIRI4
CNSTI4 0
EQI4 $132
line 62
;62:	{
line 63
;63:		cg.showScores = qfalse;
ADDRGP4 cg+5188
CNSTI4 0
ASGNI4
line 64
;64:		cg.scoreFadeTime = cg.time;
ADDRGP4 cg+6224
ADDRGP4 cg+68
INDIRI4
ASGNI4
line 65
;65:	}
LABELV $132
line 66
;66:}
LABELV $131
endproc CG_ScoresUp_f 0 0
proc CG_AutomapDown_f 0 0
line 74
;67:
;68:/*
;69:=============
;70:CG_AutomapDown_f
;71:=============
;72:*/
;73:static void CG_AutomapDown_f( void ) 
;74:{
line 75
;75:	cg.showAutomap = qtrue;
ADDRGP4 cg+6228
CNSTI4 1
ASGNI4
line 76
;76:}
LABELV $138
endproc CG_AutomapDown_f 0 0
proc CG_AutomapUp_f 0 0
line 84
;77:
;78:/*
;79:=============
;80:CG_AutomapUp_f
;81:=============
;82:*/
;83:static void CG_AutomapUp_f( void ) 
;84:{
line 85
;85:	cg.showAutomap = qfalse;
ADDRGP4 cg+6228
CNSTI4 0
ASGNI4
line 86
;86:}
LABELV $140
endproc CG_AutomapUp_f 0 0
proc CG_ReloadHud_f 0 4
line 94
;87:
;88:/*
;89:=============
;90:CG_ReloadHud_f
;91:=============
;92:*/
;93:static void CG_ReloadHud_f ( void )
;94:{
line 96
;95:	// Reset the string table used for menus  
;96:	String_Init();
ADDRGP4 String_Init
CALLV
pop
line 99
;97:
;98:	// Clear all menus
;99:	Menu_Reset();
ADDRGP4 Menu_Reset
CALLV
pop
line 102
;100:	
;101:	// Reload the menus
;102:	CG_LoadMenus ( "ui/hud.txt" );
ADDRGP4 $143
ARGP4
ADDRGP4 CG_LoadMenus
CALLV
pop
line 103
;103:}
LABELV $142
endproc CG_ReloadHud_f 0 4
proc CG_Radio_f 0 4
line 113
;104:
;105:/*
;106:=============
;107:CG_Radio_f
;108:
;109:Bring up the radio menu if all the conditions are met
;110:=============
;111:*/
;112:static void CG_Radio_f ( void )
;113:{
line 115
;114:	// Only in team games
;115:	if ( !cgs.gametypeData->teams )
ADDRGP4 cgs+33020
INDIRP4
CNSTI4 24
ADDP4
INDIRI4
CNSTI4 0
NEI4 $145
line 116
;116:	{
line 117
;117:		return;
ADDRGP4 $144
JUMPV
LABELV $145
line 121
;118:	}
;119:
;120:	// Not when ghosting or following
;121:	if ( cg.snap->ps.pm_flags & (PMF_FOLLOW|PMF_GHOST) )
ADDRGP4 cg+36
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
CNSTI4 2560
BANDI4
CNSTI4 0
EQI4 $148
line 122
;122:	{
line 123
;123:		return;
ADDRGP4 $144
JUMPV
LABELV $148
line 127
;124:	}
;125:
;126:	// Not when a spectator
;127:	if ( cg.snap->ps.pm_type == PM_SPECTATOR )
ADDRGP4 cg+36
INDIRP4
CNSTI4 48
ADDP4
INDIRI4
CNSTI4 2
NEI4 $151
line 128
;128:	{
line 129
;129:		return;
ADDRGP4 $144
JUMPV
LABELV $151
line 132
;130:	}
;131:
;132:	trap_UI_SetActiveMenu ( UIMENU_RADIO );
CNSTI4 7
ARGI4
ADDRGP4 trap_UI_SetActiveMenu
CALLV
pop
line 133
;133:}
LABELV $144
endproc CG_Radio_f 0 4
proc CG_adm_Radio_f 0 4
line 136
;134:
;135:static void CG_adm_Radio_f ( void )
;136:{
line 138
;137:	// Only in team games
;138:	if ( !cgs.gametypeData->teams )
ADDRGP4 cgs+33020
INDIRP4
CNSTI4 24
ADDP4
INDIRI4
CNSTI4 0
NEI4 $155
line 139
;139:	{
line 140
;140:		return;
ADDRGP4 $154
JUMPV
LABELV $155
line 143
;141:	}
;142:
;143:	trap_UI_SetActiveMenu ( adm_UIMENU_RADIO );
CNSTI4 9
ARGI4
ADDRGP4 trap_UI_SetActiveMenu
CALLV
pop
line 144
;144:}
LABELV $154
endproc CG_adm_Radio_f 0 4
proc CG_we_Radio_f 0 4
line 147
;145:
;146:static void CG_we_Radio_f ( void )
;147:{
line 149
;148:	// Only in team games
;149:	if ( !cgs.gametypeData->teams )
ADDRGP4 cgs+33020
INDIRP4
CNSTI4 24
ADDP4
INDIRI4
CNSTI4 0
NEI4 $159
line 150
;150:	{
line 151
;151:		return;
ADDRGP4 $158
JUMPV
LABELV $159
line 154
;152:	}
;153:
;154:	trap_UI_SetActiveMenu ( we_UIMENU_RADIO );
CNSTI4 10
ARGI4
ADDRGP4 trap_UI_SetActiveMenu
CALLV
pop
line 155
;155:}
LABELV $158
endproc CG_we_Radio_f 0 4
proc CG_Objectives_f 0 4
line 165
;156:
;157:/*
;158:=============
;159:CG_Objectives_f
;160:
;161:Bring up the objectives menu if all the conditions are met
;162:=============
;163:*/
;164:static void CG_Objectives_f ( void )
;165:{
line 168
;166:	// Dont bother popping up the objectives dialog if there is
;167:	// no objective text
;168:	if ( !cgs.gametypeData->description )
ADDRGP4 cgs+33020
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $163
line 169
;169:	{
line 170
;170:		return;
ADDRGP4 $162
JUMPV
LABELV $163
line 173
;171:	}
;172:
;173:	trap_UI_SetActiveMenu ( UIMENU_OBJECTIVES );
CNSTI4 5
ARGI4
ADDRGP4 trap_UI_SetActiveMenu
CALLV
pop
line 174
;174:}
LABELV $162
endproc CG_Objectives_f 0 4
proc CG_Outfitting_f 0 4
line 184
;175:
;176:/*
;177:=============
;178:CG_Outfitting_f
;179:
;180:Bring up the outfitting menu if all the conditions are met
;181:=============
;182:*/
;183:static void CG_Outfitting_f ( void )
;184:{
line 186
;185:	// Only allow outfitting when pickups are disabled
;186:	if ( !cgs.pickupsDisabled )
ADDRGP4 cgs+33176
INDIRI4
CNSTI4 0
NEI4 $167
line 187
;187:	{
line 188
;188:		return;
ADDRGP4 $166
JUMPV
LABELV $167
line 191
;189:	}
;190:
;191:	trap_UI_SetActiveMenu ( UIMENU_OUTFITTING );
CNSTI4 6
ARGI4
ADDRGP4 trap_UI_SetActiveMenu
CALLV
pop
line 192
;192:}
LABELV $166
endproc CG_Outfitting_f 0 4
proc CG_Team_f 8 8
line 202
;193:
;194:/*
;195:=============
;196:CG_Team_f
;197:
;198:bring up the team selection user interface
;199:=============
;200:*/
;201:static void CG_Team_f ( void )
;202:{
line 204
;203:	// No team menu in non-team games
;204:	if ( !cgs.gametypeData->teams )
ADDRGP4 cgs+33020
INDIRP4
CNSTI4 24
ADDP4
INDIRI4
CNSTI4 0
NEI4 $171
line 205
;205:	{
line 206
;206:		return;
ADDRGP4 $170
JUMPV
LABELV $171
line 211
;207:	}
;208:
;209:	// Special case which only brings up the team menu if its the clients first
;210:	// time to the objectives dialog
;211:	if ( atoi ( CG_Argv(1) ) )
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 CG_Argv
CALLP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $174
line 212
;212:	{
line 213
;213:		if ( ui_info_seenobjectives.integer )
ADDRGP4 ui_info_seenobjectives+12
INDIRI4
CNSTI4 0
EQI4 $176
line 214
;214:		{
line 215
;215:			return;
ADDRGP4 $170
JUMPV
LABELV $176
line 217
;216:		}
;217:	}
LABELV $174
line 219
;218:
;219:	CG_UpdateTeamCountCvars ( );
ADDRGP4 CG_UpdateTeamCountCvars
CALLV
pop
line 221
;220:
;221:	trap_Cvar_Set ( "ui_info_seenobjectives", "1" );
ADDRGP4 $179
ARGP4
ADDRGP4 $180
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 222
;222:	trap_UI_SetActiveMenu ( UIMENU_TEAM );
CNSTI4 4
ARGI4
ADDRGP4 trap_UI_SetActiveMenu
CALLV
pop
line 223
;223:}
LABELV $170
endproc CG_Team_f 8 8
export CG_Drop_f
proc CG_Drop_f 132 16
line 233
;224:
;225:/*
;226:=============
;227:CG_Drop_f
;228:
;229:Drops the selected weapon
;230:=============
;231:*/
;232:void CG_Drop_f ( void ) 
;233:{
line 238
;234:	char	cmd[128];
;235:	int		exclude;
;236:
;237:	// Cant drop when following or a ghost
;238:	if ( cg.snap->ps.pm_flags & (PMF_FOLLOW|PMF_GHOST) )
ADDRGP4 cg+36
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
CNSTI4 2560
BANDI4
CNSTI4 0
EQI4 $182
line 239
;239:	{
line 240
;240:		return;
ADDRGP4 $181
JUMPV
LABELV $182
line 244
;241:	}
;242:
;243:	// Either dead or spectating if not normal
;244:	if ( cg.predictedPlayerState.pm_type != PM_NORMAL )
ADDRGP4 cg+100+4
INDIRI4
CNSTI4 0
EQI4 $185
line 245
;245:	{
line 246
;246:		return;
ADDRGP4 $181
JUMPV
LABELV $185
line 250
;247:	}
;248:
;249:	// Can only drop a weapon when in ready state
;250:	if ( cg.predictedPlayerState.weaponstate != WEAPON_READY )
ADDRGP4 cg+100+176
INDIRI4
CNSTI4 0
EQI4 $189
line 251
;251:	{
line 252
;252:		return;
ADDRGP4 $181
JUMPV
LABELV $189
line 256
;253:	}
;254:
;255:	// Cant drop the knife
;256:	if( cg.weaponSelect == WP_KNIFE )
ADDRGP4 cg+1084
INDIRI4
CNSTI4 1
NEI4 $193
line 257
;257:	{
line 258
;258:		return;
ADDRGP4 $181
JUMPV
LABELV $193
line 262
;259:	}
;260:
;261:	// Close the menu since a weapon is being dropped
;262:	cg.weaponMenuUp = qfalse;
ADDRGP4 cg+1100
CNSTI4 0
ASGNI4
line 265
;263:
;264:	// Build the server command		
;265:	Com_sprintf( cmd, 128, "drop %i", cg.weaponSelect );
ADDRLP4 0
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 $197
ARGP4
ADDRGP4 cg+1084
INDIRI4
ARGI4
ADDRGP4 Com_sprintf
CALLI4
pop
line 268
;266:
;267:	// Go to next weapon before the current drops
;268:	exclude = cg.weaponSelect;
ADDRLP4 128
ADDRGP4 cg+1084
INDIRI4
ASGNI4
line 269
;269:	cg.weaponSelect = WP_M67_GRENADE;
ADDRGP4 cg+1084
CNSTI4 14
ASGNI4
line 270
;270:	CG_PrevWeapon ( qfalse, exclude );
CNSTI4 0
ARGI4
ADDRLP4 128
INDIRI4
ARGI4
ADDRGP4 CG_PrevWeapon
CALLV
pop
line 273
;271:
;272:	// Send server comand
;273:	trap_SendClientCommand( cmd );
ADDRLP4 0
ARGP4
ADDRGP4 trap_SendClientCommand
CALLV
pop
line 274
;274:}
LABELV $181
endproc CG_Drop_f 132 16
proc CG_GetOutfittingGroupFromString 20 8
line 284
;275:
;276:/*
;277:=============
;278:CG_GetOutfittingGroupFromString
;279:
;280:Converts the given string into an outfitting group id
;281:=============
;282:*/
;283:static int CG_GetOutfittingGroupFromString ( const char* str )
;284:{
line 285
;285:	if ( Q_stricmp ( str, "primary" ) == 0 )
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $204
ARGP4
ADDRLP4 0
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
NEI4 $202
line 286
;286:	{
line 287
;287:		return OUTFITTING_GROUP_PRIMARY;
CNSTI4 0
RETI4
ADDRGP4 $201
JUMPV
LABELV $202
line 289
;288:	}
;289:	else if ( Q_stricmp ( str, "secondary" ) == 0 )
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $207
ARGP4
ADDRLP4 4
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $205
line 290
;290:	{
line 291
;291:		return OUTFITTING_GROUP_SECONDARY;
CNSTI4 1
RETI4
ADDRGP4 $201
JUMPV
LABELV $205
line 293
;292:	}
;293:	else if ( Q_stricmp ( str, "pistol" ) == 0 )
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $210
ARGP4
ADDRLP4 8
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 0
NEI4 $208
line 294
;294:	{
line 295
;295:		return OUTFITTING_GROUP_PISTOL;
CNSTI4 2
RETI4
ADDRGP4 $201
JUMPV
LABELV $208
line 297
;296:	}
;297:	else if ( Q_stricmp ( str, "grenade" ) == 0 )
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $213
ARGP4
ADDRLP4 12
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $211
line 298
;298:	{
line 299
;299:		return OUTFITTING_GROUP_GRENADE;
CNSTI4 3
RETI4
ADDRGP4 $201
JUMPV
LABELV $211
line 301
;300:	}
;301:	else if ( Q_stricmp ( str, "knife" ) == 0 )
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $216
ARGP4
ADDRLP4 16
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 0
NEI4 $214
line 302
;302:	{
line 303
;303:		return OUTFITTING_GROUP_KNIFE;
CNSTI4 6
RETI4
ADDRGP4 $201
JUMPV
LABELV $214
line 306
;304:	}
;305:
;306:	return -1;
CNSTI4 -1
RETI4
LABELV $201
endproc CG_GetOutfittingGroupFromString 20 8
proc CG_WeaponToggle_f 48 8
line 317
;307:}
;308:
;309:/*
;310:=============
;311:CG_WeaponToggle_f
;312:
;313:toggles between multiple weapons
;314:=============
;315:*/
;316:static void CG_WeaponToggle_f ( void )
;317:{
line 326
;318:	int			group1;
;319:	int			group2;
;320:	int			weapon1;
;321:	int			weapon2;
;322:	gitem_t*	item;
;323:	int			i;
;324:
;325:	// Get the toggle groups
;326:	group1 = CG_GetOutfittingGroupFromString ( CG_Argv(1) );
CNSTI4 1
ARGI4
ADDRLP4 24
ADDRGP4 CG_Argv
CALLP4
ASGNP4
ADDRLP4 24
INDIRP4
ARGP4
ADDRLP4 28
ADDRGP4 CG_GetOutfittingGroupFromString
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 28
INDIRI4
ASGNI4
line 327
;327:	group2 = CG_GetOutfittingGroupFromString ( CG_Argv(2) );
CNSTI4 2
ARGI4
ADDRLP4 32
ADDRGP4 CG_Argv
CALLP4
ASGNP4
ADDRLP4 32
INDIRP4
ARGP4
ADDRLP4 36
ADDRGP4 CG_GetOutfittingGroupFromString
CALLI4
ASGNI4
ADDRLP4 16
ADDRLP4 36
INDIRI4
ASGNI4
line 330
;328:
;329:	// Invalid toggle if either is -1
;330:	if ( group1 == -1 ) // || group2 == -1 )
ADDRLP4 8
INDIRI4
CNSTI4 -1
NEI4 $218
line 331
;331:	{
line 332
;332:		return;
ADDRGP4 $217
JUMPV
LABELV $218
line 336
;333:	}
;334:
;335:	// Make sure they have something from both of the groups
;336:	weapon1 = WP_NONE;
ADDRLP4 12
CNSTI4 0
ASGNI4
line 337
;337:	weapon2 = WP_NONE;
ADDRLP4 20
CNSTI4 0
ASGNI4
line 338
;338:	for ( i = WP_KNIFE; i < WP_NUM_WEAPONS; i ++ )
ADDRLP4 0
CNSTI4 1
ASGNI4
LABELV $220
line 339
;339:	{	
line 341
;340:		// Make sure this weapon is selectable.
;341:		if ( !CG_WeaponSelectable ( i, qtrue ) )
ADDRLP4 0
INDIRI4
ARGI4
CNSTI4 1
ARGI4
ADDRLP4 40
ADDRGP4 CG_WeaponSelectable
CALLI4
ASGNI4
ADDRLP4 40
INDIRI4
CNSTI4 0
NEI4 $224
line 342
;342:		{
line 343
;343:			continue;
ADDRGP4 $221
JUMPV
LABELV $224
line 346
;344:		}
;345:
;346:		item = BG_FindWeaponItem ( i );
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 44
ADDRGP4 BG_FindWeaponItem
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 44
INDIRP4
ASGNP4
line 347
;347:		if ( item->outfittingGroup == group1 )
ADDRLP4 4
INDIRP4
CNSTI4 60
ADDP4
INDIRI4
ADDRLP4 8
INDIRI4
NEI4 $226
line 348
;348:		{
line 349
;349:			weapon1 = i;
ADDRLP4 12
ADDRLP4 0
INDIRI4
ASGNI4
line 350
;350:		}
ADDRGP4 $227
JUMPV
LABELV $226
line 351
;351:		else if ( item->outfittingGroup == group2 )
ADDRLP4 4
INDIRP4
CNSTI4 60
ADDP4
INDIRI4
ADDRLP4 16
INDIRI4
NEI4 $228
line 352
;352:		{
line 353
;353:			weapon2 = i;
ADDRLP4 20
ADDRLP4 0
INDIRI4
ASGNI4
line 354
;354:		}
LABELV $228
LABELV $227
line 355
;355:	}
LABELV $221
line 338
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 22
LTI4 $220
line 358
;356:	
;357:	// IF only one of the two weapons is available then go to it
;358:	if ( weapon1 == WP_NONE && weapon2 == WP_NONE )
ADDRLP4 40
CNSTI4 0
ASGNI4
ADDRLP4 12
INDIRI4
ADDRLP4 40
INDIRI4
NEI4 $230
ADDRLP4 20
INDIRI4
ADDRLP4 40
INDIRI4
NEI4 $230
line 359
;359:	{
line 360
;360:		return;
ADDRGP4 $217
JUMPV
LABELV $230
line 362
;361:	}
;362:	else if ( weapon1 == WP_NONE )
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $232
line 363
;363:	{
line 364
;364:		cg.weaponSelect = weapon2;
ADDRGP4 cg+1084
ADDRLP4 20
INDIRI4
ASGNI4
line 365
;365:		return;
ADDRGP4 $217
JUMPV
LABELV $232
line 367
;366:	}
;367:	else if ( weapon2 == WP_NONE )
ADDRLP4 20
INDIRI4
CNSTI4 0
NEI4 $235
line 368
;368:	{
line 369
;369:		cg.weaponSelect = weapon1;
ADDRGP4 cg+1084
ADDRLP4 12
INDIRI4
ASGNI4
line 370
;370:		return;
ADDRGP4 $217
JUMPV
LABELV $235
line 374
;371:	}
;372:		
;373:	// They have both weapons, so figure out which to go to
;374:	item = BG_FindWeaponItem ( cg.weaponSelect );
ADDRGP4 cg+1084
INDIRI4
ARGI4
ADDRLP4 44
ADDRGP4 BG_FindWeaponItem
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 44
INDIRP4
ASGNP4
line 376
;375:
;376:	if ( item->outfittingGroup == group1 )
ADDRLP4 4
INDIRP4
CNSTI4 60
ADDP4
INDIRI4
ADDRLP4 8
INDIRI4
NEI4 $239
line 377
;377:	{
line 378
;378:		cg.weaponSelect = weapon2;
ADDRGP4 cg+1084
ADDRLP4 20
INDIRI4
ASGNI4
line 379
;379:	}
ADDRGP4 $240
JUMPV
LABELV $239
line 381
;380:	else
;381:	{
line 382
;382:		cg.weaponSelect = weapon1;
ADDRGP4 cg+1084
ADDRLP4 12
INDIRI4
ASGNI4
line 383
;383:	}
LABELV $240
line 384
;384:}
LABELV $217
endproc CG_WeaponToggle_f 48 8
proc CG_NextWeapon_f 4 8
line 395
;385:
;386:/*
;387:=============
;388:CG_NextWeapon_f
;389:
;390:selects next weapon in inventory and allows empty weapons to
;391:be selected
;392:=============
;393:*/
;394:static void CG_NextWeapon_f ( void )
;395:{
line 396
;396:	if ( cg_zoomWeaponChange.integer && (cg.predictedPlayerState.pm_flags & PMF_ZOOMED ) )
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 cg_zoomWeaponChange+12
INDIRI4
ADDRLP4 0
INDIRI4
EQI4 $244
ADDRGP4 cg+100+12
INDIRI4
CNSTI4 16384
BANDI4
ADDRLP4 0
INDIRI4
EQI4 $244
line 397
;397:	{
line 398
;398:		trap_SendConsoleCommand ( "+zoomin; wait; -zoomin;" );
ADDRGP4 $249
ARGP4
ADDRGP4 trap_SendConsoleCommand
CALLV
pop
line 399
;399:		return;
ADDRGP4 $243
JUMPV
LABELV $244
line 402
;400:	}
;401:
;402:	CG_NextWeapon ( qtrue, -1 );
CNSTI4 1
ARGI4
CNSTI4 -1
ARGI4
ADDRGP4 CG_NextWeapon
CALLV
pop
line 403
;403:}
LABELV $243
endproc CG_NextWeapon_f 4 8
proc CG_PrevWeapon_f 4 8
line 414
;404:
;405:/*
;406:=============
;407:CG_PrevWeapon_f
;408:
;409:selects previous weapon in inventory and allows empty weapons
;410:to be selectd
;411:=============
;412:*/
;413:static void CG_PrevWeapon_f ( void )
;414:{
line 415
;415:	if ( cg_zoomWeaponChange.integer && (cg.predictedPlayerState.pm_flags & PMF_ZOOMED) )
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 cg_zoomWeaponChange+12
INDIRI4
ADDRLP4 0
INDIRI4
EQI4 $251
ADDRGP4 cg+100+12
INDIRI4
CNSTI4 16384
BANDI4
ADDRLP4 0
INDIRI4
EQI4 $251
line 416
;416:	{
line 417
;417:		trap_SendConsoleCommand ( "+zoomout; wait; -zoomout;" );
ADDRGP4 $256
ARGP4
ADDRGP4 trap_SendConsoleCommand
CALLV
pop
line 418
;418:		return;
ADDRGP4 $250
JUMPV
LABELV $251
line 421
;419:	}
;420:
;421:	CG_PrevWeapon ( qtrue, -1 );
CNSTI4 1
ARGI4
CNSTI4 -1
ARGI4
ADDRGP4 CG_PrevWeapon
CALLV
pop
line 422
;422:}
LABELV $250
endproc CG_PrevWeapon_f 4 8
proc CG_LastWeapon_f 8 8
line 432
;423:
;424:/*
;425:=============
;426:CG_LastWeapon_f
;427:
;428:Selects the last weapon that was selected
;429:=============
;430:*/
;431:static void CG_LastWeapon_f ( void )
;432:{
line 433
;433:	if ( CG_WeaponSelectable ( cg.weaponLastSelect, qtrue ) )
ADDRGP4 cg+1088
INDIRI4
ARGI4
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 CG_WeaponSelectable
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
EQI4 $258
line 434
;434:	{
line 435
;435:		int swap = cg.weaponSelect;
ADDRLP4 4
ADDRGP4 cg+1084
INDIRI4
ASGNI4
line 436
;436:		cg.weaponSelect = cg.weaponLastSelect;
ADDRGP4 cg+1084
ADDRGP4 cg+1088
INDIRI4
ASGNI4
line 437
;437:		cg.weaponLastSelect = swap;
ADDRGP4 cg+1088
ADDRLP4 4
INDIRI4
ASGNI4
line 438
;438:	}
LABELV $258
line 439
;439:}
LABELV $257
endproc CG_LastWeapon_f 8 8
proc CG_TellTarget_f 264 20
line 442
;440:
;441:
;442:static void CG_TellTarget_f( void ) {
line 447
;443:	int		clientNum;
;444:	char	command[128];
;445:	char	message[128];
;446:
;447:	clientNum = CG_CrosshairPlayer();
ADDRLP4 260
ADDRGP4 CG_CrosshairPlayer
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 260
INDIRI4
ASGNI4
line 448
;448:	if ( clientNum == -1 ) {
ADDRLP4 0
INDIRI4
CNSTI4 -1
NEI4 $266
line 449
;449:		return;
ADDRGP4 $265
JUMPV
LABELV $266
line 452
;450:	}
;451:
;452:	trap_Args( message, 128 );
ADDRLP4 132
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 trap_Args
CALLV
pop
line 453
;453:	Com_sprintf( command, 128, "tell %i %s", clientNum, message );
ADDRLP4 4
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 $268
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 132
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 454
;454:	trap_SendClientCommand( command );
ADDRLP4 4
ARGP4
ADDRGP4 trap_SendClientCommand
CALLV
pop
line 455
;455:}
LABELV $265
endproc CG_TellTarget_f 264 20
proc CG_TellAttacker_f 264 20
line 457
;456:
;457:static void CG_TellAttacker_f( void ) {
line 462
;458:	int		clientNum;
;459:	char	command[128];
;460:	char	message[128];
;461:
;462:	clientNum = CG_LastAttacker();
ADDRLP4 260
ADDRGP4 CG_LastAttacker
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 260
INDIRI4
ASGNI4
line 463
;463:	if ( clientNum == -1 ) {
ADDRLP4 0
INDIRI4
CNSTI4 -1
NEI4 $270
line 464
;464:		return;
ADDRGP4 $269
JUMPV
LABELV $270
line 467
;465:	}
;466:
;467:	trap_Args( message, 128 );
ADDRLP4 132
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 trap_Args
CALLV
pop
line 468
;468:	Com_sprintf( command, 128, "tell %i %s", clientNum, message );
ADDRLP4 4
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 $268
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 132
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 469
;469:	trap_SendClientCommand( command );
ADDRLP4 4
ARGP4
ADDRGP4 trap_SendClientCommand
CALLV
pop
line 470
;470:}
LABELV $269
endproc CG_TellAttacker_f 264 20
proc CG_StartOrbit_f 1028 12
line 478
;471:
;472:/*
;473:==================
;474:CG_StartOrbit_f
;475:==================
;476:*/
;477:
;478:static void CG_StartOrbit_f( void ) {
line 481
;479:	char var[MAX_TOKEN_CHARS];
;480:
;481:	trap_Cvar_VariableStringBuffer( "developer", var, sizeof( var ) );
ADDRGP4 $273
ARGP4
ADDRLP4 0
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 482
;482:	if ( !atoi(var) ) {
ADDRLP4 0
ARGP4
ADDRLP4 1024
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 1024
INDIRI4
CNSTI4 0
NEI4 $274
line 483
;483:		return;
ADDRGP4 $272
JUMPV
LABELV $274
line 485
;484:	}
;485:	if (cg_cameraOrbit.value != 0) {
ADDRGP4 cg_cameraOrbit+8
INDIRF4
CNSTF4 0
EQF4 $276
line 486
;486:		trap_Cvar_Set ("cg_cameraOrbit", "0");
ADDRGP4 $279
ARGP4
ADDRGP4 $280
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 487
;487:		trap_Cvar_Set("cg_thirdPerson", "0");
ADDRGP4 $281
ARGP4
ADDRGP4 $280
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 488
;488:	} else {
ADDRGP4 $277
JUMPV
LABELV $276
line 489
;489:		trap_Cvar_Set("cg_cameraOrbit", "5");
ADDRGP4 $279
ARGP4
ADDRGP4 $282
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 490
;490:		trap_Cvar_Set("cg_thirdPerson", "1");
ADDRGP4 $281
ARGP4
ADDRGP4 $180
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 491
;491:		trap_Cvar_Set("cg_thirdPersonAngle", "0");
ADDRGP4 $283
ARGP4
ADDRGP4 $280
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 492
;492:		trap_Cvar_Set("cg_thirdPersonRange", "100");
ADDRGP4 $284
ARGP4
ADDRGP4 $285
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 493
;493:	}
LABELV $277
line 494
;494:}
LABELV $272
endproc CG_StartOrbit_f 1028 12
data
align 4
LABELV commands
address $287
address CG_TestModel_f
address $288
address CG_TestModelNextFrame_f
address $289
address CG_TestModelPrevFrame_f
address $290
address CG_TestModelNextSkin_f
address $291
address CG_TestModelPrevSkin_f
address $292
address CG_Viewpos_f
address $293
address CG_ScoresDown_f
address $294
address CG_ScoresUp_f
address $295
address CG_AutomapDown_f
address $296
address CG_AutomapUp_f
address $297
address CG_NextWeapon_f
address $298
address CG_PrevWeapon_f
address $299
address CG_LastWeapon_f
address $300
address CG_Weapon_f
address $301
address CG_TellTarget_f
address $302
address CG_TellAttacker_f
address $303
address CG_ReloadHud_f
address $304
address CG_StartOrbit_f
address $305
address CG_LoadDeferredPlayers
address $306
address CG_Drop_f
address $307
address CG_WeaponToggle_f
address $308
address CG_Radio_f
address $309
address CG_adm_Radio_f
address $310
address CG_we_Radio_f
address $311
address CG_Objectives_f
address $312
address CG_Outfitting_f
address $313
address CG_Team_f
export CG_ConsoleCommand
code
proc CG_ConsoleCommand 16 8
line 545
;495:
;496:typedef struct 
;497:{
;498:	char	*cmd;
;499:	void	(*function)(void);
;500:
;501:} consoleCommand_t;
;502:
;503:static consoleCommand_t	commands[] = 
;504:{
;505:	{ "testmodel",		CG_TestModel_f			},
;506:	{ "nextframe",		CG_TestModelNextFrame_f },
;507:	{ "prevframe",		CG_TestModelPrevFrame_f },
;508:	{ "nextskin",		CG_TestModelNextSkin_f	},
;509:	{ "prevskin",		CG_TestModelPrevSkin_f	},
;510:	{ "viewpos",		CG_Viewpos_f			},
;511:	{ "+scores",		CG_ScoresDown_f			},
;512:	{ "-scores",		CG_ScoresUp_f			},
;513:	{ "+automap",		CG_AutomapDown_f		},
;514:	{ "-automap",		CG_AutomapUp_f			},
;515:	{ "weapnext",		CG_NextWeapon_f			},
;516:	{ "weapprev",		CG_PrevWeapon_f			},
;517:	{ "weaplast",		CG_LastWeapon_f			},
;518:	{ "weapon",			CG_Weapon_f				},
;519:	{ "tell_target",	CG_TellTarget_f			},
;520:	{ "tell_attacker",	CG_TellAttacker_f		},
;521:	{ "reloadhud",		CG_ReloadHud_f			},
;522:	{ "startOrbit",		CG_StartOrbit_f			},
;523:	{ "loaddeferred",	CG_LoadDeferredPlayers	},
;524:	{ "drop",			CG_Drop_f				},
;525:
;526:	{ "weaptoggle",		CG_WeaponToggle_f		},
;527:
;528:	{ "ui_radio",		CG_Radio_f },
;529:	{ "ui_adm_radio",	CG_adm_Radio_f },
;530:	{ "ui_we_radio",	CG_we_Radio_f },
;531:	{ "ui_objectives",	CG_Objectives_f },
;532:	{ "ui_outfitting",	CG_Outfitting_f },
;533:	{ "ui_team",		CG_Team_f },
;534:};
;535:
;536:/*
;537:=================
;538:CG_ConsoleCommand
;539:
;540:The string has been tokenized and can be retrieved with
;541:Cmd_Argc() / Cmd_Argv()
;542:=================
;543:*/
;544:qboolean CG_ConsoleCommand( void ) 
;545:{
line 550
;546:	const char	*cmd;
;547:	int		i;
;548:
;549:	// No console commands when a map is changing
;550:	if ( cg.mMapChange )
ADDRGP4 cg+52
INDIRI4
CNSTI4 0
EQI4 $315
line 551
;551:	{
line 552
;552:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $314
JUMPV
LABELV $315
line 555
;553:	}
;554:
;555:	cmd = CG_Argv(0);
CNSTI4 0
ARGI4
ADDRLP4 8
ADDRGP4 CG_Argv
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 8
INDIRP4
ASGNP4
line 557
;556:
;557:	for ( i = 0 ; i < sizeof( commands ) / sizeof( commands[0] ) ; i++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $321
JUMPV
LABELV $318
line 558
;558:	{
line 559
;559:		if ( !Q_stricmp( cmd, commands[i].cmd ) ) 
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 commands
ADDP4
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $322
line 560
;560:		{
line 561
;561:			commands[i].function();
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 commands+4
ADDP4
INDIRP4
CALLV
pop
line 562
;562:			return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $314
JUMPV
LABELV $322
line 564
;563:		}
;564:	}
LABELV $319
line 557
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $321
ADDRLP4 0
INDIRI4
CVIU4 4
CNSTU4 27
LTU4 $318
line 566
;565:
;566:	return qfalse;
CNSTI4 0
RETI4
LABELV $314
endproc CG_ConsoleCommand 16 8
export CG_InitConsoleCommands
proc CG_InitConsoleCommands 4 4
line 578
;567:}
;568:
;569:/*
;570:=================
;571:CG_InitConsoleCommands
;572:
;573:Let the client system know about all of our commands
;574:so it can perform tab completion
;575:=================
;576:*/
;577:void CG_InitConsoleCommands( void ) 
;578:{
line 581
;579:	int		i;
;580:
;581:	for ( i = 0 ; i < sizeof( commands ) / sizeof( commands[0] ) ; i++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $329
JUMPV
LABELV $326
line 582
;582:	{
line 583
;583:		trap_AddCommand( commands[i].cmd );
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 commands
ADDP4
INDIRP4
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 584
;584:	}
LABELV $327
line 581
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $329
ADDRLP4 0
INDIRI4
CVIU4 4
CNSTU4 27
LTU4 $326
line 590
;585:
;586:	//
;587:	// the game server will interpret these commands, which will be automatically
;588:	// forwarded to the server after they are not recognized locally
;589:	//
;590:	trap_AddCommand ("kill");
ADDRGP4 $330
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 591
;591:	trap_AddCommand ("say");
ADDRGP4 $331
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 592
;592:	trap_AddCommand ("say_team");
ADDRGP4 $332
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 593
;593:	trap_AddCommand ("tell");
ADDRGP4 $333
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 594
;594:	trap_AddCommand ("vsay_team");
ADDRGP4 $334
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 595
;595:	trap_AddCommand ("give");
ADDRGP4 $335
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 596
;596:	trap_AddCommand ("god");
ADDRGP4 $336
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 597
;597:	trap_AddCommand ("notarget");
ADDRGP4 $337
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 598
;598:	trap_AddCommand ("noclip");
ADDRGP4 $338
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 599
;599:	trap_AddCommand ("team");
ADDRGP4 $339
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 600
;600:	trap_AddCommand ("follow");
ADDRGP4 $340
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 601
;601:	trap_AddCommand ("levelshot");
ADDRGP4 $341
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 603
;602:#ifdef _SOF2_BOTS
;603:	trap_AddCommand ("addbot");
ADDRGP4 $342
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 605
;604:#endif
;605:	trap_AddCommand ("setviewpos");
ADDRGP4 $343
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 606
;606:	trap_AddCommand ("callvote");
ADDRGP4 $344
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 607
;607:	trap_AddCommand ("vote");
ADDRGP4 $345
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 608
;608:	trap_AddCommand ("stats");
ADDRGP4 $346
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 609
;609:	trap_AddCommand ("teamtask");
ADDRGP4 $347
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 610
;610:	trap_AddCommand ("loaddeferred");
ADDRGP4 $305
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 611
;611:	trap_AddCommand ("gametype_restart");
ADDRGP4 $348
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 612
;612:}
LABELV $325
endproc CG_InitConsoleCommands 4 4
import trap_PC_RemoveAllGlobalDefines
import trap_PC_LoadGlobalDefines
import trap_PC_SourceFileAndLine
import trap_PC_ReadToken
import trap_PC_FreeSource
import trap_PC_LoadSource
import trap_PC_AddGlobalDefine
import Tooltip_Paint
import Controls_SetDefaults
import Controls_SetConfig
import Controls_GetConfig
import Display_CacheAll
import Menu_SetFeederSelection
import Menu_Paint
import Menus_CloseAll
import LerpColor
import Display_HandleKey
import Menus_CloseByName
import Menus_ShowByName
import Menus_FindByName
import Menus_OpenByName
import Display_KeyBindPending
import Display_CursorType
import Display_MouseMove
import Display_CaptureItem
import Display_GetContext
import Menus_Activate
import Menus_AnyFullScreenVisible
import Menu_Reset
import Menus_ActivateByName
import Menu_PaintAll
import Menu_New
import Menu_Count
import PC_Script_Parse
import PC_String_Parse
import PC_Rect_Parse
import PC_Int_Parse
import PC_Color_Parse
import PC_Float_Parse
import Script_Parse
import String_Parse
import Rect_Parse
import Int_Parse
import Color_Parse
import Float_Parse
import Menu_ScrollFeeder
import Menu_HandleMouseMove
import Menu_HandleKey
import Menu_GetItemByName
import Menu_GetFocused
import Menu_PostParse
import Item_Action
import Item_Init
import Menu_Init
import Display_ExpandMacros
import Init_Display
import String_Report
import String_Init
import String_Alloc
import CG_ParseGametypeFile
import CG_DrawMiscEnts
import CG_MiscEnt
import G2_PositionEntityOnBolt
import CG_PredictedProcGore
import CG_AddProcGore
import CG_SetGhoul2Info
import CG_Init_CGents
import CG_Init_CG
import trap_UI_SetActiveMenu
import trap_UI_CloseAll
import trap_CG_RegisterSharedMemory
import trap_RE_InitRendererTerrain
import trap_CM_RegisterTerrain
import trap_CM_TM_ConvertPosition
import trap_CM_TM_Upload
import trap_CM_TM_AddTarget
import trap_CM_TM_AddSpot
import trap_CM_TM_AddBuilding
import trap_CM_TM_Create
import trap_MAT_GetDebrisScale
import trap_MAT_GetDebris
import trap_MAT_GetEffect
import trap_MAT_GetDecalScale
import trap_MAT_GetDecal
import trap_MAT_GetSound
import trap_MAT_Reset
import trap_MAT_Init
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_GetBoltIndex
import trap_G2API_FindBoltIndex
import trap_G2API_GetNumModels
import trap_G2API_GetGhoul2ModelFlagsByIndex
import trap_G2API_SetGhoul2ModelFlagsByIndex
import trap_G2API_GetGhoul2ModelFlags
import trap_G2API_SetGhoul2ModelFlags
import trap_G2API_ClearSkinGore
import trap_G2API_AddSkinGore
import trap_G2API_SetNewOrigin
import trap_G2API_SetRootSurface
import trap_G2API_SetSurfaceOnOff
import trap_G2API_GetBoneAnim
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_CleanGhoul2Models
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_DetachG2Model
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_CollisionDetect
import trap_R_inPVS
import trap_GetEntityToken
import trap_SnapVector
import trap_RMG_Init
import trap_Key_GetKey
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_IsDown
import trap_MemoryRemaining
import trap_FX_AddLine
import trap_FX_Reset
import trap_FX_AdjustTime
import trap_FX_FreeSystem
import trap_FX_Draw2DEffects
import trap_FX_AddScheduledEffects
import trap_FX_PlayBoltedEffectID
import trap_FX_PlayEntityEffectID
import trap_FX_PlayEffectID
import trap_FX_PlaySimpleEffectID
import trap_FX_PlayEntityEffect
import trap_FX_PlayEffect
import trap_FX_PlaySimpleEffect
import trap_FX_RegisterEffect
import trap_FX_InitSystem
import trap_CIN_SetExtents
import trap_CIN_DrawCinematic
import trap_CIN_RunCinematic
import trap_CIN_StopCinematic
import trap_CIN_PlayCinematic
import testPrintFloat
import testPrintInt
import trap_ResetAutorun
import trap_RW_SetTeam
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetDefaultState
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_SetLightStyle
import trap_R_GetLightStyle
import trap_R_RemapShader
import trap_R_DrawRotatePic2
import trap_R_DrawRotatePic
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_DrawVisualOverlay
import trap_R_RenderScene
import trap_R_LightForPoint
import trap_R_AddLightToScene
import trap_R_AddDecalToScene
import trap_R_AddPolysToScene
import trap_R_AddPolyToScene
import trap_R_DrawTextWithCursor
import trap_R_DrawText
import trap_R_GetTextHeight
import trap_R_GetTextWidth
import trap_R_AddRefEntityToScene
import trap_R_ClearDecals
import trap_R_ClearScene
import trap_R_RegisterFont
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_AS_GetBModelSound
import trap_AS_AddLocalSet
import trap_AS_UpdateAmbientSet
import trap_AS_ParseSets
import trap_AS_AddPrecacheEntry
import trap_S_StopBackgroundTrack
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddRealLoopingSound
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StopLoopingSound
import trap_S_StartSound
import trap_S_StopAllSounds
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import CG_ApplyGore
import CG_ParseGore
import CG_ParseAnimationFile
import CG_CheckChangedPredictableEvents
import CG_TransitionPlayerState
import CG_Respawn
import CG_PlayBufferedVoiceChats
import CG_VoiceChatLocal
import CG_ShaderStateChanged
import CG_LoadVoiceChats
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_MapRestart
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingStage
import CG_LoadingString
import CG_ProcessSnapshots
import CG_TestLine
import CG_GlassShatter
import CG_BulletFlyBySound
import CG_BubbleTrail
import CG_AddLocalEntities
import CG_AllocLocalEntity
import CG_FreeLocalEntity
import CG_InitLocalEntities
import CG_WeaponCallback
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_PlayerWeaponEffects
import CG_AddViewWeapon
import CG_AnimateViewWeapon
import CG_Bullet
import CG_HandleStickyMissile
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_ProjectileThink
import CG_FireWeapon
import CG_SetWeaponAnim
import CG_UpdateViewWeaponSurfaces
import CG_RegisterItemVisuals
import CG_ShutDownWeapons
import CG_RegisterWeapon
import CG_WeaponSelectable
import CG_Weapon_f
import CG_PrevWeapon
import CG_NextWeapon
import CG_ScaleModelAxis
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_InitHitModel
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_PlayerTrace
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_PlayerShadow
import CG_RemoveIdentityItemsOnBack
import CG_RegisterIdentity
import CG_UpdatePlayerModel
import CG_CustomPlayerSound
import CG_CustomSound
import CG_NewClientInfo
import CG_ResetPlayerEntity
import CG_Player
import CG_DrawMapChange
import CG_GameTypeString
import CG_Text_PaintChar
import CG_Draw3DG2Model
import CG_Draw3DModel
import CG_GetGameStatusText
import CG_GetTeamColor
import CG_RunMenuScript
import CG_OwnerDrawDisabled
import CG_OwnerDrawVisible
import CG_GetValue
import CG_OwnerDraw
import CG_DrawActive
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import CG_DrawTimer
import CG_DrawTextWithCursor
import CG_DrawText
import CG_GetColorForHealth
import CG_DrawTopBottom
import CG_DrawSides
import CG_DrawRect
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawRotatePic2
import CG_DrawRotatePic
import CG_DrawStretchPic
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_UpdateCameraShake
import CG_CameraShake
import CG_DrawActiveFrame
import CG_AddBufferedSound
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_EventHandling
import CG_MouseEvent
import CG_KeyEvent
import CG_LoadMenus
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateTeamCountCvars
import CG_UpdateCvars
import CG_StartMusic
import CG_GetEntity
import CG_Argv
import CG_ConfigString
import cg_drawTeamInfoZero
import cg_drawTeamInfoColor
import cg_drawTeamInfo
import cg_zoomWeaponChange
import cg_drawHPValues
import cg_specInFirst
import cg_thirdPersonCross
import cg_matrixEffect
import g_eliteKnifes
import g_zoomOut
import cg_drawClock
import rw_enabled
import cg_bodyTime
import cg_weaponMenuFast
import cg_soundFrag
import cg_soundGlobal
import cg_voiceGlobal
import cg_voiceRadio
import ui_info_seenobjectives
import ui_info_pickupsdisabled
import ui_info_freecount
import ui_info_speccount
import ui_info_bluecount
import ui_info_redcount
import cg_automap_a
import cg_automap_h
import cg_automap_w
import cg_automap_y
import cg_automap_x
import cg_animBlend
import cg_tracerChance
import cg_damageindicator
import RMG_distancecull
import cg_lockDeaths
import cg_lockBlood
import cg_lockSever
import cg_DebugGore
import cg_currentSelectedPlayerName
import cg_currentSelectedPlayer
import cg_noProjectileTrail
import cg_noTaunt
import cg_cameraMode
import cg_timescale
import cg_cameraOrbitDelay
import cg_cameraOrbit
import pmove_msec
import pmove_fixed
import cg_smoothClients
import cg_noVoiceText
import cg_teamChatsOnly
import cg_drawFriend
import cg_deferPlayers
import cg_autoReload
import cg_impactPrediction
import cg_antiLag
import cg_predictItems
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_stats
import cg_chatHeight
import cg_chatTime
import cg_synchronousClients
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPersonHorzOffset
import cg_thirdPersonPitch
import cg_thirdPersonYaw
import cg_thirdPersonRange
import cg_thirdPerson
import cg_goreDetail
import cg_shellEjection
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_footsteps
import cg_showmiss
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_draw2D
import cg_crosshairFriendRGBA
import cg_crosshairRGBA
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_drawTeamScores
import cg_drawRadar
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_shadows
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centerY
import cg_centertime
import con_notifyTime
import cg_items
import cg_weapons
import cg
import cgs
import cg_numpermanents
import cg_permanents
import cg_entities
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $348
char 1 103
char 1 97
char 1 109
char 1 101
char 1 116
char 1 121
char 1 112
char 1 101
char 1 95
char 1 114
char 1 101
char 1 115
char 1 116
char 1 97
char 1 114
char 1 116
char 1 0
align 1
LABELV $347
char 1 116
char 1 101
char 1 97
char 1 109
char 1 116
char 1 97
char 1 115
char 1 107
char 1 0
align 1
LABELV $346
char 1 115
char 1 116
char 1 97
char 1 116
char 1 115
char 1 0
align 1
LABELV $345
char 1 118
char 1 111
char 1 116
char 1 101
char 1 0
align 1
LABELV $344
char 1 99
char 1 97
char 1 108
char 1 108
char 1 118
char 1 111
char 1 116
char 1 101
char 1 0
align 1
LABELV $343
char 1 115
char 1 101
char 1 116
char 1 118
char 1 105
char 1 101
char 1 119
char 1 112
char 1 111
char 1 115
char 1 0
align 1
LABELV $342
char 1 97
char 1 100
char 1 100
char 1 98
char 1 111
char 1 116
char 1 0
align 1
LABELV $341
char 1 108
char 1 101
char 1 118
char 1 101
char 1 108
char 1 115
char 1 104
char 1 111
char 1 116
char 1 0
align 1
LABELV $340
char 1 102
char 1 111
char 1 108
char 1 108
char 1 111
char 1 119
char 1 0
align 1
LABELV $339
char 1 116
char 1 101
char 1 97
char 1 109
char 1 0
align 1
LABELV $338
char 1 110
char 1 111
char 1 99
char 1 108
char 1 105
char 1 112
char 1 0
align 1
LABELV $337
char 1 110
char 1 111
char 1 116
char 1 97
char 1 114
char 1 103
char 1 101
char 1 116
char 1 0
align 1
LABELV $336
char 1 103
char 1 111
char 1 100
char 1 0
align 1
LABELV $335
char 1 103
char 1 105
char 1 118
char 1 101
char 1 0
align 1
LABELV $334
char 1 118
char 1 115
char 1 97
char 1 121
char 1 95
char 1 116
char 1 101
char 1 97
char 1 109
char 1 0
align 1
LABELV $333
char 1 116
char 1 101
char 1 108
char 1 108
char 1 0
align 1
LABELV $332
char 1 115
char 1 97
char 1 121
char 1 95
char 1 116
char 1 101
char 1 97
char 1 109
char 1 0
align 1
LABELV $331
char 1 115
char 1 97
char 1 121
char 1 0
align 1
LABELV $330
char 1 107
char 1 105
char 1 108
char 1 108
char 1 0
align 1
LABELV $313
char 1 117
char 1 105
char 1 95
char 1 116
char 1 101
char 1 97
char 1 109
char 1 0
align 1
LABELV $312
char 1 117
char 1 105
char 1 95
char 1 111
char 1 117
char 1 116
char 1 102
char 1 105
char 1 116
char 1 116
char 1 105
char 1 110
char 1 103
char 1 0
align 1
LABELV $311
char 1 117
char 1 105
char 1 95
char 1 111
char 1 98
char 1 106
char 1 101
char 1 99
char 1 116
char 1 105
char 1 118
char 1 101
char 1 115
char 1 0
align 1
LABELV $310
char 1 117
char 1 105
char 1 95
char 1 119
char 1 101
char 1 95
char 1 114
char 1 97
char 1 100
char 1 105
char 1 111
char 1 0
align 1
LABELV $309
char 1 117
char 1 105
char 1 95
char 1 97
char 1 100
char 1 109
char 1 95
char 1 114
char 1 97
char 1 100
char 1 105
char 1 111
char 1 0
align 1
LABELV $308
char 1 117
char 1 105
char 1 95
char 1 114
char 1 97
char 1 100
char 1 105
char 1 111
char 1 0
align 1
LABELV $307
char 1 119
char 1 101
char 1 97
char 1 112
char 1 116
char 1 111
char 1 103
char 1 103
char 1 108
char 1 101
char 1 0
align 1
LABELV $306
char 1 100
char 1 114
char 1 111
char 1 112
char 1 0
align 1
LABELV $305
char 1 108
char 1 111
char 1 97
char 1 100
char 1 100
char 1 101
char 1 102
char 1 101
char 1 114
char 1 114
char 1 101
char 1 100
char 1 0
align 1
LABELV $304
char 1 115
char 1 116
char 1 97
char 1 114
char 1 116
char 1 79
char 1 114
char 1 98
char 1 105
char 1 116
char 1 0
align 1
LABELV $303
char 1 114
char 1 101
char 1 108
char 1 111
char 1 97
char 1 100
char 1 104
char 1 117
char 1 100
char 1 0
align 1
LABELV $302
char 1 116
char 1 101
char 1 108
char 1 108
char 1 95
char 1 97
char 1 116
char 1 116
char 1 97
char 1 99
char 1 107
char 1 101
char 1 114
char 1 0
align 1
LABELV $301
char 1 116
char 1 101
char 1 108
char 1 108
char 1 95
char 1 116
char 1 97
char 1 114
char 1 103
char 1 101
char 1 116
char 1 0
align 1
LABELV $300
char 1 119
char 1 101
char 1 97
char 1 112
char 1 111
char 1 110
char 1 0
align 1
LABELV $299
char 1 119
char 1 101
char 1 97
char 1 112
char 1 108
char 1 97
char 1 115
char 1 116
char 1 0
align 1
LABELV $298
char 1 119
char 1 101
char 1 97
char 1 112
char 1 112
char 1 114
char 1 101
char 1 118
char 1 0
align 1
LABELV $297
char 1 119
char 1 101
char 1 97
char 1 112
char 1 110
char 1 101
char 1 120
char 1 116
char 1 0
align 1
LABELV $296
char 1 45
char 1 97
char 1 117
char 1 116
char 1 111
char 1 109
char 1 97
char 1 112
char 1 0
align 1
LABELV $295
char 1 43
char 1 97
char 1 117
char 1 116
char 1 111
char 1 109
char 1 97
char 1 112
char 1 0
align 1
LABELV $294
char 1 45
char 1 115
char 1 99
char 1 111
char 1 114
char 1 101
char 1 115
char 1 0
align 1
LABELV $293
char 1 43
char 1 115
char 1 99
char 1 111
char 1 114
char 1 101
char 1 115
char 1 0
align 1
LABELV $292
char 1 118
char 1 105
char 1 101
char 1 119
char 1 112
char 1 111
char 1 115
char 1 0
align 1
LABELV $291
char 1 112
char 1 114
char 1 101
char 1 118
char 1 115
char 1 107
char 1 105
char 1 110
char 1 0
align 1
LABELV $290
char 1 110
char 1 101
char 1 120
char 1 116
char 1 115
char 1 107
char 1 105
char 1 110
char 1 0
align 1
LABELV $289
char 1 112
char 1 114
char 1 101
char 1 118
char 1 102
char 1 114
char 1 97
char 1 109
char 1 101
char 1 0
align 1
LABELV $288
char 1 110
char 1 101
char 1 120
char 1 116
char 1 102
char 1 114
char 1 97
char 1 109
char 1 101
char 1 0
align 1
LABELV $287
char 1 116
char 1 101
char 1 115
char 1 116
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 0
align 1
LABELV $285
char 1 49
char 1 48
char 1 48
char 1 0
align 1
LABELV $284
char 1 99
char 1 103
char 1 95
char 1 116
char 1 104
char 1 105
char 1 114
char 1 100
char 1 80
char 1 101
char 1 114
char 1 115
char 1 111
char 1 110
char 1 82
char 1 97
char 1 110
char 1 103
char 1 101
char 1 0
align 1
LABELV $283
char 1 99
char 1 103
char 1 95
char 1 116
char 1 104
char 1 105
char 1 114
char 1 100
char 1 80
char 1 101
char 1 114
char 1 115
char 1 111
char 1 110
char 1 65
char 1 110
char 1 103
char 1 108
char 1 101
char 1 0
align 1
LABELV $282
char 1 53
char 1 0
align 1
LABELV $281
char 1 99
char 1 103
char 1 95
char 1 116
char 1 104
char 1 105
char 1 114
char 1 100
char 1 80
char 1 101
char 1 114
char 1 115
char 1 111
char 1 110
char 1 0
align 1
LABELV $280
char 1 48
char 1 0
align 1
LABELV $279
char 1 99
char 1 103
char 1 95
char 1 99
char 1 97
char 1 109
char 1 101
char 1 114
char 1 97
char 1 79
char 1 114
char 1 98
char 1 105
char 1 116
char 1 0
align 1
LABELV $273
char 1 100
char 1 101
char 1 118
char 1 101
char 1 108
char 1 111
char 1 112
char 1 101
char 1 114
char 1 0
align 1
LABELV $268
char 1 116
char 1 101
char 1 108
char 1 108
char 1 32
char 1 37
char 1 105
char 1 32
char 1 37
char 1 115
char 1 0
align 1
LABELV $256
char 1 43
char 1 122
char 1 111
char 1 111
char 1 109
char 1 111
char 1 117
char 1 116
char 1 59
char 1 32
char 1 119
char 1 97
char 1 105
char 1 116
char 1 59
char 1 32
char 1 45
char 1 122
char 1 111
char 1 111
char 1 109
char 1 111
char 1 117
char 1 116
char 1 59
char 1 0
align 1
LABELV $249
char 1 43
char 1 122
char 1 111
char 1 111
char 1 109
char 1 105
char 1 110
char 1 59
char 1 32
char 1 119
char 1 97
char 1 105
char 1 116
char 1 59
char 1 32
char 1 45
char 1 122
char 1 111
char 1 111
char 1 109
char 1 105
char 1 110
char 1 59
char 1 0
align 1
LABELV $216
char 1 107
char 1 110
char 1 105
char 1 102
char 1 101
char 1 0
align 1
LABELV $213
char 1 103
char 1 114
char 1 101
char 1 110
char 1 97
char 1 100
char 1 101
char 1 0
align 1
LABELV $210
char 1 112
char 1 105
char 1 115
char 1 116
char 1 111
char 1 108
char 1 0
align 1
LABELV $207
char 1 115
char 1 101
char 1 99
char 1 111
char 1 110
char 1 100
char 1 97
char 1 114
char 1 121
char 1 0
align 1
LABELV $204
char 1 112
char 1 114
char 1 105
char 1 109
char 1 97
char 1 114
char 1 121
char 1 0
align 1
LABELV $197
char 1 100
char 1 114
char 1 111
char 1 112
char 1 32
char 1 37
char 1 105
char 1 0
align 1
LABELV $180
char 1 49
char 1 0
align 1
LABELV $179
char 1 117
char 1 105
char 1 95
char 1 105
char 1 110
char 1 102
char 1 111
char 1 95
char 1 115
char 1 101
char 1 101
char 1 110
char 1 111
char 1 98
char 1 106
char 1 101
char 1 99
char 1 116
char 1 105
char 1 118
char 1 101
char 1 115
char 1 0
align 1
LABELV $143
char 1 117
char 1 105
char 1 47
char 1 104
char 1 117
char 1 100
char 1 46
char 1 116
char 1 120
char 1 116
char 1 0
align 1
LABELV $124
char 1 115
char 1 99
char 1 111
char 1 114
char 1 101
char 1 0
align 1
LABELV $105
char 1 40
char 1 37
char 1 105
char 1 32
char 1 37
char 1 105
char 1 32
char 1 37
char 1 105
char 1 41
char 1 32
char 1 58
char 1 32
char 1 37
char 1 105
char 1 10
char 1 0
