void CG_TextLimit(char *text,qhandle_t font,float scale,int limit) {
	int i,j;

	for(i=strlen(text)-1;i>=0;i--){
		j=trap_R_GetTextWidth(text,font,scale,0);
		if (j <= limit) break;
		else text[i]=0;
	}
}

void CG_DrawInfo(int i,int j,qboolean me){
	clientInfo_t *ci = &cgs.clientinfo[i];

	const char *s;
	char v[16];
	float * color,*color2;
	qhandle_t	wp;
	vec4_t col;
	score_t*	score;
	score = &cg.scores[i];

	if ( !ci ) { return; }
	if ( !ci->health ) { return; }

	if ( cg_hudBackGround.integer  == 0 ) { col[3] = 0.00f; }
	else if ( cg_hudBackGround.integer  == 2 ) { VectorCopy4 ( colorBlack, col ); }
	else if ( cg_hudBackGround.integer  == 3 ) { VectorCopy4 ( colorRed, col ); }
	else if ( cg_hudBackGround.integer  == 4 ) { VectorCopy4 ( colorBlue, col ); }
	else if ( cg_hudBackGround.integer  == 5 ) { VectorCopy4 ( colorGreen, col ); }
	else if ( cg_hudBackGround.integer  == 6 ) { VectorCopy4 ( colorYellow, col ); }
	else if ( cg_hudBackGround.integer  == 7 ) { VectorCopy4 ( colorMagenta, col ); }
	else if ( cg_hudBackGround.integer  == 8 ) { VectorCopy4 ( colorCyan, col ); }
	else if ( cg_hudBackGround.integer  == 9 ) { VectorCopy4 ( colorLtBlue, col ); }
	else if ( cg_hudBackGround.integer  == 10 ) { VectorCopy4 ( colorDkBlue, col ); }
	else {
		switch (ci->team) {
			case TEAM_RED:
				VectorCopy4 ( colorRed, col );
				break;
			case TEAM_BLUE:
				VectorCopy4 ( colorBlue, col );
		}
	}

	if ( cg_hudOpacity.integer == 0 ) { col[3] = 0.00f; }
	else if ( cg_hudOpacity.integer == 10 ) { col[3] = 0.10f; }
	else if ( cg_hudOpacity.integer == 20 ) { col[3] = 0.20f; }
	else if ( cg_hudOpacity.integer == 30 ) { col[3] = 0.30f; }
	else if ( cg_hudOpacity.integer == 40 ) { col[3] = 0.40f; }
	else if ( cg_hudOpacity.integer == 50 ) { col[3] = 0.50f; }
	else if ( cg_hudOpacity.integer == 60 ) { col[3] = 0.60f; }
	else if ( cg_hudOpacity.integer == 70 ) { col[3] = 0.70f; }
	else if ( cg_hudOpacity.integer == 80 ) { col[3] = 0.80f; }
	else if ( cg_hudOpacity.integer == 90 ) { col[3] = 0.90f; }
	else if ( cg_hudOpacity.integer == 100 ) { col[3] = 1.0f; }
	else { col[3] = 0.35f; }

	if ( cg_hudBackGround.integer ) { 
		CG_DrawPic 	(0,j - 35,240,9, cgs.media.scoreboardLine ); 
		trap_R_SetColor (col);
		CG_DrawStretchPic(0,j - 35,240,9,0,0,1,1,col,cgs.media.whiteShader); 
	}

	if (me) { color = color2 = colorWhite; }
	else {
		if (ci->health<=100 && ci->health > 60) {
			color = colorLtGrey;
			color2 = colorLtGrey;
		}
		else if (ci->health<=60 && ci->health > 30) {
			color = colorLtGrey;
			color2 = colorYellow;
		}
		else if (ci->health<=30) {
			color = colorLtGrey;
			color2 = colorRed;
		}
	}
	col[3] = 0.35f;
	trap_R_SetColor (col);

	strncpy(v,ci->name,19);
	CG_TextLimit(v,cgs.media.hudFont,0.3f,73);
	CG_DrawText(2,j - 35, cgs.media.hudFont, 0.28f, color, va("%36s",v),0,DT_OUTLINE);
	CG_DrawText(73,j - 35, cgs.media.hudFont, 0.3f, color2, va("%3d",ci->health),0,DT_OUTLINE);
	CG_DrawText(93,j - 35, cgs.media.hudFont, 0.3f, color, va("%3d",ci->armor),0,DT_OUTLINE);
	wp = cg_weapons[ ci->weapon ].weaponIcon;

	if ( wp && ci->weapon ) {
		if ( ci->weapon == WP_M84_GRENADE || ci->weapon == WP_SMOHG92_GRENADE || ci->weapon == WP_ANM14_GRENADE || ci->weapon == WP_M15_GRENADE ) { CG_DrawPic(113,j - 36,10,10,wp); }
		else { CG_DrawPic(113,j - 37,22,12,wp); }
	}

	for ( i = 0; i < MAX_GAMETYPE_ITEMS; i ++ )
	{
		centity_t* cent;
		cent = CG_GetEntity ( score->client );
		// No have item, no draw it
		if ( !(ci->gametypeitems & (1<<i) ) ) {
			continue;
		}
		if ( !cg_items[MODELINDEX_GAMETYPE_ITEM+i].icon ) {
			continue;
		}

		CG_DrawPic ( 225, j - 35, 10,10, cg_items[MODELINDEX_GAMETYPE_ITEM+i].icon );
	}

	s = CG_ConfigString(CS_LOCATIONS + ci->location);
	if (!s || !*s) s = "unknown";
	strncpy(v,s,18);
	CG_TextLimit(v,cgs.media.hudFont,0.3f,80);
	CG_DrawText(143,j - 35, cgs.media.hudFont, 0.3f, color, va("%17s",v),0,DT_OUTLINE);
}

void CG_DrawTeamInfo( void )
{
	int i,j,t;

	if (!cg_drawTeamInfo.integer)  return;
	if (!cgs.gametypeData->teams) return;

	j = 482;
	CG_DrawInfo(cg.snap->ps.clientNum,j,qtrue);
	j-=10;
	for (i=0,t=0; i < cgs.maxclients ; i++) {
		clientInfo_t *ci = &cgs.clientinfo[i];
		if (cg.snap->ps.clientNum != i && ci->team == cgs.clientinfo[cg.snap->ps.clientNum].team && t<4){
			if (cgs.clientinfo[i].health > 0) {
				CG_DrawInfo(i,j,qfalse);
				j-=10;
				t++;
			}
		}
	}
}


void CG_DrawOspHud(void){
	vec4_t color;
	clientInfo_t *ci = &cgs.clientinfo[cg.snap->ps.clientNum];
	qhandle_t icon;
	int x,weaponToDraw,category,count,w,h,curMode,z;
	char *s;

	if (cg.showScores || !ci) { return; }

	x=0;

	if ( cg_hudBackGround.integer  == 0 ) { color[3] = 0.00f; }
	else if ( cg_hudBackGround.integer  == 2 ) { VectorCopy4 ( colorBlack, color ); }
	else if ( cg_hudBackGround.integer  == 3 ) { VectorCopy4 ( colorRed, color ); }
	else if ( cg_hudBackGround.integer  == 4 ) { VectorCopy4 ( colorBlue, color ); }
	else if ( cg_hudBackGround.integer  == 5 ) { VectorCopy4 ( colorGreen, color ); }
	else if ( cg_hudBackGround.integer  == 6 ) { VectorCopy4 ( colorYellow, color ); }
	else if ( cg_hudBackGround.integer  == 7 ) { VectorCopy4 ( colorMagenta, color ); }
	else if ( cg_hudBackGround.integer  == 8 ) { VectorCopy4 ( colorCyan, color ); }
	else if ( cg_hudBackGround.integer  == 9 ) { VectorCopy4 ( colorLtBlue, color ); }
	else if ( cg_hudBackGround.integer  == 10 ) { VectorCopy4 ( colorDkBlue, color ); }
	else {
		if (cgs.gametypeData->teams) {
			switch (ci->team) {
				case TEAM_RED:
					VectorCopy4(colorRed,color);
					break;
				case TEAM_BLUE:
					VectorCopy4 ( colorBlue, color );
					break;
				default:
					VectorCopy4(colorGreen,color);
			}
		} 
		else {
			VectorCopy4(colorGreen,color);
		}
	}
	if ( cg_hudOpacity.integer == 0 ) { color[3] = 0.00f; }
	else if ( cg_hudOpacity.integer == 10 ) { color[3] = 0.10f; }
	else if ( cg_hudOpacity.integer == 20 ) { color[3] = 0.20f; }
	else if ( cg_hudOpacity.integer == 30 ) { color[3] = 0.30f; }
	else if ( cg_hudOpacity.integer == 40 ) { color[3] = 0.40f; }
	else if ( cg_hudOpacity.integer == 50 ) { color[3] = 0.50f; }
	else if ( cg_hudOpacity.integer == 60 ) { color[3] = 0.60f; }
	else if ( cg_hudOpacity.integer == 70 ) { color[3] = 0.70f; }
	else if ( cg_hudOpacity.integer == 80 ) { color[3] = 0.80f; }
	else if ( cg_hudOpacity.integer == 90 ) { color[3] = 0.90f; }
	else if ( cg_hudOpacity.integer == 100 ) { color[3] = 1.0f; }
	else { color[3] = 0.35f; }

	if ( cg_hudBackGround.integer ) { 
		CG_DrawPic 	(0,457,640,22, cgs.media.scoreboardLine ); 
		trap_R_SetColor (color);
		CG_DrawStretchPic(0,457,640,25,0,0,1,1,color,cgs.media.whiteShader);
	}
	color[3] = 0.35f;
	trap_R_SetColor (color);

	if ( cg_drawWeaponType.integer ) {
		count = 0;
		for (weaponToDraw = WP_NONE + 1; weaponToDraw < WP_NUM_WEAPONS; weaponToDraw++ ) {
			if (weaponToDraw == cg.weaponSelect || (cg.snap->ps.stats[STAT_WEAPONS] & ( 1 << weaponToDraw )) )
				count++;
		}

//		w = 54; h = 27; x = (640-(count*54))/2; this makes it be centreally aligned
		w = 54; h = 27; x = 190;

		for (weaponToDraw = WP_NONE + 1; weaponToDraw < WP_NUM_WEAPONS; weaponToDraw++ )
		{
			category = weaponData[weaponToDraw].category;
			z=0; w=54; h=27;
			if ( weaponToDraw == 1 ) {
				w = 50; h = 25; z = 4; x+=6;
			}
			if ( weaponToDraw == 2 ) {
				w = 55; h = 24; z = 8;
			}
			if ( weaponToDraw == 3 ) {
				w = 48; h = 20; z = 9;
			}
			if ( weaponToDraw == 4 ) {
				w = 50; h = 23; z = 7;
			}
			if ( weaponToDraw == 5 ) {
				w = 50; h = 28; z = 1;
			}
			if ( weaponToDraw == 6 ) {
				w = 50; h = 18; z = 10;
			}
			if ( weaponToDraw == 7 ) {
				w = 45; h = 18; z = 10;
			}
			if ( weaponToDraw == 8 ) {
				w = 54; h = 27; z = 5;
			}
			if ( weaponToDraw == 9 ) {
				w = 50; h = 26; z = 9;
			}
			if ( weaponToDraw == 10 ) {
				w = 55; h = 28; z = 4;
			}
			if ( weaponToDraw == 11 ) {
				w = 55; h = 28; z = 0;
			}
			if ( weaponToDraw == 12 ) {
				w = 50; h = 26; z = 7;
			}
			if ( weaponToDraw == 13 ) {
				w = 55; h = 27; z = 3;
			}
			if ( weaponToDraw == 14 ) {
				w = 55; h = 27; z = 2;
			}
			if ( weaponToDraw == 15 ) {
				w = 48; h = 23; z = 7;
			}
			if ( weaponToDraw == 16 ) {
				w = 60; h = 30; z = 2;
			}
			// nades dont need width
			if ( weaponToDraw == 17 || weaponToDraw == 18 || weaponToDraw == 19 || weaponToDraw == 20 ) {
				h = 20; z = 9;
			}

			// found a weapon in this catagory
			if (weaponToDraw == cg.weaponSelect)
			{
				// this is the currently selected weapon, so draw it dfif color
				Vector4Copy(colorWhite, color);
			}
			else if ( (cg.snap->ps.stats[STAT_WEAPONS] & ( 1 << weaponToDraw )) )
			{	
				int ammoCount = 0;
				
				ammoCount += cg.snap->ps.ammo[weaponData[weaponToDraw].attack[ATTACK_NORMAL].ammoIndex];
				ammoCount += cg.snap->ps.clip[ATTACK_NORMAL][weaponToDraw];
				ammoCount += cg.snap->ps.ammo[weaponData[weaponToDraw].attack[ATTACK_ALTERNATE].ammoIndex];
				ammoCount += cg.snap->ps.clip[ATTACK_ALTERNATE][weaponToDraw];		

				if ( !ammoCount )
				{	
					if (CAT_GRENADE <= category)
					{	
						// no grenades means no grenades
						continue;
					}
					else
					{	
						// weapon has no ammo so show it disabled
						Vector4Copy(colorDkGrey, color );
					}
				}
				else
				{	
					Vector4Copy(colorMdGrey, color);
				}
			}
			else {	// don't have it, so don't draw
				continue;
			}	

			icon = cg_weapons[ weaponToDraw ].weaponIcon;
			if (icon)
			{	
				// draw weapon icon
				if (CAT_GRENADE <= category)
				{	
					trap_R_SetColor( color );
					CG_DrawPic( x, 449+z, h, h, icon);
				}
				else
				{	
					trap_R_SetColor( color );
					CG_DrawPic( x, 449+z, w, h, icon);
				}
			}
					
			if ( CAT_GRENADE > category )
				s = va("%i",cg.predictedPlayerState.clip[ATTACK_NORMAL][weaponToDraw]);
			else
				s = va("%i",cg.predictedPlayerState.clip[ATTACK_NORMAL][weaponToDraw] + cg.predictedPlayerState.ammo[weaponData[weaponToDraw].attack[ATTACK_NORMAL].ammoIndex]);
			CG_DrawText ( x-6, 465, cgs.media.hudFont, 0.43f, color, s, 0, DT_OUTLINE  );	

			if ( CAT_GRENADE > category ) {
				s = va("%i",cg.predictedPlayerState.ammo[weaponData[weaponToDraw].attack[ATTACK_NORMAL].ammoIndex]);
				CG_DrawText ( x+w-10, 470, cgs.media.hudFont, 0.25f, color, s, 0, DT_OUTLINE  );
			}	

			if ( CAT_GRENADE > category && BG_WeaponHasAlternateAmmo ( weaponToDraw )) {
				s = va("%i",cg.predictedPlayerState.clip[ATTACK_ALTERNATE][weaponToDraw] + cg.predictedPlayerState.ammo[weaponData[weaponToDraw].attack[ATTACK_ALTERNATE].ammoIndex]);
				CG_DrawText ( x-6, 457, cgs.media.hudFont, 0.25f, color, s, 0, DT_OUTLINE  );
			}

			trap_R_SetColor( NULL );
			if ( CAT_GRENADE > category )
				x+=w+(w/count);
			else
				x+=h+(w/count);
		}
		for (weaponToDraw = WP_NONE + 1; weaponToDraw < WP_NUM_WEAPONS; weaponToDraw++ )
		{
			// found a weapon in this catagory
			if (weaponToDraw == cg.weaponSelect)
			{	
				x+=2;
				// this is the currently selected weapon, so draw it dfif color
				Vector4Copy(colorWhite, color);	

				curMode = cg.predictedPlayerState.firemode[cg.weaponSelect];
				if ( curMode == WP_FIREMODE_NONE )
					curMode = BG_FindFireMode ( cg.weaponSelect, ATTACK_NORMAL, WP_FIREMODE_AUTO );
		
				switch ( curMode ) {
					case WP_FIREMODE_NONE:
						s = "";
						break;
					case WP_FIREMODE_AUTO:
						s= "auto";
						break;
					case WP_FIREMODE_BURST:
						s = "burst";
						break;
					case WP_FIREMODE_SINGLE:
						s = "single";
						break;
					default:
						assert(0);
						s = "";
				}
				CG_DrawText (x+(w/3)-32, 470, cgs.media.hudFont, 0.25f, color, s, 0, DT_OUTLINE );
			}
		}
	}
	else {
		// draw selected weapon only cheers
		count = 1;

		w = 54; h = 27; x = (640-(count*54))/2;

		weaponToDraw = cg.weaponSelect;
		category = weaponData[weaponToDraw].category;
		if (weaponToDraw == cg.weaponSelect)
		{
			z=0; w=54; h=27;
			if ( weaponToDraw == 1 ) {
				w = 50; h = 25; z = 4; x+=6;
			}
			if ( weaponToDraw == 2 ) {
				w = 55; h = 24; z = 8;
			}
			if ( weaponToDraw == 3 ) {
				w = 48; h = 20; z = 9;
			}
			if ( weaponToDraw == 4 ) {
				w = 50; h = 23; z = 7;
			}
			if ( weaponToDraw == 5 ) {
				w = 50; h = 28; z = 1;
			}
			if ( weaponToDraw == 6 ) {
				w = 50; h = 18; z = 10;
			}
			if ( weaponToDraw == 7 ) {
				w = 45; h = 18; z = 10;
			}
			if ( weaponToDraw == 8 ) {
				w = 54; h = 27; z = 5;
			}
			if ( weaponToDraw == 9 ) {
				w = 50; h = 26; z = 9;
			}
			if ( weaponToDraw == 10 ) {
				w = 55; h = 28; z = 4;
			}
			if ( weaponToDraw == 11 ) {
				w = 55; h = 28; z = 0;
			}
			if ( weaponToDraw == 12 ) {
				w = 50; h = 26; z = 7;
			}
			if ( weaponToDraw == 13 ) {
				w = 55; h = 27; z = 3;
			}
			if ( weaponToDraw == 14 ) {
				w = 55; h = 27; z = 2;
			}
			if ( weaponToDraw == 15 ) {
				w = 48; h = 23; z = 7;
			}
			if ( weaponToDraw == 16 ) {
				w = 60; h = 30; z = 2;
			}
			// nades dont need width
			if ( weaponToDraw >= 17 && weaponToDraw <= 20 ) {
				h = 20; z = 9;
			}
			Vector4Copy(colorWhite, color);
			icon = cg_weapons[ weaponToDraw ].weaponIcon;
			if (icon)
			{	
				// draw weapon icon
				if (CAT_GRENADE <= category)
				{	
					trap_R_SetColor( color );
					CG_DrawPic( x, 449+z, h, h, icon);
				}
				else
				{	
					trap_R_SetColor( color );
					CG_DrawPic( x, 449+z, w, h, icon);
				}
			}
			if ( CAT_GRENADE > category )
				s = va("%i",cg.predictedPlayerState.clip[ATTACK_NORMAL][weaponToDraw]);
			else
				s = va("%i",cg.predictedPlayerState.clip[ATTACK_NORMAL][weaponToDraw] + cg.predictedPlayerState.ammo[weaponData[weaponToDraw].attack[ATTACK_NORMAL].ammoIndex]);
			CG_DrawText ( x-6, 465, cgs.media.hudFont, 0.43f, color, s, 0, DT_OUTLINE  );				
			if ( CAT_GRENADE > category ) {
				s = va("%i",cg.predictedPlayerState.ammo[weaponData[weaponToDraw].attack[ATTACK_NORMAL].ammoIndex]);
				CG_DrawText ( x+w-10, 470, cgs.media.hudFont, 0.25f, color, s, 0, DT_OUTLINE  );
			}		
			if ( CAT_GRENADE > category && BG_WeaponHasAlternateAmmo ( weaponToDraw )) {
				s = va("%i",cg.predictedPlayerState.clip[ATTACK_ALTERNATE][weaponToDraw] + cg.predictedPlayerState.ammo[weaponData[weaponToDraw].attack[ATTACK_ALTERNATE].ammoIndex]);
				CG_DrawText ( x-6, 457, cgs.media.hudFont, 0.25f, color, s, 0, DT_OUTLINE  );
				}	
			trap_R_SetColor( NULL );
			if ( CAT_GRENADE > category )
				x+=w+(w/count);
			else
				x+=h+(w/count);
		}
		x+=2;
		// this is the currently selected weapon, so draw it dfif color
		Vector4Copy(colorWhite, color);			
		curMode = cg.predictedPlayerState.firemode[cg.weaponSelect];
		if ( curMode == WP_FIREMODE_NONE )
			curMode = BG_FindFireMode ( cg.weaponSelect, ATTACK_NORMAL, WP_FIREMODE_AUTO );
		
		switch ( curMode ) {
			case WP_FIREMODE_NONE:
				s = "";
				break;
			case WP_FIREMODE_AUTO:
				s= "auto";
				break;
			case WP_FIREMODE_BURST:
				s = "burst";
				break;
			case WP_FIREMODE_SINGLE:
				s = "single";
				break;
			default:
				assert(0);
				s = "";
		}
		CG_DrawText (x+(w/3)-65, 470, cgs.media.hudFont, 0.25f, color, s, 0, DT_OUTLINE );
	}
}
