export CG_AdjustFrom640
code
proc CG_AdjustFrom640 16 0
file "../cg_drawtools.c"
line 13
;1:// Copyright (C) 2001-2002 Raven Software.
;2://
;3:// cg_drawtools.c -- helper functions called by cg_draw, cg_scoreboard, cg_info, etc
;4:#include "cg_local.h"
;5:
;6:/*
;7:================
;8:CG_AdjustFrom640
;9:
;10:Adjusted for resolution and screen aspect ratio
;11:================
;12:*/
;13:void CG_AdjustFrom640( float *x, float *y, float *w, float *h ) {
line 21
;14:#if 0
;15:	// adjust for wide screens
;16:	if ( cgs.glconfig.vidWidth * 480 > cgs.glconfig.vidHeight * 640 ) {
;17:		*x += 0.5 * ( cgs.glconfig.vidWidth - ( cgs.glconfig.vidHeight * 640 / 480 ) );
;18:	}
;19:#endif
;20:	// scale for screen sizes
;21:	*x *= cgs.screenXScale;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRF4
ADDRGP4 cgs+32988
INDIRF4
MULF4
ASGNF4
line 22
;22:	*y *= cgs.screenYScale;
ADDRLP4 4
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRF4
ADDRGP4 cgs+32992
INDIRF4
MULF4
ASGNF4
line 23
;23:	*w *= cgs.screenXScale;
ADDRLP4 8
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
ADDRGP4 cgs+32988
INDIRF4
MULF4
ASGNF4
line 24
;24:	*h *= cgs.screenYScale;
ADDRLP4 12
ADDRFP4 12
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
INDIRF4
ADDRGP4 cgs+32992
INDIRF4
MULF4
ASGNF4
line 25
;25:}
LABELV $92
endproc CG_AdjustFrom640 16 0
export CG_FillRect
proc CG_FillRect 4 40
line 34
;26:
;27:/*
;28:================
;29:CG_FillRect
;30:
;31:Coordinates are 640*480 virtual values
;32:=================
;33:*/
;34:void CG_FillRect( float x, float y, float width, float height, const float *color ) {
line 35
;35:	trap_R_SetColor( color );
ADDRFP4 16
INDIRP4
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 37
;36:
;37:	CG_AdjustFrom640( &x, &y, &width, &height );
ADDRFP4 0
ARGP4
ADDRFP4 4
ARGP4
ADDRFP4 8
ARGP4
ADDRFP4 12
ARGP4
ADDRGP4 CG_AdjustFrom640
CALLV
pop
line 38
;38:	trap_R_DrawStretchPic( x, y, width, height, 0, 0, 0, 0, NULL, cgs.media.whiteShader );
ADDRFP4 0
INDIRF4
ARGF4
ADDRFP4 4
INDIRF4
ARGF4
ADDRFP4 8
INDIRF4
ARGF4
ADDRFP4 12
INDIRF4
ARGF4
ADDRLP4 0
CNSTF4 0
ASGNF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
CNSTP4 0
ARGP4
ADDRGP4 cgs+243476
INDIRI4
ARGI4
ADDRGP4 trap_R_DrawStretchPic
CALLV
pop
line 40
;39:
;40:	trap_R_SetColor( NULL );
CNSTP4 0
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 41
;41:}
LABELV $97
endproc CG_FillRect 4 40
export CG_DrawSides
proc CG_DrawSides 12 40
line 50
;42:
;43:/*
;44:================
;45:CG_DrawSides
;46:
;47:Coords are virtual 640x480
;48:================
;49:*/
;50:void CG_DrawSides(float x, float y, float w, float h, float size) {
line 51
;51:	CG_AdjustFrom640( &x, &y, &w, &h );
ADDRFP4 0
ARGP4
ADDRFP4 4
ARGP4
ADDRFP4 8
ARGP4
ADDRFP4 12
ARGP4
ADDRGP4 CG_AdjustFrom640
CALLV
pop
line 52
;52:	size *= cgs.screenXScale;
ADDRFP4 16
ADDRFP4 16
INDIRF4
ADDRGP4 cgs+32988
INDIRF4
MULF4
ASGNF4
line 53
;53:	trap_R_DrawStretchPic( x, y, size, h, 0, 0, 0, 0, NULL, cgs.media.whiteShader );
ADDRFP4 0
INDIRF4
ARGF4
ADDRFP4 4
INDIRF4
ARGF4
ADDRFP4 16
INDIRF4
ARGF4
ADDRFP4 12
INDIRF4
ARGF4
ADDRLP4 0
CNSTF4 0
ASGNF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
CNSTP4 0
ARGP4
ADDRGP4 cgs+243476
INDIRI4
ARGI4
ADDRGP4 trap_R_DrawStretchPic
CALLV
pop
line 54
;54:	trap_R_DrawStretchPic( x + w - size, y, size, h, 0, 0, 0, 0, NULL, cgs.media.whiteShader );
ADDRLP4 4
ADDRFP4 16
INDIRF4
ASGNF4
ADDRFP4 0
INDIRF4
ADDRFP4 8
INDIRF4
ADDF4
ADDRLP4 4
INDIRF4
SUBF4
ARGF4
ADDRFP4 4
INDIRF4
ARGF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRFP4 12
INDIRF4
ARGF4
ADDRLP4 8
CNSTF4 0
ASGNF4
ADDRLP4 8
INDIRF4
ARGF4
ADDRLP4 8
INDIRF4
ARGF4
ADDRLP4 8
INDIRF4
ARGF4
ADDRLP4 8
INDIRF4
ARGF4
CNSTP4 0
ARGP4
ADDRGP4 cgs+243476
INDIRI4
ARGI4
ADDRGP4 trap_R_DrawStretchPic
CALLV
pop
line 55
;55:}
LABELV $99
endproc CG_DrawSides 12 40
export CG_DrawTopBottom
proc CG_DrawTopBottom 12 40
line 57
;56:
;57:void CG_DrawTopBottom(float x, float y, float w, float h, float size) {
line 58
;58:	CG_AdjustFrom640( &x, &y, &w, &h );
ADDRFP4 0
ARGP4
ADDRFP4 4
ARGP4
ADDRFP4 8
ARGP4
ADDRFP4 12
ARGP4
ADDRGP4 CG_AdjustFrom640
CALLV
pop
line 59
;59:	size *= cgs.screenYScale;
ADDRFP4 16
ADDRFP4 16
INDIRF4
ADDRGP4 cgs+32992
INDIRF4
MULF4
ASGNF4
line 60
;60:	trap_R_DrawStretchPic( x, y, w, size, 0, 0, 0, 0, NULL, cgs.media.whiteShader );
ADDRFP4 0
INDIRF4
ARGF4
ADDRFP4 4
INDIRF4
ARGF4
ADDRFP4 8
INDIRF4
ARGF4
ADDRFP4 16
INDIRF4
ARGF4
ADDRLP4 0
CNSTF4 0
ASGNF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
CNSTP4 0
ARGP4
ADDRGP4 cgs+243476
INDIRI4
ARGI4
ADDRGP4 trap_R_DrawStretchPic
CALLV
pop
line 61
;61:	trap_R_DrawStretchPic( x, y + h - size, w, size, 0, 0, 0, 0, NULL, cgs.media.whiteShader );
ADDRFP4 0
INDIRF4
ARGF4
ADDRLP4 4
ADDRFP4 16
INDIRF4
ASGNF4
ADDRFP4 4
INDIRF4
ADDRFP4 12
INDIRF4
ADDF4
ADDRLP4 4
INDIRF4
SUBF4
ARGF4
ADDRFP4 8
INDIRF4
ARGF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRLP4 8
CNSTF4 0
ASGNF4
ADDRLP4 8
INDIRF4
ARGF4
ADDRLP4 8
INDIRF4
ARGF4
ADDRLP4 8
INDIRF4
ARGF4
ADDRLP4 8
INDIRF4
ARGF4
CNSTP4 0
ARGP4
ADDRGP4 cgs+243476
INDIRI4
ARGI4
ADDRGP4 trap_R_DrawStretchPic
CALLV
pop
line 62
;62:}
LABELV $103
endproc CG_DrawTopBottom 12 40
export CG_DrawRect
proc CG_DrawRect 0 20
line 70
;63:/*
;64:================
;65:UI_DrawRect
;66:
;67:Coordinates are 640*480 virtual values
;68:=================
;69:*/
;70:void CG_DrawRect( float x, float y, float width, float height, float size, const float *color ) {
line 71
;71:	trap_R_SetColor( color );
ADDRFP4 20
INDIRP4
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 73
;72:
;73:  CG_DrawTopBottom(x, y, width, height, size);
ADDRFP4 0
INDIRF4
ARGF4
ADDRFP4 4
INDIRF4
ARGF4
ADDRFP4 8
INDIRF4
ARGF4
ADDRFP4 12
INDIRF4
ARGF4
ADDRFP4 16
INDIRF4
ARGF4
ADDRGP4 CG_DrawTopBottom
CALLV
pop
line 74
;74:  CG_DrawSides(x, y, width, height, size);
ADDRFP4 0
INDIRF4
ARGF4
ADDRFP4 4
INDIRF4
ARGF4
ADDRFP4 8
INDIRF4
ARGF4
ADDRFP4 12
INDIRF4
ARGF4
ADDRFP4 16
INDIRF4
ARGF4
ADDRGP4 CG_DrawSides
CALLV
pop
line 76
;75:
;76:	trap_R_SetColor( NULL );
CNSTP4 0
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 77
;77:}
LABELV $107
endproc CG_DrawRect 0 20
export CG_DrawPic
proc CG_DrawPic 8 40
line 88
;78:
;79:
;80:
;81:/*
;82:================
;83:CG_DrawPic
;84:
;85:Coordinates are 640*480 virtual values
;86:=================
;87:*/
;88:void CG_DrawPic( float x, float y, float width, float height, qhandle_t hShader ) {
line 89
;89:	CG_AdjustFrom640( &x, &y, &width, &height );
ADDRFP4 0
ARGP4
ADDRFP4 4
ARGP4
ADDRFP4 8
ARGP4
ADDRFP4 12
ARGP4
ADDRGP4 CG_AdjustFrom640
CALLV
pop
line 90
;90:	trap_R_DrawStretchPic( x, y, width, height, 0, 0, 1, 1, NULL, hShader );
ADDRFP4 0
INDIRF4
ARGF4
ADDRFP4 4
INDIRF4
ARGF4
ADDRFP4 8
INDIRF4
ARGF4
ADDRFP4 12
INDIRF4
ARGF4
ADDRLP4 0
CNSTF4 0
ASGNF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 4
CNSTF4 1065353216
ASGNF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRLP4 4
INDIRF4
ARGF4
CNSTP4 0
ARGP4
ADDRFP4 16
INDIRI4
ARGI4
ADDRGP4 trap_R_DrawStretchPic
CALLV
pop
line 91
;91:}
LABELV $108
endproc CG_DrawPic 8 40
export CG_DrawStretchPic
proc CG_DrawStretchPic 0 40
line 113
;92:
;93:
;94:/*
;95:================
;96:CG_DrawStretchPic
;97:
;98:Coordinates are 640*480 virtual values
;99:=================
;100:*/
;101:void CG_DrawStretchPic( 
;102:	float x, 
;103:	float y, 
;104:	float width, 
;105:	float height, 
;106:	float sx, 
;107:	float sy, 
;108:	float sw, 
;109:	float sh, 
;110:	const float* color,
;111:	qhandle_t hShader 
;112:	) 
;113:{
line 114
;114:	CG_AdjustFrom640( &x, &y, &width, &height );
ADDRFP4 0
ARGP4
ADDRFP4 4
ARGP4
ADDRFP4 8
ARGP4
ADDRFP4 12
ARGP4
ADDRGP4 CG_AdjustFrom640
CALLV
pop
line 115
;115:	trap_R_DrawStretchPic( x, y, width, height, sx, sy, sw, sh, NULL, hShader );
ADDRFP4 0
INDIRF4
ARGF4
ADDRFP4 4
INDIRF4
ARGF4
ADDRFP4 8
INDIRF4
ARGF4
ADDRFP4 12
INDIRF4
ARGF4
ADDRFP4 16
INDIRF4
ARGF4
ADDRFP4 20
INDIRF4
ARGF4
ADDRFP4 24
INDIRF4
ARGF4
ADDRFP4 28
INDIRF4
ARGF4
CNSTP4 0
ARGP4
ADDRFP4 36
INDIRI4
ARGI4
ADDRGP4 trap_R_DrawStretchPic
CALLV
pop
line 116
;116:}
LABELV $109
endproc CG_DrawStretchPic 0 40
export CG_DrawRotatePic
proc CG_DrawRotatePic 8 40
line 127
;117:
;118:/*
;119:================
;120:CG_DrawRotatePic
;121:
;122:Coordinates are 640*480 virtual values
;123:A width of 0 will draw with the original image width
;124:rotates around the upper right corner of the passed in point
;125:=================
;126:*/
;127:void CG_DrawRotatePic( float x, float y, float width, float height,float angle, qhandle_t hShader ) {
line 128
;128:	CG_AdjustFrom640( &x, &y, &width, &height );
ADDRFP4 0
ARGP4
ADDRFP4 4
ARGP4
ADDRFP4 8
ARGP4
ADDRFP4 12
ARGP4
ADDRGP4 CG_AdjustFrom640
CALLV
pop
line 129
;129:	trap_R_DrawRotatePic( x, y, width, height, 0, 0, 1, 1, angle, hShader );
ADDRFP4 0
INDIRF4
ARGF4
ADDRFP4 4
INDIRF4
ARGF4
ADDRFP4 8
INDIRF4
ARGF4
ADDRFP4 12
INDIRF4
ARGF4
ADDRLP4 0
CNSTF4 0
ASGNF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 4
CNSTF4 1065353216
ASGNF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRFP4 16
INDIRF4
ARGF4
ADDRFP4 20
INDIRI4
ARGI4
ADDRGP4 trap_R_DrawRotatePic
CALLV
pop
line 130
;130:}
LABELV $110
endproc CG_DrawRotatePic 8 40
export CG_DrawRotatePic2
proc CG_DrawRotatePic2 8 40
line 141
;131:
;132:/*
;133:================
;134:CG_DrawRotatePic2
;135:
;136:Coordinates are 640*480 virtual values
;137:A width of 0 will draw with the original image width
;138:Actually rotates around the center point of the passed in coordinates
;139:=================
;140:*/
;141:void CG_DrawRotatePic2( float x, float y, float width, float height,float angle, qhandle_t hShader ) {
line 142
;142:	CG_AdjustFrom640( &x, &y, &width, &height );
ADDRFP4 0
ARGP4
ADDRFP4 4
ARGP4
ADDRFP4 8
ARGP4
ADDRFP4 12
ARGP4
ADDRGP4 CG_AdjustFrom640
CALLV
pop
line 143
;143:	trap_R_DrawRotatePic2( x, y, width, height, 0, 0, 1, 1, angle, hShader );
ADDRFP4 0
INDIRF4
ARGF4
ADDRFP4 4
INDIRF4
ARGF4
ADDRFP4 8
INDIRF4
ARGF4
ADDRFP4 12
INDIRF4
ARGF4
ADDRLP4 0
CNSTF4 0
ASGNF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 4
CNSTF4 1065353216
ASGNF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRFP4 16
INDIRF4
ARGF4
ADDRFP4 20
INDIRI4
ARGI4
ADDRGP4 trap_R_DrawRotatePic2
CALLV
pop
line 144
;144:}
LABELV $111
endproc CG_DrawRotatePic2 8 40
export CG_DrawStrlen
proc CG_DrawStrlen 20 0
line 153
;145:
;146:/*
;147:=================
;148:CG_DrawStrlen
;149:
;150:Returns character count, skiping color escape codes
;151:=================
;152:*/
;153:int CG_DrawStrlen( const char *str ) {
line 154
;154:	const char *s = str;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 155
;155:	int count = 0;
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $114
JUMPV
LABELV $113
line 157
;156:
;157:	while ( *s ) {
line 158
;158:		if ( Q_IsColorString( s ) ) {
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $116
ADDRLP4 12
CNSTI4 94
ASGNI4
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ADDRLP4 12
INDIRI4
NEI4 $116
ADDRLP4 16
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 0
EQI4 $116
ADDRLP4 16
INDIRI4
ADDRLP4 12
INDIRI4
EQI4 $116
line 159
;159:			s += 2;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 2
ADDP4
ASGNP4
line 160
;160:		} else {
ADDRGP4 $117
JUMPV
LABELV $116
line 161
;161:			count++;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 162
;162:			s++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 163
;163:		}
LABELV $117
line 164
;164:	}
LABELV $114
line 157
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $113
line 166
;165:
;166:	return count;
ADDRLP4 4
INDIRI4
RETI4
LABELV $112
endproc CG_DrawStrlen 20 0
proc CG_TileClearBox 16 40
line 177
;167:}
;168:
;169:/*
;170:=============
;171:CG_TileClearBox
;172:
;173:This repeats a 64*64 tile graphic to fill the screen around a sized down
;174:refresh window.
;175:=============
;176:*/
;177:static void CG_TileClearBox( int x, int y, int w, int h, qhandle_t hShader ) {
line 180
;178:	float	s1, t1, s2, t2;
;179:
;180:	s1 = x/64.0;
ADDRLP4 0
ADDRFP4 0
INDIRI4
CVIF4 4
CNSTF4 1115684864
DIVF4
ASGNF4
line 181
;181:	t1 = y/64.0;
ADDRLP4 4
ADDRFP4 4
INDIRI4
CVIF4 4
CNSTF4 1115684864
DIVF4
ASGNF4
line 182
;182:	s2 = (x+w)/64.0;
ADDRLP4 8
ADDRFP4 0
INDIRI4
ADDRFP4 8
INDIRI4
ADDI4
CVIF4 4
CNSTF4 1115684864
DIVF4
ASGNF4
line 183
;183:	t2 = (y+h)/64.0;
ADDRLP4 12
ADDRFP4 4
INDIRI4
ADDRFP4 12
INDIRI4
ADDI4
CVIF4 4
CNSTF4 1115684864
DIVF4
ASGNF4
line 184
;184:	trap_R_DrawStretchPic( x, y, w, h, s1, t1, s2, t2, NULL, hShader );
ADDRFP4 0
INDIRI4
CVIF4 4
ARGF4
ADDRFP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRFP4 8
INDIRI4
CVIF4 4
ARGF4
ADDRFP4 12
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRLP4 8
INDIRF4
ARGF4
ADDRLP4 12
INDIRF4
ARGF4
CNSTP4 0
ARGP4
ADDRFP4 16
INDIRI4
ARGI4
ADDRGP4 trap_R_DrawStretchPic
CALLV
pop
line 185
;185:}
LABELV $118
endproc CG_TileClearBox 16 40
export CG_TileClear
proc CG_TileClear 48 20
line 197
;186:
;187:
;188:
;189:/*
;190:==============
;191:CG_TileClear
;192:
;193:Clear around a sized down screen
;194:==============
;195:*/
;196:void CG_TileClear( void ) 
;197:{
line 201
;198:	int		top, bottom, left, right;
;199:	int		w, h;
;200:
;201:	w = cgs.glconfig.vidWidth;
ADDRLP4 8
ADDRGP4 cgs+21604+11356
INDIRI4
ASGNI4
line 202
;202:	h = cgs.glconfig.vidHeight;
ADDRLP4 20
ADDRGP4 cgs+21604+11360
INDIRI4
ASGNI4
line 204
;203:
;204:	if ( cg.refdef.x == 0 && cg.refdef.y == 0 && 
ADDRLP4 24
CNSTI4 0
ASGNI4
ADDRGP4 cg+1200
INDIRI4
ADDRLP4 24
INDIRI4
NEI4 $124
ADDRGP4 cg+1200+4
INDIRI4
ADDRLP4 24
INDIRI4
NEI4 $124
ADDRGP4 cg+1200+8
INDIRI4
ADDRLP4 8
INDIRI4
NEI4 $124
ADDRGP4 cg+1200+12
INDIRI4
ADDRLP4 20
INDIRI4
NEI4 $124
line 205
;205:		cg.refdef.width == w && cg.refdef.height == h ) {
line 206
;206:		return;		// full screen rendering
ADDRGP4 $119
JUMPV
LABELV $124
line 209
;207:	}
;208:
;209:	top = cg.refdef.y;
ADDRLP4 0
ADDRGP4 cg+1200+4
INDIRI4
ASGNI4
line 210
;210:	bottom = top + cg.refdef.height-1;
ADDRLP4 4
ADDRLP4 0
INDIRI4
ADDRGP4 cg+1200+12
INDIRI4
ADDI4
CNSTI4 1
SUBI4
ASGNI4
line 211
;211:	left = cg.refdef.x;
ADDRLP4 12
ADDRGP4 cg+1200
INDIRI4
ASGNI4
line 212
;212:	right = left + cg.refdef.width-1;
ADDRLP4 16
ADDRLP4 12
INDIRI4
ADDRGP4 cg+1200+8
INDIRI4
ADDI4
CNSTI4 1
SUBI4
ASGNI4
line 215
;213:
;214:	// clear above view screen
;215:	CG_TileClearBox( 0, 0, w, top, cgs.media.backTileShader );
ADDRLP4 28
CNSTI4 0
ASGNI4
ADDRLP4 28
INDIRI4
ARGI4
ADDRLP4 28
INDIRI4
ARGI4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 0
INDIRI4
ARGI4
ADDRGP4 cgs+243476+112
INDIRI4
ARGI4
ADDRGP4 CG_TileClearBox
CALLV
pop
line 218
;216:
;217:	// clear below view screen
;218:	CG_TileClearBox( 0, bottom, w, h - bottom, cgs.media.backTileShader );
CNSTI4 0
ARGI4
ADDRLP4 4
INDIRI4
ARGI4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 20
INDIRI4
ADDRLP4 4
INDIRI4
SUBI4
ARGI4
ADDRGP4 cgs+243476+112
INDIRI4
ARGI4
ADDRGP4 CG_TileClearBox
CALLV
pop
line 221
;219:
;220:	// clear left of view screen
;221:	CG_TileClearBox( 0, top, left, bottom - top + 1, cgs.media.backTileShader );
CNSTI4 0
ARGI4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 12
INDIRI4
ARGI4
ADDRLP4 4
INDIRI4
ADDRLP4 0
INDIRI4
SUBI4
CNSTI4 1
ADDI4
ARGI4
ADDRGP4 cgs+243476+112
INDIRI4
ARGI4
ADDRGP4 CG_TileClearBox
CALLV
pop
line 224
;222:
;223:	// clear right of view screen
;224:	CG_TileClearBox( right, top, w - right, bottom - top + 1, cgs.media.backTileShader );
ADDRLP4 16
INDIRI4
ARGI4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 8
INDIRI4
ADDRLP4 16
INDIRI4
SUBI4
ARGI4
ADDRLP4 4
INDIRI4
ADDRLP4 0
INDIRI4
SUBI4
CNSTI4 1
ADDI4
ARGI4
ADDRGP4 cgs+243476+112
INDIRI4
ARGI4
ADDRGP4 CG_TileClearBox
CALLV
pop
line 225
;225:}
LABELV $119
endproc CG_TileClear 48 20
bss
align 4
LABELV $149
skip 16
export CG_FadeColor
code
proc CG_FadeColor 8 0
line 234
;226:
;227:
;228:
;229:/*
;230:================
;231:CG_FadeColor
;232:================
;233:*/
;234:float *CG_FadeColor( int startMsec, int totalMsec ) {
line 238
;235:	static vec4_t		color;
;236:	int			t;
;237:
;238:	if ( startMsec == 0 ) {
ADDRFP4 0
INDIRI4
CNSTI4 0
NEI4 $150
line 239
;239:		return NULL;
CNSTP4 0
RETP4
ADDRGP4 $148
JUMPV
LABELV $150
line 242
;240:	}
;241:
;242:	t = cg.time - startMsec;
ADDRLP4 0
ADDRGP4 cg+68
INDIRI4
ADDRFP4 0
INDIRI4
SUBI4
ASGNI4
line 244
;243:
;244:	if ( t >= totalMsec ) {
ADDRLP4 0
INDIRI4
ADDRFP4 4
INDIRI4
LTI4 $153
line 245
;245:		return NULL;
CNSTP4 0
RETP4
ADDRGP4 $148
JUMPV
LABELV $153
line 249
;246:	}
;247:
;248:	// fade out
;249:	if ( totalMsec - t < FADE_TIME ) {
ADDRFP4 4
INDIRI4
ADDRLP4 0
INDIRI4
SUBI4
CNSTI4 200
GEI4 $155
line 250
;250:		color[3] = ( totalMsec - t ) * 1.0/FADE_TIME;
ADDRGP4 $149+12
CNSTF4 1065353216
ADDRFP4 4
INDIRI4
ADDRLP4 0
INDIRI4
SUBI4
CVIF4 4
MULF4
CNSTF4 1128792064
DIVF4
ASGNF4
line 251
;251:	} else {
ADDRGP4 $156
JUMPV
LABELV $155
line 252
;252:		color[3] = 1.0;
ADDRGP4 $149+12
CNSTF4 1065353216
ASGNF4
line 253
;253:	}
LABELV $156
line 254
;254:	color[0] = color[1] = color[2] = 1;
ADDRLP4 4
CNSTF4 1065353216
ASGNF4
ADDRGP4 $149+8
ADDRLP4 4
INDIRF4
ASGNF4
ADDRGP4 $149+4
ADDRLP4 4
INDIRF4
ASGNF4
ADDRGP4 $149
ADDRLP4 4
INDIRF4
ASGNF4
line 256
;255:
;256:	return color;
ADDRGP4 $149
RETP4
LABELV $148
endproc CG_FadeColor 8 0
data
align 4
LABELV $162
byte 4 1065353216
byte 4 1045220557
byte 4 1045220557
byte 4 1065353216
align 4
LABELV $163
byte 4 1045220557
byte 4 1045220557
byte 4 1065353216
byte 4 1065353216
align 4
LABELV $164
byte 4 1065353216
byte 4 1065353216
byte 4 1065353216
byte 4 1065353216
align 4
LABELV $165
byte 4 1060320051
byte 4 1060320051
byte 4 1060320051
byte 4 1065353216
export CG_TeamColor
code
proc CG_TeamColor 4 0
line 265
;257:}
;258:
;259:
;260:/*
;261:================
;262:CG_TeamColor
;263:================
;264:*/
;265:float *CG_TeamColor( int team ) {
line 271
;266:	static vec4_t	red = {1, 0.2f, 0.2f, 1};
;267:	static vec4_t	blue = {0.2f, 0.2f, 1, 1};
;268:	static vec4_t	other = {1, 1, 1, 1};
;269:	static vec4_t	spectator = {0.7f, 0.7f, 0.7f, 1};
;270:
;271:	switch ( team ) {
ADDRLP4 0
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 1
EQI4 $168
ADDRLP4 0
INDIRI4
CNSTI4 2
EQI4 $169
ADDRLP4 0
INDIRI4
CNSTI4 3
EQI4 $170
ADDRGP4 $166
JUMPV
LABELV $168
line 273
;272:	case TEAM_RED:
;273:		return red;
ADDRGP4 $162
RETP4
ADDRGP4 $161
JUMPV
LABELV $169
line 275
;274:	case TEAM_BLUE:
;275:		return blue;
ADDRGP4 $163
RETP4
ADDRGP4 $161
JUMPV
LABELV $170
line 277
;276:	case TEAM_SPECTATOR:
;277:		return spectator;
ADDRGP4 $165
RETP4
ADDRGP4 $161
JUMPV
LABELV $166
line 279
;278:	default:
;279:		return other;
ADDRGP4 $164
RETP4
LABELV $161
endproc CG_TeamColor 4 0
export CG_GetColorForHealth
proc CG_GetColorForHealth 8 0
line 290
;280:	}
;281:}
;282:
;283:
;284:/*
;285:=================
;286:CG_GetColorForHealth
;287:=================
;288:*/
;289:void CG_GetColorForHealth( vec4_t color, int health, int armor ) 
;290:{
line 294
;291:	int				count;
;292:	int				max;
;293:
;294:	VectorCopy ( colorWhite, color );
ADDRFP4 0
INDIRP4
ADDRGP4 colorWhite
INDIRB
ASGNB 12
line 296
;295:	
;296:	color[3] = 1.0f;
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTF4 1065353216
ASGNF4
line 300
;297:
;298:	// calculate the total points of damage that can
;299:	// be sustained at the current health / armor level
;300:	if ( health <= 0 ) 
ADDRFP4 4
INDIRI4
CNSTI4 0
GTI4 $172
line 301
;301:	{
line 302
;302:		VectorCopy ( colorBlack, color );
ADDRFP4 0
INDIRP4
ADDRGP4 colorBlack
INDIRB
ASGNB 12
line 303
;303:		return;
ADDRGP4 $171
JUMPV
LABELV $172
line 306
;304:	}
;305:
;306:	count = armor;
ADDRLP4 0
ADDRFP4 8
INDIRI4
ASGNI4
line 307
;307:	max = health * ARMOR_PROTECTION / ( 1.0 - ARMOR_PROTECTION );
ADDRLP4 4
CNSTF4 1057803469
ADDRFP4 4
INDIRI4
CVIF4 4
MULF4
CNSTF4 1055286886
DIVF4
CVFI4 4
ASGNI4
line 309
;308:
;309:	if ( max < count ) 
ADDRLP4 4
INDIRI4
ADDRLP4 0
INDIRI4
GEI4 $174
line 310
;310:	{
line 311
;311:		count = max;
ADDRLP4 0
ADDRLP4 4
INDIRI4
ASGNI4
line 312
;312:	}
LABELV $174
line 314
;313:
;314:	health += count;
ADDRFP4 4
ADDRFP4 4
INDIRI4
ADDRLP4 0
INDIRI4
ADDI4
ASGNI4
line 317
;315:
;316:	// set the color based on health
;317:	color[0] = 1.0f;
ADDRFP4 0
INDIRP4
CNSTF4 1065353216
ASGNF4
line 318
;318:	if ( health >= 100 ) 
ADDRFP4 4
INDIRI4
CNSTI4 100
LTI4 $176
line 319
;319:	{
line 320
;320:		color[2] = 1.0f;
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTF4 1065353216
ASGNF4
line 321
;321:	} 
ADDRGP4 $177
JUMPV
LABELV $176
line 322
;322:	else if ( health < 66 ) 
ADDRFP4 4
INDIRI4
CNSTI4 66
GEI4 $178
line 323
;323:	{
line 324
;324:		color[2] = 0;
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTF4 0
ASGNF4
line 325
;325:	} 
ADDRGP4 $179
JUMPV
LABELV $178
line 327
;326:	else 
;327:	{
line 328
;328:		color[2] = ( health - 66 ) / 33.0;
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ADDRFP4 4
INDIRI4
CNSTI4 66
SUBI4
CVIF4 4
CNSTF4 1107558400
DIVF4
ASGNF4
line 329
;329:	}
LABELV $179
LABELV $177
line 331
;330:
;331:	if ( health > 60 ) 
ADDRFP4 4
INDIRI4
CNSTI4 60
LEI4 $180
line 332
;332:	{
line 333
;333:		color[1] = 1.0f;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTF4 1065353216
ASGNF4
line 334
;334:	} 
ADDRGP4 $181
JUMPV
LABELV $180
line 335
;335:	else if ( health < 30 ) 
ADDRFP4 4
INDIRI4
CNSTI4 30
GEI4 $182
line 336
;336:	{
line 337
;337:		color[1] = 0;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTF4 0
ASGNF4
line 338
;338:	} 
ADDRGP4 $183
JUMPV
LABELV $182
line 340
;339:	else 
;340:	{
line 341
;341:		color[1] = ( health - 30 ) / 30.0;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
ADDRFP4 4
INDIRI4
CNSTI4 30
SUBI4
CVIF4 4
CNSTF4 1106247680
DIVF4
ASGNF4
line 342
;342:	}
LABELV $183
LABELV $181
line 343
;343:}
LABELV $171
endproc CG_GetColorForHealth 8 0
export CG_DrawText
proc CG_DrawText 0 32
line 353
;344:
;345:/*
;346:=====================
;347:CG_DrawText
;348:
;349:Renders text on the screen
;350:=====================
;351:*/
;352:void CG_DrawText ( float x, float y, qhandle_t font, float scale, vec4_t color, const char* text, int limit, int flags )
;353:{
line 354
;354:	x	  *= cgs.screenXScale;
ADDRFP4 0
ADDRFP4 0
INDIRF4
ADDRGP4 cgs+32988
INDIRF4
MULF4
ASGNF4
line 355
;355:	y	  *= cgs.screenYScale;
ADDRFP4 4
ADDRFP4 4
INDIRF4
ADDRGP4 cgs+32992
INDIRF4
MULF4
ASGNF4
line 356
;356:	scale *= (cgs.screenXScale);
ADDRFP4 12
ADDRFP4 12
INDIRF4
ADDRGP4 cgs+32988
INDIRF4
MULF4
ASGNF4
line 358
;357:
;358:	trap_R_DrawText ( (int)x, (int)y, font, scale, color, text, limit, flags );
ADDRFP4 0
INDIRF4
CVFI4 4
ARGI4
ADDRFP4 4
INDIRF4
CVFI4 4
ARGI4
ADDRFP4 8
INDIRI4
ARGI4
ADDRFP4 12
INDIRF4
ARGF4
ADDRFP4 16
INDIRP4
ARGP4
ADDRFP4 20
INDIRP4
ARGP4
ADDRFP4 24
INDIRI4
ARGI4
ADDRFP4 28
INDIRI4
ARGI4
ADDRGP4 trap_R_DrawText
CALLV
pop
line 359
;359:}
LABELV $184
endproc CG_DrawText 0 32
export CG_DrawTimer
proc CG_DrawTimer 28 32
line 369
;360:
;361:/*
;362:=====================
;363:CG_DrawTimer
;364:
;365:Draws a timer on the screen with the given parameters
;366:=====================
;367:*/
;368:void CG_DrawTimer ( float x, float y, qhandle_t font, float scale, vec4_t color, int flags, int msec )
;369:{
line 372
;370:	const char* s;
;371:
;372:	if ( msec )
ADDRFP4 24
INDIRI4
CNSTI4 0
EQI4 $189
line 373
;373:	{
line 381
;374:		int		 mins;
;375:		int		 seconds;
;376:		int		 tens;
;377:		qboolean neg;
;378:
;379:		// Remember the milliseconds were negative
;380:		// before making them positive again
;381:		if ( msec < 0 )
ADDRFP4 24
INDIRI4
CNSTI4 0
GEI4 $191
line 382
;382:		{
line 383
;383:			msec *= -1;
ADDRFP4 24
CNSTI4 -1
ADDRFP4 24
INDIRI4
MULI4
ASGNI4
line 384
;384:			neg  = qtrue;
ADDRLP4 16
CNSTI4 1
ASGNI4
line 385
;385:		}
ADDRGP4 $192
JUMPV
LABELV $191
line 387
;386:		else
;387:		{
line 388
;388:			neg = qfalse;
ADDRLP4 16
CNSTI4 0
ASGNI4
line 389
;389:		}
LABELV $192
line 391
;390:
;391:		seconds = msec / 1000;
ADDRLP4 4
ADDRFP4 24
INDIRI4
CNSTI4 1000
DIVI4
ASGNI4
line 392
;392:		mins = seconds / 60;
ADDRLP4 8
ADDRLP4 4
INDIRI4
CNSTI4 60
DIVI4
ASGNI4
line 393
;393:		seconds -= mins * 60;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 60
ADDRLP4 8
INDIRI4
MULI4
SUBI4
ASGNI4
line 394
;394:		tens = seconds / 10;
ADDRLP4 12
ADDRLP4 4
INDIRI4
CNSTI4 10
DIVI4
ASGNI4
line 395
;395:		seconds -= tens * 10;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 10
ADDRLP4 12
INDIRI4
MULI4
SUBI4
ASGNI4
line 397
;396:
;397:		s = va( "%s%i:%i%i", neg?"-":"",mins, tens, seconds );
ADDRGP4 $193
ARGP4
ADDRLP4 16
INDIRI4
CNSTI4 0
EQI4 $197
ADDRLP4 20
ADDRGP4 $194
ASGNP4
ADDRGP4 $198
JUMPV
LABELV $197
ADDRLP4 20
ADDRGP4 $195
ASGNP4
LABELV $198
ADDRLP4 20
INDIRP4
ARGP4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 12
INDIRI4
ARGI4
ADDRLP4 4
INDIRI4
ARGI4
ADDRLP4 24
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 24
INDIRP4
ASGNP4
line 398
;398:	}
ADDRGP4 $190
JUMPV
LABELV $189
line 400
;399:	else
;400:	{
line 401
;401:		s = "------";
ADDRLP4 0
ADDRGP4 $199
ASGNP4
line 402
;402:	}
LABELV $190
line 404
;403:
;404:	CG_DrawText ( x, y, font, scale, color, s, 0, flags );
ADDRFP4 0
INDIRF4
ARGF4
ADDRFP4 4
INDIRF4
ARGF4
ADDRFP4 8
INDIRI4
ARGI4
ADDRFP4 12
INDIRF4
ARGF4
ADDRFP4 16
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 0
ARGI4
ADDRFP4 20
INDIRI4
ARGI4
ADDRGP4 CG_DrawText
CALLV
pop
line 405
;405:}
LABELV $188
endproc CG_DrawTimer 28 32
export CG_DrawTextWithCursor
proc CG_DrawTextWithCursor 0 40
ADDRFP4 36
ADDRFP4 36
INDIRI4
CVII1 4
ASGNI1
line 415
;406:
;407:/*
;408:=====================
;409:CG_DrawTextWithCursor
;410:
;411:Renders text on the screen with a blinking cursor
;412:=====================
;413:*/
;414:void CG_DrawTextWithCursor ( float x, float y, qhandle_t font, float scale, vec4_t color, const char* text, int limit, int flags, int cursorPos, char cursor )
;415:{
line 416
;416:	x	  *= cgs.screenXScale;
ADDRFP4 0
ADDRFP4 0
INDIRF4
ADDRGP4 cgs+32988
INDIRF4
MULF4
ASGNF4
line 417
;417:	y	  *= cgs.screenYScale;
ADDRFP4 4
ADDRFP4 4
INDIRF4
ADDRGP4 cgs+32992
INDIRF4
MULF4
ASGNF4
line 418
;418:	scale *= (cgs.screenXScale);
ADDRFP4 12
ADDRFP4 12
INDIRF4
ADDRGP4 cgs+32988
INDIRF4
MULF4
ASGNF4
line 420
;419:
;420:	trap_R_DrawTextWithCursor ( (int)x, (int)y, font, scale, color, text, limit, flags, cursorPos, cursor );
ADDRFP4 0
INDIRF4
CVFI4 4
ARGI4
ADDRFP4 4
INDIRF4
CVFI4 4
ARGI4
ADDRFP4 8
INDIRI4
ARGI4
ADDRFP4 12
INDIRF4
ARGF4
ADDRFP4 16
INDIRP4
ARGP4
ADDRFP4 20
INDIRP4
ARGP4
ADDRFP4 24
INDIRI4
ARGI4
ADDRFP4 28
INDIRI4
ARGI4
ADDRFP4 32
INDIRI4
ARGI4
ADDRFP4 36
INDIRI1
CVII4 1
ARGI4
ADDRGP4 trap_R_DrawTextWithCursor
CALLV
pop
line 421
;421:}
LABELV $200
endproc CG_DrawTextWithCursor 0 40
import CG_ParseGametypeFile
import CG_DrawMiscEnts
import CG_MiscEnt
import G2_PositionEntityOnBolt
import CG_PredictedProcGore
import CG_AddProcGore
import CG_SetGhoul2Info
import CG_Init_CGents
import CG_Init_CG
import trap_UI_SetActiveMenu
import trap_UI_CloseAll
import trap_CG_RegisterSharedMemory
import trap_RE_InitRendererTerrain
import trap_CM_RegisterTerrain
import trap_CM_TM_ConvertPosition
import trap_CM_TM_Upload
import trap_CM_TM_AddTarget
import trap_CM_TM_AddSpot
import trap_CM_TM_AddBuilding
import trap_CM_TM_Create
import trap_MAT_GetDebrisScale
import trap_MAT_GetDebris
import trap_MAT_GetEffect
import trap_MAT_GetDecalScale
import trap_MAT_GetDecal
import trap_MAT_GetSound
import trap_MAT_Reset
import trap_MAT_Init
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_GetBoltIndex
import trap_G2API_FindBoltIndex
import trap_G2API_GetNumModels
import trap_G2API_GetGhoul2ModelFlagsByIndex
import trap_G2API_SetGhoul2ModelFlagsByIndex
import trap_G2API_GetGhoul2ModelFlags
import trap_G2API_SetGhoul2ModelFlags
import trap_G2API_ClearSkinGore
import trap_G2API_AddSkinGore
import trap_G2API_SetNewOrigin
import trap_G2API_SetRootSurface
import trap_G2API_SetSurfaceOnOff
import trap_G2API_GetBoneAnim
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_CleanGhoul2Models
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_DetachG2Model
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_CollisionDetect
import trap_R_inPVS
import trap_GetEntityToken
import trap_SnapVector
import trap_RMG_Init
import trap_Key_GetKey
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_IsDown
import trap_MemoryRemaining
import trap_FX_AddLine
import trap_FX_Reset
import trap_FX_AdjustTime
import trap_FX_FreeSystem
import trap_FX_Draw2DEffects
import trap_FX_AddScheduledEffects
import trap_FX_PlayBoltedEffectID
import trap_FX_PlayEntityEffectID
import trap_FX_PlayEffectID
import trap_FX_PlaySimpleEffectID
import trap_FX_PlayEntityEffect
import trap_FX_PlayEffect
import trap_FX_PlaySimpleEffect
import trap_FX_RegisterEffect
import trap_FX_InitSystem
import trap_CIN_SetExtents
import trap_CIN_DrawCinematic
import trap_CIN_RunCinematic
import trap_CIN_StopCinematic
import trap_CIN_PlayCinematic
import testPrintFloat
import testPrintInt
import trap_ResetAutorun
import trap_RW_SetTeam
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetDefaultState
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_SetLightStyle
import trap_R_GetLightStyle
import trap_R_RemapShader
import trap_R_DrawRotatePic2
import trap_R_DrawRotatePic
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_DrawVisualOverlay
import trap_R_RenderScene
import trap_R_LightForPoint
import trap_R_AddLightToScene
import trap_R_AddDecalToScene
import trap_R_AddPolysToScene
import trap_R_AddPolyToScene
import trap_R_DrawTextWithCursor
import trap_R_DrawText
import trap_R_GetTextHeight
import trap_R_GetTextWidth
import trap_R_AddRefEntityToScene
import trap_R_ClearDecals
import trap_R_ClearScene
import trap_R_RegisterFont
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_AS_GetBModelSound
import trap_AS_AddLocalSet
import trap_AS_UpdateAmbientSet
import trap_AS_ParseSets
import trap_AS_AddPrecacheEntry
import trap_S_StopBackgroundTrack
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddRealLoopingSound
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StopLoopingSound
import trap_S_StartSound
import trap_S_StopAllSounds
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import CG_ApplyGore
import CG_ParseGore
import CG_ParseAnimationFile
import CG_CheckChangedPredictableEvents
import CG_TransitionPlayerState
import CG_Respawn
import CG_PlayBufferedVoiceChats
import CG_VoiceChatLocal
import CG_ShaderStateChanged
import CG_LoadVoiceChats
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_MapRestart
import CG_InitConsoleCommands
import CG_ConsoleCommand
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingStage
import CG_LoadingString
import CG_ProcessSnapshots
import CG_TestLine
import CG_GlassShatter
import CG_BulletFlyBySound
import CG_BubbleTrail
import CG_AddLocalEntities
import CG_AllocLocalEntity
import CG_FreeLocalEntity
import CG_InitLocalEntities
import CG_WeaponCallback
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_PlayerWeaponEffects
import CG_AddViewWeapon
import CG_AnimateViewWeapon
import CG_Bullet
import CG_HandleStickyMissile
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_ProjectileThink
import CG_FireWeapon
import CG_SetWeaponAnim
import CG_UpdateViewWeaponSurfaces
import CG_RegisterItemVisuals
import CG_ShutDownWeapons
import CG_RegisterWeapon
import CG_WeaponSelectable
import CG_Weapon_f
import CG_PrevWeapon
import CG_NextWeapon
import CG_ScaleModelAxis
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_InitHitModel
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_PlayerTrace
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_PlayerShadow
import CG_RemoveIdentityItemsOnBack
import CG_RegisterIdentity
import CG_UpdatePlayerModel
import CG_CustomPlayerSound
import CG_CustomSound
import CG_NewClientInfo
import CG_ResetPlayerEntity
import CG_Player
import CG_DrawMapChange
import CG_GameTypeString
import CG_Text_PaintChar
import CG_Draw3DG2Model
import CG_Draw3DModel
import CG_GetGameStatusText
import CG_GetTeamColor
import CG_RunMenuScript
import CG_OwnerDrawDisabled
import CG_OwnerDrawVisible
import CG_GetValue
import CG_OwnerDraw
import CG_DrawActive
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import CG_UpdateCameraShake
import CG_CameraShake
import CG_DrawActiveFrame
import CG_AddBufferedSound
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_TeamCount
import CG_EventHandling
import CG_MouseEvent
import CG_KeyEvent
import CG_LoadMenus
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateTeamCountCvars
import CG_UpdateCvars
import CG_StartMusic
import CG_GetEntity
import CG_Argv
import CG_ConfigString
import cg_temp4
import cg_temp3
import cg_temp2
import cg_temp1
import cg_drawSmile
import cg_crosshairInfo
import cg_drawClock
import cg_drawWeaponType
import cg_drawTeamInfo
import cg_hudOpacity
import cg_hudBackGround
import cg_hudFiles
import cg_defaultHud
import cg_zoomWeaponChange
import rw_enabled
import cg_bodyTime
import cg_weaponMenuFast
import cg_soundFrag
import cg_soundGlobal
import cg_voiceGlobal
import cg_voiceRadio
import ui_info_seenobjectives
import ui_info_pickupsdisabled
import ui_info_freecount
import ui_info_speccount
import ui_info_bluecount
import ui_info_redcount
import cg_automap_a
import cg_automap_h
import cg_automap_w
import cg_automap_y
import cg_automap_x
import cg_animBlend
import cg_tracerChance
import cg_damageindicator
import RMG_distancecull
import cg_lockDeaths
import cg_lockBlood
import cg_lockSever
import cg_DebugGore
import cg_currentSelectedPlayerName
import cg_currentSelectedPlayer
import cg_noProjectileTrail
import cg_noTaunt
import cg_cameraMode
import cg_timescale
import cg_cameraOrbitDelay
import cg_cameraOrbit
import pmove_msec
import pmove_fixed
import cg_smoothClients
import cg_noVoiceText
import cg_teamChatsOnly
import cg_drawFriend
import cg_deferPlayers
import cg_autoReload
import cg_impactPrediction
import cg_antiLag
import cg_predictItems
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_stats
import cg_chatHeight
import cg_chatTime
import cg_synchronousClients
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPersonHorzOffset
import cg_thirdPersonPitch
import cg_thirdPersonYaw
import cg_thirdPersonRange
import cg_thirdPerson
import cg_goreDetail
import cg_shellEjection
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_footsteps
import cg_showmiss
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_draw2D
import cg_crosshairFriendRGBA
import cg_crosshairRGBA
import cg_crosshairGrow
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_drawHUDIcons
import cg_drawTeamScores
import cg_drawRadar
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_shadows
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centerY
import cg_centertime
import con_notifyTime
import cg_items
import cg_weapons
import cg
import cgs
import cg_numpermanents
import cg_permanents
import cg_entities
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $199
char 1 45
char 1 45
char 1 45
char 1 45
char 1 45
char 1 45
char 1 0
align 1
LABELV $195
char 1 0
align 1
LABELV $194
char 1 45
char 1 0
align 1
LABELV $193
char 1 37
char 1 115
char 1 37
char 1 105
char 1 58
char 1 37
char 1 105
char 1 37
char 1 105
char 1 0
