export CG_ParseGametypeItems
code
proc CG_ParseGametypeItems 92 28
file "../cg_gametype.c"
line 13
;1:// Copyright (C) 2001-2002 Raven Software
;2://
;3:// cg_gametype.c -- dynamic gametype handling
;4:
;5:#include "cg_local.h"
;6:
;7:/*
;8:===============
;9:CG_ParseGametypeItems
;10:===============
;11:*/
;12:qboolean CG_ParseGametypeItems ( TGPGroup itemsGroup )
;13:{
line 19
;14:	TGPGroup  itemGroup;
;15:	int		  itemCount;
;16:	char	  temp[MAX_QPATH];
;17:
;18:	// Handle NULL for convienience
;19:	if ( !itemsGroup )
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $93
line 20
;20:	{
line 21
;21:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $92
JUMPV
LABELV $93
line 25
;22:	}
;23:
;24:	// Loop over all the items and add each 
;25:	itemGroup = trap_GPG_GetSubGroups ( itemsGroup );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 72
ADDRGP4 trap_GPG_GetSubGroups
CALLP4
ASGNP4
ADDRLP4 64
ADDRLP4 72
INDIRP4
ASGNP4
line 26
;26:	itemCount = 0;
ADDRLP4 68
CNSTI4 0
ASGNI4
ADDRGP4 $96
JUMPV
LABELV $95
line 29
;27:
;28:	while ( itemGroup )
;29:	{
line 31
;30:		// Parse icon file
;31:		trap_GPG_FindPairValue ( itemGroup, "icon", "", temp );
ADDRLP4 64
INDIRP4
ARGP4
ADDRGP4 $98
ARGP4
ADDRGP4 $99
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 32
;32:		bg_itemlist[ MODELINDEX_GAMETYPE_ITEM + itemCount ].icon = (char *)trap_VM_LocalStringAlloc ( temp );
ADDRLP4 0
ARGP4
ADDRLP4 76
ADDRGP4 trap_VM_LocalStringAlloc
CALLP4
ASGNP4
ADDRLP4 68
INDIRI4
CNSTI4 6
LSHI4
ADDRGP4 bg_itemlist+2176+24
ADDP4
ADDRLP4 76
INDIRP4
ASGNP4
line 35
;33:
;34:		// Parse display name file
;35:		trap_GPG_FindPairValue ( itemGroup, "displayname", "", temp );
ADDRLP4 64
INDIRP4
ARGP4
ADDRGP4 $102
ARGP4
ADDRGP4 $99
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 36
;36:		bg_itemlist[ MODELINDEX_GAMETYPE_ITEM + itemCount ].pickup_name = (char *)trap_VM_LocalStringAlloc ( temp );
ADDRLP4 0
ARGP4
ADDRLP4 80
ADDRGP4 trap_VM_LocalStringAlloc
CALLP4
ASGNP4
ADDRLP4 68
INDIRI4
CNSTI4 6
LSHI4
ADDRGP4 bg_itemlist+2176+36
ADDP4
ADDRLP4 80
INDIRP4
ASGNP4
line 39
;37:
;38:		// Parse world model file
;39:		trap_GPG_FindPairValue ( itemGroup, "model", "", temp );
ADDRLP4 64
INDIRP4
ARGP4
ADDRGP4 $105
ARGP4
ADDRGP4 $99
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 40
;40:		bg_itemlist[ MODELINDEX_GAMETYPE_ITEM + itemCount ].world_model[0] = (char *)trap_VM_LocalStringAlloc ( temp );
ADDRLP4 0
ARGP4
ADDRLP4 84
ADDRGP4 trap_VM_LocalStringAlloc
CALLP4
ASGNP4
ADDRLP4 68
INDIRI4
CNSTI4 6
LSHI4
ADDRGP4 bg_itemlist+2176+8
ADDP4
ADDRLP4 84
INDIRP4
ASGNP4
line 42
;41:
;42:		trap_GPG_FindPairValue ( itemGroup, "usemodel", "", temp );
ADDRLP4 64
INDIRP4
ARGP4
ADDRGP4 $108
ARGP4
ADDRGP4 $99
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 43
;43:		if ( *temp )
ADDRLP4 0
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $109
line 44
;44:		{
line 45
;45:			trap_G2API_InitGhoul2Model(&cg_items[MODELINDEX_GAMETYPE_ITEM+itemCount].useModel, temp, 0 , 0, 0, 0, 0);
CNSTI4 68
ADDRLP4 68
INDIRI4
MULI4
ADDRGP4 cg_items+2312+64
ADDP4
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 88
CNSTI4 0
ASGNI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRGP4 trap_G2API_InitGhoul2Model
CALLI4
pop
line 46
;46:		}
LABELV $109
line 49
;47:
;48:		// Parse bolt model file
;49:		trap_GPG_FindPairValue ( itemGroup, "boltmodel", "", temp );
ADDRLP4 64
INDIRP4
ARGP4
ADDRGP4 $113
ARGP4
ADDRGP4 $99
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 trap_GPG_FindPairValue
CALLI4
pop
line 50
;50:		if ( *temp )
ADDRLP4 0
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $114
line 51
;51:		{
line 52
;52:			trap_G2API_InitGhoul2Model(&cg_items[MODELINDEX_GAMETYPE_ITEM+itemCount].boltModel, temp, 0 , 0, 0, 0, 0);
CNSTI4 68
ADDRLP4 68
INDIRI4
MULI4
ADDRGP4 cg_items+2312+60
ADDP4
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 88
CNSTI4 0
ASGNI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRGP4 trap_G2API_InitGhoul2Model
CALLI4
pop
line 53
;53:		}
LABELV $114
line 54
;54:		cg_items[MODELINDEX_GAMETYPE_ITEM+itemCount].radius[0] = 60;
CNSTI4 68
ADDRLP4 68
INDIRI4
MULI4
ADDRGP4 cg_items+2312+44
ADDP4
CNSTF4 1114636288
ASGNF4
line 56
;55:
;56:		CG_RegisterItemVisuals ( MODELINDEX_GAMETYPE_ITEM+itemCount );
ADDRLP4 68
INDIRI4
CNSTI4 34
ADDI4
ARGI4
ADDRGP4 CG_RegisterItemVisuals
CALLV
pop
line 58
;57:
;58:		itemCount++;
ADDRLP4 68
ADDRLP4 68
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 61
;59:
;60:		// Next sub group
;61:		itemGroup = trap_GPG_GetNext(itemGroup);
ADDRLP4 64
INDIRP4
ARGP4
ADDRLP4 88
ADDRGP4 trap_GPG_GetNext
CALLP4
ASGNP4
ADDRLP4 64
ADDRLP4 88
INDIRP4
ASGNP4
line 62
;62:	}
LABELV $96
line 28
ADDRLP4 64
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $95
line 64
;63:
;64:	return qtrue;
CNSTI4 1
RETI4
LABELV $92
endproc CG_ParseGametypeItems 92 28
export CG_ParseGametypeFile
proc CG_ParseGametypeFile 28 12
line 73
;65:}
;66:
;67:/*
;68:===============
;69:CG_ParseGametypeFile
;70:===============
;71:*/
;72:qboolean CG_ParseGametypeFile ( void )
;73:{
line 79
;74:	TGenericParser2 GP2;
;75:	TGPGroup		topGroup;
;76:	TGPGroup		gametypeGroup;
;77:
;78:	// Open the given gametype file
;79:	GP2 = trap_GP_ParseFile ( (char*)cgs.gametypeData->script, qtrue, qfalse );
ADDRGP4 cgs+33020
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ARGP4
CNSTI4 1
ARGI4
CNSTI4 0
ARGI4
ADDRLP4 12
ADDRGP4 trap_GP_ParseFile
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 12
INDIRP4
ASGNP4
line 80
;80:	if (!GP2)
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $122
line 81
;81:	{
line 82
;82:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $120
JUMPV
LABELV $122
line 86
;83:	}
;84:
;85:	// Grab the top group and the list of sub groups
;86:	topGroup = trap_GP_GetBaseParseGroup(GP2);
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 16
ADDRGP4 trap_GP_GetBaseParseGroup
CALLP4
ASGNP4
ADDRLP4 8
ADDRLP4 16
INDIRP4
ASGNP4
line 87
;87:	gametypeGroup = trap_GPG_FindSubGroup(topGroup, "gametype" );
ADDRLP4 8
INDIRP4
ARGP4
ADDRGP4 $124
ARGP4
ADDRLP4 20
ADDRGP4 trap_GPG_FindSubGroup
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 20
INDIRP4
ASGNP4
line 88
;88:	if ( !gametypeGroup )
ADDRLP4 4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $125
line 89
;89:	{
line 90
;90:		trap_GP_Delete(&GP2);
ADDRLP4 0
ARGP4
ADDRGP4 trap_GP_Delete
CALLV
pop
line 91
;91:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $120
JUMPV
LABELV $125
line 95
;92:	}
;93:	
;94:	// Mainly interested in the items within the file
;95:	CG_ParseGametypeItems ( trap_GPG_FindSubGroup ( gametypeGroup, "items" ) );
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 $127
ARGP4
ADDRLP4 24
ADDRGP4 trap_GPG_FindSubGroup
CALLP4
ASGNP4
ADDRLP4 24
INDIRP4
ARGP4
ADDRGP4 CG_ParseGametypeItems
CALLI4
pop
line 98
;96:
;97:	// Free up the parser
;98:	trap_GP_Delete(&GP2);
ADDRLP4 0
ARGP4
ADDRGP4 trap_GP_Delete
CALLV
pop
line 101
;99:
;100:	// Defaults
;101:	trap_Cvar_Set ( "ui_blueteamname", "Blue Team" );
ADDRGP4 $128
ARGP4
ADDRGP4 $129
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 102
;102:	trap_Cvar_Set ( "ui_redteamname", "Red Team" );
ADDRGP4 $130
ARGP4
ADDRGP4 $131
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 104
;103:
;104:	return qtrue;
CNSTI4 1
RETI4
LABELV $120
endproc CG_ParseGametypeFile 28 12
import CG_DrawMiscEnts
import CG_MiscEnt
import G2_PositionEntityOnBolt
import CG_PredictedProcGore
import CG_AddProcGore
import CG_SetGhoul2Info
import CG_Init_CGents
import CG_Init_CG
import trap_UI_SetActiveMenu
import trap_UI_CloseAll
import trap_CG_RegisterSharedMemory
import trap_RE_InitRendererTerrain
import trap_CM_RegisterTerrain
import trap_CM_TM_ConvertPosition
import trap_CM_TM_Upload
import trap_CM_TM_AddTarget
import trap_CM_TM_AddSpot
import trap_CM_TM_AddBuilding
import trap_CM_TM_Create
import trap_MAT_GetDebrisScale
import trap_MAT_GetDebris
import trap_MAT_GetEffect
import trap_MAT_GetDecalScale
import trap_MAT_GetDecal
import trap_MAT_GetSound
import trap_MAT_Reset
import trap_MAT_Init
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_GetBoltIndex
import trap_G2API_FindBoltIndex
import trap_G2API_GetNumModels
import trap_G2API_GetGhoul2ModelFlagsByIndex
import trap_G2API_SetGhoul2ModelFlagsByIndex
import trap_G2API_GetGhoul2ModelFlags
import trap_G2API_SetGhoul2ModelFlags
import trap_G2API_ClearSkinGore
import trap_G2API_AddSkinGore
import trap_G2API_SetNewOrigin
import trap_G2API_SetRootSurface
import trap_G2API_SetSurfaceOnOff
import trap_G2API_GetBoneAnim
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_CleanGhoul2Models
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_DetachG2Model
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_CollisionDetect
import trap_R_inPVS
import trap_GetEntityToken
import trap_SnapVector
import trap_RMG_Init
import trap_Key_GetKey
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_IsDown
import trap_MemoryRemaining
import trap_FX_AddLine
import trap_FX_Reset
import trap_FX_AdjustTime
import trap_FX_FreeSystem
import trap_FX_Draw2DEffects
import trap_FX_AddScheduledEffects
import trap_FX_PlayBoltedEffectID
import trap_FX_PlayEntityEffectID
import trap_FX_PlayEffectID
import trap_FX_PlaySimpleEffectID
import trap_FX_PlayEntityEffect
import trap_FX_PlayEffect
import trap_FX_PlaySimpleEffect
import trap_FX_RegisterEffect
import trap_FX_InitSystem
import trap_CIN_SetExtents
import trap_CIN_DrawCinematic
import trap_CIN_RunCinematic
import trap_CIN_StopCinematic
import trap_CIN_PlayCinematic
import testPrintFloat
import testPrintInt
import trap_ResetAutorun
import trap_RW_SetTeam
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetDefaultState
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_SetLightStyle
import trap_R_GetLightStyle
import trap_R_RemapShader
import trap_R_DrawRotatePic2
import trap_R_DrawRotatePic
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_DrawVisualOverlay
import trap_R_RenderScene
import trap_R_LightForPoint
import trap_R_AddLightToScene
import trap_R_AddDecalToScene
import trap_R_AddPolysToScene
import trap_R_AddPolyToScene
import trap_R_DrawTextWithCursor
import trap_R_DrawText
import trap_R_GetTextHeight
import trap_R_GetTextWidth
import trap_R_AddRefEntityToScene
import trap_R_ClearDecals
import trap_R_ClearScene
import trap_R_RegisterFont
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_AS_GetBModelSound
import trap_AS_AddLocalSet
import trap_AS_UpdateAmbientSet
import trap_AS_ParseSets
import trap_AS_AddPrecacheEntry
import trap_S_StopBackgroundTrack
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddRealLoopingSound
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StopLoopingSound
import trap_S_StartSound
import trap_S_StopAllSounds
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import CG_ApplyGore
import CG_ParseGore
import CG_ParseAnimationFile
import CG_CheckChangedPredictableEvents
import CG_TransitionPlayerState
import CG_Respawn
import CG_PlayBufferedVoiceChats
import CG_VoiceChatLocal
import CG_ShaderStateChanged
import CG_LoadVoiceChats
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_MapRestart
import CG_InitConsoleCommands
import CG_ConsoleCommand
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingStage
import CG_LoadingString
import CG_ProcessSnapshots
import CG_TestLine
import CG_GlassShatter
import CG_BulletFlyBySound
import CG_BubbleTrail
import CG_AddLocalEntities
import CG_AllocLocalEntity
import CG_FreeLocalEntity
import CG_InitLocalEntities
import CG_WeaponCallback
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_PlayerWeaponEffects
import CG_AddViewWeapon
import CG_AnimateViewWeapon
import CG_Bullet
import CG_HandleStickyMissile
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_ProjectileThink
import CG_FireWeapon
import CG_SetWeaponAnim
import CG_UpdateViewWeaponSurfaces
import CG_RegisterItemVisuals
import CG_ShutDownWeapons
import CG_RegisterWeapon
import CG_WeaponSelectable
import CG_Weapon_f
import CG_PrevWeapon
import CG_NextWeapon
import CG_ScaleModelAxis
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_InitHitModel
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_PlayerTrace
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_PlayerShadow
import CG_RemoveIdentityItemsOnBack
import CG_RegisterIdentity
import CG_UpdatePlayerModel
import CG_CustomPlayerSound
import CG_CustomSound
import CG_NewClientInfo
import CG_ResetPlayerEntity
import CG_Player
import CG_DrawMapChange
import CG_GameTypeString
import CG_Text_PaintChar
import CG_Draw3DG2Model
import CG_Draw3DModel
import CG_GetGameStatusText
import CG_GetTeamColor
import CG_RunMenuScript
import CG_OwnerDrawDisabled
import CG_OwnerDrawVisible
import CG_GetValue
import CG_OwnerDraw
import CG_DrawActive
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import CG_DrawTimer
import CG_DrawTextWithCursor
import CG_DrawText
import CG_GetColorForHealth
import CG_DrawTopBottom
import CG_DrawSides
import CG_DrawRect
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawRotatePic2
import CG_DrawRotatePic
import CG_DrawStretchPic
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_UpdateCameraShake
import CG_CameraShake
import CG_DrawActiveFrame
import CG_AddBufferedSound
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_TeamCount
import CG_EventHandling
import CG_MouseEvent
import CG_KeyEvent
import CG_LoadMenus
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateTeamCountCvars
import CG_UpdateCvars
import CG_StartMusic
import CG_GetEntity
import CG_Argv
import CG_ConfigString
import cg_temp4
import cg_temp3
import cg_temp2
import cg_temp1
import cg_drawSmile
import cg_crosshairInfo
import cg_drawClock
import cg_drawWeaponType
import cg_drawTeamInfo
import cg_hudOpacity
import cg_hudBackGround
import cg_hudFiles
import cg_defaultHud
import cg_zoomWeaponChange
import rw_enabled
import cg_bodyTime
import cg_weaponMenuFast
import cg_soundFrag
import cg_soundGlobal
import cg_voiceGlobal
import cg_voiceRadio
import ui_info_seenobjectives
import ui_info_pickupsdisabled
import ui_info_freecount
import ui_info_speccount
import ui_info_bluecount
import ui_info_redcount
import cg_automap_a
import cg_automap_h
import cg_automap_w
import cg_automap_y
import cg_automap_x
import cg_animBlend
import cg_tracerChance
import cg_damageindicator
import RMG_distancecull
import cg_lockDeaths
import cg_lockBlood
import cg_lockSever
import cg_DebugGore
import cg_currentSelectedPlayerName
import cg_currentSelectedPlayer
import cg_noProjectileTrail
import cg_noTaunt
import cg_cameraMode
import cg_timescale
import cg_cameraOrbitDelay
import cg_cameraOrbit
import pmove_msec
import pmove_fixed
import cg_smoothClients
import cg_noVoiceText
import cg_teamChatsOnly
import cg_drawFriend
import cg_deferPlayers
import cg_autoReload
import cg_impactPrediction
import cg_antiLag
import cg_predictItems
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_stats
import cg_chatHeight
import cg_chatTime
import cg_synchronousClients
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPersonHorzOffset
import cg_thirdPersonPitch
import cg_thirdPersonYaw
import cg_thirdPersonRange
import cg_thirdPerson
import cg_goreDetail
import cg_shellEjection
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_footsteps
import cg_showmiss
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_draw2D
import cg_crosshairFriendRGBA
import cg_crosshairRGBA
import cg_crosshairGrow
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_drawHUDIcons
import cg_drawTeamScores
import cg_drawRadar
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_shadows
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centerY
import cg_centertime
import con_notifyTime
import cg_items
import cg_weapons
import cg
import cgs
import cg_numpermanents
import cg_permanents
import cg_entities
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $131
char 1 82
char 1 101
char 1 100
char 1 32
char 1 84
char 1 101
char 1 97
char 1 109
char 1 0
align 1
LABELV $130
char 1 117
char 1 105
char 1 95
char 1 114
char 1 101
char 1 100
char 1 116
char 1 101
char 1 97
char 1 109
char 1 110
char 1 97
char 1 109
char 1 101
char 1 0
align 1
LABELV $129
char 1 66
char 1 108
char 1 117
char 1 101
char 1 32
char 1 84
char 1 101
char 1 97
char 1 109
char 1 0
align 1
LABELV $128
char 1 117
char 1 105
char 1 95
char 1 98
char 1 108
char 1 117
char 1 101
char 1 116
char 1 101
char 1 97
char 1 109
char 1 110
char 1 97
char 1 109
char 1 101
char 1 0
align 1
LABELV $127
char 1 105
char 1 116
char 1 101
char 1 109
char 1 115
char 1 0
align 1
LABELV $124
char 1 103
char 1 97
char 1 109
char 1 101
char 1 116
char 1 121
char 1 112
char 1 101
char 1 0
align 1
LABELV $113
char 1 98
char 1 111
char 1 108
char 1 116
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 0
align 1
LABELV $108
char 1 117
char 1 115
char 1 101
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 0
align 1
LABELV $105
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 0
align 1
LABELV $102
char 1 100
char 1 105
char 1 115
char 1 112
char 1 108
char 1 97
char 1 121
char 1 110
char 1 97
char 1 109
char 1 101
char 1 0
align 1
LABELV $99
char 1 0
align 1
LABELV $98
char 1 105
char 1 99
char 1 111
char 1 110
char 1 0
