export CG_LoadingStage
code
proc CG_LoadingStage 0 0
file "../cg_info.c"
line 23
;1:// Copyright (C) 2001-2002 Raven Software.
;2://
;3:// cg_info.c -- display information while data is being loading
;4:
;5:#include "cg_local.h"
;6:
;7:#define MAX_LOADING_PLAYER_ICONS	16
;8:#define MAX_LOADING_ITEM_ICONS		26
;9:
;10:static int			loadingPlayerIconCount;
;11:static int			loadingItemIconCount;
;12:static qhandle_t	loadingPlayerIcons[MAX_LOADING_PLAYER_ICONS];
;13:static qhandle_t	loadingItemIcons[MAX_LOADING_ITEM_ICONS];
;14:
;15:void CG_LoadBar(void);
;16:
;17:/*
;18:======================
;19:CG_LoadingStage
;20:======================
;21:*/
;22:void CG_LoadingStage ( int stage )
;23:{
line 24
;24:	if ( !cg.loading )
ADDRGP4 cg+20
INDIRI4
CNSTI4 0
NEI4 $93
line 25
;25:	{
line 26
;26:		return;
ADDRGP4 $92
JUMPV
LABELV $93
line 29
;27:	}
;28:
;29:	cg.loadStage = stage;
ADDRGP4 cg+9836
ADDRFP4 0
INDIRI4
ASGNI4
line 31
;30:
;31:	if ( cg.loadStage )
ADDRGP4 cg+9836
INDIRI4
CNSTI4 0
EQI4 $97
line 32
;32:	{
line 33
;33:		trap_UpdateScreen();
ADDRGP4 trap_UpdateScreen
CALLV
pop
line 34
;34:	}
LABELV $97
line 35
;35:}
LABELV $92
endproc CG_LoadingStage 0 0
export CG_LoadingString
proc CG_LoadingString 0 12
line 43
;36:
;37:/*
;38:======================
;39:CG_LoadingString
;40:======================
;41:*/
;42:void CG_LoadingString( const char *s ) 
;43:{
line 44
;44:	if ( !cg.loading )
ADDRGP4 cg+20
INDIRI4
CNSTI4 0
NEI4 $101
line 45
;45:	{
line 46
;46:		return;
ADDRGP4 $100
JUMPV
LABELV $101
line 49
;47:	}
;48:
;49:	Q_strncpyz( cg.infoScreenText, s, sizeof( cg.infoScreenText ) );
ADDRGP4 cg+1588
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 51
;50:
;51:	trap_UpdateScreen();
ADDRGP4 trap_UpdateScreen
CALLV
pop
line 52
;52:}
LABELV $100
endproc CG_LoadingString 0 12
export CG_LoadingItem
proc CG_LoadingItem 16 4
line 60
;53:
;54:/*
;55:===================
;56:CG_LoadingItem
;57:===================
;58:*/
;59:void CG_LoadingItem( int itemNum ) 
;60:{
line 63
;61:	gitem_t		*item;
;62:
;63:	if ( !cg.loading )
ADDRGP4 cg+20
INDIRI4
CNSTI4 0
NEI4 $107
line 64
;64:	{
line 65
;65:		return;
ADDRGP4 $106
JUMPV
LABELV $107
line 68
;66:	}
;67:
;68:	item = &bg_itemlist[itemNum];
ADDRLP4 0
ADDRFP4 0
INDIRI4
CNSTI4 6
LSHI4
ADDRGP4 bg_itemlist
ADDP4
ASGNP4
line 70
;69:	
;70:	if ( item->icon && loadingItemIconCount < MAX_LOADING_ITEM_ICONS ) {
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $110
ADDRGP4 loadingItemIconCount
INDIRI4
CNSTI4 26
GEI4 $110
line 71
;71:		loadingItemIcons[loadingItemIconCount++] = trap_R_RegisterShaderNoMip( item->icon );
ADDRLP4 8
ADDRGP4 loadingItemIconCount
ASGNP4
ADDRLP4 4
ADDRLP4 8
INDIRP4
INDIRI4
ASGNI4
ADDRLP4 8
INDIRP4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 loadingItemIcons
ADDP4
ADDRLP4 12
INDIRI4
ASGNI4
line 72
;72:	}
LABELV $110
line 74
;73:
;74:	CG_LoadingString( item->pickup_name );
ADDRLP4 0
INDIRP4
CNSTI4 36
ADDP4
INDIRP4
ARGP4
ADDRGP4 CG_LoadingString
CALLV
pop
line 75
;75:}
LABELV $106
endproc CG_LoadingItem 16 4
export CG_LoadingClient
proc CG_LoadingClient 76 12
line 83
;76:
;77:/*
;78:===================
;79:CG_LoadingClient
;80:===================
;81:*/
;82:void CG_LoadingClient( int clientNum ) 
;83:{
line 87
;84:	const char		*info;
;85:	char			personality[MAX_QPATH];
;86:
;87:	if ( !cg.loading )
ADDRGP4 cg+20
INDIRI4
CNSTI4 0
NEI4 $113
line 88
;88:	{
line 89
;89:		return;
ADDRGP4 $112
JUMPV
LABELV $113
line 92
;90:	}
;91:
;92:	info = CG_ConfigString( CS_PLAYERS + clientNum );
ADDRFP4 0
INDIRI4
CNSTI4 2
ADDI4
ARGI4
ADDRLP4 68
ADDRGP4 CG_ConfigString
CALLP4
ASGNP4
ADDRLP4 64
ADDRLP4 68
INDIRP4
ASGNP4
line 94
;93:
;94:	Q_strncpyz( personality, Info_ValueForKey( info, "n" ), sizeof(personality) );
ADDRLP4 64
INDIRP4
ARGP4
ADDRGP4 $116
ARGP4
ADDRLP4 72
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0
ARGP4
ADDRLP4 72
INDIRP4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 95
;95:	Q_CleanStr( personality );
ADDRLP4 0
ARGP4
ADDRGP4 Q_CleanStr
CALLP4
pop
line 97
;96:
;97:	CG_LoadingString( personality );
ADDRLP4 0
ARGP4
ADDRGP4 CG_LoadingString
CALLV
pop
line 98
;98:}
LABELV $112
endproc CG_LoadingClient 76 12
data
align 4
LABELV $118
byte 4 0
align 1
LABELV $119
char 1 0
skip 63
export CG_DrawInformation
code
proc CG_DrawInformation 1192 32
line 109
;99:
;100:
;101:/*
;102:====================
;103:CG_DrawInformation
;104:
;105:Draw all the status / pacifier stuff during level loading
;106:====================
;107:*/
;108:void CG_DrawInformation( void ) 
;109:{
line 123
;110:	static qhandle_t	levelshot = 0;
;111:	static char			levelshotShader[MAX_QPATH] = "";
;112:
;113:	const char	*s;
;114:	const char	*info;
;115:	const char	*sysInfo;
;116:	char		shader[MAX_QPATH];
;117:	int			y;
;118:	int			value;
;119:	qhandle_t	overlay;
;120:	char		buf[1024];
;121:
;122:	// As long as the map change flag is set we draw the map change screen
;123:	if ( cg.mMapChange )
ADDRGP4 cg+52
INDIRI4
CNSTI4 0
EQI4 $120
line 124
;124:	{
line 125
;125:		CG_DrawMapChange ( );
ADDRGP4 CG_DrawMapChange
CALLV
pop
line 126
;126:		return;
ADDRGP4 $117
JUMPV
LABELV $120
line 129
;127:	}
;128:
;129:	info = CG_ConfigString( CS_SERVERINFO );
CNSTI4 0
ARGI4
ADDRLP4 1112
ADDRGP4 CG_ConfigString
CALLP4
ASGNP4
ADDRLP4 12
ADDRLP4 1112
INDIRP4
ASGNP4
line 130
;130:	sysInfo = CG_ConfigString( CS_SYSTEMINFO );
CNSTI4 1
ARGI4
ADDRLP4 1116
ADDRGP4 CG_ConfigString
CALLP4
ASGNP4
ADDRLP4 1104
ADDRLP4 1116
INDIRP4
ASGNP4
line 132
;131:
;132:	if ( cg.mInRMG )
ADDRGP4 cg+88
INDIRI4
CNSTI4 0
EQI4 $123
line 133
;133:	{
line 136
;134:		const char* terrainInfo;
;135:
;136:		terrainInfo = CG_ConfigString( CS_TERRAINS + 1 );
CNSTI4 760
ARGI4
ADDRLP4 1124
ADDRGP4 CG_ConfigString
CALLP4
ASGNP4
ADDRLP4 1120
ADDRLP4 1124
INDIRP4
ASGNP4
line 137
;137:		if ( terrainInfo )
ADDRLP4 1120
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $126
line 138
;138:		{
line 139
;139:			s = Info_ValueForKey ( terrainInfo, "terraindef" );
ADDRLP4 1120
INDIRP4
ARGP4
ADDRGP4 $128
ARGP4
ADDRLP4 1128
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1128
INDIRP4
ASGNP4
line 140
;140:			Com_sprintf ( shader, sizeof(shader), "gfx/menus/levelshots/mp_rmg_%s", s );
ADDRLP4 1040
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $129
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 141
;141:		}
ADDRGP4 $124
JUMPV
LABELV $126
line 143
;142:		else
;143:		{
line 144
;144:			Com_sprintf ( shader, sizeof(shader), "gfx/menus/levelshots/unknownmap_mp" );
ADDRLP4 1040
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $130
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 145
;145:		}
line 146
;146:	}
ADDRGP4 $124
JUMPV
LABELV $123
line 148
;147:	else
;148:	{
line 149
;149:		s = Info_ValueForKey( info, "mapname" );
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 $131
ARGP4
ADDRLP4 1120
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1120
INDIRP4
ASGNP4
line 150
;150:		Com_sprintf ( shader, sizeof(shader), "gfx/menus/levelshots/%s", s );
ADDRLP4 1040
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $132
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 151
;151:	}
LABELV $124
line 153
;152:
;153:	if ( Q_stricmp ( levelshotShader, shader ) )
ADDRGP4 $119
ARGP4
ADDRLP4 1040
ARGP4
ADDRLP4 1120
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 1120
INDIRI4
CNSTI4 0
EQI4 $133
line 154
;154:	{
line 155
;155:		levelshot = trap_R_RegisterShaderNoMip( shader );
ADDRLP4 1040
ARGP4
ADDRLP4 1124
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRGP4 $118
ADDRLP4 1124
INDIRI4
ASGNI4
line 156
;156:		Com_sprintf ( levelshotShader, sizeof(levelshotShader), shader );
ADDRGP4 $119
ARGP4
CNSTI4 64
ARGI4
ADDRLP4 1040
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 157
;157:	}
LABELV $133
line 159
;158:
;159:	overlay = trap_R_RegisterShaderNoMip( "gfx/menus/levelshots/unknownmap_mp" );	
ADDRGP4 $130
ARGP4
ADDRLP4 1124
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRLP4 1108
ADDRLP4 1124
INDIRI4
ASGNI4
line 162
;160:
;161:	// Draw the level shot
;162:	trap_R_SetColor( NULL );
CNSTP4 0
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 164
;163:
;164:	if ( levelshot )
ADDRGP4 $118
INDIRI4
CNSTI4 0
EQI4 $135
line 165
;165:	{
line 168
;166:		vec4_t fade;
;167:
;168:		fade[0] = 1.0f;
ADDRLP4 1128
CNSTF4 1065353216
ASGNF4
line 169
;169:		fade[1] = 1.0f;
ADDRLP4 1128+4
CNSTF4 1065353216
ASGNF4
line 170
;170:		fade[2] = 1.0f;
ADDRLP4 1128+8
CNSTF4 1065353216
ASGNF4
line 171
;171:		fade[3] = 1.0f - ((float)cg.loadStage / 15.0f);
ADDRLP4 1128+12
CNSTF4 1065353216
ADDRGP4 cg+9836
INDIRI4
CVIF4 4
CNSTF4 1097859072
DIVF4
SUBF4
ASGNF4
line 173
;172:
;173:		CG_DrawPic( 0, 0, SCREEN_WIDTH, SCREEN_HEIGHT, levelshot );
ADDRLP4 1144
CNSTF4 0
ASGNF4
ADDRLP4 1144
INDIRF4
ARGF4
ADDRLP4 1144
INDIRF4
ARGF4
CNSTF4 1142947840
ARGF4
CNSTF4 1139802112
ARGF4
ADDRGP4 $118
INDIRI4
ARGI4
ADDRGP4 CG_DrawPic
CALLV
pop
line 175
;174:		
;175:		trap_R_SetColor ( fade );
ADDRLP4 1128
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 177
;176:
;177:		CG_DrawPic( 0, 0, SCREEN_WIDTH, SCREEN_HEIGHT, overlay );
ADDRLP4 1148
CNSTF4 0
ASGNF4
ADDRLP4 1148
INDIRF4
ARGF4
ADDRLP4 1148
INDIRF4
ARGF4
CNSTF4 1142947840
ARGF4
CNSTF4 1139802112
ARGF4
ADDRLP4 1108
INDIRI4
ARGI4
ADDRGP4 CG_DrawPic
CALLV
pop
line 179
;178:
;179:		trap_R_SetColor ( NULL );
CNSTP4 0
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 180
;180:	}
ADDRGP4 $136
JUMPV
LABELV $135
line 182
;181:	else
;182:	{
line 183
;183:		CG_DrawPic( 0, 0, SCREEN_WIDTH, SCREEN_HEIGHT, overlay );
ADDRLP4 1128
CNSTF4 0
ASGNF4
ADDRLP4 1128
INDIRF4
ARGF4
ADDRLP4 1128
INDIRF4
ARGF4
CNSTF4 1142947840
ARGF4
CNSTF4 1139802112
ARGF4
ADDRLP4 1108
INDIRI4
ARGI4
ADDRGP4 CG_DrawPic
CALLV
pop
line 184
;184:	}
LABELV $136
line 187
;185:
;186:	// Draw the progress bar
;187:	CG_LoadBar();			   
ADDRGP4 CG_LoadBar
CALLV
pop
line 190
;188:
;189:	// Determine the string to print
;190:	if ( cg.infoScreenText[0] ) 
ADDRGP4 cg+1588
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $141
line 191
;191:	{
line 192
;192:		s = va("Loading... %s", cg.infoScreenText);
ADDRGP4 $144
ARGP4
ADDRGP4 cg+1588
ARGP4
ADDRLP4 1128
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1128
INDIRP4
ASGNP4
line 193
;193:	}
ADDRGP4 $142
JUMPV
LABELV $141
line 195
;194:	else
;195:	{
line 196
;196:		s = "Awaiting snapshot...";
ADDRLP4 0
ADDRGP4 $146
ASGNP4
line 197
;197:	}
LABELV $142
line 200
;198:
;199:	// Render the string 
;200:	CG_DrawText( 320 - trap_R_GetTextWidth ( s, cgs.media.hudFont, 0.53f, 0 ) / 2, 198 - 32,
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
CNSTI4 0
ARGI4
ADDRLP4 1128
ADDRGP4 trap_R_GetTextWidth
CALLI4
ASGNI4
CNSTI4 320
ADDRLP4 1128
INDIRI4
CNSTI4 2
DIVI4
SUBI4
CVIF4 4
ARGF4
CNSTF4 1126563840
ARGF4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
ADDRGP4 colorWhite
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1132
CNSTI4 0
ASGNI4
ADDRLP4 1132
INDIRI4
ARGI4
ADDRLP4 1132
INDIRI4
ARGI4
ADDRGP4 CG_DrawText
CALLV
pop
line 205
;201:				 cgs.media.hudFont, 0.53f, colorWhite, s, 0, 0 );
;202:
;203:	// draw info string information
;204:
;205:	y = 250-32;
ADDRLP4 4
CNSTI4 218
ASGNI4
line 208
;206:
;207:	// don't print server lines if playing a local game
;208:	trap_Cvar_VariableStringBuffer( "sv_running", buf, sizeof( buf ) );
ADDRGP4 $151
ARGP4
ADDRLP4 16
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 209
;209:	if ( !atoi( buf ) ) 
ADDRLP4 16
ARGP4
ADDRLP4 1136
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 1136
INDIRI4
CNSTI4 0
NEI4 $152
line 210
;210:	{
line 212
;211:		// server hostname
;212:		Q_strncpyz(buf, Info_ValueForKey( info, "sv_hostname" ), 1024);
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 $154
ARGP4
ADDRLP4 1140
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 16
ARGP4
ADDRLP4 1140
INDIRP4
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 213
;213:		Q_CleanStr(buf);
ADDRLP4 16
ARGP4
ADDRGP4 Q_CleanStr
CALLP4
pop
line 215
;214:
;215:		CG_DrawText ( 320 - trap_R_GetTextWidth ( buf, cgs.media.hudFont, 0.53f, 0 ) / 2, y,
ADDRLP4 16
ARGP4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
CNSTI4 0
ARGI4
ADDRLP4 1144
ADDRGP4 trap_R_GetTextWidth
CALLI4
ASGNI4
CNSTI4 320
ADDRLP4 1144
INDIRI4
CNSTI4 2
DIVI4
SUBI4
CVIF4 4
ARGF4
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
ADDRGP4 colorWhite
ARGP4
ADDRLP4 16
ARGP4
ADDRLP4 1148
CNSTI4 0
ASGNI4
ADDRLP4 1148
INDIRI4
ARGI4
ADDRLP4 1148
INDIRI4
ARGI4
ADDRGP4 CG_DrawText
CALLV
pop
line 218
;216:						  cgs.media.hudFont, 0.53f, colorWhite, buf, 0, 0 );
;217:
;218:		y += PROP_HEIGHT;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 27
ADDI4
ASGNI4
line 221
;219:
;220:		// pure server
;221:		s = Info_ValueForKey( sysInfo, "sv_pure" );
ADDRLP4 1104
INDIRP4
ARGP4
ADDRGP4 $159
ARGP4
ADDRLP4 1152
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1152
INDIRP4
ASGNP4
line 222
;222:		if ( atoi(s) ) 
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1156
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 1156
INDIRI4
CNSTI4 0
EQI4 $160
line 223
;223:		{
line 224
;224:			s = "Pure Server";
ADDRLP4 0
ADDRGP4 $162
ASGNP4
line 225
;225:			CG_DrawText( 320 - trap_R_GetTextWidth ( s, cgs.media.hudFont, 0.53f, 0 ) / 2, y,
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
CNSTI4 0
ARGI4
ADDRLP4 1160
ADDRGP4 trap_R_GetTextWidth
CALLI4
ASGNI4
CNSTI4 320
ADDRLP4 1160
INDIRI4
CNSTI4 2
DIVI4
SUBI4
CVIF4 4
ARGF4
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
ADDRGP4 colorWhite
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1164
CNSTI4 0
ASGNI4
ADDRLP4 1164
INDIRI4
ARGI4
ADDRLP4 1164
INDIRI4
ARGI4
ADDRGP4 CG_DrawText
CALLV
pop
line 228
;226:							  cgs.media.hudFont, 0.53f, colorWhite, s, 0, 0 );
;227:
;228:			y += PROP_HEIGHT;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 27
ADDI4
ASGNI4
line 229
;229:		}
LABELV $160
line 232
;230:
;231:		// server-specific message of the day
;232:		s = CG_ConfigString( CS_MOTD );
CNSTI4 68
ARGI4
ADDRLP4 1160
ADDRGP4 CG_ConfigString
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1160
INDIRP4
ASGNP4
line 233
;233:		if ( s[0] ) 		
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $167
line 234
;234:		{
line 235
;235:			CG_DrawText ( 320 - trap_R_GetTextWidth ( s,  cgs.media.hudFont, 0.53f, 0 ) / 2, y,
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
CNSTI4 0
ARGI4
ADDRLP4 1164
ADDRGP4 trap_R_GetTextWidth
CALLI4
ASGNI4
CNSTI4 320
ADDRLP4 1164
INDIRI4
CNSTI4 2
DIVI4
SUBI4
CVIF4 4
ARGF4
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
ADDRGP4 colorWhite
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1168
CNSTI4 0
ASGNI4
ADDRLP4 1168
INDIRI4
ARGI4
ADDRLP4 1168
INDIRI4
ARGI4
ADDRGP4 CG_DrawText
CALLV
pop
line 238
;236:							  cgs.media.hudFont, 0.53f, colorWhite, s, 0, 0 );
;237:
;238:			y += PROP_HEIGHT;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 27
ADDI4
ASGNI4
line 239
;239:		}
LABELV $167
line 242
;240:
;241:		// some extra space after hostname and motd
;242:		y += 10;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 10
ADDI4
ASGNI4
line 243
;243:	}
LABELV $152
line 246
;244:
;245:	// map-specific message (long map name)
;246:	s = CG_ConfigString( CS_MESSAGE );
CNSTI4 67
ARGI4
ADDRLP4 1140
ADDRGP4 CG_ConfigString
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1140
INDIRP4
ASGNP4
line 247
;247:	if ( s[0] ) 
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $173
line 248
;248:	{
line 249
;249:		CG_DrawText ( 320 - trap_R_GetTextWidth ( s, cgs.media.hudFont, 0.53f, 0 ) / 2, y,
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
CNSTI4 0
ARGI4
ADDRLP4 1144
ADDRGP4 trap_R_GetTextWidth
CALLI4
ASGNI4
CNSTI4 320
ADDRLP4 1144
INDIRI4
CNSTI4 2
DIVI4
SUBI4
CVIF4 4
ARGF4
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
ADDRGP4 colorWhite
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1148
CNSTI4 0
ASGNI4
ADDRLP4 1148
INDIRI4
ARGI4
ADDRLP4 1148
INDIRI4
ARGI4
ADDRGP4 CG_DrawText
CALLV
pop
line 252
;250:						  cgs.media.hudFont, 0.53f, colorWhite, s, 0, 0 );
;251:
;252:		y += PROP_HEIGHT;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 27
ADDI4
ASGNI4
line 253
;253:	}
LABELV $173
line 256
;254:
;255:	// cheats warning
;256:	s = Info_ValueForKey( sysInfo, "sv_cheats" );
ADDRLP4 1104
INDIRP4
ARGP4
ADDRGP4 $179
ARGP4
ADDRLP4 1144
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1144
INDIRP4
ASGNP4
line 257
;257:	if ( s[0] == '1' ) 
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 49
NEI4 $180
line 258
;258:	{
line 259
;259:		s = "Cheats are enables";
ADDRLP4 0
ADDRGP4 $182
ASGNP4
line 260
;260:		CG_DrawText ( 320 - trap_R_GetTextWidth ( s, cgs.media.hudFont, 0.53f, 0 ) / 2, y,
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
CNSTI4 0
ARGI4
ADDRLP4 1148
ADDRGP4 trap_R_GetTextWidth
CALLI4
ASGNI4
CNSTI4 320
ADDRLP4 1148
INDIRI4
CNSTI4 2
DIVI4
SUBI4
CVIF4 4
ARGF4
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
ADDRGP4 colorWhite
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1152
CNSTI4 0
ASGNI4
ADDRLP4 1152
INDIRI4
ARGI4
ADDRLP4 1152
INDIRI4
ARGI4
ADDRGP4 CG_DrawText
CALLV
pop
line 263
;261:						  cgs.media.hudFont, 0.53f, colorWhite, s, 0, 0 );
;262:
;263:		y += PROP_HEIGHT;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 27
ADDI4
ASGNI4
line 265
;264:
;265:		cg.cheats = qtrue;
ADDRGP4 cg+178880
CNSTI4 1
ASGNI4
line 266
;266:	}
ADDRGP4 $181
JUMPV
LABELV $180
line 268
;267:	else
;268:	{
line 269
;269:		s = Info_ValueForKey( info, "sv_punkbuster" );
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 $188
ARGP4
ADDRLP4 1148
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1148
INDIRP4
ASGNP4
line 270
;270:		if ( s[0] == '1' )
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 49
NEI4 $189
line 271
;271:		{
line 272
;272: 			s = "Punkbuster Enabled";
ADDRLP4 0
ADDRGP4 $191
ASGNP4
line 273
;273:			CG_DrawText ( 320 - trap_R_GetTextWidth ( s, cgs.media.hudFont, 0.53f, 0 ) / 2, y,
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
CNSTI4 0
ARGI4
ADDRLP4 1152
ADDRGP4 trap_R_GetTextWidth
CALLI4
ASGNI4
CNSTI4 320
ADDRLP4 1152
INDIRI4
CNSTI4 2
DIVI4
SUBI4
CVIF4 4
ARGF4
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
ADDRGP4 colorWhite
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1156
CNSTI4 0
ASGNI4
ADDRLP4 1156
INDIRI4
ARGI4
ADDRLP4 1156
INDIRI4
ARGI4
ADDRGP4 CG_DrawText
CALLV
pop
line 276
;274:							  cgs.media.hudFont, 0.53f, colorWhite, s, 0, 0 );
;275:
;276:			y += PROP_HEIGHT;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 27
ADDI4
ASGNI4
line 277
;277:		}
LABELV $189
line 279
;278:
;279:		cg.cheats = qfalse;
ADDRGP4 cg+178880
CNSTI4 0
ASGNI4
line 280
;280:	}
LABELV $181
line 282
;281:
;282:	s = cgs.gametypeData->displayName;
ADDRLP4 0
ADDRGP4 cgs+33020
INDIRP4
CNSTI4 4
ADDP4
INDIRP4
ASGNP4
line 283
;283:	CG_DrawText ( 320 - trap_R_GetTextWidth ( s, cgs.media.hudFont, 0.53f, 0 ) / 2, y, 
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
CNSTI4 0
ARGI4
ADDRLP4 1148
ADDRGP4 trap_R_GetTextWidth
CALLI4
ASGNI4
CNSTI4 320
ADDRLP4 1148
INDIRI4
CNSTI4 2
DIVI4
SUBI4
CVIF4 4
ARGF4
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
ADDRGP4 colorWhite
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1152
CNSTI4 0
ASGNI4
ADDRLP4 1152
INDIRI4
ARGI4
ADDRLP4 1152
INDIRI4
ARGI4
ADDRGP4 CG_DrawText
CALLV
pop
line 285
;284:					  cgs.media.hudFont, 0.53f, colorWhite, s, 0, 0 );
;285:	y += PROP_HEIGHT;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 27
ADDI4
ASGNI4
line 287
;286:		
;287:	value = atoi( Info_ValueForKey( info, "timelimit" ) );
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 $202
ARGP4
ADDRLP4 1156
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1156
INDIRP4
ARGP4
ADDRLP4 1160
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 1160
INDIRI4
ASGNI4
line 288
;288:	if ( value ) 
ADDRLP4 8
INDIRI4
CNSTI4 0
EQI4 $203
line 289
;289:	{
line 290
;290:		s = va( "Timelimit %i", value );
ADDRGP4 $205
ARGP4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 1164
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1164
INDIRP4
ASGNP4
line 291
;291:		CG_DrawText ( 320 - trap_R_GetTextWidth( s, cgs.media.hudFont, 0.53f, 0 ) / 2, y,
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
CNSTI4 0
ARGI4
ADDRLP4 1168
ADDRGP4 trap_R_GetTextWidth
CALLI4
ASGNI4
CNSTI4 320
ADDRLP4 1168
INDIRI4
CNSTI4 2
DIVI4
SUBI4
CVIF4 4
ARGF4
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
ADDRGP4 colorWhite
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1172
CNSTI4 0
ASGNI4
ADDRLP4 1172
INDIRI4
ARGI4
ADDRLP4 1172
INDIRI4
ARGI4
ADDRGP4 CG_DrawText
CALLV
pop
line 293
;292:						  cgs.media.hudFont, 0.53f, colorWhite, s, 0, 0 );
;293:		y += PROP_HEIGHT;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 27
ADDI4
ASGNI4
line 294
;294:	}
LABELV $203
line 296
;295:
;296:	value = atoi( Info_ValueForKey( info, "scorelimit" ) );
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 $210
ARGP4
ADDRLP4 1164
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1164
INDIRP4
ARGP4
ADDRLP4 1168
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 1168
INDIRI4
ASGNI4
line 297
;297:	if ( value ) 
ADDRLP4 8
INDIRI4
CNSTI4 0
EQI4 $211
line 298
;298:	{
line 299
;299:		s = va( "Scorelimit %i", value );
ADDRGP4 $213
ARGP4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 1172
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1172
INDIRP4
ASGNP4
line 300
;300:		CG_DrawText ( 320 - trap_R_GetTextWidth ( s, cgs.media.hudFont, 0.53f, 0 ) / 2, y, 
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
CNSTI4 0
ARGI4
ADDRLP4 1176
ADDRGP4 trap_R_GetTextWidth
CALLI4
ASGNI4
CNSTI4 320
ADDRLP4 1176
INDIRI4
CNSTI4 2
DIVI4
SUBI4
CVIF4 4
ARGF4
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
ADDRGP4 colorWhite
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1180
CNSTI4 0
ASGNI4
ADDRLP4 1180
INDIRI4
ARGI4
ADDRLP4 1180
INDIRI4
ARGI4
ADDRGP4 CG_DrawText
CALLV
pop
line 302
;301:					  cgs.media.hudFont, 0.53f, colorWhite, s, 0, 0 );
;302:		y += PROP_HEIGHT;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 27
ADDI4
ASGNI4
line 303
;303:	}
LABELV $211
line 305
;304:
;305:	value = atoi( Info_ValueForKey( info, "g_friendlyFire" ) );
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 $218
ARGP4
ADDRLP4 1172
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1172
INDIRP4
ARGP4
ADDRLP4 1176
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 1176
INDIRI4
ASGNI4
line 306
;306:	if ( value == 1 ) 
ADDRLP4 8
INDIRI4
CNSTI4 1
NEI4 $219
line 307
;307:	{
line 308
;308:		s = va( "Friendly Fire Enabled" );
ADDRGP4 $221
ARGP4
ADDRLP4 1180
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1180
INDIRP4
ASGNP4
line 309
;309:		CG_DrawText ( 320 - trap_R_GetTextWidth ( s, cgs.media.hudFont, 0.53f, 0 ) / 2, y, 
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
CNSTI4 0
ARGI4
ADDRLP4 1184
ADDRGP4 trap_R_GetTextWidth
CALLI4
ASGNI4
CNSTI4 320
ADDRLP4 1184
INDIRI4
CNSTI4 2
DIVI4
SUBI4
CVIF4 4
ARGF4
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 cgs+243476+220
INDIRI4
ARGI4
CNSTF4 1057467924
ARGF4
ADDRGP4 colorWhite
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1188
CNSTI4 0
ASGNI4
ADDRLP4 1188
INDIRI4
ARGI4
ADDRLP4 1188
INDIRI4
ARGI4
ADDRGP4 CG_DrawText
CALLV
pop
line 311
;310:					  cgs.media.hudFont, 0.53f, colorWhite, s, 0, 0 );
;311:		y += PROP_HEIGHT;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 27
ADDI4
ASGNI4
line 312
;312:	}
LABELV $219
line 314
;313:
;314:	CG_DrawPic (500,430,128,64,trap_R_RegisterShaderNoMip( "gfx/misc/pro_logo.png" ));
ADDRGP4 $226
ARGP4
ADDRLP4 1180
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
CNSTF4 1140457472
ARGF4
CNSTF4 1138163712
ARGF4
CNSTF4 1124073472
ARGF4
CNSTF4 1115684864
ARGF4
ADDRLP4 1180
INDIRI4
ARGI4
ADDRGP4 CG_DrawPic
CALLV
pop
line 315
;315:	cgs.drawingMedals=qfalse; // reset medals thing cos of map change then scoreboard not showing bug thx soulus
ADDRGP4 cgs+244304
CNSTI4 0
ASGNI4
line 316
;316:}
LABELV $117
endproc CG_DrawInformation 1192 32
export CG_LoadBar
proc CG_LoadBar 12 20
line 330
;317:
;318:/*
;319:===================
;320:CG_LoadBar
;321:===================
;322:*/
;323:
;324:#define LOADBAR_CLIP_WIDTH		256
;325:#define LOADBAR_CLIP_HEIGHT		64
;326:#define LOADBAR_BULLET_WIDTH	16
;327:#define LOADBAR_BULLET_HEIGHT	64
;328:
;329:void CG_LoadBar(void)
;330:{
line 333
;331:	int			x,y,i;
;332:
;333:	y = 50;
ADDRLP4 8
CNSTI4 50
ASGNI4
line 334
;334:	x = (640 - LOADBAR_CLIP_WIDTH) / 2;
ADDRLP4 4
CNSTI4 192
ASGNI4
line 336
;335:
;336:	for (i=0;i < cg.loadStage; i++ )
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $232
JUMPV
LABELV $229
line 337
;337:	{
line 338
;338:		CG_DrawPic(x + (i*LOADBAR_BULLET_WIDTH), y, LOADBAR_BULLET_WIDTH, LOADBAR_BULLET_HEIGHT, cgs.media.loadBulletShader );
ADDRLP4 4
INDIRI4
ADDRLP4 0
INDIRI4
CNSTI4 4
LSHI4
ADDI4
CVIF4 4
ARGF4
ADDRLP4 8
INDIRI4
CVIF4 4
ARGF4
CNSTF4 1098907648
ARGF4
CNSTF4 1115684864
ARGF4
ADDRGP4 cgs+243476+120
INDIRI4
ARGI4
ADDRGP4 CG_DrawPic
CALLV
pop
line 339
;339:	}
LABELV $230
line 336
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $232
ADDRLP4 0
INDIRI4
ADDRGP4 cg+9836
INDIRI4
LTI4 $229
line 341
;340:
;341:	CG_DrawPic ( x, y, LOADBAR_CLIP_WIDTH, LOADBAR_CLIP_HEIGHT, cgs.media.loadClipShader );
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 8
INDIRI4
CVIF4 4
ARGF4
CNSTF4 1132462080
ARGF4
CNSTF4 1115684864
ARGF4
ADDRGP4 cgs+243476+116
INDIRI4
ARGI4
ADDRGP4 CG_DrawPic
CALLV
pop
line 342
;342:}
LABELV $228
endproc CG_LoadBar 12 20
bss
align 4
LABELV loadingItemIcons
skip 104
align 4
LABELV loadingPlayerIcons
skip 64
align 4
LABELV loadingItemIconCount
skip 4
align 4
LABELV loadingPlayerIconCount
skip 4
import CG_ParseGametypeFile
import CG_DrawMiscEnts
import CG_MiscEnt
import G2_PositionEntityOnBolt
import CG_PredictedProcGore
import CG_AddProcGore
import CG_SetGhoul2Info
import CG_Init_CGents
import CG_Init_CG
import trap_UI_SetActiveMenu
import trap_UI_CloseAll
import trap_CG_RegisterSharedMemory
import trap_RE_InitRendererTerrain
import trap_CM_RegisterTerrain
import trap_CM_TM_ConvertPosition
import trap_CM_TM_Upload
import trap_CM_TM_AddTarget
import trap_CM_TM_AddSpot
import trap_CM_TM_AddBuilding
import trap_CM_TM_Create
import trap_MAT_GetDebrisScale
import trap_MAT_GetDebris
import trap_MAT_GetEffect
import trap_MAT_GetDecalScale
import trap_MAT_GetDecal
import trap_MAT_GetSound
import trap_MAT_Reset
import trap_MAT_Init
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_GetBoltIndex
import trap_G2API_FindBoltIndex
import trap_G2API_GetNumModels
import trap_G2API_GetGhoul2ModelFlagsByIndex
import trap_G2API_SetGhoul2ModelFlagsByIndex
import trap_G2API_GetGhoul2ModelFlags
import trap_G2API_SetGhoul2ModelFlags
import trap_G2API_ClearSkinGore
import trap_G2API_AddSkinGore
import trap_G2API_SetNewOrigin
import trap_G2API_SetRootSurface
import trap_G2API_SetSurfaceOnOff
import trap_G2API_GetBoneAnim
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_CleanGhoul2Models
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_DetachG2Model
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_CollisionDetect
import trap_R_inPVS
import trap_GetEntityToken
import trap_SnapVector
import trap_RMG_Init
import trap_Key_GetKey
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_IsDown
import trap_MemoryRemaining
import trap_FX_AddLine
import trap_FX_Reset
import trap_FX_AdjustTime
import trap_FX_FreeSystem
import trap_FX_Draw2DEffects
import trap_FX_AddScheduledEffects
import trap_FX_PlayBoltedEffectID
import trap_FX_PlayEntityEffectID
import trap_FX_PlayEffectID
import trap_FX_PlaySimpleEffectID
import trap_FX_PlayEntityEffect
import trap_FX_PlayEffect
import trap_FX_PlaySimpleEffect
import trap_FX_RegisterEffect
import trap_FX_InitSystem
import trap_CIN_SetExtents
import trap_CIN_DrawCinematic
import trap_CIN_RunCinematic
import trap_CIN_StopCinematic
import trap_CIN_PlayCinematic
import testPrintFloat
import testPrintInt
import trap_ResetAutorun
import trap_RW_SetTeam
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetDefaultState
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_SetLightStyle
import trap_R_GetLightStyle
import trap_R_RemapShader
import trap_R_DrawRotatePic2
import trap_R_DrawRotatePic
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_DrawVisualOverlay
import trap_R_RenderScene
import trap_R_LightForPoint
import trap_R_AddLightToScene
import trap_R_AddDecalToScene
import trap_R_AddPolysToScene
import trap_R_AddPolyToScene
import trap_R_DrawTextWithCursor
import trap_R_DrawText
import trap_R_GetTextHeight
import trap_R_GetTextWidth
import trap_R_AddRefEntityToScene
import trap_R_ClearDecals
import trap_R_ClearScene
import trap_R_RegisterFont
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_AS_GetBModelSound
import trap_AS_AddLocalSet
import trap_AS_UpdateAmbientSet
import trap_AS_ParseSets
import trap_AS_AddPrecacheEntry
import trap_S_StopBackgroundTrack
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddRealLoopingSound
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StopLoopingSound
import trap_S_StartSound
import trap_S_StopAllSounds
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import CG_ApplyGore
import CG_ParseGore
import CG_ParseAnimationFile
import CG_CheckChangedPredictableEvents
import CG_TransitionPlayerState
import CG_Respawn
import CG_PlayBufferedVoiceChats
import CG_VoiceChatLocal
import CG_ShaderStateChanged
import CG_LoadVoiceChats
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_MapRestart
import CG_InitConsoleCommands
import CG_ConsoleCommand
import CG_DrawScoreboard
import CG_ProcessSnapshots
import CG_TestLine
import CG_GlassShatter
import CG_BulletFlyBySound
import CG_BubbleTrail
import CG_AddLocalEntities
import CG_AllocLocalEntity
import CG_FreeLocalEntity
import CG_InitLocalEntities
import CG_WeaponCallback
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_PlayerWeaponEffects
import CG_AddViewWeapon
import CG_AnimateViewWeapon
import CG_Bullet
import CG_HandleStickyMissile
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_ProjectileThink
import CG_FireWeapon
import CG_SetWeaponAnim
import CG_UpdateViewWeaponSurfaces
import CG_RegisterItemVisuals
import CG_ShutDownWeapons
import CG_RegisterWeapon
import CG_WeaponSelectable
import CG_Weapon_f
import CG_PrevWeapon
import CG_NextWeapon
import CG_ScaleModelAxis
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_InitHitModel
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_PlayerTrace
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_PlayerShadow
import CG_RemoveIdentityItemsOnBack
import CG_RegisterIdentity
import CG_UpdatePlayerModel
import CG_CustomPlayerSound
import CG_CustomSound
import CG_NewClientInfo
import CG_ResetPlayerEntity
import CG_Player
import CG_DrawMapChange
import CG_GameTypeString
import CG_Text_PaintChar
import CG_Draw3DG2Model
import CG_Draw3DModel
import CG_GetGameStatusText
import CG_GetTeamColor
import CG_RunMenuScript
import CG_OwnerDrawDisabled
import CG_OwnerDrawVisible
import CG_GetValue
import CG_OwnerDraw
import CG_DrawActive
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import CG_DrawTimer
import CG_DrawTextWithCursor
import CG_DrawText
import CG_GetColorForHealth
import CG_DrawTopBottom
import CG_DrawSides
import CG_DrawRect
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawRotatePic2
import CG_DrawRotatePic
import CG_DrawStretchPic
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_UpdateCameraShake
import CG_CameraShake
import CG_DrawActiveFrame
import CG_AddBufferedSound
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_TeamCount
import CG_EventHandling
import CG_MouseEvent
import CG_KeyEvent
import CG_LoadMenus
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateTeamCountCvars
import CG_UpdateCvars
import CG_StartMusic
import CG_GetEntity
import CG_Argv
import CG_ConfigString
import cg_temp4
import cg_temp3
import cg_temp2
import cg_temp1
import cg_drawSmile
import cg_crosshairInfo
import cg_drawClock
import cg_drawWeaponType
import cg_drawTeamInfo
import cg_hudOpacity
import cg_hudBackGround
import cg_hudFiles
import cg_defaultHud
import cg_zoomWeaponChange
import rw_enabled
import cg_bodyTime
import cg_weaponMenuFast
import cg_soundFrag
import cg_soundGlobal
import cg_voiceGlobal
import cg_voiceRadio
import ui_info_seenobjectives
import ui_info_pickupsdisabled
import ui_info_freecount
import ui_info_speccount
import ui_info_bluecount
import ui_info_redcount
import cg_automap_a
import cg_automap_h
import cg_automap_w
import cg_automap_y
import cg_automap_x
import cg_animBlend
import cg_tracerChance
import cg_damageindicator
import RMG_distancecull
import cg_lockDeaths
import cg_lockBlood
import cg_lockSever
import cg_DebugGore
import cg_currentSelectedPlayerName
import cg_currentSelectedPlayer
import cg_noProjectileTrail
import cg_noTaunt
import cg_cameraMode
import cg_timescale
import cg_cameraOrbitDelay
import cg_cameraOrbit
import pmove_msec
import pmove_fixed
import cg_smoothClients
import cg_noVoiceText
import cg_teamChatsOnly
import cg_drawFriend
import cg_deferPlayers
import cg_autoReload
import cg_impactPrediction
import cg_antiLag
import cg_predictItems
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_stats
import cg_chatHeight
import cg_chatTime
import cg_synchronousClients
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPersonHorzOffset
import cg_thirdPersonPitch
import cg_thirdPersonYaw
import cg_thirdPersonRange
import cg_thirdPerson
import cg_goreDetail
import cg_shellEjection
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_footsteps
import cg_showmiss
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_draw2D
import cg_crosshairFriendRGBA
import cg_crosshairRGBA
import cg_crosshairGrow
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_drawHUDIcons
import cg_drawTeamScores
import cg_drawRadar
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_shadows
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centerY
import cg_centertime
import con_notifyTime
import cg_items
import cg_weapons
import cg
import cgs
import cg_numpermanents
import cg_permanents
import cg_entities
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $226
char 1 103
char 1 102
char 1 120
char 1 47
char 1 109
char 1 105
char 1 115
char 1 99
char 1 47
char 1 112
char 1 114
char 1 111
char 1 95
char 1 108
char 1 111
char 1 103
char 1 111
char 1 46
char 1 112
char 1 110
char 1 103
char 1 0
align 1
LABELV $221
char 1 70
char 1 114
char 1 105
char 1 101
char 1 110
char 1 100
char 1 108
char 1 121
char 1 32
char 1 70
char 1 105
char 1 114
char 1 101
char 1 32
char 1 69
char 1 110
char 1 97
char 1 98
char 1 108
char 1 101
char 1 100
char 1 0
align 1
LABELV $218
char 1 103
char 1 95
char 1 102
char 1 114
char 1 105
char 1 101
char 1 110
char 1 100
char 1 108
char 1 121
char 1 70
char 1 105
char 1 114
char 1 101
char 1 0
align 1
LABELV $213
char 1 83
char 1 99
char 1 111
char 1 114
char 1 101
char 1 108
char 1 105
char 1 109
char 1 105
char 1 116
char 1 32
char 1 37
char 1 105
char 1 0
align 1
LABELV $210
char 1 115
char 1 99
char 1 111
char 1 114
char 1 101
char 1 108
char 1 105
char 1 109
char 1 105
char 1 116
char 1 0
align 1
LABELV $205
char 1 84
char 1 105
char 1 109
char 1 101
char 1 108
char 1 105
char 1 109
char 1 105
char 1 116
char 1 32
char 1 37
char 1 105
char 1 0
align 1
LABELV $202
char 1 116
char 1 105
char 1 109
char 1 101
char 1 108
char 1 105
char 1 109
char 1 105
char 1 116
char 1 0
align 1
LABELV $191
char 1 80
char 1 117
char 1 110
char 1 107
char 1 98
char 1 117
char 1 115
char 1 116
char 1 101
char 1 114
char 1 32
char 1 69
char 1 110
char 1 97
char 1 98
char 1 108
char 1 101
char 1 100
char 1 0
align 1
LABELV $188
char 1 115
char 1 118
char 1 95
char 1 112
char 1 117
char 1 110
char 1 107
char 1 98
char 1 117
char 1 115
char 1 116
char 1 101
char 1 114
char 1 0
align 1
LABELV $182
char 1 67
char 1 104
char 1 101
char 1 97
char 1 116
char 1 115
char 1 32
char 1 97
char 1 114
char 1 101
char 1 32
char 1 101
char 1 110
char 1 97
char 1 98
char 1 108
char 1 101
char 1 115
char 1 0
align 1
LABELV $179
char 1 115
char 1 118
char 1 95
char 1 99
char 1 104
char 1 101
char 1 97
char 1 116
char 1 115
char 1 0
align 1
LABELV $162
char 1 80
char 1 117
char 1 114
char 1 101
char 1 32
char 1 83
char 1 101
char 1 114
char 1 118
char 1 101
char 1 114
char 1 0
align 1
LABELV $159
char 1 115
char 1 118
char 1 95
char 1 112
char 1 117
char 1 114
char 1 101
char 1 0
align 1
LABELV $154
char 1 115
char 1 118
char 1 95
char 1 104
char 1 111
char 1 115
char 1 116
char 1 110
char 1 97
char 1 109
char 1 101
char 1 0
align 1
LABELV $151
char 1 115
char 1 118
char 1 95
char 1 114
char 1 117
char 1 110
char 1 110
char 1 105
char 1 110
char 1 103
char 1 0
align 1
LABELV $146
char 1 65
char 1 119
char 1 97
char 1 105
char 1 116
char 1 105
char 1 110
char 1 103
char 1 32
char 1 115
char 1 110
char 1 97
char 1 112
char 1 115
char 1 104
char 1 111
char 1 116
char 1 46
char 1 46
char 1 46
char 1 0
align 1
LABELV $144
char 1 76
char 1 111
char 1 97
char 1 100
char 1 105
char 1 110
char 1 103
char 1 46
char 1 46
char 1 46
char 1 32
char 1 37
char 1 115
char 1 0
align 1
LABELV $132
char 1 103
char 1 102
char 1 120
char 1 47
char 1 109
char 1 101
char 1 110
char 1 117
char 1 115
char 1 47
char 1 108
char 1 101
char 1 118
char 1 101
char 1 108
char 1 115
char 1 104
char 1 111
char 1 116
char 1 115
char 1 47
char 1 37
char 1 115
char 1 0
align 1
LABELV $131
char 1 109
char 1 97
char 1 112
char 1 110
char 1 97
char 1 109
char 1 101
char 1 0
align 1
LABELV $130
char 1 103
char 1 102
char 1 120
char 1 47
char 1 109
char 1 101
char 1 110
char 1 117
char 1 115
char 1 47
char 1 108
char 1 101
char 1 118
char 1 101
char 1 108
char 1 115
char 1 104
char 1 111
char 1 116
char 1 115
char 1 47
char 1 117
char 1 110
char 1 107
char 1 110
char 1 111
char 1 119
char 1 110
char 1 109
char 1 97
char 1 112
char 1 95
char 1 109
char 1 112
char 1 0
align 1
LABELV $129
char 1 103
char 1 102
char 1 120
char 1 47
char 1 109
char 1 101
char 1 110
char 1 117
char 1 115
char 1 47
char 1 108
char 1 101
char 1 118
char 1 101
char 1 108
char 1 115
char 1 104
char 1 111
char 1 116
char 1 115
char 1 47
char 1 109
char 1 112
char 1 95
char 1 114
char 1 109
char 1 103
char 1 95
char 1 37
char 1 115
char 1 0
align 1
LABELV $128
char 1 116
char 1 101
char 1 114
char 1 114
char 1 97
char 1 105
char 1 110
char 1 100
char 1 101
char 1 102
char 1 0
align 1
LABELV $116
char 1 110
char 1 0
