code
proc CG_ResetEntity 8 4
file "../cg_snapshot.c"
line 14
;1:// Copyright (C) 2001-2002 Raven Software.
;2://
;3:// cg_snapshot.c -- things that happen on snapshot transition,
;4:// not necessarily every single rendered frame
;5:
;6:#include "cg_local.h"
;7:
;8:/*
;9:==================
;10:CG_ResetEntity
;11:==================
;12:*/
;13:static void CG_ResetEntity( centity_t *cent ) 
;14:{
line 17
;15:	// if the previous snapshot this entity was updated in is at least
;16:	// an event window back in time then we can reset the previous event
;17:	if ( cent->snapShotTime < cg.time - EVENT_VALID_MSEC ) 
ADDRFP4 0
INDIRP4
CNSTI4 468
ADDP4
INDIRI4
ADDRGP4 cg+68
INDIRI4
CNSTI4 300
SUBI4
GEI4 $93
line 18
;18:	{
line 19
;19:		cent->previousEvent = 0;
ADDRFP4 0
INDIRP4
CNSTI4 448
ADDP4
CNSTI4 0
ASGNI4
line 20
;20:	}
LABELV $93
line 22
;21:
;22:	cent->trailTime = cg.snap->serverTime;
ADDRFP4 0
INDIRP4
CNSTI4 456
ADDP4
ADDRGP4 cg+36
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ASGNI4
line 24
;23:
;24:	VectorCopy (cent->currentState.origin, cent->lerpOrigin);
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 660
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 25
;25:	VectorCopy (cent->currentState.angles, cent->lerpAngles);
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 672
ADDP4
ADDRLP4 4
INDIRP4
CNSTI4 116
ADDP4
INDIRB
ASGNB 12
line 26
;26:	if ( cent->currentState.eType == ET_PLAYER ) 
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 1
NEI4 $97
line 27
;27:	{
line 28
;28:		CG_ResetPlayerEntity( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_ResetPlayerEntity
CALLV
pop
line 29
;29:	}
LABELV $97
line 30
;30:}
LABELV $92
endproc CG_ResetEntity 8 4
proc CG_TransitionEntity 12 4
line 40
;31:
;32:/*
;33:===============
;34:CG_TransitionEntity
;35:
;36:cent->nextState is moved to cent->currentState and events are fired
;37:===============
;38:*/
;39:static void CG_TransitionEntity( centity_t *cent ) 
;40:{
line 41
;41:	cent->currentState = cent->nextState;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
CNSTI4 216
ADDP4
INDIRB
ASGNB 216
line 42
;42:	cent->currentValid = qtrue;
ADDRFP4 0
INDIRP4
CNSTI4 436
ADDP4
CNSTI4 1
ASGNI4
line 45
;43:
;44:	// reset if the entity wasn't in the last frame or was teleported
;45:	if ( !cent->interpolate ) {
ADDRFP4 0
INDIRP4
CNSTI4 432
ADDP4
INDIRI4
CNSTI4 0
NEI4 $100
line 46
;46:		CG_ResetEntity( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_ResetEntity
CALLV
pop
line 47
;47:	}
LABELV $100
line 51
;48:
;49:	// Time is overloaded for players to store the spawn count, so when a player is newly spawned
;50:	// their gore should be reset
;51:	if ( cent->pe.spawnCount != cent->currentState.time )
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 540
ADDP4
INDIRI4
ADDRLP4 4
INDIRP4
CNSTI4 84
ADDP4
INDIRI4
EQI4 $102
line 52
;52:	{
line 53
;53:		cent->pe.spawnCount = cent->currentState.time;
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CNSTI4 540
ADDP4
ADDRLP4 8
INDIRP4
CNSTI4 84
ADDP4
INDIRI4
ASGNI4
line 56
;54:
;55:		// Force all the animations to be restarted
;56:		cent->pe.torso.anim = -1;
ADDRFP4 0
INDIRP4
CNSTI4 488
ADDP4
CNSTI4 -1
ASGNI4
line 57
;57:		cent->pe.legs.anim = -1;
ADDRFP4 0
INDIRP4
CNSTI4 512
ADDP4
CNSTI4 -1
ASGNI4
line 59
;58:
;59:		if ( cent->ghoul2 )
ADDRFP4 0
INDIRP4
CNSTI4 704
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $104
line 60
;60:		{
line 61
;61:			trap_G2API_ClearSkinGore ( cent->ghoul2 );
ADDRFP4 0
INDIRP4
CNSTI4 704
ADDP4
INDIRP4
ARGP4
ADDRGP4 trap_G2API_ClearSkinGore
CALLV
pop
line 62
;62:		}
LABELV $104
line 63
;63:	}
LABELV $102
line 66
;64:
;65:	// clear the next state.  if will be set by the next CG_SetNextSnap
;66:	cent->interpolate = qfalse;
ADDRFP4 0
INDIRP4
CNSTI4 432
ADDP4
CNSTI4 0
ASGNI4
line 69
;67:
;68:	// check for events
;69:	CG_CheckEvents( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_CheckEvents
CALLV
pop
line 70
;70:}
LABELV $99
endproc CG_TransitionEntity 12 4
export CG_SetInitialSnapshot
proc CG_SetInitialSnapshot 24 12
line 85
;71:
;72:
;73:/*
;74:==================
;75:CG_SetInitialSnapshot
;76:
;77:This will only happen on the very first snapshot, or
;78:on map restarts.  All other times will use 
;79:CG_TransitionSnapshot instead.
;80:
;81:FIXME: Also called by map_restart?
;82:==================
;83:*/
;84:void CG_SetInitialSnapshot( snapshot_t *snap ) 
;85:{
line 90
;86:	int				i;
;87:	centity_t		*cent;
;88:	entityState_t	*state;
;89:
;90:	cg.snap = snap;
ADDRGP4 cg+36
ADDRFP4 0
INDIRP4
ASGNP4
line 92
;91:
;92:	cent = CG_GetEntity ( snap->ps.clientNum );
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
ARGI4
ADDRLP4 12
ADDRGP4 CG_GetEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 12
INDIRP4
ASGNP4
line 94
;93:
;94:	if (!cgs.clientinfo[snap->ps.clientNum].ghoul2Model)
CNSTI4 3120
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
MULI4
ADDRGP4 cgs+41808+232
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $108
line 95
;95:	{
line 96
;96:		Com_Error(ERR_DROP, "CG_SetInitialSnapshot invalid g2 pointer for client\n");
CNSTI4 1
ARGI4
ADDRGP4 $112
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 97
;97:	}
LABELV $108
line 99
;98:
;99:	if ((cent->ghoul2 == NULL) && trap_G2_HaveWeGhoul2Models(cgs.clientinfo[snap->ps.clientNum].ghoul2Model))
ADDRLP4 0
INDIRP4
CNSTI4 704
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $113
CNSTI4 3120
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
MULI4
ADDRGP4 cgs+41808+232
ADDP4
INDIRP4
ARGP4
ADDRLP4 16
ADDRGP4 trap_G2_HaveWeGhoul2Models
CALLI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 0
EQI4 $113
line 100
;100:	{
line 101
;101:		trap_G2API_DuplicateGhoul2Instance(cgs.clientinfo[snap->ps.clientNum].ghoul2Model, &cent->ghoul2);
CNSTI4 3120
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
MULI4
ADDRGP4 cgs+41808+232
ADDP4
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 704
ADDP4
ARGP4
ADDRGP4 trap_G2API_DuplicateGhoul2Instance
CALLV
pop
line 102
;102:	}
LABELV $113
line 104
;103:
;104:	BG_PlayerStateToEntityState( &snap->ps, &cent->currentState, qfalse );
ADDRFP4 0
INDIRP4
CNSTI4 44
ADDP4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 BG_PlayerStateToEntityState
CALLV
pop
line 107
;105:
;106:	// sort out solid entities
;107:	CG_BuildSolidList();
ADDRGP4 CG_BuildSolidList
CALLV
pop
line 109
;108:
;109:	CG_ExecuteNewServerCommands( snap->serverCommandSequence );
ADDRFP4 0
INDIRP4
CNSTI4 56216
ADDP4
INDIRI4
ARGI4
ADDRGP4 CG_ExecuteNewServerCommands
CALLV
pop
line 113
;110:
;111:	// set our local weapon selection pointer to
;112:	// what the server has indicated the current weapon is
;113:	CG_Respawn();
ADDRGP4 CG_Respawn
CALLV
pop
line 115
;114:
;115:	for ( i = 0 ; i < cg.snap->numEntities ; i++ ) 
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $122
JUMPV
LABELV $119
line 116
;116:	{
line 117
;117:		state = &cg.snap->entities[ i ];
ADDRLP4 8
CNSTI4 216
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 cg+36
INDIRP4
CNSTI4 916
ADDP4
ADDP4
ASGNP4
line 118
;118:		cent = CG_GetEntity ( state->number );
ADDRLP4 8
INDIRP4
INDIRI4
ARGI4
ADDRLP4 20
ADDRGP4 CG_GetEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20
INDIRP4
ASGNP4
line 120
;119:
;120:		memcpy(&cent->currentState, state, sizeof(entityState_t));
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
ARGP4
CNSTI4 216
ARGI4
ADDRGP4 memcpy
CALLP4
pop
line 122
;121:		//cent->currentState = *state;
;122:		cent->interpolate = qfalse;
ADDRLP4 0
INDIRP4
CNSTI4 432
ADDP4
CNSTI4 0
ASGNI4
line 123
;123:		cent->currentValid = qtrue;
ADDRLP4 0
INDIRP4
CNSTI4 436
ADDP4
CNSTI4 1
ASGNI4
line 125
;124:
;125:		CG_ResetEntity( cent );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 CG_ResetEntity
CALLV
pop
line 128
;126:
;127:		// check for events
;128:		CG_CheckEvents( cent );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 CG_CheckEvents
CALLV
pop
line 129
;129:	}
LABELV $120
line 115
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $122
ADDRLP4 4
INDIRI4
ADDRGP4 cg+36
INDIRP4
CNSTI4 912
ADDP4
INDIRI4
LTI4 $119
line 130
;130:}
LABELV $106
endproc CG_SetInitialSnapshot 24 12
proc CG_TransitionSnapshot 32 12
line 141
;131:
;132:
;133:/*
;134:===================
;135:CG_TransitionSnapshot
;136:
;137:The transition point from snap to nextSnap has passed
;138:===================
;139:*/
;140:static void CG_TransitionSnapshot( void ) 
;141:{
line 146
;142:	centity_t	*cent;
;143:	snapshot_t	*oldFrame;
;144:	int			i;
;145:
;146:	if ( !cg.snap ) 
ADDRGP4 cg+36
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $126
line 147
;147:	{
line 148
;148:		Com_Error( ERR_FATAL, "CG_TransitionSnapshot: NULL cg.snap" );
CNSTI4 0
ARGI4
ADDRGP4 $129
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 149
;149:	}
LABELV $126
line 151
;150:
;151:	if ( !cg.nextSnap ) 
ADDRGP4 cg+40
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $130
line 152
;152:	{
line 153
;153:		Com_Error( ERR_FATAL, "CG_TransitionSnapshot: NULL cg.nextSnap" );
CNSTI4 0
ARGI4
ADDRGP4 $133
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 154
;154:	}
LABELV $130
line 157
;155:
;156:	// execute any server string commands before transitioning entities
;157:	CG_ExecuteNewServerCommands( cg.nextSnap->serverCommandSequence );
ADDRGP4 cg+40
INDIRP4
CNSTI4 56216
ADDP4
INDIRI4
ARGI4
ADDRGP4 CG_ExecuteNewServerCommands
CALLV
pop
line 160
;158:
;159:	// if we had a map_restart, set everthing with initial
;160:	if ( !cg.snap ) 
ADDRGP4 cg+36
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $135
line 161
;161:	{
line 162
;162:	}
LABELV $135
line 165
;163:
;164:	// clear the currentValid flag for all entities in the existing snapshot
;165:	for ( i = 0 ; i < cg.snap->numEntities ; i++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $141
JUMPV
LABELV $138
line 166
;166:	{
line 167
;167:		cent = CG_GetEntity ( cg.snap->entities[ i ].number );
CNSTI4 216
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 cg+36
INDIRP4
CNSTI4 916
ADDP4
ADDP4
INDIRI4
ARGI4
ADDRLP4 12
ADDRGP4 CG_GetEntity
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 12
INDIRP4
ASGNP4
line 168
;168:		cent->currentValid = qfalse;
ADDRLP4 4
INDIRP4
CNSTI4 436
ADDP4
CNSTI4 0
ASGNI4
line 169
;169:	}
LABELV $139
line 165
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $141
ADDRLP4 0
INDIRI4
ADDRGP4 cg+36
INDIRP4
CNSTI4 912
ADDP4
INDIRI4
LTI4 $138
line 172
;170:
;171:	// move nextSnap to snap and do the transitions
;172:	oldFrame = cg.snap;
ADDRLP4 8
ADDRGP4 cg+36
INDIRP4
ASGNP4
line 173
;173:	cg.snap = cg.nextSnap;
ADDRGP4 cg+36
ADDRGP4 cg+40
INDIRP4
ASGNP4
line 175
;174:
;175:	cent = CG_GetEntity ( cg.snap->ps.clientNum );
ADDRGP4 cg+36
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
ARGI4
ADDRLP4 12
ADDRGP4 CG_GetEntity
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 12
INDIRP4
ASGNP4
line 176
;176:	BG_PlayerStateToEntityState( &cg.snap->ps, &cent->currentState, qfalse );
ADDRGP4 cg+36
INDIRP4
CNSTI4 44
ADDP4
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 BG_PlayerStateToEntityState
CALLV
pop
line 177
;177:	cent->interpolate = qfalse;
ADDRLP4 4
INDIRP4
CNSTI4 432
ADDP4
CNSTI4 0
ASGNI4
line 178
;178:	cent->currentValid = qtrue;
ADDRLP4 4
INDIRP4
CNSTI4 436
ADDP4
CNSTI4 1
ASGNI4
line 180
;179:
;180:	for ( i = 0 ; i < cg.snap->numEntities ; i++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $152
JUMPV
LABELV $149
line 181
;181:	{
line 183
;182:		// Transition the entity
;183:		cent = CG_GetEntity ( cg.snap->entities[ i ].number );
CNSTI4 216
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 cg+36
INDIRP4
CNSTI4 916
ADDP4
ADDP4
INDIRI4
ARGI4
ADDRLP4 16
ADDRGP4 CG_GetEntity
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 16
INDIRP4
ASGNP4
line 184
;184:		CG_TransitionEntity( cent );
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 CG_TransitionEntity
CALLV
pop
line 187
;185:
;186:		// remember time of snapshot this entity was last updated in
;187:		cent->snapShotTime = cg.snap->serverTime;
ADDRLP4 4
INDIRP4
CNSTI4 468
ADDP4
ADDRGP4 cg+36
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ASGNI4
line 188
;188:	}
LABELV $150
line 180
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $152
ADDRLP4 0
INDIRI4
ADDRGP4 cg+36
INDIRP4
CNSTI4 912
ADDP4
INDIRI4
LTI4 $149
line 190
;189:
;190:	cg.nextSnap = NULL;
ADDRGP4 cg+40
CNSTP4 0
ASGNP4
line 193
;191:
;192:	// check for playerstate transition events
;193:	if ( oldFrame ) 
ADDRLP4 8
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $157
line 194
;194:	{
line 197
;195:		playerState_t	*ops, *ps;
;196:
;197:		ops = &oldFrame->ps;
ADDRLP4 16
ADDRLP4 8
INDIRP4
CNSTI4 44
ADDP4
ASGNP4
line 198
;198:		ps = &cg.snap->ps;
ADDRLP4 20
ADDRGP4 cg+36
INDIRP4
CNSTI4 44
ADDP4
ASGNP4
line 201
;199:		
;200:		// teleporting checks are irrespective of prediction
;201:		if ( ( ps->eFlags ^ ops->eFlags ) & EF_TELEPORT_BIT ) 
ADDRLP4 24
CNSTI4 116
ASGNI4
ADDRLP4 20
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
ADDRLP4 16
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
BXORI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $160
line 202
;202:		{
line 203
;203:			cg.thisFrameTeleport = qtrue;	// will be cleared by prediction code
ADDRGP4 cg+56
CNSTI4 1
ASGNI4
line 204
;204:		}
LABELV $160
line 208
;205:
;206:		// if we are not doing client side movement prediction for any
;207:		// reason, then the client events and view changes will be issued now
;208:		if ( cg.demoPlayback || (cg.snap->ps.pm_flags & PMF_FOLLOW)
ADDRLP4 28
CNSTI4 0
ASGNI4
ADDRGP4 cg+8
INDIRI4
ADDRLP4 28
INDIRI4
NEI4 $171
ADDRGP4 cg+36
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
CNSTI4 512
BANDI4
ADDRLP4 28
INDIRI4
NEI4 $171
ADDRGP4 cg_nopredict+12
INDIRI4
ADDRLP4 28
INDIRI4
NEI4 $171
ADDRGP4 cg_synchronousClients+12
INDIRI4
ADDRLP4 28
INDIRI4
EQI4 $163
LABELV $171
line 210
;209:			|| cg_nopredict.integer || cg_synchronousClients.integer ) 
;210:		{
line 211
;211:			CG_TransitionPlayerState( ps, ops );
ADDRLP4 20
INDIRP4
ARGP4
ADDRLP4 16
INDIRP4
ARGP4
ADDRGP4 CG_TransitionPlayerState
CALLV
pop
line 212
;212:		}
LABELV $163
line 213
;213:	}
LABELV $157
line 214
;214:}
LABELV $125
endproc CG_TransitionSnapshot 32 12
proc CG_SetNextSnap 36 12
line 224
;215:
;216:/*
;217:===================
;218:CG_SetNextSnap
;219:
;220:A new snapshot has just been read in from the client system.
;221:===================
;222:*/
;223:static void CG_SetNextSnap( snapshot_t *snap ) 
;224:{
line 229
;225:	int					num;
;226:	entityState_t		*es;
;227:	centity_t			*cent;
;228:
;229:	cg.nextSnap = snap;
ADDRGP4 cg+40
ADDRFP4 0
INDIRP4
ASGNP4
line 231
;230:
;231:	cent = CG_GetEntity ( snap->ps.clientNum );
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
ARGI4
ADDRLP4 12
ADDRGP4 CG_GetEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 12
INDIRP4
ASGNP4
line 233
;232:
;233:	BG_PlayerStateToEntityState( &snap->ps, &cent->nextState, qfalse );
ADDRFP4 0
INDIRP4
CNSTI4 44
ADDP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 216
ADDP4
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 BG_PlayerStateToEntityState
CALLV
pop
line 234
;234:	cent->interpolate = qtrue;
ADDRLP4 0
INDIRP4
CNSTI4 432
ADDP4
CNSTI4 1
ASGNI4
line 237
;235:
;236:	// check for extrapolation errors
;237:	for ( num = 0 ; num < snap->numEntities ; num++ ) 
ADDRLP4 8
CNSTI4 0
ASGNI4
ADDRGP4 $177
JUMPV
LABELV $174
line 238
;238:	{
line 239
;239:		es = &snap->entities[num];
ADDRLP4 4
CNSTI4 216
ADDRLP4 8
INDIRI4
MULI4
ADDRFP4 0
INDIRP4
CNSTI4 916
ADDP4
ADDP4
ASGNP4
line 240
;240:		cent = CG_GetEntity ( es->number );
ADDRLP4 4
INDIRP4
INDIRI4
ARGI4
ADDRLP4 16
ADDRGP4 CG_GetEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 16
INDIRP4
ASGNP4
line 242
;241:
;242:		memcpy(&cent->nextState, es, sizeof(entityState_t));
ADDRLP4 20
CNSTI4 216
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 20
INDIRI4
ARGI4
ADDRGP4 memcpy
CALLP4
pop
line 247
;243:		//cent->nextState = *es;
;244:
;245:		// if this frame is a teleport, or the entity wasn't in the
;246:		// previous frame, don't interpolate
;247:		if ( !cent->currentValid || ( ( cent->currentState.eFlags ^ es->eFlags ) & EF_TELEPORT_BIT )  ) 
ADDRLP4 28
CNSTI4 0
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 436
ADDP4
INDIRI4
ADDRLP4 28
INDIRI4
EQI4 $180
ADDRLP4 32
CNSTI4 8
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRI4
ADDRLP4 4
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRI4
BXORI4
CNSTI4 4
BANDI4
ADDRLP4 28
INDIRI4
EQI4 $178
LABELV $180
line 248
;248:		{
line 249
;249:			cent->interpolate = qfalse;
ADDRLP4 0
INDIRP4
CNSTI4 432
ADDP4
CNSTI4 0
ASGNI4
line 250
;250:		} 
ADDRGP4 $179
JUMPV
LABELV $178
line 252
;251:		else 
;252:		{
line 253
;253:			cent->interpolate = qtrue;
ADDRLP4 0
INDIRP4
CNSTI4 432
ADDP4
CNSTI4 1
ASGNI4
line 254
;254:		}
LABELV $179
line 255
;255:	}
LABELV $175
line 237
ADDRLP4 8
ADDRLP4 8
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $177
ADDRLP4 8
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 912
ADDP4
INDIRI4
LTI4 $174
line 259
;256:
;257:	// if the next frame is a teleport for the playerstate, we
;258:	// can't interpolate during demos
;259:	if ( cg.snap && ( ( snap->ps.eFlags ^ cg.snap->ps.eFlags ) & EF_TELEPORT_BIT ) ) 
ADDRGP4 cg+36
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $181
ADDRLP4 16
CNSTI4 160
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
ADDRGP4 cg+36
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
BXORI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $181
line 260
;260:	{
line 261
;261:		cg.nextFrameTeleport = qtrue;
ADDRGP4 cg+60
CNSTI4 1
ASGNI4
line 262
;262:	} 
ADDRGP4 $182
JUMPV
LABELV $181
line 264
;263:	else 
;264:	{
line 265
;265:		cg.nextFrameTeleport = qfalse;
ADDRGP4 cg+60
CNSTI4 0
ASGNI4
line 266
;266:	}
LABELV $182
line 269
;267:
;268:	// if changing follow mode, don't interpolate
;269:	if ( cg.nextSnap->ps.clientNum != cg.snap->ps.clientNum ) 
ADDRLP4 20
CNSTI4 212
ASGNI4
ADDRGP4 cg+40
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
ADDRGP4 cg+36
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
EQI4 $187
line 270
;270:	{
line 271
;271:		cg.nextFrameTeleport = qtrue;
ADDRGP4 cg+60
CNSTI4 1
ASGNI4
line 272
;272:	}
LABELV $187
line 275
;273:
;274:	// if changing server restarts, don't interpolate
;275:	if ( ( cg.nextSnap->snapFlags ^ cg.snap->snapFlags ) & SNAPFLAG_SERVERCOUNT ) 
ADDRGP4 cg+40
INDIRP4
INDIRI4
ADDRGP4 cg+36
INDIRP4
INDIRI4
BXORI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $192
line 276
;276:	{
line 277
;277:		cg.nextFrameTeleport = qtrue;
ADDRGP4 cg+60
CNSTI4 1
ASGNI4
line 278
;278:	}
LABELV $192
line 281
;279:
;280:	// sort out solid entities
;281:	CG_BuildSolidList();
ADDRGP4 CG_BuildSolidList
CALLV
pop
line 282
;282:}
LABELV $172
endproc CG_SetNextSnap 36 12
proc CG_ReadNextSnapshot 24 12
line 295
;283:
;284:
;285:/*
;286:========================
;287:CG_ReadNextSnapshot
;288:
;289:This is the only place new snapshots are requested
;290:This may increment cgs.processedSnapshotNum multiple
;291:times if the client system fails to return a
;292:valid snapshot.
;293:========================
;294:*/
;295:static snapshot_t *CG_ReadNextSnapshot( void ) {
line 299
;296:	qboolean	r;
;297:	snapshot_t	*dest;
;298:
;299:	if ( cg.latestSnapshotNum > cgs.processedSnapshotNum + 1000 ) {
ADDRGP4 cg+28
INDIRI4
ADDRGP4 cgs+33008
INDIRI4
CNSTI4 1000
ADDI4
LEI4 $206
line 300
;300:		Com_Printf( "WARNING: CG_ReadNextSnapshot: way out of range, %i > %i", 
ADDRGP4 $202
ARGP4
ADDRGP4 cg+28
INDIRI4
ARGI4
ADDRGP4 cgs+33008
INDIRI4
ARGI4
ADDRGP4 Com_Printf
CALLV
pop
line 302
;301:			cg.latestSnapshotNum, cgs.processedSnapshotNum );
;302:	}
ADDRGP4 $206
JUMPV
LABELV $205
line 304
;303:
;304:	while ( cgs.processedSnapshotNum < cg.latestSnapshotNum ) {
line 314
;305:
;306:	/*
;307:		// decide which of the two slots to load it into
;308:		if ( cg.snap == &cg.activeSnapshots[0] ) {
;309:			dest = &cg.activeSnapshots[1];
;310:		} else {
;311:			dest = &cg.activeSnapshots[0];
;312:		}
;313:	*/
;314:		dest = &cg.activeSnapshots[cg.activeSnapshot%3];
ADDRLP4 0
CNSTI4 56220
ADDRGP4 cg+178776
INDIRI4
CNSTI4 3
MODI4
MULI4
ADDRGP4 cg+10116
ADDP4
ASGNP4
line 317
;315:
;316:		// try to read the snapshot from the client system
;317:		cgs.processedSnapshotNum++;
ADDRLP4 8
ADDRGP4 cgs+33008
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 318
;318:		r = trap_GetSnapshot( cgs.processedSnapshotNum, dest );
ADDRGP4 cgs+33008
INDIRI4
ARGI4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 trap_GetSnapshot
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 12
INDIRI4
ASGNI4
line 321
;319:
;320:		// FIXME: why would trap_GetSnapshot return a snapshot with the same server time
;321:		if ( cg.nextSnap && r && dest->serverTime == cg.nextSnap->serverTime ) {
ADDRGP4 cg+40
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $214
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $214
ADDRLP4 16
CNSTI4 8
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
ADDRGP4 cg+40
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
NEI4 $214
line 324
;322://			r = r;
;323://			continue;
;324:		}
LABELV $214
line 327
;325:
;326:		// if it succeeded, return
;327:		if ( r ) {
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $218
line 328
;328:			cg.activeSnapshot++;
ADDRLP4 20
ADDRGP4 cg+178776
ASGNP4
ADDRLP4 20
INDIRP4
ADDRLP4 20
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 329
;329:			CG_AddLagometerSnapshotInfo( dest );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 CG_AddLagometerSnapshotInfo
CALLV
pop
line 330
;330:			return dest;
ADDRLP4 0
INDIRP4
RETP4
ADDRGP4 $197
JUMPV
LABELV $218
line 339
;331:		}
;332:
;333:		// a GetSnapshot will return failure if the snapshot
;334:		// never arrived, or  is so old that its entities
;335:		// have been shoved off the end of the circular
;336:		// buffer in the client system.
;337:
;338:		// record as a dropped packet
;339:		CG_AddLagometerSnapshotInfo( NULL );
CNSTP4 0
ARGP4
ADDRGP4 CG_AddLagometerSnapshotInfo
CALLV
pop
line 343
;340:
;341:		// If there are additional snapshots, continue trying to
;342:		// read them.
;343:	}
LABELV $206
line 304
ADDRGP4 cgs+33008
INDIRI4
ADDRGP4 cg+28
INDIRI4
LTI4 $205
line 346
;344:
;345:	// nothing left to read
;346:	return NULL;
CNSTP4 0
RETP4
LABELV $197
endproc CG_ReadNextSnapshot 24 12
export CG_ProcessSnapshots
proc CG_ProcessSnapshots 16 8
line 370
;347:}
;348:
;349:
;350:/*
;351:============
;352:CG_ProcessSnapshots
;353:
;354:We are trying to set up a renderable view, so determine
;355:what the simulated time is, and try to get snapshots
;356:both before and after that time if available.
;357:
;358:If we don't have a valid cg.snap after exiting this function,
;359:then a 3D game view cannot be rendered.  This should only happen
;360:right after the initial connection.  After cg.snap has been valid
;361:once, it will never turn invalid.
;362:
;363:Even if cg.snap is valid, cg.nextSnap may not be, if the snapshot
;364:hasn't arrived yet (it becomes an extrapolating situation instead
;365:of an interpolating one)
;366:
;367:============
;368:*/
;369:void CG_ProcessSnapshots( void ) 
;370:{
line 375
;371:	snapshot_t		*snap;
;372:	int				n;
;373:
;374:	// see what the latest snapshot the client system has is
;375:	trap_GetCurrentSnapshotNumber( &n, &cg.latestSnapshotTime );
ADDRLP4 4
ARGP4
ADDRGP4 cg+32
ARGP4
ADDRGP4 trap_GetCurrentSnapshotNumber
CALLV
pop
line 376
;376:	if ( n != cg.latestSnapshotNum ) 
ADDRLP4 4
INDIRI4
ADDRGP4 cg+28
INDIRI4
EQI4 $232
line 377
;377:	{
line 378
;378:		if ( n < cg.latestSnapshotNum ) 
ADDRLP4 4
INDIRI4
ADDRGP4 cg+28
INDIRI4
GEI4 $226
line 379
;379:		{
line 381
;380:			// this should never happen
;381:			Com_Error( ERR_FATAL, "CG_ProcessSnapshots: n < cg.latestSnapshotNum" );
CNSTI4 0
ARGI4
ADDRGP4 $229
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 382
;382:		}
LABELV $226
line 383
;383:		cg.latestSnapshotNum = n;
ADDRGP4 cg+28
ADDRLP4 4
INDIRI4
ASGNI4
line 384
;384:	}
ADDRGP4 $232
JUMPV
LABELV $231
line 390
;385:
;386:	// If we have yet to receive a snapshot, check for it.
;387:	// Once we have gotten the first snapshot, cg.snap will
;388:	// always have valid data for the rest of the game
;389:	while ( !cg.snap ) 
;390:	{
line 391
;391:		snap = CG_ReadNextSnapshot();
ADDRLP4 8
ADDRGP4 CG_ReadNextSnapshot
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
ASGNP4
line 393
;392:	
;393:		if ( !snap ) 
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $235
line 394
;394:		{
line 396
;395:			// we can't continue until we get a snapshot
;396:			return;
ADDRGP4 $221
JUMPV
LABELV $235
line 401
;397:		}
;398:
;399:		// set our weapon selection to what
;400:		// the playerstate is currently using
;401:		if ( !( snap->snapFlags & SNAPFLAG_NOT_ACTIVE ) ) 
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
NEI4 $237
line 402
;402:		{
line 403
;403:			CG_SetInitialSnapshot( snap );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 CG_SetInitialSnapshot
CALLV
pop
line 404
;404:		}
LABELV $237
line 405
;405:	}
LABELV $232
line 389
ADDRGP4 cg+36
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $231
LABELV $239
line 411
;406:
;407:	// loop until we either have a valid nextSnap with a serverTime
;408:	// greater than cg.time to interpolate towards, or we run
;409:	// out of available snapshots
;410:	do 
;411:	{
line 413
;412:		// if we don't have a nextframe, try and read a new one in
;413:		if ( !cg.nextSnap || cg.needNextSnap ) // !cg.nextSnap ) 
ADDRGP4 cg+40
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $246
ADDRGP4 cg+44
INDIRI4
CNSTI4 0
EQI4 $242
LABELV $246
line 414
;414:		{
line 415
;415:			snap = CG_ReadNextSnapshot();
ADDRLP4 8
ADDRGP4 CG_ReadNextSnapshot
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
ASGNP4
line 419
;416:
;417:			// if we still don't have a nextframe, we will just have to
;418:			// extrapolate
;419:			if ( !snap ) 
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $247
line 420
;420:			{
line 421
;421:				if ( cg_drawSnapshot.integer )
ADDRGP4 cg_drawSnapshot+12
INDIRI4
CNSTI4 0
EQI4 $241
line 422
;422:					Com_Printf ( "NOSNAP\n" );
ADDRGP4 $252
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 425
;423:
;424:
;425:				break;
ADDRGP4 $241
JUMPV
LABELV $247
line 441
;426:			}
;427:
;428:#ifdef _SNAPSHOT_EXTRAPOLATION
;429:
;430:			cg.needNextSnap = qfalse;
;431:
;432:			if ( cg.nextSnap)
;433:			{
;434:				if ( cg_drawSnapshot.integer )
;435:					Com_Printf ( "TRANS\n" );
;436:
;437:				CG_TransitionSnapshot();
;438:			}
;439:#endif
;440:
;441:			CG_SetNextSnap( snap );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 CG_SetNextSnap
CALLV
pop
line 445
;442:
;443:
;444:			// if time went backwards, we have a level restart
;445:			if ( cg.nextSnap->serverTime < cg.snap->serverTime ) 
ADDRLP4 12
CNSTI4 8
ASGNI4
ADDRGP4 cg+40
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
ADDRGP4 cg+36
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
GEI4 $253
line 446
;446:			{
line 447
;447:				Com_Error( ERR_FATAL, "CG_ProcessSnapshots: Server time went backwards" );
CNSTI4 0
ARGI4
ADDRGP4 $257
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 448
;448:			}
LABELV $253
line 449
;449:		}
LABELV $242
line 464
;450:
;451:#ifdef _SNAPSHOT_EXTRAPOLATION
;452:
;453:		if ( cg.needNextSnap )
;454:		{
;455:				if ( cg_drawSnapshot.integer )
;456:					Com_Printf ( "NEED\n" );
;457:
;458:			break;
;459:		}
;460:
;461:#endif
;462:
;463:		// if our time is < nextFrame's, we have a nice interpolating state
;464:		if ( cg.time >= cg.snap->serverTime && cg.time < cg.nextSnap->serverTime ) 
ADDRLP4 8
CNSTI4 8
ASGNI4
ADDRGP4 cg+68
INDIRI4
ADDRGP4 cg+36
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRI4
LTI4 $258
ADDRGP4 cg+68
INDIRI4
ADDRGP4 cg+40
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRI4
GEI4 $258
line 465
;465:		{
line 466
;466:			break;
ADDRGP4 $241
JUMPV
LABELV $258
line 478
;467:		}
;468:
;469:#ifdef _SNAPSHOT_EXTRAPOLATION
;470:
;471:		cg.needNextSnap = qtrue;
;472:
;473:		if ( cg_drawSnapshot.integer )
;474:			Com_Printf ( "SNAP:  time=%i\n", cg.time );
;475:
;476:#else
;477:		// we have passed the transition from nextFrame to frame
;478:		CG_TransitionSnapshot();
ADDRGP4 CG_TransitionSnapshot
CALLV
pop
line 481
;479:#endif
;480:	
;481:	} while ( 1 );
LABELV $240
ADDRGP4 $239
JUMPV
LABELV $241
line 484
;482:
;483:	// assert our valid conditions upon exiting
;484:	if ( cg.snap == NULL ) 
ADDRGP4 cg+36
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $264
line 485
;485:	{
line 486
;486:		Com_Error( ERR_FATAL, "CG_ProcessSnapshots: cg.snap == NULL" );
CNSTI4 0
ARGI4
ADDRGP4 $267
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 487
;487:	}
LABELV $264
line 489
;488:	
;489:	if ( cg.time < cg.snap->serverTime ) 
ADDRGP4 cg+68
INDIRI4
ADDRGP4 cg+36
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
GEI4 $268
line 490
;490:	{
line 492
;491:		// this can happen right after a vid_restart
;492:		cg.time = cg.snap->serverTime;
ADDRGP4 cg+68
ADDRGP4 cg+36
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ASGNI4
line 493
;493:	}
LABELV $268
line 496
;494:
;495:#ifndef _SNAPSHOT_EXTRAPOLATION	
;496:	if ( cg.nextSnap != NULL && cg.nextSnap->serverTime <= cg.time ) 
ADDRGP4 cg+40
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $274
ADDRGP4 cg+40
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ADDRGP4 cg+68
INDIRI4
GTI4 $274
line 497
;497:	{
line 498
;498:		Com_Error( ERR_FATAL, "CG_ProcessSnapshots: cg.nextSnap->serverTime <= cg.time" );
CNSTI4 0
ARGI4
ADDRGP4 $279
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 499
;499:	}
LABELV $274
line 501
;500:#endif
;501:}
LABELV $221
endproc CG_ProcessSnapshots 16 8
import CG_ParseGametypeFile
import CG_DrawMiscEnts
import CG_MiscEnt
import G2_PositionEntityOnBolt
import CG_PredictedProcGore
import CG_AddProcGore
import CG_SetGhoul2Info
import CG_Init_CGents
import CG_Init_CG
import trap_UI_SetActiveMenu
import trap_UI_CloseAll
import trap_CG_RegisterSharedMemory
import trap_RE_InitRendererTerrain
import trap_CM_RegisterTerrain
import trap_CM_TM_ConvertPosition
import trap_CM_TM_Upload
import trap_CM_TM_AddTarget
import trap_CM_TM_AddSpot
import trap_CM_TM_AddBuilding
import trap_CM_TM_Create
import trap_MAT_GetDebrisScale
import trap_MAT_GetDebris
import trap_MAT_GetEffect
import trap_MAT_GetDecalScale
import trap_MAT_GetDecal
import trap_MAT_GetSound
import trap_MAT_Reset
import trap_MAT_Init
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_GetBoltIndex
import trap_G2API_FindBoltIndex
import trap_G2API_GetNumModels
import trap_G2API_GetGhoul2ModelFlagsByIndex
import trap_G2API_SetGhoul2ModelFlagsByIndex
import trap_G2API_GetGhoul2ModelFlags
import trap_G2API_SetGhoul2ModelFlags
import trap_G2API_ClearSkinGore
import trap_G2API_AddSkinGore
import trap_G2API_SetNewOrigin
import trap_G2API_SetRootSurface
import trap_G2API_SetSurfaceOnOff
import trap_G2API_GetBoneAnim
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_CleanGhoul2Models
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_DetachG2Model
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_CollisionDetect
import trap_R_inPVS
import trap_GetEntityToken
import trap_SnapVector
import trap_RMG_Init
import trap_Key_GetKey
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_IsDown
import trap_MemoryRemaining
import trap_FX_AddLine
import trap_FX_Reset
import trap_FX_AdjustTime
import trap_FX_FreeSystem
import trap_FX_Draw2DEffects
import trap_FX_AddScheduledEffects
import trap_FX_PlayBoltedEffectID
import trap_FX_PlayEntityEffectID
import trap_FX_PlayEffectID
import trap_FX_PlaySimpleEffectID
import trap_FX_PlayEntityEffect
import trap_FX_PlayEffect
import trap_FX_PlaySimpleEffect
import trap_FX_RegisterEffect
import trap_FX_InitSystem
import trap_CIN_SetExtents
import trap_CIN_DrawCinematic
import trap_CIN_RunCinematic
import trap_CIN_StopCinematic
import trap_CIN_PlayCinematic
import testPrintFloat
import testPrintInt
import trap_ResetAutorun
import trap_RW_SetTeam
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetDefaultState
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_SetLightStyle
import trap_R_GetLightStyle
import trap_R_RemapShader
import trap_R_DrawRotatePic2
import trap_R_DrawRotatePic
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_DrawVisualOverlay
import trap_R_RenderScene
import trap_R_LightForPoint
import trap_R_AddLightToScene
import trap_R_AddDecalToScene
import trap_R_AddPolysToScene
import trap_R_AddPolyToScene
import trap_R_DrawTextWithCursor
import trap_R_DrawText
import trap_R_GetTextHeight
import trap_R_GetTextWidth
import trap_R_AddRefEntityToScene
import trap_R_ClearDecals
import trap_R_ClearScene
import trap_R_RegisterFont
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_AS_GetBModelSound
import trap_AS_AddLocalSet
import trap_AS_UpdateAmbientSet
import trap_AS_ParseSets
import trap_AS_AddPrecacheEntry
import trap_S_StopBackgroundTrack
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddRealLoopingSound
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StopLoopingSound
import trap_S_StartSound
import trap_S_StopAllSounds
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import CG_ApplyGore
import CG_ParseGore
import CG_ParseAnimationFile
import CG_CheckChangedPredictableEvents
import CG_TransitionPlayerState
import CG_Respawn
import CG_PlayBufferedVoiceChats
import CG_VoiceChatLocal
import CG_ShaderStateChanged
import CG_LoadVoiceChats
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_MapRestart
import CG_InitConsoleCommands
import CG_ConsoleCommand
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingStage
import CG_LoadingString
import CG_TestLine
import CG_GlassShatter
import CG_BulletFlyBySound
import CG_BubbleTrail
import CG_AddLocalEntities
import CG_AllocLocalEntity
import CG_FreeLocalEntity
import CG_InitLocalEntities
import CG_WeaponCallback
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_PlayerWeaponEffects
import CG_AddViewWeapon
import CG_AnimateViewWeapon
import CG_Bullet
import CG_HandleStickyMissile
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_ProjectileThink
import CG_FireWeapon
import CG_SetWeaponAnim
import CG_UpdateViewWeaponSurfaces
import CG_RegisterItemVisuals
import CG_ShutDownWeapons
import CG_RegisterWeapon
import CG_WeaponSelectable
import CG_Weapon_f
import CG_PrevWeapon
import CG_NextWeapon
import CG_ScaleModelAxis
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_InitHitModel
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_PlayerTrace
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_PlayerShadow
import CG_RemoveIdentityItemsOnBack
import CG_RegisterIdentity
import CG_UpdatePlayerModel
import CG_CustomPlayerSound
import CG_CustomSound
import CG_NewClientInfo
import CG_ResetPlayerEntity
import CG_Player
import CG_DrawMapChange
import CG_GameTypeString
import CG_Text_PaintChar
import CG_Draw3DG2Model
import CG_Draw3DModel
import CG_GetGameStatusText
import CG_GetTeamColor
import CG_RunMenuScript
import CG_OwnerDrawDisabled
import CG_OwnerDrawVisible
import CG_GetValue
import CG_OwnerDraw
import CG_DrawActive
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import CG_DrawTimer
import CG_DrawTextWithCursor
import CG_DrawText
import CG_GetColorForHealth
import CG_DrawTopBottom
import CG_DrawSides
import CG_DrawRect
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawRotatePic2
import CG_DrawRotatePic
import CG_DrawStretchPic
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_UpdateCameraShake
import CG_CameraShake
import CG_DrawActiveFrame
import CG_AddBufferedSound
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_TeamCount
import CG_EventHandling
import CG_MouseEvent
import CG_KeyEvent
import CG_LoadMenus
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateTeamCountCvars
import CG_UpdateCvars
import CG_StartMusic
import CG_GetEntity
import CG_Argv
import CG_ConfigString
import cg_temp4
import cg_temp3
import cg_temp2
import cg_temp1
import cg_drawSmile
import cg_crosshairInfo
import cg_drawClock
import cg_drawWeaponType
import cg_drawTeamInfo
import cg_hudOpacity
import cg_hudBackGround
import cg_hudFiles
import cg_defaultHud
import cg_zoomWeaponChange
import rw_enabled
import cg_bodyTime
import cg_weaponMenuFast
import cg_soundFrag
import cg_soundGlobal
import cg_voiceGlobal
import cg_voiceRadio
import ui_info_seenobjectives
import ui_info_pickupsdisabled
import ui_info_freecount
import ui_info_speccount
import ui_info_bluecount
import ui_info_redcount
import cg_automap_a
import cg_automap_h
import cg_automap_w
import cg_automap_y
import cg_automap_x
import cg_animBlend
import cg_tracerChance
import cg_damageindicator
import RMG_distancecull
import cg_lockDeaths
import cg_lockBlood
import cg_lockSever
import cg_DebugGore
import cg_currentSelectedPlayerName
import cg_currentSelectedPlayer
import cg_noProjectileTrail
import cg_noTaunt
import cg_cameraMode
import cg_timescale
import cg_cameraOrbitDelay
import cg_cameraOrbit
import pmove_msec
import pmove_fixed
import cg_smoothClients
import cg_noVoiceText
import cg_teamChatsOnly
import cg_drawFriend
import cg_deferPlayers
import cg_autoReload
import cg_impactPrediction
import cg_antiLag
import cg_predictItems
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_stats
import cg_chatHeight
import cg_chatTime
import cg_synchronousClients
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPersonHorzOffset
import cg_thirdPersonPitch
import cg_thirdPersonYaw
import cg_thirdPersonRange
import cg_thirdPerson
import cg_goreDetail
import cg_shellEjection
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_footsteps
import cg_showmiss
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_draw2D
import cg_crosshairFriendRGBA
import cg_crosshairRGBA
import cg_crosshairGrow
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_drawHUDIcons
import cg_drawTeamScores
import cg_drawRadar
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_shadows
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centerY
import cg_centertime
import con_notifyTime
import cg_items
import cg_weapons
import cg
import cgs
import cg_numpermanents
import cg_permanents
import cg_entities
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $279
char 1 67
char 1 71
char 1 95
char 1 80
char 1 114
char 1 111
char 1 99
char 1 101
char 1 115
char 1 115
char 1 83
char 1 110
char 1 97
char 1 112
char 1 115
char 1 104
char 1 111
char 1 116
char 1 115
char 1 58
char 1 32
char 1 99
char 1 103
char 1 46
char 1 110
char 1 101
char 1 120
char 1 116
char 1 83
char 1 110
char 1 97
char 1 112
char 1 45
char 1 62
char 1 115
char 1 101
char 1 114
char 1 118
char 1 101
char 1 114
char 1 84
char 1 105
char 1 109
char 1 101
char 1 32
char 1 60
char 1 61
char 1 32
char 1 99
char 1 103
char 1 46
char 1 116
char 1 105
char 1 109
char 1 101
char 1 0
align 1
LABELV $267
char 1 67
char 1 71
char 1 95
char 1 80
char 1 114
char 1 111
char 1 99
char 1 101
char 1 115
char 1 115
char 1 83
char 1 110
char 1 97
char 1 112
char 1 115
char 1 104
char 1 111
char 1 116
char 1 115
char 1 58
char 1 32
char 1 99
char 1 103
char 1 46
char 1 115
char 1 110
char 1 97
char 1 112
char 1 32
char 1 61
char 1 61
char 1 32
char 1 78
char 1 85
char 1 76
char 1 76
char 1 0
align 1
LABELV $257
char 1 67
char 1 71
char 1 95
char 1 80
char 1 114
char 1 111
char 1 99
char 1 101
char 1 115
char 1 115
char 1 83
char 1 110
char 1 97
char 1 112
char 1 115
char 1 104
char 1 111
char 1 116
char 1 115
char 1 58
char 1 32
char 1 83
char 1 101
char 1 114
char 1 118
char 1 101
char 1 114
char 1 32
char 1 116
char 1 105
char 1 109
char 1 101
char 1 32
char 1 119
char 1 101
char 1 110
char 1 116
char 1 32
char 1 98
char 1 97
char 1 99
char 1 107
char 1 119
char 1 97
char 1 114
char 1 100
char 1 115
char 1 0
align 1
LABELV $252
char 1 78
char 1 79
char 1 83
char 1 78
char 1 65
char 1 80
char 1 10
char 1 0
align 1
LABELV $229
char 1 67
char 1 71
char 1 95
char 1 80
char 1 114
char 1 111
char 1 99
char 1 101
char 1 115
char 1 115
char 1 83
char 1 110
char 1 97
char 1 112
char 1 115
char 1 104
char 1 111
char 1 116
char 1 115
char 1 58
char 1 32
char 1 110
char 1 32
char 1 60
char 1 32
char 1 99
char 1 103
char 1 46
char 1 108
char 1 97
char 1 116
char 1 101
char 1 115
char 1 116
char 1 83
char 1 110
char 1 97
char 1 112
char 1 115
char 1 104
char 1 111
char 1 116
char 1 78
char 1 117
char 1 109
char 1 0
align 1
LABELV $202
char 1 87
char 1 65
char 1 82
char 1 78
char 1 73
char 1 78
char 1 71
char 1 58
char 1 32
char 1 67
char 1 71
char 1 95
char 1 82
char 1 101
char 1 97
char 1 100
char 1 78
char 1 101
char 1 120
char 1 116
char 1 83
char 1 110
char 1 97
char 1 112
char 1 115
char 1 104
char 1 111
char 1 116
char 1 58
char 1 32
char 1 119
char 1 97
char 1 121
char 1 32
char 1 111
char 1 117
char 1 116
char 1 32
char 1 111
char 1 102
char 1 32
char 1 114
char 1 97
char 1 110
char 1 103
char 1 101
char 1 44
char 1 32
char 1 37
char 1 105
char 1 32
char 1 62
char 1 32
char 1 37
char 1 105
char 1 0
align 1
LABELV $133
char 1 67
char 1 71
char 1 95
char 1 84
char 1 114
char 1 97
char 1 110
char 1 115
char 1 105
char 1 116
char 1 105
char 1 111
char 1 110
char 1 83
char 1 110
char 1 97
char 1 112
char 1 115
char 1 104
char 1 111
char 1 116
char 1 58
char 1 32
char 1 78
char 1 85
char 1 76
char 1 76
char 1 32
char 1 99
char 1 103
char 1 46
char 1 110
char 1 101
char 1 120
char 1 116
char 1 83
char 1 110
char 1 97
char 1 112
char 1 0
align 1
LABELV $129
char 1 67
char 1 71
char 1 95
char 1 84
char 1 114
char 1 97
char 1 110
char 1 115
char 1 105
char 1 116
char 1 105
char 1 111
char 1 110
char 1 83
char 1 110
char 1 97
char 1 112
char 1 115
char 1 104
char 1 111
char 1 116
char 1 58
char 1 32
char 1 78
char 1 85
char 1 76
char 1 76
char 1 32
char 1 99
char 1 103
char 1 46
char 1 115
char 1 110
char 1 97
char 1 112
char 1 0
align 1
LABELV $112
char 1 67
char 1 71
char 1 95
char 1 83
char 1 101
char 1 116
char 1 73
char 1 110
char 1 105
char 1 116
char 1 105
char 1 97
char 1 108
char 1 83
char 1 110
char 1 97
char 1 112
char 1 115
char 1 104
char 1 111
char 1 116
char 1 32
char 1 105
char 1 110
char 1 118
char 1 97
char 1 108
char 1 105
char 1 100
char 1 32
char 1 103
char 1 50
char 1 32
char 1 112
char 1 111
char 1 105
char 1 110
char 1 116
char 1 101
char 1 114
char 1 32
char 1 102
char 1 111
char 1 114
char 1 32
char 1 99
char 1 108
char 1 105
char 1 101
char 1 110
char 1 116
char 1 10
char 1 0
