export CG_RegisterItemVisuals
code
proc CG_RegisterItemVisuals 108 28
file "../cg_weaponinit.c"
line 20
;1:// Copyright (C) 2001-2002 Raven Software, Inc.
;2://
;3:// cg_weaponinit.c -- weapon initialization
;4:
;5:#include "cg_local.h"
;6:#include "../game/bg_weapons.h"
;7:
;8:// FIMXE: This is defined in a C++ header file. 
;9:// We need to break it up or somethin so we don't have mutliple defs.
;10:#define GHOUL2_NORENDER 2
;11:
;12:/*
;13:=================
;14:CG_RegisterItemVisuals
;15:
;16:The server says this item is used on this level
;17:=================
;18:*/
;19:void CG_RegisterItemVisuals( int itemNum ) 
;20:{
line 25
;21:	itemInfo_t		*itemInfo;
;22:	gitem_t			*item;
;23:	char			simpleName[MAX_QPATH];
;24:
;25:	if ( itemNum < 0 || itemNum >= bg_numItems ) 
ADDRLP4 72
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 72
INDIRI4
CNSTI4 0
LTI4 $95
ADDRLP4 72
INDIRI4
ADDRGP4 bg_numItems
INDIRI4
LTI4 $93
LABELV $95
line 26
;26:	{
line 27
;27:		Com_Error( ERR_FATAL, "CG_RegisterItemVisuals: itemNum %d out of range [0-%d]", itemNum, bg_numItems-1 );
CNSTI4 0
ARGI4
ADDRGP4 $96
ARGP4
ADDRFP4 0
INDIRI4
ARGI4
ADDRGP4 bg_numItems
INDIRI4
CNSTI4 1
SUBI4
ARGI4
ADDRGP4 Com_Error
CALLV
pop
line 28
;28:	}
LABELV $93
line 30
;29:
;30:	itemInfo = &cg_items[ itemNum ];
ADDRLP4 0
CNSTI4 68
ADDRFP4 0
INDIRI4
MULI4
ADDRGP4 cg_items
ADDP4
ASGNP4
line 31
;31:	if ( itemInfo->registered ) 
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 0
EQI4 $97
line 32
;32:	{
line 33
;33:		return;
ADDRGP4 $92
JUMPV
LABELV $97
line 36
;34:	}
;35:
;36:	item = &bg_itemlist[ itemNum ];
ADDRLP4 4
ADDRFP4 0
INDIRI4
CNSTI4 6
LSHI4
ADDRGP4 bg_itemlist
ADDP4
ASGNP4
line 38
;37:
;38:	memset( itemInfo, 0, sizeof( &itemInfo ) );
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 0
ARGI4
CNSTI4 4
ARGI4
ADDRGP4 memset
CALLP4
pop
line 39
;39:	itemInfo->registered = qtrue;
ADDRLP4 0
INDIRP4
CNSTI4 1
ASGNI4
line 41
;40:
;41:	itemInfo->models[0] = trap_R_RegisterModel( item->world_model[0] );
ADDRLP4 4
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ARGP4
ADDRLP4 76
ADDRGP4 trap_R_RegisterModel
CALLI4
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
ADDRLP4 76
INDIRI4
ASGNI4
line 44
;42:
;43:	// Check to see if its a ghoul model we loaded
;44:	if (!Q_stricmp(&item->world_model[0][strlen(item->world_model[0]) - 4], ".glm"))
ADDRLP4 4
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ARGP4
ADDRLP4 80
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 80
INDIRI4
CNSTI4 4
SUBI4
ADDRLP4 4
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ADDP4
ARGP4
ADDRGP4 $101
ARGP4
ADDRLP4 84
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 84
INDIRI4
CNSTI4 0
NEI4 $99
line 45
;45:	{
line 46
;46:		trap_G2API_InitGhoul2Model(&itemInfo->g2Models[0], item->world_model[0], 0 , 0, 0, 0, 0);
ADDRLP4 0
INDIRP4
CNSTI4 28
ADDP4
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ARGP4
ADDRLP4 88
CNSTI4 0
ASGNI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRGP4 trap_G2API_InitGhoul2Model
CALLI4
pop
line 47
;47:		itemInfo->radius[0] = 60;
ADDRLP4 0
INDIRP4
CNSTI4 44
ADDP4
CNSTF4 1114636288
ASGNF4
line 50
;48:
;49:		// Special case to make sure some sufaces are show that should be
;50:		switch ( item->giTag )
ADDRLP4 92
ADDRLP4 4
INDIRP4
CNSTI4 48
ADDP4
INDIRI4
ASGNI4
ADDRLP4 92
INDIRI4
CNSTI4 10
EQI4 $107
ADDRLP4 92
INDIRI4
CNSTI4 11
EQI4 $105
ADDRGP4 $102
JUMPV
line 51
;51:		{
LABELV $105
line 53
;52:			case WP_AK74_ASSAULT_RIFLE:
;53:				trap_G2API_SetSurfaceOnOff( itemInfo->g2Models[0], 0, "bayonet_off", 0 );
ADDRLP4 0
INDIRP4
CNSTI4 28
ADDP4
INDIRP4
ARGP4
ADDRLP4 100
CNSTI4 0
ASGNI4
ADDRLP4 100
INDIRI4
ARGI4
ADDRGP4 $106
ARGP4
ADDRLP4 100
INDIRI4
ARGI4
ADDRGP4 trap_G2API_SetSurfaceOnOff
CALLI4
pop
line 54
;54:				break;
ADDRGP4 $103
JUMPV
LABELV $107
line 57
;55:
;56:			case WP_M4_ASSAULT_RIFLE:
;57:				trap_G2API_SetSurfaceOnOff( itemInfo->g2Models[0], 0, "m203_off", 0 );
ADDRLP4 0
INDIRP4
CNSTI4 28
ADDP4
INDIRP4
ARGP4
ADDRLP4 104
CNSTI4 0
ASGNI4
ADDRLP4 104
INDIRI4
ARGI4
ADDRGP4 $108
ARGP4
ADDRLP4 104
INDIRI4
ARGI4
ADDRGP4 trap_G2API_SetSurfaceOnOff
CALLI4
pop
line 58
;58:				break;
LABELV $102
LABELV $103
line 60
;59:		}
;60:	}
LABELV $99
line 62
;61:
;62:	itemInfo->icon = trap_R_RegisterShaderNoMip( item->icon );
ADDRLP4 4
INDIRP4
CNSTI4 24
ADDP4
INDIRP4
ARGP4
ADDRLP4 88
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 20
ADDP4
ADDRLP4 88
INDIRI4
ASGNI4
line 64
;63:
;64:	if (item->icon[0])
ADDRLP4 4
INDIRP4
CNSTI4 24
ADDP4
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $109
line 65
;65:	{
line 66
;66:		Com_sprintf(simpleName, sizeof(simpleName), "%s_simple", item->icon);
ADDRLP4 8
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $111
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 24
ADDP4
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 67
;67:		itemInfo->mSimpleIcon = trap_R_RegisterShader(simpleName);
ADDRLP4 8
ARGP4
ADDRLP4 92
ADDRGP4 trap_R_RegisterShader
CALLI4
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 92
INDIRI4
ASGNI4
line 68
;68:	}
ADDRGP4 $110
JUMPV
LABELV $109
line 70
;69:	else
;70:	{
line 71
;71:		itemInfo->mSimpleIcon = 0;
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
CNSTI4 0
ASGNI4
line 72
;72:	}
LABELV $110
line 75
;73:
;74:
;75:	if ( item->giType == IT_WEAPON ) 
ADDRLP4 4
INDIRP4
CNSTI4 44
ADDP4
INDIRI4
CNSTI4 1
NEI4 $112
line 76
;76:	{
line 77
;77:		CG_RegisterWeapon( item->giTag );
ADDRLP4 4
INDIRP4
CNSTI4 48
ADDP4
INDIRI4
ARGI4
ADDRGP4 CG_RegisterWeapon
CALLV
pop
line 78
;78:	}
LABELV $112
line 79
;79:}
LABELV $92
endproc CG_RegisterItemVisuals 108 28
export CG_RegisterWeapon
proc CG_RegisterWeapon 152 28
line 89
;80:
;81:/*
;82:=================
;83:CG_RegisterWeapon
;84:
;85:The server says this item is used on this level
;86:=================
;87:*/
;88:void CG_RegisterWeapon(int weaponNum)
;89:{
line 105
;90:	weaponInfo_t		*weaponInfo;
;91:	weaponData_t		*weaponDat;
;92:	TWeaponModel		*weaponModel;
;93:	TOptionalWeapon		*optionalPart;
;94:	gitem_t				*item,*ammo;
;95:	TWeaponParseInfo	*wPI;
;96:	int					weaponIndex;	// model index for view weapon models
;97:	int					bufferIndex;	// weapon + buffer + rhand [+ lhand ]
;98:	int					rHandIndex;
;99:	int					lHandIndex;
;100:	int					boltonIndex;
;101:	int					boltIndex;
;102:	int					soundSet, i;
;103:	int					*indexes;
;104:
;105:	if(weaponNum==0)
ADDRFP4 0
INDIRI4
CNSTI4 0
NEI4 $115
line 106
;106:	{
line 107
;107:		return;
ADDRGP4 $114
JUMPV
LABELV $115
line 110
;108:	}
;109:	
;110:	boltonIndex = -1;
ADDRLP4 36
CNSTI4 -1
ASGNI4
line 112
;111:
;112:	assert(weaponNum < WP_NUM_WEAPONS);
line 114
;113:
;114:	weaponInfo=&cg_weapons[weaponNum];
ADDRLP4 8
CNSTI4 408
ADDRFP4 0
INDIRI4
MULI4
ADDRGP4 cg_weapons
ADDP4
ASGNP4
line 115
;115:	if(weaponInfo->registered)
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 0
EQI4 $117
line 116
;116:	{
line 117
;117:		return;
ADDRGP4 $114
JUMPV
LABELV $117
line 120
;118:	}
;119:
;120:	memset(weaponInfo,0,sizeof(*weaponInfo));
ADDRLP4 8
INDIRP4
ARGP4
CNSTI4 0
ARGI4
CNSTI4 408
ARGI4
ADDRGP4 memset
CALLP4
pop
line 123
;121:
;122:	// Register the item visuals (icons etc).
;123:	weaponInfo->item = item = BG_FindWeaponItem ( weaponNum );
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 64
ADDRGP4 BG_FindWeaponItem
CALLP4
ASGNP4
ADDRLP4 44
ADDRLP4 64
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CNSTI4 4
ADDP4
ADDRLP4 64
INDIRP4
ASGNP4
line 126
;124:
;125:	// Must be initial loading
;126:	if ( !weaponInfo->registered )
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 0
NEI4 $119
line 127
;127:	{
line 128
;128:		CG_LoadingItem( item - bg_itemlist );
ADDRLP4 44
INDIRP4
CVPU4 4
ADDRGP4 bg_itemlist
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 64
DIVI4
ARGI4
ADDRGP4 CG_LoadingItem
CALLV
pop
line 129
;129:	}
LABELV $119
line 132
;130:
;131:	// Ok, successfully registered the entire weapon.
;132:	weaponInfo->registered=qtrue;
ADDRLP4 8
INDIRP4
CNSTI4 1
ASGNI4
line 134
;133:
;134:	weaponDat = &weaponData[weaponNum];
ADDRLP4 28
CNSTI4 1828
ADDRFP4 0
INDIRI4
MULI4
ADDRGP4 weaponData
ADDP4
ASGNP4
line 136
;135:
;136:	if(item->classname)
ADDRLP4 44
INDIRP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $121
line 137
;137:	{
line 139
;138:		// Hmmm... this needs some work... some of it looks if now.
;139:		CG_RegisterItemVisuals( item - bg_itemlist );	
ADDRLP4 44
INDIRP4
CVPU4 4
ADDRGP4 bg_itemlist
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 64
DIVI4
ARGI4
ADDRGP4 CG_RegisterItemVisuals
CALLV
pop
line 140
;140:	}
ADDRGP4 $122
JUMPV
LABELV $121
line 142
;141:	else
;142:	{	
line 143
;143:		Com_Error( ERR_FATAL, "CG_RegisterWeapon: Couldn't find weapon item %i", weaponNum);
CNSTI4 0
ARGI4
ADDRGP4 $123
ARGP4
ADDRFP4 0
INDIRI4
ARGI4
ADDRGP4 Com_Error
CALLV
pop
line 144
;144:	}
LABELV $122
line 147
;145:
;146:	// Register the weapon's world ammo model.
;147:	for ( ammo = bg_itemlist + 1 ; ammo->classname ; ammo++ )
ADDRLP4 20
ADDRGP4 bg_itemlist+64
ASGNP4
ADDRGP4 $127
JUMPV
LABELV $124
line 148
;148:	{
line 149
;149:		if ( ammo->giType == IT_AMMO && ammo->giTag == weaponNum )
ADDRLP4 20
INDIRP4
CNSTI4 44
ADDP4
INDIRI4
CNSTI4 2
NEI4 $129
ADDRLP4 20
INDIRP4
CNSTI4 48
ADDP4
INDIRI4
ADDRFP4 0
INDIRI4
NEI4 $129
line 150
;150:		{
line 151
;151:			break;
ADDRGP4 $126
JUMPV
LABELV $129
line 153
;152:		}
;153:	}
LABELV $125
line 147
ADDRLP4 20
ADDRLP4 20
INDIRP4
CNSTI4 64
ADDP4
ASGNP4
LABELV $127
ADDRLP4 20
INDIRP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $124
LABELV $126
line 155
;154:
;155:	if( ammo->classname && ammo->world_model[0] )
ADDRLP4 72
CNSTU4 0
ASGNU4
ADDRLP4 20
INDIRP4
INDIRP4
CVPU4 4
ADDRLP4 72
INDIRU4
EQU4 $131
ADDRLP4 20
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 72
INDIRU4
EQU4 $131
line 156
;156:	{
line 157
;157:		trap_G2API_InitGhoul2Model(&weaponInfo->ammoG2Model,ammo->world_model[0],0,0,0,0,0);
ADDRLP4 8
INDIRP4
CNSTI4 64
ADDP4
ARGP4
ADDRLP4 20
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ARGP4
ADDRLP4 76
CNSTI4 0
ASGNI4
ADDRLP4 76
INDIRI4
ARGI4
ADDRLP4 76
INDIRI4
ARGI4
ADDRLP4 76
INDIRI4
ARGI4
ADDRLP4 76
INDIRI4
ARGI4
ADDRLP4 76
INDIRI4
ARGI4
ADDRGP4 trap_G2API_InitGhoul2Model
CALLI4
pop
line 158
;158:	}
LABELV $131
line 161
;159:
;160:	// Create the world model.
;161:	weaponIndex = trap_G2API_InitGhoul2Model(&weaponInfo->weaponG2Model,weaponDat->worldModel,0,0,0,0,0);
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
ARGP4
ADDRLP4 28
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 76
CNSTI4 0
ASGNI4
ADDRLP4 76
INDIRI4
ARGI4
ADDRLP4 76
INDIRI4
ARGI4
ADDRLP4 76
INDIRI4
ARGI4
ADDRLP4 76
INDIRI4
ARGI4
ADDRLP4 76
INDIRI4
ARGI4
ADDRLP4 80
ADDRGP4 trap_G2API_InitGhoul2Model
CALLI4
ASGNI4
ADDRLP4 40
ADDRLP4 80
INDIRI4
ASGNI4
line 162
;162:	if(!trap_G2_HaveWeGhoul2Models(weaponInfo->weaponG2Model))
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ARGP4
ADDRLP4 84
ADDRGP4 trap_G2_HaveWeGhoul2Models
CALLI4
ASGNI4
ADDRLP4 84
INDIRI4
CNSTI4 0
NEI4 $133
line 163
;163:	{
line 164
;164:		Com_Printf("CG_RegisterWeapon: Unable to load weapon world model: %s\n", weaponDat->worldModel);
ADDRGP4 $135
ARGP4
ADDRLP4 28
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 165
;165:	}
LABELV $133
line 168
;166:
;167:	// Register the weapon model...
;168:	indexes=weaponInfo->viewG2Indexes;
ADDRLP4 32
ADDRLP4 8
INDIRP4
CNSTI4 16
ADDP4
ASGNP4
line 169
;169:	for(i=0;i<8;i++)
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $136
line 170
;170:	{
line 171
;171:		indexes[i]=-1;
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 32
INDIRP4
ADDP4
CNSTI4 -1
ASGNI4
line 172
;172:	}
LABELV $137
line 169
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 8
LTI4 $136
line 174
;173:
;174:	wPI=&weaponParseInfo[weaponNum];
ADDRLP4 12
CNSTI4 4544
ADDRFP4 0
INDIRI4
MULI4
ADDRGP4 weaponParseInfo
ADDP4
ASGNP4
line 177
;175:	
;176:	// Create the view weapon model in slot 0.
;177:	indexes[0] = weaponIndex = trap_G2API_InitGhoul2Model(&weaponInfo->viewG2Model,
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 12
INDIRP4
CNSTI4 3832
ADDP4
ARGP4
ADDRLP4 88
CNSTI4 0
ASGNI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 88
INDIRI4
ARGI4
ADDRLP4 92
ADDRGP4 trap_G2API_InitGhoul2Model
CALLI4
ASGNI4
ADDRLP4 40
ADDRLP4 92
INDIRI4
ASGNI4
ADDRLP4 32
INDIRP4
ADDRLP4 92
INDIRI4
ASGNI4
line 181
;178:													      wPI->mWeaponModel.mModel,0,0,0,0,0);
;179:
;180:	// Now build and assemble all the other bits.
;181:	if(trap_G2_HaveWeGhoul2Models(weaponInfo->viewG2Model))
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ARGP4
ADDRLP4 96
ADDRGP4 trap_G2_HaveWeGhoul2Models
CALLI4
ASGNI4
ADDRLP4 96
INDIRI4
CNSTI4 0
EQI4 $140
line 182
;182:	{		
line 184
;183:		// Add a bolt to the weapon so buffer can be bolted on.
;184:		boltIndex=trap_G2API_AddBolt(weaponInfo->viewG2Model,weaponIndex,wPI->mWeaponModel.mBufferBoltToBone);
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ARGP4
ADDRLP4 40
INDIRI4
ARGI4
ADDRLP4 12
INDIRP4
CNSTI4 4024
ADDP4
ARGP4
ADDRLP4 100
ADDRGP4 trap_G2API_AddBolt
CALLI4
ASGNI4
ADDRLP4 52
ADDRLP4 100
INDIRI4
ASGNI4
line 187
;185:
;186:		// Every view weapon has a buffer, create this in slot 1.
;187:		indexes[1]=bufferIndex=trap_G2API_InitGhoul2Model(&weaponInfo->viewG2Model,
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 12
INDIRP4
CNSTI4 3960
ADDP4
ARGP4
ADDRLP4 40
INDIRI4
CNSTI4 1
ADDI4
ARGI4
ADDRLP4 104
CNSTI4 0
ASGNI4
ADDRLP4 104
INDIRI4
ARGI4
ADDRLP4 104
INDIRI4
ARGI4
ADDRLP4 104
INDIRI4
ARGI4
ADDRLP4 104
INDIRI4
ARGI4
ADDRLP4 108
ADDRGP4 trap_G2API_InitGhoul2Model
CALLI4
ASGNI4
ADDRLP4 48
ADDRLP4 108
INDIRI4
ASGNI4
ADDRLP4 32
INDIRP4
CNSTI4 4
ADDP4
ADDRLP4 108
INDIRI4
ASGNI4
line 191
;188:														  wPI->mWeaponModel.mBufferModel,
;189:														  weaponIndex+1,0,0,0,0);
;190:		// Bolt the buffer to the weapon.
;191:		trap_G2API_AttachG2Model(weaponInfo->viewG2Model,bufferIndex, 
ADDRLP4 112
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ASGNP4
ADDRLP4 112
INDIRP4
ARGP4
ADDRLP4 48
INDIRI4
ARGI4
ADDRLP4 112
INDIRP4
ARGP4
ADDRLP4 52
INDIRI4
ARGI4
ADDRLP4 40
INDIRI4
ARGI4
ADDRGP4 trap_G2API_AttachG2Model
CALLI4
pop
line 195
;192:								 weaponInfo->viewG2Model,boltIndex,weaponIndex);
;193:
;194:		// Right hand??
;195:		if(wPI->mWeaponModel.mRightHandsBoltToBone[0])
ADDRLP4 12
INDIRP4
CNSTI4 4280
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $142
line 196
;196:		{
line 198
;197:			// Add a right hand bolt to the buffer.
;198:			boltIndex=trap_G2API_AddBolt(weaponInfo->viewG2Model,bufferIndex,
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ARGP4
ADDRLP4 48
INDIRI4
ARGI4
ADDRLP4 12
INDIRP4
CNSTI4 4280
ADDP4
ARGP4
ADDRLP4 116
ADDRGP4 trap_G2API_AddBolt
CALLI4
ASGNI4
ADDRLP4 52
ADDRLP4 116
INDIRI4
ASGNI4
line 202
;199:										 wPI->mWeaponModel.mRightHandsBoltToBone);
;200:
;201:			// Right hand.. create this now in slot 2.
;202:			indexes[2]=rHandIndex=trap_G2API_InitGhoul2Model(&weaponInfo->viewG2Model,
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 $144
ARGP4
ADDRLP4 40
INDIRI4
CNSTI4 2
ADDI4
ARGI4
ADDRLP4 120
CNSTI4 0
ASGNI4
ADDRLP4 120
INDIRI4
ARGI4
ADDRLP4 120
INDIRI4
ARGI4
ADDRLP4 120
INDIRI4
ARGI4
ADDRLP4 120
INDIRI4
ARGI4
ADDRLP4 124
ADDRGP4 trap_G2API_InitGhoul2Model
CALLI4
ASGNI4
ADDRLP4 56
ADDRLP4 124
INDIRI4
ASGNI4
ADDRLP4 32
INDIRP4
CNSTI4 8
ADDP4
ADDRLP4 124
INDIRI4
ASGNI4
line 207
;203:								 							 "models/weapons/rhand/rhand.glm",
;204:															 weaponIndex+2,0,0,0,0);
;205:			
;206:			// Bolt the right hand to the buffer.
;207:			trap_G2API_AttachG2Model(weaponInfo->viewG2Model,rHandIndex,weaponInfo->viewG2Model,
ADDRLP4 128
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ASGNP4
ADDRLP4 128
INDIRP4
ARGP4
ADDRLP4 56
INDIRI4
ARGI4
ADDRLP4 128
INDIRP4
ARGP4
ADDRLP4 52
INDIRI4
ARGI4
ADDRLP4 48
INDIRI4
ARGI4
ADDRGP4 trap_G2API_AttachG2Model
CALLI4
pop
line 209
;208:									 boltIndex,bufferIndex);
;209:		}
LABELV $142
line 212
;210:
;211:		// Left hand??
;212:		if(wPI->mWeaponModel.mLeftHandsBoltToBone[0])
ADDRLP4 12
INDIRP4
CNSTI4 4216
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $145
line 213
;213:		{
line 215
;214:			// Add a left hand bolt to the buffer.
;215:			boltIndex=trap_G2API_AddBolt(weaponInfo->viewG2Model,bufferIndex,
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ARGP4
ADDRLP4 48
INDIRI4
ARGI4
ADDRLP4 12
INDIRP4
CNSTI4 4216
ADDP4
ARGP4
ADDRLP4 116
ADDRGP4 trap_G2API_AddBolt
CALLI4
ASGNI4
ADDRLP4 52
ADDRLP4 116
INDIRI4
ASGNI4
line 219
;216:										 wPI->mWeaponModel.mLeftHandsBoltToBone);
;217:
;218:			// Left hand.. create this now in slot 3.
;219:			indexes[3]=lHandIndex=trap_G2API_InitGhoul2Model(&weaponInfo->viewG2Model,
ADDRLP4 120
CNSTI4 12
ASGNI4
ADDRLP4 8
INDIRP4
ADDRLP4 120
INDIRI4
ADDP4
ARGP4
ADDRGP4 $147
ARGP4
ADDRLP4 40
INDIRI4
CNSTI4 3
ADDI4
ARGI4
ADDRLP4 124
CNSTI4 0
ASGNI4
ADDRLP4 124
INDIRI4
ARGI4
ADDRLP4 124
INDIRI4
ARGI4
ADDRLP4 124
INDIRI4
ARGI4
ADDRLP4 124
INDIRI4
ARGI4
ADDRLP4 128
ADDRGP4 trap_G2API_InitGhoul2Model
CALLI4
ASGNI4
ADDRLP4 60
ADDRLP4 128
INDIRI4
ASGNI4
ADDRLP4 32
INDIRP4
ADDRLP4 120
INDIRI4
ADDP4
ADDRLP4 128
INDIRI4
ASGNI4
line 224
;220:														    "models/weapons/lhand/lhand.glm",
;221:															weaponIndex+3,0,0,0,0);
;222:
;223:			// Bolt the left hand to the buffer.
;224:			trap_G2API_AttachG2Model(weaponInfo->viewG2Model,lHandIndex,weaponInfo->viewG2Model,
ADDRLP4 132
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ASGNP4
ADDRLP4 132
INDIRP4
ARGP4
ADDRLP4 60
INDIRI4
ARGI4
ADDRLP4 132
INDIRP4
ARGP4
ADDRLP4 52
INDIRI4
ARGI4
ADDRLP4 48
INDIRI4
ARGI4
ADDRGP4 trap_G2API_AttachG2Model
CALLI4
pop
line 226
;225:									 boltIndex,bufferIndex);
;226:		}
LABELV $145
line 229
;227:
;228:		// Boltons like the M4's grenade launcher?
;229:		if(wPI->mWeaponModel.mBolton)
ADDRLP4 12
INDIRP4
CNSTI4 4540
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $148
line 230
;230:		{
line 232
;231:			// Add a bolton bolt to the buffer.
;232:			boltIndex=trap_G2API_AddBolt(weaponInfo->viewG2Model,bufferIndex,
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ARGP4
ADDRLP4 48
INDIRI4
ARGI4
ADDRLP4 12
INDIRP4
CNSTI4 4540
ADDP4
INDIRP4
CNSTI4 192
ADDP4
ARGP4
ADDRLP4 116
ADDRGP4 trap_G2API_AddBolt
CALLI4
ASGNI4
ADDRLP4 52
ADDRLP4 116
INDIRI4
ASGNI4
line 236
;233:										 wPI->mWeaponModel.mBolton->mBoltToBone);
;234:
;235:			// Bolton.. create this now in slot 4.
;236:			indexes[4]=boltonIndex=trap_G2API_InitGhoul2Model(&weaponInfo->viewG2Model,
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 12
INDIRP4
CNSTI4 4540
ADDP4
INDIRP4
CNSTI4 64
ADDP4
ARGP4
ADDRLP4 40
INDIRI4
CNSTI4 4
ADDI4
ARGI4
ADDRLP4 120
CNSTI4 0
ASGNI4
ADDRLP4 120
INDIRI4
ARGI4
ADDRLP4 120
INDIRI4
ARGI4
ADDRLP4 120
INDIRI4
ARGI4
ADDRLP4 120
INDIRI4
ARGI4
ADDRLP4 124
ADDRGP4 trap_G2API_InitGhoul2Model
CALLI4
ASGNI4
ADDRLP4 36
ADDRLP4 124
INDIRI4
ASGNI4
ADDRLP4 32
INDIRP4
CNSTI4 16
ADDP4
ADDRLP4 124
INDIRI4
ASGNI4
line 240
;237:															  wPI->mWeaponModel.mBolton->mModel,
;238:															  weaponIndex+4,0,0,0,0);
;239:			// Bolt the bolton to the buffer.
;240:			if ( boltonIndex != -1 )
ADDRLP4 36
INDIRI4
CNSTI4 -1
EQI4 $150
line 241
;241:			{
line 242
;242:				trap_G2API_AttachG2Model(weaponInfo->viewG2Model,boltonIndex,weaponInfo->viewG2Model,
ADDRLP4 128
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ASGNP4
ADDRLP4 128
INDIRP4
ARGP4
ADDRLP4 36
INDIRI4
ARGI4
ADDRLP4 128
INDIRP4
ARGP4
ADDRLP4 52
INDIRI4
ARGI4
ADDRLP4 48
INDIRI4
ARGI4
ADDRGP4 trap_G2API_AttachG2Model
CALLI4
pop
line 244
;243:										 boltIndex,bufferIndex);
;244:			}
LABELV $150
line 245
;245:		}
LABELV $148
line 248
;246:
;247:		// Turn of any weapon surfaces that are never seen.
;248:		weaponModel=&wPI->mWeaponModel;
ADDRLP4 24
ADDRLP4 12
INDIRP4
CNSTI4 3768
ADDP4
ASGNP4
line 249
;249:		i=0;
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $153
JUMPV
LABELV $152
line 251
;250:		while(weaponModel->mRightSideSurfaces[i])
;251:		{
line 252
;252:			trap_G2API_SetSurfaceOnOff(weaponInfo->viewG2Model,weaponInfo->viewG2Indexes[0],
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
ARGI4
ADDRLP4 120
CNSTI4 2
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 120
INDIRI4
LSHI4
ADDRLP4 24
INDIRP4
CNSTI4 640
ADDP4
ADDP4
INDIRP4
ARGP4
ADDRLP4 120
INDIRI4
ARGI4
ADDRGP4 trap_G2API_SetSurfaceOnOff
CALLI4
pop
line 254
;253:									   weaponModel->mRightSideSurfaces[i],GHOUL2_NORENDER);
;254:			i++;
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 255
;255:		}
LABELV $153
line 250
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 24
INDIRP4
CNSTI4 640
ADDP4
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $152
line 256
;256:		i=0;
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $156
JUMPV
LABELV $155
line 258
;257:		while(weaponModel->mFrontSurfaces[i])
;258:		{
line 259
;259:			trap_G2API_SetSurfaceOnOff(weaponInfo->viewG2Model,weaponInfo->viewG2Indexes[0],
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
ARGI4
ADDRLP4 120
CNSTI4 2
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 120
INDIRI4
LSHI4
ADDRLP4 24
INDIRP4
CNSTI4 576
ADDP4
ADDP4
INDIRP4
ARGP4
ADDRLP4 120
INDIRI4
ARGI4
ADDRGP4 trap_G2API_SetSurfaceOnOff
CALLI4
pop
line 261
;260:									   weaponModel->mFrontSurfaces[i],GHOUL2_NORENDER);
;261:			i++;
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 262
;262:		}
LABELV $156
line 257
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 24
INDIRP4
CNSTI4 576
ADDP4
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $155
line 263
;263:		if(weaponModel->mBolton && boltonIndex != -1 )
ADDRLP4 24
INDIRP4
CNSTI4 772
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $158
ADDRLP4 36
INDIRI4
CNSTI4 -1
EQI4 $158
line 264
;264:		{
line 265
;265:			i=0;
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $161
JUMPV
LABELV $160
line 267
;266:			while(weaponModel->mBolton->mRightSide[i])
;267:			{
line 268
;268:				trap_G2API_SetSurfaceOnOff(weaponInfo->viewG2Model,boltonIndex,
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ARGP4
ADDRLP4 36
INDIRI4
ARGI4
ADDRLP4 116
CNSTI4 2
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 116
INDIRI4
LSHI4
ADDRLP4 24
INDIRP4
CNSTI4 772
ADDP4
INDIRP4
CNSTI4 256
ADDP4
ADDP4
INDIRP4
ARGP4
ADDRLP4 116
INDIRI4
ARGI4
ADDRGP4 trap_G2API_SetSurfaceOnOff
CALLI4
pop
line 270
;269:										   weaponModel->mBolton->mRightSide[i],GHOUL2_NORENDER);
;270:				i++;
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 271
;271:			}
LABELV $161
line 266
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 24
INDIRP4
CNSTI4 772
ADDP4
INDIRP4
CNSTI4 256
ADDP4
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $160
line 272
;272:		}
LABELV $158
line 275
;273:		
;274:		// Turn off optional parts as we don't want em.
;275:		optionalPart=weaponModel->mOptionalList;
ADDRLP4 16
ADDRLP4 24
INDIRP4
CNSTI4 768
ADDP4
INDIRP4
ASGNP4
ADDRGP4 $164
JUMPV
LABELV $163
line 277
;276:		while(optionalPart)
;277:		{
line 280
;278:			// No real way of knowing what single player intended so we have to
;279:			// hard-code 'em.
;280:			if((!strcmp(optionalPart->mName,"lasersight"))||
ADDRLP4 16
INDIRP4
ARGP4
ADDRGP4 $168
ARGP4
ADDRLP4 116
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 116
INDIRI4
CNSTI4 0
EQI4 $172
ADDRLP4 16
INDIRP4
ARGP4
ADDRGP4 $169
ARGP4
ADDRLP4 120
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 120
INDIRI4
CNSTI4 0
EQI4 $172
ADDRLP4 16
INDIRP4
ARGP4
ADDRGP4 $170
ARGP4
ADDRLP4 124
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 124
INDIRI4
CNSTI4 0
NEI4 $166
LABELV $172
line 283
;281:			   (!strcmp(optionalPart->mName,"silencer"))||
;282:			   (!strcmp(optionalPart->mName,"utl")))
;283:			{
line 284
;284:				i=0;
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $174
JUMPV
LABELV $173
line 286
;285:				while(optionalPart->mSurfaces[i])
;286:				{
line 287
;287:					trap_G2API_SetSurfaceOnOff(weaponInfo->viewG2Model,weaponInfo->viewG2Indexes[0],
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
ARGI4
ADDRLP4 132
CNSTI4 2
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 132
INDIRI4
LSHI4
ADDRLP4 16
INDIRP4
CNSTI4 128
ADDP4
ADDP4
INDIRP4
ARGP4
ADDRLP4 132
INDIRI4
ARGI4
ADDRGP4 trap_G2API_SetSurfaceOnOff
CALLI4
pop
line 289
;288:											   optionalPart->mSurfaces[i],GHOUL2_NORENDER);
;289:					i++;
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 290
;290:				}
LABELV $174
line 285
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 16
INDIRP4
CNSTI4 128
ADDP4
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $173
line 291
;291:			}
LABELV $166
line 292
;292:			optionalPart=optionalPart->mNext;
ADDRLP4 16
ADDRLP4 16
INDIRP4
CNSTI4 192
ADDP4
INDIRP4
ASGNP4
line 293
;293:		}
LABELV $164
line 276
ADDRLP4 16
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $163
line 294
;294:	}
ADDRGP4 $141
JUMPV
LABELV $140
line 296
;295:	else
;296:	{
line 297
;297:		Com_Printf("CG_RegisterWeapon: Unable to load weapon view model: %s\n", wPI->mWeaponModel.mModel);
ADDRGP4 $176
ARGP4
ADDRLP4 12
INDIRP4
CNSTI4 3832
ADDP4
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 298
;298:	}
LABELV $141
line 300
;299:
;300:	weaponInfo->attack[ATTACK_NORMAL].missileTrailFunc = CG_ProjectileThink;
ADDRLP4 8
INDIRP4
CNSTI4 160
ADDP4
ADDRGP4 CG_ProjectileThink
ASGNP4
line 301
;301:	weaponInfo->attack[ATTACK_ALTERNATE].missileTrailFunc = CG_ProjectileThink;
ADDRLP4 8
INDIRP4
CNSTI4 256
ADDP4
ADDRGP4 CG_ProjectileThink
ASGNP4
line 304
;302:
;303:	// Register weapon list menu icons.
;304:	if (weaponDat->menuImage[0])
ADDRLP4 28
INDIRP4
CNSTI4 76
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $177
line 305
;305:	{
line 306
;306:		weaponInfo->weaponIcon = trap_R_RegisterShader( va( "gfx/menus/%s", weaponDat->menuImage) );
ADDRGP4 $179
ARGP4
ADDRLP4 28
INDIRP4
CNSTI4 76
ADDP4
ARGP4
ADDRLP4 100
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 100
INDIRP4
ARGP4
ADDRLP4 104
ADDRGP4 trap_R_RegisterShader
CALLI4
ASGNI4
ADDRLP4 8
INDIRP4
CNSTI4 60
ADDP4
ADDRLP4 104
INDIRI4
ASGNI4
line 307
;307:	}
LABELV $177
line 310
;308:
;309:	// Register the alternate weapon ammo icon for the hud
;310:	if (weaponDat->attack[ATTACK_ALTERNATE].icon[0] )
ADDRLP4 28
INDIRP4
CNSTI4 1044
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $180
line 311
;311:	{
line 312
;312:		weaponInfo->attack[ATTACK_ALTERNATE].ammoIcon = trap_R_RegisterShader( va( "gfx/menus/%s", weaponDat->attack[ATTACK_ALTERNATE].icon ) );
ADDRGP4 $179
ARGP4
ADDRLP4 28
INDIRP4
CNSTI4 1044
ADDP4
ARGP4
ADDRLP4 100
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 100
INDIRP4
ARGP4
ADDRLP4 104
ADDRGP4 trap_R_RegisterShader
CALLI4
ASGNI4
ADDRLP4 8
INDIRP4
CNSTI4 164
ADDP4
ADDRLP4 104
INDIRI4
ASGNI4
line 313
;313:	}
LABELV $180
line 316
;314:
;315:	// Register attack stuff
;316:	for ( i = ATTACK_NORMAL; i < ATTACK_MAX; i ++ )
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $182
line 317
;317:	{
line 318
;318:		attackData_t*	attackData = &weaponDat->attack[i];
ADDRLP4 100
CNSTI4 812
ADDRLP4 0
INDIRI4
MULI4
ADDRLP4 28
INDIRP4
CNSTI4 168
ADDP4
ADDP4
ASGNP4
line 319
;319:		attackInfo_t*	attackInfo = &weaponInfo->attack[i];
ADDRLP4 104
CNSTI4 96
ADDRLP4 0
INDIRI4
MULI4
ADDRLP4 8
INDIRP4
CNSTI4 68
ADDP4
ADDP4
ASGNP4
line 322
;320:
;321:		// Primary muzzle-flash.
;322:		if (attackData->muzzleEffect[0])
ADDRLP4 100
INDIRP4
CNSTI4 228
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $186
line 323
;323:			attackInfo->muzzleEffect = trap_FX_RegisterEffect(attackData->muzzleEffect);
ADDRLP4 100
INDIRP4
CNSTI4 228
ADDP4
ARGP4
ADDRLP4 108
ADDRGP4 trap_FX_RegisterEffect
CALLI4
ASGNI4
ADDRLP4 104
INDIRP4
CNSTI4 64
ADDP4
ADDRLP4 108
INDIRI4
ASGNI4
LABELV $186
line 324
;324:		if (attackData->muzzleEffectInWorld[0])
ADDRLP4 100
INDIRP4
CNSTI4 356
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $188
line 325
;325:			attackInfo->muzzleEffectInWorld = trap_FX_RegisterEffect(attackData->muzzleEffectInWorld);
ADDRLP4 100
INDIRP4
CNSTI4 356
ADDP4
ARGP4
ADDRLP4 112
ADDRGP4 trap_FX_RegisterEffect
CALLI4
ASGNI4
ADDRLP4 104
INDIRP4
CNSTI4 68
ADDP4
ADDRLP4 112
INDIRI4
ASGNI4
LABELV $188
line 326
;326:		if (!attackInfo->muzzleEffectInWorld)
ADDRLP4 104
INDIRP4
CNSTI4 68
ADDP4
INDIRI4
CNSTI4 0
NEI4 $190
line 327
;327:			attackInfo->muzzleEffectInWorld = attackInfo->muzzleEffect;
ADDRLP4 104
INDIRP4
CNSTI4 68
ADDP4
ADDRLP4 104
INDIRP4
CNSTI4 64
ADDP4
INDIRI4
ASGNI4
LABELV $190
line 330
;328:
;329:		// Primary shell eject.
;330:		if (attackData->shellEject[0])
ADDRLP4 100
INDIRP4
CNSTI4 548
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $192
line 331
;331:			attackInfo->shellEject = trap_FX_RegisterEffect(attackData->shellEject);
ADDRLP4 100
INDIRP4
CNSTI4 548
ADDP4
ARGP4
ADDRLP4 120
ADDRGP4 trap_FX_RegisterEffect
CALLI4
ASGNI4
ADDRLP4 104
INDIRP4
CNSTI4 76
ADDP4
ADDRLP4 120
INDIRI4
ASGNI4
LABELV $192
line 332
;332:		if (attackData->tracerEffect[0])
ADDRLP4 100
INDIRP4
CNSTI4 420
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $194
line 333
;333:			attackInfo->tracerEffect = trap_FX_RegisterEffect(attackData->tracerEffect);
ADDRLP4 100
INDIRP4
CNSTI4 420
ADDP4
ARGP4
ADDRLP4 124
ADDRGP4 trap_FX_RegisterEffect
CALLI4
ASGNI4
ADDRLP4 104
INDIRP4
CNSTI4 72
ADDP4
ADDRLP4 124
INDIRI4
ASGNI4
LABELV $194
line 336
;334:
;335:		// Primary explosion.
;336:		if (attackData->explosionEffect[0])
ADDRLP4 100
INDIRP4
CNSTI4 676
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $196
line 337
;337:			attackInfo->explosionEffect = trap_FX_RegisterEffect(attackData->explosionEffect);
ADDRLP4 100
INDIRP4
CNSTI4 676
ADDP4
ARGP4
ADDRLP4 128
ADDRGP4 trap_FX_RegisterEffect
CALLI4
ASGNI4
ADDRLP4 104
INDIRP4
CNSTI4 84
ADDP4
ADDRLP4 128
INDIRI4
ASGNI4
LABELV $196
line 338
;338:		if (attackData->explosionSound[0])
ADDRLP4 100
INDIRP4
CNSTI4 612
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $198
line 339
;339:			attackInfo->explosionSound = trap_S_RegisterSound(attackData->explosionSound);
ADDRLP4 100
INDIRP4
CNSTI4 612
ADDP4
ARGP4
ADDRLP4 132
ADDRGP4 trap_S_RegisterSound
CALLI4
ASGNI4
ADDRLP4 104
INDIRP4
CNSTI4 80
ADDP4
ADDRLP4 132
INDIRI4
ASGNI4
LABELV $198
line 340
;340:		if (attackData->missileG2Model[0])
ADDRLP4 100
INDIRP4
CNSTI4 740
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $200
line 341
;341:			trap_G2API_InitGhoul2Model(&attackInfo->missileG2Model,attackData->missileG2Model,0,0,0,0,0);
ADDRLP4 104
INDIRP4
CNSTI4 88
ADDP4
ARGP4
ADDRLP4 100
INDIRP4
CNSTI4 740
ADDP4
ARGP4
ADDRLP4 136
CNSTI4 0
ASGNI4
ADDRLP4 136
INDIRI4
ARGI4
ADDRLP4 136
INDIRI4
ARGI4
ADDRLP4 136
INDIRI4
ARGI4
ADDRLP4 136
INDIRI4
ARGI4
ADDRLP4 136
INDIRI4
ARGI4
ADDRGP4 trap_G2API_InitGhoul2Model
CALLI4
pop
LABELV $200
line 344
;342:
;343:		// Add the bolts for muzzle flash and shell eject onto the view model.
;344:		if (trap_G2_HaveWeGhoul2Models(weaponInfo->viewG2Model))
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ARGP4
ADDRLP4 140
ADDRGP4 trap_G2_HaveWeGhoul2Models
CALLI4
ASGNI4
ADDRLP4 140
INDIRI4
CNSTI4 0
EQI4 $202
line 345
;345:		{
line 347
;346:			// shell eject bone.
;347:			if ( attackData->ejectBone[0] )
ADDRLP4 100
INDIRP4
CNSTI4 484
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $204
line 348
;348:			{
line 349
;349:				attackInfo->shellEjectBoltView = 
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRLP4 100
INDIRP4
CNSTI4 484
ADDP4
ARGP4
ADDRLP4 144
ADDRGP4 trap_G2API_AddBolt
CALLI4
ASGNI4
ADDRLP4 104
INDIRP4
CNSTI4 48
ADDP4
ADDRLP4 144
INDIRI4
ASGNI4
line 351
;350:					trap_G2API_AddBolt(weaponInfo->viewG2Model, 1, attackData->ejectBone);	
;351:			}
LABELV $204
line 354
;352:
;353:			// Muzzle flash bone.
;354:			attackInfo->muzzleFlashBoltView = -1; 
ADDRLP4 104
INDIRP4
CNSTI4 52
ADDP4
CNSTI4 -1
ASGNI4
line 355
;355:			if(attackData->muzzleEffect[0])
ADDRLP4 100
INDIRP4
CNSTI4 228
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $206
line 356
;356:			{
line 357
;357:				if ( attackData->muzzleEffectBone[0] )
ADDRLP4 100
INDIRP4
CNSTI4 292
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $208
line 358
;358:				{
line 359
;359:					attackInfo->muzzleFlashBoltView = 
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRLP4 100
INDIRP4
CNSTI4 292
ADDP4
ARGP4
ADDRLP4 144
ADDRGP4 trap_G2API_AddBolt
CALLI4
ASGNI4
ADDRLP4 104
INDIRP4
CNSTI4 52
ADDP4
ADDRLP4 144
INDIRI4
ASGNI4
line 361
;360:						trap_G2API_AddBolt(weaponInfo->viewG2Model, 1, attackData->muzzleEffectBone );
;361:				}
ADDRGP4 $209
JUMPV
LABELV $208
line 362
;362:				else if (wPI->mWeaponModel.mBufferMuzzle[0])
ADDRLP4 12
INDIRP4
CNSTI4 4088
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $210
line 363
;363:				{
line 364
;364:					attackInfo->muzzleFlashBoltView = 
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRLP4 12
INDIRP4
CNSTI4 4088
ADDP4
ARGP4
ADDRLP4 144
ADDRGP4 trap_G2API_AddBolt
CALLI4
ASGNI4
ADDRLP4 104
INDIRP4
CNSTI4 52
ADDP4
ADDRLP4 144
INDIRI4
ASGNI4
line 366
;365:						trap_G2API_AddBolt(weaponInfo->viewG2Model, 1, wPI->mWeaponModel.mBufferMuzzle);
;366:				}
LABELV $210
LABELV $209
line 367
;367:			}
LABELV $206
line 368
;368:		}
LABELV $202
line 371
;369:
;370:		// Add the bolts for muzzle flash and shell eject onto the world model.
;371:		if (trap_G2_HaveWeGhoul2Models(weaponInfo->weaponG2Model))
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ARGP4
ADDRLP4 144
ADDRGP4 trap_G2_HaveWeGhoul2Models
CALLI4
ASGNI4
ADDRLP4 144
INDIRI4
CNSTI4 0
EQI4 $212
line 372
;372:		{
line 374
;373:			// shell eject bone.
;374:			if (attackData->ejectBone[0])
ADDRLP4 100
INDIRP4
CNSTI4 484
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $214
line 375
;375:			{	
line 376
;376:				attackInfo->shellEjectBoltWorld = 
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ARGP4
CNSTI4 0
ARGI4
ADDRLP4 100
INDIRP4
CNSTI4 484
ADDP4
ARGP4
ADDRLP4 148
ADDRGP4 trap_G2API_AddBolt
CALLI4
ASGNI4
ADDRLP4 104
INDIRP4
CNSTI4 56
ADDP4
ADDRLP4 148
INDIRI4
ASGNI4
line 378
;377:					trap_G2API_AddBolt(weaponInfo->weaponG2Model, 0, attackData->ejectBone);	
;378:			}
ADDRGP4 $215
JUMPV
LABELV $214
line 380
;379:			else
;380:			{
line 381
;381:				attackInfo->shellEjectBoltWorld = -1;
ADDRLP4 104
INDIRP4
CNSTI4 56
ADDP4
CNSTI4 -1
ASGNI4
line 382
;382:			}
LABELV $215
line 385
;383:
;384:			// Muzzle flash bone.
;385:			attackInfo->muzzleFlashBoltWorld = -1;
ADDRLP4 104
INDIRP4
CNSTI4 60
ADDP4
CNSTI4 -1
ASGNI4
line 386
;386:			if ( attackData->muzzleEffectBone[0] )
ADDRLP4 100
INDIRP4
CNSTI4 292
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $216
line 387
;387:			{
line 388
;388:				attackInfo->muzzleFlashBoltWorld = 
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ARGP4
CNSTI4 0
ARGI4
ADDRLP4 100
INDIRP4
CNSTI4 292
ADDP4
ARGP4
ADDRLP4 148
ADDRGP4 trap_G2API_AddBolt
CALLI4
ASGNI4
ADDRLP4 104
INDIRP4
CNSTI4 60
ADDP4
ADDRLP4 148
INDIRI4
ASGNI4
line 390
;389:					trap_G2API_AddBolt(weaponInfo->weaponG2Model, 0, attackData->muzzleEffectBone );
;390:			}
ADDRGP4 $217
JUMPV
LABELV $216
line 391
;391:			else if (wPI->mWeaponModel.mBufferMuzzle[0])
ADDRLP4 12
INDIRP4
CNSTI4 4088
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $218
line 392
;392:			{
line 393
;393:				attackInfo->muzzleFlashBoltWorld = 
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ARGP4
CNSTI4 0
ARGI4
ADDRLP4 12
INDIRP4
CNSTI4 4088
ADDP4
ARGP4
ADDRLP4 148
ADDRGP4 trap_G2API_AddBolt
CALLI4
ASGNI4
ADDRLP4 104
INDIRP4
CNSTI4 60
ADDP4
ADDRLP4 148
INDIRI4
ASGNI4
line 395
;394:					trap_G2API_AddBolt(weaponInfo->weaponG2Model, 0, wPI->mWeaponModel.mBufferMuzzle);
;395:			}
LABELV $218
LABELV $217
line 396
;396:		}
LABELV $212
line 397
;397:	}
LABELV $183
line 316
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 2
LTI4 $182
line 400
;398:
;399:	// Register sounds for weapon.
;400:	for (soundSet = 0; soundSet < MAX_WEAPON_SOUNDS; soundSet++)
ADDRLP4 4
CNSTI4 0
ASGNI4
LABELV $220
line 401
;401:	{
line 402
;402:		if (Q_stricmp(wPI->mSoundNames[soundSet], "fire")==0)
ADDRLP4 4
INDIRI4
CNSTI4 6
LSHI4
ADDRLP4 12
INDIRP4
CNSTI4 20
ADDP4
ADDP4
ARGP4
ADDRGP4 $226
ARGP4
ADDRLP4 100
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 100
INDIRI4
CNSTI4 0
NEI4 $224
line 403
;403:		{
line 404
;404:			for (i=0; i<MAX_WEAPON_SOUND_SLOTS; i++)
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $227
line 405
;405:			{
line 406
;406:				if (wPI->mSounds[soundSet][i][0])
ADDRLP4 0
INDIRI4
CNSTI4 6
LSHI4
CNSTI4 192
ADDRLP4 4
INDIRI4
MULI4
ADDRLP4 12
INDIRP4
CNSTI4 788
ADDP4
ADDP4
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $231
line 407
;407:				{
line 408
;408:					weaponInfo->attack[ATTACK_NORMAL].flashSound[i] = trap_S_RegisterSound(wPI->mSounds[soundSet][i]);
ADDRLP4 0
INDIRI4
CNSTI4 6
LSHI4
CNSTI4 192
ADDRLP4 4
INDIRI4
MULI4
ADDRLP4 12
INDIRP4
CNSTI4 788
ADDP4
ADDP4
ADDP4
ARGP4
ADDRLP4 108
ADDRGP4 trap_S_RegisterSound
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 8
INDIRP4
CNSTI4 72
ADDP4
ADDP4
ADDRLP4 108
INDIRI4
ASGNI4
line 409
;409:				}
LABELV $231
line 410
;410:			}
LABELV $228
line 404
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $227
line 411
;411:		}
ADDRGP4 $225
JUMPV
LABELV $224
line 412
;412:		else if (Q_stricmp(wPI->mSoundNames[soundSet], "altfire")==0)
ADDRLP4 4
INDIRI4
CNSTI4 6
LSHI4
ADDRLP4 12
INDIRP4
CNSTI4 20
ADDP4
ADDP4
ARGP4
ADDRGP4 $235
ARGP4
ADDRLP4 104
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 104
INDIRI4
CNSTI4 0
NEI4 $233
line 413
;413:		{
line 414
;414:			for (i=0; i<MAX_WEAPON_SOUND_SLOTS; i++)
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $236
line 415
;415:			{
line 416
;416:				if (wPI->mSounds[soundSet][i][0])
ADDRLP4 0
INDIRI4
CNSTI4 6
LSHI4
CNSTI4 192
ADDRLP4 4
INDIRI4
MULI4
ADDRLP4 12
INDIRP4
CNSTI4 788
ADDP4
ADDP4
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $240
line 417
;417:					weaponInfo->attack[ATTACK_ALTERNATE].flashSound[i] = trap_S_RegisterSound(wPI->mSounds[soundSet][i]);
ADDRLP4 0
INDIRI4
CNSTI4 6
LSHI4
CNSTI4 192
ADDRLP4 4
INDIRI4
MULI4
ADDRLP4 12
INDIRP4
CNSTI4 788
ADDP4
ADDP4
ADDP4
ARGP4
ADDRLP4 112
ADDRGP4 trap_S_RegisterSound
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 8
INDIRP4
CNSTI4 168
ADDP4
ADDP4
ADDRLP4 112
INDIRI4
ASGNI4
LABELV $240
line 418
;418:			}
LABELV $237
line 414
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $236
line 419
;419:		}
ADDRGP4 $234
JUMPV
LABELV $233
line 421
;420:		else
;421:		{
line 423
;422:			// All other sounds.
;423:			for (i=0; i<MAX_WEAPON_SOUND_SLOTS; i++)
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $242
line 424
;424:			{
line 425
;425:				if (wPI->mSounds[soundSet][i][0])
ADDRLP4 0
INDIRI4
CNSTI4 6
LSHI4
CNSTI4 192
ADDRLP4 4
INDIRI4
MULI4
ADDRLP4 12
INDIRP4
CNSTI4 788
ADDP4
ADDP4
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $246
line 426
;426:					weaponInfo->otherWeaponSounds[soundSet][i]=trap_S_RegisterSound(wPI->mSounds[soundSet][i]);
ADDRLP4 0
INDIRI4
CNSTI4 6
LSHI4
CNSTI4 192
ADDRLP4 4
INDIRI4
MULI4
ADDRLP4 12
INDIRP4
CNSTI4 788
ADDP4
ADDP4
ADDP4
ARGP4
ADDRLP4 116
ADDRGP4 trap_S_RegisterSound
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
CNSTI4 12
ADDRLP4 4
INDIRI4
MULI4
ADDRLP4 8
INDIRP4
CNSTI4 260
ADDP4
ADDP4
ADDP4
ADDRLP4 116
INDIRI4
ASGNI4
LABELV $246
line 427
;427:			}
LABELV $243
line 423
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $242
line 428
;428:		}
LABELV $234
LABELV $225
line 429
;429:	}
LABELV $221
line 400
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 12
LTI4 $220
line 432
;430:
;431:	// Special hard coded stuff
;432:	switch ( weaponNum )
ADDRLP4 100
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 104
CNSTI4 1
ASGNI4
ADDRLP4 100
INDIRI4
ADDRLP4 104
INDIRI4
EQI4 $250
ADDRLP4 100
INDIRI4
ADDRLP4 104
INDIRI4
LTI4 $248
LABELV $254
ADDRFP4 0
INDIRI4
CNSTI4 16
EQI4 $252
ADDRGP4 $248
JUMPV
line 433
;433:	{
LABELV $250
line 435
;434:		case WP_KNIFE:
;435:		{
line 436
;436:			attackInfo_t* attackInfo = &weaponInfo->attack[ATTACK_ALTERNATE];
ADDRLP4 108
ADDRLP4 8
INDIRP4
CNSTI4 164
ADDP4
ASGNP4
line 437
;437:			attackInfo->missileSound = trap_S_RegisterSound ( "sound/weapons/knife/throw_loop" );
ADDRGP4 $251
ARGP4
ADDRLP4 112
ADDRGP4 trap_S_RegisterSound
CALLI4
ASGNI4
ADDRLP4 108
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 112
INDIRI4
ASGNI4
line 438
;438:			break;
ADDRGP4 $249
JUMPV
LABELV $252
line 442
;439:		}
;440:
;441:		case WP_RPG7_LAUNCHER:
;442:		{
line 443
;443:			attackInfo_t* attackInfo = &weaponInfo->attack[ATTACK_NORMAL];
ADDRLP4 108
ADDRLP4 8
INDIRP4
CNSTI4 68
ADDP4
ASGNP4
line 444
;444:			attackInfo->missileSound = trap_S_RegisterSound ( "sound/weapons/rpg7/flyby" );
ADDRGP4 $253
ARGP4
ADDRLP4 112
ADDRGP4 trap_S_RegisterSound
CALLI4
ASGNI4
ADDRLP4 108
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 112
INDIRI4
ASGNI4
line 445
;445:			break;
LABELV $248
LABELV $249
line 448
;446:		}			
;447:	}	
;448:}
LABELV $114
endproc CG_RegisterWeapon 152 28
export CG_ShutDownWeapons
proc CG_ShutDownWeapons 8 4
line 458
;449:
;450:/*
;451:=================
;452:CG_ShutDownWeapons
;453:
;454:Clean out any g2 models
;455:=================
;456:*/
;457:void CG_ShutDownWeapons ( void )
;458:{
line 462
;459:	int				i;
;460:	attackType_t	a;
;461:
;462:	for (i=0; i < WP_NUM_WEAPONS; i++)
ADDRLP4 4
CNSTI4 0
ASGNI4
LABELV $256
line 463
;463:	{	
line 465
;464:		// free all ghoul2 models
;465:		trap_G2API_CleanGhoul2Models(&cg_weapons[i].weaponG2Model);
CNSTI4 408
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 cg_weapons+8
ADDP4
ARGP4
ADDRGP4 trap_G2API_CleanGhoul2Models
CALLV
pop
line 466
;466:		trap_G2API_CleanGhoul2Models(&cg_weapons[i].viewG2Model);
CNSTI4 408
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 cg_weapons+12
ADDP4
ARGP4
ADDRGP4 trap_G2API_CleanGhoul2Models
CALLV
pop
line 467
;467:		trap_G2API_CleanGhoul2Models(&cg_weapons[i].ammoG2Model);
CNSTI4 408
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 cg_weapons+64
ADDP4
ARGP4
ADDRGP4 trap_G2API_CleanGhoul2Models
CALLV
pop
line 469
;468:
;469:		for ( a = ATTACK_NORMAL; a < ATTACK_MAX; a ++ )
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $263
line 470
;470:		{
line 471
;471:			trap_G2API_CleanGhoul2Models(&cg_weapons[i].attack[a].missileG2Model);
CNSTI4 96
ADDRLP4 0
INDIRI4
MULI4
CNSTI4 408
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 cg_weapons+68
ADDP4
ADDP4
CNSTI4 88
ADDP4
ARGP4
ADDRGP4 trap_G2API_CleanGhoul2Models
CALLV
pop
line 472
;472:		}
LABELV $264
line 469
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 2
LTI4 $263
line 473
;473:	}
LABELV $257
line 462
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 21
LTI4 $256
line 474
;474:}
LABELV $255
endproc CG_ShutDownWeapons 8 4
import CG_ParseGametypeFile
import CG_DrawMiscEnts
import CG_MiscEnt
import G2_PositionEntityOnBolt
import CG_PredictedProcGore
import CG_AddProcGore
import CG_SetGhoul2Info
import CG_Init_CGents
import CG_Init_CG
import trap_UI_SetActiveMenu
import trap_UI_CloseAll
import trap_CG_RegisterSharedMemory
import trap_RE_InitRendererTerrain
import trap_CM_RegisterTerrain
import trap_CM_TM_ConvertPosition
import trap_CM_TM_Upload
import trap_CM_TM_AddTarget
import trap_CM_TM_AddSpot
import trap_CM_TM_AddBuilding
import trap_CM_TM_Create
import trap_MAT_GetDebrisScale
import trap_MAT_GetDebris
import trap_MAT_GetEffect
import trap_MAT_GetDecalScale
import trap_MAT_GetDecal
import trap_MAT_GetSound
import trap_MAT_Reset
import trap_MAT_Init
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_GetBoltIndex
import trap_G2API_FindBoltIndex
import trap_G2API_GetNumModels
import trap_G2API_GetGhoul2ModelFlagsByIndex
import trap_G2API_SetGhoul2ModelFlagsByIndex
import trap_G2API_GetGhoul2ModelFlags
import trap_G2API_SetGhoul2ModelFlags
import trap_G2API_ClearSkinGore
import trap_G2API_AddSkinGore
import trap_G2API_SetNewOrigin
import trap_G2API_SetRootSurface
import trap_G2API_SetSurfaceOnOff
import trap_G2API_GetBoneAnim
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_CleanGhoul2Models
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_DetachG2Model
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_CollisionDetect
import trap_R_inPVS
import trap_GetEntityToken
import trap_SnapVector
import trap_RMG_Init
import trap_Key_GetKey
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_IsDown
import trap_MemoryRemaining
import trap_FX_AddLine
import trap_FX_Reset
import trap_FX_AdjustTime
import trap_FX_FreeSystem
import trap_FX_Draw2DEffects
import trap_FX_AddScheduledEffects
import trap_FX_PlayBoltedEffectID
import trap_FX_PlayEntityEffectID
import trap_FX_PlayEffectID
import trap_FX_PlaySimpleEffectID
import trap_FX_PlayEntityEffect
import trap_FX_PlayEffect
import trap_FX_PlaySimpleEffect
import trap_FX_RegisterEffect
import trap_FX_InitSystem
import trap_CIN_SetExtents
import trap_CIN_DrawCinematic
import trap_CIN_RunCinematic
import trap_CIN_StopCinematic
import trap_CIN_PlayCinematic
import testPrintFloat
import testPrintInt
import trap_ResetAutorun
import trap_RW_SetTeam
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetDefaultState
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_SetLightStyle
import trap_R_GetLightStyle
import trap_R_RemapShader
import trap_R_DrawRotatePic2
import trap_R_DrawRotatePic
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_DrawVisualOverlay
import trap_R_RenderScene
import trap_R_LightForPoint
import trap_R_AddLightToScene
import trap_R_AddDecalToScene
import trap_R_AddPolysToScene
import trap_R_AddPolyToScene
import trap_R_DrawTextWithCursor
import trap_R_DrawText
import trap_R_GetTextHeight
import trap_R_GetTextWidth
import trap_R_AddRefEntityToScene
import trap_R_ClearDecals
import trap_R_ClearScene
import trap_R_RegisterFont
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_AS_GetBModelSound
import trap_AS_AddLocalSet
import trap_AS_UpdateAmbientSet
import trap_AS_ParseSets
import trap_AS_AddPrecacheEntry
import trap_S_StopBackgroundTrack
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddRealLoopingSound
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StopLoopingSound
import trap_S_StartSound
import trap_S_StopAllSounds
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import CG_ApplyGore
import CG_ParseGore
import CG_ParseAnimationFile
import CG_CheckChangedPredictableEvents
import CG_TransitionPlayerState
import CG_Respawn
import CG_PlayBufferedVoiceChats
import CG_VoiceChatLocal
import CG_ShaderStateChanged
import CG_LoadVoiceChats
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_MapRestart
import CG_InitConsoleCommands
import CG_ConsoleCommand
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingStage
import CG_LoadingString
import CG_ProcessSnapshots
import CG_TestLine
import CG_GlassShatter
import CG_BulletFlyBySound
import CG_BubbleTrail
import CG_AddLocalEntities
import CG_AllocLocalEntity
import CG_FreeLocalEntity
import CG_InitLocalEntities
import CG_WeaponCallback
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_PlayerWeaponEffects
import CG_AddViewWeapon
import CG_AnimateViewWeapon
import CG_Bullet
import CG_HandleStickyMissile
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_ProjectileThink
import CG_FireWeapon
import CG_SetWeaponAnim
import CG_UpdateViewWeaponSurfaces
import CG_WeaponSelectable
import CG_Weapon_f
import CG_PrevWeapon
import CG_NextWeapon
import CG_ScaleModelAxis
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_InitHitModel
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_PlayerTrace
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_PlayerShadow
import CG_RemoveIdentityItemsOnBack
import CG_RegisterIdentity
import CG_UpdatePlayerModel
import CG_CustomPlayerSound
import CG_CustomSound
import CG_NewClientInfo
import CG_ResetPlayerEntity
import CG_Player
import CG_DrawMapChange
import CG_GameTypeString
import CG_Text_PaintChar
import CG_Draw3DG2Model
import CG_Draw3DModel
import CG_GetGameStatusText
import CG_GetTeamColor
import CG_RunMenuScript
import CG_OwnerDrawDisabled
import CG_OwnerDrawVisible
import CG_GetValue
import CG_OwnerDraw
import CG_DrawActive
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import CG_DrawTimer
import CG_DrawTextWithCursor
import CG_DrawText
import CG_GetColorForHealth
import CG_DrawTopBottom
import CG_DrawSides
import CG_DrawRect
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawRotatePic2
import CG_DrawRotatePic
import CG_DrawStretchPic
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_UpdateCameraShake
import CG_CameraShake
import CG_DrawActiveFrame
import CG_AddBufferedSound
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_TeamCount
import CG_EventHandling
import CG_MouseEvent
import CG_KeyEvent
import CG_LoadMenus
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateTeamCountCvars
import CG_UpdateCvars
import CG_StartMusic
import CG_GetEntity
import CG_Argv
import CG_ConfigString
import cg_temp4
import cg_temp3
import cg_temp2
import cg_temp1
import cg_drawSmile
import cg_crosshairInfo
import cg_drawClock
import cg_drawWeaponType
import cg_drawTeamInfo
import cg_hudOpacity
import cg_hudBackGround
import cg_hudFiles
import cg_defaultHud
import cg_zoomWeaponChange
import rw_enabled
import cg_bodyTime
import cg_weaponMenuFast
import cg_soundFrag
import cg_soundGlobal
import cg_voiceGlobal
import cg_voiceRadio
import ui_info_seenobjectives
import ui_info_pickupsdisabled
import ui_info_freecount
import ui_info_speccount
import ui_info_bluecount
import ui_info_redcount
import cg_automap_a
import cg_automap_h
import cg_automap_w
import cg_automap_y
import cg_automap_x
import cg_animBlend
import cg_tracerChance
import cg_damageindicator
import RMG_distancecull
import cg_lockDeaths
import cg_lockBlood
import cg_lockSever
import cg_DebugGore
import cg_currentSelectedPlayerName
import cg_currentSelectedPlayer
import cg_noProjectileTrail
import cg_noTaunt
import cg_cameraMode
import cg_timescale
import cg_cameraOrbitDelay
import cg_cameraOrbit
import pmove_msec
import pmove_fixed
import cg_smoothClients
import cg_noVoiceText
import cg_teamChatsOnly
import cg_drawFriend
import cg_deferPlayers
import cg_autoReload
import cg_impactPrediction
import cg_antiLag
import cg_predictItems
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_stats
import cg_chatHeight
import cg_chatTime
import cg_synchronousClients
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPersonHorzOffset
import cg_thirdPersonPitch
import cg_thirdPersonYaw
import cg_thirdPersonRange
import cg_thirdPerson
import cg_goreDetail
import cg_shellEjection
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_footsteps
import cg_showmiss
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_draw2D
import cg_crosshairFriendRGBA
import cg_crosshairRGBA
import cg_crosshairGrow
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_drawHUDIcons
import cg_drawTeamScores
import cg_drawRadar
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_shadows
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centerY
import cg_centertime
import con_notifyTime
import cg_items
import cg_weapons
import cg
import cgs
import cg_numpermanents
import cg_permanents
import cg_entities
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $253
char 1 115
char 1 111
char 1 117
char 1 110
char 1 100
char 1 47
char 1 119
char 1 101
char 1 97
char 1 112
char 1 111
char 1 110
char 1 115
char 1 47
char 1 114
char 1 112
char 1 103
char 1 55
char 1 47
char 1 102
char 1 108
char 1 121
char 1 98
char 1 121
char 1 0
align 1
LABELV $251
char 1 115
char 1 111
char 1 117
char 1 110
char 1 100
char 1 47
char 1 119
char 1 101
char 1 97
char 1 112
char 1 111
char 1 110
char 1 115
char 1 47
char 1 107
char 1 110
char 1 105
char 1 102
char 1 101
char 1 47
char 1 116
char 1 104
char 1 114
char 1 111
char 1 119
char 1 95
char 1 108
char 1 111
char 1 111
char 1 112
char 1 0
align 1
LABELV $235
char 1 97
char 1 108
char 1 116
char 1 102
char 1 105
char 1 114
char 1 101
char 1 0
align 1
LABELV $226
char 1 102
char 1 105
char 1 114
char 1 101
char 1 0
align 1
LABELV $179
char 1 103
char 1 102
char 1 120
char 1 47
char 1 109
char 1 101
char 1 110
char 1 117
char 1 115
char 1 47
char 1 37
char 1 115
char 1 0
align 1
LABELV $176
char 1 67
char 1 71
char 1 95
char 1 82
char 1 101
char 1 103
char 1 105
char 1 115
char 1 116
char 1 101
char 1 114
char 1 87
char 1 101
char 1 97
char 1 112
char 1 111
char 1 110
char 1 58
char 1 32
char 1 85
char 1 110
char 1 97
char 1 98
char 1 108
char 1 101
char 1 32
char 1 116
char 1 111
char 1 32
char 1 108
char 1 111
char 1 97
char 1 100
char 1 32
char 1 119
char 1 101
char 1 97
char 1 112
char 1 111
char 1 110
char 1 32
char 1 118
char 1 105
char 1 101
char 1 119
char 1 32
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 58
char 1 32
char 1 37
char 1 115
char 1 10
char 1 0
align 1
LABELV $170
char 1 117
char 1 116
char 1 108
char 1 0
align 1
LABELV $169
char 1 115
char 1 105
char 1 108
char 1 101
char 1 110
char 1 99
char 1 101
char 1 114
char 1 0
align 1
LABELV $168
char 1 108
char 1 97
char 1 115
char 1 101
char 1 114
char 1 115
char 1 105
char 1 103
char 1 104
char 1 116
char 1 0
align 1
LABELV $147
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 115
char 1 47
char 1 119
char 1 101
char 1 97
char 1 112
char 1 111
char 1 110
char 1 115
char 1 47
char 1 108
char 1 104
char 1 97
char 1 110
char 1 100
char 1 47
char 1 108
char 1 104
char 1 97
char 1 110
char 1 100
char 1 46
char 1 103
char 1 108
char 1 109
char 1 0
align 1
LABELV $144
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 115
char 1 47
char 1 119
char 1 101
char 1 97
char 1 112
char 1 111
char 1 110
char 1 115
char 1 47
char 1 114
char 1 104
char 1 97
char 1 110
char 1 100
char 1 47
char 1 114
char 1 104
char 1 97
char 1 110
char 1 100
char 1 46
char 1 103
char 1 108
char 1 109
char 1 0
align 1
LABELV $135
char 1 67
char 1 71
char 1 95
char 1 82
char 1 101
char 1 103
char 1 105
char 1 115
char 1 116
char 1 101
char 1 114
char 1 87
char 1 101
char 1 97
char 1 112
char 1 111
char 1 110
char 1 58
char 1 32
char 1 85
char 1 110
char 1 97
char 1 98
char 1 108
char 1 101
char 1 32
char 1 116
char 1 111
char 1 32
char 1 108
char 1 111
char 1 97
char 1 100
char 1 32
char 1 119
char 1 101
char 1 97
char 1 112
char 1 111
char 1 110
char 1 32
char 1 119
char 1 111
char 1 114
char 1 108
char 1 100
char 1 32
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 58
char 1 32
char 1 37
char 1 115
char 1 10
char 1 0
align 1
LABELV $123
char 1 67
char 1 71
char 1 95
char 1 82
char 1 101
char 1 103
char 1 105
char 1 115
char 1 116
char 1 101
char 1 114
char 1 87
char 1 101
char 1 97
char 1 112
char 1 111
char 1 110
char 1 58
char 1 32
char 1 67
char 1 111
char 1 117
char 1 108
char 1 100
char 1 110
char 1 39
char 1 116
char 1 32
char 1 102
char 1 105
char 1 110
char 1 100
char 1 32
char 1 119
char 1 101
char 1 97
char 1 112
char 1 111
char 1 110
char 1 32
char 1 105
char 1 116
char 1 101
char 1 109
char 1 32
char 1 37
char 1 105
char 1 0
align 1
LABELV $111
char 1 37
char 1 115
char 1 95
char 1 115
char 1 105
char 1 109
char 1 112
char 1 108
char 1 101
char 1 0
align 1
LABELV $108
char 1 109
char 1 50
char 1 48
char 1 51
char 1 95
char 1 111
char 1 102
char 1 102
char 1 0
align 1
LABELV $106
char 1 98
char 1 97
char 1 121
char 1 111
char 1 110
char 1 101
char 1 116
char 1 95
char 1 111
char 1 102
char 1 102
char 1 0
align 1
LABELV $101
char 1 46
char 1 103
char 1 108
char 1 109
char 1 0
align 1
LABELV $96
char 1 67
char 1 71
char 1 95
char 1 82
char 1 101
char 1 103
char 1 105
char 1 115
char 1 116
char 1 101
char 1 114
char 1 73
char 1 116
char 1 101
char 1 109
char 1 86
char 1 105
char 1 115
char 1 117
char 1 97
char 1 108
char 1 115
char 1 58
char 1 32
char 1 105
char 1 116
char 1 101
char 1 109
char 1 78
char 1 117
char 1 109
char 1 32
char 1 37
char 1 100
char 1 32
char 1 111
char 1 117
char 1 116
char 1 32
char 1 111
char 1 102
char 1 32
char 1 114
char 1 97
char 1 110
char 1 103
char 1 101
char 1 32
char 1 91
char 1 48
char 1 45
char 1 37
char 1 100
char 1 93
char 1 0
