export SP_info_notnull
code
proc SP_info_notnull 4 8
file "../g_misc.c"
line 17
;1:// Copyright (C) 2001-2002 Raven Software.
;2://
;3:// g_misc.c
;4:
;5:#include "g_local.h"
;6:
;7:
;8:/*QUAKED func_group (0 0 0) ?
;9:Used to group brushes together just for editor convenience.  They are turned into normal brushes by the utilities.
;10:*/
;11:
;12:/*QUAKED info_notnull (0 0.5 0) (-4 -4 -4) (4 4 4)
;13:Used as a positional target for in-game calculation, like jumppad targets.
;14:target_position does the same thing
;15:*/
;16:void SP_info_notnull( gentity_t *self )
;17:{
line 18
;18:	G_SetOrigin( self, self->s.origin );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 19
;19:}
LABELV $69
endproc SP_info_notnull 4 8
export TeleportPlayer
proc TeleportPlayer 52 16
line 27
;20:
;21:/*
;22:=================================================================================
;23:TeleportPlayer
;24:=================================================================================
;25:*/
;26:void TeleportPlayer ( gentity_t *player, vec3_t origin, vec3_t angles ) 
;27:{
line 32
;28:	gentity_t	*tent;
;29:
;30:	// use temp events at source and destination to prevent the effect
;31:	// from getting dropped by a second player event
;32:	if ( !G_IsClientSpectating ( player->client ) ) 
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 G_IsClientSpectating
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $71
line 33
;33:	{
line 34
;34:		tent = G_TempEntity( player->client->ps.origin, EV_PLAYER_TELEPORT_OUT );
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 24
ADDP4
ARGP4
CNSTI4 28
ARGI4
ADDRLP4 8
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
ASGNP4
line 35
;35:		tent->s.clientNum = player->s.clientNum;
ADDRLP4 12
CNSTI4 168
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
ADDRFP4 0
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
ASGNI4
line 37
;36:
;37:		tent = G_TempEntity( origin, EV_PLAYER_TELEPORT_IN );
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 27
ARGI4
ADDRLP4 16
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 16
INDIRP4
ASGNP4
line 38
;38:		tent->s.clientNum = player->s.clientNum;
ADDRLP4 20
CNSTI4 168
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
ADDRFP4 0
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
ASGNI4
line 39
;39:	}
LABELV $71
line 42
;40:
;41:	// unlink to make sure it can't possibly interfere with G_KillBox
;42:	trap_UnlinkEntity (player);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_UnlinkEntity
CALLV
pop
line 44
;43:
;44:	VectorCopy ( origin, player->client->ps.origin );
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 24
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 45
;45:	player->client->ps.origin[2] += 1;
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 32
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
CNSTF4 1065353216
ADDF4
ASGNF4
line 48
;46:
;47:	// spit the player out
;48:	AngleVectors( angles, player->client->ps.velocity, NULL, NULL );
ADDRFP4 8
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 36
ADDP4
ARGP4
ADDRLP4 12
CNSTP4 0
ASGNP4
ADDRLP4 12
INDIRP4
ARGP4
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 49
;49:	VectorScale( player->client->ps.velocity, 400, player->client->ps.velocity );
ADDRLP4 16
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 36
ADDP4
ASGNP4
ADDRLP4 16
INDIRP4
CNSTF4 1137180672
ADDRLP4 16
INDIRP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 20
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 40
ADDP4
ASGNP4
ADDRLP4 20
INDIRP4
CNSTF4 1137180672
ADDRLP4 20
INDIRP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 24
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 44
ADDP4
ASGNP4
ADDRLP4 24
INDIRP4
CNSTF4 1137180672
ADDRLP4 24
INDIRP4
INDIRF4
MULF4
ASGNF4
line 50
;50:	player->client->ps.pm_time = 160;		// hold time
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 20
ADDP4
CNSTI4 160
ASGNI4
line 51
;51:	player->client->ps.pm_flags |= PMF_TIME_KNOCKBACK;
ADDRLP4 28
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 12
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 54
;52:
;53:	// toggle the teleport bit so the client knows to not lerp
;54:	player->client->ps.eFlags ^= EF_TELEPORT_BIT;
ADDRLP4 32
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 116
ADDP4
ASGNP4
ADDRLP4 32
INDIRP4
ADDRLP4 32
INDIRP4
INDIRI4
CNSTI4 4
BXORI4
ASGNI4
line 57
;55:
;56:	// set angles
;57:	SetClientViewAngle( player, angles );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 SetClientViewAngle
CALLV
pop
line 60
;58:
;59:	// kill anything at the destination
;60:	if ( !G_IsClientSpectating ( player->client ) ) 
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
ARGP4
ADDRLP4 36
ADDRGP4 G_IsClientSpectating
CALLI4
ASGNI4
ADDRLP4 36
INDIRI4
CNSTI4 0
NEI4 $73
line 61
;61:	{
line 62
;62:		G_KillBox (player);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_KillBox
CALLV
pop
line 63
;63:	}
LABELV $73
line 66
;64:
;65:	// save results of pmove
;66:	BG_PlayerStateToEntityState( &player->client->ps, &player->s, qtrue );
ADDRLP4 40
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 40
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
ARGP4
ADDRLP4 40
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRGP4 BG_PlayerStateToEntityState
CALLV
pop
line 69
;67:
;68:	// use the precise origin for linking
;69:	VectorCopy( player->client->ps.origin, player->r.currentOrigin );
ADDRLP4 44
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 44
INDIRP4
CNSTI4 288
ADDP4
ADDRLP4 44
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 24
ADDP4
INDIRB
ASGNB 12
line 71
;70:
;71:	if ( !G_IsClientSpectating ( player->client ) ) 
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
ARGP4
ADDRLP4 48
ADDRGP4 G_IsClientSpectating
CALLI4
ASGNI4
ADDRLP4 48
INDIRI4
CNSTI4 0
NEI4 $75
line 72
;72:	{
line 73
;73:		trap_LinkEntity (player);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 74
;74:	}
LABELV $75
line 75
;75:}
LABELV $70
endproc TeleportPlayer 52 16
export SP_misc_teleporter_dest
proc SP_misc_teleporter_dest 0 0
line 84
;76:
;77:
;78:/*QUAKED misc_teleporter_dest (1 0 0) (-32 -32 -24) (32 32 -16)
;79:Point teleporters at these.
;80:Now that we don't have teleport destination pads, this is just
;81:an info_notnull
;82:*/
;83:void SP_misc_teleporter_dest( gentity_t *ent ) 
;84:{
line 85
;85:}
LABELV $77
endproc SP_misc_teleporter_dest 0 0
export SP_misc_model
proc SP_misc_model 0 4
line 94
;86:
;87://===========================================================
;88:
;89:/*QUAKED misc_model (1 0 0) (-16 -16 -16) (16 16 16) RMG
;90:this model is inserted into the bsp file
;91:"model"		arbitrary .md3 file to display
;92:*/
;93:void SP_misc_model( gentity_t *ent ) 
;94:{
line 104
;95:#if 0
;96:	ent->s.modelindex = G_ModelIndex( ent->model );
;97:	VectorSet (ent->mins, -16, -16, -16);
;98:	VectorSet (ent->maxs, 16, 16, 16);
;99:	trap_LinkEntity (ent);
;100:
;101:	G_SetOrigin( ent, ent->s.origin );
;102:	VectorCopy( ent->s.angles, ent->s.apos.trBase );
;103:#else
;104:	G_FreeEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 106
;105:#endif
;106:}
LABELV $78
endproc SP_misc_model 0 4
export SP_misc_G2model
proc SP_misc_G2model 0 4
line 112
;107:
;108:
;109:/*QUAKED misc_G2model (1 0 0) (-16 -16 -16) (16 16 16)
;110:"model"		arbitrary .glm file to display
;111:*/
;112:void SP_misc_G2model( gentity_t *ent ) {
line 126
;113:
;114:#if 0
;115:	char name1[200] = "models/players/kyle/modelmp.glm";
;116:	trap_G2API_InitGhoul2Model(&ent->s, name1, G_ModelIndex( name1 ), 0, 0, 0, 0);
;117:	trap_G2API_SetBoneAnim(ent->s.ghoul2, 0, "model_root", 0, 12, BONE_ANIM_OVERRIDE_LOOP, 1.0f, level.time, -1, -1);
;118:	ent->s.radius = 150;
;119://	VectorSet (ent->mins, -16, -16, -16);
;120://	VectorSet (ent->maxs, 16, 16, 16);
;121:	trap_LinkEntity (ent);
;122:
;123:	G_SetOrigin( ent, ent->s.origin );
;124:	VectorCopy( ent->s.angles, ent->s.apos.trBase );
;125:#else
;126:	G_FreeEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 128
;127:#endif
;128:}
LABELV $79
endproc SP_misc_G2model 0 4
export locateCamera
proc locateCamera 52 8
line 133
;129:
;130://===========================================================
;131:
;132:void locateCamera( gentity_t *ent ) 
;133:{
line 138
;134:	vec3_t		dir;
;135:	gentity_t	*target;
;136:	gentity_t	*owner;
;137:
;138:	owner = G_PickTarget( ent->target );
ADDRFP4 0
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
ARGP4
ADDRLP4 20
ADDRGP4 G_PickTarget
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20
INDIRP4
ASGNP4
line 139
;139:	if ( !owner ) 
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $81
line 140
;140:	{
line 141
;141:		Com_Printf( "Couldn't find target for misc_partal_surface\n" );
ADDRGP4 $83
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 142
;142:		G_FreeEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 143
;143:		return;
ADDRGP4 $80
JUMPV
LABELV $81
line 145
;144:	}
;145:	ent->r.ownerNum = owner->s.number;
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
ADDRLP4 0
INDIRP4
INDIRI4
ASGNI4
line 148
;146:
;147:	// frame holds the rotate speed
;148:	if ( owner->spawnflags & 1 ) 
ADDRLP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $84
line 149
;149:	{
line 150
;150:		ent->s.frame = 25;
ADDRFP4 0
INDIRP4
CNSTI4 172
ADDP4
CNSTI4 25
ASGNI4
line 151
;151:	} 
ADDRGP4 $85
JUMPV
LABELV $84
line 152
;152:	else if ( owner->spawnflags & 2 ) 
ADDRLP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
EQI4 $86
line 153
;153:	{
line 154
;154:		ent->s.frame = 75;
ADDRFP4 0
INDIRP4
CNSTI4 172
ADDP4
CNSTI4 75
ASGNI4
line 155
;155:	}
LABELV $86
LABELV $85
line 158
;156:
;157:	// swing camera ?
;158:	if ( owner->spawnflags & 4 ) 
ADDRLP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $88
line 159
;159:	{
line 161
;160:		// set to 0 for no rotation at all
;161:		ent->s.gametypeitems = 0;
ADDRFP4 0
INDIRP4
CNSTI4 192
ADDP4
CNSTI4 0
ASGNI4
line 162
;162:	}
ADDRGP4 $89
JUMPV
LABELV $88
line 164
;163:	else 
;164:	{
line 165
;165:		ent->s.gametypeitems = 1;
ADDRFP4 0
INDIRP4
CNSTI4 192
ADDP4
CNSTI4 1
ASGNI4
line 166
;166:	}
LABELV $89
line 169
;167:
;168:	// clientNum holds the rotate offset
;169:	ent->s.clientNum = owner->s.clientNum;
ADDRLP4 24
CNSTI4 168
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
ADDRLP4 0
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
ASGNI4
line 171
;170:
;171:	VectorCopy( owner->s.origin, ent->s.origin2 );
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 174
;172:
;173:	// see if the portal_camera has a target
;174:	target = G_PickTarget( owner->target );
ADDRLP4 0
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
ARGP4
ADDRLP4 28
ADDRGP4 G_PickTarget
CALLP4
ASGNP4
ADDRLP4 16
ADDRLP4 28
INDIRP4
ASGNP4
line 175
;175:	if ( target ) {
ADDRLP4 16
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $90
line 176
;176:		VectorSubtract( target->s.origin, owner->s.origin, dir );
ADDRLP4 36
CNSTI4 92
ASGNI4
ADDRLP4 4
ADDRLP4 16
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 44
CNSTI4 96
ASGNI4
ADDRLP4 4+4
ADDRLP4 16
INDIRP4
ADDRLP4 44
INDIRI4
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
ADDRLP4 44
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 48
CNSTI4 100
ASGNI4
ADDRLP4 4+8
ADDRLP4 16
INDIRP4
ADDRLP4 48
INDIRI4
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
ADDRLP4 48
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 177
;177:		VectorNormalize( dir );
ADDRLP4 4
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 178
;178:	} else {
ADDRGP4 $91
JUMPV
LABELV $90
line 179
;179:		G_SetMovedir( owner->s.angles, dir );
ADDRLP4 0
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 G_SetMovedir
CALLV
pop
line 180
;180:	}
LABELV $91
line 182
;181:
;182:	ent->s.eventParm = DirToByte( dir );
ADDRLP4 4
ARGP4
ADDRLP4 32
ADDRGP4 DirToByte
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 184
ADDP4
ADDRLP4 32
INDIRI4
ASGNI4
line 183
;183:}
LABELV $80
endproc locateCamera 52 8
export SP_misc_portal_surface
proc SP_misc_portal_surface 20 4
line 190
;184:
;185:/*QUAKED misc_portal_surface (0 0 1) (-8 -8 -8) (8 8 8)
;186:The portal surface nearest this entity will show a view from the targeted misc_portal_camera, or a mirror view if untargeted.
;187:This must be within 64 world units of the surface!
;188:*/
;189:void SP_misc_portal_surface(gentity_t *ent) 
;190:{
line 191
;191:	VectorClear( ent->r.mins );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
CNSTF4 0
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 244
ADDP4
ADDRLP4 4
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 240
ADDP4
ADDRLP4 4
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 236
ADDP4
ADDRLP4 4
INDIRF4
ASGNF4
line 192
;192:	VectorClear( ent->r.maxs );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
CNSTF4 0
ASGNF4
ADDRLP4 8
INDIRP4
CNSTI4 256
ADDP4
ADDRLP4 12
INDIRF4
ASGNF4
ADDRLP4 8
INDIRP4
CNSTI4 252
ADDP4
ADDRLP4 12
INDIRF4
ASGNF4
ADDRLP4 8
INDIRP4
CNSTI4 248
ADDP4
ADDRLP4 12
INDIRF4
ASGNF4
line 193
;193:	trap_LinkEntity (ent);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 195
;194:
;195:	ent->r.svFlags = SVF_PORTAL;
ADDRFP4 0
INDIRP4
CNSTI4 224
ADDP4
CNSTI4 64
ASGNI4
line 196
;196:	ent->s.eType = ET_PORTAL;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 6
ASGNI4
line 198
;197:
;198:	if ( !ent->target ) 
ADDRFP4 0
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $95
line 199
;199:	{
line 200
;200:		VectorCopy( ent->s.origin, ent->s.origin2 );
ADDRLP4 16
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
CNSTI4 104
ADDP4
ADDRLP4 16
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 201
;201:	} 
ADDRGP4 $96
JUMPV
LABELV $95
line 203
;202:	else 
;203:	{
line 204
;204:		ent->think = locateCamera;
ADDRFP4 0
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 locateCamera
ASGNP4
line 205
;205:		ent->nextthink = level.time + 100;
ADDRFP4 0
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 206
;206:	}
LABELV $96
line 207
;207:}
LABELV $94
endproc SP_misc_portal_surface 20 4
export SP_misc_portal_camera
proc SP_misc_portal_camera 20 12
line 214
;208:
;209:/*QUAKED misc_portal_camera (0 0 1) (-8 -8 -8) (8 8 8) slowrotate fastrotate noswing
;210:The target for a misc_portal_director.  You can set either angles or target another entity to determine the direction of view.
;211:"roll" an angle modifier to orient the camera around the target vector;
;212:*/
;213:void SP_misc_portal_camera(gentity_t *ent) 
;214:{
line 217
;215:	float	roll;
;216:
;217:	VectorClear( ent->r.mins );
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
CNSTF4 0
ASGNF4
ADDRLP4 4
INDIRP4
CNSTI4 244
ADDP4
ADDRLP4 8
INDIRF4
ASGNF4
ADDRLP4 4
INDIRP4
CNSTI4 240
ADDP4
ADDRLP4 8
INDIRF4
ASGNF4
ADDRLP4 4
INDIRP4
CNSTI4 236
ADDP4
ADDRLP4 8
INDIRF4
ASGNF4
line 218
;218:	VectorClear( ent->r.maxs );
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
CNSTF4 0
ASGNF4
ADDRLP4 12
INDIRP4
CNSTI4 256
ADDP4
ADDRLP4 16
INDIRF4
ASGNF4
ADDRLP4 12
INDIRP4
CNSTI4 252
ADDP4
ADDRLP4 16
INDIRF4
ASGNF4
ADDRLP4 12
INDIRP4
CNSTI4 248
ADDP4
ADDRLP4 16
INDIRF4
ASGNF4
line 219
;219:	trap_LinkEntity (ent);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 221
;220:
;221:	G_SpawnFloat( "roll", "0", &roll );
ADDRGP4 $99
ARGP4
ADDRGP4 $100
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 223
;222:
;223:	ent->s.clientNum = roll/360.0 * 256;
ADDRFP4 0
INDIRP4
CNSTI4 168
ADDP4
CNSTF4 1132462080
ADDRLP4 0
INDIRF4
CNSTF4 1135869952
DIVF4
MULF4
CVFI4 4
ASGNI4
line 224
;224:}
LABELV $98
endproc SP_misc_portal_camera 20 12
export SP_misc_bsp
proc SP_misc_bsp 120 20
line 230
;225:
;226:/*QUAKED misc_bsp (1 0 0) (-16 -16 -16) (16 16 16)
;227:"bspmodel"		arbitrary .bsp file to display
;228:*/
;229:void SP_misc_bsp(gentity_t *ent) 
;230:{
line 236
;231:	char	temp[MAX_QPATH];
;232:	char	*out;
;233:	float	newAngle;
;234:	int		tempint;
;235:
;236:	G_SpawnFloat( "angle", "0", &newAngle );
ADDRGP4 $102
ARGP4
ADDRGP4 $100
ARGP4
ADDRLP4 72
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 237
;237:	if (newAngle != 0.0)
ADDRLP4 72
INDIRF4
CNSTF4 0
EQF4 $103
line 238
;238:	{
line 239
;239:		ent->s.angles[1] = newAngle;
ADDRFP4 0
INDIRP4
CNSTI4 120
ADDP4
ADDRLP4 72
INDIRF4
ASGNF4
line 240
;240:	}
LABELV $103
line 242
;241:	// don't support rotation any other way
;242:	ent->s.angles[0] = 0.0;
ADDRFP4 0
INDIRP4
CNSTI4 116
ADDP4
CNSTF4 0
ASGNF4
line 243
;243:	ent->s.angles[2] = 0.0;
ADDRFP4 0
INDIRP4
CNSTI4 124
ADDP4
CNSTF4 0
ASGNF4
line 245
;244:	
;245:	G_SpawnString("bspmodel", "", &out);
ADDRGP4 $105
ARGP4
ADDRGP4 $106
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 G_SpawnString
CALLI4
pop
line 247
;246:
;247:	ent->s.eFlags = EF_PERMANENT;
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 16384
ASGNI4
line 250
;248:
;249:	// Mainly for debugging
;250:	G_SpawnInt( "spacing", "0", &tempint);
ADDRGP4 $107
ARGP4
ADDRGP4 $100
ARGP4
ADDRLP4 68
ARGP4
ADDRGP4 G_SpawnInt
CALLI4
pop
line 251
;251:	ent->s.time2 = tempint;
ADDRFP4 0
INDIRP4
CNSTI4 88
ADDP4
ADDRLP4 68
INDIRI4
ASGNI4
line 252
;252:	G_SpawnInt( "flatten", "0", &tempint);
ADDRGP4 $108
ARGP4
ADDRGP4 $100
ARGP4
ADDRLP4 68
ARGP4
ADDRGP4 G_SpawnInt
CALLI4
pop
line 253
;253:	ent->s.time = tempint;
ADDRFP4 0
INDIRP4
CNSTI4 84
ADDP4
ADDRLP4 68
INDIRI4
ASGNI4
line 255
;254:
;255:	Com_sprintf(temp, MAX_QPATH, "#%s", out);
ADDRLP4 4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $109
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 256
;256:	trap_SetBrushModel( ent, temp );  // SV_SetBrushModel -- sets mins and maxs
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 trap_SetBrushModel
CALLV
pop
line 257
;257:	G_BSPIndex(temp);
ADDRLP4 4
ARGP4
ADDRGP4 G_BSPIndex
CALLI4
pop
line 259
;258:
;259:	level.mNumBSPInstances++;
ADDRLP4 76
ADDRGP4 level+7440
ASGNP4
ADDRLP4 76
INDIRP4
ADDRLP4 76
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 260
;260:	Com_sprintf(temp, MAX_QPATH, "%d-", level.mNumBSPInstances);
ADDRLP4 4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $111
ARGP4
ADDRGP4 level+7440
INDIRI4
ARGI4
ADDRGP4 Com_sprintf
CALLI4
pop
line 261
;261:	VectorCopy(ent->s.origin, level.mOriginAdjust);
ADDRGP4 level+7448
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 262
;262:	level.mRotationAdjust = ent->s.angles[1];
ADDRGP4 level+7460
ADDRFP4 0
INDIRP4
CNSTI4 120
ADDP4
INDIRF4
ASGNF4
line 263
;263:	level.mTargetAdjust = temp;
ADDRGP4 level+7464
ADDRLP4 4
ASGNP4
line 264
;264:	level.hasBspInstances = qtrue;
ADDRGP4 level+7468
CNSTI4 1
ASGNI4
line 265
;265:	level.mBSPInstanceDepth++;
ADDRLP4 80
ADDRGP4 level+7444
ASGNP4
ADDRLP4 80
INDIRP4
ADDRLP4 80
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 266
;266:	G_SpawnString("filter", "", &out);
ADDRGP4 $118
ARGP4
ADDRGP4 $106
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 G_SpawnString
CALLI4
pop
line 267
;267:	strcpy(level.mFilter, out);
ADDRGP4 level+7472
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 268
;268:	G_SpawnString("teamfilter", "", &out);
ADDRGP4 $120
ARGP4
ADDRGP4 $106
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 G_SpawnString
CALLI4
pop
line 269
;269:	strcpy(level.mTeamFilter, out);
ADDRGP4 level+7536
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 271
;270:
;271:	VectorCopy( ent->s.origin, ent->s.pos.trBase );
ADDRLP4 84
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 84
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 84
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 272
;272:	VectorCopy( ent->s.origin, ent->r.currentOrigin );
ADDRLP4 88
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 88
INDIRP4
CNSTI4 288
ADDP4
ADDRLP4 88
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 273
;273:	VectorCopy( ent->s.angles, ent->s.apos.trBase );
ADDRLP4 92
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 92
INDIRP4
CNSTI4 60
ADDP4
ADDRLP4 92
INDIRP4
CNSTI4 116
ADDP4
INDIRB
ASGNB 12
line 274
;274:	VectorCopy( ent->s.angles, ent->r.currentAngles );
ADDRLP4 96
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 96
INDIRP4
CNSTI4 300
ADDP4
ADDRLP4 96
INDIRP4
CNSTI4 116
ADDP4
INDIRB
ASGNB 12
line 276
;275:
;276:	ent->s.eType = ET_MOVER;
ADDRLP4 100
CNSTI4 4
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 100
INDIRI4
ADDP4
ADDRLP4 100
INDIRI4
ASGNI4
line 278
;277:
;278:	trap_LinkEntity (ent);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 280
;279:
;280:	trap_SetActiveSubBSP(ent->s.modelindex);
ADDRFP4 0
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
ARGI4
ADDRGP4 trap_SetActiveSubBSP
CALLV
pop
line 281
;281:	G_SpawnEntitiesFromString(qtrue);
CNSTI4 1
ARGI4
ADDRGP4 G_SpawnEntitiesFromString
CALLV
pop
line 282
;282:	trap_SetActiveSubBSP(-1);
CNSTI4 -1
ARGI4
ADDRGP4 trap_SetActiveSubBSP
CALLV
pop
line 284
;283:
;284:	level.mBSPInstanceDepth--;
ADDRLP4 104
ADDRGP4 level+7444
ASGNP4
ADDRLP4 104
INDIRP4
ADDRLP4 104
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 285
;285:	level.mFilter[0] = level.mTeamFilter[0] = 0;
ADDRLP4 108
CNSTI1 0
ASGNI1
ADDRGP4 level+7536
ADDRLP4 108
INDIRI1
ASGNI1
ADDRGP4 level+7472
ADDRLP4 108
INDIRI1
ASGNI1
line 287
;286:
;287:	if ( g_debugRMG.integer )
ADDRGP4 g_debugRMG+12
INDIRI4
CNSTI4 0
EQI4 $125
line 288
;288:	{
line 289
;289:		G_SpawnDebugCylinder ( ent->s.origin, ent->s.time2, &g_entities[0], 2000, COLOR_WHITE );
ADDRLP4 112
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 112
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 112
INDIRP4
CNSTI4 88
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 g_entities
ARGP4
CNSTF4 1157234688
ARGF4
CNSTI4 55
ARGI4
ADDRGP4 G_SpawnDebugCylinder
CALLV
pop
line 291
;290:
;291:		if ( ent->s.time )
ADDRFP4 0
INDIRP4
CNSTI4 84
ADDP4
INDIRI4
CNSTI4 0
EQI4 $128
line 292
;292:		{
line 293
;293:			G_SpawnDebugCylinder ( ent->s.origin, ent->s.time, &g_entities[0], 2000, COLOR_RED );
ADDRLP4 116
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 116
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 116
INDIRP4
CNSTI4 84
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 g_entities
ARGP4
CNSTF4 1157234688
ARGF4
CNSTI4 49
ARGI4
ADDRGP4 G_SpawnDebugCylinder
CALLV
pop
line 294
;294:		}
LABELV $128
line 295
;295:	}
LABELV $125
line 296
;296:}
LABELV $101
endproc SP_misc_bsp 120 20
export SP_terrain
proc SP_terrain 1448 16
line 314
;297:
;298:/*QUAKED terrain (1.0 1.0 1.0) ?
;299:Terrain entity
;300:It will stretch to the full height of the brush
;301:
;302:numPatches - integer number of patches to split the terrain brush into (default 200)
;303:terxels - integer number of terxels on a patch side (default 4) (2 <= count <= 8)
;304:seed - integer seed for random terrain generation (default 0)
;305:textureScale - float scale of texture (default 0.005)
;306:heightMap - name of heightmap data image to use
;307:terrainDef - defines how the game textures the terrain (file is base/ext_data/*.terrain - default is grassyhills)
;308:instanceDef - defines which bsp instances appear
;309:miscentDef - defines which client models spawn on the terrain (file is base/ext_data/*.miscents)
;310:densityMap - how dense the client models are packed
;311:
;312:*/
;313:void SP_terrain(gentity_t *ent) 
;314:{
line 324
;315:	char				temp[MAX_INFO_STRING];
;316:	char				final[MAX_QPATH];
;317:	char				seed[MAX_QPATH];
;318:	char				missionType[MAX_QPATH];
;319:	char				soundSet[MAX_QPATH];
;320:	int					shaderNum, i;
;321:	char				*value;
;322:	int					terrainID;
;323:
;324:	VectorClear (ent->s.angles);
ADDRLP4 1296
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 1300
CNSTF4 0
ASGNF4
ADDRLP4 1296
INDIRP4
CNSTI4 124
ADDP4
ADDRLP4 1300
INDIRF4
ASGNF4
ADDRLP4 1296
INDIRP4
CNSTI4 120
ADDP4
ADDRLP4 1300
INDIRF4
ASGNF4
ADDRLP4 1296
INDIRP4
CNSTI4 116
ADDP4
ADDRLP4 1300
INDIRF4
ASGNF4
line 325
;325:	trap_SetBrushModel( ent, ent->model );
ADDRLP4 1304
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 1304
INDIRP4
ARGP4
ADDRLP4 1304
INDIRP4
CNSTI4 352
ADDP4
INDIRP4
ARGP4
ADDRGP4 trap_SetBrushModel
CALLV
pop
line 329
;326:
;327:	// Get the shader from the top of the brush
;328://	shaderNum = gi.CM_GetShaderNum(s.modelindex);
;329:	shaderNum = 0;
ADDRLP4 1100
CNSTI4 0
ASGNI4
line 331
;330:
;331:	if (RMG.integer)
ADDRGP4 RMG+12
INDIRI4
CNSTI4 0
EQI4 $131
line 332
;332:	{
line 334
;333:		// Grab the default terrain file from the RMG cvar
;334:		trap_Cvar_VariableStringBuffer("RMG_terrain", temp, MAX_QPATH);
ADDRGP4 $134
ARGP4
ADDRLP4 4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 335
;335:		Com_sprintf(final, MAX_QPATH, "%s", temp);
ADDRLP4 1028
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $135
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 336
;336:		AddSpawnField("terrainDef", temp);
ADDRGP4 $136
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 AddSpawnField
CALLV
pop
line 338
;337: 
;338:		trap_Cvar_VariableStringBuffer("RMG_instances", temp, MAX_QPATH);
ADDRGP4 $137
ARGP4
ADDRLP4 4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 339
;339:		Com_sprintf(final, MAX_QPATH, "%s", temp);
ADDRLP4 1028
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $135
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 340
;340:		AddSpawnField("instanceDef", temp);
ADDRGP4 $138
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 AddSpawnField
CALLV
pop
line 342
;341:
;342:		trap_Cvar_VariableStringBuffer("RMG_miscents", temp, MAX_QPATH);
ADDRGP4 $139
ARGP4
ADDRLP4 4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 343
;343:		Com_sprintf(final, MAX_QPATH, "%s", temp);
ADDRLP4 1028
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $135
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 344
;344:		AddSpawnField("miscentDef", temp);
ADDRGP4 $140
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 AddSpawnField
CALLV
pop
line 346
;345:
;346:		trap_Cvar_VariableStringBuffer("RMG_seed", seed, MAX_QPATH);
ADDRGP4 $141
ARGP4
ADDRLP4 1104
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 347
;347:		trap_Cvar_VariableStringBuffer("RMG_mission", missionType, MAX_QPATH);
ADDRGP4 $142
ARGP4
ADDRLP4 1168
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 349
;348:
;349:		trap_Cvar_VariableStringBuffer("RMG_soundset", soundSet, MAX_QPATH);
ADDRGP4 $143
ARGP4
ADDRLP4 1232
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 350
;350:		trap_SetConfigstring(CS_AMBIENT_SOUNDSETS, soundSet );
CNSTI4 1083
ARGI4
ADDRLP4 1232
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 351
;351:	}
LABELV $131
line 355
;352:
;353:	// Arbitrary (but sane) limits to the number of terxels
;354://	if((mTerxels < MIN_TERXELS) || (mTerxels > MAX_TERXELS))
;355:	{
line 358
;356://		Com_printf("G_Terrain: terxels out of range - defaulting to 4\n");
;357://		mTerxels = 4;
;358:	}
line 361
;359:
;360:	// Get info required for the common init
;361:	temp[0] = 0;
ADDRLP4 4
CNSTI1 0
ASGNI1
line 362
;362:	G_SpawnString("heightmap", "", &value);
ADDRGP4 $144
ARGP4
ADDRGP4 $106
ARGP4
ADDRLP4 1092
ARGP4
ADDRGP4 G_SpawnString
CALLI4
pop
line 363
;363:	Info_SetValueForKey(temp, "heightMap", value);
ADDRLP4 4
ARGP4
ADDRGP4 $145
ARGP4
ADDRLP4 1092
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 365
;364:
;365:	G_SpawnString("numpatches", "400", &value);
ADDRGP4 $146
ARGP4
ADDRGP4 $147
ARGP4
ADDRLP4 1092
ARGP4
ADDRGP4 G_SpawnString
CALLI4
pop
line 366
;366:	Info_SetValueForKey(temp, "numPatches", va("%d", atoi(value)));
ADDRLP4 1092
INDIRP4
ARGP4
ADDRLP4 1308
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRGP4 $149
ARGP4
ADDRLP4 1308
INDIRI4
ARGI4
ADDRLP4 1312
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRGP4 $148
ARGP4
ADDRLP4 1312
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 368
;367:
;368:	G_SpawnString("terxels", "4", &value);
ADDRGP4 $150
ARGP4
ADDRGP4 $151
ARGP4
ADDRLP4 1092
ARGP4
ADDRGP4 G_SpawnString
CALLI4
pop
line 369
;369:	Info_SetValueForKey(temp, "terxels", va("%d", atoi(value)));
ADDRLP4 1092
INDIRP4
ARGP4
ADDRLP4 1316
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRGP4 $149
ARGP4
ADDRLP4 1316
INDIRI4
ARGI4
ADDRLP4 1320
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRGP4 $150
ARGP4
ADDRLP4 1320
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 371
;370:
;371:	Info_SetValueForKey(temp, "seed", seed);
ADDRLP4 4
ARGP4
ADDRGP4 $152
ARGP4
ADDRLP4 1104
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 372
;372:	Info_SetValueForKey(temp, "minx", va("%f", ent->r.mins[0]));
ADDRGP4 $154
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 236
ADDP4
INDIRF4
ARGF4
ADDRLP4 1324
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRGP4 $153
ARGP4
ADDRLP4 1324
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 373
;373:	Info_SetValueForKey(temp, "miny", va("%f", ent->r.mins[1]));
ADDRGP4 $154
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 240
ADDP4
INDIRF4
ARGF4
ADDRLP4 1328
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRGP4 $155
ARGP4
ADDRLP4 1328
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 374
;374:	Info_SetValueForKey(temp, "minz", va("%f", ent->r.mins[2]));
ADDRGP4 $154
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 244
ADDP4
INDIRF4
ARGF4
ADDRLP4 1332
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRGP4 $156
ARGP4
ADDRLP4 1332
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 375
;375:	Info_SetValueForKey(temp, "maxx", va("%f", ent->r.maxs[0]));
ADDRGP4 $154
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 248
ADDP4
INDIRF4
ARGF4
ADDRLP4 1336
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRGP4 $157
ARGP4
ADDRLP4 1336
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 376
;376:	Info_SetValueForKey(temp, "maxy", va("%f", ent->r.maxs[1]));
ADDRGP4 $154
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 252
ADDP4
INDIRF4
ARGF4
ADDRLP4 1340
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRGP4 $158
ARGP4
ADDRLP4 1340
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 377
;377:	Info_SetValueForKey(temp, "maxz", va("%f", ent->r.maxs[2]));
ADDRGP4 $154
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 256
ADDP4
INDIRF4
ARGF4
ADDRLP4 1344
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRGP4 $159
ARGP4
ADDRLP4 1344
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 379
;378:
;379:	Info_SetValueForKey(temp, "modelIndex", va("%d", ent->s.modelindex));
ADDRGP4 $149
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
ARGI4
ADDRLP4 1348
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRGP4 $160
ARGP4
ADDRLP4 1348
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 381
;380:
;381:	G_SpawnString("terraindef", "grassyhills", &value);
ADDRGP4 $161
ARGP4
ADDRGP4 $162
ARGP4
ADDRLP4 1092
ARGP4
ADDRGP4 G_SpawnString
CALLI4
pop
line 382
;382:	Info_SetValueForKey(temp, "terrainDef", value);
ADDRLP4 4
ARGP4
ADDRGP4 $136
ARGP4
ADDRLP4 1092
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 384
;383:
;384:	G_SpawnString("instancedef", "", &value);
ADDRGP4 $163
ARGP4
ADDRGP4 $106
ARGP4
ADDRLP4 1092
ARGP4
ADDRGP4 G_SpawnString
CALLI4
pop
line 385
;385:	Info_SetValueForKey(temp, "instanceDef", value);
ADDRLP4 4
ARGP4
ADDRGP4 $138
ARGP4
ADDRLP4 1092
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 387
;386:
;387:	G_SpawnString("miscentdef", "", &value);
ADDRGP4 $164
ARGP4
ADDRGP4 $106
ARGP4
ADDRLP4 1092
ARGP4
ADDRGP4 G_SpawnString
CALLI4
pop
line 388
;388:	Info_SetValueForKey(temp, "miscentDef", value);
ADDRLP4 4
ARGP4
ADDRGP4 $140
ARGP4
ADDRLP4 1092
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 390
;389:
;390:	Info_SetValueForKey(temp, "missionType", missionType);
ADDRLP4 4
ARGP4
ADDRGP4 $165
ARGP4
ADDRLP4 1168
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 392
;391:	
;392:	for(i = 0; i < MAX_INSTANCE_TYPES; i++)
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $166
line 393
;393:	{
line 394
;394:		trap_Cvar_VariableStringBuffer(va("RMG_instance%d", i), final, MAX_QPATH);
ADDRGP4 $170
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 1352
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 1352
INDIRP4
ARGP4
ADDRLP4 1028
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 395
;395:		if(strlen(final))
ADDRLP4 1028
ARGP4
ADDRLP4 1356
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 1356
INDIRI4
CNSTI4 0
EQI4 $171
line 396
;396:		{
line 397
;397:			Info_SetValueForKey(temp, va("inst%d", i), final);
ADDRGP4 $173
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 1360
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRLP4 1360
INDIRP4
ARGP4
ADDRLP4 1028
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 398
;398:		}
LABELV $171
line 399
;399:	}
LABELV $167
line 392
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 16
LTI4 $166
line 402
;400:
;401:	// Set additional data required on the client only
;402:	G_SpawnString("densitymap", "", &value);
ADDRGP4 $174
ARGP4
ADDRGP4 $106
ARGP4
ADDRLP4 1092
ARGP4
ADDRGP4 G_SpawnString
CALLI4
pop
line 403
;403:	Info_SetValueForKey(temp, "densityMap", value);
ADDRLP4 4
ARGP4
ADDRGP4 $175
ARGP4
ADDRLP4 1092
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 405
;404:
;405:	Info_SetValueForKey(temp, "shader", va("%d", shaderNum));
ADDRGP4 $149
ARGP4
ADDRLP4 1100
INDIRI4
ARGI4
ADDRLP4 1352
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRGP4 $176
ARGP4
ADDRLP4 1352
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 406
;406:	G_SpawnString("texturescale", "0.005", &value);
ADDRGP4 $177
ARGP4
ADDRGP4 $178
ARGP4
ADDRLP4 1092
ARGP4
ADDRGP4 G_SpawnString
CALLI4
pop
line 407
;407:	Info_SetValueForKey(temp, "texturescale", va("%f", atof(value)));
ADDRLP4 1092
INDIRP4
ARGP4
ADDRLP4 1356
ADDRGP4 atof
CALLF4
ASGNF4
ADDRGP4 $154
ARGP4
ADDRLP4 1356
INDIRF4
ARGF4
ADDRLP4 1360
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRGP4 $177
ARGP4
ADDRLP4 1360
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 410
;408:
;409:	// Initialise the common aspects of the terrain
;410:	terrainID = trap_CM_RegisterTerrain(temp);
ADDRLP4 4
ARGP4
ADDRLP4 1364
ADDRGP4 trap_CM_RegisterTerrain
CALLI4
ASGNI4
ADDRLP4 1096
ADDRLP4 1364
INDIRI4
ASGNI4
line 413
;411://	SetCommon(common);
;412:
;413:	Info_SetValueForKey(temp, "terrainId", va("%d", terrainID));
ADDRGP4 $149
ARGP4
ADDRLP4 1096
INDIRI4
ARGI4
ADDRLP4 1368
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRGP4 $179
ARGP4
ADDRLP4 1368
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 419
;414:
;415:	// Let the entity know if it is random generated or not
;416://	SetIsRandom(common->GetIsRandom());
;417:
;418:	// Let the game remember everything
;419:	level.landScapes[terrainID] = ent;
ADDRLP4 1096
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 level+7600
ADDP4
ADDRFP4 0
INDIRP4
ASGNP4
line 422
;420:
;421:	// Send all the data down to the client
;422:	trap_SetConfigstring(CS_TERRAINS + terrainID, temp);
ADDRLP4 1096
INDIRI4
CNSTI4 759
ADDI4
ARGI4
ADDRLP4 4
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 425
;423:
;424:	// Make sure the contents are properly set
;425:	ent->r.contents = CONTENTS_TERRAIN;
ADDRFP4 0
INDIRP4
CNSTI4 260
ADDP4
CNSTI4 4096
ASGNI4
line 426
;426:	ent->r.svFlags = SVF_NOCLIENT;
ADDRFP4 0
INDIRP4
CNSTI4 224
ADDP4
CNSTI4 1
ASGNI4
line 427
;427:	ent->s.eFlags = EF_PERMANENT;
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 16384
ASGNI4
line 428
;428:	ent->s.eType = ET_TERRAIN;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 14
ASGNI4
line 431
;429:
;430:	// Hook into the world so physics will work
;431:	trap_LinkEntity(ent);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 434
;432:
;433:	// If running RMG then initialize the terrain and handle team skins
;434:	if ( RMG.integer ) 
ADDRGP4 RMG+12
INDIRI4
CNSTI4 0
EQI4 $181
line 435
;435:	{
line 436
;436:		trap_RMG_Init(terrainID);
ADDRLP4 1096
INDIRI4
ARGI4
ADDRGP4 trap_RMG_Init
CALLV
pop
line 438
;437:
;438:		if ( level.gametypeData->teams )
ADDRGP4 level+24
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 0
EQI4 $184
line 439
;439:		{
line 443
;440:			char temp[MAX_QPATH];
;441:
;442:			// Red team change from RMG ?
;443:			trap_GetConfigstring ( CS_GAMETYPE_REDTEAM, temp, MAX_QPATH );
CNSTI4 83
ARGI4
ADDRLP4 1372
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 trap_GetConfigstring
CALLV
pop
line 444
;444:			if ( Q_stricmp ( temp, level.gametypeTeam[TEAM_RED] ) )
ADDRLP4 1372
ARGP4
ADDRGP4 level+7764+4
INDIRP4
ARGP4
ADDRLP4 1436
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 1436
INDIRI4
CNSTI4 0
EQI4 $187
line 445
;445:			{
line 446
;446:				level.gametypeTeam[TEAM_RED] = trap_VM_LocalStringAlloc ( temp );
ADDRLP4 1372
ARGP4
ADDRLP4 1440
ADDRGP4 trap_VM_LocalStringAlloc
CALLP4
ASGNP4
ADDRGP4 level+7764+4
ADDRLP4 1440
INDIRP4
ASGNP4
line 447
;447:			}
LABELV $187
line 450
;448:
;449:			// Blue team change from RMG ?
;450:			trap_GetConfigstring ( CS_GAMETYPE_BLUETEAM, temp, MAX_QPATH );
CNSTI4 84
ARGI4
ADDRLP4 1372
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 trap_GetConfigstring
CALLV
pop
line 451
;451:			if ( Q_stricmp ( temp, level.gametypeTeam[TEAM_BLUE] ) )
ADDRLP4 1372
ARGP4
ADDRGP4 level+7764+8
INDIRP4
ARGP4
ADDRLP4 1440
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 1440
INDIRI4
CNSTI4 0
EQI4 $193
line 452
;452:			{
line 453
;453:				level.gametypeTeam[TEAM_BLUE] = trap_VM_LocalStringAlloc ( temp );
ADDRLP4 1372
ARGP4
ADDRLP4 1444
ADDRGP4 trap_VM_LocalStringAlloc
CALLP4
ASGNP4
ADDRGP4 level+7764+8
ADDRLP4 1444
INDIRP4
ASGNP4
line 454
;454:			}
LABELV $193
line 455
;455:		}
LABELV $184
line 456
;456:	}
LABELV $181
line 457
;457:}
LABELV $130
endproc SP_terrain 1448 16
export G_DebugCylinderThink
proc G_DebugCylinderThink 28 8
line 465
;458:
;459:/*
;460:=================================================================================
;461:G_DebugCylinderThink
;462:=================================================================================
;463:*/
;464:void G_DebugCylinderThink ( gentity_t* ent )
;465:{
line 469
;466:	vec3_t vec1;
;467:	vec3_t vec2;
;468:
;469:	ent->nextthink = level.time + 1000;
ADDRFP4 0
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
CNSTI4 1000
ADDI4
ASGNI4
line 471
;470:
;471:	VectorCopy ( ent->parent->client->ps.origin, vec1 );
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 412
ADDP4
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CNSTI4 24
ADDP4
INDIRB
ASGNB 12
line 472
;472:	VectorCopy ( ent->r.currentOrigin, vec2 );
ADDRLP4 12
ADDRFP4 0
INDIRP4
CNSTI4 288
ADDP4
INDIRB
ASGNB 12
line 474
;473:	
;474:	vec1[2] = 0;
ADDRLP4 0+8
CNSTF4 0
ASGNF4
line 475
;475:	vec2[2] = 0;
ADDRLP4 12+8
CNSTF4 0
ASGNF4
line 478
;476:
;477:	// IF we are too far away then kill it 
;478:	if ( Distance ( vec1, vec2 ) > ent->speed )
ADDRLP4 0
ARGP4
ADDRLP4 12
ARGP4
ADDRLP4 24
ADDRGP4 Distance
CALLF4
ASGNF4
ADDRLP4 24
INDIRF4
ADDRFP4 0
INDIRP4
CNSTI4 480
ADDP4
INDIRF4
LEF4 $203
line 479
;479:	{
line 480
;480:		trap_UnlinkEntity ( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_UnlinkEntity
CALLV
pop
line 481
;481:		return;
ADDRGP4 $199
JUMPV
LABELV $203
line 484
;482:	}
;483:
;484:	trap_LinkEntity ( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 485
;485:}
LABELV $199
endproc G_DebugCylinderThink 28 8
export G_SpawnDebugCylinder
proc G_SpawnDebugCylinder 8 4
line 493
;486:
;487:/*
;488:=================================================================================
;489:G_SpawnDebugCylinder
;490:=================================================================================
;491:*/
;492:void G_SpawnDebugCylinder ( vec3_t origin, float radius, gentity_t* clientent, float viewRadius, int colorIndex )
;493:{
line 496
;494:	gentity_t* ent;
;495:
;496:	if ( !g_cheats.integer )
ADDRGP4 g_cheats+12
INDIRI4
CNSTI4 0
NEI4 $206
line 497
;497:	{
line 498
;498:		return;
ADDRGP4 $205
JUMPV
LABELV $206
line 501
;499:	}
;500:
;501:	ent = G_Spawn ( );
ADDRLP4 4
ADDRGP4 G_Spawn
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 502
;502:	ent->s.eType = ET_DEBUG_CYLINDER;
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 15
ASGNI4
line 503
;503:	ent->s.time = colorIndex;
ADDRLP4 0
INDIRP4
CNSTI4 84
ADDP4
ADDRFP4 16
INDIRI4
ASGNI4
line 504
;504:	ent->s.time2 = (int) radius;
ADDRLP4 0
INDIRP4
CNSTI4 88
ADDP4
ADDRFP4 4
INDIRF4
CVFI4 4
ASGNI4
line 505
;505:	ent->parent = clientent;
ADDRLP4 0
INDIRP4
CNSTI4 412
ADDP4
ADDRFP4 8
INDIRP4
ASGNP4
line 506
;506:	ent->speed = viewRadius;
ADDRLP4 0
INDIRP4
CNSTI4 480
ADDP4
ADDRFP4 12
INDIRF4
ASGNF4
line 508
;507:
;508:	VectorCopy ( origin, ent->s.origin );
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 509
;509:	VectorCopy ( origin, ent->r.currentOrigin );
ADDRLP4 0
INDIRP4
CNSTI4 288
ADDP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 511
;510:
;511:	ent->nextthink = level.time + 1000;
ADDRLP4 0
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
CNSTI4 1000
ADDI4
ASGNI4
line 512
;512:	ent->think = G_DebugCylinderThink;
ADDRLP4 0
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 G_DebugCylinderThink
ASGNP4
line 514
;513:	
;514:	trap_LinkEntity ( ent );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 515
;515:}
LABELV $205
endproc G_SpawnDebugCylinder 8 4
export fx_think
proc fx_think 16 12
line 519
;516:
;517:
;518:void fx_think( gentity_t *ent ) 
;519:{
line 523
;520:	int		time;
;521:
;522:	// play fx
;523:	G_PlayEffect( ent->health, ent->s.origin, ent->pos1 );
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 548
ADDP4
INDIRI4
ARGI4
ADDRLP4 4
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 420
ADDP4
ARGP4
ADDRGP4 G_PlayEffect
CALLV
pop
line 525
;524:
;525:	if( ent->count >= 0 )	// stops it from rolling over, yeah kinda lame...
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
INDIRI4
CNSTI4 0
LTI4 $211
line 526
;526:	{
line 527
;527:		ent->count--;
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 528
;528:	}
LABELV $211
line 530
;529:
;530:	if( !ent->count )	// effect is suppose to play mCount times then dissapear
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
INDIRI4
CNSTI4 0
NEI4 $213
line 531
;531:	{
line 532
;532:		G_FreeEntity(ent);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 533
;533:		return;
ADDRGP4 $210
JUMPV
LABELV $213
line 537
;534:	}
;535:
;536:	// calc next play time
;537:	time = (ent->wait + flrand(0.0f, ent->random)) * 1000;	// need it in milliseconds 
CNSTF4 0
ARGF4
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CNSTI4 624
ADDP4
INDIRF4
ARGF4
ADDRLP4 12
ADDRGP4 flrand
CALLF4
ASGNF4
ADDRLP4 0
CNSTF4 1148846080
ADDRLP4 8
INDIRP4
CNSTI4 620
ADDP4
INDIRF4
ADDRLP4 12
INDIRF4
ADDF4
MULF4
CVFI4 4
ASGNI4
line 539
;538:
;539:	ent->think = fx_think;
ADDRFP4 0
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 fx_think
ASGNP4
line 540
;540:	ent->nextthink = level.time + time;
ADDRFP4 0
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
ADDRLP4 0
INDIRI4
ADDI4
ASGNI4
line 541
;541:}
LABELV $210
endproc fx_think 16 12
export SP_fx_play_effect
proc SP_fx_play_effect 56 12
line 560
;542:
;543:
;544:/*QUAKED fx_play_effect (.2 .5 .8) (-8 -8 -8) (8 8 8) START_OFF
;545:Plays specified effect file
;546:
;547:"effect"    name of .efx file
;548:"wait"      seconds between triggerings, default 0.3
;549:"random"    wait variance in seconds, default 0
;550:"target"    direction of effect, default up
;551:"count"     plays effect this many times then deletes itself, default -1 = infinite 
;552:
;553:
;554:START_OFF    fx starts off
;555:
;556:
;557:*/
;558:
;559:void SP_fx_play_effect(gentity_t *ent)
;560:{
line 564
;561:	gentity_t	*target;
;562:	char		*fxName;
;563:
;564:	G_SetOrigin( ent, ent->s.origin );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 566
;565:
;566:	G_SpawnString("effect", "", &fxName);
ADDRGP4 $217
ARGP4
ADDRGP4 $106
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 G_SpawnString
CALLI4
pop
line 567
;567:	ent->health = G_EffectIndex(fxName);
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 G_EffectIndex
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 548
ADDP4
ADDRLP4 12
INDIRI4
ASGNI4
line 569
;568:
;569:	if (ent->wait == 0.0)
ADDRFP4 0
INDIRP4
CNSTI4 620
ADDP4
INDIRF4
CNSTF4 0
NEF4 $218
line 570
;570:	{
line 571
;571:		ent->wait = 0.3;
ADDRFP4 0
INDIRP4
CNSTI4 620
ADDP4
CNSTF4 1050253722
ASGNF4
line 572
;572:	}
LABELV $218
line 574
;573:
;574:	target = G_Find(0, FOFS(targetname), ent->target);
CNSTP4 0
ARGP4
CNSTI4 460
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
ARGP4
ADDRLP4 16
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 16
INDIRP4
ASGNP4
line 575
;575:	if (target)
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $220
line 576
;576:	{
line 577
;577:		VectorSubtract( target->s.origin, ent->s.origin, ent->pos1 );
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 24
CNSTI4 92
ASGNI4
ADDRLP4 20
INDIRP4
CNSTI4 420
ADDP4
ADDRLP4 0
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRF4
ADDRLP4 20
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 28
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 32
CNSTI4 96
ASGNI4
ADDRLP4 28
INDIRP4
CNSTI4 424
ADDP4
ADDRLP4 0
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
ADDRLP4 28
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 36
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 40
CNSTI4 100
ASGNI4
ADDRLP4 36
INDIRP4
CNSTI4 428
ADDP4
ADDRLP4 0
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
ADDRLP4 36
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 578
;578:		VectorNormalize( ent->pos1 );
ADDRFP4 0
INDIRP4
CNSTI4 420
ADDP4
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 580
;579:		// find angles
;580:		vectoangles( ent->pos1, ent->r.currentAngles );
ADDRLP4 44
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 44
INDIRP4
CNSTI4 420
ADDP4
ARGP4
ADDRLP4 44
INDIRP4
CNSTI4 300
ADDP4
ARGP4
ADDRGP4 vectoangles
CALLV
pop
line 582
;581:		// copy over to other angles
;582:		VectorCopy( ent->r.currentAngles, ent->s.angles );	
ADDRLP4 48
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 48
INDIRP4
CNSTI4 116
ADDP4
ADDRLP4 48
INDIRP4
CNSTI4 300
ADDP4
INDIRB
ASGNB 12
line 583
;583:		VectorCopy( ent->r.currentAngles, ent->s.apos.trBase );
ADDRLP4 52
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 52
INDIRP4
CNSTI4 60
ADDP4
ADDRLP4 52
INDIRP4
CNSTI4 300
ADDP4
INDIRB
ASGNB 12
line 584
;584:	}
ADDRGP4 $221
JUMPV
LABELV $220
line 586
;585:	else
;586:	{
line 587
;587:		ent->pos1[0] = ent->pos1[1] = 0.0;
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 24
CNSTF4 0
ASGNF4
ADDRLP4 20
INDIRP4
CNSTI4 424
ADDP4
ADDRLP4 24
INDIRF4
ASGNF4
ADDRLP4 20
INDIRP4
CNSTI4 420
ADDP4
ADDRLP4 24
INDIRF4
ASGNF4
line 588
;588:		ent->pos1[2] = 1.0;
ADDRFP4 0
INDIRP4
CNSTI4 428
ADDP4
CNSTF4 1065353216
ASGNF4
line 589
;589:	}
LABELV $221
line 591
;590:
;591:	ent->think = fx_think;
ADDRFP4 0
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 fx_think
ASGNP4
line 592
;592:	ent->nextthink = level.time + 100;
ADDRFP4 0
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 593
;593:}
LABELV $216
endproc SP_fx_play_effect 56 12
import G_DoGameTypeMessage
import G_GlobalSound
import G_ClientSound
import G_ApplyAntiLag
import G_UndoAntiLag
import G_UpdateClientAntiLag
import trap_GT_SendEvent
import trap_GT_Start
import trap_GT_RunFrame
import trap_GT_Init
import trap_CM_RegisterTerrain
import trap_SnapVector
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotAddAvoidSpot
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotSetAvoidGoalTime
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_ForcePower
import trap_EA_Alt_Attack
import trap_EA_View
import trap_EA_Move
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_SelectWeapon
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_Gesture
import trap_EA_Action
import trap_EA_Command
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AlternativeRouteGoals
import trap_AAS_PredictRoute
import trap_AAS_EnableRoutingArea
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointReachabilityAreaIndex
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_AAS_AreaInfo
import trap_AAS_BBoxAreas
import trap_BotUserCommand
import trap_BotGetServerCommand
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_BotFreeMemoryGame
import trap_BotGetMemoryGame
import trap_GetWorldBounds
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetActiveSubBSP
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_RMG_Init
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_suddenDeath
import g_voiceTalkingGhosts
import g_voiceFloodPenalty
import g_voiceFloodCount
import g_teamkillNoExcuseMultiplier
import g_teamkillNoExcuseTime
import g_teamkillBanTime
import g_teamkillDamageForgive
import g_teamkillDamageMax
import g_teamkillPenalty
import g_suicidePenalty
import g_pickupsDisabled
import g_mapcycle
import g_followEnemy
import g_forceFollow
import g_availableWeapons
import g_roundstartdelay
import g_timeextension
import g_roundjointime
import g_roundtimelimit
import g_timeouttospec
import g_debugRMG
import RMG
import g_respawnInvulnerability
import g_respawnInterval
import g_rankings
import pmove_msec
import pmove_fixed
import g_smoothClients
import g_teamForceBalance
import g_teamAutoJoin
import g_failedVoteDelay
import g_voteKickBanTime
import g_voteDuration
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_backpackRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_timelimit
import g_scorelimit
import g_dmflags
import g_logHits
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_addBotsFast
import g_cloneChecker
import g_compMode
import g_useColorInNames
import g_onFireUntilDeath
import g_headshotMessage
import g_announceKillSpree
import g_botHeadLock
import g_entities
import level
import Team_GetLocationMsg
import Team_GetLocation
import G_AddTeamScore
import TeamColorString
import OtherTeamName
import TeamSkins
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import OrgVisible
import G_DropGametypeItems
import gametype_item_use
import G_ResetGametypeItem
import G_CanGametypeTriggerBeUsed
import G_ResetGametype
import G_ExecuteGametypeScript
import G_ParseGametypeFile
import G_SelectRandomGametypeSpawnPoint
import G_SpawnGametypeItem
import G_SelectGametypeSpawnPoint
import G_LoadArenas
import G_DoesMapExist
import G_DoesMapSupportGametype
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_RemoveQueuedBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Team_CheckDroppedItem
import OnSameTeam
import G_RunClient
import ClientEndFrame
import ClientThink
import G_CheckClientTeamkill
import G_CheckClientTimeouts
import G_GametypeCommand
import G_SelectRandomSpawnPoint
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import CheckGametype
import SendScoreboardMessageToAllClients
import G_LogPrintf
import G_RunThink
import SetLeader
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import ProDeathmatchScoreboardMessage
import MoveClientToIntermission
import G_FireProjectile
import G_FireWeapon
import ConsoleCommand
import G_IgnoreClientChat
import G_IsClientChatIgnored
import G_AddClientSpawn
import G_FindNearbyClient
import G_SetRespawnTimer
import G_UpdateClientAnimations
import G_SpotWouldTelefrag
import CalculateRanks
import G_AddScore
import G_InitBodyQueue
import player_die
import ClientSpawn
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import CopyToBodyQue
import SetClientViewAngle
import PickTeam
import G_GhostCount
import TeamCount
import G_ClientCleanName
import G_IsClientDead
import G_IsClientSpectating
import G_InitHitModels
import SnapVectorTowards
import InitTrigger
import trigger_teleporter_touch
import G_ResetGlass
import Touch_DoorTrigger
import G_RunMover
import G_GrenadeThink
import G_ExplodeMissile
import G_BounceProjectile
import G_CreateDamageArea
import G_CreateMissile
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import G_GetHitLocation
import CanDamage
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_CollisionDetect
import trap_G2API_CleanGhoul2Models
import BuildShaderStateConfig
import AddRemap
import G_SetOrigin
import G_AddEvent
import G_AddPredictableEvent
import vectoyaw
import vtos
import tv
import G_RunObject
import G_TouchSolids
import G_TouchTriggers
import G_EntitiesFree
import G_FreeEnitityChildren
import G_FreeEntity
import G_EntitySound
import G_SoundAtLoc
import G_Sound
import G_SetHUDIcon
import G_PlayEffect
import G_TempEntity
import G_Spawn
import G_InitGentity
import G_SetAngles
import G_SetMovedir
import G_UseTargetsByName
import G_UseTargets
import G_PickTarget
import G_RadiusList
import G_Find
import G_KillBox
import G_TeamCommand
import G_EffectIndex
import G_IconIndex
import G_BSPIndex
import G_AmbientSoundSetIndex
import G_SoundIndex
import G_ModelIndex
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import G_DropWeapon
import LaunchItem
import G_DropItem
import PrecacheItem
import RespawnItem
import G_RunItem
import ItemUse_MedPack
import ItemUse_Seeker
import ItemUse_Sentry
import ItemUse_Shield
import G_CanVoiceGlobal
import G_VoiceGlobal
import G_Voice
import CheatsOk
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import G_StartGhosting
import G_StopGhosting
import G_StopFollowing
import Cmd_Score_f
import AddSpawnField
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnGEntityFromSpawnVars
import G_ParseSpawnVars
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $217
char 1 101
char 1 102
char 1 102
char 1 101
char 1 99
char 1 116
char 1 0
align 1
LABELV $179
char 1 116
char 1 101
char 1 114
char 1 114
char 1 97
char 1 105
char 1 110
char 1 73
char 1 100
char 1 0
align 1
LABELV $178
char 1 48
char 1 46
char 1 48
char 1 48
char 1 53
char 1 0
align 1
LABELV $177
char 1 116
char 1 101
char 1 120
char 1 116
char 1 117
char 1 114
char 1 101
char 1 115
char 1 99
char 1 97
char 1 108
char 1 101
char 1 0
align 1
LABELV $176
char 1 115
char 1 104
char 1 97
char 1 100
char 1 101
char 1 114
char 1 0
align 1
LABELV $175
char 1 100
char 1 101
char 1 110
char 1 115
char 1 105
char 1 116
char 1 121
char 1 77
char 1 97
char 1 112
char 1 0
align 1
LABELV $174
char 1 100
char 1 101
char 1 110
char 1 115
char 1 105
char 1 116
char 1 121
char 1 109
char 1 97
char 1 112
char 1 0
align 1
LABELV $173
char 1 105
char 1 110
char 1 115
char 1 116
char 1 37
char 1 100
char 1 0
align 1
LABELV $170
char 1 82
char 1 77
char 1 71
char 1 95
char 1 105
char 1 110
char 1 115
char 1 116
char 1 97
char 1 110
char 1 99
char 1 101
char 1 37
char 1 100
char 1 0
align 1
LABELV $165
char 1 109
char 1 105
char 1 115
char 1 115
char 1 105
char 1 111
char 1 110
char 1 84
char 1 121
char 1 112
char 1 101
char 1 0
align 1
LABELV $164
char 1 109
char 1 105
char 1 115
char 1 99
char 1 101
char 1 110
char 1 116
char 1 100
char 1 101
char 1 102
char 1 0
align 1
LABELV $163
char 1 105
char 1 110
char 1 115
char 1 116
char 1 97
char 1 110
char 1 99
char 1 101
char 1 100
char 1 101
char 1 102
char 1 0
align 1
LABELV $162
char 1 103
char 1 114
char 1 97
char 1 115
char 1 115
char 1 121
char 1 104
char 1 105
char 1 108
char 1 108
char 1 115
char 1 0
align 1
LABELV $161
char 1 116
char 1 101
char 1 114
char 1 114
char 1 97
char 1 105
char 1 110
char 1 100
char 1 101
char 1 102
char 1 0
align 1
LABELV $160
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 73
char 1 110
char 1 100
char 1 101
char 1 120
char 1 0
align 1
LABELV $159
char 1 109
char 1 97
char 1 120
char 1 122
char 1 0
align 1
LABELV $158
char 1 109
char 1 97
char 1 120
char 1 121
char 1 0
align 1
LABELV $157
char 1 109
char 1 97
char 1 120
char 1 120
char 1 0
align 1
LABELV $156
char 1 109
char 1 105
char 1 110
char 1 122
char 1 0
align 1
LABELV $155
char 1 109
char 1 105
char 1 110
char 1 121
char 1 0
align 1
LABELV $154
char 1 37
char 1 102
char 1 0
align 1
LABELV $153
char 1 109
char 1 105
char 1 110
char 1 120
char 1 0
align 1
LABELV $152
char 1 115
char 1 101
char 1 101
char 1 100
char 1 0
align 1
LABELV $151
char 1 52
char 1 0
align 1
LABELV $150
char 1 116
char 1 101
char 1 114
char 1 120
char 1 101
char 1 108
char 1 115
char 1 0
align 1
LABELV $149
char 1 37
char 1 100
char 1 0
align 1
LABELV $148
char 1 110
char 1 117
char 1 109
char 1 80
char 1 97
char 1 116
char 1 99
char 1 104
char 1 101
char 1 115
char 1 0
align 1
LABELV $147
char 1 52
char 1 48
char 1 48
char 1 0
align 1
LABELV $146
char 1 110
char 1 117
char 1 109
char 1 112
char 1 97
char 1 116
char 1 99
char 1 104
char 1 101
char 1 115
char 1 0
align 1
LABELV $145
char 1 104
char 1 101
char 1 105
char 1 103
char 1 104
char 1 116
char 1 77
char 1 97
char 1 112
char 1 0
align 1
LABELV $144
char 1 104
char 1 101
char 1 105
char 1 103
char 1 104
char 1 116
char 1 109
char 1 97
char 1 112
char 1 0
align 1
LABELV $143
char 1 82
char 1 77
char 1 71
char 1 95
char 1 115
char 1 111
char 1 117
char 1 110
char 1 100
char 1 115
char 1 101
char 1 116
char 1 0
align 1
LABELV $142
char 1 82
char 1 77
char 1 71
char 1 95
char 1 109
char 1 105
char 1 115
char 1 115
char 1 105
char 1 111
char 1 110
char 1 0
align 1
LABELV $141
char 1 82
char 1 77
char 1 71
char 1 95
char 1 115
char 1 101
char 1 101
char 1 100
char 1 0
align 1
LABELV $140
char 1 109
char 1 105
char 1 115
char 1 99
char 1 101
char 1 110
char 1 116
char 1 68
char 1 101
char 1 102
char 1 0
align 1
LABELV $139
char 1 82
char 1 77
char 1 71
char 1 95
char 1 109
char 1 105
char 1 115
char 1 99
char 1 101
char 1 110
char 1 116
char 1 115
char 1 0
align 1
LABELV $138
char 1 105
char 1 110
char 1 115
char 1 116
char 1 97
char 1 110
char 1 99
char 1 101
char 1 68
char 1 101
char 1 102
char 1 0
align 1
LABELV $137
char 1 82
char 1 77
char 1 71
char 1 95
char 1 105
char 1 110
char 1 115
char 1 116
char 1 97
char 1 110
char 1 99
char 1 101
char 1 115
char 1 0
align 1
LABELV $136
char 1 116
char 1 101
char 1 114
char 1 114
char 1 97
char 1 105
char 1 110
char 1 68
char 1 101
char 1 102
char 1 0
align 1
LABELV $135
char 1 37
char 1 115
char 1 0
align 1
LABELV $134
char 1 82
char 1 77
char 1 71
char 1 95
char 1 116
char 1 101
char 1 114
char 1 114
char 1 97
char 1 105
char 1 110
char 1 0
align 1
LABELV $120
char 1 116
char 1 101
char 1 97
char 1 109
char 1 102
char 1 105
char 1 108
char 1 116
char 1 101
char 1 114
char 1 0
align 1
LABELV $118
char 1 102
char 1 105
char 1 108
char 1 116
char 1 101
char 1 114
char 1 0
align 1
LABELV $111
char 1 37
char 1 100
char 1 45
char 1 0
align 1
LABELV $109
char 1 35
char 1 37
char 1 115
char 1 0
align 1
LABELV $108
char 1 102
char 1 108
char 1 97
char 1 116
char 1 116
char 1 101
char 1 110
char 1 0
align 1
LABELV $107
char 1 115
char 1 112
char 1 97
char 1 99
char 1 105
char 1 110
char 1 103
char 1 0
align 1
LABELV $106
char 1 0
align 1
LABELV $105
char 1 98
char 1 115
char 1 112
char 1 109
char 1 111
char 1 100
char 1 101
char 1 108
char 1 0
align 1
LABELV $102
char 1 97
char 1 110
char 1 103
char 1 108
char 1 101
char 1 0
align 1
LABELV $100
char 1 48
char 1 0
align 1
LABELV $99
char 1 114
char 1 111
char 1 108
char 1 108
char 1 0
align 1
LABELV $83
char 1 67
char 1 111
char 1 117
char 1 108
char 1 100
char 1 110
char 1 39
char 1 116
char 1 32
char 1 102
char 1 105
char 1 110
char 1 100
char 1 32
char 1 116
char 1 97
char 1 114
char 1 103
char 1 101
char 1 116
char 1 32
char 1 102
char 1 111
char 1 114
char 1 32
char 1 109
char 1 105
char 1 115
char 1 99
char 1 95
char 1 112
char 1 97
char 1 114
char 1 116
char 1 97
char 1 108
char 1 95
char 1 115
char 1 117
char 1 114
char 1 102
char 1 97
char 1 99
char 1 101
char 1 10
char 1 0
