export Use_Target_Give
code
proc Use_Target_Give 64 12
file "../g_target.c"
line 10
;1:// Copyright (C) 2001-2002 Raven Software
;2://
;3:#include "g_local.h"
;4:
;5://==========================================================
;6:
;7:/*QUAKED target_give (1 0 0) (-8 -8 -8) (8 8 8)
;8:Gives the activator all the items pointed to.
;9:*/
;10:void Use_Target_Give( gentity_t *ent, gentity_t *other, gentity_t *activator ) {
line 14
;11:	gentity_t	*t;
;12:	trace_t		trace;
;13:
;14:	if ( !activator->client ) {
ADDRFP4 8
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $70
line 15
;15:		return;
ADDRGP4 $69
JUMPV
LABELV $70
line 18
;16:	}
;17:
;18:	if ( !ent->target ) {
ADDRFP4 0
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $72
line 19
;19:		return;
ADDRGP4 $69
JUMPV
LABELV $72
line 22
;20:	}
;21:
;22:	memset( &trace, 0, sizeof( trace ) );
ADDRLP4 4
ARGP4
CNSTI4 0
ARGI4
CNSTI4 56
ARGI4
ADDRGP4 memset
CALLP4
pop
line 23
;23:	t = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
ADDRGP4 $75
JUMPV
LABELV $74
line 24
;24:	while ( (t = G_Find (t, FOFS(targetname), ent->target)) != NULL ) {
line 25
;25:		if ( !t->item ) {
ADDRLP4 0
INDIRP4
CNSTI4 632
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $77
line 26
;26:			continue;
ADDRGP4 $75
JUMPV
LABELV $77
line 28
;27:		}
;28:		Touch_Item( t, activator, &trace );
ADDRLP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 Touch_Item
CALLV
pop
line 31
;29:
;30:		// make sure it isn't going to respawn or show any events
;31:		t->nextthink = 0;
ADDRLP4 0
INDIRP4
CNSTI4 504
ADDP4
CNSTI4 0
ASGNI4
line 32
;32:		trap_UnlinkEntity( t );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_UnlinkEntity
CALLV
pop
line 33
;33:	}
LABELV $75
line 24
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 460
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
ARGP4
ADDRLP4 60
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 60
INDIRP4
ASGNP4
ADDRLP4 60
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $74
line 34
;34:}
LABELV $69
endproc Use_Target_Give 64 12
export SP_target_give
proc SP_target_give 0 0
line 36
;35:
;36:void SP_target_give( gentity_t *ent ) {
line 37
;37:	ent->use = Use_Target_Give;
ADDRFP4 0
INDIRP4
CNSTI4 524
ADDP4
ADDRGP4 Use_Target_Give
ASGNP4
line 38
;38:}
LABELV $79
endproc SP_target_give 0 0
export Think_Target_Delay
proc Think_Target_Delay 4 8
line 47
;39:
;40:
;41://==========================================================
;42:
;43:/*QUAKED target_delay (1 0 0) (-8 -8 -8) (8 8 8)
;44:"wait" seconds to pause before firing targets.
;45:"random" delay variance, total delay = delay +/- random seconds
;46:*/
;47:void Think_Target_Delay( gentity_t *ent ) {
line 48
;48:	G_UseTargets( ent, ent->activator );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 596
ADDP4
INDIRP4
ARGP4
ADDRGP4 G_UseTargets
CALLV
pop
line 49
;49:}
LABELV $80
endproc Think_Target_Delay 4 8
export Use_Target_Delay
proc Use_Target_Delay 8 0
line 51
;50:
;51:void Use_Target_Delay( gentity_t *ent, gentity_t *other, gentity_t *activator ) {
line 52
;52:	ent->nextthink = level.time + ( ent->wait + ent->random * crandom() ) * 1000;
ADDRLP4 0
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
CVIF4 4
CNSTF4 1148846080
ADDRLP4 4
INDIRP4
CNSTI4 620
ADDP4
INDIRF4
ADDRLP4 4
INDIRP4
CNSTI4 624
ADDP4
INDIRF4
CNSTF4 1073741824
ADDRLP4 0
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
ADDF4
MULF4
ADDF4
CVFI4 4
ASGNI4
line 53
;53:	ent->think = Think_Target_Delay;
ADDRFP4 0
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 Think_Target_Delay
ASGNP4
line 54
;54:	ent->activator = activator;
ADDRFP4 0
INDIRP4
CNSTI4 596
ADDP4
ADDRFP4 8
INDIRP4
ASGNP4
line 55
;55:}
LABELV $81
endproc Use_Target_Delay 8 0
export SP_target_delay
proc SP_target_delay 4 12
line 57
;56:
;57:void SP_target_delay( gentity_t *ent ) {
line 59
;58:	// check delay for backwards compatability
;59:	if ( !G_SpawnFloat( "delay", "0", &ent->wait ) ) {
ADDRGP4 $86
ARGP4
ADDRGP4 $87
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 620
ADDP4
ARGP4
ADDRLP4 0
ADDRGP4 G_SpawnFloat
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
NEI4 $84
line 60
;60:		G_SpawnFloat( "wait", "1", &ent->wait );
ADDRGP4 $88
ARGP4
ADDRGP4 $89
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 620
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 61
;61:	}
LABELV $84
line 63
;62:
;63:	if ( !ent->wait ) {
ADDRFP4 0
INDIRP4
CNSTI4 620
ADDP4
INDIRF4
CNSTF4 0
NEF4 $90
line 64
;64:		ent->wait = 1;
ADDRFP4 0
INDIRP4
CNSTI4 620
ADDP4
CNSTF4 1065353216
ASGNF4
line 65
;65:	}
LABELV $90
line 66
;66:	ent->use = Use_Target_Delay;
ADDRFP4 0
INDIRP4
CNSTI4 524
ADDP4
ADDRGP4 Use_Target_Delay
ASGNP4
line 67
;67:}
LABELV $83
endproc SP_target_delay 4 12
export Use_Target_Score
proc Use_Target_Score 0 8
line 78
;68:
;69:
;70://==========================================================
;71:
;72:/*QUAKED target_score (1 0 0) (-8 -8 -8) (8 8 8)
;73:"count" number of points to add, default 1
;74:
;75:The activator is given this many points.
;76:*/
;77:void Use_Target_Score (gentity_t *ent, gentity_t *other, gentity_t *activator) 
;78:{
line 79
;79:	G_AddScore( activator, ent->count );
ADDRFP4 8
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_AddScore
CALLV
pop
line 80
;80:}
LABELV $92
endproc Use_Target_Score 0 8
export SP_target_score
proc SP_target_score 0 0
line 83
;81:
;82:void SP_target_score( gentity_t *ent ) 
;83:{
line 84
;84:	if ( !ent->count ) 
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
INDIRI4
CNSTI4 0
NEI4 $94
line 85
;85:	{
line 86
;86:		ent->count = 1;
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
CNSTI4 1
ASGNI4
line 87
;87:	}
LABELV $94
line 89
;88:
;89:	ent->use = Use_Target_Score;
ADDRFP4 0
INDIRP4
CNSTI4 524
ADDP4
ADDRGP4 Use_Target_Score
ASGNP4
line 90
;90:}
LABELV $93
endproc SP_target_score 0 0
export Use_Target_Print
proc Use_Target_Print 4 8
line 99
;91:
;92:
;93://==========================================================
;94:
;95:/*QUAKED target_print (1 0 0) (-8 -8 -8) (8 8 8) redteam blueteam private
;96:"message"	text to print
;97:If "private", only the activator gets the message.  If no checks, all clients get the message.
;98:*/
;99:void Use_Target_Print (gentity_t *ent, gentity_t *other, gentity_t *activator) {
line 100
;100:	if ( activator->client && ( ent->spawnflags & 4 ) ) {
ADDRFP4 8
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $97
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $97
line 101
;101:		trap_SendServerCommand( activator-g_entities, va("cp \"%s\"", ent->message ));
ADDRGP4 $99
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 444
ADDP4
INDIRP4
ARGP4
ADDRLP4 0
ADDRGP4 va
CALLP4
ASGNP4
ADDRFP4 8
INDIRP4
CVPU4 4
ADDRGP4 g_entities
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 636
DIVI4
ARGI4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_SendServerCommand
CALLV
pop
line 102
;102:		return;
ADDRGP4 $96
JUMPV
LABELV $97
line 105
;103:	}
;104:
;105:	if ( ent->spawnflags & 3 ) {
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 3
BANDI4
CNSTI4 0
EQI4 $100
line 106
;106:		if ( ent->spawnflags & 1 ) {
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $102
line 107
;107:			G_TeamCommand( TEAM_RED, va("cp \"%s\"", ent->message) );
ADDRGP4 $99
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 444
ADDP4
INDIRP4
ARGP4
ADDRLP4 0
ADDRGP4 va
CALLP4
ASGNP4
CNSTI4 1
ARGI4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 G_TeamCommand
CALLV
pop
line 108
;108:		}
LABELV $102
line 109
;109:		if ( ent->spawnflags & 2 ) {
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
EQI4 $96
line 110
;110:			G_TeamCommand( TEAM_BLUE, va("cp \"%s\"", ent->message) );
ADDRGP4 $99
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 444
ADDP4
INDIRP4
ARGP4
ADDRLP4 0
ADDRGP4 va
CALLP4
ASGNP4
CNSTI4 2
ARGI4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 G_TeamCommand
CALLV
pop
line 111
;111:		}
line 112
;112:		return;
ADDRGP4 $96
JUMPV
LABELV $100
line 115
;113:	}
;114:
;115:	trap_SendServerCommand( -1, va("cp \"%s\"", ent->message ));
ADDRGP4 $99
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 444
ADDP4
INDIRP4
ARGP4
ADDRLP4 0
ADDRGP4 va
CALLP4
ASGNP4
CNSTI4 -1
ARGI4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_SendServerCommand
CALLV
pop
line 116
;116:}
LABELV $96
endproc Use_Target_Print 4 8
export SP_target_print
proc SP_target_print 0 0
line 118
;117:
;118:void SP_target_print( gentity_t *ent ) {
line 119
;119:	ent->use = Use_Target_Print;
ADDRFP4 0
INDIRP4
CNSTI4 524
ADDP4
ADDRGP4 Use_Target_Print
ASGNP4
line 120
;120:}
LABELV $106
endproc SP_target_print 0 0
export Use_Target_Speaker
proc Use_Target_Speaker 4 12
line 140
;121:
;122:
;123://==========================================================
;124:
;125:
;126:/*QUAKED target_speaker (1 0 0) (-8 -8 -8) (8 8 8) looped-on looped-off global activator
;127:"noise"		wav file to play
;128:"soundSet"	soundset name to use (do not combine with 'noise', ignores all other flags)
;129:
;130:A global sound will play full volume throughout the level.
;131:Activator sounds will play on the player that activated the target.
;132:Global and activator sounds can't be combined with looping.
;133:Normal sounds play each time the target is used.
;134:Looped sounds will be toggled by use functions.
;135:Multiple identical looping sounds will just increase volume without any speed cost.
;136:"wait" : Seconds between auto triggerings, 0 = don't auto trigger
;137:"random"	wait variance, default is 0
;138:"radius"	radius of attenuation
;139:*/
;140:void Use_Target_Speaker (gentity_t *ent, gentity_t *other, gentity_t *activator) {
line 141
;141:	if (ent->spawnflags & 3) {	// looping sound toggles
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 3
BANDI4
CNSTI4 0
EQI4 $108
line 142
;142:		if (ent->s.loopSound)
ADDRFP4 0
INDIRP4
CNSTI4 152
ADDP4
INDIRI4
CNSTI4 0
EQI4 $110
line 143
;143:			ent->s.loopSound = 0;	// turn it off
ADDRFP4 0
INDIRP4
CNSTI4 152
ADDP4
CNSTI4 0
ASGNI4
ADDRGP4 $109
JUMPV
LABELV $110
line 145
;144:		else
;145:			ent->s.loopSound = ent->noise_index;	// start it
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 152
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRI4
ASGNI4
line 146
;146:	}else {	// normal sound
ADDRGP4 $109
JUMPV
LABELV $108
line 147
;147:		if ( ent->spawnflags & 8 ) {
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 8
BANDI4
CNSTI4 0
EQI4 $112
line 148
;148:			G_AddEvent( activator, EV_GENERAL_SOUND, ent->noise_index );
ADDRFP4 8
INDIRP4
ARGP4
CNSTI4 31
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 149
;149:		} else if (ent->spawnflags & 4) {
ADDRGP4 $113
JUMPV
LABELV $112
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $114
line 150
;150:			G_AddEvent( ent, EV_GLOBAL_SOUND, ent->noise_index );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 32
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 151
;151:		} else {
ADDRGP4 $115
JUMPV
LABELV $114
line 152
;152:			G_AddEvent( ent, EV_GENERAL_SOUND, ent->noise_index );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 31
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 153
;153:		}
LABELV $115
LABELV $113
line 154
;154:	}
LABELV $109
line 155
;155:}
LABELV $107
endproc Use_Target_Speaker 4 12
export SP_target_speaker
proc SP_target_speaker 104 16
line 158
;156:
;157:void SP_target_speaker( gentity_t *ent ) 
;158:{
line 163
;159:	char	buffer[MAX_QPATH];
;160:	char	*s;
;161:	float	radius;
;162:
;163:	if ( G_SpawnString ( "soundSet", "", &s ) )
ADDRGP4 $119
ARGP4
ADDRGP4 $120
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 72
ADDRGP4 G_SpawnString
CALLI4
ASGNI4
ADDRLP4 72
INDIRI4
CNSTI4 0
EQI4 $117
line 164
;164:	{	// this is a sound set
line 165
;165:		ent->s.mSoundSet = G_AmbientSoundSetIndex(s);
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 76
ADDRGP4 G_AmbientSoundSetIndex
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 156
ADDP4
ADDRLP4 76
INDIRI4
ASGNI4
line 166
;166:		ent->s.eFlags = EF_PERMANENT;
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 16384
ASGNI4
line 167
;167:		VectorCopy( ent->s.origin, ent->s.pos.trBase );
ADDRLP4 80
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 80
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 80
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 168
;168:		trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 169
;169:		return;
ADDRGP4 $116
JUMPV
LABELV $117
line 172
;170:	}
;171:
;172:	if ( !G_SpawnString( "noise", "NOSOUND", &s ) ) 
ADDRGP4 $123
ARGP4
ADDRGP4 $124
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 76
ADDRGP4 G_SpawnString
CALLI4
ASGNI4
ADDRLP4 76
INDIRI4
CNSTI4 0
NEI4 $121
line 173
;173:	{
line 175
;174://		G_Error( "target_speaker without a noise key at %s", vtos( ent->s.origin ) );
;175:		G_FreeEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 176
;176:		return;
ADDRGP4 $116
JUMPV
LABELV $121
line 179
;177:	}
;178:
;179:	G_SpawnFloat( "wait", "0", &ent->wait );
ADDRGP4 $88
ARGP4
ADDRGP4 $87
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 620
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 180
;180:	G_SpawnFloat( "random", "0", &ent->random );
ADDRGP4 $125
ARGP4
ADDRGP4 $87
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 181
;181:	G_SpawnFloat ( "radius", "0", &radius );
ADDRGP4 $126
ARGP4
ADDRGP4 $87
ARGP4
ADDRLP4 68
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 184
;182:
;183:	// Simple conversion to an integer
;184:	ent->s.time2 = (int) (radius * 1000.0f);
ADDRFP4 0
INDIRP4
CNSTI4 88
ADDP4
CNSTF4 1148846080
ADDRLP4 68
INDIRF4
MULF4
CVFI4 4
ASGNI4
line 188
;185:
;186:	// force all client reletive sounds to be "activator" speakers that
;187:	// play on the entity that activates it
;188:	if ( s[0] == '*' ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 42
NEI4 $127
line 189
;189:		ent->spawnflags |= 8;
ADDRLP4 80
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
ASGNP4
ADDRLP4 80
INDIRP4
ADDRLP4 80
INDIRP4
INDIRI4
CNSTI4 8
BORI4
ASGNI4
line 190
;190:	}
LABELV $127
line 192
;191:
;192:	if (!strstr( s, ".wav" )) {
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 $131
ARGP4
ADDRLP4 80
ADDRGP4 strstr
CALLP4
ASGNP4
ADDRLP4 80
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $129
line 193
;193:		Com_sprintf (buffer, sizeof(buffer), "%s.wav", s );
ADDRLP4 4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $132
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 194
;194:	} else {
ADDRGP4 $130
JUMPV
LABELV $129
line 195
;195:		Q_strncpyz( buffer, s, sizeof(buffer) );
ADDRLP4 4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 196
;196:	}
LABELV $130
line 197
;197:	ent->noise_index = G_SoundIndex(buffer);
ADDRLP4 4
ARGP4
ADDRLP4 84
ADDRGP4 G_SoundIndex
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
ADDRLP4 84
INDIRI4
ASGNI4
line 200
;198:
;199:	// a repeating speaker can be done completely client side
;200:	ent->s.eType = ET_SPEAKER;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 7
ASGNI4
line 201
;201:	ent->s.eventParm = ent->noise_index;
ADDRLP4 88
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 88
INDIRP4
CNSTI4 184
ADDP4
ADDRLP4 88
INDIRP4
CNSTI4 616
ADDP4
INDIRI4
ASGNI4
line 202
;202:	ent->s.frame = ent->wait * 10;
ADDRLP4 92
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 92
INDIRP4
CNSTI4 172
ADDP4
CNSTF4 1092616192
ADDRLP4 92
INDIRP4
CNSTI4 620
ADDP4
INDIRF4
MULF4
CVFI4 4
ASGNI4
line 203
;203:	ent->s.clientNum = ent->random * 10;
ADDRLP4 96
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 96
INDIRP4
CNSTI4 168
ADDP4
CNSTF4 1092616192
ADDRLP4 96
INDIRP4
CNSTI4 624
ADDP4
INDIRF4
MULF4
CVFI4 4
ASGNI4
line 207
;204:
;205:
;206:	// check for prestarted looping sound
;207:	if ( ent->spawnflags & 1 ) {
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $133
line 208
;208:		ent->s.loopSound = ent->noise_index;
ADDRLP4 100
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 100
INDIRP4
CNSTI4 152
ADDP4
ADDRLP4 100
INDIRP4
CNSTI4 616
ADDP4
INDIRI4
ASGNI4
line 209
;209:	}
LABELV $133
line 211
;210:
;211:	ent->use = Use_Target_Speaker;
ADDRFP4 0
INDIRP4
CNSTI4 524
ADDP4
ADDRGP4 Use_Target_Speaker
ASGNP4
line 213
;212:
;213:	if (ent->spawnflags & 4) {
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $135
line 214
;214:		ent->r.svFlags |= SVF_BROADCAST;
ADDRLP4 100
ADDRFP4 0
INDIRP4
CNSTI4 224
ADDP4
ASGNP4
ADDRLP4 100
INDIRP4
ADDRLP4 100
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 215
;215:	}
LABELV $135
line 217
;216:
;217:	VectorCopy( ent->s.origin, ent->s.pos.trBase );
ADDRLP4 100
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 100
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 100
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 221
;218:
;219:	// must link the entity so we get areas and clusters so
;220:	// the server can determine who to send updates to
;221:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 222
;222:}
LABELV $116
endproc SP_target_speaker 104 16
export target_laser_think
proc target_laser_think 120 36
line 231
;223:
;224:
;225:
;226://==========================================================
;227:
;228:/*QUAKED target_laser (0 .5 .8) (-8 -8 -8) (8 8 8) START_ON
;229:When triggered, fires a laser.  You can either set a target or a direction.
;230:*/
;231:void target_laser_think (gentity_t *self) {
line 237
;232:	vec3_t	end;
;233:	trace_t	tr;
;234:	vec3_t	point;
;235:
;236:	// if pointed at another entity, set movedir to point at it
;237:	if ( self->enemy ) {
ADDRFP4 0
INDIRP4
CNSTI4 592
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $138
line 238
;238:		VectorMA (self->enemy->s.origin, 0.5, self->enemy->r.mins, point);
ADDRLP4 80
ADDRFP4 0
INDIRP4
CNSTI4 592
ADDP4
ASGNP4
ADDRLP4 84
ADDRLP4 80
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 88
CNSTF4 1056964608
ASGNF4
ADDRLP4 0
ADDRLP4 84
INDIRP4
CNSTI4 92
ADDP4
INDIRF4
ADDRLP4 88
INDIRF4
ADDRLP4 84
INDIRP4
CNSTI4 236
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 92
ADDRLP4 80
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 0+4
ADDRLP4 92
INDIRP4
CNSTI4 96
ADDP4
INDIRF4
ADDRLP4 88
INDIRF4
ADDRLP4 92
INDIRP4
CNSTI4 240
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 96
ADDRFP4 0
INDIRP4
CNSTI4 592
ADDP4
INDIRP4
ASGNP4
ADDRLP4 0+8
ADDRLP4 96
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
CNSTF4 1056964608
ADDRLP4 96
INDIRP4
CNSTI4 244
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 239
;239:		VectorMA (point, 0.5, self->enemy->r.maxs, point);
ADDRLP4 100
CNSTF4 1056964608
ASGNF4
ADDRLP4 104
ADDRFP4 0
INDIRP4
CNSTI4 592
ADDP4
ASGNP4
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 100
INDIRF4
ADDRLP4 104
INDIRP4
INDIRP4
CNSTI4 248
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 100
INDIRF4
ADDRLP4 104
INDIRP4
INDIRP4
CNSTI4 252
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
CNSTF4 1056964608
ADDRFP4 0
INDIRP4
CNSTI4 592
ADDP4
INDIRP4
CNSTI4 256
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 240
;240:		VectorSubtract (point, self->s.origin, self->movedir);
ADDRLP4 108
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 108
INDIRP4
CNSTI4 484
ADDP4
ADDRLP4 0
INDIRF4
ADDRLP4 108
INDIRP4
CNSTI4 92
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 112
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 112
INDIRP4
CNSTI4 488
ADDP4
ADDRLP4 0+4
INDIRF4
ADDRLP4 112
INDIRP4
CNSTI4 96
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 116
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 116
INDIRP4
CNSTI4 492
ADDP4
ADDRLP4 0+8
INDIRF4
ADDRLP4 116
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
SUBF4
ASGNF4
line 241
;241:		VectorNormalize (self->movedir);
ADDRFP4 0
INDIRP4
CNSTI4 484
ADDP4
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 242
;242:	}
LABELV $138
line 245
;243:
;244:	// fire forward and see what we hit
;245:	VectorMA (self->s.origin, 2048, self->movedir, end);
ADDRLP4 80
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 84
CNSTF4 1157627904
ASGNF4
ADDRLP4 12
ADDRLP4 80
INDIRP4
CNSTI4 92
ADDP4
INDIRF4
ADDRLP4 84
INDIRF4
ADDRLP4 80
INDIRP4
CNSTI4 484
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 12+4
ADDRLP4 80
INDIRP4
CNSTI4 96
ADDP4
INDIRF4
ADDRLP4 84
INDIRF4
ADDRLP4 80
INDIRP4
CNSTI4 488
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 88
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12+8
ADDRLP4 88
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
CNSTF4 1157627904
ADDRLP4 88
INDIRP4
CNSTI4 492
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 247
;246:
;247:	trap_Trace( &tr, self->s.origin, NULL, NULL, end, self->s.number, CONTENTS_SOLID|CONTENTS_BODY|CONTENTS_CORPSE);
ADDRLP4 24
ARGP4
ADDRLP4 92
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 92
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 96
CNSTP4 0
ASGNP4
ADDRLP4 96
INDIRP4
ARGP4
ADDRLP4 96
INDIRP4
ARGP4
ADDRLP4 12
ARGP4
ADDRLP4 92
INDIRP4
INDIRI4
ARGI4
CNSTI4 769
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 249
;248:
;249:	if ( tr.entityNum ) {
ADDRLP4 24+52
INDIRI4
CNSTI4 0
EQI4 $150
line 251
;250:		// hurt it if we can
;251:		G_Damage ( &g_entities[tr.entityNum], self, self->activator, self->movedir, 
CNSTI4 636
ADDRLP4 24+52
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ARGP4
ADDRLP4 100
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 100
INDIRP4
ARGP4
ADDRLP4 100
INDIRP4
CNSTI4 596
ADDP4
INDIRP4
ARGP4
ADDRLP4 100
INDIRP4
CNSTI4 484
ADDP4
ARGP4
ADDRLP4 24+12
ARGP4
ADDRLP4 100
INDIRP4
CNSTI4 556
ADDP4
INDIRI4
ARGI4
CNSTI4 4
ARGI4
CNSTI4 27
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 G_Damage
CALLI4
pop
line 253
;252:			tr.endpos, self->damage, DAMAGE_NO_KNOCKBACK, MOD_TARGET_LASER, HL_NONE );
;253:	}
LABELV $150
line 255
;254:
;255:	VectorCopy (tr.endpos, self->s.origin2);
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
ADDRLP4 24+12
INDIRB
ASGNB 12
line 257
;256:
;257:	trap_LinkEntity( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 258
;258:	self->nextthink = level.time + FRAMETIME;
ADDRFP4 0
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 259
;259:}
LABELV $137
endproc target_laser_think 120 36
export target_laser_on
proc target_laser_on 4 4
line 262
;260:
;261:void target_laser_on (gentity_t *self)
;262:{
line 263
;263:	if (!self->activator)
ADDRFP4 0
INDIRP4
CNSTI4 596
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $158
line 264
;264:		self->activator = self;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 596
ADDP4
ADDRLP4 0
INDIRP4
ASGNP4
LABELV $158
line 265
;265:	target_laser_think (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 target_laser_think
CALLV
pop
line 266
;266:}
LABELV $157
endproc target_laser_on 4 4
export target_laser_off
proc target_laser_off 0 4
line 269
;267:
;268:void target_laser_off (gentity_t *self)
;269:{
line 270
;270:	trap_UnlinkEntity( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_UnlinkEntity
CALLV
pop
line 271
;271:	self->nextthink = 0;
ADDRFP4 0
INDIRP4
CNSTI4 504
ADDP4
CNSTI4 0
ASGNI4
line 272
;272:}
LABELV $160
endproc target_laser_off 0 4
export target_laser_use
proc target_laser_use 0 4
line 275
;273:
;274:void target_laser_use (gentity_t *self, gentity_t *other, gentity_t *activator)
;275:{
line 276
;276:	self->activator = activator;
ADDRFP4 0
INDIRP4
CNSTI4 596
ADDP4
ADDRFP4 8
INDIRP4
ASGNP4
line 277
;277:	if ( self->nextthink > 0 )
ADDRFP4 0
INDIRP4
CNSTI4 504
ADDP4
INDIRI4
CNSTI4 0
LEI4 $162
line 278
;278:		target_laser_off (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 target_laser_off
CALLV
pop
ADDRGP4 $163
JUMPV
LABELV $162
line 280
;279:	else
;280:		target_laser_on (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 target_laser_on
CALLV
pop
LABELV $163
line 281
;281:}
LABELV $161
endproc target_laser_use 0 4
export target_laser_start
proc target_laser_start 16 16
line 284
;282:
;283:void target_laser_start (gentity_t *self)
;284:{
line 287
;285:	gentity_t *ent;
;286:
;287:	self->s.eType = ET_BEAM;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 5
ASGNI4
line 289
;288:
;289:	if (self->target) 
ADDRFP4 0
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $165
line 290
;290:	{
line 291
;291:		ent = G_Find (NULL, FOFS(targetname), self->target);
CNSTP4 0
ARGP4
CNSTI4 460
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 292
;292:		if (!ent) 
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $167
line 293
;293:		{
line 294
;294:			Com_Printf ("%s at %s: %s is a bad target\n", self->classname, vtos(self->s.origin), self->target);
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 8
ADDRGP4 vtos
CALLP4
ASGNP4
ADDRGP4 $169
ARGP4
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
CNSTI4 336
ADDP4
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 12
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 295
;295:		}
LABELV $167
line 296
;296:		self->enemy = ent;
ADDRFP4 0
INDIRP4
CNSTI4 592
ADDP4
ADDRLP4 0
INDIRP4
ASGNP4
line 297
;297:	} 
ADDRGP4 $166
JUMPV
LABELV $165
line 299
;298:	else 
;299:	{
line 300
;300:		G_SetMovedir (self->s.angles, self->movedir);
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 484
ADDP4
ARGP4
ADDRGP4 G_SetMovedir
CALLV
pop
line 301
;301:	}
LABELV $166
line 303
;302:
;303:	self->use = target_laser_use;
ADDRFP4 0
INDIRP4
CNSTI4 524
ADDP4
ADDRGP4 target_laser_use
ASGNP4
line 304
;304:	self->think = target_laser_think;
ADDRFP4 0
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 target_laser_think
ASGNP4
line 306
;305:
;306:	if ( !self->damage ) 
ADDRFP4 0
INDIRP4
CNSTI4 556
ADDP4
INDIRI4
CNSTI4 0
NEI4 $170
line 307
;307:	{
line 308
;308:		self->damage = 1;
ADDRFP4 0
INDIRP4
CNSTI4 556
ADDP4
CNSTI4 1
ASGNI4
line 309
;309:	}
LABELV $170
line 311
;310:
;311:	if (self->spawnflags & 1)
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $172
line 312
;312:	{
line 313
;313:		target_laser_on (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 target_laser_on
CALLV
pop
line 314
;314:	}
ADDRGP4 $173
JUMPV
LABELV $172
line 316
;315:	else
;316:	{
line 317
;317:		target_laser_off (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 target_laser_off
CALLV
pop
line 318
;318:	}
LABELV $173
line 319
;319:}
LABELV $164
endproc target_laser_start 16 16
export SP_target_laser
proc SP_target_laser 0 0
line 322
;320:
;321:void SP_target_laser (gentity_t *self)
;322:{
line 324
;323:	// let everything else get spawned before we start firing
;324:	self->think = target_laser_start;
ADDRFP4 0
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 target_laser_start
ASGNP4
line 325
;325:	self->nextthink = level.time + FRAMETIME;
ADDRFP4 0
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 326
;326:}
LABELV $174
endproc SP_target_laser 0 0
export target_teleporter_use
proc target_teleporter_use 12 12
line 332
;327:
;328:
;329://==========================================================
;330:
;331:void target_teleporter_use( gentity_t *self, gentity_t *other, gentity_t *activator ) 
;332:{
line 335
;333:	gentity_t	*dest;
;334:
;335:	if (!activator->client)
ADDRFP4 8
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $177
line 336
;336:	{
line 337
;337:		return;
ADDRGP4 $176
JUMPV
LABELV $177
line 340
;338:	}
;339:	
;340:	dest = 	G_PickTarget( self->target );
ADDRFP4 0
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 G_PickTarget
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 341
;341:	if (!dest) 
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $179
line 342
;342:	{
line 343
;343:		Com_Printf ("Couldn't find teleporter destination\n");
ADDRGP4 $181
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 344
;344:		return;
ADDRGP4 $176
JUMPV
LABELV $179
line 347
;345:	}
;346:
;347:	TeleportPlayer( activator, dest->s.origin, dest->s.angles );
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRGP4 TeleportPlayer
CALLV
pop
line 348
;348:}
LABELV $176
endproc target_teleporter_use 12 12
export SP_target_teleporter
proc SP_target_teleporter 4 12
line 353
;349:
;350:/*QUAKED target_teleporter (1 0 0) (-8 -8 -8) (8 8 8)
;351:The activator will be teleported away.
;352:*/
;353:void SP_target_teleporter( gentity_t *self ) {
line 354
;354:	if (!self->targetname)
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $183
line 355
;355:		Com_Printf("untargeted %s at %s\n", self->classname, vtos(self->s.origin));
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 0
ADDRGP4 vtos
CALLP4
ASGNP4
ADDRGP4 $185
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 336
ADDP4
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
LABELV $183
line 357
;356:
;357:	self->use = target_teleporter_use;
ADDRFP4 0
INDIRP4
CNSTI4 524
ADDP4
ADDRGP4 target_teleporter_use
ASGNP4
line 358
;358:}
LABELV $182
endproc SP_target_teleporter 4 12
export target_relay_use
proc target_relay_use 36 12
line 369
;359:
;360://==========================================================
;361:
;362:
;363:/*QUAKED target_relay (.5 .5 .5) (-8 -8 -8) (8 8 8) RED_ONLY BLUE_ONLY RANDOM
;364:This doesn't perform any actions except fire its targets.
;365:The activator can be forced to be from a certain team.
;366:if RANDOM is checked, only one of the targets will be fired, not all of them
;367:*/
;368:void target_relay_use (gentity_t *self, gentity_t *other, gentity_t *activator) 
;369:{
line 370
;370:	if ( ( self->spawnflags & 1 ) && activator->client 
ADDRLP4 0
CNSTI4 1
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
ADDRLP4 0
INDIRI4
BANDI4
CNSTI4 0
EQI4 $187
ADDRLP4 4
ADDRFP4 8
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $187
ADDRLP4 4
INDIRP4
CNSTI4 1332
ADDP4
INDIRI4
ADDRLP4 0
INDIRI4
EQI4 $187
line 372
;371:		&& activator->client->sess.team != TEAM_RED ) 
;372:	{
line 373
;373:		return;
ADDRGP4 $186
JUMPV
LABELV $187
line 375
;374:	}
;375:	if ( ( self->spawnflags & 2 ) && activator->client 
ADDRLP4 8
CNSTI4 2
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
ADDRLP4 8
INDIRI4
BANDI4
CNSTI4 0
EQI4 $189
ADDRLP4 12
ADDRFP4 8
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $189
ADDRLP4 12
INDIRP4
CNSTI4 1332
ADDP4
INDIRI4
ADDRLP4 8
INDIRI4
EQI4 $189
line 376
;376:		&& activator->client->sess.team != TEAM_BLUE ) {
line 377
;377:		return;
ADDRGP4 $186
JUMPV
LABELV $189
line 379
;378:	}
;379:	if ( self->spawnflags & 4 ) {
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $191
line 382
;380:		gentity_t	*ent;
;381:
;382:		ent = G_PickTarget( self->target );
ADDRFP4 0
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
ARGP4
ADDRLP4 20
ADDRGP4 G_PickTarget
CALLP4
ASGNP4
ADDRLP4 16
ADDRLP4 20
INDIRP4
ASGNP4
line 383
;383:		if ( ent && ent->use ) {
ADDRLP4 24
ADDRLP4 16
INDIRP4
ASGNP4
ADDRLP4 28
CNSTU4 0
ASGNU4
ADDRLP4 24
INDIRP4
CVPU4 4
ADDRLP4 28
INDIRU4
EQU4 $186
ADDRLP4 24
INDIRP4
CNSTI4 524
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 28
INDIRU4
EQU4 $186
line 384
;384:			ent->use( ent, self, activator );
ADDRLP4 32
ADDRLP4 16
INDIRP4
ASGNP4
ADDRLP4 32
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 32
INDIRP4
CNSTI4 524
ADDP4
INDIRP4
CALLV
pop
line 385
;385:		}
line 386
;386:		return;
ADDRGP4 $186
JUMPV
LABELV $191
line 388
;387:	}
;388:	G_UseTargets (self, activator);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 G_UseTargets
CALLV
pop
line 389
;389:}
LABELV $186
endproc target_relay_use 36 12
export SP_target_relay
proc SP_target_relay 0 0
line 391
;390:
;391:void SP_target_relay (gentity_t *self) {
line 392
;392:	self->use = target_relay_use;
ADDRFP4 0
INDIRP4
CNSTI4 524
ADDP4
ADDRGP4 target_relay_use
ASGNP4
line 393
;393:}
LABELV $195
endproc SP_target_relay 0 0
export target_kill_use
proc target_kill_use 8 36
line 402
;394:
;395:
;396://==========================================================
;397:
;398:/*QUAKED target_kill (.5 .5 .5) (-8 -8 -8) (8 8 8)
;399:Kills the activator.
;400:*/
;401:void target_kill_use( gentity_t *self, gentity_t *other, gentity_t *activator ) 
;402:{
line 403
;403:	G_Damage ( activator, NULL, NULL, NULL, NULL, 100000, DAMAGE_NO_PROTECTION, MOD_TELEFRAG, HL_NONE );
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 0
CNSTP4 0
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 4
CNSTP4 0
ASGNP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
CNSTI4 100000
ARGI4
CNSTI4 8
ARGI4
CNSTI4 23
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 G_Damage
CALLI4
pop
line 404
;404:}
LABELV $196
endproc target_kill_use 8 36
export SP_target_kill
proc SP_target_kill 0 0
line 406
;405:
;406:void SP_target_kill( gentity_t *self ) {
line 407
;407:	self->use = target_kill_use;
ADDRFP4 0
INDIRP4
CNSTI4 524
ADDP4
ADDRGP4 target_kill_use
ASGNP4
line 408
;408:}
LABELV $197
endproc SP_target_kill 0 0
export SP_target_position
proc SP_target_position 4 8
line 413
;409:
;410:/*QUAKED target_position (0 0.5 0) (-4 -4 -4) (4 4 4)
;411:Used as a positional target for in-game calculation, like jumppad targets.
;412:*/
;413:void SP_target_position( gentity_t *self ){
line 414
;414:	G_SetOrigin( self, self->s.origin );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 415
;415:}
LABELV $198
endproc SP_target_position 4 8
proc target_location_linkup 16 8
line 418
;416:
;417:static void target_location_linkup(gentity_t *ent)
;418:{
line 422
;419:	int i;
;420:	int n;
;421:
;422:	if (level.locationLinked) 
ADDRGP4 level+7160
INDIRI4
CNSTI4 0
EQI4 $200
line 423
;423:		return;
ADDRGP4 $199
JUMPV
LABELV $200
line 425
;424:
;425:	level.locationLinked = qtrue;
ADDRGP4 level+7160
CNSTI4 1
ASGNI4
line 427
;426:
;427:	level.locationHead = NULL;
ADDRGP4 level+7164
CNSTP4 0
ASGNP4
line 429
;428:
;429:	trap_SetConfigstring( CS_LOCATIONS, "unknown" );
CNSTI4 599
ARGI4
ADDRGP4 $205
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 431
;430:
;431:	for ( i = 0, ent = g_entities, n = 1;
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRFP4 0
ADDRGP4 g_entities
ASGNP4
ADDRLP4 4
CNSTI4 1
ASGNI4
ADDRGP4 $209
JUMPV
LABELV $206
line 434
;432:		  i < level.num_entities;
;433:		  i++, ent++) 
;434:	{
line 435
;435:		if (ent->classname && !Q_stricmp(ent->classname, "target_location")) 
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 336
ADDP4
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $211
ADDRLP4 8
INDIRP4
ARGP4
ADDRGP4 $213
ARGP4
ADDRLP4 12
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $211
line 436
;436:		{
line 438
;437:			// lets overload some variables!
;438:			ent->health = n; // use for location marking
ADDRFP4 0
INDIRP4
CNSTI4 548
ADDP4
ADDRLP4 4
INDIRI4
ASGNI4
line 440
;439:
;440:			trap_SetConfigstring( CS_LOCATIONS + n, ent->message );
ADDRLP4 4
INDIRI4
CNSTI4 599
ADDI4
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 444
ADDP4
INDIRP4
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 441
;441:			n++;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 442
;442:			ent->nextTrain = level.locationHead;
ADDRFP4 0
INDIRP4
CNSTI4 416
ADDP4
ADDRGP4 level+7164
INDIRP4
ASGNP4
line 443
;443:			level.locationHead = ent;
ADDRGP4 level+7164
ADDRFP4 0
INDIRP4
ASGNP4
line 444
;444:		}
LABELV $211
line 445
;445:	}
LABELV $207
line 433
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 636
ADDP4
ASGNP4
LABELV $209
line 432
ADDRLP4 0
INDIRI4
ADDRGP4 level+12
INDIRI4
LTI4 $206
line 448
;446:
;447:	// All linked together now
;448:}
LABELV $199
endproc target_location_linkup 16 8
export SP_target_location
proc SP_target_location 4 8
line 457
;449:
;450:/*QUAKED target_location (0 0.5 0) (-8 -8 -8) (8 8 8)
;451:Set "message" to the name of this location.
;452:
;453:Closest target_location in sight used for the location, if none
;454:in site, closest in distance
;455:*/
;456:void SP_target_location( gentity_t *self )
;457:{
line 458
;458:	self->think = target_location_linkup;
ADDRFP4 0
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 target_location_linkup
ASGNP4
line 459
;459:	self->nextthink = level.time + 200;  // Let them all spawn first
ADDRFP4 0
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
CNSTI4 200
ADDI4
ASGNI4
line 461
;460:
;461:	G_SetOrigin( self, self->s.origin );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 462
;462:}
LABELV $216
endproc SP_target_location 4 8
export target_effect_delayed_use
proc target_effect_delayed_use 4 12
line 472
;463:
;464:/*QUAKED target_effect (0 0.5 0) (-8 -8 -8) (8 8 8)
;465:Plays an effect each time its targetted
;466:
;467:"effect"  effect to play
;468:"delay"	  delay in milliseconds before the effect plays
;469:*/
;470:
;471:void target_effect_delayed_use ( gentity_t* self )
;472:{
line 473
;473:	G_PlayEffect( self->health, self->s.origin, self->pos1 );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 548
ADDP4
INDIRI4
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 420
ADDP4
ARGP4
ADDRGP4 G_PlayEffect
CALLV
pop
line 475
;474:
;475:	self->nextthink = 0;
ADDRFP4 0
INDIRP4
CNSTI4 504
ADDP4
CNSTI4 0
ASGNI4
line 476
;476:}
LABELV $218
endproc target_effect_delayed_use 4 12
export target_effect_use
proc target_effect_use 4 4
line 479
;477:
;478:void target_effect_use (gentity_t *self, gentity_t *other, gentity_t *activator)
;479:{
line 480
;480:	if ( self->count )
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
INDIRI4
CNSTI4 0
EQI4 $220
line 481
;481:	{
line 482
;482:		self->think = target_effect_delayed_use;
ADDRFP4 0
INDIRP4
CNSTI4 508
ADDP4
ADDRGP4 target_effect_delayed_use
ASGNP4
line 483
;483:		self->nextthink = level.time + self->count;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 504
ADDP4
ADDRGP4 level+64
INDIRI4
ADDRLP4 0
INDIRP4
CNSTI4 580
ADDP4
INDIRI4
ADDI4
ASGNI4
line 484
;484:	}
ADDRGP4 $221
JUMPV
LABELV $220
line 486
;485:	else
;486:	{
line 487
;487:		target_effect_delayed_use ( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 target_effect_delayed_use
CALLV
pop
line 488
;488:	}
LABELV $221
line 489
;489:}
LABELV $219
endproc target_effect_use 4 4
export SP_target_effect
proc SP_target_effect 56 12
line 492
;490:
;491:void SP_target_effect ( gentity_t *ent )
;492:{
line 496
;493:	char		*effectName;
;494:	gentity_t	*target;
;495:
;496:	G_SetOrigin( ent, ent->s.origin );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 498
;497:
;498:	G_SpawnString ( "effect", "", &effectName );
ADDRGP4 $224
ARGP4
ADDRGP4 $120
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 G_SpawnString
CALLI4
pop
line 499
;499:	ent->health = G_EffectIndex(effectName);
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 G_EffectIndex
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 548
ADDP4
ADDRLP4 12
INDIRI4
ASGNI4
line 502
;500:
;501:	// See if they want it delayed a bit
;502:	G_SpawnInt ( "delay", "0", &ent->count );
ADDRGP4 $86
ARGP4
ADDRGP4 $87
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
ARGP4
ADDRGP4 G_SpawnInt
CALLI4
pop
line 504
;503:
;504:	target = G_Find(0, FOFS(targetname), ent->target);
CNSTP4 0
ARGP4
CNSTI4 460
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 456
ADDP4
INDIRP4
ARGP4
ADDRLP4 16
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 16
INDIRP4
ASGNP4
line 505
;505:	if (target)
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $225
line 506
;506:	{
line 507
;507:		VectorSubtract( target->s.origin, ent->s.origin, ent->pos1 );
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 24
CNSTI4 92
ASGNI4
ADDRLP4 20
INDIRP4
CNSTI4 420
ADDP4
ADDRLP4 0
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRF4
ADDRLP4 20
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 28
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 32
CNSTI4 96
ASGNI4
ADDRLP4 28
INDIRP4
CNSTI4 424
ADDP4
ADDRLP4 0
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
ADDRLP4 28
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 36
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 40
CNSTI4 100
ASGNI4
ADDRLP4 36
INDIRP4
CNSTI4 428
ADDP4
ADDRLP4 0
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
ADDRLP4 36
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 508
;508:		VectorNormalize( ent->pos1 );
ADDRFP4 0
INDIRP4
CNSTI4 420
ADDP4
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 510
;509:		// find angles
;510:		vectoangles( ent->pos1, ent->r.currentAngles );
ADDRLP4 44
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 44
INDIRP4
CNSTI4 420
ADDP4
ARGP4
ADDRLP4 44
INDIRP4
CNSTI4 300
ADDP4
ARGP4
ADDRGP4 vectoangles
CALLV
pop
line 512
;511:		// copy over to other angles
;512:		VectorCopy( ent->r.currentAngles, ent->s.angles );	
ADDRLP4 48
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 48
INDIRP4
CNSTI4 116
ADDP4
ADDRLP4 48
INDIRP4
CNSTI4 300
ADDP4
INDIRB
ASGNB 12
line 513
;513:		VectorCopy( ent->r.currentAngles, ent->s.apos.trBase );
ADDRLP4 52
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 52
INDIRP4
CNSTI4 60
ADDP4
ADDRLP4 52
INDIRP4
CNSTI4 300
ADDP4
INDIRB
ASGNB 12
line 514
;514:	}
ADDRGP4 $226
JUMPV
LABELV $225
line 516
;515:	else
;516:	{
line 517
;517:		ent->pos1[0] = ent->pos1[1] = 0.0;
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 24
CNSTF4 0
ASGNF4
ADDRLP4 20
INDIRP4
CNSTI4 424
ADDP4
ADDRLP4 24
INDIRF4
ASGNF4
ADDRLP4 20
INDIRP4
CNSTI4 420
ADDP4
ADDRLP4 24
INDIRF4
ASGNF4
line 518
;518:		ent->pos1[2] = 1.0;
ADDRFP4 0
INDIRP4
CNSTI4 428
ADDP4
CNSTF4 1065353216
ASGNF4
line 519
;519:	}
LABELV $226
line 521
;520:
;521:	ent->use = target_effect_use;
ADDRFP4 0
INDIRP4
CNSTI4 524
ADDP4
ADDRGP4 target_effect_use
ASGNP4
line 522
;522:}
LABELV $223
endproc SP_target_effect 56 12
import G_DoGameTypeMessage
import G_GlobalSound
import G_ClientSound
import G_ApplyAntiLag
import G_UndoAntiLag
import G_UpdateClientAntiLag
import trap_GT_SendEvent
import trap_GT_Start
import trap_GT_RunFrame
import trap_GT_Init
import trap_CM_RegisterTerrain
import trap_SnapVector
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotAddAvoidSpot
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotSetAvoidGoalTime
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_ForcePower
import trap_EA_Alt_Attack
import trap_EA_View
import trap_EA_Move
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_SelectWeapon
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_Gesture
import trap_EA_Action
import trap_EA_Command
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AlternativeRouteGoals
import trap_AAS_PredictRoute
import trap_AAS_EnableRoutingArea
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointReachabilityAreaIndex
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_AAS_AreaInfo
import trap_AAS_BBoxAreas
import trap_BotUserCommand
import trap_BotGetServerCommand
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_BotFreeMemoryGame
import trap_BotGetMemoryGame
import trap_GetWorldBounds
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetActiveSubBSP
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_RMG_Init
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_suddenDeath
import g_voiceTalkingGhosts
import g_voiceFloodPenalty
import g_voiceFloodCount
import g_teamkillNoExcuseMultiplier
import g_teamkillNoExcuseTime
import g_teamkillBanTime
import g_teamkillDamageForgive
import g_teamkillDamageMax
import g_teamkillPenalty
import g_suicidePenalty
import g_pickupsDisabled
import g_mapcycle
import g_followEnemy
import g_forceFollow
import g_availableWeapons
import g_roundstartdelay
import g_timeextension
import g_roundjointime
import g_roundtimelimit
import g_timeouttospec
import g_debugRMG
import RMG
import g_respawnInvulnerability
import g_respawnInterval
import g_rankings
import pmove_msec
import pmove_fixed
import g_smoothClients
import g_teamForceBalance
import g_teamAutoJoin
import g_failedVoteDelay
import g_voteKickBanTime
import g_voteDuration
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_backpackRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_timelimit
import g_scorelimit
import g_dmflags
import g_logHits
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_addBotsFast
import g_cloneChecker
import g_compMode
import g_useColorInNames
import g_onFireUntilDeath
import g_headshotMessage
import g_announceKillSpree
import g_botHeadLock
import g_entities
import level
import Team_GetLocationMsg
import Team_GetLocation
import G_AddTeamScore
import TeamColorString
import OtherTeamName
import TeamSkins
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import OrgVisible
import G_DropGametypeItems
import gametype_item_use
import G_ResetGametypeItem
import G_CanGametypeTriggerBeUsed
import G_ResetGametype
import G_ExecuteGametypeScript
import G_ParseGametypeFile
import G_SelectRandomGametypeSpawnPoint
import G_SpawnGametypeItem
import G_SelectGametypeSpawnPoint
import G_LoadArenas
import G_DoesMapExist
import G_DoesMapSupportGametype
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_RemoveQueuedBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Team_CheckDroppedItem
import OnSameTeam
import G_RunClient
import ClientEndFrame
import ClientThink
import G_CheckClientTeamkill
import G_CheckClientTimeouts
import G_GametypeCommand
import G_SelectRandomSpawnPoint
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import CheckGametype
import SendScoreboardMessageToAllClients
import G_LogPrintf
import G_RunThink
import SetLeader
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import ProDeathmatchScoreboardMessage
import MoveClientToIntermission
import G_FireProjectile
import G_FireWeapon
import ConsoleCommand
import G_IgnoreClientChat
import G_IsClientChatIgnored
import G_AddClientSpawn
import G_FindNearbyClient
import G_SetRespawnTimer
import G_UpdateClientAnimations
import G_SpotWouldTelefrag
import CalculateRanks
import G_AddScore
import G_InitBodyQueue
import player_die
import ClientSpawn
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import CopyToBodyQue
import SetClientViewAngle
import PickTeam
import G_GhostCount
import TeamCount
import G_ClientCleanName
import G_IsClientDead
import G_IsClientSpectating
import G_InitHitModels
import SnapVectorTowards
import TeleportPlayer
import InitTrigger
import trigger_teleporter_touch
import G_ResetGlass
import Touch_DoorTrigger
import G_RunMover
import G_GrenadeThink
import G_ExplodeMissile
import G_BounceProjectile
import G_CreateDamageArea
import G_CreateMissile
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import G_GetHitLocation
import CanDamage
import trap_G2API_SetBoneAnim
import trap_G2API_GetGLAName
import trap_G2API_SetBoneAngles
import trap_G2API_RemoveGhoul2Model
import trap_G2API_DuplicateGhoul2Instance
import trap_G2API_CopySpecificGhoul2Model
import trap_G2API_CopyGhoul2Instance
import trap_G2API_InitGhoul2Model
import trap_G2API_GetBoltMatrix
import trap_G2_HaveWeGhoul2Models
import trap_G2_SetGhoul2ModelIndexes
import trap_G2API_AttachG2Model
import trap_G2API_RemoveBolt
import trap_G2API_SetBoltInfo
import trap_G2API_AddBolt
import trap_G2_ListModelBones
import trap_G2_ListModelSurfaces
import trap_G2API_GetAnimFileNameIndex
import trap_G2API_SetSkin
import trap_G2API_RegisterSkin
import trap_G2API_CollisionDetect
import trap_G2API_CleanGhoul2Models
import BuildShaderStateConfig
import AddRemap
import G_SetOrigin
import G_AddEvent
import G_AddPredictableEvent
import vectoyaw
import vtos
import tv
import G_RunObject
import G_TouchSolids
import G_TouchTriggers
import G_EntitiesFree
import G_FreeEnitityChildren
import G_FreeEntity
import G_EntitySound
import G_SoundAtLoc
import G_Sound
import G_SetHUDIcon
import G_PlayEffect
import G_TempEntity
import G_Spawn
import G_InitGentity
import G_SetAngles
import G_SetMovedir
import G_UseTargetsByName
import G_UseTargets
import G_PickTarget
import G_RadiusList
import G_Find
import G_KillBox
import G_TeamCommand
import G_EffectIndex
import G_IconIndex
import G_BSPIndex
import G_AmbientSoundSetIndex
import G_SoundIndex
import G_ModelIndex
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import G_DropWeapon
import LaunchItem
import G_DropItem
import PrecacheItem
import RespawnItem
import G_RunItem
import ItemUse_MedPack
import ItemUse_Seeker
import ItemUse_Sentry
import ItemUse_Shield
import G_CanVoiceGlobal
import G_VoiceGlobal
import G_Voice
import G_SpawnDebugCylinder
import CheatsOk
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import G_StartGhosting
import G_StopGhosting
import G_StopFollowing
import Cmd_Score_f
import AddSpawnField
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnGEntityFromSpawnVars
import G_ParseSpawnVars
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import trap_VM_LocalStringAlloc
import trap_VM_LocalTempFree
import trap_VM_LocalTempAlloc
import trap_VM_LocalAllocUnaligned
import trap_VM_LocalAlloc
import trap_FS_GetFileList
import trap_GPV_GetList
import trap_GPV_GetTopValue
import trap_GPV_IsList
import trap_GPV_GetInOrderPrevious
import trap_GPV_GetInOrderNext
import trap_GPV_GetNext
import trap_GPV_GetName
import trap_GPG_FindPairValue
import trap_GPG_FindPair
import trap_GPG_FindSubGroup
import trap_GPG_GetInOrderSubGroups
import trap_GPG_GetSubGroups
import trap_GPG_GetInOrderPairs
import trap_GPG_GetPairs
import trap_GPG_GetInOrderPrevious
import trap_GPG_GetInOrderNext
import trap_GPG_GetNext
import trap_GPG_GetName
import trap_GP_GetBaseParseGroup
import trap_GP_Delete
import trap_GP_Clean
import trap_GP_ParseFile
import trap_GP_Parse
import BG_ApplyLeanOffset
import BG_FindOutfitting
import BG_ParseOutfittingTemplates
import BG_CompressOutfitting
import BG_DecompressOutfitting
import BG_SetAvailableOutfitting
import BG_IsWeaponAvailableForOutfitting
import BG_ParseSkin
import BG_ParseNPCFiles
import BG_GetModelSound
import BG_FindCharacterTemplate
import BG_FindTeamIdentity
import BG_FindIdentity
import bg_animTable
import bg_weaponNames
import bg_outfittingGroups
import bg_outfittingCount
import bg_outfittings
import bg_identityCount
import bg_identities
import bg_itemTemplates
import bg_characterTemplates
import BG_FindGametype
import BG_BuildGametypeList
import bg_gametypeCount
import bg_gametypeData
import BG_GetWeaponNote
import BG_GetWeaponAnim
import BG_PlayerTouchesItem
import BG_CalculateLeanOffset
import BG_ParseAnimationFile
import BG_PlayerAngles
import BG_PlayerStateToEntityStateExtraPolate
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_FindLadder
import BG_AddLadder
import BG_CanItemBeGrabbed
import BG_FindGametypeItemByID
import BG_FindGametypeItem
import BG_FindWeaponItem
import BG_FindClassnameItem
import BG_FindItem
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import pm
import BG_GetMaxAmmo
import BG_CalculateBulletEndpoint
import BG_FindFireMode
import BG_WeaponHasAlternateAmmo
import BG_GetInviewModelAnim
import BG_GetInviewAnimFromIndex
import BG_GetInviewAnim
import BG_ParseInviewFile
import weaponRightHand
import weaponLeftHand
import weaponParseInfo
import ammoData
import ammoNames
import weaponData
import weaponNames
import GetStringForID
import GetIDForString
import KeywordHash_Find
import KeywordHash_Add
import KeywordHash_Key
import Q_irand
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseWarning
import COM_ParseError
import COM_Compress
import COM_ParseExt
import COM_Parse
import SkipWhitespace
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import Com_Clampf
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import FloatSwap
import LongSwap
import ShortSwap
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $224
char 1 101
char 1 102
char 1 102
char 1 101
char 1 99
char 1 116
char 1 0
align 1
LABELV $213
char 1 116
char 1 97
char 1 114
char 1 103
char 1 101
char 1 116
char 1 95
char 1 108
char 1 111
char 1 99
char 1 97
char 1 116
char 1 105
char 1 111
char 1 110
char 1 0
align 1
LABELV $205
char 1 117
char 1 110
char 1 107
char 1 110
char 1 111
char 1 119
char 1 110
char 1 0
align 1
LABELV $185
char 1 117
char 1 110
char 1 116
char 1 97
char 1 114
char 1 103
char 1 101
char 1 116
char 1 101
char 1 100
char 1 32
char 1 37
char 1 115
char 1 32
char 1 97
char 1 116
char 1 32
char 1 37
char 1 115
char 1 10
char 1 0
align 1
LABELV $181
char 1 67
char 1 111
char 1 117
char 1 108
char 1 100
char 1 110
char 1 39
char 1 116
char 1 32
char 1 102
char 1 105
char 1 110
char 1 100
char 1 32
char 1 116
char 1 101
char 1 108
char 1 101
char 1 112
char 1 111
char 1 114
char 1 116
char 1 101
char 1 114
char 1 32
char 1 100
char 1 101
char 1 115
char 1 116
char 1 105
char 1 110
char 1 97
char 1 116
char 1 105
char 1 111
char 1 110
char 1 10
char 1 0
align 1
LABELV $169
char 1 37
char 1 115
char 1 32
char 1 97
char 1 116
char 1 32
char 1 37
char 1 115
char 1 58
char 1 32
char 1 37
char 1 115
char 1 32
char 1 105
char 1 115
char 1 32
char 1 97
char 1 32
char 1 98
char 1 97
char 1 100
char 1 32
char 1 116
char 1 97
char 1 114
char 1 103
char 1 101
char 1 116
char 1 10
char 1 0
align 1
LABELV $132
char 1 37
char 1 115
char 1 46
char 1 119
char 1 97
char 1 118
char 1 0
align 1
LABELV $131
char 1 46
char 1 119
char 1 97
char 1 118
char 1 0
align 1
LABELV $126
char 1 114
char 1 97
char 1 100
char 1 105
char 1 117
char 1 115
char 1 0
align 1
LABELV $125
char 1 114
char 1 97
char 1 110
char 1 100
char 1 111
char 1 109
char 1 0
align 1
LABELV $124
char 1 78
char 1 79
char 1 83
char 1 79
char 1 85
char 1 78
char 1 68
char 1 0
align 1
LABELV $123
char 1 110
char 1 111
char 1 105
char 1 115
char 1 101
char 1 0
align 1
LABELV $120
char 1 0
align 1
LABELV $119
char 1 115
char 1 111
char 1 117
char 1 110
char 1 100
char 1 83
char 1 101
char 1 116
char 1 0
align 1
LABELV $99
char 1 99
char 1 112
char 1 32
char 1 34
char 1 37
char 1 115
char 1 34
char 1 0
align 1
LABELV $89
char 1 49
char 1 0
align 1
LABELV $88
char 1 119
char 1 97
char 1 105
char 1 116
char 1 0
align 1
LABELV $87
char 1 48
char 1 0
align 1
LABELV $86
char 1 100
char 1 101
char 1 108
char 1 97
char 1 121
char 1 0
