export GetIDForString
code
proc GetIDForString 8 8
file "../../game/q_shared.c"
line 15
;1:// Copyright (C) 2001-2002 Raven Software.
;2://
;3:// q_shared.c -- stateless support routines that are included in each code dll
;4:#include "q_shared.h"
;5:
;6:
;7:/*
;8:-------------------------
;9:GetIDForString 
;10:-------------------------
;11:*/
;12:
;13:
;14:int GetIDForString ( stringID_table_t *table, const char *string )
;15:{
line 16
;16:	int	index = 0;
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $32
JUMPV
LABELV $31
line 20
;17:
;18:	while ( ( table[index].name != NULL ) &&
;19:			( table[index].name[0] != 0 ) )
;20:	{
line 21
;21:		if ( !Q_stricmp( table[index].name, string ) )
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $34
line 22
;22:			return table[index].id;
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRFP4 0
INDIRP4
ADDP4
CNSTI4 4
ADDP4
INDIRI4
RETI4
ADDRGP4 $30
JUMPV
LABELV $34
line 24
;23:
;24:		index++;
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 25
;25:	}
LABELV $32
line 18
ADDRLP4 4
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $36
ADDRLP4 4
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $31
LABELV $36
line 27
;26:
;27:	return -1;
CNSTI4 -1
RETI4
LABELV $30
endproc GetIDForString 8 8
export GetStringForID
proc GetStringForID 8 0
line 37
;28:}
;29:
;30:/*
;31:-------------------------
;32:GetStringForID
;33:-------------------------
;34:*/
;35:
;36:const char *GetStringForID( stringID_table_t *table, int id )
;37:{
line 38
;38:	int	index = 0;
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $39
JUMPV
LABELV $38
line 42
;39:
;40:	while ( ( table[index].name != NULL ) &&
;41:			( table[index].name[0] != 0 ) )
;42:	{
line 43
;43:		if ( table[index].id == id )
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRFP4 0
INDIRP4
ADDP4
CNSTI4 4
ADDP4
INDIRI4
ADDRFP4 4
INDIRI4
NEI4 $41
line 44
;44:			return table[index].name;
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRP4
RETP4
ADDRGP4 $37
JUMPV
LABELV $41
line 46
;45:
;46:		index++;
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 47
;47:	}
LABELV $39
line 40
ADDRLP4 4
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $43
ADDRLP4 4
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $38
LABELV $43
line 49
;48:
;49:	return NULL;
CNSTP4 0
RETP4
LABELV $37
endproc GetStringForID 8 0
export Com_Clampf
proc Com_Clampf 0 0
line 53
;50:}
;51:
;52:float Com_Clampf( float min, float max, float value ) 
;53:{
line 54
;54:	if ( value < min ) 
ADDRFP4 8
INDIRF4
ADDRFP4 0
INDIRF4
GEF4 $45
line 55
;55:	{
line 56
;56:		return min;
ADDRFP4 0
INDIRF4
RETF4
ADDRGP4 $44
JUMPV
LABELV $45
line 58
;57:	}
;58:	if ( value > max ) 
ADDRFP4 8
INDIRF4
ADDRFP4 4
INDIRF4
LEF4 $47
line 59
;59:	{
line 60
;60:		return max;
ADDRFP4 4
INDIRF4
RETF4
ADDRGP4 $44
JUMPV
LABELV $47
line 62
;61:	}
;62:	return value;
ADDRFP4 8
INDIRF4
RETF4
LABELV $44
endproc Com_Clampf 0 0
export Com_Clamp
proc Com_Clamp 0 0
line 66
;63:}
;64:
;65:int Com_Clamp( int min, int max, int value ) 
;66:{
line 67
;67:	if ( value < min ) 
ADDRFP4 8
INDIRI4
ADDRFP4 0
INDIRI4
GEI4 $50
line 68
;68:	{
line 69
;69:		return min;
ADDRFP4 0
INDIRI4
RETI4
ADDRGP4 $49
JUMPV
LABELV $50
line 71
;70:	}
;71:	if ( value > max ) 
ADDRFP4 8
INDIRI4
ADDRFP4 4
INDIRI4
LEI4 $52
line 72
;72:	{
line 73
;73:		return max;
ADDRFP4 4
INDIRI4
RETI4
ADDRGP4 $49
JUMPV
LABELV $52
line 75
;74:	}
;75:	return value;
ADDRFP4 8
INDIRI4
RETI4
LABELV $49
endproc Com_Clamp 0 0
export COM_SkipPath
proc COM_SkipPath 4 0
line 85
;76:}
;77:
;78:
;79:/*
;80:============
;81:COM_SkipPath
;82:============
;83:*/
;84:char *COM_SkipPath (char *pathname)
;85:{
line 88
;86:	char	*last;
;87:	
;88:	last = pathname;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRGP4 $56
JUMPV
LABELV $55
line 90
;89:	while (*pathname)
;90:	{
line 91
;91:		if (*pathname=='/')
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 47
NEI4 $58
line 92
;92:			last = pathname+1;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
LABELV $58
line 93
;93:		pathname++;
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 94
;94:	}
LABELV $56
line 89
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $55
line 95
;95:	return last;
ADDRLP4 0
INDIRP4
RETP4
LABELV $54
endproc COM_SkipPath 4 0
export COM_StripExtension
proc COM_StripExtension 12 0
line 103
;96:}
;97:
;98:/*
;99:============
;100:COM_StripExtension
;101:============
;102:*/
;103:void COM_StripExtension( const char *in, char *out ) {
ADDRGP4 $62
JUMPV
LABELV $61
line 104
;104:	while ( *in && *in != '.' ) {
line 105
;105:		*out++ = *in++;
ADDRLP4 0
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 8
CNSTI4 1
ASGNI4
ADDRFP4 4
ADDRLP4 0
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
ASGNP4
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRFP4 0
ADDRLP4 4
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI1
ASGNI1
line 106
;106:	}
LABELV $62
line 104
ADDRLP4 0
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
EQI4 $64
ADDRLP4 0
INDIRI4
CNSTI4 46
NEI4 $61
LABELV $64
line 107
;107:	*out = 0;
ADDRFP4 4
INDIRP4
CNSTI1 0
ASGNI1
line 108
;108:}
LABELV $60
endproc COM_StripExtension 12 0
export COM_DefaultExtension
proc COM_DefaultExtension 268 20
line 116
;109:
;110:
;111:/*
;112:==================
;113:COM_DefaultExtension
;114:==================
;115:*/
;116:void COM_DefaultExtension (char *path, int maxSize, const char *extension ) {
line 124
;117:	char	oldPath[MAX_OSPATH];
;118:	char    *src;
;119:
;120://
;121:// if path doesn't have a .EXT, append extension
;122:// (extension should include the .)
;123://
;124:	src = path + strlen(path) - 1;
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 260
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 260
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
CNSTI4 -1
ADDP4
ASGNP4
ADDRGP4 $67
JUMPV
LABELV $66
line 126
;125:
;126:	while (*src != '/' && src != path) {
line 127
;127:		if ( *src == '.' ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 46
NEI4 $69
line 128
;128:			return;                 // it has an extension
ADDRGP4 $65
JUMPV
LABELV $69
line 130
;129:		}
;130:		src--;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 -1
ADDP4
ASGNP4
line 131
;131:	}
LABELV $67
line 126
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 47
EQI4 $71
ADDRLP4 0
INDIRP4
CVPU4 4
ADDRFP4 0
INDIRP4
CVPU4 4
NEU4 $66
LABELV $71
line 133
;132:
;133:	Q_strncpyz( oldPath, path, sizeof( oldPath ) );
ADDRLP4 4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 256
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 134
;134:	Com_sprintf( path, maxSize, "%s%s", oldPath, extension );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRI4
ARGI4
ADDRGP4 $72
ARGP4
ADDRLP4 4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 135
;135:}
LABELV $65
endproc COM_DefaultExtension 268 20
export ShortSwap
proc ShortSwap 2 0
ADDRFP4 0
ADDRFP4 0
INDIRI4
CVII2 4
ASGNI2
line 167
;136:
;137:/*
;138:============================================================================
;139:
;140:					BYTE ORDER FUNCTIONS
;141:
;142:============================================================================
;143:*/
;144:/*
;145:// can't just use function pointers, or dll linkage can
;146:// mess up when qcommon is included in multiple places
;147:static short	(*_BigShort) (short l);
;148:static short	(*_LittleShort) (short l);
;149:static int		(*_BigLong) (int l);
;150:static int		(*_LittleLong) (int l);
;151:static qint64	(*_BigLong64) (qint64 l);
;152:static qint64	(*_LittleLong64) (qint64 l);
;153:static float	(*_BigFloat) (const float *l);
;154:static float	(*_LittleFloat) (const float *l);
;155:
;156:short	BigShort(short l){return _BigShort(l);}
;157:short	LittleShort(short l) {return _LittleShort(l);}
;158:int		BigLong (int l) {return _BigLong(l);}
;159:int		LittleLong (int l) {return _LittleLong(l);}
;160:qint64 	BigLong64 (qint64 l) {return _BigLong64(l);}
;161:qint64 	LittleLong64 (qint64 l) {return _LittleLong64(l);}
;162:float	BigFloat (const float *l) {return _BigFloat(l);}
;163:float	LittleFloat (const float *l) {return _LittleFloat(l);}
;164:*/
;165:
;166:short   ShortSwap (short l)
;167:{
line 170
;168:	byte    b1,b2;
;169:
;170:	b1 = l&255;
ADDRLP4 0
ADDRFP4 0
INDIRI2
CVII4 2
CNSTI4 255
BANDI4
CVIU4 4
CVUU1 4
ASGNU1
line 171
;171:	b2 = (l>>8)&255;
ADDRLP4 1
ADDRFP4 0
INDIRI2
CVII4 2
CNSTI4 8
RSHI4
CNSTI4 255
BANDI4
CVIU4 4
CVUU1 4
ASGNU1
line 173
;172:
;173:	return (b1<<8) + b2;
ADDRLP4 0
INDIRU1
CVUI4 1
CNSTI4 8
LSHI4
ADDRLP4 1
INDIRU1
CVUI4 1
ADDI4
CVII2 4
CVII4 2
RETI4
LABELV $73
endproc ShortSwap 2 0
export ShortNoSwap
proc ShortNoSwap 0 0
ADDRFP4 0
ADDRFP4 0
INDIRI4
CVII2 4
ASGNI2
line 177
;174:}
;175:
;176:short	ShortNoSwap (short l)
;177:{
line 178
;178:	return l;
ADDRFP4 0
INDIRI2
CVII4 2
RETI4
LABELV $74
endproc ShortNoSwap 0 0
export LongSwap
proc LongSwap 4 0
line 182
;179:}
;180:
;181:int    LongSwap (int l)
;182:{
line 185
;183:	byte    b1,b2,b3,b4;
;184:
;185:	b1 = l&255;
ADDRLP4 0
ADDRFP4 0
INDIRI4
CNSTI4 255
BANDI4
CVIU4 4
CVUU1 4
ASGNU1
line 186
;186:	b2 = (l>>8)&255;
ADDRLP4 1
ADDRFP4 0
INDIRI4
CNSTI4 8
RSHI4
CNSTI4 255
BANDI4
CVIU4 4
CVUU1 4
ASGNU1
line 187
;187:	b3 = (l>>16)&255;
ADDRLP4 2
ADDRFP4 0
INDIRI4
CNSTI4 16
RSHI4
CNSTI4 255
BANDI4
CVIU4 4
CVUU1 4
ASGNU1
line 188
;188:	b4 = (l>>24)&255;
ADDRLP4 3
ADDRFP4 0
INDIRI4
CNSTI4 24
RSHI4
CNSTI4 255
BANDI4
CVIU4 4
CVUU1 4
ASGNU1
line 190
;189:
;190:	return ((int)b1<<24) + ((int)b2<<16) + ((int)b3<<8) + b4;
ADDRLP4 0
INDIRU1
CVUI4 1
CNSTI4 24
LSHI4
ADDRLP4 1
INDIRU1
CVUI4 1
CNSTI4 16
LSHI4
ADDI4
ADDRLP4 2
INDIRU1
CVUI4 1
CNSTI4 8
LSHI4
ADDI4
ADDRLP4 3
INDIRU1
CVUI4 1
ADDI4
RETI4
LABELV $75
endproc LongSwap 4 0
export LongNoSwap
proc LongNoSwap 0 0
line 194
;191:}
;192:
;193:int	LongNoSwap (int l)
;194:{
line 195
;195:	return l;
ADDRFP4 0
INDIRI4
RETI4
LABELV $76
endproc LongNoSwap 0 0
export Long64Swap
proc Long64Swap 8 0
line 199
;196:}
;197:
;198:qint64 Long64Swap (qint64 ll)
;199:{
line 202
;200:	qint64	result;
;201:
;202:	result.b0 = ll.b7;
ADDRLP4 0
ADDRFP4 4
INDIRP4
CNSTI4 7
ADDP4
INDIRU1
ASGNU1
line 203
;203:	result.b1 = ll.b6;
ADDRLP4 0+1
ADDRFP4 4
INDIRP4
CNSTI4 6
ADDP4
INDIRU1
ASGNU1
line 204
;204:	result.b2 = ll.b5;
ADDRLP4 0+2
ADDRFP4 4
INDIRP4
CNSTI4 5
ADDP4
INDIRU1
ASGNU1
line 205
;205:	result.b3 = ll.b4;
ADDRLP4 0+3
ADDRFP4 4
INDIRP4
CNSTI4 4
ADDP4
INDIRU1
ASGNU1
line 206
;206:	result.b4 = ll.b3;
ADDRLP4 0+4
ADDRFP4 4
INDIRP4
CNSTI4 3
ADDP4
INDIRU1
ASGNU1
line 207
;207:	result.b5 = ll.b2;
ADDRLP4 0+5
ADDRFP4 4
INDIRP4
CNSTI4 2
ADDP4
INDIRU1
ASGNU1
line 208
;208:	result.b6 = ll.b1;
ADDRLP4 0+6
ADDRFP4 4
INDIRP4
CNSTI4 1
ADDP4
INDIRU1
ASGNU1
line 209
;209:	result.b7 = ll.b0;
ADDRLP4 0+7
ADDRFP4 4
INDIRP4
INDIRU1
ASGNU1
line 211
;210:
;211:	return result;
ADDRFP4 0
INDIRP4
ADDRLP4 0
INDIRB
ASGNB 8
LABELV $77
endproc Long64Swap 8 0
export Long64NoSwap
proc Long64NoSwap 0 0
line 215
;212:}
;213:
;214:qint64 Long64NoSwap (qint64 ll)
;215:{
line 216
;216:	return ll;
ADDRFP4 0
INDIRP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 8
LABELV $86
endproc Long64NoSwap 0 0
export FloatSwap
proc FloatSwap 12 4
line 224
;217:}
;218:
;219:typedef union {
;220:    float	f;
;221:    unsigned int i;
;222:} _FloatByteUnion;
;223:
;224:float FloatSwap (const float *f) {
line 228
;225:	const _FloatByteUnion *in;
;226:	_FloatByteUnion out;
;227:
;228:	in = (_FloatByteUnion *)f;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 229
;229:	out.i = LongSwap(in->i);
ADDRLP4 0
INDIRP4
INDIRU4
CVUI4 4
ARGI4
ADDRLP4 8
ADDRGP4 LongSwap
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 8
INDIRI4
CVIU4 4
ASGNU4
line 231
;230:
;231:	return out.f;
ADDRLP4 4
INDIRF4
RETF4
LABELV $89
endproc FloatSwap 12 4
export FloatNoSwap
proc FloatNoSwap 0 0
line 235
;232:}
;233:
;234:float FloatNoSwap (const float *f)
;235:{
line 236
;236:	return *f;
ADDRFP4 0
INDIRP4
INDIRF4
RETF4
LABELV $90
endproc FloatNoSwap 0 0
export COM_BeginParseSession
proc COM_BeginParseSession 0 16
line 289
;237:}
;238:
;239:/*
;240:================
;241:Swap_Init
;242:================
;243:*/
;244:/*
;245:void Swap_Init (void)
;246:{
;247:	byte	swaptest[2] = {1,0};
;248:
;249:// set the byte swapping variables in a portable manner	
;250:	if ( *(short *)swaptest == 1)
;251:	{
;252:		_BigShort = ShortSwap;
;253:		_LittleShort = ShortNoSwap;
;254:		_BigLong = LongSwap;
;255:		_LittleLong = LongNoSwap;
;256:		_BigLong64 = Long64Swap;
;257:		_LittleLong64 = Long64NoSwap;
;258:		_BigFloat = FloatSwap;
;259:		_LittleFloat = FloatNoSwap;
;260:	}
;261:	else
;262:	{
;263:		_BigShort = ShortNoSwap;
;264:		_LittleShort = ShortSwap;
;265:		_BigLong = LongNoSwap;
;266:		_LittleLong = LongSwap;
;267:		_BigLong64 = Long64NoSwap;
;268:		_LittleLong64 = Long64Swap;
;269:		_BigFloat = FloatNoSwap;
;270:		_LittleFloat = FloatSwap;
;271:	}
;272:
;273:}
;274:*/
;275:
;276:/*
;277:============================================================================
;278:
;279:PARSING
;280:
;281:============================================================================
;282:*/
;283:
;284:static	char	com_token[MAX_TOKEN_CHARS];
;285:static	char	com_parsename[MAX_TOKEN_CHARS];
;286:static	int		com_lines;
;287:
;288:void COM_BeginParseSession( const char *name )
;289:{
line 290
;290:	com_lines = 0;
ADDRGP4 com_lines
CNSTI4 0
ASGNI4
line 291
;291:	Com_sprintf(com_parsename, sizeof(com_parsename), "%s", name);
ADDRGP4 com_parsename
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 $92
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 292
;292:}
LABELV $91
endproc COM_BeginParseSession 0 16
export COM_GetCurrentParseLine
proc COM_GetCurrentParseLine 0 0
line 295
;293:
;294:int COM_GetCurrentParseLine( void )
;295:{
line 296
;296:	return com_lines;
ADDRGP4 com_lines
INDIRI4
RETI4
LABELV $93
endproc COM_GetCurrentParseLine 0 0
export COM_Parse
proc COM_Parse 4 8
line 300
;297:}
;298:
;299:char *COM_Parse( const char **data_p )
;300:{
line 301
;301:	return COM_ParseExt( data_p, qtrue );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 COM_ParseExt
CALLP4
ASGNP4
ADDRLP4 0
INDIRP4
RETP4
LABELV $94
endproc COM_Parse 4 8
bss
align 1
LABELV $96
skip 4096
export COM_ParseError
code
proc COM_ParseError 4 16
line 305
;302:}
;303:
;304:void COM_ParseError( char *format, ... )
;305:{
line 309
;306:	va_list argptr;
;307:	static char string[4096];
;308:
;309:	va_start (argptr, format);
ADDRLP4 0
ADDRFP4 0+4
ASGNP4
line 310
;310:	vsprintf (string, format, argptr);
ADDRGP4 $96
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 vsprintf
CALLI4
pop
line 311
;311:	va_end (argptr);
ADDRLP4 0
CNSTP4 0
ASGNP4
line 313
;312:
;313:	Com_Printf("ERROR: %s, line %d: %s\n", com_parsename, com_lines, string);
ADDRGP4 $98
ARGP4
ADDRGP4 com_parsename
ARGP4
ADDRGP4 com_lines
INDIRI4
ARGI4
ADDRGP4 $96
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 314
;314:}
LABELV $95
endproc COM_ParseError 4 16
bss
align 1
LABELV $100
skip 4096
export COM_ParseWarning
code
proc COM_ParseWarning 4 16
line 317
;315:
;316:void COM_ParseWarning( char *format, ... )
;317:{
line 321
;318:	va_list argptr;
;319:	static char string[4096];
;320:
;321:	va_start (argptr, format);
ADDRLP4 0
ADDRFP4 0+4
ASGNP4
line 322
;322:	vsprintf (string, format, argptr);
ADDRGP4 $100
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 vsprintf
CALLI4
pop
line 323
;323:	va_end (argptr);
ADDRLP4 0
CNSTP4 0
ASGNP4
line 325
;324:
;325:	Com_Printf("WARNING: %s, line %d: %s\n", com_parsename, com_lines, string);
ADDRGP4 $102
ARGP4
ADDRGP4 com_parsename
ARGP4
ADDRGP4 com_lines
INDIRI4
ARGI4
ADDRGP4 $100
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 326
;326:}
LABELV $99
endproc COM_ParseWarning 4 16
export SkipWhitespace
proc SkipWhitespace 8 0
line 340
;327:
;328:/*
;329:==============
;330:COM_Parse
;331:
;332:Parse a token out of a string
;333:Will never return NULL, just empty strings
;334:
;335:If "allowLineBreaks" is qtrue then an empty
;336:string will be returned if the next token is
;337:a newline.
;338:==============
;339:*/
;340:const char *SkipWhitespace( const char *data, qboolean *hasNewLines ) {
ADDRGP4 $105
JUMPV
LABELV $104
line 343
;341:	int c;
;342:
;343:	while( (c = *data) <= ' ') {
line 344
;344:		if( !c ) {
ADDRLP4 0
INDIRI4
CNSTI4 0
NEI4 $107
line 345
;345:			return NULL;
CNSTP4 0
RETP4
ADDRGP4 $103
JUMPV
LABELV $107
line 347
;346:		}
;347:		if( c == '\n' ) {
ADDRLP4 0
INDIRI4
CNSTI4 10
NEI4 $109
line 348
;348:			com_lines++;
ADDRLP4 4
ADDRGP4 com_lines
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 349
;349:			*hasNewLines = qtrue;
ADDRFP4 4
INDIRP4
CNSTI4 1
ASGNI4
line 350
;350:		}
LABELV $109
line 351
;351:		data++;
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 352
;352:	}
LABELV $105
line 343
ADDRLP4 4
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 0
ADDRLP4 4
INDIRI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 32
LEI4 $104
line 354
;353:
;354:	return data;
ADDRFP4 0
INDIRP4
RETP4
LABELV $103
endproc SkipWhitespace 8 0
export COM_Compress
proc COM_Compress 48 0
line 357
;355:}
;356:
;357:int COM_Compress( char *data_p ) {
line 360
;358:	char *in, *out;
;359:	int c;
;360:	qboolean newline = qfalse, whitespace = qfalse;
ADDRLP4 12
CNSTI4 0
ASGNI4
ADDRLP4 16
CNSTI4 0
ASGNI4
line 362
;361:	
;362:	in = out = data_p;
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
ADDRLP4 20
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 20
INDIRP4
ASGNP4
line 363
;363:	if (in) {
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $112
ADDRGP4 $115
JUMPV
LABELV $114
line 364
;364:		while ((c = *in) != 0) {
line 366
;365:			// skip double slash comments
;366:			if ( c == '/' && in[1] == '/' ) {
ADDRLP4 24
CNSTI4 47
ASGNI4
ADDRLP4 4
INDIRI4
ADDRLP4 24
INDIRI4
NEI4 $117
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
INDIRI1
CVII4 1
ADDRLP4 24
INDIRI4
NEI4 $117
ADDRGP4 $120
JUMPV
LABELV $119
line 367
;367:				while (*in && *in != '\n') {
line 368
;368:					in++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 369
;369:				}
LABELV $120
line 367
ADDRLP4 28
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 28
INDIRI4
CNSTI4 0
EQI4 $122
ADDRLP4 28
INDIRI4
CNSTI4 10
NEI4 $119
LABELV $122
line 371
;370:				// skip /* */ comments
;371:			} else if ( c == '/' && in[1] == '*' ) {
ADDRGP4 $118
JUMPV
LABELV $117
ADDRLP4 4
INDIRI4
CNSTI4 47
NEI4 $123
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
INDIRI1
CVII4 1
CNSTI4 42
NEI4 $123
ADDRGP4 $126
JUMPV
LABELV $125
line 373
;372:				while ( *in && ( *in != '*' || in[1] != '/' ) ) 
;373:					in++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
LABELV $126
line 372
ADDRLP4 32
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 32
INDIRI4
CNSTI4 0
EQI4 $128
ADDRLP4 32
INDIRI4
CNSTI4 42
NEI4 $125
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
INDIRI1
CVII4 1
CNSTI4 47
NEI4 $125
LABELV $128
line 374
;374:				if ( *in ) 
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $124
line 375
;375:					in += 2;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 2
ADDP4
ASGNP4
line 377
;376:				// record when we hit a newline
;377:			} else if ( c == '\n' || c == '\r' ) {
ADDRGP4 $124
JUMPV
LABELV $123
ADDRLP4 4
INDIRI4
CNSTI4 10
EQI4 $133
ADDRLP4 4
INDIRI4
CNSTI4 13
NEI4 $131
LABELV $133
line 378
;378:				newline = qtrue;
ADDRLP4 12
CNSTI4 1
ASGNI4
line 379
;379:				in++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 381
;380:				// record when we hit whitespace
;381:			} else if ( c == ' ' || c == '\t') {
ADDRGP4 $132
JUMPV
LABELV $131
ADDRLP4 4
INDIRI4
CNSTI4 32
EQI4 $136
ADDRLP4 4
INDIRI4
CNSTI4 9
NEI4 $134
LABELV $136
line 382
;382:				whitespace = qtrue;
ADDRLP4 16
CNSTI4 1
ASGNI4
line 383
;383:				in++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 385
;384:				// an actual token
;385:			} else {
ADDRGP4 $135
JUMPV
LABELV $134
line 387
;386:				// if we have a pending newline, emit it (and it counts as whitespace)
;387:				if (newline) {
ADDRLP4 12
INDIRI4
CNSTI4 0
EQI4 $137
line 388
;388:					*out++ = '\n';
ADDRLP4 36
ADDRLP4 8
INDIRP4
ASGNP4
ADDRLP4 8
ADDRLP4 36
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 36
INDIRP4
CNSTI1 10
ASGNI1
line 389
;389:					newline = qfalse;
ADDRLP4 12
CNSTI4 0
ASGNI4
line 390
;390:					whitespace = qfalse;
ADDRLP4 16
CNSTI4 0
ASGNI4
line 391
;391:				} if (whitespace) {
LABELV $137
ADDRLP4 16
INDIRI4
CNSTI4 0
EQI4 $139
line 392
;392:					*out++ = ' ';
ADDRLP4 36
ADDRLP4 8
INDIRP4
ASGNP4
ADDRLP4 8
ADDRLP4 36
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 36
INDIRP4
CNSTI1 32
ASGNI1
line 393
;393:					whitespace = qfalse;
ADDRLP4 16
CNSTI4 0
ASGNI4
line 394
;394:				}
LABELV $139
line 397
;395:				
;396:				// copy quoted strings unmolested
;397:				if (c == '"') {
ADDRLP4 4
INDIRI4
CNSTI4 34
NEI4 $141
line 398
;398:					*out++ = c;
ADDRLP4 36
ADDRLP4 8
INDIRP4
ASGNP4
ADDRLP4 8
ADDRLP4 36
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 36
INDIRP4
ADDRLP4 4
INDIRI4
CVII1 4
ASGNI1
line 399
;399:					in++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRGP4 $144
JUMPV
LABELV $143
line 400
;400:					while (1) {
line 401
;401:						c = *in;
ADDRLP4 4
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
line 402
;402:						if (c && c != '"') {
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $145
ADDRLP4 4
INDIRI4
CNSTI4 34
EQI4 $145
line 403
;403:							*out++ = c;
ADDRLP4 44
ADDRLP4 8
INDIRP4
ASGNP4
ADDRLP4 8
ADDRLP4 44
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 44
INDIRP4
ADDRLP4 4
INDIRI4
CVII1 4
ASGNI1
line 404
;404:							in++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 405
;405:						} else {
line 406
;406:							break;
LABELV $147
line 408
;407:						}
;408:					}
LABELV $144
line 400
ADDRGP4 $143
JUMPV
LABELV $145
line 409
;409:					if (c == '"') {
ADDRLP4 4
INDIRI4
CNSTI4 34
NEI4 $142
line 410
;410:						*out++ = c;
ADDRLP4 40
ADDRLP4 8
INDIRP4
ASGNP4
ADDRLP4 8
ADDRLP4 40
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 40
INDIRP4
ADDRLP4 4
INDIRI4
CVII1 4
ASGNI1
line 411
;411:						in++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 412
;412:					}
line 413
;413:				} else {
ADDRGP4 $142
JUMPV
LABELV $141
line 414
;414:					*out = c;
ADDRLP4 8
INDIRP4
ADDRLP4 4
INDIRI4
CVII1 4
ASGNI1
line 415
;415:					out++;
ADDRLP4 8
ADDRLP4 8
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 416
;416:					in++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 417
;417:				}
LABELV $142
line 418
;418:			}
LABELV $135
LABELV $132
LABELV $124
LABELV $118
line 419
;419:		}
LABELV $115
line 364
ADDRLP4 24
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 4
ADDRLP4 24
INDIRI4
ASGNI4
ADDRLP4 24
INDIRI4
CNSTI4 0
NEI4 $114
line 420
;420:	}
LABELV $112
line 421
;421:	*out = 0;
ADDRLP4 8
INDIRP4
CNSTI1 0
ASGNI1
line 422
;422:	return out - data_p;
ADDRLP4 8
INDIRP4
CVPU4 4
ADDRFP4 0
INDIRP4
CVPU4 4
SUBU4
CVUI4 4
RETI4
LABELV $111
endproc COM_Compress 48 0
export COM_ParseExt
proc COM_ParseExt 36 8
line 426
;423:}
;424:
;425:char *COM_ParseExt( const char **data_p, qboolean allowLineBreaks )
;426:{
line 427
;427:	int c = 0, len;
ADDRLP4 4
CNSTI4 0
ASGNI4
line 428
;428:	qboolean hasNewLines = qfalse;
ADDRLP4 12
CNSTI4 0
ASGNI4
line 431
;429:	const char *data;
;430:
;431:	data = *data_p;
ADDRLP4 0
ADDRFP4 0
INDIRP4
INDIRP4
ASGNP4
line 432
;432:	len = 0;
ADDRLP4 8
CNSTI4 0
ASGNI4
line 433
;433:	com_token[0] = 0;
ADDRGP4 com_token
CNSTI1 0
ASGNI1
line 436
;434:
;435:	// make sure incoming data is valid
;436:	if ( !data )
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $154
line 437
;437:	{
line 438
;438:		*data_p = NULL;
ADDRFP4 0
INDIRP4
CNSTP4 0
ASGNP4
line 439
;439:		return com_token;
ADDRGP4 com_token
RETP4
ADDRGP4 $150
JUMPV
LABELV $153
line 443
;440:	}
;441:
;442:	while ( 1 )
;443:	{
line 445
;444:		// skip whitespace
;445:		data = SkipWhitespace( data, &hasNewLines );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 12
ARGP4
ADDRLP4 16
ADDRGP4 SkipWhitespace
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 16
INDIRP4
ASGNP4
line 446
;446:		if ( !data )
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $156
line 447
;447:		{
line 448
;448:			*data_p = NULL;
ADDRFP4 0
INDIRP4
CNSTP4 0
ASGNP4
line 449
;449:			return com_token;
ADDRGP4 com_token
RETP4
ADDRGP4 $150
JUMPV
LABELV $156
line 451
;450:		}
;451:		if ( hasNewLines && !allowLineBreaks )
ADDRLP4 20
CNSTI4 0
ASGNI4
ADDRLP4 12
INDIRI4
ADDRLP4 20
INDIRI4
EQI4 $158
ADDRFP4 4
INDIRI4
ADDRLP4 20
INDIRI4
NEI4 $158
line 452
;452:		{
line 453
;453:			*data_p = data;
ADDRFP4 0
INDIRP4
ADDRLP4 0
INDIRP4
ASGNP4
line 454
;454:			return com_token;
ADDRGP4 com_token
RETP4
ADDRGP4 $150
JUMPV
LABELV $158
line 457
;455:		}
;456:
;457:		c = *data;
ADDRLP4 4
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
line 460
;458:
;459:		// skip double slash comments
;460:		if ( c == '/' && data[1] == '/' )
ADDRLP4 24
CNSTI4 47
ASGNI4
ADDRLP4 4
INDIRI4
ADDRLP4 24
INDIRI4
NEI4 $160
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
INDIRI1
CVII4 1
ADDRLP4 24
INDIRI4
NEI4 $160
line 461
;461:		{
line 462
;462:			data += 2;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 2
ADDP4
ASGNP4
ADDRGP4 $163
JUMPV
LABELV $162
line 463
;463:			while (*data && *data != '\n') {
line 464
;464:				data++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 465
;465:			}
LABELV $163
line 463
ADDRLP4 28
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 28
INDIRI4
CNSTI4 0
EQI4 $165
ADDRLP4 28
INDIRI4
CNSTI4 10
NEI4 $162
LABELV $165
line 466
;466:		}
ADDRGP4 $161
JUMPV
LABELV $160
line 468
;467:		// skip /* */ comments
;468:		else if ( c=='/' && data[1] == '*' ) 
ADDRLP4 4
INDIRI4
CNSTI4 47
NEI4 $155
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
INDIRI1
CVII4 1
CNSTI4 42
NEI4 $155
line 469
;469:		{
line 470
;470:			data += 2;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 2
ADDP4
ASGNP4
ADDRGP4 $169
JUMPV
LABELV $168
line 472
;471:			while ( *data && ( *data != '*' || data[1] != '/' ) ) 
;472:			{
line 473
;473:				data++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 474
;474:			}
LABELV $169
line 471
ADDRLP4 32
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 32
INDIRI4
CNSTI4 0
EQI4 $171
ADDRLP4 32
INDIRI4
CNSTI4 42
NEI4 $168
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
INDIRI1
CVII4 1
CNSTI4 47
NEI4 $168
LABELV $171
line 475
;475:			if ( *data ) 
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $167
line 476
;476:			{
line 477
;477:				data += 2;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 2
ADDP4
ASGNP4
line 478
;478:			}
line 479
;479:		}
line 481
;480:		else
;481:		{
line 482
;482:			break;
LABELV $167
LABELV $161
line 484
;483:		}
;484:	}
LABELV $154
line 442
ADDRGP4 $153
JUMPV
LABELV $155
line 487
;485:
;486:	// handle quoted strings
;487:	if (c == '\"')
ADDRLP4 4
INDIRI4
CNSTI4 34
NEI4 $174
line 488
;488:	{
line 489
;489:		data++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRGP4 $177
JUMPV
LABELV $176
line 491
;490:		while (1)
;491:		{
line 492
;492:			c = *data++;
ADDRLP4 16
ADDRLP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 16
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 4
ADDRLP4 16
INDIRP4
INDIRI1
CVII4 1
ASGNI4
line 493
;493:			if (c=='\"' || !c)
ADDRLP4 4
INDIRI4
CNSTI4 34
EQI4 $181
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $179
LABELV $181
line 494
;494:			{
line 495
;495:				com_token[len] = 0;
ADDRLP4 8
INDIRI4
ADDRGP4 com_token
ADDP4
CNSTI1 0
ASGNI1
line 496
;496:				*data_p = ( char * ) data;
ADDRFP4 0
INDIRP4
ADDRLP4 0
INDIRP4
ASGNP4
line 497
;497:				return com_token;
ADDRGP4 com_token
RETP4
ADDRGP4 $150
JUMPV
LABELV $179
line 499
;498:			}
;499:			if (len < MAX_TOKEN_CHARS)
ADDRLP4 8
INDIRI4
CNSTI4 1024
GEI4 $182
line 500
;500:			{
line 501
;501:				com_token[len] = c;
ADDRLP4 8
INDIRI4
ADDRGP4 com_token
ADDP4
ADDRLP4 4
INDIRI4
CVII1 4
ASGNI1
line 502
;502:				len++;
ADDRLP4 8
ADDRLP4 8
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 503
;503:			}
LABELV $182
line 504
;504:		}
LABELV $177
line 490
ADDRGP4 $176
JUMPV
line 505
;505:	}
LABELV $174
LABELV $184
line 509
;506:
;507:	// parse a regular word
;508:	do
;509:	{
line 510
;510:		if (len < MAX_TOKEN_CHARS)
ADDRLP4 8
INDIRI4
CNSTI4 1024
GEI4 $187
line 511
;511:		{
line 512
;512:			com_token[len] = c;
ADDRLP4 8
INDIRI4
ADDRGP4 com_token
ADDP4
ADDRLP4 4
INDIRI4
CVII1 4
ASGNI1
line 513
;513:			len++;
ADDRLP4 8
ADDRLP4 8
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 514
;514:		}
LABELV $187
line 515
;515:		data++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 516
;516:		c = *data;
ADDRLP4 4
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
line 517
;517:		if ( c == '\n' )
ADDRLP4 4
INDIRI4
CNSTI4 10
NEI4 $189
line 518
;518:			com_lines++;
ADDRLP4 16
ADDRGP4 com_lines
ASGNP4
ADDRLP4 16
INDIRP4
ADDRLP4 16
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $189
line 519
;519:	} while (c>32);
LABELV $185
ADDRLP4 4
INDIRI4
CNSTI4 32
GTI4 $184
line 521
;520:
;521:	if (len == MAX_TOKEN_CHARS)
ADDRLP4 8
INDIRI4
CNSTI4 1024
NEI4 $191
line 522
;522:	{
line 524
;523://		Com_Printf ("Token exceeded %i chars, discarded.\n", MAX_TOKEN_CHARS);
;524:		len = 0;
ADDRLP4 8
CNSTI4 0
ASGNI4
line 525
;525:	}
LABELV $191
line 526
;526:	com_token[len] = 0;
ADDRLP4 8
INDIRI4
ADDRGP4 com_token
ADDP4
CNSTI1 0
ASGNI1
line 528
;527:
;528:	*data_p = ( char * ) data;
ADDRFP4 0
INDIRP4
ADDRLP4 0
INDIRP4
ASGNP4
line 529
;529:	return com_token;
ADDRGP4 com_token
RETP4
LABELV $150
endproc COM_ParseExt 36 8
export COM_MatchToken
proc COM_MatchToken 12 16
line 593
;530:}
;531:
;532:
;533:#if 0
;534:// no longer used
;535:/*
;536:===============
;537:COM_ParseInfos
;538:===============
;539:*/
;540:int COM_ParseInfos( char *buf, int max, char infos[][MAX_INFO_STRING] ) {
;541:	char	*token;
;542:	int		count;
;543:	char	key[MAX_TOKEN_CHARS];
;544:
;545:	count = 0;
;546:
;547:	while ( 1 ) {
;548:		token = COM_Parse( &buf );
;549:		if ( !token[0] ) {
;550:			break;
;551:		}
;552:		if ( strcmp( token, "{" ) ) {
;553:			Com_Printf( "Missing { in info file\n" );
;554:			break;
;555:		}
;556:
;557:		if ( count == max ) {
;558:			Com_Printf( "Max infos exceeded\n" );
;559:			break;
;560:		}
;561:
;562:		infos[count][0] = 0;
;563:		while ( 1 ) {
;564:			token = COM_ParseExt( &buf, qtrue );
;565:			if ( !token[0] ) {
;566:				Com_Printf( "Unexpected end of info file\n" );
;567:				break;
;568:			}
;569:			if ( !strcmp( token, "}" ) ) {
;570:				break;
;571:			}
;572:			Q_strncpyz( key, token, sizeof( key ) );
;573:
;574:			token = COM_ParseExt( &buf, qfalse );
;575:			if ( !token[0] ) {
;576:				strcpy( token, "<NULL>" );
;577:			}
;578:			Info_SetValueForKey( infos[count], key, token );
;579:		}
;580:		count++;
;581:	}
;582:
;583:	return count;
;584:}
;585:#endif
;586:
;587:
;588:/*
;589:==================
;590:COM_MatchToken
;591:==================
;592:*/
;593:void COM_MatchToken( const char **buf_p, char *match ) {
line 596
;594:	char	*token;
;595:
;596:	token = COM_Parse( buf_p );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 COM_Parse
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 597
;597:	if ( strcmp( token, match ) ) {
ADDRLP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 8
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 0
EQI4 $194
line 598
;598:		Com_Error( ERR_DROP, "MatchToken: %s != %s", token, match );
CNSTI4 1
ARGI4
ADDRGP4 $196
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 599
;599:	}
LABELV $194
line 600
;600:}
LABELV $193
endproc COM_MatchToken 12 16
export SkipBracedSection
proc SkipBracedSection 12 8
line 612
;601:
;602:
;603:/*
;604:=================
;605:SkipBracedSection
;606:
;607:The next token should be an open brace.
;608:Skips until a matching close brace is found.
;609:Internal brace depths are properly skipped.
;610:=================
;611:*/
;612:void SkipBracedSection (const char **program) {
line 616
;613:	char			*token;
;614:	int				depth;
;615:
;616:	depth = 0;
ADDRLP4 4
CNSTI4 0
ASGNI4
LABELV $198
line 617
;617:	do {
line 618
;618:		token = COM_ParseExt( program, qtrue );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRLP4 8
ADDRGP4 COM_ParseExt
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
ASGNP4
line 619
;619:		if( token[1] == 0 ) {
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $201
line 620
;620:			if( token[0] == '{' ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 123
NEI4 $203
line 621
;621:				depth++;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 622
;622:			}
ADDRGP4 $204
JUMPV
LABELV $203
line 623
;623:			else if( token[0] == '}' ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 125
NEI4 $205
line 624
;624:				depth--;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 625
;625:			}
LABELV $205
LABELV $204
line 626
;626:		}
LABELV $201
line 627
;627:	} while( depth && *program );
LABELV $199
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $207
ADDRFP4 0
INDIRP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $198
LABELV $207
line 628
;628:}
LABELV $197
endproc SkipBracedSection 12 8
export SkipRestOfLine
proc SkipRestOfLine 16 0
line 635
;629:
;630:/*
;631:=================
;632:SkipRestOfLine
;633:=================
;634:*/
;635:void SkipRestOfLine ( const char **data ) {
line 639
;636:	const char	*p;
;637:	int		c;
;638:
;639:	p = *data;
ADDRLP4 4
ADDRFP4 0
INDIRP4
INDIRP4
ASGNP4
ADDRGP4 $210
JUMPV
LABELV $209
line 640
;640:	while ( (c = *p++) != 0 ) {
line 641
;641:		if ( c == '\n' ) {
ADDRLP4 0
INDIRI4
CNSTI4 10
NEI4 $212
line 642
;642:			com_lines++;
ADDRLP4 8
ADDRGP4 com_lines
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 643
;643:			break;
ADDRGP4 $211
JUMPV
LABELV $212
line 645
;644:		}
;645:	}
LABELV $210
line 640
ADDRLP4 8
ADDRLP4 4
INDIRP4
ASGNP4
ADDRLP4 4
ADDRLP4 8
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 12
ADDRLP4 8
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 0
ADDRLP4 12
INDIRI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $209
LABELV $211
line 647
;646:
;647:	*data = p;
ADDRFP4 0
INDIRP4
ADDRLP4 4
INDIRP4
ASGNP4
line 648
;648:}
LABELV $208
endproc SkipRestOfLine 16 0
export Parse1DMatrix
proc Parse1DMatrix 16 8
line 651
;649:
;650:
;651:void Parse1DMatrix (const char **buf_p, int x, float *m) {
line 655
;652:	char	*token;
;653:	int		i;
;654:
;655:	COM_MatchToken( buf_p, "(" );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $215
ARGP4
ADDRGP4 COM_MatchToken
CALLV
pop
line 657
;656:
;657:	for (i = 0 ; i < x ; i++) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $219
JUMPV
LABELV $216
line 658
;658:		token = COM_Parse(buf_p);
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 8
ADDRGP4 COM_Parse
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 8
INDIRP4
ASGNP4
line 659
;659:		m[i] = atof(token);
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 atof
CALLF4
ASGNF4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 8
INDIRP4
ADDP4
ADDRLP4 12
INDIRF4
ASGNF4
line 660
;660:	}
LABELV $217
line 657
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $219
ADDRLP4 0
INDIRI4
ADDRFP4 4
INDIRI4
LTI4 $216
line 662
;661:
;662:	COM_MatchToken( buf_p, ")" );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $220
ARGP4
ADDRGP4 COM_MatchToken
CALLV
pop
line 663
;663:}
LABELV $214
endproc Parse1DMatrix 16 8
export Parse2DMatrix
proc Parse2DMatrix 8 12
line 665
;664:
;665:void Parse2DMatrix (const char **buf_p, int y, int x, float *m) {
line 668
;666:	int		i;
;667:
;668:	COM_MatchToken( buf_p, "(" );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $215
ARGP4
ADDRGP4 COM_MatchToken
CALLV
pop
line 670
;669:
;670:	for (i = 0 ; i < y ; i++) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $225
JUMPV
LABELV $222
line 671
;671:		Parse1DMatrix (buf_p, x, m + i * x);
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 4
ADDRFP4 8
INDIRI4
ASGNI4
ADDRLP4 4
INDIRI4
ARGI4
ADDRLP4 0
INDIRI4
ADDRLP4 4
INDIRI4
MULI4
CNSTI4 2
LSHI4
ADDRFP4 12
INDIRP4
ADDP4
ARGP4
ADDRGP4 Parse1DMatrix
CALLV
pop
line 672
;672:	}
LABELV $223
line 670
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $225
ADDRLP4 0
INDIRI4
ADDRFP4 4
INDIRI4
LTI4 $222
line 674
;673:
;674:	COM_MatchToken( buf_p, ")" );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $220
ARGP4
ADDRGP4 COM_MatchToken
CALLV
pop
line 675
;675:}
LABELV $221
endproc Parse2DMatrix 8 12
export Parse3DMatrix
proc Parse3DMatrix 12 16
line 677
;676:
;677:void Parse3DMatrix (const char **buf_p, int z, int y, int x, float *m) {
line 680
;678:	int		i;
;679:
;680:	COM_MatchToken( buf_p, "(" );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $215
ARGP4
ADDRGP4 COM_MatchToken
CALLV
pop
line 682
;681:
;682:	for (i = 0 ; i < z ; i++) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $230
JUMPV
LABELV $227
line 683
;683:		Parse2DMatrix (buf_p, y, x, m + i * x*y);
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 4
ADDRFP4 8
INDIRI4
ASGNI4
ADDRLP4 4
INDIRI4
ARGI4
ADDRLP4 8
ADDRFP4 12
INDIRI4
ASGNI4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 0
INDIRI4
ADDRLP4 8
INDIRI4
MULI4
ADDRLP4 4
INDIRI4
MULI4
CNSTI4 2
LSHI4
ADDRFP4 16
INDIRP4
ADDP4
ARGP4
ADDRGP4 Parse2DMatrix
CALLV
pop
line 684
;684:	}
LABELV $228
line 682
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $230
ADDRLP4 0
INDIRI4
ADDRFP4 4
INDIRI4
LTI4 $227
line 686
;685:
;686:	COM_MatchToken( buf_p, ")" );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $220
ARGP4
ADDRGP4 COM_MatchToken
CALLV
pop
line 687
;687:}
LABELV $226
endproc Parse3DMatrix 12 16
export Q_isprint
proc Q_isprint 4 0
line 699
;688:
;689:
;690:/*
;691:============================================================================
;692:
;693:					LIBRARY REPLACEMENT FUNCTIONS
;694:
;695:============================================================================
;696:*/
;697:
;698:int Q_isprint( int c )
;699:{
line 700
;700:	if ( c >= 0x20 && c <= 0x7E )
ADDRLP4 0
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 32
LTI4 $232
ADDRLP4 0
INDIRI4
CNSTI4 126
GTI4 $232
line 701
;701:		return ( 1 );
CNSTI4 1
RETI4
ADDRGP4 $231
JUMPV
LABELV $232
line 702
;702:	return ( 0 );
CNSTI4 0
RETI4
LABELV $231
endproc Q_isprint 4 0
export Q_islower
proc Q_islower 4 0
line 706
;703:}
;704:
;705:int Q_islower( int c )
;706:{
line 707
;707:	if (c >= 'a' && c <= 'z')
ADDRLP4 0
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 97
LTI4 $235
ADDRLP4 0
INDIRI4
CNSTI4 122
GTI4 $235
line 708
;708:		return ( 1 );
CNSTI4 1
RETI4
ADDRGP4 $234
JUMPV
LABELV $235
line 709
;709:	return ( 0 );
CNSTI4 0
RETI4
LABELV $234
endproc Q_islower 4 0
export Q_isupper
proc Q_isupper 4 0
line 713
;710:}
;711:
;712:int Q_isupper( int c )
;713:{
line 714
;714:	if (c >= 'A' && c <= 'Z')
ADDRLP4 0
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 65
LTI4 $238
ADDRLP4 0
INDIRI4
CNSTI4 90
GTI4 $238
line 715
;715:		return ( 1 );
CNSTI4 1
RETI4
ADDRGP4 $237
JUMPV
LABELV $238
line 716
;716:	return ( 0 );
CNSTI4 0
RETI4
LABELV $237
endproc Q_isupper 4 0
export Q_isalpha
proc Q_isalpha 8 0
line 720
;717:}
;718:
;719:int Q_isalpha( int c )
;720:{
line 721
;721:	if ((c >= 'a' && c <= 'z') || (c >= 'A' && c <= 'Z'))
ADDRLP4 0
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 97
LTI4 $244
ADDRLP4 0
INDIRI4
CNSTI4 122
LEI4 $243
LABELV $244
ADDRLP4 4
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 65
LTI4 $241
ADDRLP4 4
INDIRI4
CNSTI4 90
GTI4 $241
LABELV $243
line 722
;722:		return ( 1 );
CNSTI4 1
RETI4
ADDRGP4 $240
JUMPV
LABELV $241
line 723
;723:	return ( 0 );
CNSTI4 0
RETI4
LABELV $240
endproc Q_isalpha 8 0
export Q_strrchr
proc Q_strrchr 12 0
line 727
;724:}
;725:
;726:char* Q_strrchr( const char* string, int c )
;727:{
line 728
;728:	char cc = c;
ADDRLP4 4
ADDRFP4 4
INDIRI4
CVII1 4
ASGNI1
line 730
;729:	char *s;
;730:	char *sp=(char *)0;
ADDRLP4 8
CNSTP4 0
ASGNP4
line 732
;731:
;732:	s = (char*)string;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRGP4 $247
JUMPV
LABELV $246
line 735
;733:
;734:	while (*s)
;735:	{
line 736
;736:		if (*s == cc)
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ADDRLP4 4
INDIRI1
CVII4 1
NEI4 $249
line 737
;737:			sp = s;
ADDRLP4 8
ADDRLP4 0
INDIRP4
ASGNP4
LABELV $249
line 738
;738:		s++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 739
;739:	}
LABELV $247
line 734
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $246
line 740
;740:	if (cc == 0)
ADDRLP4 4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $251
line 741
;741:		sp = s;
ADDRLP4 8
ADDRLP4 0
INDIRP4
ASGNP4
LABELV $251
line 743
;742:
;743:	return sp;
ADDRLP4 8
INDIRP4
RETP4
LABELV $245
endproc Q_strrchr 12 0
export Q_strncpyz
proc Q_strncpyz 0 12
line 754
;744:}
;745:
;746:/*
;747:=============
;748:Q_strncpyz
;749: 
;750:Safe strncpy that ensures a trailing zero
;751:=============
;752:*/
;753:void Q_strncpyz( char *dest, const char *src, int destsize ) 
;754:{	// bk001129 - also NULL dest
line 755
;755:	if ( !dest ) 
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $254
line 756
;756:	{
line 757
;757:		Com_Error( ERR_FATAL, "Q_strncpyz: NULL dest" );
CNSTI4 0
ARGI4
ADDRGP4 $256
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 758
;758:	}
LABELV $254
line 759
;759:	if ( !src ) 
ADDRFP4 4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $257
line 760
;760:	{
line 761
;761:		Com_Error( ERR_FATAL, "Q_strncpyz: NULL src" );
CNSTI4 0
ARGI4
ADDRGP4 $259
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 762
;762:	}
LABELV $257
line 763
;763:	if ( destsize < 1 ) 
ADDRFP4 8
INDIRI4
CNSTI4 1
GEI4 $260
line 764
;764:	{
line 765
;765:		Com_Error(ERR_FATAL,"Q_strncpyz: destsize < 1" ); 
CNSTI4 0
ARGI4
ADDRGP4 $262
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 766
;766:	}
LABELV $260
line 768
;767:
;768:	strncpy( dest, src, destsize-1 );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRI4
CNSTI4 1
SUBI4
ARGI4
ADDRGP4 strncpy
CALLP4
pop
line 769
;769:	dest[destsize-1] = 0;
ADDRFP4 8
INDIRI4
CNSTI4 1
SUBI4
ADDRFP4 0
INDIRP4
ADDP4
CNSTI1 0
ASGNI1
line 770
;770:}
LABELV $253
endproc Q_strncpyz 0 12
export Q_stricmpn
proc Q_stricmpn 32 0
line 772
;771:                 
;772:int Q_stricmpn (const char *s1, const char *s2, int n) {
line 776
;773:	int		c1, c2;
;774:
;775:	// bk001129 - moved in 1.17 fix not in id codebase
;776:        if ( s1 == NULL ) {
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $264
line 777
;777:           if ( s2 == NULL )
ADDRFP4 4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $266
line 778
;778:             return 0;
CNSTI4 0
RETI4
ADDRGP4 $263
JUMPV
LABELV $266
line 780
;779:           else
;780:             return -1;
CNSTI4 -1
RETI4
ADDRGP4 $263
JUMPV
LABELV $264
line 782
;781:        }
;782:        else if ( s2==NULL )
ADDRFP4 4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $268
line 783
;783:          return 1;
CNSTI4 1
RETI4
ADDRGP4 $263
JUMPV
LABELV $268
LABELV $270
line 787
;784:
;785:
;786:	
;787:	do {
line 788
;788:		c1 = *s1++;
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRFP4 0
ADDRLP4 8
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
INDIRI1
CVII4 1
ASGNI4
line 789
;789:		c2 = *s2++;
ADDRLP4 12
ADDRFP4 4
INDIRP4
ASGNP4
ADDRFP4 4
ADDRLP4 12
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 4
ADDRLP4 12
INDIRP4
INDIRI1
CVII4 1
ASGNI4
line 791
;790:
;791:		if (!n--) {
ADDRLP4 16
ADDRFP4 8
INDIRI4
ASGNI4
ADDRFP4 8
ADDRLP4 16
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 0
NEI4 $273
line 792
;792:			return 0;		// strings are equal until end point
CNSTI4 0
RETI4
ADDRGP4 $263
JUMPV
LABELV $273
line 795
;793:		}
;794:		
;795:		if (c1 != c2) {
ADDRLP4 0
INDIRI4
ADDRLP4 4
INDIRI4
EQI4 $275
line 796
;796:			if (c1 >= 'a' && c1 <= 'z') {
ADDRLP4 0
INDIRI4
CNSTI4 97
LTI4 $277
ADDRLP4 0
INDIRI4
CNSTI4 122
GTI4 $277
line 797
;797:				c1 -= ('a' - 'A');
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 32
SUBI4
ASGNI4
line 798
;798:			}
LABELV $277
line 799
;799:			if (c2 >= 'a' && c2 <= 'z') {
ADDRLP4 4
INDIRI4
CNSTI4 97
LTI4 $279
ADDRLP4 4
INDIRI4
CNSTI4 122
GTI4 $279
line 800
;800:				c2 -= ('a' - 'A');
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 32
SUBI4
ASGNI4
line 801
;801:			}
LABELV $279
line 802
;802:			if (c1 != c2) {
ADDRLP4 0
INDIRI4
ADDRLP4 4
INDIRI4
EQI4 $281
line 803
;803:				return c1 < c2 ? -1 : 1;
ADDRLP4 0
INDIRI4
ADDRLP4 4
INDIRI4
GEI4 $284
ADDRLP4 28
CNSTI4 -1
ASGNI4
ADDRGP4 $285
JUMPV
LABELV $284
ADDRLP4 28
CNSTI4 1
ASGNI4
LABELV $285
ADDRLP4 28
INDIRI4
RETI4
ADDRGP4 $263
JUMPV
LABELV $281
line 805
;804:			}
;805:		}
LABELV $275
line 806
;806:	} while (c1);
LABELV $271
ADDRLP4 0
INDIRI4
CNSTI4 0
NEI4 $270
line 808
;807:	
;808:	return 0;		// strings are equal
CNSTI4 0
RETI4
LABELV $263
endproc Q_stricmpn 32 0
export Q_strncmp
proc Q_strncmp 24 0
line 811
;809:}
;810:
;811:int Q_strncmp (const char *s1, const char *s2, int n) {
LABELV $287
line 814
;812:	int		c1, c2;
;813:	
;814:	do {
line 815
;815:		c1 = *s1++;
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRFP4 0
ADDRLP4 8
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
INDIRI1
CVII4 1
ASGNI4
line 816
;816:		c2 = *s2++;
ADDRLP4 12
ADDRFP4 4
INDIRP4
ASGNP4
ADDRFP4 4
ADDRLP4 12
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 4
ADDRLP4 12
INDIRP4
INDIRI1
CVII4 1
ASGNI4
line 818
;817:
;818:		if (!n--) {
ADDRLP4 16
ADDRFP4 8
INDIRI4
ASGNI4
ADDRFP4 8
ADDRLP4 16
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 0
NEI4 $290
line 819
;819:			return 0;		// strings are equal until end point
CNSTI4 0
RETI4
ADDRGP4 $286
JUMPV
LABELV $290
line 822
;820:		}
;821:		
;822:		if (c1 != c2) {
ADDRLP4 0
INDIRI4
ADDRLP4 4
INDIRI4
EQI4 $292
line 823
;823:			return c1 < c2 ? -1 : 1;
ADDRLP4 0
INDIRI4
ADDRLP4 4
INDIRI4
GEI4 $295
ADDRLP4 20
CNSTI4 -1
ASGNI4
ADDRGP4 $296
JUMPV
LABELV $295
ADDRLP4 20
CNSTI4 1
ASGNI4
LABELV $296
ADDRLP4 20
INDIRI4
RETI4
ADDRGP4 $286
JUMPV
LABELV $292
line 825
;824:		}
;825:	} while (c1);
LABELV $288
ADDRLP4 0
INDIRI4
CNSTI4 0
NEI4 $287
line 827
;826:	
;827:	return 0;		// strings are equal
CNSTI4 0
RETI4
LABELV $286
endproc Q_strncmp 24 0
export Q_stricmp
proc Q_stricmp 12 12
line 830
;828:}
;829:
;830:int Q_stricmp (const char *s1, const char *s2) {
line 831
;831:	return (s1 && s2) ? Q_stricmpn (s1, s2, 99999) : -1;
ADDRLP4 4
CNSTU4 0
ASGNU4
ADDRFP4 0
INDIRP4
CVPU4 4
ADDRLP4 4
INDIRU4
EQU4 $299
ADDRFP4 4
INDIRP4
CVPU4 4
ADDRLP4 4
INDIRU4
EQU4 $299
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 99999
ARGI4
ADDRLP4 8
ADDRGP4 Q_stricmpn
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 8
INDIRI4
ASGNI4
ADDRGP4 $300
JUMPV
LABELV $299
ADDRLP4 0
CNSTI4 -1
ASGNI4
LABELV $300
ADDRLP4 0
INDIRI4
RETI4
LABELV $297
endproc Q_stricmp 12 12
export Q_strlwr
proc Q_strlwr 12 4
line 835
;832:}
;833:
;834:
;835:char *Q_strlwr( char *s1 ) {
line 838
;836:    char	*s;
;837:
;838:    s = s1;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRGP4 $303
JUMPV
LABELV $302
line 839
;839:	while ( *s ) {
line 840
;840:		*s = tolower(*s);
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ARGI4
ADDRLP4 8
ADDRGP4 tolower
CALLI4
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 8
INDIRI4
CVII1 4
ASGNI1
line 841
;841:		s++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 842
;842:	}
LABELV $303
line 839
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $302
line 843
;843:    return s1;
ADDRFP4 0
INDIRP4
RETP4
LABELV $301
endproc Q_strlwr 12 4
export Q_strupr
proc Q_strupr 12 4
line 846
;844:}
;845:
;846:char *Q_strupr( char *s1 ) {
line 849
;847:    char	*s;
;848:
;849:    s = s1;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRGP4 $307
JUMPV
LABELV $306
line 850
;850:	while ( *s ) {
line 851
;851:		*s = toupper(*s);
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ARGI4
ADDRLP4 8
ADDRGP4 toupper
CALLI4
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 8
INDIRI4
CVII1 4
ASGNI1
line 852
;852:		s++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 853
;853:	}
LABELV $307
line 850
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $306
line 854
;854:    return s1;
ADDRFP4 0
INDIRP4
RETP4
LABELV $305
endproc Q_strupr 12 4
export Q_strcat
proc Q_strcat 12 12
line 859
;855:}
;856:
;857:
;858:// never goes past bounds or leaves without a terminating 0
;859:void Q_strcat( char *dest, int size, const char *src ) {
line 862
;860:	int		l1;
;861:
;862:	l1 = strlen( dest );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 4
INDIRI4
ASGNI4
line 863
;863:	if ( l1 >= size ) {
ADDRLP4 0
INDIRI4
ADDRFP4 4
INDIRI4
LTI4 $310
line 864
;864:		Com_Error( ERR_FATAL, "Q_strcat: already overflowed" );
CNSTI4 0
ARGI4
ADDRGP4 $312
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 865
;865:	}
LABELV $310
line 866
;866:	Q_strncpyz( dest + l1, src, size - l1 );
ADDRLP4 0
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRFP4 4
INDIRI4
ADDRLP4 0
INDIRI4
SUBI4
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 867
;867:}
LABELV $309
endproc Q_strcat 12 12
export Q_PrintStrlen
proc Q_PrintStrlen 20 0
line 870
;868:
;869:
;870:int Q_PrintStrlen( const char *string ) {
line 874
;871:	int			len;
;872:	const char	*p;
;873:
;874:	if( !string ) {
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $314
line 875
;875:		return 0;
CNSTI4 0
RETI4
ADDRGP4 $313
JUMPV
LABELV $314
line 878
;876:	}
;877:
;878:	len = 0;
ADDRLP4 4
CNSTI4 0
ASGNI4
line 879
;879:	p = string;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRGP4 $317
JUMPV
LABELV $316
line 880
;880:	while( *p ) {
line 881
;881:		if( Q_IsColorString( p ) ) {
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $319
ADDRLP4 12
CNSTI4 94
ASGNI4
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ADDRLP4 12
INDIRI4
NEI4 $319
ADDRLP4 16
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 0
EQI4 $319
ADDRLP4 16
INDIRI4
ADDRLP4 12
INDIRI4
EQI4 $319
line 882
;882:			p += 2;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 2
ADDP4
ASGNP4
line 883
;883:			continue;
ADDRGP4 $317
JUMPV
LABELV $319
line 885
;884:		}
;885:		p++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 886
;886:		len++;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 887
;887:	}
LABELV $317
line 880
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $316
line 889
;888:
;889:	return len;
ADDRLP4 4
INDIRI4
RETI4
LABELV $313
endproc Q_PrintStrlen 20 0
export Q_CleanStr
proc Q_CleanStr 32 0
line 893
;890:}
;891:
;892:
;893:char *Q_CleanStr( char *string ) {
line 898
;894:	char*	d;
;895:	char*	s;
;896:	int		c;
;897:
;898:	s = string;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 899
;899:	d = string;
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRGP4 $323
JUMPV
LABELV $322
line 900
;900:	while ((c = *s) != 0 ) {
line 901
;901:		if ( Q_IsColorString( s ) ) {
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $325
ADDRLP4 16
CNSTI4 94
ASGNI4
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ADDRLP4 16
INDIRI4
NEI4 $325
ADDRLP4 20
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 20
INDIRI4
CNSTI4 0
EQI4 $325
ADDRLP4 20
INDIRI4
ADDRLP4 16
INDIRI4
EQI4 $325
line 902
;902:			s++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 903
;903:		}		
ADDRGP4 $326
JUMPV
LABELV $325
line 904
;904:		else if ( c >= 0x20 && c <= 0x7E ) {
ADDRLP4 4
INDIRI4
CNSTI4 32
LTI4 $327
ADDRLP4 4
INDIRI4
CNSTI4 126
GTI4 $327
line 905
;905:			*d++ = c;
ADDRLP4 28
ADDRLP4 8
INDIRP4
ASGNP4
ADDRLP4 8
ADDRLP4 28
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 4
INDIRI4
CVII1 4
ASGNI1
line 906
;906:		}
LABELV $327
LABELV $326
line 907
;907:		s++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 908
;908:	}
LABELV $323
line 900
ADDRLP4 12
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 4
ADDRLP4 12
INDIRI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $322
line 909
;909:	*d = '\0';
ADDRLP4 8
INDIRP4
CNSTI1 0
ASGNI1
line 911
;910:
;911:	return string;
ADDRFP4 0
INDIRP4
RETP4
LABELV $321
endproc Q_CleanStr 32 0
export Com_sprintf
proc Com_sprintf 32012 16
line 916
;912:}
;913:
;914:
;915:int QDECL Com_sprintf( char *dest, int size, const char *fmt, ...) 
;916:{
line 921
;917:	int		len;
;918:	va_list	argptr;
;919:	char	bigbuffer[32000];	// big, but small enough to fit in PPC stack
;920:
;921:	va_start (argptr,fmt);
ADDRLP4 4
ADDRFP4 8+4
ASGNP4
line 922
;922:	len = vsprintf (bigbuffer,fmt,argptr) + 1;
ADDRLP4 8
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 32008
ADDRGP4 vsprintf
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 32008
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 923
;923:	va_end (argptr);
ADDRLP4 4
CNSTP4 0
ASGNP4
line 924
;924:	if ( len >= sizeof( bigbuffer ) ) {
ADDRLP4 0
INDIRI4
CVIU4 4
CNSTU4 32000
LTU4 $331
line 925
;925:		Com_Error( ERR_FATAL, "Com_sprintf: overflowed bigbuffer" );
CNSTI4 0
ARGI4
ADDRGP4 $333
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 926
;926:	}
LABELV $331
line 927
;927:	if (len >= size) {
ADDRLP4 0
INDIRI4
ADDRFP4 4
INDIRI4
LTI4 $334
line 928
;928:		Com_Printf ("Com_sprintf: overflow of %i in %i for '%s'\n", len, size, fmt);
ADDRGP4 $336
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRFP4 4
INDIRI4
ARGI4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 934
;929:#ifdef	_DEBUG
;930:		__asm {
;931:			int 3;
;932:		}
;933:#endif
;934:	}
LABELV $334
line 935
;935:	Q_strncpyz (dest, bigbuffer, len );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 8
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 937
;936:
;937:	return len-1;
ADDRLP4 0
INDIRI4
CNSTI4 1
SUBI4
RETI4
LABELV $329
endproc Com_sprintf 32012 16
bss
align 1
LABELV $338
skip 64000
data
align 4
LABELV $339
byte 4 0
export va
code
proc va 12 12
line 950
;938:}
;939:
;940:
;941:/*
;942:============
;943:va
;944:
;945:does a varargs printf into a temp buffer, so I don't need to have
;946:varargs versions of all text functions.
;947:FIXME: make this buffer size safe someday
;948:============
;949:*/
;950:char	* QDECL va( char *format, ... ) {
line 956
;951:	va_list		argptr;
;952:	static char		string[2][32000];	// in case va is called by nested functions
;953:	static int		index = 0;
;954:	char	*buf;
;955:
;956:	buf = string[index & 1];
ADDRLP4 4
CNSTI4 32000
ADDRGP4 $339
INDIRI4
CNSTI4 1
BANDI4
MULI4
ADDRGP4 $338
ADDP4
ASGNP4
line 957
;957:	index++;
ADDRLP4 8
ADDRGP4 $339
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 959
;958:
;959:	va_start (argptr, format);
ADDRLP4 0
ADDRFP4 0+4
ASGNP4
line 960
;960:	vsprintf (buf, format,argptr);
ADDRLP4 4
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 vsprintf
CALLI4
pop
line 961
;961:	va_end (argptr);
ADDRLP4 0
CNSTP4 0
ASGNP4
line 963
;962:
;963:	return buf;
ADDRLP4 4
INDIRP4
RETP4
LABELV $337
endproc va 12 12
bss
align 1
LABELV $342
skip 16384
data
align 4
LABELV $343
byte 4 0
export Info_ValueForKey
code
proc Info_ValueForKey 8220 8
line 984
;964:}
;965:
;966:
;967:/*
;968:=====================================================================
;969:
;970:  INFO STRINGS
;971:
;972:=====================================================================
;973:*/
;974:
;975:/*
;976:===============
;977:Info_ValueForKey
;978:
;979:Searches the string for the given
;980:key and returns the associated value, or an empty string.
;981:FIXME: overflow check?
;982:===============
;983:*/
;984:char *Info_ValueForKey( const char *s, const char *key ) {
line 991
;985:	char	pkey[BIG_INFO_KEY];
;986:	static	char value[2][BIG_INFO_VALUE];	// use two buffers so compares
;987:											// work without stomping on each other
;988:	static	int	valueindex = 0;
;989:	char	*o;
;990:	
;991:	if ( !s || !key ) {
ADDRLP4 8196
CNSTU4 0
ASGNU4
ADDRFP4 0
INDIRP4
CVPU4 4
ADDRLP4 8196
INDIRU4
EQU4 $346
ADDRFP4 4
INDIRP4
CVPU4 4
ADDRLP4 8196
INDIRU4
NEU4 $344
LABELV $346
line 992
;992:		return "";
ADDRGP4 $347
RETP4
ADDRGP4 $341
JUMPV
LABELV $344
line 995
;993:	}
;994:
;995:	if ( strlen( s ) >= BIG_INFO_STRING ) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 8200
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 8200
INDIRI4
CNSTI4 8192
LTI4 $348
line 996
;996:		Com_Error( ERR_DROP, "Info_ValueForKey: oversize infostring" );
CNSTI4 1
ARGI4
ADDRGP4 $350
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 997
;997:	}
LABELV $348
line 999
;998:
;999:	valueindex ^= 1;
ADDRLP4 8204
ADDRGP4 $343
ASGNP4
ADDRLP4 8204
INDIRP4
ADDRLP4 8204
INDIRP4
INDIRI4
CNSTI4 1
BXORI4
ASGNI4
line 1000
;1000:	if (*s == '\\')
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 92
NEI4 $354
line 1001
;1001:		s++;
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRGP4 $354
JUMPV
LABELV $353
line 1003
;1002:	while (1)
;1003:	{
line 1004
;1004:		o = pkey;
ADDRLP4 0
ADDRLP4 4
ASGNP4
ADDRGP4 $357
JUMPV
LABELV $356
line 1006
;1005:		while (*s != '\\')
;1006:		{
line 1007
;1007:			if (!*s)
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $359
line 1008
;1008:				return "";
ADDRGP4 $347
RETP4
ADDRGP4 $341
JUMPV
LABELV $359
line 1009
;1009:			*o++ = *s++;
ADDRLP4 8208
ADDRLP4 0
INDIRP4
ASGNP4
ADDRLP4 8216
CNSTI4 1
ASGNI4
ADDRLP4 0
ADDRLP4 8208
INDIRP4
ADDRLP4 8216
INDIRI4
ADDP4
ASGNP4
ADDRLP4 8212
ADDRFP4 0
INDIRP4
ASGNP4
ADDRFP4 0
ADDRLP4 8212
INDIRP4
ADDRLP4 8216
INDIRI4
ADDP4
ASGNP4
ADDRLP4 8208
INDIRP4
ADDRLP4 8212
INDIRP4
INDIRI1
ASGNI1
line 1010
;1010:		}
LABELV $357
line 1005
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 92
NEI4 $356
line 1011
;1011:		*o = 0;
ADDRLP4 0
INDIRP4
CNSTI1 0
ASGNI1
line 1012
;1012:		s++;
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 1014
;1013:
;1014:		o = value[valueindex];
ADDRLP4 0
ADDRGP4 $343
INDIRI4
CNSTI4 13
LSHI4
ADDRGP4 $342
ADDP4
ASGNP4
ADDRGP4 $362
JUMPV
LABELV $361
line 1017
;1015:
;1016:		while (*s != '\\' && *s)
;1017:		{
line 1018
;1018:			*o++ = *s++;
ADDRLP4 8208
ADDRLP4 0
INDIRP4
ASGNP4
ADDRLP4 8216
CNSTI4 1
ASGNI4
ADDRLP4 0
ADDRLP4 8208
INDIRP4
ADDRLP4 8216
INDIRI4
ADDP4
ASGNP4
ADDRLP4 8212
ADDRFP4 0
INDIRP4
ASGNP4
ADDRFP4 0
ADDRLP4 8212
INDIRP4
ADDRLP4 8216
INDIRI4
ADDP4
ASGNP4
ADDRLP4 8208
INDIRP4
ADDRLP4 8212
INDIRP4
INDIRI1
ASGNI1
line 1019
;1019:		}
LABELV $362
line 1016
ADDRLP4 8208
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 8208
INDIRI4
CNSTI4 92
EQI4 $364
ADDRLP4 8208
INDIRI4
CNSTI4 0
NEI4 $361
LABELV $364
line 1020
;1020:		*o = 0;
ADDRLP4 0
INDIRP4
CNSTI1 0
ASGNI1
line 1022
;1021:
;1022:		if (!Q_stricmp (key, pkey) )
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
ADDRLP4 8212
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 8212
INDIRI4
CNSTI4 0
NEI4 $365
line 1023
;1023:			return value[valueindex];
ADDRGP4 $343
INDIRI4
CNSTI4 13
LSHI4
ADDRGP4 $342
ADDP4
RETP4
ADDRGP4 $341
JUMPV
LABELV $365
line 1025
;1024:
;1025:		if (!*s)
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $367
line 1026
;1026:			break;
ADDRGP4 $355
JUMPV
LABELV $367
line 1027
;1027:		s++;
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 1028
;1028:	}
LABELV $354
line 1002
ADDRGP4 $353
JUMPV
LABELV $355
line 1030
;1029:
;1030:	return "";
ADDRGP4 $347
RETP4
LABELV $341
endproc Info_ValueForKey 8220 8
export Info_NextPair
proc Info_NextPair 20 0
line 1041
;1031:}
;1032:
;1033:
;1034:/*
;1035:===================
;1036:Info_NextPair
;1037:
;1038:Used to itterate through all the key/value pairs in an info string
;1039:===================
;1040:*/
;1041:void Info_NextPair( const char **head, char *key, char *value ) {
line 1045
;1042:	char	*o;
;1043:	const char	*s;
;1044:
;1045:	s = *head;
ADDRLP4 0
ADDRFP4 0
INDIRP4
INDIRP4
ASGNP4
line 1047
;1046:
;1047:	if ( *s == '\\' ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 92
NEI4 $370
line 1048
;1048:		s++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 1049
;1049:	}
LABELV $370
line 1050
;1050:	key[0] = 0;
ADDRFP4 4
INDIRP4
CNSTI1 0
ASGNI1
line 1051
;1051:	value[0] = 0;
ADDRFP4 8
INDIRP4
CNSTI1 0
ASGNI1
line 1053
;1052:
;1053:	o = key;
ADDRLP4 4
ADDRFP4 4
INDIRP4
ASGNP4
ADDRGP4 $373
JUMPV
LABELV $372
line 1054
;1054:	while ( *s != '\\' ) {
line 1055
;1055:		if ( !*s ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $375
line 1056
;1056:			*o = 0;
ADDRLP4 4
INDIRP4
CNSTI1 0
ASGNI1
line 1057
;1057:			*head = s;
ADDRFP4 0
INDIRP4
ADDRLP4 0
INDIRP4
ASGNP4
line 1058
;1058:			return;
ADDRGP4 $369
JUMPV
LABELV $375
line 1060
;1059:		}
;1060:		*o++ = *s++;
ADDRLP4 8
ADDRLP4 4
INDIRP4
ASGNP4
ADDRLP4 16
CNSTI4 1
ASGNI4
ADDRLP4 4
ADDRLP4 8
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
ASGNP4
ADDRLP4 12
ADDRLP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 12
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 12
INDIRP4
INDIRI1
ASGNI1
line 1061
;1061:	}
LABELV $373
line 1054
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 92
NEI4 $372
line 1062
;1062:	*o = 0;
ADDRLP4 4
INDIRP4
CNSTI1 0
ASGNI1
line 1063
;1063:	s++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 1065
;1064:
;1065:	o = value;
ADDRLP4 4
ADDRFP4 8
INDIRP4
ASGNP4
ADDRGP4 $378
JUMPV
LABELV $377
line 1066
;1066:	while ( *s != '\\' && *s ) {
line 1067
;1067:		*o++ = *s++;
ADDRLP4 8
ADDRLP4 4
INDIRP4
ASGNP4
ADDRLP4 16
CNSTI4 1
ASGNI4
ADDRLP4 4
ADDRLP4 8
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
ASGNP4
ADDRLP4 12
ADDRLP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 12
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 12
INDIRP4
INDIRI1
ASGNI1
line 1068
;1068:	}
LABELV $378
line 1066
ADDRLP4 8
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 92
EQI4 $380
ADDRLP4 8
INDIRI4
CNSTI4 0
NEI4 $377
LABELV $380
line 1069
;1069:	*o = 0;
ADDRLP4 4
INDIRP4
CNSTI1 0
ASGNI1
line 1071
;1070:
;1071:	*head = s;
ADDRFP4 0
INDIRP4
ADDRLP4 0
INDIRP4
ASGNP4
line 1072
;1072:}
LABELV $369
endproc Info_NextPair 20 0
export Info_RemoveKey
proc Info_RemoveKey 2076 8
line 1080
;1073:
;1074:
;1075:/*
;1076:===================
;1077:Info_RemoveKey
;1078:===================
;1079:*/
;1080:void Info_RemoveKey( char *s, const char *key ) {
line 1086
;1081:	char	*start;
;1082:	char	pkey[MAX_INFO_KEY];
;1083:	char	value[MAX_INFO_VALUE];
;1084:	char	*o;
;1085:
;1086:	if ( strlen( s ) >= MAX_INFO_STRING ) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 2056
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 2056
INDIRI4
CNSTI4 1024
LTI4 $382
line 1087
;1087:		Com_Error( ERR_DROP, "Info_RemoveKey: oversize infostring" );
CNSTI4 1
ARGI4
ADDRGP4 $384
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 1088
;1088:	}
LABELV $382
line 1090
;1089:
;1090:	if (strchr (key, '\\')) {
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 92
ARGI4
ADDRLP4 2060
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 2060
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $388
line 1091
;1091:		return;
ADDRGP4 $381
JUMPV
LABELV $387
line 1095
;1092:	}
;1093:
;1094:	while (1)
;1095:	{
line 1096
;1096:		start = s;
ADDRLP4 1028
ADDRFP4 0
INDIRP4
ASGNP4
line 1097
;1097:		if (*s == '\\')
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 92
NEI4 $390
line 1098
;1098:			s++;
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
LABELV $390
line 1099
;1099:		o = pkey;
ADDRLP4 0
ADDRLP4 4
ASGNP4
ADDRGP4 $393
JUMPV
LABELV $392
line 1101
;1100:		while (*s != '\\')
;1101:		{
line 1102
;1102:			if (!*s)
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $395
line 1103
;1103:				return;
ADDRGP4 $381
JUMPV
LABELV $395
line 1104
;1104:			*o++ = *s++;
ADDRLP4 2064
ADDRLP4 0
INDIRP4
ASGNP4
ADDRLP4 2072
CNSTI4 1
ASGNI4
ADDRLP4 0
ADDRLP4 2064
INDIRP4
ADDRLP4 2072
INDIRI4
ADDP4
ASGNP4
ADDRLP4 2068
ADDRFP4 0
INDIRP4
ASGNP4
ADDRFP4 0
ADDRLP4 2068
INDIRP4
ADDRLP4 2072
INDIRI4
ADDP4
ASGNP4
ADDRLP4 2064
INDIRP4
ADDRLP4 2068
INDIRP4
INDIRI1
ASGNI1
line 1105
;1105:		}
LABELV $393
line 1100
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 92
NEI4 $392
line 1106
;1106:		*o = 0;
ADDRLP4 0
INDIRP4
CNSTI1 0
ASGNI1
line 1107
;1107:		s++;
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 1109
;1108:
;1109:		o = value;
ADDRLP4 0
ADDRLP4 1032
ASGNP4
ADDRGP4 $398
JUMPV
LABELV $397
line 1111
;1110:		while (*s != '\\' && *s)
;1111:		{
line 1112
;1112:			if (!*s)
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $400
line 1113
;1113:				return;
ADDRGP4 $381
JUMPV
LABELV $400
line 1114
;1114:			*o++ = *s++;
ADDRLP4 2064
ADDRLP4 0
INDIRP4
ASGNP4
ADDRLP4 2072
CNSTI4 1
ASGNI4
ADDRLP4 0
ADDRLP4 2064
INDIRP4
ADDRLP4 2072
INDIRI4
ADDP4
ASGNP4
ADDRLP4 2068
ADDRFP4 0
INDIRP4
ASGNP4
ADDRFP4 0
ADDRLP4 2068
INDIRP4
ADDRLP4 2072
INDIRI4
ADDP4
ASGNP4
ADDRLP4 2064
INDIRP4
ADDRLP4 2068
INDIRP4
INDIRI1
ASGNI1
line 1115
;1115:		}
LABELV $398
line 1110
ADDRLP4 2064
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 2064
INDIRI4
CNSTI4 92
EQI4 $402
ADDRLP4 2064
INDIRI4
CNSTI4 0
NEI4 $397
LABELV $402
line 1116
;1116:		*o = 0;
ADDRLP4 0
INDIRP4
CNSTI1 0
ASGNI1
line 1118
;1117:
;1118:		if (!strcmp (key, pkey) )
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
ADDRLP4 2068
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 2068
INDIRI4
CNSTI4 0
NEI4 $403
line 1119
;1119:		{
line 1120
;1120:			strcpy (start, s);	// remove this part
ADDRLP4 1028
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 1121
;1121:			return;
ADDRGP4 $381
JUMPV
LABELV $403
line 1124
;1122:		}
;1123:
;1124:		if (!*s)
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $405
line 1125
;1125:			return;
ADDRGP4 $381
JUMPV
LABELV $405
line 1126
;1126:	}
LABELV $388
line 1094
ADDRGP4 $387
JUMPV
line 1128
;1127:
;1128:}
LABELV $381
endproc Info_RemoveKey 2076 8
export Info_RemoveKey_Big
proc Info_RemoveKey_Big 16412 8
line 1135
;1129:
;1130:/*
;1131:===================
;1132:Info_RemoveKey_Big
;1133:===================
;1134:*/
;1135:void Info_RemoveKey_Big( char *s, const char *key ) {
line 1141
;1136:	char	*start;
;1137:	char	pkey[BIG_INFO_KEY];
;1138:	char	value[BIG_INFO_VALUE];
;1139:	char	*o;
;1140:
;1141:	if ( strlen( s ) >= BIG_INFO_STRING ) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 16392
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 16392
INDIRI4
CNSTI4 8192
LTI4 $408
line 1142
;1142:		Com_Error( ERR_DROP, "Info_RemoveKey_Big: oversize infostring" );
CNSTI4 1
ARGI4
ADDRGP4 $410
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 1143
;1143:	}
LABELV $408
line 1145
;1144:
;1145:	if (strchr (key, '\\')) {
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 92
ARGI4
ADDRLP4 16396
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 16396
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $414
line 1146
;1146:		return;
ADDRGP4 $407
JUMPV
LABELV $413
line 1150
;1147:	}
;1148:
;1149:	while (1)
;1150:	{
line 1151
;1151:		start = s;
ADDRLP4 8196
ADDRFP4 0
INDIRP4
ASGNP4
line 1152
;1152:		if (*s == '\\')
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 92
NEI4 $416
line 1153
;1153:			s++;
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
LABELV $416
line 1154
;1154:		o = pkey;
ADDRLP4 0
ADDRLP4 4
ASGNP4
ADDRGP4 $419
JUMPV
LABELV $418
line 1156
;1155:		while (*s != '\\')
;1156:		{
line 1157
;1157:			if (!*s)
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $421
line 1158
;1158:				return;
ADDRGP4 $407
JUMPV
LABELV $421
line 1159
;1159:			*o++ = *s++;
ADDRLP4 16400
ADDRLP4 0
INDIRP4
ASGNP4
ADDRLP4 16408
CNSTI4 1
ASGNI4
ADDRLP4 0
ADDRLP4 16400
INDIRP4
ADDRLP4 16408
INDIRI4
ADDP4
ASGNP4
ADDRLP4 16404
ADDRFP4 0
INDIRP4
ASGNP4
ADDRFP4 0
ADDRLP4 16404
INDIRP4
ADDRLP4 16408
INDIRI4
ADDP4
ASGNP4
ADDRLP4 16400
INDIRP4
ADDRLP4 16404
INDIRP4
INDIRI1
ASGNI1
line 1160
;1160:		}
LABELV $419
line 1155
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 92
NEI4 $418
line 1161
;1161:		*o = 0;
ADDRLP4 0
INDIRP4
CNSTI1 0
ASGNI1
line 1162
;1162:		s++;
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 1164
;1163:
;1164:		o = value;
ADDRLP4 0
ADDRLP4 8200
ASGNP4
ADDRGP4 $424
JUMPV
LABELV $423
line 1166
;1165:		while (*s != '\\' && *s)
;1166:		{
line 1167
;1167:			if (!*s)
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $426
line 1168
;1168:				return;
ADDRGP4 $407
JUMPV
LABELV $426
line 1169
;1169:			*o++ = *s++;
ADDRLP4 16400
ADDRLP4 0
INDIRP4
ASGNP4
ADDRLP4 16408
CNSTI4 1
ASGNI4
ADDRLP4 0
ADDRLP4 16400
INDIRP4
ADDRLP4 16408
INDIRI4
ADDP4
ASGNP4
ADDRLP4 16404
ADDRFP4 0
INDIRP4
ASGNP4
ADDRFP4 0
ADDRLP4 16404
INDIRP4
ADDRLP4 16408
INDIRI4
ADDP4
ASGNP4
ADDRLP4 16400
INDIRP4
ADDRLP4 16404
INDIRP4
INDIRI1
ASGNI1
line 1170
;1170:		}
LABELV $424
line 1165
ADDRLP4 16400
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 16400
INDIRI4
CNSTI4 92
EQI4 $428
ADDRLP4 16400
INDIRI4
CNSTI4 0
NEI4 $423
LABELV $428
line 1171
;1171:		*o = 0;
ADDRLP4 0
INDIRP4
CNSTI1 0
ASGNI1
line 1173
;1172:
;1173:		if (!strcmp (key, pkey) )
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
ADDRLP4 16404
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 16404
INDIRI4
CNSTI4 0
NEI4 $429
line 1174
;1174:		{
line 1175
;1175:			strcpy (start, s);	// remove this part
ADDRLP4 8196
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 1176
;1176:			return;
ADDRGP4 $407
JUMPV
LABELV $429
line 1179
;1177:		}
;1178:
;1179:		if (!*s)
ADDRFP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $431
line 1180
;1180:			return;
ADDRGP4 $407
JUMPV
LABELV $431
line 1181
;1181:	}
LABELV $414
line 1149
ADDRGP4 $413
JUMPV
line 1183
;1182:
;1183:}
LABELV $407
endproc Info_RemoveKey_Big 16412 8
export Info_Validate
proc Info_Validate 8 8
line 1196
;1184:
;1185:
;1186:
;1187:
;1188:/*
;1189:==================
;1190:Info_Validate
;1191:
;1192:Some characters are illegal in info strings because they
;1193:can mess up the server's parsing
;1194:==================
;1195:*/
;1196:qboolean Info_Validate( const char *s ) {
line 1197
;1197:	if ( strchr( s, '\"' ) ) {
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 34
ARGI4
ADDRLP4 0
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $434
line 1198
;1198:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $433
JUMPV
LABELV $434
line 1200
;1199:	}
;1200:	if ( strchr( s, ';' ) ) {
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 59
ARGI4
ADDRLP4 4
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $436
line 1201
;1201:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $433
JUMPV
LABELV $436
line 1203
;1202:	}
;1203:	return qtrue;
CNSTI4 1
RETI4
LABELV $433
endproc Info_Validate 8 8
export Info_SetValueForKey
proc Info_SetValueForKey 1068 20
line 1213
;1204:}
;1205:
;1206:/*
;1207:==================
;1208:Info_SetValueForKey
;1209:
;1210:Changes or adds a key/value pair
;1211:==================
;1212:*/
;1213:void Info_SetValueForKey( char *s, const char *key, const char *value ) {
line 1216
;1214:	char	newi[MAX_INFO_STRING];
;1215:
;1216:	if ( strlen( s ) >= MAX_INFO_STRING ) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 1024
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 1024
INDIRI4
CNSTI4 1024
LTI4 $439
line 1217
;1217:		Com_Error( ERR_DROP, "Info_SetValueForKey: oversize infostring" );
CNSTI4 1
ARGI4
ADDRGP4 $441
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 1218
;1218:	}
LABELV $439
line 1220
;1219:
;1220:	if (strchr (key, '\\') || strchr (value, '\\'))
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 92
ARGI4
ADDRLP4 1028
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 1028
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $444
ADDRFP4 8
INDIRP4
ARGP4
CNSTI4 92
ARGI4
ADDRLP4 1032
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 1032
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $442
LABELV $444
line 1221
;1221:	{
line 1222
;1222:		Com_Printf ("Can't use keys or values with a \\\n");
ADDRGP4 $445
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1223
;1223:		return;
ADDRGP4 $438
JUMPV
LABELV $442
line 1226
;1224:	}
;1225:
;1226:	if (strchr (key, ';') || strchr (value, ';'))
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 59
ARGI4
ADDRLP4 1036
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 1036
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $448
ADDRFP4 8
INDIRP4
ARGP4
CNSTI4 59
ARGI4
ADDRLP4 1040
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 1040
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $446
LABELV $448
line 1227
;1227:	{
line 1228
;1228:		Com_Printf ("Can't use keys or values with a semicolon\n");
ADDRGP4 $449
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1229
;1229:		return;
ADDRGP4 $438
JUMPV
LABELV $446
line 1232
;1230:	}
;1231:
;1232:	if (strchr (key, '\"') || strchr (value, '\"'))
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 34
ARGI4
ADDRLP4 1044
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 1044
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $452
ADDRFP4 8
INDIRP4
ARGP4
CNSTI4 34
ARGI4
ADDRLP4 1048
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 1048
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $450
LABELV $452
line 1233
;1233:	{
line 1234
;1234:		Com_Printf ("Can't use keys or values with a \"\n");
ADDRGP4 $453
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1235
;1235:		return;
ADDRGP4 $438
JUMPV
LABELV $450
line 1238
;1236:	}
;1237:
;1238:	Info_RemoveKey (s, key);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 Info_RemoveKey
CALLV
pop
line 1239
;1239:	if (!value || !strlen(value))
ADDRLP4 1052
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 1052
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $456
ADDRLP4 1052
INDIRP4
ARGP4
ADDRLP4 1056
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 1056
INDIRI4
CNSTI4 0
NEI4 $454
LABELV $456
line 1240
;1240:		return;
ADDRGP4 $438
JUMPV
LABELV $454
line 1242
;1241:
;1242:	Com_sprintf (newi, sizeof(newi), "\\%s\\%s", key, value);
ADDRLP4 0
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 $457
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 1244
;1243:
;1244:	if (strlen(newi) + strlen(s) > MAX_INFO_STRING)
ADDRLP4 0
ARGP4
ADDRLP4 1060
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 1064
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 1060
INDIRI4
ADDRLP4 1064
INDIRI4
ADDI4
CNSTI4 1024
LEI4 $458
line 1245
;1245:	{
line 1246
;1246:		Com_Printf ("Info string length exceeded\n");
ADDRGP4 $460
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1247
;1247:		return;
ADDRGP4 $438
JUMPV
LABELV $458
line 1250
;1248:	}
;1249:
;1250:	strcat (newi, s);
ADDRLP4 0
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 strcat
CALLP4
pop
line 1251
;1251:	strcpy (s, newi);
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 1252
;1252:}
LABELV $438
endproc Info_SetValueForKey 1068 20
export Info_SetValueForKey_Big
proc Info_SetValueForKey_Big 8236 20
line 1261
;1253:
;1254:/*
;1255:==================
;1256:Info_SetValueForKey_Big
;1257:
;1258:Changes or adds a key/value pair
;1259:==================
;1260:*/
;1261:void Info_SetValueForKey_Big( char *s, const char *key, const char *value ) {
line 1264
;1262:	char	newi[BIG_INFO_STRING];
;1263:
;1264:	if ( strlen( s ) >= BIG_INFO_STRING ) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 8192
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 8192
INDIRI4
CNSTI4 8192
LTI4 $462
line 1265
;1265:		Com_Error( ERR_DROP, "Info_SetValueForKey: oversize infostring" );
CNSTI4 1
ARGI4
ADDRGP4 $441
ARGP4
ADDRGP4 Com_Error
CALLV
pop
line 1266
;1266:	}
LABELV $462
line 1268
;1267:
;1268:	if (strchr (key, '\\') || strchr (value, '\\'))
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 92
ARGI4
ADDRLP4 8196
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 8196
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $466
ADDRFP4 8
INDIRP4
ARGP4
CNSTI4 92
ARGI4
ADDRLP4 8200
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 8200
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $464
LABELV $466
line 1269
;1269:	{
line 1270
;1270:		Com_Printf ("Can't use keys or values with a \\\n");
ADDRGP4 $445
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1271
;1271:		return;
ADDRGP4 $461
JUMPV
LABELV $464
line 1274
;1272:	}
;1273:
;1274:	if (strchr (key, ';') || strchr (value, ';'))
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 59
ARGI4
ADDRLP4 8204
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 8204
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $469
ADDRFP4 8
INDIRP4
ARGP4
CNSTI4 59
ARGI4
ADDRLP4 8208
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 8208
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $467
LABELV $469
line 1275
;1275:	{
line 1276
;1276:		Com_Printf ("Can't use keys or values with a semicolon\n");
ADDRGP4 $449
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1277
;1277:		return;
ADDRGP4 $461
JUMPV
LABELV $467
line 1280
;1278:	}
;1279:
;1280:	if (strchr (key, '\"') || strchr (value, '\"'))
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 34
ARGI4
ADDRLP4 8212
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 8212
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $472
ADDRFP4 8
INDIRP4
ARGP4
CNSTI4 34
ARGI4
ADDRLP4 8216
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 8216
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $470
LABELV $472
line 1281
;1281:	{
line 1282
;1282:		Com_Printf ("Can't use keys or values with a \"\n");
ADDRGP4 $453
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1283
;1283:		return;
ADDRGP4 $461
JUMPV
LABELV $470
line 1286
;1284:	}
;1285:
;1286:	Info_RemoveKey_Big (s, key);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 Info_RemoveKey_Big
CALLV
pop
line 1287
;1287:	if (!value || !strlen(value))
ADDRLP4 8220
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 8220
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $475
ADDRLP4 8220
INDIRP4
ARGP4
ADDRLP4 8224
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 8224
INDIRI4
CNSTI4 0
NEI4 $473
LABELV $475
line 1288
;1288:		return;
ADDRGP4 $461
JUMPV
LABELV $473
line 1290
;1289:
;1290:	Com_sprintf (newi, sizeof(newi), "\\%s\\%s", key, value);
ADDRLP4 0
ARGP4
CNSTI4 8192
ARGI4
ADDRGP4 $457
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLI4
pop
line 1292
;1291:
;1292:	if (strlen(newi) + strlen(s) > BIG_INFO_STRING)
ADDRLP4 0
ARGP4
ADDRLP4 8228
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 8232
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 8228
INDIRI4
ADDRLP4 8232
INDIRI4
ADDI4
CNSTI4 8192
LEI4 $476
line 1293
;1293:	{
line 1294
;1294:		Com_Printf ("BIG Info string length exceeded\n");
ADDRGP4 $478
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1295
;1295:		return;
ADDRGP4 $461
JUMPV
LABELV $476
line 1298
;1296:	}
;1297:
;1298:	strcat (s, newi);
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 strcat
CALLP4
pop
line 1299
;1299:}
LABELV $461
endproc Info_SetValueForKey_Big 8236 20
export Q_irand
proc Q_irand 8 0
line 1304
;1300:
;1301:
;1302://rww - convience function..
;1303:int Q_irand(int value1, int value2)
;1304:{
line 1307
;1305:	int r;
;1306:
;1307:	r = rand()%value2;
ADDRLP4 4
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 4
INDIRI4
ADDRFP4 4
INDIRI4
MODI4
ASGNI4
line 1308
;1308:	r += value1;
ADDRLP4 0
ADDRLP4 0
INDIRI4
ADDRFP4 0
INDIRI4
ADDI4
ASGNI4
line 1310
;1309:	
;1310:	return r;
ADDRLP4 0
INDIRI4
RETI4
LABELV $479
endproc Q_irand 8 0
export KeywordHash_Key
proc KeywordHash_Key 20 0
line 1317
;1311:}
;1312:
;1313://====================================================================
;1314:// Generic Keyword hash
;1315://====================================================================
;1316:int KeywordHash_Key ( char *keyword ) 
;1317:{
line 1320
;1318:	int register hash, i;
;1319:
;1320:	hash = 0;
ADDRLP4 0
CNSTI4 0
ASGNI4
line 1321
;1321:	for (i = 0; keyword[i] != '\0'; i++) 
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $484
JUMPV
LABELV $481
line 1322
;1322:	{
line 1323
;1323:		if (keyword[i] >= 'A' && keyword[i] <= 'Z')
ADDRLP4 8
ADDRLP4 4
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 65
LTI4 $485
ADDRLP4 8
INDIRI4
CNSTI4 90
GTI4 $485
line 1324
;1324:			hash += (keyword[i] + ('a' - 'A')) * (119 + i);
ADDRLP4 0
ADDRLP4 0
INDIRI4
ADDRLP4 4
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRI1
CVII4 1
CNSTI4 32
ADDI4
ADDRLP4 4
INDIRI4
CNSTI4 119
ADDI4
MULI4
ADDI4
ASGNI4
ADDRGP4 $486
JUMPV
LABELV $485
line 1326
;1325:		else
;1326:			hash += keyword[i] * (119 + i);
ADDRLP4 0
ADDRLP4 0
INDIRI4
ADDRLP4 4
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRI1
CVII4 1
ADDRLP4 4
INDIRI4
CNSTI4 119
ADDI4
MULI4
ADDI4
ASGNI4
LABELV $486
line 1327
;1327:	}
LABELV $482
line 1321
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $484
ADDRLP4 4
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $481
line 1329
;1328:
;1329:	hash = (hash ^ (hash >> 10) ^ (hash >> 20)) & (KEYWORDHASH_SIZE-1);
ADDRLP4 0
ADDRLP4 0
INDIRI4
ADDRLP4 0
INDIRI4
CNSTI4 10
RSHI4
BXORI4
ADDRLP4 0
INDIRI4
CNSTI4 20
RSHI4
BXORI4
CNSTI4 511
BANDI4
ASGNI4
line 1331
;1330:
;1331:	return hash;
ADDRLP4 0
INDIRI4
RETI4
LABELV $480
endproc KeywordHash_Key 20 0
export KeywordHash_Add
proc KeywordHash_Add 8 4
line 1335
;1332:}
;1333:
;1334:void KeywordHash_Add( keywordHash_t *table[], keywordHash_t *key ) 
;1335:{
line 1338
;1336:	int hash;
;1337:
;1338:	hash = KeywordHash_Key ( key->name );
ADDRFP4 4
INDIRP4
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 KeywordHash_Key
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 4
INDIRI4
ASGNI4
line 1346
;1339:
;1340:/*
;1341:	if (table[hash]) 
;1342:	{
;1343:		int collision = qtrue;
;1344:	}
;1345:*/
;1346:	key->next = table[hash];
ADDRFP4 4
INDIRP4
CNSTI4 4
ADDP4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRP4
ASGNP4
line 1347
;1347:	table[hash] = key;
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 0
INDIRP4
ADDP4
ADDRFP4 4
INDIRP4
ASGNP4
line 1348
;1348:}
LABELV $487
endproc KeywordHash_Add 8 4
export KeywordHash_Find
proc KeywordHash_Find 16 8
line 1351
;1349:
;1350:keywordHash_t *KeywordHash_Find(keywordHash_t *table[], char *keyword)
;1351:{
line 1355
;1352:	keywordHash_t *key;
;1353:	int hash;
;1354:
;1355:	hash = KeywordHash_Key(keyword);
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 8
ADDRGP4 KeywordHash_Key
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 8
INDIRI4
ASGNI4
line 1356
;1356:	for (key = table[hash]; key; key = key->next)
ADDRLP4 0
ADDRLP4 4
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRP4
ASGNP4
ADDRGP4 $492
JUMPV
LABELV $489
line 1357
;1357:	{
line 1358
;1358:		if (!Q_stricmp(key->name, keyword))
ADDRLP4 0
INDIRP4
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $493
line 1359
;1359:		{
line 1360
;1360:			return key;
ADDRLP4 0
INDIRP4
RETP4
ADDRGP4 $488
JUMPV
LABELV $493
line 1362
;1361:		}
;1362:	}
LABELV $490
line 1356
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRP4
ASGNP4
LABELV $492
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $489
line 1364
;1363:
;1364:	return NULL;
CNSTP4 0
RETP4
LABELV $488
endproc KeywordHash_Find 16 8
bss
align 4
LABELV com_lines
skip 4
align 1
LABELV com_parsename
skip 1024
align 1
LABELV com_token
skip 1024
import irand
import flrand
import Rand_Init
import Com_Printf
import Com_Error
import Info_RemoveKey_big
import NormalToLatLong
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpVector
import LerpAngle
import AngleMod
import fmod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import Q_crandom
import Q_random
import Q_rand
import Q_asin
import Q_acos
import Q_log2
import Q_TestRaySphere
import VectorRotate
import Vector4Scale
import VectorNormalize2
import VectorNormalize
import CrossProduct
import VectorInverse
import VectorNormalizeFast
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import powf
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_identity
import vec3_origin
import g_color_table
import colorDkBlue
import colorLtBlue
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import Com_Memcpy
import Com_Memset
import Hunk_Alloc
import asin
import acos
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $478
char 1 66
char 1 73
char 1 71
char 1 32
char 1 73
char 1 110
char 1 102
char 1 111
char 1 32
char 1 115
char 1 116
char 1 114
char 1 105
char 1 110
char 1 103
char 1 32
char 1 108
char 1 101
char 1 110
char 1 103
char 1 116
char 1 104
char 1 32
char 1 101
char 1 120
char 1 99
char 1 101
char 1 101
char 1 100
char 1 101
char 1 100
char 1 10
char 1 0
align 1
LABELV $460
char 1 73
char 1 110
char 1 102
char 1 111
char 1 32
char 1 115
char 1 116
char 1 114
char 1 105
char 1 110
char 1 103
char 1 32
char 1 108
char 1 101
char 1 110
char 1 103
char 1 116
char 1 104
char 1 32
char 1 101
char 1 120
char 1 99
char 1 101
char 1 101
char 1 100
char 1 101
char 1 100
char 1 10
char 1 0
align 1
LABELV $457
char 1 92
char 1 37
char 1 115
char 1 92
char 1 37
char 1 115
char 1 0
align 1
LABELV $453
char 1 67
char 1 97
char 1 110
char 1 39
char 1 116
char 1 32
char 1 117
char 1 115
char 1 101
char 1 32
char 1 107
char 1 101
char 1 121
char 1 115
char 1 32
char 1 111
char 1 114
char 1 32
char 1 118
char 1 97
char 1 108
char 1 117
char 1 101
char 1 115
char 1 32
char 1 119
char 1 105
char 1 116
char 1 104
char 1 32
char 1 97
char 1 32
char 1 34
char 1 10
char 1 0
align 1
LABELV $449
char 1 67
char 1 97
char 1 110
char 1 39
char 1 116
char 1 32
char 1 117
char 1 115
char 1 101
char 1 32
char 1 107
char 1 101
char 1 121
char 1 115
char 1 32
char 1 111
char 1 114
char 1 32
char 1 118
char 1 97
char 1 108
char 1 117
char 1 101
char 1 115
char 1 32
char 1 119
char 1 105
char 1 116
char 1 104
char 1 32
char 1 97
char 1 32
char 1 115
char 1 101
char 1 109
char 1 105
char 1 99
char 1 111
char 1 108
char 1 111
char 1 110
char 1 10
char 1 0
align 1
LABELV $445
char 1 67
char 1 97
char 1 110
char 1 39
char 1 116
char 1 32
char 1 117
char 1 115
char 1 101
char 1 32
char 1 107
char 1 101
char 1 121
char 1 115
char 1 32
char 1 111
char 1 114
char 1 32
char 1 118
char 1 97
char 1 108
char 1 117
char 1 101
char 1 115
char 1 32
char 1 119
char 1 105
char 1 116
char 1 104
char 1 32
char 1 97
char 1 32
char 1 92
char 1 10
char 1 0
align 1
LABELV $441
char 1 73
char 1 110
char 1 102
char 1 111
char 1 95
char 1 83
char 1 101
char 1 116
char 1 86
char 1 97
char 1 108
char 1 117
char 1 101
char 1 70
char 1 111
char 1 114
char 1 75
char 1 101
char 1 121
char 1 58
char 1 32
char 1 111
char 1 118
char 1 101
char 1 114
char 1 115
char 1 105
char 1 122
char 1 101
char 1 32
char 1 105
char 1 110
char 1 102
char 1 111
char 1 115
char 1 116
char 1 114
char 1 105
char 1 110
char 1 103
char 1 0
align 1
LABELV $410
char 1 73
char 1 110
char 1 102
char 1 111
char 1 95
char 1 82
char 1 101
char 1 109
char 1 111
char 1 118
char 1 101
char 1 75
char 1 101
char 1 121
char 1 95
char 1 66
char 1 105
char 1 103
char 1 58
char 1 32
char 1 111
char 1 118
char 1 101
char 1 114
char 1 115
char 1 105
char 1 122
char 1 101
char 1 32
char 1 105
char 1 110
char 1 102
char 1 111
char 1 115
char 1 116
char 1 114
char 1 105
char 1 110
char 1 103
char 1 0
align 1
LABELV $384
char 1 73
char 1 110
char 1 102
char 1 111
char 1 95
char 1 82
char 1 101
char 1 109
char 1 111
char 1 118
char 1 101
char 1 75
char 1 101
char 1 121
char 1 58
char 1 32
char 1 111
char 1 118
char 1 101
char 1 114
char 1 115
char 1 105
char 1 122
char 1 101
char 1 32
char 1 105
char 1 110
char 1 102
char 1 111
char 1 115
char 1 116
char 1 114
char 1 105
char 1 110
char 1 103
char 1 0
align 1
LABELV $350
char 1 73
char 1 110
char 1 102
char 1 111
char 1 95
char 1 86
char 1 97
char 1 108
char 1 117
char 1 101
char 1 70
char 1 111
char 1 114
char 1 75
char 1 101
char 1 121
char 1 58
char 1 32
char 1 111
char 1 118
char 1 101
char 1 114
char 1 115
char 1 105
char 1 122
char 1 101
char 1 32
char 1 105
char 1 110
char 1 102
char 1 111
char 1 115
char 1 116
char 1 114
char 1 105
char 1 110
char 1 103
char 1 0
align 1
LABELV $347
char 1 0
align 1
LABELV $336
char 1 67
char 1 111
char 1 109
char 1 95
char 1 115
char 1 112
char 1 114
char 1 105
char 1 110
char 1 116
char 1 102
char 1 58
char 1 32
char 1 111
char 1 118
char 1 101
char 1 114
char 1 102
char 1 108
char 1 111
char 1 119
char 1 32
char 1 111
char 1 102
char 1 32
char 1 37
char 1 105
char 1 32
char 1 105
char 1 110
char 1 32
char 1 37
char 1 105
char 1 32
char 1 102
char 1 111
char 1 114
char 1 32
char 1 39
char 1 37
char 1 115
char 1 39
char 1 10
char 1 0
align 1
LABELV $333
char 1 67
char 1 111
char 1 109
char 1 95
char 1 115
char 1 112
char 1 114
char 1 105
char 1 110
char 1 116
char 1 102
char 1 58
char 1 32
char 1 111
char 1 118
char 1 101
char 1 114
char 1 102
char 1 108
char 1 111
char 1 119
char 1 101
char 1 100
char 1 32
char 1 98
char 1 105
char 1 103
char 1 98
char 1 117
char 1 102
char 1 102
char 1 101
char 1 114
char 1 0
align 1
LABELV $312
char 1 81
char 1 95
char 1 115
char 1 116
char 1 114
char 1 99
char 1 97
char 1 116
char 1 58
char 1 32
char 1 97
char 1 108
char 1 114
char 1 101
char 1 97
char 1 100
char 1 121
char 1 32
char 1 111
char 1 118
char 1 101
char 1 114
char 1 102
char 1 108
char 1 111
char 1 119
char 1 101
char 1 100
char 1 0
align 1
LABELV $262
char 1 81
char 1 95
char 1 115
char 1 116
char 1 114
char 1 110
char 1 99
char 1 112
char 1 121
char 1 122
char 1 58
char 1 32
char 1 100
char 1 101
char 1 115
char 1 116
char 1 115
char 1 105
char 1 122
char 1 101
char 1 32
char 1 60
char 1 32
char 1 49
char 1 0
align 1
LABELV $259
char 1 81
char 1 95
char 1 115
char 1 116
char 1 114
char 1 110
char 1 99
char 1 112
char 1 121
char 1 122
char 1 58
char 1 32
char 1 78
char 1 85
char 1 76
char 1 76
char 1 32
char 1 115
char 1 114
char 1 99
char 1 0
align 1
LABELV $256
char 1 81
char 1 95
char 1 115
char 1 116
char 1 114
char 1 110
char 1 99
char 1 112
char 1 121
char 1 122
char 1 58
char 1 32
char 1 78
char 1 85
char 1 76
char 1 76
char 1 32
char 1 100
char 1 101
char 1 115
char 1 116
char 1 0
align 1
LABELV $220
char 1 41
char 1 0
align 1
LABELV $215
char 1 40
char 1 0
align 1
LABELV $196
char 1 77
char 1 97
char 1 116
char 1 99
char 1 104
char 1 84
char 1 111
char 1 107
char 1 101
char 1 110
char 1 58
char 1 32
char 1 37
char 1 115
char 1 32
char 1 33
char 1 61
char 1 32
char 1 37
char 1 115
char 1 0
align 1
LABELV $102
char 1 87
char 1 65
char 1 82
char 1 78
char 1 73
char 1 78
char 1 71
char 1 58
char 1 32
char 1 37
char 1 115
char 1 44
char 1 32
char 1 108
char 1 105
char 1 110
char 1 101
char 1 32
char 1 37
char 1 100
char 1 58
char 1 32
char 1 37
char 1 115
char 1 10
char 1 0
align 1
LABELV $98
char 1 69
char 1 82
char 1 82
char 1 79
char 1 82
char 1 58
char 1 32
char 1 37
char 1 115
char 1 44
char 1 32
char 1 108
char 1 105
char 1 110
char 1 101
char 1 32
char 1 37
char 1 100
char 1 58
char 1 32
char 1 37
char 1 115
char 1 10
char 1 0
align 1
LABELV $92
char 1 37
char 1 115
char 1 0
align 1
LABELV $72
char 1 37
char 1 115
char 1 37
char 1 115
char 1 0
